<?php
/**
* Plugin Name: CLICKS ClubReady API
* Description: Shortcodes, Forms and Fields for ClubReady API
* Version: 4.0
* Author: REACH Agency
* Author URI: https://reachagency.co
* License: GPL2
* Copyright 2022, REACH Agency, All rights reserved
*/










/*--------------------------------------------------------------------------------------------------*/
/*** Adds script to WP admin to run the shortcode generator
----------------------------------------------------------------------------------------------------*/
function cr_wpdocs_selectively_enqueue_admin_script() {
  wp_enqueue_script( 'clubready-shortcode', plugins_url( '/js/clubready-shortcode.js' , __FILE__ ), array(), '1.0.0', true );
}
add_action( 'admin_enqueue_scripts', 'cr_wpdocs_selectively_enqueue_admin_script' );










/*--------------------------------------------------------------------------------------------------*/
/*** ACF 'ClubReady' Options Pages
----------------------------------------------------------------------------------------------------*/

if( function_exists('acf_add_options_page') ) {
	
	acf_add_options_page(array(
		'menu_title'	=> 'ClubReady',
    'menu_slug' 	=> 'club-ready',
    'redirect' => true,
    'position' => 1
  ));
	
	acf_add_options_sub_page(array(
		'page_title' 	=> 'ClubReady Field Settings',
		'menu_title'	=> 'CR Field Settings',
		'parent_slug'	=> 'club-ready',
  ));

  acf_add_options_sub_page(array(
		'page_title' 	=> 'ClubReady Form Settings',
		'menu_title'	=> 'CR Form Settings',
		'parent_slug'	=> 'club-ready',
  ));
	
}



// Site Fields
include( plugin_dir_path( __FILE__ ) . 'fields/field-settings.php' );
include( plugin_dir_path( __FILE__ ) . 'fields/form-settings.php' );
include( plugin_dir_path( __FILE__ ) . 'fields/form-shortcode.php' );

// Page Fields
include( plugin_dir_path( __FILE__ ) . 'fields/page-field-settings.php' );
include( plugin_dir_path( __FILE__ ) . 'fields/page-form-settings.php' );
  











/*--------------------------------------------------------------------------------------------------*/
/*** GLOBAL VALUES
----------------------------------------------------------------------------------------------------*/


/*** API Keys & URL
--------------------------------------------------------------------------------------------------*/
// OLD KEY define('CLUBREADY_API_KEY', '4247d986-2449-4677-8e58-5037a938ede3');
define('CLUBREADY_API_KEY', 'b296d22f-0fb4-451b-8350-f12c59b02fc2');
define('CLUBREADY_API_URL', 'https://www.clubready.com/api/current');

define('GOOGLEMAPSKEY', 'AIzaSyDyJBc4-iw83vEaS2sbF50F3XLRWU0gcqo');

define('REACH_API_KEY', 'ev8mW80NO3joBcn31Zo5BYsNHyx0iH6V');
define('REACH_API_URL', 'https://api.reach.marketing/external-lead');


/*** Default Radius
--------------------------------------------------------------------------------------------------*/
define('DEFAULT_RADIUS', 15);


/*** Template ID's
--------------------------------------------------------------------------------------------------*/
define('REFERRAL_TEMPLATE', 41446);










/*--------------------------------------------------------------------------------------------------*/
/*** REGISTER SCRIPTS
----------------------------------------------------------------------------------------------------*/


/*** JS
--------------------------------------------------------------------------------------------------*/
add_action( 'wp_enqueue_scripts', 'cr_register_my_script' );

function cr_register_my_script() {
  wp_register_script( 'codemay-clubready-js', plugins_url( '/js/codemay-clubready.js' , __FILE__ ), array(), '1.0.0', true );
  wp_register_script( 'moment-js', plugins_url( '/js/moment.min.js' , __FILE__ ), array( 'jquery' ), '', true );
  wp_register_script( 'sweetalert-js', '//unpkg.com/sweetalert/dist/sweetalert.min.js', false);
}


/*** CSS
--------------------------------------------------------------------------------------------------*/
function cr_load_plugin_css() {
  wp_enqueue_style( 'cr_style', plugins_url( '/css/cr-style.css' , __FILE__ ) );
}










/*--------------------------------------------------------------------------------------------------*/
/*** ADD ACTIONS
----------------------------------------------------------------------------------------------------*/
add_action( 'wp_enqueue_scripts', 'cr_load_plugin_css' );

// Load Locations
add_action( 'wp_ajax_nopriv_cr_load_locations', 'cr_load_locations' );
add_action( 'wp_ajax_cr_load_locations', 'cr_load_locations' );

// Save Single Location Submission
add_action( 'wp_ajax_nopriv_cr_save_single_inquiry', 'cr_save_single_inquiry' );
add_action( 'wp_ajax_cr_save_single_inquiry', 'cr_save_single_inquiry' );

// Save Multi Location Submission
add_action( 'wp_ajax_nopriv_cr_save_multi_inquiry', 'cr_save_multi_inquiry' );
add_action( 'wp_ajax_cr_save_multi_inquiry', 'cr_save_multi_inquiry' );

// Save TT Submission
add_action( 'wp_ajax_nopriv_cr_save_tt_inquiry', 'cr_save_tt_inquiry' );
add_action( 'wp_ajax_cr_save_tt_inquiry', 'cr_save_tt_inquiry' );

// Save Single TT Submission
add_action( 'wp_ajax_nopriv_cr_save_ttsingle_inquiry', 'cr_save_ttsingle_inquiry' );
add_action( 'wp_ajax_cr_save_ttsingle_inquiry', 'cr_save_ttsingle_inquiry' );

// Save Member Referral Submission
add_action( 'wp_ajax_nopriv_cr_save_referral_inquiry', 'cr_save_referral_inquiry' );
add_action( 'wp_ajax_cr_save_referral_inquiry', 'cr_save_referral_inquiry' );

// Book Single Location Class
add_action( 'wp_ajax_nopriv_cr_single_book_user_to_class', 'cr_single_book_user_to_class' );
add_action( 'wp_ajax_cr_single_book_user_to_class', 'cr_single_book_user_to_class' );

// Book Multi Location Class
add_action( 'wp_ajax_nopriv_cr_multi_book_user_to_class', 'cr_multi_book_user_to_class' );
add_action( 'wp_ajax_cr_multi_book_user_to_class', 'cr_multi_book_user_to_class' );

// Shortcodes to generate forms
add_shortcode('single_clubready_form', 'codemay_single_clubready_form');
add_shortcode('multi_clubready_form', 'codemay_multi_clubready_form');
add_shortcode('tt_clubready_form', 'codemay_tt_clubready_form');
add_shortcode('referral_clubready_form', 'codemay_referral_clubready_form');
add_shortcode('ttsingle_clubready_form', 'codemay_ttsingle_clubready_form');









/*--------------------------------------------------------------------------------------------------*/
/*** LOCATIONS
----------------------------------------------------------------------------------------------------*/


/*** Get Locations from Club Ready
--------------------------------------------------------------------------------------------------*/
include( plugin_dir_path( __FILE__ ) . 'parts/get-locations.php' );

/*** Load Locations
--------------------------------------------------------------------------------------------------*/
function cr_load_locations() {

  //LoadCRLocationsFromDatabase();
  
  $existing = get_site_option('clubready_locations');
	echo  $existing;
  
  wp_die(); // this is required to terminate immediately and return a proper response
}










/*--------------------------------------------------------------------------------------------------*/
/*** ERRORS
----------------------------------------------------------------------------------------------------*/
include( plugin_dir_path( __FILE__ ) . 'parts/errors.php' );










/*--------------------------------------------------------------------------------------------------*/
/*** CURLS
----------------------------------------------------------------------------------------------------*/
include( plugin_dir_path( __FILE__ ) . 'parts/curls.php' );










/*--------------------------------------------------------------------------------------------------*/
/*** CLASSES
----------------------------------------------------------------------------------------------------*/
include( plugin_dir_path( __FILE__ ) . 'parts/classes.php' );










/*--------------------------------------------------------------------------------------------------*/
/*** FORMS
----------------------------------------------------------------------------------------------------*/


// Single Location Form
include( plugin_dir_path( __FILE__ ) . 'forms/single-location-form.php' );


// Multi Location Form
include( plugin_dir_path( __FILE__ ) . 'forms/multi-location-form.php' );


// Teacher Training Form
include( plugin_dir_path( __FILE__ ) . 'forms/tt-form.php' );


// Member Referral USA Form
include( plugin_dir_path( __FILE__ ) . 'forms/member-referral-form.php' );


// Single Teacher Training Form
 include( plugin_dir_path( __FILE__ ) . 'forms/tt-form-single.php' );







/*--------------------------------------------------------------------------------------------------*/
/*** Location Info
----------------------------------------------------------------------------------------------------*/


// Get Location Info
include( plugin_dir_path( __FILE__ ) . 'parts/location-info.php' );