<?php // ClubReady Fied Settings - Global

if( function_exists('acf_add_local_field_group') ):

  acf_add_local_field_group(array(
    'key' => 'group_5c80341726cc5',
    'title' => 'ClubReady Field Settings',
    'fields' => array(
      array(
        'key' => 'field_5c8062033c113',
        'label' => 'Required Fields',
        'name' => '',
        'type' => 'tab',
        'instructions' => '',
        'required' => 0,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '',
          'class' => '',
          'id' => '',
        ),
        'placement' => 'top',
        'endpoint' => 0,
      ),
      array(
        'key' => 'field_5c804c7561534',
        'label' => 'Store ID',
        'name' => 'global_cr_store_id',
        'type' => 'number',
        'instructions' => 'The ClubReady store id for a single location',
        'required' => 0,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '50',
          'class' => '',
          'id' => '',
        ),
        'default_value' => '',
        'placeholder' => '',
        'prepend' => '',
        'append' => '',
        'min' => '',
        'max' => '',
        'step' => '',
      ),
      array(
        'key' => 'field_5c804c8b61535',
        'label' => 'Referral ID',
        'name' => 'global_cr_referral_id',
        'type' => 'number',
        'instructions' => 'The referral id that should be associated with leads from this site',
        'required' => 0,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '50',
          'class' => '',
          'id' => '',
        ),
        'default_value' => '',
        'placeholder' => '',
        'prepend' => '',
        'append' => '',
        'min' => '',
        'max' => '',
        'step' => '',
      ),
      array(
        'key' => 'field_5c804c75a2045',
        'label' => 'REACH Campaign ID',
        'name' => 'global_cr_reach_campaign_id',
        'type' => 'number',
        'instructions' => 'The Internal Campaign ID inside of REACH for this location',
        'required' => 0,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '50',
          'class' => '',
          'id' => '',
        ),
        'default_value' => '',
        'placeholder' => '',
        'prepend' => '',
        'append' => '',
        'min' => '',
        'max' => '',
        'step' => '',
      ),
      array(
        'key' => 'field_5c804e75a2026',
        'label' => 'Referral Source',
        'name' => 'global_cr_referral_source',
        'type' => 'text',
        'instructions' => 'The source of the lead. Default is "Google".',
        'required' => 0,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '50',
          'class' => '',
          'id' => '',
        ),
        'default_value' => '',
        'placeholder' => '',
        'prepend' => '',
        'append' => '',
        'maxlength' => '',
      ),
      array(
        'key' => 'field_5c804d2861537',
        'label' => 'Radius',
        'name' => 'global_cr_radius',
        'type' => 'number',
        'instructions' => 'The radial distance in miles that the multi-location form should return results from',
        'required' => 0,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '50',
          'class' => '',
          'id' => '',
        ),
        'default_value' => 15,
        'placeholder' => '',
        'prepend' => '',
        'append' => '',
        'min' => '',
        'max' => '',
        'step' => 1,
      ),
      array(
        'key' => 'field_5c804d3261538',
        'label' => 'Class Days',
        'name' => 'global_cr_class_days',
        'type' => 'number',
        'instructions' => 'The number of days into the future that the class list should return classes for',
        'required' => 0,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '50',
          'class' => '',
          'id' => '',
        ),
        'default_value' => 14,
        'placeholder' => '',
        'prepend' => '',
        'append' => '',
        'min' => '',
        'max' => '',
        'step' => 1,
      ),
      array(
        'key' => 'field_5c8062493c114',
        'label' => 'Optional Fields',
        'name' => '',
        'type' => 'tab',
        'instructions' => '',
        'required' => 0,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '',
          'class' => '',
          'id' => '',
        ),
        'placement' => 'top',
        'endpoint' => 0,
      ),
      array(
        'key' => 'field_5c804cba61536',
        'label' => 'Chain ID',
        'name' => 'global_cr_chain_id',
        'type' => 'number',
        'instructions' => 'The corporate chain id for the this client. Required for multi-location and referral forms.',
        'required' => 0,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '33.3333',
          'class' => '',
          'id' => '',
        ),
        'default_value' => '',
        'placeholder' => '',
        'prepend' => '',
        'append' => '',
        'min' => '',
        'max' => '',
        'step' => '',
      ),
      array(
        'key' => 'field_5c804d4861539',
        'label' => 'Class ID',
        'name' => 'global_cr_class_id',
        'type' => 'number',
        'instructions' => 'The id of the class to be returned in the class scheduler list. If blank, will return all classes.',
        'required' => 0,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '33.3333',
          'class' => '',
          'id' => '',
        ),
        'default_value' => '',
        'placeholder' => '',
        'prepend' => '',
        'append' => '',
        'min' => '',
        'max' => '',
        'step' => '',
      ),
      array(
        'key' => 'field_5d7a7a18b45e0',
        'label' => 'Class Category ID',
        'name' => 'global_cr_class_cat_id',
        'type' => 'number',
        'instructions' => 'The id of the class category to be returned in the class scheduler list. If blank, will return all classes or specified class id.',
        'required' => 0,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '33.3333',
          'class' => '',
          'id' => '',
        ),
        'default_value' => '',
        'placeholder' => '',
        'prepend' => '',
        'append' => '',
        'min' => '',
        'max' => '',
        'step' => '',
      ),
      array(
        'key' => 'field_5c8061f43c112',
        'label' => 'Prospect ID',
        'name' => 'global_cr_prospect_id',
        'type' => 'number',
        'instructions' => '',
        'required' => 0,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '50',
          'class' => '',
          'id' => '',
        ),
        'default_value' => '',
        'placeholder' => '',
        'prepend' => '',
        'append' => '',
        'min' => '',
        'max' => '',
        'step' => '',
      ),
      array(
        'key' => 'field_5c8062623c115',
        'label' => 'User ID',
        'name' => 'global_cr_user_id',
        'type' => 'number',
        'instructions' => '',
        'required' => 0,
        'conditional_logic' => 0,
        'wrapper' => array(
          'width' => '50',
          'class' => '',
          'id' => '',
        ),
        'default_value' => '',
        'placeholder' => '',
        'prepend' => '',
        'append' => '',
        'min' => '',
        'max' => '',
        'step' => '',
      ),
    ),
    'location' => array(
      array(
        array(
          'param' => 'options_page',
          'operator' => '==',
          'value' => 'acf-options-cr-field-settings',
        ),
      ),
    ),
    'menu_order' => 0,
    'position' => 'normal',
    'style' => 'default',
    'label_placement' => 'top',
    'instruction_placement' => 'label',
    'hide_on_screen' => '',
    'active' => true,
    'description' => 'GLOBAL - Default ClubReady field settings for the site',
  ));
  
  endif;

?>