<?php
/*--------------------------------------------------------------------------------------------------*/
/*** Member Referral Form
----------------------------------------------------------------------------------------------------*/



/*** CODEMAY/ClubReady Lead Form - Referral
--------------------------------------------------------------------------------------------------*/
function codemay_referral_clubready_form($atts) {
  wp_enqueue_script('googlemap');
  wp_enqueue_script('codemay-clubready-js');
  wp_enqueue_script('moment-js');
  wp_enqueue_script('sweetalert-js');

  $redirect = '/#';
  if (isset($atts['redirect'])) {
    $redirect = $atts['redirect'];
  }

  wp_localize_script('codemay-clubready-js', 'myAjax', 
    array(
      'ajaxUrl' => admin_url('admin-ajax.php'),
      'mapkey' => GOOGLEMAPSKEY
    )
  );
  


  /*** Get the post
  --------------------------------------------------------------------------------------------------*/
  $postID = get_the_ID();



  /*** Referral Template ID
  --------------------------------------------------------------------------------------------------*/
  $templateID = get_field('global_cr_template_id','option');



  /*** Store ID
  --------------------------------------------------------------------------------------------------*/
  $storeID = get_field('global_cr_store_id','option');
  //$storeID = $memberStudio;



  /*** Referral ID
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_referral_id', $postID) ) {
    $referralID = get_field('page_cr_referral_id', $postID);
  } elseif( get_field('global_cr_referral_id','option') ) {
    $referralID = get_field('global_cr_referral_id','option');
  }



  /*** REACH Campaign ID
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_reach_campaign_id', $postID) ) {
    $reachCampaignID = get_field('page_cr_reach_campaign_id', $postID);
  } elseif( get_field('global_cr_reach_campaign_id','option') ) {
    $reachCampaignID = get_field('global_cr_reach_campaign_id','option');
  } else {
    $reachCampaignID = '';
  }


  /*** Referral Source
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_referral_source', $postID) ) {
    $referralSource = get_field('page_cr_referral_source', $postID);
  } elseif( get_field('global_cr_referral_source','option') ) {
    $referralSource = get_field('global_cr_referral_source','option');
  } else {
    $referralSource = 'Google';
  }




  /*** Prospect ID
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_prospect_id', $postID) ) {
    $prospectID = get_field('page_cr_prospect_id', $postID);
  } elseif( get_field('global_cr_prospect_id','option') ) {
    $prospectID = get_field('global_cr_prospect_id','option');
  }



  /*** Chain ID
  --------------------------------------------------------------------------------------------------*/
  $chainID = get_field('global_cr_chain_id','option');



  /*** Send To Emails
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_send_to', $postID) ) {
    $sendto = get_field('page_cr_send_to', $postID);
  } elseif( get_field('global_cr_send_to','option') ) {
    $sendto = get_field('global_cr_send_to','option');
  } else {
    $sendto = get_field('email','option');
  }



  /*** CC Emails
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_cc', $postID) ) {
    while( have_rows('page_cr_cc', $postID) ) : the_row();
      $array[] = get_sub_field('cc', $postID);
    endwhile;
    $cc = implode(',', $array);
  } elseif( get_field('global_cr_cc','option') ) {
    while( have_rows('global_cr_cc','option') ) : the_row();
      $array[] = get_sub_field('cc','option');
    endwhile;
    $cc = implode(',', $array);
  }



  /*** Campaign Name
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_campaign_name', $postID) ) {
    $campaign = get_field('page_ccr_ampaign_name', $postID);
  } elseif( get_field('global_cr_campaign_name','option') ) {
    $campaign = get_field('global_cr_campaign_name','option');
  }



  /*** Submit Button
  --------------------------------------------------------------------------------------------------*/
  /*** Button Text */
  if( get_field('page_cr_submit_btn', $postID) ) {
    $btnText = get_field('page_cr_submit_btn', $postID);
  } elseif( get_field('global_cr_submit_btn','option') ) {
    $btnText = get_field('global_cr_submit_btn','option');
  } else {
    $btnText = 'Get Started!';
  }

  /*** Button Style */
  if( get_field('page_cr_btn_style', $postID) ) {
    $btnStyle = get_field('page_cr_btn_style', $postID);
  } elseif( get_field('global_cr_btn_style','option') ) {
    $btnStyle = get_field('global_cr_btn_style','option');
  }

  /*** Button Color */
  if( get_field('page_cr_btn_color', $postID) ) {
    $btnColor = get_field('page_cr_btn_color', $postID);
  } elseif( get_field('global_cr_btn_color','option') ) {
    $btnColor = get_field('global_cr_btn_color','option');
  }

  /*** Button Alignment */
  if( get_field('page_cr_btn_align', $postID) ) {
    $btnAlign = get_field('page_cr_btn_align', $postID);
  } elseif( get_field('global_cr_btn_align','option') ) {
    $btnAlign = get_field('global_cr_btn_align','option');
  }

  /*** Button Onclick */
  if( get_field('page_cr_btn_onclick', $postID) ) {
    $btnOnclick = get_field('page_cr_btn_onclick', $postID);
  } elseif( get_field('global_cr_btn_onclick','option') ) {
    $btnOnclick = get_field('global_cr_btn_onclick','option');
  }
  if( $btnOnclick ) {
    $btnClick = $btnOnclick;
  } else {
    $btnClick = 'gtag_report_conversion()';
  }



  /*** Success Messages
  --------------------------------------------------------------------------------------------------*/
  /*** Non Booking */
  if( get_field('page_cr_success', $postID) ) {
    $nonbookingSuccess = get_field('page_cr_success', $postID);
  } elseif( get_field('global_cr_success','option') ) {
    $nonbookingSuccess = get_field('global_cr_success','option');
  }
  if( $nonbookingSuccess ) {
    $success = $nonbookingSuccess;
  } else {
    $success = '<h3>Thank You!</h3>
                <h5>We\'ll be contacting you shortly.</h5>';
  }



  /*** Share Links Alignment
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_share_align', $postID) ) {
    $shareAlign = get_field('page_cr_share_align', $postID);
  } elseif( get_field('global_cr_share_align','option') ) {
    $shareAlign = get_field('global_cr_share_align','option');
  }



  /*** Submission Page URL
  --------------------------------------------------------------------------------------------------*/
  $pageurl = "http://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";

  
  
  /*** Form HTML
  --------------------------------------------------------------------------------------------------*/
  $html = '<div class="referral-clubready-form">

            <script>
              $(window).keydown(function(event){
                if(event.keyCode == 13) {
                  event.preventDefault();
                  return false;
                }
              });
            </script>

            <form name="referral-clubready-form" id="referral-clubready-form" data-redirect="' . $redirect . '">
				
              <input type="hidden" name="nonce" id="location-nonce" value="' . wp_create_nonce('referral-clubready-form') . '" />
              <input type="hidden" name="form-name" id="form-name" value="Referral Form" />
              <input type="hidden" name="redirect" id="redirect" value="' . $redirect . '" />

              <input type="hidden" name="referral-id" id="referral-id" value="' . $referralID . '" />
              <input type="hidden" name="reach-id" id="reach-id" value="' . $reachCampaignID . '" />
              <input type="hidden" name="referral-source" id="referral-source" value="' . $referralSource . '" />
              <input type="hidden" name="template-id" id="template-id" value="' . $templateID . '" />
              
              <input type="hidden" name="page-title" id="page-title" value="' . get_the_title($postID) . '" />
              <input type="hidden" name="page-url" id="page-url" value="' . $pageurl . '" />
              <input type="hidden" name="campaign" id="campaign" value="' . $campaign . '">

              <input type="hidden" name="sendto-email" id="sendto-email" value="' . $sendto . '" />
              <input type="hidden" name="cc-leads" id="cc-leads" value="leads@franchisefocusedmarketing.com" />
              <input type="hidden" name="cc-email" id="cc-email" value="' . $cc . '" />

              <input type="hidden" name="chain-id" id="chain-id" value="' . $chainID . '" />

              <div class="row referralForm">
                <div class="col-12">

                  <div class="row">
                    <div class="col-12 col-md-6">
                      <input type="text" name="rfname" id="rfname" class="form-control" placeholder="Your First Name" />
                    </div>
                    <div class="col-12 col-md-6">
                      <input type="text" name="rlname" id="rlname" class="form-control" placeholder="Your Last Name" />
                    </div>
                    <div class="col-12 col-md-6">
                      <input type="email" name="remail" id="remail" class="form-control" placeholder="Your Email" />
                    </div>
                    <div class="col-12 col-md-6">
                      <input type="text" name="rphone" id="rphone" class="form-control" placeholder="Your Phone Number" />
                    </div>
                  </div>
                  <div class="row">  
                    <div class="col-12 col-md-6">
                      <input type="text" name="fname" id="fname" class="form-control" placeholder="Friend\'s First Name" />
                    </div>
                    <div class="col-12 col-md-6">
                      <input type="text" name="lname" id="lname" class="form-control" placeholder="Friend\'s Last Name" />
                    </div>
                    <div class="col-12 col-md-6">
                      <input type="email" name="email" id="email" class="form-control" placeholder="Friend\'s Email" />
                    </div>
                    <div class="col-12 col-md-6">
                      <input type="text" name="phone" id="phone" class="form-control" placeholder="Friend\'s Phone Number" />
                    </div>
                    <div class="col-12 ' . $btnAlign . '">
                      <input type="submit" id="submit" class="btn btn-' . $btnStyle . ' ' . $btnColor . '" value="' . $btnText . '" onclick="' . $btnClick . '">
                    </div>
                  </div>

                </div>
              </div>
            </form>

            <div class="form-success" id="success" style="display: none">
              ' . $success . '
            </div>';
                
  $html .='      </div>';

  return $html;

}










/*** Build Query String - Referral
--------------------------------------------------------------------------------------------------*/
function cr_build_referral_member_querystring($post) {

  $params = array(
    'ApiKey' => CLUBREADY_API_KEY,
    'ChainId' => $post['chain-id'],
    'Email' => $post['remail'],
  );

  $query = http_build_query($params);

  return $query;

}


function cr_build_referred_prospect_querystring($post, $memberStudio, $memberID) {

  $params = array(
    'ApiKey' => CLUBREADY_API_KEY,
    'StoreId' => $memberStudio,
    'ReferralTypeId' => $post['referral-id'],
    'ReferredBy' => $memberID,
    'FirstName' => $post['fname'],
    'LastName' => $post['lname'],
    'Email' => $post['email'],
    'Phone' => $post['phone'],
    'SendEmail' => 'true',
    'EmailTemplateID' => $post['template-id'],
    'format' => 'json',
  );

  $query = http_build_query($params);

  return $query;

}






/*** Get Member Info / Post Referral to ClubReady - Referral
--------------------------------------------------------------------------------------------------*/
function cr_save_referral_inquiry() {

  // check for nonce
  if (!wp_verify_nonce($_REQUEST['nonce'], 'referral-clubready-form')) {
    exit("No naughty business please");
  }

  $query = cr_build_referral_member_querystring($_POST);

  // setup API URL
  $api_url = CLUBREADY_API_URL . '/users/find?' . $query;

  // get referring member's info
  $member_info = cr_booking_get_curl($api_url, $query);

  $user_data = json_decode($member_info);

  // check if we returned a UserId, then proceed or send error
  if (!empty($user_data->users)) {
    $memberID = $user_data->users[0]->UserId;
    $memberStudio = $user_data->users[0]->PrimaryStoreId;
    
    $querynew = cr_build_referred_prospect_querystring($_POST, $memberStudio, $memberID);

    cr_save_referral_reach_inquiry($_POST, $memberStudio, $memberID);

    cr_send_referral_email();
    
    $api_urlnew = CLUBREADY_API_URL . '/users/prospect?' . $querynew;

    $responsenew = cr_booking_post_curl($api_urlnew, $querynew);

    $user_datanew = json_decode($responsenew);

    // check if we returned a UserId, then proceed or send error
    if (isset($user_datanew->UserId)) {
      wp_send_json_success($user_datanew);
    } else {
      cr_send_error_email($responsenew);
      wp_send_json_error(array('NoUser' => $user_datanew, 'requestUrl' => $api_urlnew));
    }

  } else {
    cr_send_error_email($member_info);
    wp_send_json_error(array('NoUser' => $user_data, 'requestUrl' => $api_url));
  }

}







/*** REACH Integration
--------------------------------------------------------------------------------------------------*/
function cr_save_referral_reach_inquiry($post, $memberStudio, $memberID) {
 
  $api_url = REACH_API_URL;
  $campaign_id = $post['reach-id'];

  if ($campaign_id > "") {
    $params = array(
      "FirstName" => $post['fname'],
      "LastName" => $post['lname'],
      "Email" => $post['email'],
      "Phone" => $post['phone'],
      "CrmId" => $memberStudio,
      "CrmName" => "ClubReady",
      "PageTitle" => $post['page-title'],
      "PageUrl" => $post['page-url'],
      "ReferralSource" => $post['referral-source'],
      "ReferralID" => $post['referral-id'],
      "Notes" => "Member Referral from: " . $post['rfname'] . ' ' . $post['rlname'] . ' ' . $post['remail'],
      "CampaignId" => $campaign_id,
      "ApiKey" => REACH_API_KEY
    );
 
    $json = json_encode($params);  
    $response = cr_booking_post_curl($api_url, $json, true);
  }

}





/*** Send Emails - Referral
--------------------------------------------------------------------------------------------------*/
function cr_send_referral_email() {
  $to = $_POST['sendto-email'];
  $subject = $_POST['page-title'] . ' - Referral Submission';
  $message = '<html><body style="width:600px;margin:auto;font-size:16px;line-height:26px;">
              
              <div style="padding:30px;">
                <p>You have a new digital referral lead submission from FFM.</p>

                <p>The following member:<br />
                <b>Name:</b> ' . $_POST['rfname'] . ' ' . $_POST['rlname'] . '<br />
                <b>Email:</b> ' . $_POST['remail'] . '</p>
                
                <p>Referred the following friend for a free class:<br />
                <b>Name:</b> ' . $_POST['fname'] . ' ' . $_POST['lname'] . '<br />
                <b>Email:</b> ' . $_POST['email'] . '</p>

                <p>To the following location:<br />
                <b>Store ID: ' . $memberStudio . '</p>

                <p><b>Landing Page URL:</b> ' . $_POST['page-url'] . '</p>
                
                <p>If you have any questions, or if you need any technical support, please email us at support@franchisefocusedmarketing.com!</p>
                
                <p>Sincerely,<br />
                The FFM Team </p>
              </div>

              </body></html>';
  $headers = array(
    'From: FFM <leads@franchisefocusedmarketing.com>',
    'Cc:' . $_POST['cc-email'],
    'Cc:' . $_POST['cc-leads'],
    'Content-Type: text/html; charset=UTF-8',
  );

  wp_mail( $to, $subject, $message, $headers );
}