<?php
/*--------------------------------------------------------------------------------------------------*/
/*** Single Teacher Training Form
----------------------------------------------------------------------------------------------------*/



/*** ClubReady Teacher Training Form - Single
--------------------------------------------------------------------------------------------------*/
function codemay_ttsingle_clubready_form($atts) {
  wp_enqueue_script('googlemap');
  wp_enqueue_script('codemay-clubready-js');
  wp_enqueue_script('moment-js');
  wp_enqueue_script('sweetalert-js');

  $redirect = '/#';
  if (isset($atts['redirect'])) {
    $redirect = $atts['redirect'];
  }

  $signup = '';
  if (isset($atts['signup'])) {
    $signup = $atts['signup'];
  }

  wp_localize_script('codemay-clubready-js', 'myAjax', 
    array(
      'ajaxUrl' => admin_url('admin-ajax.php'),
      'signup' => $signup
    )
  );
  


  /*** Get the post
  --------------------------------------------------------------------------------------------------*/
  $postID = get_the_ID();
  


  /*** Store ID
  --------------------------------------------------------------------------------------------------*/
  $storeID = get_field('global_cr_store_id','option');



  /*** Referral ID
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_referral_id', $postID) ) {
    $referralID = get_field('page_cr_referral_id', $postID);
  } elseif( get_field('global_cr_referral_id','option') ) {
    $referralID = get_field('global_cr_referral_id','option');
  }


/*** REACH Campaign ID
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_reach_campaign_id', $postID) ) {
    $reachCampaignID = get_field('page_cr_reach_campaign_id', $postID);
  } elseif( get_field('global_cr_reach_campaign_id','option') ) {
    $reachCampaignID = get_field('global_cr_reach_campaign_id','option');
  } else {
    $reachCampaignID = '';
  }




  /*** Referral Source
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_referral_source', $postID) ) {
    $referralSource = get_field('page_cr_referral_source', $postID);
  } elseif( get_field('global_cr_referral_source','option') ) {
    $referralSource = get_field('global_cr_referral_source','option');
  } else {
    $referralSource = 'Google';
  }



  /*** Prospect ID
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_prospect_id', $postID) ) {
    $prospectID = get_field('page_cr_prospect_id', $postID);
  } elseif( get_field('global_cr_prospect_id','option') ) {
    $prospectID = get_field('global_cr_prospect_id','option');
  }
  


  /*** User ID
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_user_id', $postID) ) {
    $userID = get_field('page_cr_user_id', $postID);
  } elseif( get_field('global_cr_user_id','option') ) {
    $userID = get_field('global_cr_user_id','option');
  }



  /*** Class ID
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_class_id', $postID) ) {
    $classID = get_field('page_cr_class_id', $postID);
  } elseif( get_field('global_cr_class_id','option') ) {
    $classID = get_field('global_cr_class_id','option');
  }



  /*** Send To Emails
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_send_to', $postID) ) {
    $sendto = get_field('page_cr_send_to', $postID);
  } elseif( get_field('global_cr_send_to','option') ) {
    $sendto = get_field('global_cr_send_to','option');
  } else {
    $sendto = get_field('email','option');
  }



  /*** CC Emails
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_cc', $postID) ) {
    while( have_rows('page_cr_cc', $postID) ) : the_row();
      $array[] = get_sub_field('cc', $postID);
    endwhile;
    $cc = implode(',', $array);
  } elseif( get_field('global_cr_cc','option') ) {
    while( have_rows('global_cr_cc','option') ) : the_row();
      $array[] = get_sub_field('cc','option');
    endwhile;
    $cc = implode(',', $array);
  }



  /*** Campaign Name
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_campaign_name', $postID) ) {
    $campaign = get_field('page_cr_campaign_name', $postID);
  } elseif( get_field('global_cr_campaign_name','option') ) {
    $campaign = get_field('global_cr_campaign_name','option');
  }



  /*** Submit Button
  --------------------------------------------------------------------------------------------------*/
  /*** Button Text */
  if( get_field('page_cr_submit_btn', $postID) ) {
    $btnText = get_field('page_cr_submit_btn', $postID);
  } elseif( get_field('global_cr_submit_btn','option') ) {
    $btnText = get_field('global_cr_submit_btn','option');
  } else {
    $btnText = 'Get Started!';
  }

  /*** Button Style */
  if( get_field('page_cr_btn_style', $postID) ) {
    $btnStyle = get_field('page_cr_btn_style', $postID);
  } elseif( get_field('global_cr_btn_style','option') ) {
    $btnStyle = get_field('global_cr_btn_style','option');
  }

  /*** Button Color */
  if( get_field('page_cr_btn_color', $postID) ) {
    $btnColor = get_field('page_cr_btn_color', $postID);
  } elseif( get_field('global_cr_btn_color','option') ) {
    $btnColor = get_field('global_cr_btn_color','option');
  }

  /*** Button Alignment */
  if( get_field('page_cr_btn_align', $postID) ) {
    $btnAlign = get_field('page_cr_btn_align', $postID);
  } elseif( get_field('global_cr_btn_align','option') ) {
    $btnAlign = get_field('global_cr_btn_align','option');
  }

  /*** Button Onclick */
  if( get_field('page_cr_btn_onclick', $postID) ) {
    $btnOnclick = get_field('page_cr_btn_onclick', $postID);
  } elseif( get_field('global_cr_btn_onclick','option') ) {
    $btnOnclick = get_field('global_cr_btn_onclick','option');
  }
  if( $btnOnclick ) {
    $btnClick = $btnOnclick;
  } else {
    $btnClick = 'gtag_report_conversion()';
  }



  /*** Success Messages
  --------------------------------------------------------------------------------------------------*/
  /*** Non Booking */
  if( get_field('page_cr_success', $postID) ) {
    $nonbookingSuccess = get_field('page_cr_success', $postID);
  } elseif( get_field('global_cr_success','option') ) {
    $nonbookingSuccess = get_field('global_cr_success','option');
  }
  if( $nonbookingSuccess ) {
    $success = $nonbookingSuccess;
  } else {
    $success = '<h3>Thank You!</h3>
                <h5>We\'ll be contacting you shortly.</h5>';
  }
  
  /*** Booking */
  if( get_field('page_cr_booking_success', $postID) ) {
    $bookingSuccess = get_field('page_cr_booking_success', $postID);
  } elseif( get_field('global_cr_booking_success','option') ) {
    $bookingSuccess = get_field('global_cr_booking_success','option');
  }
  if( $bookingSuccess ) {
    $successBooking = $bookingSuccess;
  } else {
    $successBooking = '<h3>Thank You!</h3>
                       <h5>Your spot is reserved. We\'ll see you there!</h5>';
  }
  


  /*** Booking Message
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_booking_msg', $postID) ) {
    $bookingMsg = get_field('page_cr_booking_msg', $postID);
  } elseif( get_field('global_cr_booking_msg','option') ) {
    $bookingMsg = get_field('global_cr_booking_msg','option');
  }
  if( $bookingMsg ) {
    $bookingText = $bookingMsg;
  } else {
    $bookingText = '<h3>Ready to get started?</h3>
                    <h5>Pick your FREE class:</h5>';
  }



  /*** Booking Button
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_booking_btn', $postID) ) {
    $bookingBtnText = get_field('page_cr_booking_btn', $postID);
  } elseif( get_field('global_cr_booking_btn','option') ) {
    $bookingBtnText = get_field('global_cr_booking_btn','option');
  }
  if( $bookingBtnText ) {
    $bookingBtn = $bookingBtnText;
  } else {
    $bookingBtn = 'Reserve My Spot!';
  }



  /*** Submission Page URL
  --------------------------------------------------------------------------------------------------*/
  $pageurl = "$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";



  /*** Form HTML
  --------------------------------------------------------------------------------------------------*/
  $html = '<div class="single-clubready-form">

            <script>
              $(window).keydown(function(event){
                if(event.keyCode == 13) {
                  event.preventDefault();
                  return false;
                }
              });
            </script>

            <form name="ttsingle-clubready-form" id="ttsingle-clubready-form" data-redirect="' . $redirect . '">
				
              <input type="hidden" name="nonce" id="location-nonce" value="' . wp_create_nonce('ttsingle-clubready-form') . '" />
              <input type="hidden" name="form-name" id="form-name" value="Single Teacher Training Location Form" />
              <input type="hidden" name="redirect" id="redirect" value="' . $redirect . '" />

              <input type="hidden" name="store-id" id="store-id" value="' . $storeID . '" />
              <input type="hidden" name="referral-id" id="referral-id" value="' . $referralID . '" />
              <input type="hidden" name="reach-id" id="reach-id" value="' . $reachCampaignID . '" />
              <input type="hidden" name="referral-source" id="referral-source" value="' . $referralSource . '" />
              <input type="hidden" name="prospect-id" id="prospect-id" value="' . $prospectID . '" />
              <input type="hidden" name="user-id" id="user-id" value="' . $userID . '" />
              <input type="hidden" name="class-id" id="class-id" value="' . $classID . '" />

              <input type="hidden" name="page-title" id="page-title" value="' . get_the_title($postID) . '" />
              <input type="hidden" name="page-url" id="page-url" value="' . $pageurl . '" />
              <input type="hidden" name="campaign" id="campaign" value="' . $campaign . '">

              <input type="hidden" name="sendto-email" id="sendto-email" value="' . $sendto . '" />
              <input type="hidden" name="cc-leads" id="cc-leads" value="leads@franchisefocusedmarketing.com" />
              <input type="hidden" name="cc-email" id="cc-email" value="' . $cc . '" />

              <input type="hidden" name="showClasses" id="showClasses" value="' . $signup . '" />

              <div class="row singleForm">
                <div class="col-12">
                  <div class="row">
                    <div class="col-12 col-md-6">
                      <input type="text" name="fname" id="fname" class="form-control" placeholder="First Name" />
                    </div>
                    <div class="col-12 col-md-6">
                      <input type="text" name="lname" id="lname" class="form-control" placeholder="Last Name" />
                    </div>
                    <div class="col-12 col-md-6">
                      <input type="email" name="email" id="email" class="form-control" placeholder="Email" />
                    </div>
                    <div class="col-12 col-md-6">
                      <input type="text" name="phone" id="phone" class="form-control" placeholder="Phone" />
                    </div>
                    <div class="col-12 col-md-6 offset-md-3">
                      <input type="text" name="zipcode" id="zipcode" class="form-control" placeholder="Your Zip Code" />
                    </div>
                    <div class="col-12 ' . $btnAlign . '">
                      <input type="submit" id="submit" class="btn btn-' . $btnStyle . ' ' . $btnColor . '" value="' . $btnText . '" onclick="' . $btnClick . '">
                    </div>
                  </div>
                </div>
              </div>
            </form>

            <div class="form-success" id="success" style="display: none">
              ' . $success . '
            </div>
            
            <div class="form-success" id="booking-success" style="display: none">
              ' . $successBooking . '
            </div>';
            
            if($signup) {
              $html .= '<div id="classChoiceFormWrap" style="display: none;">
                          <form name="ttsingle-signup-form" id="ttsingle-signup-form">
                  
                            <input type="hidden" name="nonce" id="signup-location-nonce" value="' . wp_create_nonce('ttsingle-signup-form') . '" />
                            <input type="hidden" name="signup-clubID" id="signup-clubID" value="" />
                            <input type="hidden" name="signup-userID" id="signup-userID" value="" />

                            <div class="row justify-content-center">
                              <div class="col-12">
                                ' . $bookingText . '
                              </div>

                              <div class="col-auto" id="classChoices">
                              </div>
                              
                              <div class="col-12 ' . $btnAlign . '">
                                <input type="submit" id="submit" class="btn btn-' . $btnStyle . ' ' . $btnColor . '" value="' . $bookingBtn . '">
                              </div>
                            </div>

                          </form>
                        </div>';
            }
                
  $html .='      </div>';

  return $html;

}






/*** Build Query String - ttsingle
--------------------------------------------------------------------------------------------------*/
function cr_build_ttsingle_prospect_querystring($post) {

  $params = array(
    'ApiKey' => CLUBREADY_API_KEY,
    'StoreId' => $post['store-id'],
    'ReferralTypeId' => $post['referral-id'],
    'ProspectTypeId' => $post['prospect-id'],
    'ReferredBy' => $post['user-id'],
    'FirstName' => $post['fname'],
    'LastName' => $post['lname'],
    'Email' => $post['email'],
    'Phone' => $post['phone'],
    'Zip' => $post['zipcode'],
    'Note' => $post['campaign'],
    'SendEmail' => 'true',
    'format' => 'json',
  );

  $query = http_build_query($params);

  return $query;

}






/*** Post Form Submission to ClubReady - Single
--------------------------------------------------------------------------------------------------*/
function cr_save_ttsingle_inquiry() {

  // check for nonce
  if (!wp_verify_nonce($_REQUEST['nonce'], 'ttsingle-clubready-form')) {
    exit("No naughty business please");
  }
  
  cr_save_ttsingle_reach_inquiry($_POST);
  cr_send_ttsingle_email();

  $query = cr_build_ttsingle_prospect_querystring($_POST);

  // setup API URL
  $api_url = CLUBREADY_API_URL . '/users/prospect?' . $query;

  // add prospect to class
  $response = cr_booking_post_curl($api_url, $query);

  $user_data = json_decode($response);

  // check if we returned a UserId, then proceed or send error
  if (isset($user_data->UserId)) {
	  if(isset($_POST["showClasses"]) && $_POST["showClasses"] != "") {
			$class_results = cr_get_classes($_POST['store-id']);

			if ($class_results) {
			  wp_send_json_success(array(
				'clubID' => $_POST['store-id'],
				'user' => $user_data,
				'classes' => $class_results,
			  ));
			} else {
			  wp_send_json_success($user_data);
			}	  
	  } else {
		  wp_send_json_success($user_data);
	  }
  } else {
    cr_send_error_email($response);
    wp_send_json_error(array('NoUser' => $user_data, 'requestUrl' => $api_url));
  }

}






/*** REACH Integration
--------------------------------------------------------------------------------------------------*/
function cr_save_ttsingle_reach_inquiry($post) {
 
  $api_url = REACH_API_URL;
  $campaign_id = $post['reach-id'];

  if ($campaign_id > "") {
    $params = array(
      "FirstName" => $post['fname'],
      "LastName" => $post['lname'],
      "Email" => $post['email'],
      "Phone" => $post['phone'],
      "CrmId" => $post['store-id'],
      "CrmName" => "ClubReady",
      "PageTitle" => $post['page-title'],
      "PageUrl" => $post['page-url'],
      "ReferralSource" => $post['referral-source'],
      "ReferralID" => $post['referral-id'],
      "Notes" => "Preferred Studio Location: ".$post['campaign'] . " Zip Code: ".$post['zipcode'],
      "CampaignId" => $campaign_id,
      "ApiKey" => REACH_API_KEY
    );
 
    $json = json_encode($params);  
    $response = cr_booking_post_curl($api_url, $json, true);
  }

}






/*** Class Booking - Single
--------------------------------------------------------------------------------------------------*/
function cr_ttsingle_book_user_to_class() {

  if (!wp_verify_nonce($_REQUEST['nonce'], 'ttsingle-signup-form')) {
    exit("No naughty business please");
  }
  
  $query = cr_build_booking_querystring($_POST);

  $booking_url = CLUBREADY_API_URL . '/scheduling/class-booking?' . $query;
 
  $response = cr_booking_post_curl($booking_url, $query);
 
  $booking = json_decode($response);

  if (isset($booking->BookingId) && $booking->BookingId != 0) {
    wp_send_json_success($booking);
  } else {
    cr_send_error_email($response);
    wp_send_json_error(array('BookUserIntoClass' => $booking, 'requestUrl' => $booking_url));
  }

}





/*** Send Emails - Single
--------------------------------------------------------------------------------------------------*/
function cr_send_ttsingle_email() {
  $to = $_POST['sendto-email'];
  $subject = $_POST['page-title'] . ' - Lead Submission';
  $message = '<html><body style="width:600px;margin:auto;font-size:16px;line-height:26px;">
              
              <div style="padding:30px;">
                <p>You have a new digital lead submission from FFM:</p>
                
                <p><b>Name:</b> ' . $_POST['fname'] . ' ' . $_POST['lname'] . '<br />
                <b>Email:</b> ' . $_POST['email'] . '<br />
                <b>Phone:</b> ' . $_POST['phone'] . '<br />
                <b>Zip:</b> ' . $_POST['zipcode'] . '</p>

                <p><b>Preferred Studio Location:</b> ' . $post['campaign'] . '</p>
                
                <p><b>Landing Page URL:</b> ' . $_POST['page-url'] . '</p>
                
                <p>If you have any questions, or if you need any technical support, please email us at support@franchisefocusedmarketing.com!</p>
                
                <p>Sincerely,<br />
                The FFM Team </p>
              </div>
              </body></html>';
  $headers = array(
    'From: FFM <leads@franchisefocusedmarketing.com>',
    'Cc:' . $_POST['cc-email'],
    'Cc:' . $_POST['cc-leads'],
    'Content-Type: text/html; charset=UTF-8',
  );

  wp_mail( $to, $subject, $message, $headers );
}