<?php
/*--------------------------------------------------------------------------------------------------*/
/*** Teacher Training Form
----------------------------------------------------------------------------------------------------*/



/*** ClubReady Lead Form - Teacher Training
--------------------------------------------------------------------------------------------------*/
function codemay_tt_clubready_form($atts) {
  wp_enqueue_script('googlemap');
  wp_enqueue_script('codemay-clubready-js');
  wp_enqueue_script('moment-js');
  wp_enqueue_script('sweetalert-js');

  $redirect = '/#';
  if (isset($atts['redirect'])) {
    $redirect = $atts['redirect'];
  }

  $radius = DEFAULT_RADIUS;
  if (isset($atts['radius'])) {
    $radius = $atts['radius'];
  }
  
  $locations = '';
  if (isset($atts['locations'])) {
    $locations = $atts['locations'];
  }
  
  wp_localize_script('codemay-clubready-js', 'myAjax', 
    array(
      'ajaxUrl' => admin_url('admin-ajax.php'),
      'radius' => $radius,
      'mapkey' => GOOGLEMAPSKEY,
      'locations' => $locations
    )
  );


  
  /*** Get the post
  --------------------------------------------------------------------------------------------------*/
  $postID = get_the_ID();



  /*** TT Store ID
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_tt_store_id', $postID) ) {
    $ttStoreID = get_field('page_cr_tt_store_id', $postID);
  } elseif( get_field('global_cr_tt_store_id','option') ) {
    $ttStoreID = get_field('global_cr_tt_store_id','option');
  } else {
    $ttStoreID = get_field('global_cr_store_id','option');
  }



  /*** Referral ID
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_referral_id', $postID) ) {
    $referralID = get_field('page_cr_referral_id', $postID);
  } elseif( get_field('global_cr_referral_id','option') ) {
    $referralID = get_field('global_cr_referral_id','option');
  }



/*** REACH Campaign ID
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_reach_campaign_id', $postID) ) {
    $reachCampaignID = get_field('page_cr_reach_campaign_id', $postID);
  } elseif( get_field('global_cr_reach_campaign_id','option') ) {
    $reachCampaignID = get_field('global_cr_reach_campaign_id','option');
  } else {
    $reachCampaignID = '';
  }




  /*** Referral Source
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_referral_source', $postID) ) {
    $referralSource = get_field('page_cr_referral_source', $postID);
  } elseif( get_field('global_cr_referral_source','option') ) {
    $referralSource = get_field('global_cr_referral_source','option');
  } else {
    $referralSource = 'Google';
  }



  /*** Prospect ID
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_prospect_id', $postID) ) {
    $prospectID = get_field('page_cr_prospect_id', $postID);
  } elseif( get_field('global_cr_prospect_id','option') ) {
    $prospectID = get_field('global_cr_prospect_id','option');
  }



  /*** User ID
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_user_id', $postID) ) {
    $userID = get_field('page_cr_user_id', $postID);
  } elseif( get_field('global_cr_user_id','option') ) {
    $userID = get_field('global_cr_user_id','option');
  }



  /*** Chain ID
  --------------------------------------------------------------------------------------------------*/
  $chainID = get_field('global_cr_chain_id','option');



  /*** Send To Emails
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_send_to', $postID) ) {
    $sendto = get_field('page_cr_send_to', $postID);
  } elseif( get_field('global_cr_send_to','option') ) {
    $sendto = get_field('global_cr_send_to','option');
  } else {
    $sendto = get_field('email','option');
  }



  /*** CC Emails
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_cc', $postID) ) {
    while( have_rows('page_cr_cc', $postID) ) : the_row();
      $array[] = get_sub_field('cc', $postID);
    endwhile;
    $cc = implode(',', $array);
  } elseif( get_field('global_cr_cc','option') ) {
    while( have_rows('global_cr_cc','option') ) : the_row();
      $array[] = get_sub_field('cc','option');
    endwhile;
    $cc = implode(',', $array);
  }



  /*** Campaign Name
  --------------------------------------------------------------------------------------------------*/
  if( get_field('page_cr_campaign_name', $postID) ) {
    $campaign = get_field('page_cr_campaign_name', $postID);
  } elseif( get_field('global_cr_campaign_name','option') ) {
    $campaign = get_field('global_cr_campaign_name','option');
  }



  /*** Submit Button
  --------------------------------------------------------------------------------------------------*/
  /*** Button Text */
  if( get_field('page_cr_submit_btn', $postID) ) {
    $btnText = get_field('page_cr_submit_btn', $postID);
  } elseif( get_field('global_cr_submit_btn','option') ) {
    $btnText = get_field('global_cr_submit_btn','option');
  } else {
    $btnText = 'Get Started!';
  }

  /*** Button Style */
  if( get_field('page_cr_btn_style', $postID) ) {
    $btnStyle = get_field('page_cr_btn_style', $postID);
  } elseif( get_field('global_cr_btn_style','option') ) {
    $btnStyle = get_field('global_cr_btn_style','option');
  }

  /*** Button Color */
  if( get_field('page_cr_btn_color', $postID) ) {
    $btnColor = get_field('page_cr_btn_color', $postID);
  } elseif( get_field('global_cr_btn_color','option') ) {
    $btnColor = get_field('global_cr_btn_color','option');
  }

  /*** Button Alignment */
  if( get_field('page_cr_btn_align', $postID) ) {
    $btnAlign = get_field('page_cr_btn_align', $postID);
  } elseif( get_field('global_cr_btn_align','option') ) {
    $btnAlign = get_field('global_cr_btn_align','option');
  }

  /*** Button Onclick */
  if( get_field('page_cr_btn_onclick', $postID) ) {
    $btnOnclick = get_field('page_cr_btn_onclick', $postID);
  } elseif( get_field('global_cr_btn_onclick','option') ) {
    $btnOnclick = get_field('global_cr_btn_onclick','option');
  }
  if( $btnOnclick ) {
    $btnClick = $btnOnclick;
  } else {
    $btnClick = 'gtag_report_conversion()';
  }



  /*** Success Messages
  --------------------------------------------------------------------------------------------------*/
  /*** Non Booking */
  if( get_field('page_cr_success', $postID) ) {
    $nonbookingSuccess = get_field('page_cr_success', $postID);
  } elseif( get_field('global_cr_success','option') ) {
    $nonbookingSuccess = get_field('global_cr_success','option');
  }
  if( $nonbookingSuccess ) {
    $success = $nonbookingSuccess;
  } else {
    $success = '<h3>Thank You!</h3>
                <h5>We\'ll be contacting you shortly.</h5>';
  }

  


  /*** Submission Page URL
  --------------------------------------------------------------------------------------------------*/
  $pageurl = "http://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";



  /*** Form HTML
  --------------------------------------------------------------------------------------------------*/
  $html = '<div class="tt-clubready-form">

            <script>
              $(document).ready(function() {
                cr_getlocations();
                cr_alternateZipLookup();

                $(window).keydown(function(event){
                  if(event.keyCode == 13) {
                    event.preventDefault();
                    return false;
                  }
                });
              });
            </script>

            <form name="tt-clubready-form" id="tt-clubready-form" data-redirect="' . $redirect . '">
				
              <input type="hidden" name="nonce" id="location-nonce" value="' . wp_create_nonce('tt-clubready-form') . '" />
              <input type="hidden" name="form-name" id="form-name" value="TT Form" />
              <input type="hidden" name="redirect" id="redirect" value="' . $redirect . '" />

              <input type="hidden" name="store-id" id="store-id" value="' . $ttStoreID . '" />
              <input type="hidden" name="referral-id" id="referral-id" value="' . $referralID . '">
              <input type="hidden" name="reach-id" id="reach-id" value="' . $reachCampaignID . '" />
              <input type="hidden" name="referral-source" id="referral-source" value="' . $referralSource . '" />
              <input type="hidden" name="prospect-id" id="prospect-id" value="' . $prospectID . '">
              <input type="hidden" name="user-id" id="user-id" value="' . $userID . '" />

              <input type="hidden" name="page-title" id="page-title" value="' . get_the_title($postID) . '" />
              <input type="hidden" name="page-url" id="page-url" value="' . $pageurl . '" />
              <input type="hidden" name="campaign" id="campaign" value="' . $campaign . '">

              <input type="hidden" name="sendto-email" id="sendto-email" value="' . $sendto . '" />
              <input type="hidden" name="cc-leads" id="cc-leads" value="leads@franchisefocusedmarketing.com" />
              <input type="hidden" name="cc-email" id="cc-email" value="' . $cc . '" />

              <input type="hidden" name="chainID" id="chainID" value="' . $chainID . '" />

              <input type="hidden" name="studio-name" id="studio-name" value="" />
              <input type="hidden" name="studio-email" id="studio-email" value="" />

              <div class="row ttForm">
                <div class="col-12">
                  <div class="row">
                    <div class="col-12 col-md-6">
                      <input type="text" name="fname" id="fname" class="form-control" placeholder="First Name" />
                    </div>
                    <div class="col-12 col-md-6">
                      <input type="text" name="lname" id="lname" class="form-control" placeholder="Last Name" />
                    </div>
                    <div class="col-12 col-md-6">
                      <input type="email" name="email" id="email" class="form-control" placeholder="Email" />
                    </div>
                    <div class="col-12 col-md-6">
                      <input type="text" name="phone" id="phone" class="form-control" placeholder="Phone" />
                    </div>
                    <div class="col-12 ' . $btnAlign . '">
                      <input type="submit" id="submit" class="btn btn-' . $btnStyle . ' ' . $btnColor . '" value="' . $btnText . '" onclick="' . $btnClick . '">
                    </div>
                  </div>
                  <div class="row">
                    <div class="col-12">
                      <div class="row justify-content-around">
                        <div class="col-auto text-left firstLocation">
                          <div id="primary_studio_list" class="' . $btnAlign . '"></div>
                          <div class="message ' . $btnAlign . '">
                            <p><a id="showMoreLocations" class="btn btn-' . $btnStyle . ' ' . $btnColor . ' btn-sm" href="#">More Locations</a></p>
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="col-12 order-10 order-sm-12">
                      <div id="moreLocations">
                        <div class="row">
                          <div class="col-sm-6">
                            <div class="row justify-content-around">
                              <div class="col-12">
                                <input type="text" name="zip" id="zip" class="form-control" placeholder="City or Zip Code" value="">
                                <button id="changeZip" type="button" class="btn btn-' . $btnStyle . ' ' . $btnColor . '" onclick="cr_getLatLngFromZip(zip.value)">Search</button>
                              </div>
                            </div>
                          </div>
                          <div class="col-sm-6">
                            <div id="studio_list"></div>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </form>

            <div class="form-success" id="success" style="display: none">
              ' . $success . '
            </div>';
                
  $html .='      </div>';
          
  return $html;
          
}





/*** Build Query String - Teacher Training
--------------------------------------------------------------------------------------------------*/
function cr_build_tt_prospect_querystring($post) {

if ($post['clubID']) {
  $CRstoreID = $post['clubID'];
}
elseif ($post['store-id']) {
  $CRstoreID = $post['store-id'];
}

  $params = array(
    'ApiKey' => CLUBREADY_API_KEY,
    'StoreId' => $CRstoreID,
    'ReferralTypeId' => $post['referral-id'],
    'ProspectTypeId' => $post['prospect-id'],
    'ReferredBy' => $post['user-id'],
    'FirstName' => $post['fname'],
    'LastName' => $post['lname'],
    'Email' => $post['email'],
    'Phone' => $post['phone'],
    'Note' => $post['studio-name'],
    'SendEmail' => 'true',
    'format' => 'json',
  );

  $query = http_build_query($params);

  return $query;

}







/*** Post Form Submission to ClubReady - Teacher Training
--------------------------------------------------------------------------------------------------*/
function cr_save_tt_inquiry($post) {

  // check for nonce
  if (!wp_verify_nonce($_REQUEST['nonce'], 'tt-clubready-form')) {
    exit("No naughty business please");
  }

  cr_save_tt_reach_inquiry($_POST);
  cr_send_tt_email();

  $query = cr_build_tt_prospect_querystring($_POST);

  // setup API URL
  $api_url = CLUBREADY_API_URL . '/users/prospect?' . $query;

  // add prospect to class
  $response = cr_booking_post_curl($api_url, $query);

  $user_data = json_decode($response);

  // check if we returned a UserId, then proceed or send error
  if (isset($user_data->UserId)) {
    wp_send_json_success($user_data);
  } else {
    cr_send_error_email($response);
    wp_send_json_error(array('NoUser' => $user_data, 'requestUrl' => $api_url));
  }

}






/*** REACH Integration
--------------------------------------------------------------------------------------------------*/
function cr_save_tt_reach_inquiry($post) {
 
  $api_url = REACH_API_URL;
  $campaign_id = $post['reach-id'];

  if ($post['clubID']) {
    $reachStoreID = $post['clubID'];
  }
  elseif ($post['store-id']) {
    $reachStoreID = $post['store-id'];
  }

  if ($campaign_id > "") {
    $params = array(
      "FirstName" => $post['fname'],
      "LastName" => $post['lname'],
      "Email" => $post['email'],
      "Phone" => $post['phone'],
      "CrmId" => $reachStoreID,
      "CrmName" => "ClubReady",
      "PageTitle" => $post['page-title'],
      "PageUrl" => $post['page-url'],
      "ReferralSource" => $post['referral-source'],
      "ReferralID" => $post['referral-id'],
      "Notes" => "Preferred Studio Location: ".$post['studio-name'],
      "CampaignId" => $campaign_id,
      "ApiKey" => REACH_API_KEY
    );
 
    $json = json_encode($params);  
    $response = cr_booking_post_curl($api_url, $json, true);
  }

}






/*** Send Emails
--------------------------------------------------------------------------------------------------*/
function cr_send_tt_email() {
  $to = $_POST['sendto-email'];
  $subject = $_POST['page-title'] . ' - TT Lead Submission';
  $message = '<html><body style="width:600px;margin:auto;font-size:16px;line-height:26px;">
              
              <div style="padding:30px;">
                <p>You have a new digital lead submission from FFM:</p>
                
                <p><b>Name:</b> ' . $_POST['fname'] . ' ' . $_POST['lname'] . '<br />
                <b>Email:</b> ' . $_POST['email'] . '<br />
                <b>Phone:</b> ' . $_POST['phone'] . '</p>

                <p><b>Studio Name:</b> ' . $_POST['studio-name'] . '<br />
                <b>Studio Email:</b> ' . $_POST['studio-email'] . '<br />
                <b>Studio ID:</b> ' . $_POST['clubID'] . '</p>
                
                <p><b>Landing Page URL:</b> ' . $_POST['page-url'] . '</p>
                
                <p>If you have any questions, or if you need any technical support, please email us at support@franchisefocusedmarketing.com!</p>
                
                <p>Sincerely,<br />
                The FFM Team </p>
              </div>
              </body></html>';
  $headers = array(
    'From: FFM <leads@franchisefocusedmarketing.com>',
    'Cc:' . $_POST['cc-email'],
    'Cc:' . $_POST['cc-leads'],
    'Cc:' . $_POST['studio-email'],
    'Content-Type: text/html; charset=UTF-8',
  );

  wp_mail( $to, $subject, $message, $headers );
}