jQuery(document).ready(function() {
	// Make sure acf is loaded
	if (typeof acf == 'undefined'){return;}

	var
		stylesheet	= '<style type="text/css">\
							      .taz_cr_shortcodeOutput {\
								      background-color: rgb(226, 236, 251)!important;\
								      font-size: 1rem!important;\
							      }\
						      </style>',
		textarea	= '<div class="acf-field acf-field-textarea">\
							    <div class="acf-label">\
								    <label for="taz_cr_shortcodeOutput">Generated Shortcode</label>\
							    </div>\
							    <div class="acf-input">\
								    <textarea class="taz_cr_shortcodeOutput" rows="4" readonly></textarea>\
							    </div>\
						    </div>',
    triggers	= '.acf-field[data-type=select] select,\
                .acf-field[data-type=text] input,\
                .acf-field[data-type=textarea] textarea,\
                .acf-field[data-type=wysiwyg] textarea,\
                .acf-field[data-type=number] input,\
                .acf-field[data-type=radio] input,\
                .acf-field[data-type=checkbox] .acf-checkbox-list input,\
                .acf-field[data-type=true_false] .acf-input label input,\
                .acf-field[data-type=color_picker] .acf-color_picker > input\
              ';

	function taz_cr_buildShortcode(currentLayoutName, triggersElements) {
		var
      output        = '',
      content			  = '',
			settingsValue	= {};

		function taz_cr_getSettingsValue(triggersElements) {
			triggersElements.each(function(index, elem) {
        var
					settingType			= jQuery(elem).parents('.acf-field').data('type'),
					settingLabel		= jQuery(elem).parents('.acf-field').data('name'),
					checkboxesValues	= '',
					isContent			= jQuery(elem).parents('.acf-field').hasClass('taz_cr_isShortcodeContent'); // The "content" is detected by the class "taz_cr_isShortcodeContent"

				if (isContent){
					settingLabel = 'content';
				}

				switch(settingType) {
					case 'textarea':
						settingsValue[settingLabel] = (!isContent) ? encodeURIComponent(jQuery(elem).val()) : jQuery(elem).val();
						break;
          // Add as many cases you want to handle. Note that depending the type, the way to get values could change.
          case 'true_false':
            settingsValue[settingLabel] = jQuery(elem).is(':checked') ? 'yes' : '';
            break;
          case 'text':
            settingsValue[settingLabel] = jQuery(elem).val();
            break;
          case 'number':
            settingsValue[settingLabel] = jQuery(elem).val();
            break;
					default:
						break;
				}
			});
			return settingsValue;
		}

		settingsValue = taz_cr_getSettingsValue(triggersElements);
    jQuery.each(settingsValue, function (key, value) {
			if (value !== '') {
				if (key !== 'content') {
					output += ' ' + key + '="' + value + '"';
				} else {
					content = value;
				}
			}
		});
    output = '[' + currentLayoutName + output + ']';
		jQuery('.taz_cr_shortcodeOutput').html(output);
	}

	/* ================================================== */
	/* ================================================== Everything starts here */
	/* ================================================== */

	acf.add_action('append', function($el) { // The user adds a new flexible content
		var
			currentLayout		= $el,
			currentLayoutName	= currentLayout.data('layout'),
			triggersElements	= null;

		switch(currentLayoutName) {
			case 'single_clubready_form': // Name of the flexible content added
				if (!jQuery('.taz_cr_shortcodeOutput').length) { // Only prepend once
					currentLayout.parents('.inside.acf-fields').prepend(textarea);
					currentLayout.parents('.inside.acf-fields').prepend(stylesheet);
				}
				triggersElements = currentLayout.find(triggers);
        
        taz_cr_buildShortcode(currentLayoutName, triggersElements);
				triggersElements.on('change keyup', function() {
          taz_cr_buildShortcode(currentLayoutName, triggersElements);
				});
        break;
      
      case 'multi_clubready_form': // Name of the flexible content added
				if (!jQuery('.taz_cr_shortcodeOutput').length) { // Only prepend once
					currentLayout.parents('.inside.acf-fields').prepend(textarea);
					currentLayout.parents('.inside.acf-fields').prepend(stylesheet);
				}
				triggersElements = currentLayout.find(triggers);
        
        taz_cr_buildShortcode(currentLayoutName, triggersElements);
				triggersElements.on('change keyup', function() {
          taz_cr_buildShortcode(currentLayoutName, triggersElements);
				});
        break;
      
      case 'tt_clubready_form': // Name of the flexible content added
				if (!jQuery('.taz_cr_shortcodeOutput').length) { // Only prepend once
					currentLayout.parents('.inside.acf-fields').prepend(textarea);
					currentLayout.parents('.inside.acf-fields').prepend(stylesheet);
				}
				triggersElements = currentLayout.find(triggers);
        
        taz_cr_buildShortcode(currentLayoutName, triggersElements);
				triggersElements.on('change keyup', function() {
          taz_cr_buildShortcode(currentLayoutName, triggersElements);
				});
        break;

		case 'ttsingle_clubready_form': // Name of the flexible content added
				if (!jQuery('.taz_cr_shortcodeOutput').length) { // Only prepend once
					currentLayout.parents('.inside.acf-fields').prepend(textarea);
					currentLayout.parents('.inside.acf-fields').prepend(stylesheet);
				}
				triggersElements = currentLayout.find(triggers);
        
        taz_cr_buildShortcode(currentLayoutName, triggersElements);
				triggersElements.on('change keyup', function() {
          taz_cr_buildShortcode(currentLayoutName, triggersElements);
				});
        break;
      
      case 'referral_clubready_form': // Name of the flexible content added
				if (!jQuery('.taz_cr_shortcodeOutput').length) { // Only prepend once
					currentLayout.parents('.inside.acf-fields').prepend(textarea);
					currentLayout.parents('.inside.acf-fields').prepend(stylesheet);
				}
				triggersElements = currentLayout.find(triggers);
        
				taz_cr_buildShortcode(currentLayoutName, triggersElements);
        break;
      
			default:
				break;
		}

	});
});