jQuery(document).ready(function () {



  /*** Single ClubReady Form
  --------------------------------------------------------------------------------------------------*/
  jQuery("#single-clubready-form").submit(function () {
    var form = $("#single-clubready-form").serialize();
    form += '&action=cr_save_single_inquiry';
    jQuery.ajax({
      type: 'POST',
      data: form,
      url: myAjax.ajaxUrl,
      beforeSend: function validateForm() {
        var fname = document.forms['single-clubready-form']['fname'].value;
        if (fname == "") {
          swal({
            title: "Wait!",
            text: "Please enter your first name."
          });
          return false;
        }
        
        var lname = document.forms['single-clubready-form']['lname'].value;
        if (lname == "") {
          swal({
            title: "Wait!",
            text: "Please enter your last name."
          });
          return false;
        }

        var email = document.forms['single-clubready-form']['email'].value;
        function isEmail(email) {
          var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
          return regex.test(email);
        }
        if (email == "") {
          swal({
            title: "Wait!",
            text: "Please enter your email address."
          });
          return false;
        }
        if (isEmail(email)) {} else {
          swal({
            title: "Wait!",
            text: "Please enter a valid email address."
          });
          return false;
        }

        var phone = document.forms['single-clubready-form']['phone'].value;
        function isPhone(phone) {
          var regex = /^\(?([0-9]{3})\)?[-. ]?([0-9]{3})[-. ]?([0-9]{4})$/;
          return regex.test(phone);
        }
        if (phone == "") {
          swal({
            title: "Wait!",
            text: "Please enter your phone number."
          });
          return false;
        }
        if (isPhone(phone)) {} else {
          swal({
            title: "Wait!",
            text: "Please enter a valid phone number."
          });
          return false;
        }
        /*
        var phone = document.forms['single-clubready-form']['phone'].value;
        if (phone == "") {
          swal({
            title: "Wait!",
            text: "Please enter your phone number."
          });
          return false;
        }
        */
        jQuery('#submit').attr("disabled", "disabled");
      },
      success: function (data) {
        if (data.success) {
          jQuery('#single-clubready-form').hide();
          
          if (myAjax.signup) {
            if(data.data.classes) {
              jQuery('#classChoiceFormWrap').show();
              cr_displayClasses(data.data.classes);
              jQuery('#signup-clubID').val(data.data.clubID);
              jQuery('#signup-userID').val(data.data.user.UserId);
            } else {
              jQuery("#success").show();
            }
          } else {
            jQuery("#success").show();
          }
        } else {
          //alert('did not register the signup');
          jQuery('#single-clubready-form').hide();
          jQuery("#success").show();
        }
      },
      error: function () {
        swal({
          title: "Uh oh!",
          text: "There was a problem submitting your information. Check all fields and resubmit. If the problem persists, please email us at support@franchisefocusedmarketing.com"
        });
        jQuery('#submit').removeAttr("disabled");
      }

    });
    return false;
  });



  /*** Single Class Signup Form
  --------------------------------------------------------------------------------------------------*/
  jQuery("#single-signup-form").submit(function () {
    jQuery('#submit').attr("disabled", "disabled");
    var form = $("#single-signup-form").serialize();
    form += '&action=cr_single_book_user_to_class';
    jQuery.ajax({
      type: 'POST',
      data: form,
      url: myAjax.ajaxUrl,
      success: function (data) {
        if (data.success) {
          jQuery('#classChoiceFormWrap').hide();
          jQuery("#booking-success").show();
        } else {
          swal({
            title: "Sorry!",
            text: "It looks like there was a problem. Try again and if the problem persists, please email us at support@franchisefocusedmarketing.com"
          });
          jQuery('#submit').removeAttr("disabled");
        }
      },
      error: function () {
        swal({
          title: "Uh oh!",
          text: "There was a problem booking you into that class. Try again and if the problem persists, please email us at support@franchisefocusedmarketing.com"
        });
        jQuery('#submit').removeAttr("disabled");
      }

    });
    return false;
  });










  /*** Multi Location ClubReady Form
  --------------------------------------------------------------------------------------------------*/
  jQuery("#multi-clubready-form").submit(function () {
    jQuery('#studio-name').val(jQuery('input[name="clubID"]:checked').data('studioname'));
    jQuery('#studio-email').val(jQuery('input[name="clubID"]:checked').data('studioemail'));
    
    var form = $("#multi-clubready-form").serialize();
    form += '&action=cr_save_multi_inquiry';
    jQuery.ajax({
      type: 'POST',
      data: form,
      url: myAjax.ajaxUrl,
      beforeSend: function validateForm() {
        
        var fname = document.forms['multi-clubready-form']['fname'].value;
        if (fname == "") {
          swal({
            title: "Wait!",
            text: "Please enter your first name."
          });
          return false;
        }
        
        var lname = document.forms['multi-clubready-form']['lname'].value;
        if (lname == "") {
          swal({
            title: "Wait!",
            text: "Please enter your last name."
          });
          return false;
        }
        
        var email = document.forms['multi-clubready-form']['email'].value;
        function isEmail(email) {
          var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
          return regex.test(email);
        }
        if (email == "") {
          swal({
            title: "Wait!",
            text: "Please enter your email address."
          });
          return false;
        }
        if (isEmail(email)) {} else {
          swal({
            title: "Wait!",
            text: "Please enter a valid email address."
          });
          return false;
        }

        var phone = document.forms['multi-clubready-form']['phone'].value;
        function isPhone(phone) {
          var regex = /^\(?([0-9]{3})\)?[-. ]?([0-9]{3})[-. ]?([0-9]{4})$/;
          return regex.test(phone);
        }
        if (phone == "") {
          swal({
            title: "Wait!",
            text: "Please enter your phone number."
          });
          return false;
        }
        if (isPhone(phone)) {} else {
          swal({
            title: "Wait!",
            text: "Please enter a valid phone number."
          });
          return false;
        }

        if (!document.forms[0].clubID) {
          swal({
            title: "Wait!",
            text: "Please select a location."
          });
          return false;
        }

        jQuery('#submit').attr("disabled", "disabled");
      },
      success: function (data) {
        if (data.success) {
          jQuery('#multi-clubready-form').hide();
          jQuery('#offerInfo').hide();
          jQuery('.CTA').hide();
        
          if (myAjax.signup) {
            if(data.data.classes) {
              jQuery('#classChoiceFormWrap').show();
              cr_displayClasses(data.data.classes);
              jQuery('#signup-clubID').val(data.data.clubID);
              jQuery('#signup-userID').val(data.data.user.UserId);
            } else {
              jQuery("#success").show();
            }
          } else {
            jQuery("#success").show();
          }
        } else {
          jQuery('#multi-clubready-form').hide();
          jQuery('#offerInfo').hide();
          jQuery('.CTA').hide();
          jQuery("#success").show();
        }
      },
      error: function () {
        swal({
          title: "Uh oh!",
          text: "There was a problem submitting your information. Check all fields and resubmit. If the problem persists, please email us at support@franchisefocusedmarketing.com"
        });
        jQuery('#submit').removeAttr("disabled");
      }

    });
    return false;
  });



  /*** Multi Location Class Signup Form
  --------------------------------------------------------------------------------------------------*/
  jQuery("#multi-signup-form").submit(function () {
    jQuery('#submit').attr("disabled", "disabled");
    var form = $("#multi-signup-form").serialize();
    form += '&action=cr_multi_book_user_to_class';
    jQuery.ajax({
      type: 'POST',
      data: form,
      url: myAjax.ajaxUrl,
      success: function (data) {
        if (data.success) {
          jQuery('#classChoiceFormWrap').hide();
          jQuery("#booking-success").show();
        } else {
          swal({
            title: "Sorry!",
            text: "It looks like there was a problem. Try again and if the problem persists, please email us at support@franchisefocusedmarketing.com"
          });
          jQuery('#submit').removeAttr("disabled");
        }
      },
      error: function () {
        swal({
          title: "Uh oh!",
          text: "There was a problem booking you into that class. Try again and if the problem persists, please email us at support@franchisefocusedmarketing.com"
        });
        jQuery('#submit').removeAttr("disabled");
      }

    });
    return false;
  });










  /*** TT ClubReady Form
  --------------------------------------------------------------------------------------------------*/
  jQuery("#tt-clubready-form").submit(function () {
    jQuery('#studio-name').val(jQuery('input[name="clubID"]:checked').data('studioname'));
    jQuery('#studio-email').val(jQuery('input[name="clubID"]:checked').data('studioemail'));
    
    var form = $("#tt-clubready-form").serialize();
    form += '&action=cr_save_tt_inquiry';
    jQuery.ajax({
      type: 'POST',
      data: form,
      url: myAjax.ajaxUrl,
      beforeSend: function validateForm() {
        
        var fname = document.forms['tt-clubready-form']['fname'].value;
        if (fname == "") {
          swal({
            title: "Wait!",
            text: "Please enter your first name."
          });
          return false;
        }
        
        var lname = document.forms['tt-clubready-form']['lname'].value;
        if (lname == "") {
          swal({
            title: "Wait!",
            text: "Please enter your last name."
          });
          return false;
        }
        
        var email = document.forms['tt-clubready-form']['email'].value;
        function isEmail(email) {
          var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
          return regex.test(email);
        }
        if (email == "") {
          swal({
            title: "Wait!",
            text: "Please enter your email address."
          });
          return false;
        }
        if (isEmail(email)) {} else {
          swal({
            title: "Wait!",
            text: "Please enter a valid email address."
          });
          return false;
        }

        var phone = document.forms['tt-clubready-form']['phone'].value;
        function isPhone(phone) {
          var regex = /^\(?([0-9]{3})\)?[-. ]?([0-9]{3})[-. ]?([0-9]{4})$/;
          return regex.test(phone);
        }
        if (phone == "") {
          swal({
            title: "Wait!",
            text: "Please enter your phone number."
          });
          return false;
        }
        if (isPhone(phone)) {} else {
          swal({
            title: "Wait!",
            text: "Please enter a valid phone number."
          });
          return false;
        }
        
        if (!document.forms[0].clubID) {
          swal({
            title: "Wait!",
            text: "Please select a location."
          });
          return false;
        }

        jQuery('#submit').attr("disabled", "disabled");
      },
      success: function (data) {
        if (data.success) {
          jQuery('#tt-clubready-form').hide();
          jQuery('#offerInfo').hide();
          jQuery('.CTA').hide();
          jQuery("#success").show();
        }
      },
      error: function () {
        swal({
          title: "Uh oh!",
          text: "There was a problem submitting your information. Check all fields and resubmit. If the problem persists, please email us at support@franchisefocusedmarketing.com"
        });
        jQuery('#submit').removeAttr("disabled");
      }

    });
    return false;
  });










  /*** Referral ClubReady Form
  --------------------------------------------------------------------------------------------------*/
  jQuery("#referral-clubready-form").submit(function () {
    var form = $("#referral-clubready-form").serialize();
    form += '&action=cr_save_referral_inquiry';
    jQuery.ajax({
      type: 'POST',
      data: form,
      url: myAjax.ajaxUrl,
      beforeSend: function validateForm() {
        var rfname = document.forms['referral-clubready-form']['rfname'].value;
        if (rfname == "") {
          swal({
            title: "Wait!",
            text: "Please enter your first name."
          });
          return false;
        }
        
        var rlname = document.forms['referral-clubready-form']['rlname'].value;
        if (rlname == "") {
          swal({
            title: "Wait!",
            text: "Please enter your last name."
          });
          return false;
        }

        var rphone = document.forms['referral-clubready-form']['rphone'].value;
        if (rphone == "") {
          swal({
            title: "Wait!",
            text: "Please enter your phone number."
          });
          return false;
        }
        
        var remail = document.forms['referral-clubready-form']['remail'].value;
        function isEmail(email) {
          var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
          return regex.test(email);
        }
        if (remail == "") {
          swal({
            title: "Wait!",
            text: "Please enter your email address."
          });
          return false;
        }
        if (isEmail(remail)) {} else {
          swal({
            title: "Wait!",
            text: "Please enter a valid email address."
          });
          return false;
        }

        var fname = document.forms['referral-clubready-form']['fname'].value;
        if (fname == "") {
          swal({
            title: "Wait!",
            text: "Please enter your friend\'s first name."
          });
          return false;
        }
        
        var lname = document.forms['referral-clubready-form']['lname'].value;
        if (lname == "") {
          swal({
            title: "Wait!",
            text: "Please enter your friend\'s last name."
          });
          return false;
        }

        var phone = document.forms['referral-clubready-form']['phone'].value;
        function isPhone(phone) {
          var regex = /^\(?([0-9]{3})\)?[-. ]?([0-9]{3})[-. ]?([0-9]{4})$/;
          return regex.test(phone);
        }
        if (phone == "") {
          swal({
            title: "Wait!",
            text: "Please enter your friend\'s phone number."
          });
          return false;
        }
        if (isPhone(phone)) {} else {
          swal({
            title: "Wait!",
            text: "Please enter a valid phone number for your friend."
          });
          return false;
        }
        
        var email = document.forms['referral-clubready-form']['email'].value;
        function isEmail(email) {
          var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
          return regex.test(email);
        }
        if (email == "") {
          swal({
            title: "Wait!",
            text: "Please enter your friend\'s email address."
          });
          return false;
        }
        if (isEmail(email)) {} else {
          swal({
            title: "Wait!",
            text: "Please enter a valid email address for your friend."
          });
          return false;
        }
        
        jQuery('#submit').attr("disabled", "disabled");
      },
      success: function (data) {
        jQuery('#referral-clubready-form').hide();
        jQuery('#offerInfo').hide();
        jQuery('.CTA').hide();
        jQuery("#success").show();
      },
      error: function () {
        swal({
          title: "Uh oh!",
          text: "There was a problem submitting your information. Check all fields and resubmit. If the problem persists, please email us at support@franchisefocusedmarketing.com"
        });
        jQuery('#submit').removeAttr("disabled");
      }

    });
    return false;
  });

});





/*** Single Teacher Training ClubReady Form
  --------------------------------------------------------------------------------------------------*/
  jQuery("#ttsingle-clubready-form").submit(function () {
    var form = $("#ttsingle-clubready-form").serialize();
    form += '&action=cr_save_ttsingle_inquiry';
    jQuery.ajax({
      type: 'POST',
      data: form,
      url: myAjax.ajaxUrl,
      beforeSend: function validateForm() {
        var fname = document.forms['ttsingle-clubready-form']['fname'].value;
        if (fname == "") {
          swal({
            title: "Wait!",
            text: "Please enter your first name."
          });
          return false;
        }
        
        var lname = document.forms['ttsingle-clubready-form']['lname'].value;
        if (lname == "") {
          swal({
            title: "Wait!",
            text: "Please enter your last name."
          });
          return false;
        }

        var email = document.forms['ttsingle-clubready-form']['email'].value;
        function isEmail(email) {
          var regex = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
          return regex.test(email);
        }
        if (email == "") {
          swal({
            title: "Wait!",
            text: "Please enter your email address."
          });
          return false;
        }
        if (isEmail(email)) {} else {
          swal({
            title: "Wait!",
            text: "Please enter a valid email address."
          });
          return false;
        }

        var phone = document.forms['ttsingle-clubready-form']['phone'].value;
        function isPhone(phone) {
          var regex = /^\(?([0-9]{3})\)?[-. ]?([0-9]{3})[-. ]?([0-9]{4})$/;
          return regex.test(phone);
        }
        if (phone == "") {
          swal({
            title: "Wait!",
            text: "Please enter your phone number."
          });
          return false;
        }
        if (isPhone(phone)) {} else {
          swal({
            title: "Wait!",
            text: "Please enter a valid phone number."
          });
          return false;
        }
        
        var zipcode = document.forms['ttsingle-clubready-form']['zipcode'].value;
        if (zipcode == "") {
          swal({
            title: "Wait!",
            text: "Please enter your zip code."
          });
          return false;
        }
        
        jQuery('#submit').attr("disabled", "disabled");
      },
      success: function (data) {
        if (data.success) {
          jQuery('#ttsingle-clubready-form').hide();
          
          if (myAjax.signup) {
            if(data.data.classes) {
              jQuery('#classChoiceFormWrap').show();
              cr_displayClasses(data.data.classes);
              jQuery('#signup-clubID').val(data.data.clubID);
              jQuery('#signup-userID').val(data.data.user.UserId);
            } else {
              jQuery("#success").show();
            }
          } else {
            jQuery("#success").show();
          }
        } else {
          //alert('did not register the signup');
          jQuery('#ttsingle-clubready-form').hide();
          jQuery("#success").show();
        }
      },
      error: function () {
        swal({
          title: "Uh oh!",
          text: "There was a problem submitting your information. Check all fields and resubmit. If the problem persists, please email us at support@franchisefocusedmarketing.com"
        });
        jQuery('#submit').removeAttr("disabled");
      }

    });
    return false;
  });










/*** Class List Display Generator
--------------------------------------------------------------------------------------------------*/  
function cr_displayClasses(classes) {
  var first = true;

  for (var z = 0; z < classes.length; z++) {
      var miniLocationsList = document.createElement('div');
			miniLocationsList.className += 'miniClassList';
      var miniLocationInfo = document.createElement('div');
    miniLocationInfo.innerHTML = '<input type="radio" name="ScheduleId" value="' + classes[z].ScheduleId + '" ' + (first ? 'checked' : '') + '>' +
      '<p><strong>' + classes[z].Title + ' Class</strong> &bull; ' + moment(classes[z].Date.replace('-', '/').replace('-', '/')).format('dddd') + ' &bull; ' + classes[z].Date + ' &bull; ' + classes[z].StartTime + ' to ' +  classes[z].EndTime + '</p>';
			miniLocationsList.appendChild(miniLocationInfo);
			document.getElementById('classChoices').appendChild(miniLocationsList);
		
		first = false;
  }
}










/*** Get All CP Locations
--------------------------------------------------------------------------------------------------*/
var locations = [];
function cr_getlocations() {
	var data = {
		action: 'cr_load_locations'
	};
	jQuery.getJSON(myAjax.ajaxUrl, data, function (data, status) {
		if (status === "success") {
			console.log('Got the locations');
			if(myAjax.locations) {
				var array = myAjax.locations.split(',');
				if(array && array.length) {
					locations = [];
					for (var z = 0; z < data.length; z++) {
            var studio = data[z];
						if(studio && array.indexOf(studio.Id.toString()) >= 0) {
							locations.push(studio);
						}
					}
				} else {
					locations = data;
				}
			} else {
				locations = data;
			}
      cr_displayList();
		} else {
			console.log('Failed to get the locations' + status);
		}
	});
}










/*** Get CP Locations by user location
--------------------------------------------------------------------------------------------------*/
var myPosition = {};
var retries = 0;
function cr_getTopLocations(currentPosition, cntToDisplay) {
	var returnList = [];

	if(!currentPosition || !currentPosition.coords || !currentPosition.coords.latitude || !currentPosition.coords.longitude) {
		
		console.log('Missing Location lat/lng data');
		return [];
	}
	
	var maxRadius = parseFloat(myAjax.radius);
	if (isNaN(maxRadius)) {
		maxRadius = 50;
	}
  for (var z = 0; z < locations.length; z++) {
    //if (locations[z].Location) {
      if(locations[z] && locations[z].Location){
      // console.log(locations[z]);
      var dataLatlng = new google.maps.LatLng(locations[z].Location.lat, locations[z].Location.lng);

      // Haversine Formula to get distance
      function distance(lat1, lon1, lat2, lon2, unit) {
        var radlat1 = Math.PI * lat1 / 180
        var radlat2 = Math.PI * lat2 / 180
        var radlon1 = Math.PI * lon1 / 180
        var radlon2 = Math.PI * lon2 / 180
        var theta = lon1 - lon2
        var radtheta = Math.PI * theta / 180
        var dist = Math.sin(radlat1) * Math.sin(radlat2) + Math.cos(radlat1) * Math.cos(radlat2) * Math.cos(radtheta);
        dist = Math.acos(dist)
        dist = dist * 180 / Math.PI
        dist = dist * 60 * 1.1515
        if (unit == "K") {
          dist = dist * 1.609344
        }
        if (unit == "N") {
          dist = dist * 0.8684
        }
        return dist
      }

      //get distance from searcher to all of the data lat lng
      var myDist = distance(currentPosition.coords.latitude, currentPosition.coords.longitude, locations[z].Location.lat, locations[z].Location.lng, 'K');
		
      locations[z].dist = myDist;
      if (myDist <= maxRadius) {
        returnList.push(locations[z]);
      }
    }
  }

	returnList.sort(function (a, b) {
		return a.dist - b.dist
	});
	
	return returnList.slice(0, cntToDisplay);
}










/*** Display List of locations near user location
--------------------------------------------------------------------------------------------------*/
function cr_displayList(position) {
	var thisPos = position || myPosition;
	var topXLocations = cr_getTopLocations(thisPos, 50);

	jQuery('#primary_studio_list').html('<p>Finding your studio...</p>');
  jQuery('#studio_list').html('');
  
  console.log('Using ' + topXLocations.length + ' locations');
  var showOnFailure = true;
  
  if (!topXLocations.length) {
		if(!locations.length){
			// we haven't loaded the list of places yet, which we will keep trying 
			showOnFailure = false;
		}
		if(!thisPos || !thisPos.coords || !thisPos.coords.latitude || !thisPos.coords.longitude){
			if(retries < 3) {
				showOnFailure = false;
				retries++;
				cr_alternateZipLookup();
				return;
			}
		}
		
    if (showOnFailure) {
      jQuery('#submit').attr("disabled", "disabled");
			jQuery('#primary_studio_list').html('<p><b>Sorry!</b><br />There are no locations in your area.<br />Enter a city or zip code to search again.</p>');		
			jQuery('#moreLocations').addClass('open');
		}
  }
  
  var first = true;

	for (var z = 0; z < topXLocations.length; z++) {

		if (topXLocations[z].Address.StateProv !== '' && topXLocations[z].Phone !== '(999) 999-9999') {
			var miniLocationsList = document.createElement('div');
			miniLocationsList.className += 'miniLocationList';
			var miniLocationName = document.createElement('div');
			miniLocationName.innerHTML = '<p><span class="studio">Your closest studio:</span></p><h5><input type="radio" name="clubID" value="' + topXLocations[z].Id + '" ' + (first ? 'checked' : '') +' data-studioname="' + topXLocations[z].Name + '" data-studioemail="' + topXLocations[z].Email + '" id="' + topXLocations[z].Name + '"><label for="' + topXLocations[z].Name + '">' + topXLocations[z].Name + '</label></h5>';
			var miniLocationAddress = document.createElement('div');
			miniLocationAddress.innerHTML = '<p>' + topXLocations[z].Address.Street + '<br />' + topXLocations[z].Address.City + ',' + ' ' + topXLocations[z].Address.StateProv + ' ' + topXLocations[z].Address.PostalCode + '<br />' + topXLocations[z].Phone + '</p>';
            miniLocationsList.appendChild(miniLocationName);
			miniLocationsList.appendChild(miniLocationAddress);
      
      if (first) {
        jQuery('#submit').removeAttr("disabled");
				jQuery('#primary_studio_list').html('');
				document.getElementById('primary_studio_list').appendChild(miniLocationsList);
				first = false;
			} else {
        document.getElementById('studio_list').appendChild(miniLocationsList);
      }
    } else { }

	}
}

function cr_locationOnSuccess(position) {
	console.log(position);
	jQuery('#zip').val(position.zip);
	myPosition = position;
  if(position.coords.latitude && position.coords.longitude) {
		cr_displayList(position)
		if(!myPosition.zip) {
			cr_getZip(function(newZip) {
					jQuery('#zip').val(newZip);
					myPosition.zip = newZip;
			});
		}
	} else {
		//alert('hi');
	}
}

var savedZip = '';
var zipAttempts = 0;
function cr_getLatLngFromZip(newzip) {
	if(!newzip) {
		return;
	}
	if(myPosition && myPosition.zip == newzip) {
		if(myPosition.coords.latitude && myPosition.coords.longitude) {
			return;
		}
	}
	if(newzip != savedZip) {
		savedZip = newzip;
		zipAttempts = 0;
	}
	zipAttempts++;
	
	var position = {
		coords: {
			latitude: '',
			longitude: ''
		},
		zip: newzip
	};
	console.log('Getting Lat/Lng Data from Google');
	jQuery.getJSON("https://maps.googleapis.com/maps/api/geocode/json?key=AIzaSyDyJBc4-iw83vEaS2sbF50F3XLRWU0gcqo&address=" + newzip, function (data, status) {
		if (status === "success") {
			if(data && data.results && data.results.length && data.results[0].geometry){
				position.coords.latitude = data.results[0].geometry.location.lat;
				position.coords.longitude = data.results[0].geometry.location.lng;
				cr_locationOnSuccess(position);
				return;
			}
		}
		if(zipAttempts < 5) {
			setTimeout(1000, function() {
				cr_getLatLngFromZip(newzip);
			});
		} else {
			cr_locationOnError();
		}
	});
}

function cr_alternateZipLookup() {

	if(location.protocol != 'https:') {
		cr_nonHTTPSZipLookup();
	} else {
		if(!navigator.geolocation) {
      cr_HTTPSZipLookup();
		} else {
			var geo_options = {
				maximumAge: 50000,
				//timeout: 2000,
				enableHighAccuracy: false
      };
			navigator.geolocation.getCurrentPosition(cr_locationOnSuccess, cr_HTTPSZipLookup, geo_options);
		}
	}
}

function cr_HTTPSZipLookup(error) {
	var position = {
		coords: {
			latitude: '',
			longitude: ''
		},
		zip: ''
  };
	if(google && google.loader && google.loader.ClientLocation) {
		console.log("Got IP data:");
		console.log(google.loader.ClientLocation);
		
		if (google.loader.ClientLocation.latitude && google.loader.ClientLocation.longitude) {
			//if there's not zip code but we have a latitude and longitude, let's use them
			position.coords.latitude = google.loader.ClientLocation.latitude;
			position.coords.longitude = google.loader.ClientLocation.longitude;
			
			cr_locationOnSuccess(position);
			return;
		} 
	}	
	cr_locationOnError();
}

function cr_nonHTTPSZipLookup() {
	var position = {
		coords: {
			latitude: '',
			longitude: ''
		},
		zip: ''
	};
	jQuery.getJSON("http://ip-api.com/json", function (res, status) {
		if (status === "success") {
			console.log("Got IP data:");
			console.log(res);
			if (res) {
				if (res.lat && res.lon) {
					//if there's not zip code but we have a latitude and longitude, let's use them
					position.coords.latitude = res.lat;
					position.coords.longitude = res.lon;
					position.zip = res.zip;
					cr_locationOnSuccess(position);
				} else if(res.zip) {
					cr_getLatLngFromZip(res.zip);
				} else {
					//if there's an error 
					cr_HTTPSZipLookup();
				}
			} else {
				//if there's an error 
				cr_HTTPSZipLookup();
			}
			
		} else {
			cr_HTTPSZipLookup();
		}
	});
}

cr_getZip = function(cb) {
  var coords, url;
  coords = myPosition.coords;
  url = "//nominatim.openstreetmap.org/reverse?format=json&lat=" + coords.latitude + "&lon=" + coords.longitude + "&addressdetails=1";
  return jQuery.ajax({
	url: url,
	dataType: 'jsonp',
	jsonp: 'json_callback',
	cache: true
  }).success(function(data) {
	return cb(data.address.postcode);
  });
};

var latLngAttempts = 0;
function cr_getZipGoogle() {
        latLngAttempts++;
		console.log('Getting Zip from Lat/Lng Data from Google');
	jQuery.getJSON("https://maps.googleapis.com/maps/api/geocode/json?key=AIzaSyDyJBc4-iw83vEaS2sbF50F3XLRWU0gcqo&latlng=" + myPosition.coords.latitude + "," + myPosition.coords.longitude, function (data, status) {
		if (status === "success") {
			if(data && data.results && data.results.length && data.results[0].address_components){
				
				myPosition.zip = '';
				
				cr_locationOnSuccess(position);
				return;
			}
		}
		if(latLngAttempts < 5) {
			setTimeout(1000, function() {
				cr_getZipGoogle();
			});
		} else {
			cr_locationOnError();
		}
	});
}



function cr_locationOnError() {
	swal({
    title: "Sorry!",
    text: "We were unable to find your location. Try entering a different zip code."
  });
  jQuery('#moreLocations').addClass('open');
}






/*** Show More on button click
--------------------------------------------------------------------------------------------------*/
jQuery(document).ready(function () {
  jQuery('#showMoreLocations').click(function () {
    jQuery('#moreLocations').toggleClass('open');
  });
});