<?php
/*--------------------------------------------------------------------------------------------------*/
/*** CLASSES
----------------------------------------------------------------------------------------------------*/


/*** Class Booking - Get Classes
--------------------------------------------------------------------------------------------------*/
function cr_get_classes($locationid) {

  $content  = array();
  $current_day = date('l');
  $i = 0;
  $count_limit = 14;

  // Class ID
  $classID = get_field('global_cr_class_id','option');
  // Class Category ID
  $classCatID = get_field('global_cr_class_cat_id','option');

  // Class Days
  $classDays = get_field('global_cr_class_days','option');

  while ($i < $count_limit) {

    $start_offset = $i*$classDays;
    $offset_string_start = '+'.$start_offset.' day';
    $offset_string_end = '+'.($start_offset+$classDays).' day';

    $start_date = date('Y-n-j', strtotime($offset_string_start));
 
    $end_date = date('Y-n-j', strtotime($offset_string_end));
 
    $api_url = CLUBREADY_API_URL . '/scheduling/class-schedule?ApiKey=' . CLUBREADY_API_KEY . '&StoreID=' . $locationid . '&FromDate=' . $start_date . '&ToDate=' . $end_date . '&format=json&FilterByCategoryId=' . $classCatID;

    $response = cr_booking_get_curl($api_url);
    
    $myAllContent = json_decode($response);

      $matchingClasses = array();
      foreach($myAllContent as $myContent) {
        if( $classID ) {
          if($myContent->ClassId == $classID && $myContent->FreeSpots > 0) {
            //TODO: Make sure that this can handle multiple options -- not just a single one
            array_push($matchingClasses,$myContent);
          }
        } else {
          if($myContent->FreeSpots > 0) {
            //TODO: Make sure that this can handle multiple options -- not just a single one
            array_push($matchingClasses,$myContent);
          }
        }
      }

      $content = array_merge($content,$matchingClasses);

    if (count($content) > 0) {
      break;
    } else {
      $i++;
    }

  } // END WHILE LOOP

  return $content;

}



/*** Class Booking - Build Query String
--------------------------------------------------------------------------------------------------*/
function cr_build_booking_querystring($post) {

  $params = array(
    'ApiKey' => CLUBREADY_API_KEY,
    'UserId' => $post['signup-userID'],
    'StoreId' => $post['signup-clubID'],
    'ScheduleId' => $post['ScheduleId'],
  );

  $query = http_build_query($params);

  return $query;

}