<?php
/*--------------------------------------------------------------------------------------------------*/
/*** Get Locations from Club Ready
----------------------------------------------------------------------------------------------------*/

function LoadCRLocationsFromDatabase() {

  $postID = get_the_ID();

  $chainID = get_field('global_cr_chain_id','option');

  // Locations are being updated email
  /*
  $to = 'webmaster@franchisefocusedmarketing.com';
  $subject = 'ClubReady Locations Update Started';
  $message = '<html><body style="width:600px;margin:auto;font-size:16px;line-height:26px;">
  
              <div style="padding:30px;">
                <p><b>Update Started!</b></p>
                
                <p>The ClubReady locations for chain id: ' . $chainID . ' are being updated now.</p>

              </div>
              
              </body></html>';
  $headers = array(
    'From: FFM <leads@franchisefocusedmarketing.com>',
    'Content-Type: text/html; charset=UTF-8',
  );
  wp_mail( $to, $subject, $message, $headers );
  */


  add_site_option( 'clubready_locations', '' );

  
	//Get existing data from database	
	$existing = get_site_option('clubready_locations');
	
  $newLocs = [];
  
  $excludeIds = [];

  $url = 'https://www.clubready.com/api/current/corp/' . $chainID . '/clubs?ApiKey=' . CLUBREADY_API_KEY . '&ChainId=' . $chainID;

  $response = cr_booking_get_curl($url);

	$locations = json_decode($response);

	if(strlen($existing) > 0) {
		$oldlocations = json_decode($existing);
		
		
		foreach ($locations as $loc) {
      if (!in_array($loc->Id, $excludeIds)) {
        $alreadyExists = false;
    
        foreach ($oldlocations as $oldloc) {
          if(!$alreadyExists) {
            if($loc->Id == $oldloc->Id) {
              $alreadyExists = true;
              //if still matches just add
              if($loc->Address->Street == $oldloc->Address->Street && $loc->Email == $oldloc->Email && $loc->Phone == $oldloc->Phone && $loc->LocationName == $oldloc->LocationName) {
                array_push($newLocs, $oldloc);
              } else {
                array_push($newLocs, cr_updateLatLng($loc));
              }
            }
          }
        }
        //if missing, add new 
        if(!$alreadyExists) {
          $tempObj = cr_updateLatLng($loc);
          if(null != $tempObj){
            array_push($newLocs, $tempObj);
          }
        }
      }
		}
		
		//loop through and double check 

	} else {
		foreach ($locations as $loc) {
			$tempObj = cr_updateLatLng($loc);
      if(null != $tempObj){
        array_push($newLocs, $tempObj);
      }
		}
  }
	
  //update_option('cr_saved_locations', json_encode($newLocs));
  update_site_option('clubready_locations', json_encode($newLocs));
	
  $to = 'webmaster@franchisefocusedmarketing.com';
  $subject = 'ClubReady Locations Updated';
  $message = '<html><body style="width:600px;margin:auto;font-size:16px;line-height:26px;">
  
              <div style="padding:30px;">
                <p><b>Updated!</b></p>
                
                <p>The ClubReady locations for chain id: ' . $chainID . ' were updated successfully.</p>
                
               '.json_encode($newLocs).'
              </div>
              
              </body></html>';
  $headers = array(
    'From: FFM <leads@franchisefocusedmarketing.com>',
    'Content-Type: text/html; charset=UTF-8',
  );

  wp_mail( $to, $subject, $message, $headers );
	
}



function cr_updateLatLng($obj) {

  if (!isset($obj->Address->Street)) {
    return null;
  }
  if (!isset($obj->Email)) {
    return null;
  }
  if (!isset($obj->Phone)) {
    return null;
  }

	// address to map
	$map_address = $obj->Address->Street . ',' .
					$obj->Address->City  . ',' .
					$obj->Address->StateProv  . ' ' .
					$obj->Address->PostalCode;

	$url = 'https://maps.googleapis.com/maps/api/geocode/json?key=' . GOOGLEMAPSKEY .  '&sensor=false&address=' .urlencode($map_address);
  
  $lat_long = get_object_vars(json_decode(cr_booking_get_curl($url)));

	// pick out what we need (lat,lng)
  //if(count($lat_long['results']) > 0) {
		$obj = (object) array_merge( (array)$obj, array( 'Location' => $lat_long['results'][0]->geometry->location ) );
	/*} else {
    $to = 'webmaster@franchisefocusedmarketing.com';
    $subject = 'ERROR ClubReady Locations Update';
    $message = '<html><body style="width:600px;margin:auto;font-size:16px;line-height:26px;">
    
                <div style="padding:30px;">
                  <p><b>ERROR!</b></p>
                  
                  <p>The ClubReady locations DID NOT update.</p>
                  
                '.json_encode($response).'
                </div>
                
                </body></html>';
    $headers = array(
      'From: FFM <leads@franchisefocusedmarketing.com>',
      'Content-Type: text/html; charset=UTF-8',
    );

    wp_mail( $to, $subject, $message, $headers );
  }
  */
  
	return $obj;
}