<?php // Location Info

add_action('admin_menu', 'update_location_menu');

function update_location_menu() {
  add_menu_page('Update Location Info', 'Location Info', 'manage_options', 'update-location-info', 'update_location_info_page', '', 1);
  //add_submenu_page('club-ready.php', 'Update Location Info', 'Update Location Info', 'manage_options', 'update-location-info', 'update_location_info_page');
}



function update_location_info_page() {

  // This function creates the output for the admin page.
  // It also checks the value of the $_POST variable to see whether
  // there has been a form submission. 

  // The check_admin_referer is a WordPress function that does some security
  // checking and is recommended good practice.

  // General check for user permissions.
  if (!current_user_can('manage_options'))  {
    wp_die( __('You do not have sufficient pilchards to access this page.')    );
  }

  // Start building the page

  echo '<div class="wrap">';

  echo '<h2>Update Location Information</h2>';

  // Check whether the button has been pressed AND also check the nonce
  if (isset($_POST['update_info_button']) && check_admin_referer('update_info_button_clicked')) {
    // the button has been pressed AND we've passed the security check
    //update_info_button_action();
    my_acf_update_value();
  }

  echo '<form action="options-general.php?page=update-location-info" method="post">';

  // this is a WordPress security feature - see: https://codex.wordpress.org/WordPress_Nonces
  wp_nonce_field('update_info_button_clicked');
  echo '<input type="hidden" value="true" name="update_info_button" />';
  echo '<p>Clicking this button will get the location info from Club Ready using the Store ID in ClubReady Field Settings. It will get the following information and update those fields:<br />';
  echo '<br />Location Name<br />Location Email<br />Location Phone Number<br />Location Address</p>';
  submit_button('Update Info');
  echo '</form>';

  echo '</div>';

}


function my_acf_update_value() {

  $store_id = get_field('field_5c804c7561534','option');
  add_site_option( 'clubready_locations', '' );

  //Get existing data from database    
  $existing = get_site_option('clubready_locations');
  if(strlen($existing) > 0) {
    $oldlocations = json_decode($existing);
    
    foreach ($oldlocations as $oldloc) {
      if($store_id == $oldloc->Id) {
        update_field('field_5c893383acaf4', $oldloc->LocationName, 'option');
        update_field('field_5c58b96d3617b', $oldloc->Email, 'option');
        update_field('field_5c58b9873617c', $oldloc->Phone, 'option');
        update_field('field_5c58b9a13617d', $oldloc->Address->Street, 'option');
        update_field('field_5c58bc0c3617f', $oldloc->Address->City, 'option');
        update_field('field_5c58bc3836180', $oldloc->Address->StateProv, 'option');
        update_field('field_5c58bc4f36181', $oldloc->Address->PostalCode, 'option');

        $addr = $oldloc->Address->Street . ' ' . $oldloc->Address->City . ' ' .$oldloc->Address->StateProv . ' '.$oldloc->Address->PostalCode;
        $lng = $oldloc->Location->lng;
        $lat = $oldloc->Location->lat;
        $result = array("address" => $addr, "lat" => $lat, "lng" => $lng);

        update_field('field_5c58bc6d36183', $result, 'option');
      }
    }
  }

}

?>