<?php 
/*
CLICKS Shortcodes
*/





/*** CSS
--------------------------------------------------------------------------------------------------*/
wp_enqueue_style( 'shortcode_style', plugins_url( '/css/shortcodes.css' , __FILE__ ) );





/*** Countdown Shortcode
----------------------------------------------------------------------------------------------------------------------------------*/
wp_enqueue_script( 'countdown', plugins_url( '/js/jquery.countdown.min.js' , __FILE__ ), array( 'jquery' ), '', false );
include( plugin_dir_path( __FILE__ ) . '/parts/countdown.php' );
add_shortcode('countdown', 'countdownTimer');



// Countdown Timer Fields
include( plugin_dir_path( __FILE__ ) . '/fields/countdown-timer.php' );

// Shortcode Notes
include( plugin_dir_path( __FILE__ ) . '/fields/shortcodes.php' );






/*** Share Shortcode
----------------------------------------------------------------------------------------------------------------------------------*/
include( plugin_dir_path( __FILE__ ) . '/parts/share.php' );
add_shortcode('share', 'sharePage');





/*** Name Shortcode
----------------------------------------------------------------------------------------------------------------------------------*/
function displayName() {
  return get_field('name', 'option');
}
add_shortcode('name', 'displayName');





/*** Email Shortcode
----------------------------------------------------------------------------------------------------------------------------------*/
function displayEmail() {
  $email = get_field('email', 'option');

  $html = '<a href="mailto:' . $email . '" target="_new">' . $email . '</a>';
  
  return $html;
}
add_shortcode('email', 'displayEmail');





/*** Phone Shortcode
----------------------------------------------------------------------------------------------------------------------------------*/
function displayPhone() {
  $phone = get_field('phone', 'option');

  $html = '<a href="tel:' . $phone . '">' . $phone . '</a>';

  return $html;
}
add_shortcode('phone', 'displayPhone');





/*** Address Shortcode
----------------------------------------------------------------------------------------------------------------------------------*/
function displayAddress() {
  $address1 = get_field('address_one','option');
  $address2 = get_field('address_two','option');
  $city = get_field('city','option');
  $state = get_field('state','option');
  $zip = get_field('zip','option');
  
  $html = '' . $address1 . ', ' . $address2 . '<br>' . $city . ', ' . $state . ' ' . $zip . '';

  return $html;
}
add_shortcode('address', 'displayAddress');





/*** City Shortcode
----------------------------------------------------------------------------------------------------------------------------------*/
function displayCity() {
  $city = get_field('city','option');
  
  $html = $city;

  return $html;
}
add_shortcode('city', 'displayCity');





/*** State Shortcode
----------------------------------------------------------------------------------------------------------------------------------*/
function displayState() {
  $state = get_field('state','option');
  
  $html = $state;

  return $html;
}
add_shortcode('state', 'displayState');





/*** Month Shortcode
----------------------------------------------------------------------------------------------------------------------------------*/
function displayMonth() {
  return date('F');
}
add_shortcode('month', 'displayMonth');





?>