<?php if( have_rows('clicks_panels') ): ?>

  <div id="contentPanels" class="row justify-content-center">
  
    <?php $layout_counts = array();

    while ( have_rows('clicks_panels') ) : the_row();

      $layout = get_row_layout();
      if( !isset($layout_counts[$layout]) ) {
        $layout_counts[$layout] = 0;
      }
      $layout_counts[$layout]++;
      $class = 'even';



/* Content Panel
----------------------------------------------------------------------------------------------------------------------------------*/
if( get_row_layout() == 'content_panel' ): 

  // Count the rows
  $totalrows = count( get_sub_field('content_box') ); ?>

  <div class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>; color: <?php the_sub_field('text_color') ?>;">
    <div class="row align-items-center justify-content-center">
      <div class="col-12 col-lg-11">
        <div class="contentContent row align-items-center justify-content-around">

          <?php if( have_rows('content_box') ): ?>

            <?php while( have_rows('content_box') ): the_row(); ?>

              <?php if( $totalrows == 1 ) { ?>
                <div class="col-12 col-lg-11 innerBox align-self-<?php the_sub_field('vertical_alignment') ?>">
              <?php } elseif( $totalrows == 2 ) { ?>
                <div class="col-12 col-md-6 innerBox align-self-<?php the_sub_field('vertical_alignment') ?>">
              <?php } elseif( $totalrows == 3 ) { ?>
                <div class="col-12 col-lg-4 innerBox align-self-<?php the_sub_field('vertical_alignment') ?>">
              <?php } ?>
                <div class="content row justify-content-center">
                  <div class="col-12 col-lg-10">
                    <?php the_sub_field('content') ?>

                    <?php if( have_rows('button') ): while( have_rows('button') ): the_row();
                        
                      $link = get_sub_field('link');
                      if( $link ) {
                        $link_url = $link['url'];
                        $link_target = $link['target'] ? $link['target'] : '_self'; 
                      } ?>

                      <div class="btns <?php the_sub_field('alignment') ?>">
                        <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
                          <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
                        <?php } ?>
                      </div>

                    <?php endwhile; endif; ?>
                  </div>
                </div>
              </div>

            <?php endwhile; ?>

          <?php endif; ?>

        </div>
      </div>
    </div>
  </div>



<?php /* Content & Image Panel
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'content_image_panel' ):

  // Get image
  $img_id = get_sub_field('image');
  $size = 'large';
  $image = wp_get_attachment_image_src( $img_id, $size ); ?>

  <div class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>; color: <?php the_sub_field('text_color') ?>;">
    <div class="row justify-content-center">
      <?php if( get_sub_field('type') == 'normal' ) { ?>
      <div class="col-12 col-lg-11">
        <div class="contentImage row align-items-<?php the_sub_field('vertical_alignment') ?> justify-content-around">
            
          <div class="col-12 col-md-6 order-6 order-md-12 innerBox">
            <div class="content row justify-content-center">
              <div class="col-12 col-lg-10">
                <?php the_sub_field('content'); ?>
              
                <?php if( have_rows('button') ): while( have_rows('button') ): the_row();
                    
                  $link = get_sub_field('link');
                  if( $link ) {
                    $link_url = $link['url'];
                    $link_target = $link['target'] ? $link['target'] : '_self'; 
                  } ?>

                  <div class="btns <?php the_sub_field('alignment') ?>">
                    <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
                      <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
                    <?php } ?>
                  </div>

                <?php endwhile; endif; ?>
              </div>
            </div>
          </div>

          <div class="col-12 col-md-6 <?php the_sub_field('layout') ?> innerImg">
            <img src="<?php echo $image[0]; ?>" />
          </div>

        </div>
      </div>
      <?php } elseif( get_sub_field('type') == 'full' ) { ?>
      <div class="col-12 full">
        <div class="contentImage row align-items-<?php the_sub_field('vertical_alignment') ?> justify-content-around">
          
          <div class="col-12 col-md-6 order-6 order-md-12 innerBox">
            <div class="content row justify-content-center">
              <div class="col-12 col-lg-10">
                <?php the_sub_field('content'); ?>
                
                <?php if( have_rows('button') ): while( have_rows('button') ): the_row();
                    
                  $link = get_sub_field('link');
                  if( $link ) {
                    $link_url = $link['url'];
                    $link_target = $link['target'] ? $link['target'] : '_self'; 
                  } ?>

                  <div class="btns <?php the_sub_field('alignment') ?>">
                    <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
                      <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
                    <?php } ?>
                  </div>

                <?php endwhile; endif; ?>
              </div>
            </div>
          </div>

          <div class="col-12 col-md-6 <?php the_sub_field('layout') ?> innerImg" style="background-image: url('<?php echo $image[0]; ?>');background-size:cover;">
            <img src="<?php echo $image[0]; ?>" style="opacity:0;" />
          </div>

        </div>
      </div>
      <?php } ?>
    </div>
  </div>

  
    
<?php /* Content & Sidebar Panel
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'content_sidebar_panel' ): ?>

  <div class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>;">
    <div class="row mainContent align-items-center justify-content-center">
      <div class="col-12 col-lg-11">
        <div class="contentSidebar row align-items-start justify-content-between">
          
          <div class="col-12 col-sm-8 innerBox">
            <?php the_sub_field('content') ?>
          </div>
          
            <?php if( have_rows('sidebar') ) : ?>
              
              <div class="col-12 col-sm-4 innerSidebar">
              
              <?php while( have_rows('sidebar') ) : the_row(); ?>

                <div class="sidebarBox">
                  <?php the_sub_field('content') ?>

                  <?php if( have_rows('button') ): while( have_rows('button') ): the_row();
                
                    $link = get_sub_field('link');
                    if( $link ) {
                      $link_url = $link['url'];
                      $link_target = $link['target'] ? $link['target'] : '_self'; 
                    } ?>

                    <div class="btns <?php the_sub_field('alignment') ?>">
                      <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
                        <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
                      <?php } ?>
                    </div>

                  <?php endwhile; endif; ?>
                </div>

              <?php endwhile; ?>

              </div>

            <?php endif; ?>

        </div>
      </div>
    </div>
  </div>

  
  
<?php /* Feature Boxes
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'feature_boxes' ):

  $totalrows = count( get_sub_field('boxes') );

  if( have_rows('boxes') ): $rownum = 1; ?>

    <div class="featureBoxes col-12">
      <div class="row">

        <?php while ( have_rows('boxes') ) : the_row(); 
        
          // Get overlay color
          $feature_hex_color = get_sub_field('overlay_color','option');
          $feature_RGB_color = hex2rgb($feature_hex_color);
          $feature_overlay_color = implode(",", $feature_RGB_color);  
          
          // Get background image
          $img_id = get_sub_field('bg_image');
          $size = 'large';
          $image = wp_get_attachment_image_src( $img_id, $size ); ?>

          <?php if( get_sub_field('bg_image') ) { ?>
            <?php if( $totalrows == 3 || $totalrows == 4 ) { ?>
              <div class="col-12 col-sm-6 col-xl featureBox row<?php echo $rownum; ?> total<?php echo $totalrows; ?>" style="background-image: url('<?php echo $image[0]; ?>');">
            <?php } else { ?>
              <div class="col-12 col-md featureBox row<?php echo $rownum; ?> total<?php echo $totalrows; ?>" style="background-image: url('<?php echo $image[0]; ?>');">
            <?php } ?>
              <div class="row align-items-between">
                <div class="darkOverlay" style="background: rgba(<?php echo $feature_overlay_color ?>,<?php the_sub_field('overlay_opacity') ?>);"></div>
                <div class="col-12 content">
                  <div class="row <?php the_sub_field('content_alignment') ?>" style="height: 100%;">
                    <div class="col-12<?php if( $totalrows == 1 || $totalrows == 2 ) { ?> col-lg-8 col-xl-7<?php } ?>" style="color:<?php the_sub_field('text_color') ?> !important;">
                      <?php the_sub_field('content') ?>
                    
                      <div class="button col-12 align-self-end <?php the_sub_field('button_alignment') ?>">
                        
                        <?php if( have_rows('button') ): while( have_rows('button') ): the_row(); ?>
                        
                          <?php $link = get_sub_field('link');
                          if( $link ) {
                            $link_url = $link['url'];
                            $link_target = $link['target'] ? $link['target'] : '_self'; 
                          } ?>

                          <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
                            <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
                          <?php } ?>

                        <?php endwhile; endif; ?>

                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          <?php } ?>
          
        <?php $rownum++; endwhile; ?>
        
      </div>
    </div>

  <?php endif; ?>



<?php /* Small Blocks
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'small_blocks' ): ?>

  <div id="blocksWrap" class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>;">
    <div class="row align-items-center justify-content-center">
      <div class="col-12 col-lg-11">

        <div class="smallBlocks row align-items-start <?php the_sub_field('alignment') ?>">

          <?php if( have_rows('blocks') ): ?>

            <?php while( have_rows('blocks') ): the_row();
            
              // Get images
              $img_id = get_sub_field('image');
              $size = 'medium';
              $image = wp_get_attachment_image_src( $img_id, $size ); ?>
            
              <div class="block col-12 col-sm-4 col-md-3">
                <div class="box">

                  <img src="<?php echo $image[0]; ?>" />

                  <div class="info">
                    <h3><?php the_sub_field('title') ?></h3>
                    <p><?php the_sub_field('text') ?></p>
                  </div>

                </div>
              </div>

            <?php endwhile; ?>

          <?php endif; ?>

        </div>

      </div>
    </div>
  </div>



<?php /* Feature Panel
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'feature_panel' ):

  // Get overlay color
  $featPanel_hex_color = get_sub_field('overlay_color');
  $featPanel_RGB_color = hex2rgb($featPanel_hex_color);
  $featPanel_overlay_color = implode(",", $featPanel_RGB_color);

  if( get_sub_field('bg_type') == 'image' ) {

    if( get_sub_field('bg_mobile') ) {
      if( wp_is_mobile() ) {

        // Get background images
        $img_id_mobile = get_sub_field('bg_mobile');
        $size = 'large';
        $imageMobile = wp_get_attachment_image_src( $img_id_mobile, $size ); ?>

        <div class="col-12 featurePanel contentPanel <?php the_sub_field('panel_height') ?>" style="background-image: url('<?php echo $imageMobile[0]; ?>');background-position: <?php the_sub_field('horz_align_mob') ?> <?php the_sub_field('vert_align_mob') ?>;">

      <?php } else {

        // Get background images
        $img_id_desk = get_sub_field('bg_desk');
        $size = 'large';
        $imageDesk = wp_get_attachment_image_src( $img_id_desk, $size ); ?>

        <div class="col-12 featurePanel contentPanel <?php the_sub_field('panel_height') ?>" style="background-image: url('<?php echo $imageDesk[0]; ?>');background-position: <?php the_sub_field('horz_align_desk') ?> <?php the_sub_field('vert_align_desk') ?>;">

      <?php }
    } else {

      // Get background images
      $img_id_desk = get_sub_field('bg_desk');
      $size = 'large';
      $imageDesk = wp_get_attachment_image_src( $img_id_desk, $size ); ?>

      <div class="col-12 featurePanel contentPanel <?php the_sub_field('panel_height') ?>" style="background-image: url('<?php echo $imageDesk[0]; ?>');background-position: <?php the_sub_field('horz_align_desk') ?> <?php the_sub_field('vert_align_desk') ?>;">

    <?php }
      
  } elseif( get_sub_field('bg_type') == 'video' ) { ?>
    
    <div class="col-12 featurePanel contentPanel <?php the_sub_field('panel_height') ?>">

      <div class="feature-video-responsive">
        <?php if( get_sub_field('mp4_mobile_vid') || get_sub_field('webm_mobile_vid') ) { ?>
          <video id="video" class="mobileVid" preload="auto" playsinline muted="true" loop autoplay>
            <source src="<?php the_sub_field('webm_mobile_vid') ?>" type="video/webm">
            <source src="<?php the_sub_field('mp4_mobile_vid') ?>" type="video/mp4">
          </video>
          <video id="video" class="desktopVid" preload="auto" playsinline muted="true" loop autoplay>
            <source src="<?php the_sub_field('webm_desk_vid') ?>" type="video/webm">
            <source src="<?php the_sub_field('mp4_desk_vid') ?>" type="video/mp4">
          </video>
        <?php } else { ?>
          <div class="video-responsive">
            <video id="video" preload="auto" playsinline muted="true" loop autoplay>
              <source src="<?php the_sub_field('webm_desk_vid') ?>" type="video/webm">
              <source src="<?php the_sub_field('mp4_desk_vid') ?>" type="video/mp4">
            </video>
          </div>
        <?php } ?>
      </div>
      
  <?php } ?>

    <?php if( wp_is_mobile() ) { ?>
      <div class="darkOverlay" style="background: rgba(<?php echo $featPanel_overlay_color ?>,<?php the_sub_field('overlay_opacity_mob') ?>);"></div>
    <?php } else { ?>
      <div class="darkOverlay" style="background: rgba(<?php echo $featPanel_overlay_color ?>,<?php the_sub_field('overlay_opacity_desk') ?>);"></div>
    <?php } ?>

    <div class="row align-items-center <?php the_sub_field('alignment') ?>">
      
      <div class="feature col-12 col-md-8 col-lg-6">
      
        <div class="content">
          <?php the_sub_field('main_text') ?>
        </div>

        <?php if( have_rows('button') ): while( have_rows('button') ): the_row();
                
          $link = get_sub_field('link');
          if( $link ) {
            $link_url = $link['url'];
            $link_target = $link['target'] ? $link['target'] : '_self'; 
          } ?>

          <div class="button <?php the_sub_field('alignment') ?>">
            <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
              <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
            <?php } ?>
          </div>

        <?php endwhile; endif; ?>
      
      </div>

    </div>
  </div>



<?php /* Gallery
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'gallery' ):
  
  // Get gallery images
  $images = get_sub_field('gallery_images');
  if( $images ): ?>

    <div id="galleryWrap" class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>;">
      <div class="row align-items-center justify-content-center">
        <?php if( get_sub_field('intro') ) { ?>
          <div class="col-12 galleryContent" style="color:<?php the_sub_field('text_color') ?>;"><?php the_sub_field('intro') ?></div>
        <?php } ?>

        <div class="col-12">
          <div class="imgList row align-items-center justify-content-center">

            <?php $i=1; foreach( $images as $image ) { ?>

            <div class="galleryImg col-12 col-sm-auto"><a href="<?php echo $image['sizes']['large']; ?>" rel="lightbox"><img src="<?php echo $image['sizes']['medium']; ?>" /></a></div>
          
            <?php if( $i++ == 12 ) break; } ?>
          
          </div>
        </div>
      </div>
    </div>

  <?php endif; ?>



<?php /* Testimonial Slider
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'testimonial_slider' ):

  // Get category info
  $queried_object = get_queried_object();
  $term_id = $queried_object->term_id;
  $term = get_sub_field('category', $term_id);

  if( $term ) {
    $args = array(
      'numberposts'	=> -1,
      'post_type'		=> 'testimonial',
      'tax_query' => array(
        array(
        'taxonomy' => 'category',
        'terms' => $term,
        'field' => 'term_id'
      )),
      'orderby' => 'rand',
    );
  } else {
    $args = array(
      'numberposts'	=> -1,
      'post_type'		=> 'testimonial',
      'orderby' => 'rand',
    );
  }

  $the_query = new WP_Query( $args ); 

  if( $the_query->have_posts() ): ?>

    <div id="testSliderWrap" class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>; color: <?php the_sub_field('text_color') ?>">
      <div class="row align-items-center justify-content-center">
        <div class="col-12">
          <?php if( get_sub_field('intro') ) { ?>
            <div class="row align-items-center justify-content-center">
              <div class="col-12">
                <?php the_sub_field('intro') ?>
              </div>
            </div>
          <?php } ?>

          <div class="row align-items-center justify-content-center">
            <div class="col-0 col-lg-1 p-0">
              <div id="testPrev" class="chevron left" style="border-color: <?php the_sub_field('text_color') ?>;"></div>
            </div>

            <div class="col-12 col-lg-10">
              <div id="testSlider" class="cycle-slideshow"
                  data-cycle-fx=scrollHorz
                  data-cycle-timeout=30000
                  data-cycle-slides="> div"
                  data-cycle-pause-on-hover=true
                  data-cycle-auto-height=calc
                  data-cycle-center-horz=true
                  data-cycle-center-vert=true
                  data-cycle-prev="#testPrev"
                  data-cycle-next="#testNext"
                  data-cycle-swipe=true
                  data-cycle-swipe-fx=scrollHorz
                  >

                <?php while( $the_query->have_posts() ) : $the_query->the_post(); ?>
                  
                  <div id="slide" class="testSlide">
                    <?php the_field('testimonial_text') ?>
                    <h3 class="author">- <?php the_field('testimonial_author') ?></h3>
                  </div>

                <?php endwhile; ?>
              </div>
            </div>

            <div class="col-0 col-lg-1 p-0">
              <div id="testNext" class="chevron right" style="border-color: <?php the_sub_field('text_color') ?>;"></div>
            </div>
          </div>

        </div>
      </div>
    </div>

  <?php endif; wp_reset_postdata();?>



<?php /* Image Scroller
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'image_scroller' ):

  // Get scroller images
  $images = get_sub_field('scroll-images');
  if( $images ): ?>

    <div id="imageScroller" class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>; color: <?php the_sub_field('text_color') ?>;">
      <div class="row align-items-center imgScrollPanel">
        <div class="col-12">
          
          <div id="imgScroll">

            <?php if( get_sub_field('intro') ) { ?>
              <?php the_sub_field('intro') ?>
            <?php } ?>

            <div class="cycle-slideshow"
              data-cycle-fx="carousel"
              data-cycle-speed="11000"
              data-cycle-timeout="1"
              data-cycle-easing="linear"
            >

            <?php foreach( $images as $image ) { ?>

              <img src="<?php echo $image['sizes']['medium']; ?>" />

            <?php } ?>

            </div>

          </div>

        </div>
      </div>
    </div>

  <?php endif; ?>



<?php /* FAQ Panel
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'faq_panel' ):

  // Get category info
  $queried_object = get_queried_object();
  $term_id = $queried_object->term_id;
  $term = get_sub_field('category', $term_id); ?>

  <div id="faqPanel" class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>; color: <?php the_sub_field('text_color') ?>;">
    <div class="row align-items-center justify-content-center">
      <div class="col-12 col-lg-11">
        <?php if( get_sub_field('intro') ) { ?>
          <?php the_sub_field('intro') ?>
        <?php } ?>

        <div id="accordion" role="tablist" aria-multiselectable="false">
        
          <?php if( $term ) {
            $args = array(
              'post_type' => 'faq',
              'tax_query' => array(
                array(
                'taxonomy' => 'category',
                'terms' => $term,
                'field' => 'term_id'
              )),
              'posts_per_page' => -1
            );
          } else {
            $args = array(
              'post_type' => 'faq',
              'posts_per_page' => -1
            );
          }
          $the_query = new WP_Query( $args ); 
          $i = 0; if ($the_query->have_posts()) : while ($the_query->have_posts()) : $the_query->the_post(); $i++; ?>

            <div class="card">
              <div class="card-header" role="tab" id="heading<?php echo $i ?>">
                <h5>
                  <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse<?php echo $i ?>" aria-expanded="false" aria-controls="collapse<?php echo $i ?>" style="color: <?php the_sub_field('text_color') ?>;">
                    <?php the_title(); ?>
                    <div class="dirLines">
                      <span style="background: <?php the_sub_field('text_color') ?>;" class="line1"></span>
                      <span style="background: <?php the_sub_field('text_color') ?>;" class="line2"></span>
                    </div>
                  </a>
                </h5>
              </div>
              <div id="collapse<?php echo $i ?>" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading<?php echo $i ?>">
                <div class="card-body panel-body">
                  <?php the_content(); ?>
                </div>
              </div>
            </div>

          <?php endwhile; endif; wp_reset_postdata(); ?>

        </div>
      </div>
    </div>
  </div>



<?php // Location Panel
elseif( get_row_layout() == 'location' ): ?>

  <?php include( plugin_dir_path( __FILE__ ) . 'parts/acf-googlemap.php' ); ?>

  <div id="locationPanel" class="col-12">
    <div class="row justify-content-center">
      
      <?php $location = get_field('google_map','option');
      if( !empty($location) ): ?>
        <div class="acf-map">
          <div class="marker" data-lat="<?php echo $location['lat']; ?>" data-lng="<?php echo $location['lng']; ?>"></div>
        </div>
      <?php endif; ?>

      <div class="col-11">
        <div class="row justify-content-start">
          <div class="locationBox col-auto" style="background-color: <?php the_sub_field('bg_color') ?>; color: <?php the_sub_field('text_color') ?>;">
            <h4><?php bloginfo('name') ?></h4>
            <?php if( get_field('address_one','option') ) { ?>
              <p><?php the_field('address_one','option') ?><?php if( get_field('address_two','option') ) { ?>, <?php the_field('address_two','option') ?><?php } ?>
              <br />
              <?php the_field('city','option') ?>, <?php the_field('state','option') ?> <?php the_field('zip','option') ?></p>
            <?php } ?>
            <?php if( get_field('phone','option') ) { ?>
              <p><?php the_field('phone','option') ?></p>
            <?php } ?>
            <?php if( get_field('email','option') ) { ?>
              <p><?php the_field('email','option') ?></p>
            <?php } ?>
          </div>
        </div>
      </div>
    </div>
  </div>



<?php // Region Panel
elseif( get_row_layout() == 'region' ): ?>

  <?php include( plugin_dir_path( __FILE__ ) . 'parts/acf-googlemap.php' ); ?>

  <div id="regionPanel" class="col-12">
    <div class="row justify-content-center">
      
    <?php if( have_rows('google_maps') ): ?>
      <div class="acf-map">
        <?php while ( have_rows('google_maps') ) : the_row(); 

          $location = get_sub_field('location');

          ?>
          
          <div class="marker" data-lat="<?php echo $location['lat']; ?>" data-lng="<?php echo $location['lng']; ?>">
            <h4><?php the_sub_field('name'); ?></h4>
            <p class="address"><?php echo $location['address']; ?></p>
          </div>

        <?php endwhile; ?>
      </div>
    <?php endif; ?>

      <div class="col-11" style="display:none;">
        <div class="row justify-content-start">
          <div class="locationBox col-12 col-md-auto">
            <h3><?php bloginfo('name') ?></h3>
            <?php if( get_field('address_one','option') ) { ?>
              <p><?php the_field('address_one','option') ?><?php if( get_field('address_two','option') ) { ?>, <?php the_field('address_two','option') ?><?php } ?>
              <br />
              <?php the_field('city','option') ?>, <?php the_field('state','option') ?> <?php the_field('zip','option') ?></p>
            <?php } ?>
            <?php if( get_field('phone','option') ) { ?>
              <p><?php the_field('phone','option') ?></p>
            <?php } ?>
            <?php if( get_field('email','option') ) { ?>
              <p><?php the_field('email','option') ?></p>
            <?php } ?>
          </div>
        </div>
      </div>
    </div>
  </div>



<?php // Closing the Panel Group
      endif; endwhile; ?>
  
</div>

<?php else :

// no layouts found

endif; ?>