<?php if( have_rows('hero_panels') ): ?>

  <?php $layout_counts = array(); ?>

  <script>
    $(document).ready(function() { 
      // Fade In Home
      $('#hero .heroText').delay(300).queue(function(next) {
        $(this).addClass('fade');
        next();
      });
      $('#hero .heroBtns').delay(600).queue(function(next) {
        $(this).addClass('fade');
        next();
      });
    });
  </script>

  <?php while ( have_rows('hero_panels') ) : the_row();

    $layout = get_row_layout();
    if( !isset($layout_counts[$layout]) ) {
      $layout_counts[$layout] = 0;
    }
    $layout_counts[$layout]++;
    $class = 'even';



/* Image Background
----------------------------------------------------------------------------------------------------------------------------------*/
if( get_row_layout() == 'image_bg' ): 

  // Get background images
  $desk_img_id = get_sub_field('desk_bg_img');
  $mob_img_id = get_sub_field('mob_bg_img');
  $size = 'large';
  $deskImage = wp_get_attachment_image_src( $desk_img_id, $size );
  $mobImage = wp_get_attachment_image_src( $mob_img_id, $size );

  // Get dark overlay color
  $dark_hex_color = get_field('overlay_dark','option');
  $dark_RGB_color = hex2rgb($dark_hex_color);
  $dark_overlay_color = implode(",", $dark_RGB_color);

  // Get light overlay color
  $light_hex_color = get_field('overlay_light','option');
  $light_RGB_color = hex2rgb($light_hex_color);
  $light_overlay_color = implode(",", $light_RGB_color);

  // Full Screen Hero
  if( get_sub_field('hero_type') == 'full' ) { ?>
    <script>
      if( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ) {
        $(document).ready(function() {
          $winHeight = window.innerHeight;
          $('#hero').css('min-height',$winHeight);
        });
      } else {
        $(document).ready(function() {
          $winHeight = window.innerHeight;
          $('#hero').css('min-height',$winHeight);
        });
        $(window).resize(function() {
          $winHeight = window.innerHeight;
          $('#hero').css('min-height',$winHeight);
        });
      }
    </script>
  <?php } ?>

  <script>
    $(document).ready(function() {
      if( $('.heroContent').hasClass('dark') ) {
        $('body').addClass('dark');
      } else {
        $('body').addClass('light');
      }
    });
  </script>

  <div id="hero" class="col-12 p-0 panelWrap <?php the_sub_field('hero_type') ?>">
    
    <style>
      #hero {
        background-image: url('<?php echo $deskImage[0]; ?>');
        background-repeat: no-repeat;
        background-size: cover;
        background-position: <?php the_sub_field('horz_align_desk') ?> <?php the_sub_field('vert_align_desk') ?>;
      }
    </style>
    <?php if( get_sub_field('mob_bg_img') ) { ?>
      <style>
        @media(max-width:575.98px) {
          #hero {
            background-image: url('<?php echo $mobImage[0]; ?>');
            background-position: <?php the_sub_field('horz_align_mob') ?> <?php the_sub_field('vert_align_mob') ?>;
          }
        }
      </style>
    <?php } ?>

    <?php if( get_sub_field('overlay_type') == 'light' ) { ?>
      <div class="lightOverlay" style="background: rgba(<?php echo $light_overlay_color ?>,<?php the_sub_field('overlay_opacity') ?>);"></div>
    <?php } elseif( get_sub_field('overlay_type') == 'dark' ) { ?>
      <div class="darkOverlay" style="background: rgba(<?php echo $dark_overlay_color ?>,<?php the_sub_field('overlay_opacity') ?>);"></div>
    <?php } ?>

    <div class="heroContent row align-items-center justify-content-center <?php the_sub_field('overlay_type') ?>">
      <div class="col-12 col-lg-11">
        <div class="row align-items-center <?php the_sub_field('alignment') ?>">

          <?php $totalrows = count( get_sub_field('content') ); ?>
          
          <?php if( have_rows('content') ): $rownum = 1; while( have_rows('content') ) : the_row(); ?>

            <?php if( $totalrows == 1 ) { ?>
              <div class="col-12 col-md-10 col-xl-8 num<?php echo $rownum; ?>">
            <?php } elseif( $totalrows == 2 ) { ?>
              <div class="col-12 col-lg-6 num<?php echo $rownum; ?>">
            <?php } ?>

              <?php if( get_sub_field('content') ) { ?>
                <div class="heroText"><?php the_sub_field('content') ?></div>
              <?php } ?>

              <div class="heroBtns <?php the_sub_field('button_alignment') ?>">

              <?php if( have_rows('buttons') ) {

                while( have_rows('buttons') ) : the_row();

                  $link = get_sub_field('link');
                  if( $link ) {
                    $link_url = $link['url'];
                    $link_target = $link['target'] ? $link['target'] : '_self';
                  } ?>

                    <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
                      <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
                    <?php } ?>

                <?php endwhile;

              } ?>

              </div>
            </div>

          <?php $rownum++; endwhile; endif; ?>

        </div>
      </div>
    </div>

  </div>



<?php /* Video Background
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'video_bg' ): 

  // Get dark overlay color
  $dark_hex_color = get_field('overlay_dark','option');
  $dark_RGB_color = hex2rgb($dark_hex_color);
  $dark_overlay_color = implode(",", $dark_RGB_color);

  // Get light overlay color
  $light_hex_color = get_field('overlay_light','option');
  $light_RGB_color = hex2rgb($light_hex_color);
  $light_overlay_color = implode(",", $light_RGB_color);
  
  // Full Screen Hero
  if( get_sub_field('hero_type') == 'full' ) { ?>
    <script>
      if( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ) {
        $(document).ready(function() {
          $winHeight = window.innerHeight;
          $('#hero').css('min-height',$winHeight);
        });
      } else {
        $(document).ready(function() {
          $winHeight = window.innerHeight;
          $('#hero').css('min-height',$winHeight);
        });
        $(window).resize(function() {
          $winHeight = window.innerHeight;
          $('#hero').css('min-height',$winHeight);
        });
      }
    </script>
  <?php } ?>

  <script>
    $(document).ready(function() {
      if( $('.heroContent').hasClass('dark') ) {
        $('body').addClass('dark');
      } else {
        $('body').addClass('light');
      }
    });
  </script>

  <div id="hero" class="col-12 p-0 panelWrap<?php if( get_sub_field('hero_type') == 'full' ) { ?> full<?php } elseif( get_sub_field('hero_type') == 'fixed') { ?> fixed<?php } ?>">

    <div class="video-responsive">
      <?php if( get_sub_field('mp4_mob_vid') || get_sub_field('webm_mob_vid') ) { ?>
        <video id="video" class="desktopVid" autoplay loop preload="true" volume="0" muted playsinline onloadedmetadata="this.muted = true">
          <source src="<?php the_sub_field('mp4_desk_vid') ?>" type="video/mp4" >
          <source src="<?php the_sub_field('webm_desk_vid') ?>" type="video/webm" >
        </video>
        <video id="video" class="mobileVid" autoplay loop preload="true" volume="0" muted playsinline onloadedmetadata="this.muted = true">
          <source src="<?php the_sub_field('mp4_mob_vid') ?>" type="video/mp4">
          <source src="<?php the_sub_field('webm_mob_vid') ?>" type="video/webm">
        </video>
      <?php } else { ?>
        <video id="video" autoplay loop preload="true" volume="0" muted playsinline onloadedmetadata="this.muted = true">
          <source src="<?php the_sub_field('mp4_desk_vid') ?>" type="video/mp4">
          <source src="<?php the_sub_field('webm_desk_vid') ?>" type="video/webm" >
        </video>
      <?php } ?>
    </div>

    <?php if( get_sub_field('overlay_type') == 'light' ) { ?>
      <div class="lightOverlay" style="background: rgba(<?php echo $light_overlay_color ?>,<?php the_sub_field('overlay_opacity') ?>);"></div>
    <?php } elseif( get_sub_field('overlay_type') == 'dark' ) { ?>
      <div class="darkOverlay" style="background: rgba(<?php echo $dark_overlay_color ?>,<?php the_sub_field('overlay_opacity') ?>);"></div>
    <?php } ?>

    <div class="heroContent row align-items-center justify-content-center <?php the_sub_field('overlay_type') ?>">
      <div class="col-12 col-lg-11">
        <div class="row align-items-center <?php the_sub_field('alignment') ?>">
          
          <?php $totalrows = count( get_sub_field('content') ); ?>
          
          <?php if( have_rows('content') ): $rownum = 1; while( have_rows('content') ) : the_row(); ?>  
        
            <?php if( $totalrows == 1 ) { ?>
              <div class="col-12 col-md-10 col-xl-8 num<?php echo $rownum; ?>">
            <?php } elseif( $totalrows == 2 ) { ?>
              <div class="col-12 col-lg-6 num<?php echo $rownum; ?>">
            <?php } ?>

              <?php if( get_sub_field('content') ) { ?>
                <div class="heroText"><?php the_sub_field('content') ?></div>
              <?php } ?>

              <div class="heroBtns <?php the_sub_field('button_alignment') ?>">

              <?php if( have_rows('buttons') ) {

                while( have_rows('buttons') ) : the_row();

                  $link = get_sub_field('link');
                  if( $link ) {
                    $link_url = $link['url'];
                    $link_target = $link['target'] ? $link['target'] : '_self';
                  } ?>

                    <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
                      <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
                    <?php } ?>

                <?php endwhile;

              } ?>

              </div>
            </div>

          <?php $rownum++; endwhile; endif; ?>

        </div>
      </div>
    </div>

  </div>



<?php /* Hero Slider
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'slider' ): ?>

  <script>
    $(document).ready(function() {

      if ( $('#heroSlider').children().length == 1 )
        $('#prev,#next').hide();

      $('#slideWrap:first-of-type').addClass('firstSlide');

      // Play first slide if video and pause slider
      $('#heroSlider').on('cycle-initialized', function(event, optionHash, outgoingSlideEl, incomingSlideEl, forwardFlag) {
        if( $('.firstSlide').hasClass('videoSlide') ) {
          $('#heroSlider').cycle('pause');
        }
        if( $('.firstSlide').hasClass('dark') ) {
          $('body').addClass('dark');
        } else {
          $('body').addClass('light');
        }
      });

      if( document.getElementById('video') ) {
        document.getElementById('video').muted = true;

        // Pause video on outgoing slide, and pause slider if new slide is video
        $('#heroSlider').on('cycle-before', function(event, optionHash, outgoingSlideEl, incomingSlideEl, forwardFlag) {
          if( $(outgoingSlideEl).hasClass('videoSlide') ) {
            $('video', outgoingSlideEl)[0].pause();
          } else {
            $('#heroSlider').cycle('resume');
          }
        });

        // Play the video on the incoming slide
        $('#heroSlider').on('cycle-after', function(event, optionHash, outgoingSlideEl, incomingSlideEl, forwardFlag) {
          if( $(incomingSlideEl).hasClass('videoSlide') ) {
            $('video', incomingSlideEl)[0].play();
            $('#heroSlider').cycle('pause');
          } else {
            $('#heroSlider').cycle('resume');
          }
        });

        // Go to the next slide when video of current slide ends
        $(function() {
          $('video').on('ended', function() { 
            $('#heroSlider').cycle('next'); // trigger next slide 
          }); // addition end 
          $('video')[0].play();
        });
      }

      $('#heroSlider').on('cycle-before', function (event, optionHash, outgoingSlideEl, incomingSlideEl, forwardFlag) {
        if( $(incomingSlideEl).hasClass('dark') ) {
          $('body').removeClass('light');
          $('body').addClass('dark');
        } else {
          $('body').removeClass('dark');
          $('body').addClass('light');
        }
      });

    });
  </script>

  <?php // Full Screen Hero
  if( get_sub_field('hero_type') == 'full' ) { ?>
    <script>
      if( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ) {
        $(document).ready(function() {
          $winHeight = window.innerHeight;
          $('#heroSlider').css('min-height',$winHeight);
        });
      } else {
        $(document).ready(function() {
          $winHeight = window.innerHeight;
          $('#heroSlider').css('min-height',$winHeight);
        });
        $(window).resize(function() {
          $winHeight = window.innerHeight;
          $('#heroSlider').css('min-height',$winHeight);
        });
      }
    </script>
  <?php } ?>

  <div id="hero" class="col-12 panelWrap <?php the_sub_field('hero_type') ?>">

    <div id="prev" class="chevron left"></div>

    <div id="heroSlider" class="row cycle-slideshow"
        data-cycle-fx="scrollHorz"
        data-cycle-timeout="5000"
        data-cycle-speed="500"
        data-cycle-slides="> div"
        data-cycle-prev="#prev"
        data-cycle-next="#next"
        data-cycle-swipe=true
        data-cycle-hide-non-active=true
        data-cycle-slide-active-class=active
        data-cycle-allow-wrap=true
        >

    <?php while ( have_rows('hero_slides') ) : the_row(); 
    
      // Get dark overlay color
      $dark_hex_color = get_field('overlay_dark','option');
      $dark_RGB_color = hex2rgb($dark_hex_color);
      $dark_overlay_color = implode(",", $dark_RGB_color);

      // Get light overlay color
      $light_hex_color = get_field('overlay_light','option');
      $light_RGB_color = hex2rgb($light_hex_color);
      $light_overlay_color = implode(",", $light_RGB_color); ?>

      <?php if( get_sub_field('slide_type') == 'image' ) {

        // Get background images
        $desk_img_id = get_sub_field('desk_bg_img');
        $mob_img_id = get_sub_field('mob_bg_img');
        $size = 'large';
        $deskImage = wp_get_attachment_image_src( $desk_img_id, $size );
        $mobImage = wp_get_attachment_image_src( $mob_img_id, $size ); ?>


        <?php if( wp_is_mobile() ) {
          if( get_sub_field('mob_bg_img') ) { ?>
            <div id="slideWrap" class="col-12 p-0 imageSlide <?php the_sub_field('overlay_type') ?>" style="background-image:url('<?php echo $mobImage[0]; ?>'); background-position: <?php the_sub_field('horz_align_mob') ?> <?php the_sub_field('vert_align_mob') ?>;">
          <?php } else { ?>
            <div id="slideWrap" class="col-12 p-0 imageSlide <?php the_sub_field('overlay_type') ?>" style="background-image:url('<?php echo $deskImage[0]; ?>'); background-position: <?php the_sub_field('horz_align_desk') ?> <?php the_sub_field('vert_align_desk') ?>;">
          <?php } ?>
        <?php } else { ?>
          <div id="slideWrap" class="col-12 p-0 imageSlide <?php the_sub_field('overlay_type') ?>" style="background-image:url('<?php echo $deskImage[0]; ?>'); background-position: <?php the_sub_field('horz_align_desk') ?> <?php the_sub_field('vert_align_desk') ?>;">
        <?php } ?>

      <?php } elseif( get_sub_field('slide_type') == 'video' ) { ?>
        
        <div id="slideWrap" class="col-12 p-0 videoSlide <?php the_sub_field('overlay_type') ?>">
          <div class="video-responsive">
            <?php if( get_sub_field('mp4_mob_vid') || get_sub_field('webm_mob_vid') ) { ?>
              <video id="video" class="mobileVid" autoplay preload="true" volume="0" playsinline onloadedmetadata="this.muted = true">
                <source src="<?php the_sub_field('webm_mob_vid') ?>" type="video/webm">
                <source src="<?php the_sub_field('mp4_mob_vid') ?>" type="video/mp4">
              </video>
              <video id="video" class="desktopVid" autoplay preload="true" volume="0" playsinline onloadedmetadata="this.muted = true">
                <source src="<?php the_sub_field('webm_desk_vid') ?>" type="video/webm" >  
                <source src="<?php the_sub_field('mp4_desk_vid') ?>" type="video/mp4" >
              </video>
            <?php } else { ?>
              <video id="video" autoplay preload="true" volume="0" playsinline onloadedmetadata="this.muted = true">
                <source src="<?php the_sub_field('webm_desk_vid') ?>" type="video/webm">
                <source src="<?php the_sub_field('mp4_desk_vid') ?>" type="video/mp4">
              </video>
            <?php } ?>
          </div>

      <?php } ?>

        <?php if( get_sub_field('overlay_type') == 'light' ) { ?>
          <div class="lightOverlay" style="background: rgba(<?php echo $light_overlay_color ?>,<?php the_sub_field('overlay_opacity') ?>);"></div>
        <?php } elseif( get_sub_field('overlay_type') == 'dark' ) { ?>
          <div class="darkOverlay" style="background: rgba(<?php echo $dark_overlay_color ?>,<?php the_sub_field('overlay_opacity') ?>);"></div>
        <?php } ?>

        <div class="heroContent row align-items-center justify-content-center <?php the_sub_field('overlay_type') ?>">
          <div class="col-12 col-lg-11">
            <div class="row align-items-center <?php the_sub_field('alignment') ?>">

              <?php $totalrows = count( get_sub_field('content') ); ?>
          
              <?php if( have_rows('content') ): $rownum = 1; while( have_rows('content') ) : the_row(); ?>  
        
                <?php if( $totalrows == 1 ) { ?>
                  <div class="col-12 col-md-10 col-xl-8 num<?php echo $rownum; ?>">
                <?php } elseif( $totalrows == 2 ) { ?>
                  <div class="col-12 col-lg-6 num<?php echo $rownum; ?>">
                <?php } ?>

                  <?php if( get_sub_field('content') ) { ?>
                    <div class="heroText"><?php the_sub_field('content') ?></div>
                  <?php } ?>

                  <div class="heroBtns <?php the_sub_field('button_alignment') ?>">

                  <?php if( have_rows('buttons') ) {

                      while( have_rows('buttons') ) : the_row();

                        $link = get_sub_field('link');
                        if( $link ) {
                          $link_url = $link['url'];
                          $link_target = $link['target'] ? $link['target'] : '_self';
                        } ?>

                        <a href="<?php the_sub_field('link') ?>" class="btn btn-<?php the_sub_field('type') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>

                      <?php endwhile;

                  } ?>

                  </div>
                </div>

              <?php $rownum++; endwhile; endif; ?>

            </div>
          </div>
        </div>

      </div>

    <?php endwhile; ?>

    </div>

    <div id="next" class="chevron right"></div>

  </div>



<?php // Closing the Panel Group
    endif; endwhile; ?>
  


<?php else :

// no layouts found

endif; ?>