<?php

namespace threewp_broadcast\premium_pack\code_snippets;

/**
	@brief		Container for snippets.
	@since		2021-09-29 20:30:03
**/
class Snippets
	extends \threewp_broadcast\collection
{
	use \plainview\sdk_broadcast\wordpress\object_stores\Site_Option;

	public function append( $snippet )
	{
		$this->set( $snippet->get( 'id' ), $snippet );
	}

	/**
		@brief		Return all of the snippets active on this blog.
		@since		2021-09-29 20:32:39
	**/
	public function get_for_this_blog()
	{
		$r = new static();
		foreach( $this as $snippet )
		{
			if ( ! $snippet->is_enabled() )
				continue;
			if ( ! $snippet->is_active_here() )
				continue;
			$r->append( $snippet );
		}
		return $r;
	}

	public static function store_container()
	{
		return broadcast_code_snippets();
	}

	public static function store_key()
	{
		return 'snippets';
	}
}
