<?php if( have_rows('clicks_panels') ): ?>

  <div id="contentPanels" class="row justify-content-center">
  
    <?php $layout_counts = array();

    while ( have_rows('clicks_panels') ) : the_row();

      $layout = get_row_layout();
      if( !isset($layout_counts[$layout]) ) {
        $layout_counts[$layout] = 0;
      }
      $layout_counts[$layout]++;
      $class = 'even';



/* Content Panel
----------------------------------------------------------------------------------------------------------------------------------*/
if( get_row_layout() == 'content_panel' ): 

  // Count the rows
  $totalrows = count( get_sub_field('content_box') ); ?>

  <div id="contentSingle" class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>; color: <?php the_sub_field('text_color') ?>;">
    <div class="row single align-items-center justify-content-center">

      <?php if( have_rows('content_box') ): ?>

        <?php while( have_rows('content_box') ): the_row(); ?>

          <?php if( $totalrows == 1 ) { ?>
            <div class="col-12 col-lg-11 innerBox">
          <?php } elseif( $totalrows == 2 ) { ?>
            <div class="col-12 col-md-6 innerBox">
          <?php } elseif( $totalrows == 3 ) { ?>
            <div class="col-12 col-lg-4 innerBox">
          <?php } ?>
            <?php the_sub_field('content') ?>

            <?php if( have_rows('button') ): while( have_rows('button') ): the_row();
                
              $link = get_sub_field('link');
              if( $link ) {
                $link_url = $link['url'];
                $link_target = $link['target'] ? $link['target'] : '_self'; 
              } ?>

              <div class="btns <?php the_sub_field('alignment') ?>">
                <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
                  <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
                <?php } ?>
              </div>

              <?php endwhile; endif; ?>
          </div>

        <?php endwhile; ?>

      <?php endif; ?>

    </div>
  </div>



<?php /* Content & Image Panel
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'content_image_panel' ):

  // Get image
  $img_id = get_sub_field('image');
  $size = 'large';
  $image = wp_get_attachment_image_src( $img_id, $size ); ?>

  <div id="contentImageSplit" class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>; color: <?php the_sub_field('text_color') ?>;">
    <div class="row justify-content-center">
      <div class="col-12 col-lg-11">
        <div class="row align-items-center justify-content-around">
            
          <div class="col-12 col-md-6 order-6 order-md-12 innerBox">
            <?php the_sub_field('content'); ?>
            
            <?php if( have_rows('button') ): while( have_rows('button') ): the_row();
                
              $link = get_sub_field('link');
              if( $link ) {
                $link_url = $link['url'];
                $link_target = $link['target'] ? $link['target'] : '_self'; 
              } ?>

              <div class="btns <?php the_sub_field('alignment') ?>">
                <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
                  <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
                <?php } ?>
              </div>

              <?php endwhile; endif; ?>
          </div>

          <div class="col-12 col-md-6 <?php the_sub_field('layout') ?> innerImg">
            <img src="<?php echo $image[0]; ?>" />
          </div>

        </div>
      </div>
    </div>
  </div>

  
    
<?php /* Content & Sidebar Panel
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'content_sidebar_panel' ): ?>

  <div id="contentSidebar" class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>;">
    <div class="row mainContent align-items-center justify-content-center">
      <div class="col-12 col-lg-11">
        <div class="row align-items-start justify-content-between">
          
          <div class="col-12 col-sm-8 innerBox">
            <?php the_sub_field('content') ?>
          </div>
          
            <?php if( have_rows('sidebar') ) : ?>
              
              <div class="col-12 col-sm-4 innerSidebar">
              
              <?php while( have_rows('sidebar') ) : the_row(); ?>

                <div class="sidebarBox">
                  <?php the_sub_field('content') ?>

                  <?php if( have_rows('button') ): while( have_rows('button') ): the_row();
                
                    $link = get_sub_field('link');
                    if( $link ) {
                      $link_url = $link['url'];
                      $link_target = $link['target'] ? $link['target'] : '_self'; 
                    } ?>

                    <div class="btns <?php the_sub_field('alignment') ?>">
                      <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
                        <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
                      <?php } ?>
                    </div>

                  <?php endwhile; endif; ?>
                </div>

              <?php endwhile; ?>

              </div>

            <?php endif; ?>

        </div>
      </div>
    </div>
  </div>



<?php /* Content Columns
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'content_columns' ): ?>

  <div id="contentColumns" class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>;">
    <div class="row align-items-center justify-content-center">
      <div class="col-12 col-lg-11">
  
        <?php if( have_rows('columns') ) :

          while( have_rows('columns') ) : the_row();

            if( get_row_layout() == 'one_column' ): ?>

              <div class="row columnRow">

              <?php if( have_rows('boxes') ): ?>

                <?php while( have_rows('boxes') ) : the_row();

                  // Get image
                  $img_id = get_sub_field('image');
                  $size = 'medium';
                  $image = wp_get_attachment_image_src( $img_id, $size ); ?>

                  <div class="col-12 contentBox <?php the_sub_field('alignment') ?>">
                    <?php if( get_sub_field('image') ) { ?>
                      <img src="<?php echo $image[0]; ?>" />
                    <?php } ?>
                    <div class="inside">
                      <?php the_sub_field('content') ?>
                      
                      <?php if( have_rows('button') ): while( have_rows('button') ): the_row();
                
                        $link = get_sub_field('link');
                        if( $link ) {
                          $link_url = $link['url'];
                          $link_target = $link['target'] ? $link['target'] : '_self'; 
                        } ?>

                        <div class="btns <?php the_sub_field('alignment') ?>">
                          <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
                            <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
                          <?php } ?>
                        </div>

                      <?php endwhile; endif; ?>
                    </div>
                  </div>

                <?php endwhile; ?>

              <?php endif; ?>

              </div>

            <?php elseif( get_row_layout() == 'two_column' ): ?>

              <div class="row columnRow">

                <div class="col-12 col-md-6">
                  <div class="row">

                    <?php if( have_rows('boxes_left') ): while( have_rows('boxes_left') ) : the_row();

                      // Get image
                      $img_id = get_sub_field('image');
                      $size = 'medium';
                      $image = wp_get_attachment_image_src( $img_id, $size ); ?>

                      <div class="col-12 contentBox <?php the_sub_field('alignment') ?>">
                        <?php if( get_sub_field('image') ) { ?>
                          <img src="<?php echo $image[0]; ?>" />
                        <?php } ?>
                        <div class="inside">
                          <?php the_sub_field('content') ?>
                          
                          <?php if( have_rows('button') ): while( have_rows('button') ): the_row();
                
                            $link = get_sub_field('link');
                            if( $link ) {
                              $link_url = $link['url'];
                              $link_target = $link['target'] ? $link['target'] : '_self'; 
                            } ?>

                            <div class="btns <?php the_sub_field('alignment') ?>">
                              <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
                                <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
                              <?php } ?>
                            </div>

                          <?php endwhile; endif; ?>
                        </div>
                      </div>

                    <?php endwhile; endif; ?>

                  </div>
                </div>

                <div class="col-12 col-md-6">
                  <div class="row">

                    <?php if( have_rows('boxes_right') ): while( have_rows('boxes_right') ) : the_row();

                      // Get image
                      $img_id = get_sub_field('image');
                      $size = 'medium';
                      $image = wp_get_attachment_image_src( $img_id, $size ); ?>

                      <div class="col-12 contentBox <?php the_sub_field('alignment') ?>">
                        <?php if( get_sub_field('image') ) { ?>
                          <img src="<?php echo $image[0]; ?>" />
                        <?php } ?>
                        <div class="inside">
                          <?php the_sub_field('content') ?>
                          
                          <?php if( have_rows('button') ): while( have_rows('button') ): the_row();
                
                            $link = get_sub_field('link');
                            if( $link ) {
                              $link_url = $link['url'];
                              $link_target = $link['target'] ? $link['target'] : '_self'; 
                            } ?>

                            <div class="btns <?php the_sub_field('alignment') ?>">
                              <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
                                <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
                              <?php } ?>
                            </div>

                          <?php endwhile; endif; ?>
                        </div>
                      </div>

                    <?php endwhile; endif; ?>

                  </div>
                </div>

              </div>

            <?php elseif( get_row_layout() == 'three_column' ): ?>

              <div class="row columnRow">

                <div class="col-12 col-md-4">
                  <div class="row">

                    <?php if( have_rows('boxes_left') ): while( have_rows('boxes_left') ) : the_row();

                      // Get image
                      $img_id = get_sub_field('image');
                      $size = 'medium';
                      $image = wp_get_attachment_image_src( $img_id, $size ); ?>

                      <div class="col-12 contentBox <?php the_sub_field('alignment') ?>">
                        <?php if( get_sub_field('image') ) { ?>
                          <img src="<?php echo $image[0]; ?>" />
                        <?php } ?>
                        <div class="inside">
                          <?php the_sub_field('content') ?>
                          
                          <?php if( have_rows('button') ): while( have_rows('button') ): the_row();
                
                            $link = get_sub_field('link');
                            if( $link ) {
                              $link_url = $link['url'];
                              $link_target = $link['target'] ? $link['target'] : '_self'; 
                            } ?>

                            <div class="btns <?php the_sub_field('alignment') ?>">
                              <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
                                <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
                              <?php } ?>
                            </div>

                          <?php endwhile; endif; ?>
                        </div>
                      </div>

                    <?php endwhile; endif; ?>

                  </div>
                </div>

                <div class="col-12 col-md-4">
                  <div class="row">

                    <?php if( have_rows('boxes_center') ): while( have_rows('boxes_center') ) : the_row();

                      // Get image
                      $img_id = get_sub_field('image');
                      $size = 'medium';
                      $image = wp_get_attachment_image_src( $img_id, $size ); ?>

                      <div class="col-12 contentBox <?php the_sub_field('alignment') ?>">
                        <?php if( get_sub_field('image') ) { ?>
                          <img src="<?php echo $image[0]; ?>" />
                        <?php } ?>
                        <div class="inside">
                          <?php the_sub_field('content') ?>
                          
                          <?php if( have_rows('button') ): while( have_rows('button') ): the_row();
                
                            $link = get_sub_field('link');
                            if( $link ) {
                              $link_url = $link['url'];
                              $link_target = $link['target'] ? $link['target'] : '_self'; 
                            } ?>

                            <div class="btns <?php the_sub_field('alignment') ?>">
                              <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
                                <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
                              <?php } ?>
                            </div>

                          <?php endwhile; endif; ?>
                        </div>
                      </div>

                    <?php endwhile; endif; ?>

                  </div>
                </div>

                <div class="col-12 col-md-4">
                  <div class="row">

                    <?php if( have_rows('boxes_right') ): while( have_rows('boxes_right') ) : the_row();

                      // Get image
                      $img_id = get_sub_field('image');
                      $size = 'medium';
                      $image = wp_get_attachment_image_src( $img_id, $size ); ?>

                      <div class="col-12 contentBox <?php the_sub_field('alignment') ?>">
                        <?php if( get_sub_field('image') ) { ?>
                          <img src="<?php echo $image[0]; ?>" />
                        <?php } ?>
                        <div class="inside">
                          <?php the_sub_field('content') ?>
                          
                          <?php if( have_rows('button') ): while( have_rows('button') ): the_row();
                
                            $link = get_sub_field('link');
                            if( $link ) {
                              $link_url = $link['url'];
                              $link_target = $link['target'] ? $link['target'] : '_self'; 
                            } ?>

                            <div class="btns <?php the_sub_field('alignment') ?>">
                              <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
                                <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
                              <?php } ?>
                            </div>

                          <?php endwhile; endif; ?>
                        </div>
                      </div>

                    <?php endwhile; endif; ?>

                  </div>
                </div>

              </div>
          
            <?php endif; 
          
          endwhile; ?>

        <?php endif; ?>

      </div>
    </div>
  </div>

  
  
<?php /* Feature Boxes
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'feature_boxes' ):

  $totalrows = count( get_sub_field('boxes') );

  // Get dark overlay color
  $dark_hex_color = get_field('overlay_dark','option');
  $dark_RGB_color = hex2rgb($dark_hex_color);
  $dark_overlay_color = implode(",", $dark_RGB_color);

  if( have_rows('boxes') ): $rownum = 1; ?>

    <div id="featureBoxes" class="col-12 contentPanel">
      <div class="row">

        <?php while ( have_rows('boxes') ) : the_row(); 
        
          // Get background image
          $img_id = get_sub_field('bg_image');
          $size = 'large';
          $image = wp_get_attachment_image_src( $img_id, $size ); ?>

          <?php if( get_sub_field('bg_image') ) { ?>
            <?php if( $totalrows == 4 ) { ?>
              <div class="col-12 col-sm-6 col-xl featureBox row<?php echo $rownum; ?> total<?php echo $totalrows; ?>" style="background-image: url('<?php echo $image[0]; ?>');">
            <?php } else { ?>
              <div class="col-12 col-md featureBox row<?php echo $rownum; ?> total<?php echo $totalrows; ?>" style="background-image: url('<?php echo $image[0]; ?>');">
            <?php } ?>
            <div class="darkOverlay" style="background: rgba(<?php echo $dark_overlay_color ?>,0.75);"></div>
              <?php $link = get_sub_field('link');
                    if( $link ) {
                      $link_url = $link['url'];
                      $link_target = $link['target'] ? $link['target'] : '_self'; 
                    } ?>
              <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>">
                <h2><?php the_sub_field('title') ?></h2>
                <p><?php the_sub_field('text') ?></p>
              </a>
            </div>
          <?php } ?>
          
        <?php $rownum++; endwhile; ?>
        
      </div>
    </div>

  <?php endif; ?>

  
  
<?php /* Menu Boxes
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'menu_boxes' ): ?>

  <div id="menuBoxes" class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>;">
    <div class="row justify-content-center">
      <div class="col-12 col-lg-11">
        
        <?php if( have_rows('boxes') ) : ?>

          <?php while( have_rows('boxes') ) : the_row();

            // Get dark overlay color
            $dark_hex_color = get_field('overlay_dark','option');
            $dark_RGB_color = hex2rgb($dark_hex_color);
            $dark_overlay_color = implode(",", $dark_RGB_color);
            
            // Get images
            $img_left = get_sub_field('image_left');
            $img_right = get_sub_field('image_right');
            $size = 'medium';
            $imageLeft = wp_get_attachment_image_src( $img_left, $size );
            $imageRight = wp_get_attachment_image_src( $img_right, $size );

            // Get link info
            $link_left = get_sub_field('link_left');
              if( $link_left ) {
                $link_left_url = $link_left['url'];
                $link_left_target = $link_left['target'] ? $link_left['target'] : '_self'; 
              }
            $link_right = get_sub_field('link_right');
              if( $link_right ) {
                $link_right_url = $link_right['url'];
                $link_right_target = $link_right['target'] ? $link_right['target'] : '_self'; 
              }

            if( get_row_layout() == 'half' ): ?>

              <div class="row menuRow half align-items-center justify-content-between no-gutters">
                <div class="col-12 col-md-6 menuBox">
                  <div class="linkBox left">
                    <a href="<?php echo esc_url($link_left_url); ?>" target="<?php echo esc_attr($link_left_target); ?>">
                      <div class="row align-items-center justify-content-center no-gutters" style="background-image:url('<?php echo $imageLeft[0]; ?>');">
                        <div class="darkOverlay" style="background: rgba(<?php echo $dark_overlay_color ?>,0.75);"></div>
                        <div class="col-12 text-center">    
                          <h1><?php the_sub_field('title_left'); ?></h1>
                        </div>
                      </div>
                    </a>
                  </div>
                </div>
                <div class="col-12 col-md-6 menuBox">
                  <div class="linkBox right">
                    <a href="<?php echo esc_url($link_right_url); ?>" target="<?php echo esc_attr($link_right_target); ?>">
                      <div class="row align-items-center justify-content-center no-gutters" style="background-image:url('<?php echo $imageRight[0]; ?>');">
                        <div class="darkOverlay" style="background: rgba(<?php echo $dark_overlay_color ?>,0.75);"></div>
                        <div class="col-12 text-center">
                          <h1><?php the_sub_field('title_right'); ?></h1>
                        </div>
                      </div>
                    </a>
                  </div>
                </div>
              </div>

            <?php elseif( get_row_layout() == 'small_left' ): ?>

              <div class="row menuRow small-left align-items-center justify-content-between no-gutters">
                <div class="col-12 col-md-4 menuBox">
                  <div class="linkBox left">
                    <a href="<?php echo esc_url($link_left_url); ?>" target="<?php echo esc_attr($link_left_target); ?>">
                      <div class="row align-items-center justify-content-center no-gutters" style="background-image:url('<?php echo $imageLeft[0]; ?>');">
                        <div class="darkOverlay" style="background: rgba(<?php echo $dark_overlay_color ?>,0.75);"></div>
                        <div class="col-12 text-center">    
                          <h1><?php the_sub_field('title_left'); ?></h1>
                        </div>
                      </div>
                    </a>
                  </div>
                </div>
                <div class="col-12 col-md-8 menuBox">
                  <div class="linkBox right">
                    <a href="<?php echo esc_url($link_right_url); ?>" target="<?php echo esc_attr($link_right_target); ?>">
                      <div class="row align-items-center justify-content-center no-gutters" style="background-image:url('<?php echo $imageRight[0]; ?>');">
                        <div class="darkOverlay" style="background: rgba(<?php echo $dark_overlay_color ?>,0.75);"></div>
                        <div class="col-12 text-center">
                          <h1><?php the_sub_field('title_right'); ?></h1>
                        </div>
                      </div>
                    </a>
                  </div>
                </div>
              </div>

            <?php elseif( get_row_layout() == 'small_right' ): ?>

              <div class="row menuRow small-right align-items-center justify-content-between no-gutters">
                <div class="col-12 col-md-8 menuBox">
                  <div class="linkBox left">
                    <a href="<?php echo esc_url($link_left_url); ?>" target="<?php echo esc_attr($link_left_target); ?>">
                      <div class="row align-items-center justify-content-center no-gutters" style="background-image:url('<?php echo $imageLeft[0]; ?>');">
                        <div class="darkOverlay" style="background: rgba(<?php echo $dark_overlay_color ?>,0.75);"></div>
                        <div class="col-12 text-center">    
                          <h1><?php the_sub_field('title_left'); ?></h1>
                        </div>
                      </div>
                    </a>
                  </div>
                </div>
                <div class="col-12 col-md-4 menuBox">
                  <div class="linkBox right">
                    <a href="<?php echo esc_url($link_right_url); ?>" target="<?php echo esc_attr($link_right_target); ?>">
                      <div class="row align-items-center justify-content-center no-gutters" style="background-image:url('<?php echo $imageRight[0]; ?>');">
                        <div class="darkOverlay" style="background: rgba(<?php echo $dark_overlay_color ?>,0.75);"></div>
                        <div class="col-12 text-center">
                          <h1><?php the_sub_field('title_right'); ?></h1>
                        </div>
                      </div>
                    </a>
                  </div>
                </div>
              </div>
            
            <?php endif; 
          endwhile; ?>

        <?php endif; ?>

      </div>
    </div>
  </div>



<?php /* Small Blocks
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'small_blocks' ): ?>

  <div id="blocksWrap" class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>;">
    <div class="row align-items-start justify-content-center">
      <div class="col-12 col-lg-11">

        <div class="row align-items-start <?php the_sub_field('alignment') ?>">

          <?php if( have_rows('blocks') ): ?>

            <?php while( have_rows('blocks') ): the_row();
            
              // Get images
              $img_id = get_sub_field('image');
              $size = 'medium';
              $image = wp_get_attachment_image_src( $img_id, $size ); ?>
            
              <div id="block" class="col-12 col-sm-4 col-md-3">
                <div class="box">

                  <img src="<?php echo $image[0]; ?>" />

                  <div class="info">
                    <h3><?php the_sub_field('title') ?></h3>
                    <p><?php the_sub_field('text') ?></p>
                  </div>

                </div>
              </div>

            <?php endwhile; ?>

          <?php endif; ?>

        </div>

      </div>
    </div>
  </div>



<?php /* Feature Panel
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'feature_panel' ):

  // Get dark overlay color
  $dark_hex_color = get_field('overlay_dark','option');
  $dark_RGB_color = hex2rgb($dark_hex_color);
  $dark_overlay_color = implode(",", $dark_RGB_color);

  // Get light overlay color
  $light_hex_color = get_field('overlay_light','option');
  $light_RGB_color = hex2rgb($light_hex_color);
  $light_overlay_color = implode(",", $light_RGB_color);

  // Get background images
  $img_id_mobile = get_sub_field('bg_mobile');
  $img_id_desk = get_sub_field('bg_desk');
  $size = 'large';
  $imageMobile = wp_get_attachment_image_src( $img_id_mobile, $size );
  $imageDesk = wp_get_attachment_image_src( $img_id_desk, $size ); ?>

  <div id="featurePanel" class="col-12 contentPanel">

    <?php if( get_sub_field('bg_mobile') ) { ?>

      <style>
        #featurePanel {
          background-image: url('<?php echo $imageDesk[0]; ?>');
          background-position: <?php the_sub_field('horz_align_desk') ?> <?php the_sub_field('vert_align_desk') ?>;
        }
        #featurePanel .lightOverlay {
          background: rgba(<?php echo $light_overlay_color ?>,<?php the_sub_field('overlay_opacity_desk') ?>);
        }
        #featurePanel .darkOverlay {
          background: rgba(<?php echo $dark_overlay_color ?>,<?php the_sub_field('overlay_opacity_desk') ?>);
        }
        @media(max-width:767px) {
          #featurePanel {
            background-image: url('<?php echo $imageMobile[0]; ?>');
            background-position: <?php the_sub_field('horz_align_mob') ?> <?php the_sub_field('vert_align_mob') ?>;
          }
          #featurePanel .lightOverlay {
            background: rgba(<?php echo $light_overlay_color ?>,<?php the_sub_field('overlay_opacity_mob') ?>);
          }
          #featurePanel .darkOverlay {
            background: rgba(<?php echo $dark_overlay_color ?>,<?php the_sub_field('overlay_opacity_mob') ?>);
          }
        }
      </style>

    <?php } elseif( get_sub_field('bg_desk') ) { ?>

      <style>
        #featurePanel {
          background-image: url('<?php echo $imageDesk[0]; ?>');
          background-position: <?php the_sub_field('horz_align_desk') ?> <?php the_sub_field('vert_align_desk') ?>;
        }
        #featurePanel .lightOverlay {
          background: rgba(<?php echo $light_overlay_color ?>,<?php the_sub_field('overlay_opacity_mob') ?>);
        }
        #featurePanel .darkOverlay {
          background: rgba(<?php echo $dark_overlay_color ?>,<?php the_sub_field('overlay_opacity_mob') ?>);
        }
      </style>

    <?php } ?>

    <?php if( get_sub_field('overlay_type') == 'light' ) { ?>
      <div class="lightOverlay"></div>
    <?php } elseif( get_sub_field('overlay_type') == 'dark' ) { ?>
      <div class="darkOverlay"></div>
    <?php } ?>

    <div class="row align-items-center <?php the_sub_field('alignment') ?>">
      
      <div class="feature col-12 col-md-8 col-lg-6">
      
        <div class="content">
          <?php the_sub_field('main_text') ?>
        </div>

        <?php if( have_rows('button') ): while( have_rows('button') ): the_row();
                
          $link = get_sub_field('link');
          if( $link ) {
            $link_url = $link['url'];
            $link_target = $link['target'] ? $link['target'] : '_self'; 
          } ?>

          <div class="button <?php the_sub_field('alignment') ?>">
            <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
              <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
            <?php } ?>
          </div>

        <?php endwhile; endif; ?>
      
      </div>

    </div>
  </div>



<?php /* Call To Action
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'cta_panel' ): 
  
  // Get dark overlay color
  $dark_hex_color = get_field('overlay_dark','option');
  $dark_RGB_color = hex2rgb($dark_hex_color);
  $dark_overlay_color = implode(",", $dark_RGB_color);

  // Get light overlay color
  $light_hex_color = get_field('overlay_light','option');
  $light_RGB_color = hex2rgb($light_hex_color);
  $light_overlay_color = implode(",", $light_RGB_color);

  // Get background images
  $img_id_mobile = get_field('cta_bg_mobile','option');
  $img_id_desk = get_field('cta_bg','option');
  $size = 'large';
  $imageMobile = wp_get_attachment_image_src( $img_id_mobile, $size );
  $imageDesk = wp_get_attachment_image_src( $img_id_desk, $size ); ?>

  <div id="ctaWrap" class="col-12 contentPanel">
  
    <?php if( get_field('cta_bg_mobile','option') ) { ?>

      <style>
        #ctaWrap {
          background-image: url('<?php echo $imageDesk[0]; ?>');
          background-position: <?php the_field('cta_horz_align_desk','option') ?> <?php the_field('cta_vert_align_desk','option') ?>;
        }
        #ctaWrap .lightOverlay {
          background: rgba(<?php echo $light_overlay_color ?>,<?php the_field('cta_overlay_opacity_desk','option') ?>);
        }
        #ctaWrap .darkOverlay {
          background: rgba(<?php echo $dark_overlay_color ?>,<?php the_field('cta_overlay_opacity_desk','option') ?>);
        }
        @media(max-width:767px) {
          #ctaWrap {
            background-image: url('<?php echo $imageMobile[0]; ?>');
            background-position: <?php the_field('cta_horz_align_mob','option') ?> <?php the_field('cta_vert_align_mob','option') ?>;
          }
          #ctaWrap .lightOverlay {
            background: rgba(<?php echo $light_overlay_color ?>,<?php the_field('cta_overlay_opacity_mob','option') ?>);
          }
          #ctaWrap .darkOverlay {
            background: rgba(<?php echo $dark_overlay_color ?>,<?php the_field('cta_overlay_opacity_mob','option') ?>);
          }
        }
      </style>

    <?php } elseif( get_field('cta_bg','option') ) { ?>

      <style>
        #ctaWrap {
          background-image: url('<?php echo $imageDesk[0]; ?>');
          background-position: <?php the_field('cta_horz_align_desk') ?> <?php the_field('cta_vert_align_desk') ?>;
        }
        #ctaWrap .lightOverlay {
          background: rgba(<?php echo $light_overlay_color ?>,<?php the_field('cta_overlay_opacity_mob','option') ?>);
        }
        #ctaWrap .darkOverlay {
          background: rgba(<?php echo $dark_overlay_color ?>,<?php the_field('cta_overlay_opacity_mob','option') ?>);
        }
      </style>

    <?php } ?>

    <?php if( get_field('cta_overlay_type','option') == 'light' ) { ?>
      <div class="lightOverlay"></div>
    <?php } elseif( get_field('cta_overlay_type','option') == 'dark' ) { ?>
      <div class="darkOverlay"></div>
    <?php } ?>

    <div class="row align-items-center <?php the_field('cta_alignment','option') ?>">
      
      <div class="ctaInside col-12 col-md-8 col-lg-6">
      
        <div class="content">
          <?php the_field('cta_main_text','option') ?>
        </div>

        <?php if( have_rows('cta_btn','option') ): while( have_rows('cta_btn','option') ): the_row();
                
          $link = get_sub_field('link');
          if( $link ) {
            $link_url = $link['url'];
            $link_target = $link['target'] ? $link['target'] : '_self'; 
          } ?>

          <div class="button <?php the_sub_field('alignment') ?>">
            <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
              <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
            <?php } ?>
          </div>

        <?php endwhile; endif; ?>
      
      </div>

    </div>
  </div>



<?php /* Big Buttons
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'buttons' ): ?>

  <div id="buttonPanel" class="col-12 contentPanel">
    <div class="row">

      <?php if( have_rows('buttons') ): ?>

      <?php while ( have_rows('buttons') ) : the_row();

        $link = get_sub_field('link');
        if( $link ) {
          $link_url = $link['url'];
          $link_target = $link['target'] ? $link['target'] : '_self'; 
        } ?>

        <div class="col-12 col-md bigBtn" style="background-color: <?php the_sub_field('bg_hover') ?>">
          <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" style="background-color: <?php the_sub_field('bg_color') ?>; color: <?php the_sub_field('text_color') ?>;">
            <div class="row align-items-center">
              <div class="col-12">
                <?php the_sub_field('text') ?> <i class="fa fa-caret-right" aria-hidden="true"></i>
              </div>
            </div>
          </a>
        </div>

      <?php endwhile; endif; ?>

    </div>
  </div>



<?php /* Gallery
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'gallery' ):
  
  // Get gallery images
  $images = get_sub_field('gallery_images');
  if( $images ): ?>

    <div id="galleryWrap" class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>;">
      <div class="row align-items-center justify-content-center">
        <?php if( get_sub_field('intro') ) { ?>
          <div class="col-12"><?php the_sub_field('intro') ?></div>
        <?php } ?>
      </div>

      <div class="imgList row align-items-center justify-content-center">

        <?php $i=1; foreach( $images as $image ) { ?>

        <div class="galleryImg col-12 col-sm-auto"><a href="<?php echo $image['sizes']['large']; ?>" rel="lightbox"><img src="<?php echo $image['sizes']['medium']; ?>" /></a></div>
      
        <?php if( $i++ == 12 ) break; } ?>
      
      </div>
    </div>

  <?php endif; ?>



<?php /* Image Panel
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'image_panel' ): ?>

  <div id="imagePanel" class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>;">
    <div class="row align-items-center justify-content-around">
      
      <?php if( have_rows('images') ): ?>

      <?php while ( have_rows('images') ) : the_row();

        // Get images
        $img_id = get_sub_field('image');
        $size = 'large';
        $image = wp_get_attachment_image_src( $img_id, $size ); ?>

        <div class="col-12 col-md-5">
          <img src="<?php echo $image[0]; ?>" />
        </div>

      <?php endwhile; endif; ?>

    </div>
  </div>



<?php /* iMac Image Panel
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'imac_image_panel' ):

  $totalrows = count( get_sub_field('images') ); ?>

  <div id="imacPanel" class="col-12 contentPanel">
    <div class="row align-items-center justify-content-around">
    
      <?php if( have_rows('images') ): $rownum = 1; ?>

      <?php while ( have_rows('images') ) : the_row(); 
      
        // Get images
        $img_id = get_sub_field('image','option');
        $size = 'large';
        $image = wp_get_attachment_image_src( $img_id, $size );?>

        <?php if( $totalrows == 2 ) { ?>
          <div class="col-12 col-md-6 color" style="background-color: <?php the_sub_field('bg_color') ?>;">
            <div class="imac two" style="background-image: url('<?php echo $image[0]; ?>');">
        <?php } else { ?>
          <div class="col-12 color" style="background-color: <?php the_sub_field('bg_color') ?>;">
            <div class="imac one" style="background-image: url('<?php echo $image[0]; ?>');">
        <?php } ?>
              <img src="<?php bloginfo('template_directory'); ?>/images/imac-frame.png" />
          </div>
        </div>

      <?php endwhile; endif; ?>

    </div>
  </div>



<?php /* Testimonial Slider
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'testimonial_slider' ):

  // Get category info
  $queried_object = get_queried_object();
  $term_id = $queried_object->term_id;
  $term = get_sub_field('category', $term_id);

  if( $term ) {
    $args = array(
      'numberposts'	=> -1,
      'post_type'		=> 'testimonial',
      'tax_query' => array(
        array(
        'taxonomy' => 'category',
        'terms' => $term,
        'field' => 'term_id'
      )),
      'orderby' => 'rand',
    );
  } else {
    $args = array(
      'numberposts'	=> -1,
      'post_type'		=> 'testimonial',
      'orderby' => 'rand',
    );
  }

  $the_query = new WP_Query( $args ); 

  if( $the_query->have_posts() ): ?>

    <div id="testSliderWrap" class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>; color: <?php the_sub_field('text_color') ?>">
      <div class="row align-items-center justify-content-center">
        <div class="col-12">
          <?php if( get_sub_field('intro') ) { ?>
            <div class="row align-items-center justify-content-center">
              <div class="col-12">
                <?php the_sub_field('intro') ?>
              </div>
            </div>
          <?php } ?>

          <div class="row align-items-center justify-content-center">
            <div class="col-0 col-lg-1 p-0">
              <div id="testPrev" class="chevron left" style="border-color: <?php the_sub_field('text_color') ?>;"></div>
            </div>

            <div class="col-12 col-lg-10">
              <div id="testSlider" class="cycle-slideshow"
                  data-cycle-fx=scrollHorz
                  data-cycle-timeout=30000
                  data-cycle-slides="> div"
                  data-cycle-pause-on-hover=true
                  data-cycle-auto-height=calc
                  data-cycle-center-horz=true
                  data-cycle-center-vert=true
                  data-cycle-prev="#testPrev"
                  data-cycle-next="#testNext"
                  data-cycle-swipe=true
                  data-cycle-swipe-fx=scrollHorz
                  >

                <?php while( $the_query->have_posts() ) : $the_query->the_post(); ?>
                  
                  <div id="slide" class="testSlide">
                    <?php the_field('testimonial_text') ?>
                    <h3 class="author">- <?php the_field('testimonial_author') ?></h3>
                  </div>

                <?php endwhile; ?>
              </div>
            </div>

            <div class="col-0 col-lg-1 p-0">
              <div id="testNext" class="chevron right" style="border-color: <?php the_sub_field('text_color') ?>;"></div>
            </div>
          </div>

        </div>
      </div>
    </div>

  <?php endif; wp_reset_postdata();?>



<?php /* Image Scroller
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'image_scroller' ): ?>

  <div id="imageScroller" class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>; color: <?php the_sub_field('text_color') ?>;">
    <div class="row imgScrollPanel">
      <div class="col-12">
        
        <div id="imgScroll">

          <?php if( get_sub_field('intro') ) { ?>
            <?php the_sub_field('intro') ?>
          <?php } ?>
          
          <?php if( have_rows('images') ): ?>

            <div class="cycle-slideshow"
              data-cycle-fx="carousel"
              data-cycle-speed="11000"
              data-cycle-timeout="1"
              data-cycle-easing="linear"
            >

            <?php while ( have_rows('images') ) : the_row();

              $img_id = get_sub_field('image');
              $size = 'medium';
              $image = wp_get_attachment_image_src( $img_id, $size ); ?>

              <img src="<?php echo $image[0]; ?>" />

            <?php endwhile; ?>

            </div>

          <?php endif; ?>

        </div>

      </div>
    </div>
  </div>



<?php /* FAQ Panel
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'faq_panel' ):

  // Get category info
  $queried_object = get_queried_object();
  $term_id = $queried_object->term_id;
  $term = get_sub_field('category', $term_id); ?>

  <div id="faqPanel" class="col-12 contentPanel" style="background-color: <?php the_sub_field('bg_color') ?>; color: <?php the_sub_field('text_color') ?>;">
    <div class="row align-items-center justify-content-center">
      <div class="col-12 col-lg-11">
        <?php if( get_sub_field('intro') ) { ?>
          <?php the_sub_field('intro') ?>
        <?php } ?>

        <div id="accordion" role="tablist" aria-multiselectable="true">
        
          <?php if( $term ) {
            $args = array(
              'post_type' => 'faq',
              'tax_query' => array(
                array(
                'taxonomy' => 'category',
                'terms' => $term,
                'field' => 'term_id'
              )),
              'posts_per_page' => -1
            );
          } else {
            $args = array(
              'post_type' => 'faq',
              'posts_per_page' => -1
            );
          }
          $the_query = new WP_Query( $args ); 
          $i = 0; if ($the_query->have_posts()) : while ($the_query->have_posts()) : $the_query->the_post(); $i++; ?>

            <div class="card">
              <div class="card-header" role="tab" id="heading<?php echo $i ?>">
                <h5>
                  <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse<?php echo $i ?>" aria-expanded="false" aria-controls="collapse<?php echo $i ?>">
                    <?php the_title(); ?>
                    <div class="dirLines">
                      <span class="line1"></span>
                      <span class="line2"></span>
                    </div>
                  </a>
                </h5>
              </div>
              <div id="collapse<?php echo $i ?>" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading<?php echo $i ?>">
                <div class="card-body panel-body">
                  <?php the_content(); ?>
                </div>
              </div>
            </div>

          <?php endwhile; endif; wp_reset_postdata(); ?>

        </div>
      </div>
    </div>
  </div>



<?php // Location Panel
elseif( get_row_layout() == 'location' ): ?>

  <?php locate_template('partials/acf-googlemap.php', true); ?>

  <div id="locationPanel" class="col-12">
    <div class="row justify-content-center">
      
      <?php $location = get_field('google_map','option');
      if( !empty($location) ): ?>
        <div class="acf-map">
          <div class="marker" data-lat="<?php echo $location['lat']; ?>" data-lng="<?php echo $location['lng']; ?>"></div>
        </div>
      <?php endif; ?>

      <div class="col-11">
        <div class="row justify-content-start">
          <div class="locationBox col-12 col-md-auto" style="background-color: <?php the_sub_field('bg_color') ?>; color: <?php the_sub_field('text_color') ?>;">
            <h3><?php bloginfo('name') ?></h3>
            <?php if( get_field('address_one','option') ) { ?>
              <p><?php the_field('address_one','option') ?><?php if( get_field('address_two','option') ) { ?>, <?php the_field('address_two','option') ?><?php } ?>
              <br />
              <?php the_field('city','option') ?>, <?php the_field('state','option') ?> <?php the_field('zip','option') ?></p>
            <?php } ?>
            <?php if( get_field('phone','option') ) { ?>
              <p><?php the_field('phone','option') ?></p>
            <?php } ?>
            <?php if( get_field('email','option') ) { ?>
              <p><?php the_field('email','option') ?></p>
            <?php } ?>
          </div>
        </div>
      </div>
    </div>
  </div>



<?php // Region Panel
elseif( get_row_layout() == 'region' ): ?>

  <?php locate_template('partials/acf-googlemap.php', true); ?>

  <div id="regionPanel" class="col-12">
    <div class="row justify-content-center">
      
    <?php if( have_rows('google_maps') ): ?>
      <div class="acf-map">
        <?php while ( have_rows('google_maps') ) : the_row(); 

          $location = get_sub_field('location');

          ?>
          
          <div class="marker" data-lat="<?php echo $location['lat']; ?>" data-lng="<?php echo $location['lng']; ?>">
            <h4><?php the_sub_field('name'); ?></h4>
            <p class="address"><?php echo $location['address']; ?></p>
          </div>

        <?php endwhile; ?>
      </div>
    <?php endif; ?>

      <div class="col-11" style="display:none;">
        <div class="row justify-content-start">
          <div class="locationBox col-12 col-md-auto">
            <h3><?php bloginfo('name') ?></h3>
            <?php if( get_field('address_one','option') ) { ?>
              <p><?php the_field('address_one','option') ?><?php if( get_field('address_two','option') ) { ?>, <?php the_field('address_two','option') ?><?php } ?>
              <br />
              <?php the_field('city','option') ?>, <?php the_field('state','option') ?> <?php the_field('zip','option') ?></p>
            <?php } ?>
            <?php if( get_field('phone','option') ) { ?>
              <p><?php the_field('phone','option') ?></p>
            <?php } ?>
            <?php if( get_field('email','option') ) { ?>
              <p><?php the_field('email','option') ?></p>
            <?php } ?>
          </div>
        </div>
      </div>
    </div>
  </div>



<?php // Closing the Panel Group
      endif; endwhile; ?>
  
</div>

<?php else :

// no layouts found

endif; ?>