<?php if( have_rows('footer_panels') ): ?>

  <div id="footerPanels" class="row justify-content-center">
  
    <?php $layout_counts = array();

    while ( have_rows('footer_panels') ) : the_row();

      $layout = get_row_layout();
      if( !isset($layout_counts[$layout]) ) {
        $layout_counts[$layout] = 0;
      }
      $layout_counts[$layout]++;
      $class = 'even';



/* Full Width Footer
----------------------------------------------------------------------------------------------------------------------------------*/
if( get_row_layout() == 'full_width' ):

  // Get dark overlay color
  $dark_hex_color = get_field('overlay_dark','option');
  $dark_RGB_color = hex2rgb($dark_hex_color);
  $dark_overlay_color = implode(",", $dark_RGB_color);

  // Get light overlay color
  $light_hex_color = get_field('overlay_light','option');
  $light_RGB_color = hex2rgb($light_hex_color);
  $light_overlay_color = implode(",", $light_RGB_color);

  // Get background images
  $desk_img_id = get_sub_field('desk_bg_img');
  $mob_img_id = get_sub_field('mob_bg_img');
  $size = 'large';
  $deskImage = wp_get_attachment_image_src( $desk_img_id, $size );
  $mobImage = wp_get_attachment_image_src( $mob_img_id, $size ); ?>

  <div id="fullFooter" class="col-12 contentPanel">

    <style>
      #fullFooter {
        background-image: url('<?php echo $deskImage[0]; ?>');
        background-repeat: no-repeat;
        background-size: cover;
        background-position: <?php the_sub_field('vert_align_desk') ?> <?php the_sub_field('horz_align_desk') ?>;
        color: <?php the_sub_field('text_color') ?>;
      }
      .footerBtns {
        text-align: <?php the_sub_field('button_alignment') ?>;
      }
    </style>
    <?php if( get_sub_field('mob_bg_img') ) { ?>
      <style>
        @media(max-width:575.98px) {
          #fullFooter {
            background-image: url('<?php echo $mobImage[0]; ?>');
            background-position: <?php the_sub_field('vert_align_mob') ?> <?php the_sub_field('horz_align_mob') ?>;
          }
        }
      </style>
    <?php } ?>

    <div class="row align-items-center <?php the_sub_field('alignment') ?>">
      
      <?php if( get_sub_field('overlay_type') == 'light' ) { ?>
        <div class="lightOverlay" style="background: rgba(<?php echo $light_overlay_color ?>,<?php the_sub_field('overlay_opacity') ?>);"></div>
      <?php } elseif( get_sub_field('overlay_type') == 'dark' ) { ?>
        <div class="darkOverlay" style="background: rgba(<?php echo $dark_overlay_color ?>,<?php the_sub_field('overlay_opacity') ?>);"></div>
      <?php } ?>

      <div class="col-12 col-md-8 col-lg-6 <?php the_sub_field('overlay_type') ?>">
        <?php if( get_sub_field('content') ) { ?>
          <div class="footText"><?php the_sub_field('content') ?></div>
        <?php }

        if( have_rows('buttons') ): ?>

          <div class="footerBtns">

            <?php while( have_rows('buttons') ): the_row();
                            
            $link = get_sub_field('link');
            if( $link ) {
              $link_url = $link['url'];
              $link_target = $link['target'] ? $link['target'] : '_self'; 
            } ?>

              <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
                <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
              <?php } ?>

            <?php endwhile; ?>

          </div>

        <?php endif; ?>
      </div>
    </div>
  </div>



<?php /* Side by Side Footer
----------------------------------------------------------------------------------------------------------------------------------*/
elseif( get_row_layout() == 'side_by_side' ): ?>

  <script>
    $(document).ready(function() {
      $contentHeight = $('#contentSide').outerHeight();
      $('#imageSide').css('height',$contentHeight);
    });
    $(window).resize(function() {
      $contentHeight = $('#contentSide').outerHeight();
      $('#imageSide').css('height',$contentHeight);
    });
  </script>
  
  <?php 
  
  // Get images
  $desk_img_id = get_sub_field('desk_bg_img');
  $mob_img_id = get_sub_field('mob_bg_img');
  $size = 'large';
  $deskImage = wp_get_attachment_image_src( $desk_img_id, $size );
  $mobImage = wp_get_attachment_image_src( $mob_img_id, $size ); ?>

  <div id="sideFooter" class="col-12 contentPanel">

    <style>
      #imageSide {
        background-image: url('<?php echo $deskImage[0]; ?>');
        background-repeat: no-repeat;
        background-size: cover;
        background-position: <?php the_sub_field('vert_align_desk') ?> <?php the_sub_field('horz_align_desk') ?>;
      }
      #sideFooter {
        background-color: <?php the_sub_field('bg_color') ?>;
        color: <?php the_sub_field('text_color') ?>;
      }
      .footerBtns {
        text-align: <?php the_sub_field('button_alignment') ?>;
      }
    </style>
    <?php if( get_sub_field('mob_bg_img') ) { ?>
      <style>
        @media(max-width:575.98px) {
          #imageSide {
            background-image: url('<?php echo $mobImage[0]; ?>');
            background-position: <?php the_sub_field('vert_align_mob') ?> <?php the_sub_field('horz_align_mob') ?>;
          }
        }
      </style>
    <?php } ?>

    <div class="row align-items-center justify-content-center">
      <div id="imageSide" class="col-12 col-md-6">
        
      </div>
      <div id="contentSide" class="col-12 col-md-6">
        <div class="row align-items-center <?php the_sub_field('alignment') ?>">
          <div class="col-11 col-md-7">
            <?php if( get_sub_field('content') ) { ?>
              <div class="footText"><?php the_sub_field('content') ?></div>
            <?php }

            if( have_rows('buttons') ): ?>

              <div class="footerBtns">
            
                <?php while( have_rows('buttons') ): the_row();
                                
                $link = get_sub_field('link');
                if( $link ) {
                  $link_url = $link['url'];
                  $link_target = $link['target'] ? $link['target'] : '_self'; 
                } ?>

                  <?php if( get_sub_field('text') && get_sub_field('link') ) { ?>
                    <a href="<?php echo esc_url($link_url); ?>" target="<?php echo esc_attr($link_target); ?>" class="btn btn-<?php the_sub_field('style') ?> <?php the_sub_field('color') ?>"><?php the_sub_field('text') ?></a>
                  <?php } ?>

                <?php endwhile; ?>

              </div>
            
            <?php endif; ?>
          </div>
        </div>
      </div>
    </div>
  </div>



<?php // Closing the Panel Group
      endif; endwhile; ?>
  
</div>

<?php else :

// no layouts found

endif; ?>