SET AUTOCOMMIT = 0;
START TRANSACTION;
DROP TABLE IF EXISTS `wp_2__3wp_2_broadcast_broadcastdata`;
CREATE TABLE `wp_2__3wp_2_broadcast_broadcastdata` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID of row',
  `blog_id` int(11) NOT NULL COMMENT 'Blog ID',
  `post_id` int(11) NOT NULL COMMENT 'Post ID',
  `data` longtext,
  PRIMARY KEY (`id`),
  KEY `blog_id` (`blog_id`,`post_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS `wp_2_actionscheduler_actions`;
CREATE TABLE `wp_2_actionscheduler_actions` (
  `action_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `hook` varchar(191) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `scheduled_date_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  `scheduled_date_local` datetime DEFAULT '0000-00-00 00:00:00',
  `args` varchar(191) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `schedule` longtext COLLATE utf8mb4_unicode_520_ci,
  `group_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `attempts` int(11) NOT NULL DEFAULT '0',
  `last_attempt_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  `last_attempt_local` datetime DEFAULT '0000-00-00 00:00:00',
  `claim_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `extended_args` varchar(8000) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  PRIMARY KEY (`action_id`),
  KEY `hook` (`hook`),
  KEY `status` (`status`),
  KEY `scheduled_date_gmt` (`scheduled_date_gmt`),
  KEY `args` (`args`),
  KEY `group_id` (`group_id`),
  KEY `last_attempt_gmt` (`last_attempt_gmt`),
  KEY `claim_id` (`claim_id`),
  KEY `claim_id_status_scheduled_date_gmt` (`claim_id`,`status`,`scheduled_date_gmt`)
) ENGINE=MyISAM AUTO_INCREMENT=105 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_2_actionscheduler_claims`;
CREATE TABLE `wp_2_actionscheduler_claims` (
  `claim_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `date_created_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`claim_id`),
  KEY `date_created_gmt` (`date_created_gmt`)
) ENGINE=MyISAM AUTO_INCREMENT=792 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_2_actionscheduler_groups`;
CREATE TABLE `wp_2_actionscheduler_groups` (
  `group_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `slug` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  PRIMARY KEY (`group_id`),
  KEY `slug` (`slug`(191))
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
INSERT INTO `wp_2_actionscheduler_groups` VALUES (1,'action-scheduler-migration'),(2,'wp_mail_smtp');
DROP TABLE IF EXISTS `wp_2_actionscheduler_logs`;
CREATE TABLE `wp_2_actionscheduler_logs` (
  `log_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `action_id` bigint(20) unsigned NOT NULL,
  `message` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `log_date_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  `log_date_local` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`log_id`),
  KEY `action_id` (`action_id`),
  KEY `log_date_gmt` (`log_date_gmt`)
) ENGINE=MyISAM AUTO_INCREMENT=49 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_2_blogmeta`;
CREATE TABLE `wp_2_blogmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `blog_id` bigint(20) NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `meta_key` (`meta_key`(191)),
  KEY `blog_id` (`blog_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_2_commentmeta`;
CREATE TABLE `wp_2_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
DROP TABLE IF EXISTS `wp_2_comments`;
CREATE TABLE `wp_2_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'comment',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
DROP TABLE IF EXISTS `wp_2_links`;
CREATE TABLE `wp_2_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_notes` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
DROP TABLE IF EXISTS `wp_2_options`;
CREATE TABLE `wp_2_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `option_value` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=MyISAM AUTO_INCREMENT=8258 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_2_options` VALUES (1,'siteurl','https://rumbleoffers.com/pages','yes'),(2,'blogname','Rumble Offers Pages &amp; Starter','yes'),(3,'blogdescription','','yes'),(4,'users_can_register','0','yes'),(5,'admin_email','webmaster@reachagency.co','yes'),(6,'start_of_week','1','yes'),(7,'use_balanceTags','0','yes'),(8,'use_smilies','1','yes'),(9,'require_name_email','','yes'),(10,'comments_notify','','yes'),(11,'posts_per_rss','10','yes'),(12,'rss_use_excerpt','0','yes'),(13,'mailserver_url','mail.example.com','yes'),(14,'mailserver_login','login@example.com','yes'),(15,'mailserver_pass','password','yes'),(16,'mailserver_port','110','yes'),(17,'default_category','1','yes'),(18,'default_comment_status','closed','yes'),(19,'default_ping_status','closed','yes'),(20,'default_pingback_flag','','yes'),(22,'posts_per_page','10','yes'),(23,'date_format','F j, Y','yes'),(24,'time_format','g:i a','yes'),(25,'links_updated_date_format','F j, Y g:i a','yes'),(29,'comment_moderation','','yes'),(30,'moderation_notify','','yes'),(31,'permalink_structure','/blog/%postname%/','yes'),(33,'hack_file','0','yes'),(34,'blog_charset','UTF-8','yes'),(35,'moderation_keys','','no'),(36,'active_plugins','a:1:{i:0;s:39:\"codemay-clubready/codemay_clubready.php\";}','yes'),(37,'home','https://rumbleoffers.com/pages','yes'),(38,'category_base','','yes'),(39,'ping_sites','http://rpc.pingomatic.com/','yes'),(41,'comment_max_links','2','yes'),(42,'gmt_offset','0','yes'),(43,'default_email_category','1','yes'),(44,'recently_edited','','no'),(45,'template','clicks_3','yes'),(46,'stylesheet','clicks_3','yes'),(5372,'finished_updating_comment_type','1','yes'),(49,'comment_registration','','yes'),(51,'html_type','text/html','yes'),(52,'use_trackback','0','yes'),(53,'default_role','subscriber','yes'),(54,'db_version','51917','yes'),(55,'uploads_use_yearmonth_folders','1','yes'),(56,'upload_path','/home/zw9qmhf7perm/public_html/CMC/rumble/wp-content/uploads','yes'),(57,'blog_public','1','yes'),(58,'default_link_category','2','yes'),(59,'show_on_front','page','yes'),(60,'tag_base','','yes'),(61,'show_avatars','','yes'),(62,'avatar_rating','G','yes'),(63,'upload_url_path','','yes'),(64,'thumbnail_size_w','300','yes'),(65,'thumbnail_size_h','300','yes'),(66,'thumbnail_crop','','yes'),(67,'medium_size_w','600','yes'),(68,'medium_size_h','600','yes'),(69,'avatar_default','mystery','yes'),(72,'large_size_w','1500','yes'),(73,'large_size_h','1500','yes'),(74,'image_default_link_type','','yes'),(75,'image_default_size','','yes'),(76,'image_default_align','','yes'),(77,'close_comments_for_old_posts','','yes'),(78,'close_comments_days_old','14','yes'),(79,'thread_comments','','yes'),(80,'thread_comments_depth','5','yes'),(81,'page_comments','','yes'),(82,'comments_per_page','50','yes'),(83,'default_comments_page','newest','yes'),(84,'comment_order','asc','yes'),(85,'sticky_posts','a:0:{}','yes'),(86,'widget_categories','a:2:{i:2;a:4:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:12:\"hierarchical\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}','yes'),(87,'widget_text','a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}','yes'),(88,'widget_rss','a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}','yes'),(89,'timezone_string','','yes'),(91,'embed_size_w','','yes'),(92,'embed_size_h','600','yes'),(93,'page_for_posts','0','yes'),(94,'page_on_front','232','yes'),(95,'wp_2_user_roles','a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:61:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:34:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}','yes'),(96,'widget_search','a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}','yes'),(97,'widget_recent-posts','a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}','yes'),(98,'widget_recent-comments','a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}','yes'),(99,'widget_archives','a:2:{i:2;a:3:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}','yes'),(100,'widget_meta','a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}','yes'),(101,'sidebars_widgets','a:2:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:13:\"array_version\";i:3;}','yes'),(102,'ftp_credentials','a:3:{s:8:\"hostname\";s:9:\"localhost\";s:8:\"username\";N;s:15:\"connection_type\";s:3:\"ftp\";}','yes'),(103,'widget_pages','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(104,'widget_calendar','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(105,'widget_links','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(106,'widget_media_audio','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(107,'widget_media_image','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(108,'widget_media_gallery','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(109,'widget_media_video','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(110,'widget_tag_cloud','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(111,'widget_nav_menu','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(112,'widget_custom_html','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(113,'rewrite_rules','a:137:{s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:17:\"^wp-sitemap\\.xml$\";s:23:\"index.php?sitemap=index\";s:17:\"^wp-sitemap\\.xsl$\";s:36:\"index.php?sitemap-stylesheet=sitemap\";s:23:\"^wp-sitemap-index\\.xsl$\";s:34:\"index.php?sitemap-stylesheet=index\";s:48:\"^wp-sitemap-([a-z]+?)-([a-z\\d_-]+?)-(\\d+?)\\.xml$\";s:75:\"index.php?sitemap=$matches[1]&sitemap-subtype=$matches[2]&paged=$matches[3]\";s:34:\"^wp-sitemap-([a-z]+?)-(\\d+?)\\.xml$\";s:47:\"index.php?sitemap=$matches[1]&paged=$matches[2]\";s:52:\"blog/category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:47:\"blog/category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:28:\"blog/category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:40:\"blog/category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:22:\"blog/category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:49:\"blog/tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:44:\"blog/tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:25:\"blog/tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:37:\"blog/tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:19:\"blog/tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:50:\"blog/type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:45:\"blog/type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:26:\"blog/type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:38:\"blog/type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:20:\"blog/type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:28:\"lp/.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:38:\"lp/.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:58:\"lp/.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:53:\"lp/.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:53:\"lp/.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:34:\"lp/.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:17:\"lp/(.+?)/embed/?$\";s:35:\"index.php?lp=$matches[1]&embed=true\";s:21:\"lp/(.+?)/trackback/?$\";s:29:\"index.php?lp=$matches[1]&tb=1\";s:29:\"lp/(.+?)/page/?([0-9]{1,})/?$\";s:42:\"index.php?lp=$matches[1]&paged=$matches[2]\";s:36:\"lp/(.+?)/comment-page-([0-9]{1,})/?$\";s:42:\"index.php?lp=$matches[1]&cpage=$matches[2]\";s:25:\"lp/(.+?)(?:/([0-9]+))?/?$\";s:41:\"index.php?lp=$matches[1]&page=$matches[2]\";s:44:\"blog/testimonial/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:54:\"blog/testimonial/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:74:\"blog/testimonial/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:69:\"blog/testimonial/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:69:\"blog/testimonial/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:50:\"blog/testimonial/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:33:\"blog/testimonial/([^/]+)/embed/?$\";s:44:\"index.php?testimonial=$matches[1]&embed=true\";s:37:\"blog/testimonial/([^/]+)/trackback/?$\";s:38:\"index.php?testimonial=$matches[1]&tb=1\";s:45:\"blog/testimonial/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?testimonial=$matches[1]&paged=$matches[2]\";s:52:\"blog/testimonial/([^/]+)/comment-page-([0-9]{1,})/?$\";s:51:\"index.php?testimonial=$matches[1]&cpage=$matches[2]\";s:41:\"blog/testimonial/([^/]+)(?:/([0-9]+))?/?$\";s:50:\"index.php?testimonial=$matches[1]&page=$matches[2]\";s:33:\"blog/testimonial/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:43:\"blog/testimonial/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:63:\"blog/testimonial/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:58:\"blog/testimonial/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:58:\"blog/testimonial/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:39:\"blog/testimonial/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:36:\"blog/faq/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:46:\"blog/faq/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:66:\"blog/faq/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:61:\"blog/faq/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:61:\"blog/faq/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:42:\"blog/faq/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:25:\"blog/faq/([^/]+)/embed/?$\";s:36:\"index.php?faq=$matches[1]&embed=true\";s:29:\"blog/faq/([^/]+)/trackback/?$\";s:30:\"index.php?faq=$matches[1]&tb=1\";s:37:\"blog/faq/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?faq=$matches[1]&paged=$matches[2]\";s:44:\"blog/faq/([^/]+)/comment-page-([0-9]{1,})/?$\";s:43:\"index.php?faq=$matches[1]&cpage=$matches[2]\";s:33:\"blog/faq/([^/]+)(?:/([0-9]+))?/?$\";s:42:\"index.php?faq=$matches[1]&page=$matches[2]\";s:25:\"blog/faq/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:35:\"blog/faq/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:55:\"blog/faq/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:50:\"blog/faq/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:50:\"blog/faq/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:31:\"blog/faq/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:27:\"comment-page-([0-9]{1,})/?$\";s:40:\"index.php?&page_id=232&cpage=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:52:\"blog/author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:47:\"blog/author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:28:\"blog/author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:40:\"blog/author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:22:\"blog/author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:74:\"blog/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:69:\"blog/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:50:\"blog/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:62:\"blog/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:44:\"blog/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:61:\"blog/([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:56:\"blog/([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:37:\"blog/([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:49:\"blog/([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:31:\"blog/([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:48:\"blog/([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:43:\"blog/([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:24:\"blog/([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:36:\"blog/([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:18:\"blog/([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";s:32:\"blog/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:42:\"blog/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:62:\"blog/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:57:\"blog/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:57:\"blog/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:38:\"blog/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:21:\"blog/([^/]+)/embed/?$\";s:37:\"index.php?name=$matches[1]&embed=true\";s:25:\"blog/([^/]+)/trackback/?$\";s:31:\"index.php?name=$matches[1]&tb=1\";s:45:\"blog/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:40:\"blog/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:33:\"blog/([^/]+)/page/?([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&paged=$matches[2]\";s:40:\"blog/([^/]+)/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&cpage=$matches[2]\";s:29:\"blog/([^/]+)(?:/([0-9]+))?/?$\";s:43:\"index.php?name=$matches[1]&page=$matches[2]\";s:21:\"blog/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:31:\"blog/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:51:\"blog/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:46:\"blog/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:46:\"blog/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:27:\"blog/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";}','yes'),(114,'uninstall_plugins','a:4:{s:27:\"redirection/redirection.php\";a:2:{i:0;s:17:\"Redirection_Admin\";i:1;s:16:\"plugin_uninstall\";}s:53:\"simple-custom-post-order/simple-custom-post-order.php\";s:18:\"scporder_uninstall\";s:19:\"bbpress/bbpress.php\";s:15:\"bbp_remove_caps\";s:45:\"user-role-editor-pro/user-role-editor-pro.php\";a:2:{i:0;s:20:\"User_Role_Editor_Pro\";i:1;s:9:\"uninstall\";}}','no'),(115,'default_post_format','0','yes'),(116,'link_manager_enabled','0','yes'),(117,'finished_splitting_shared_terms','1','yes'),(118,'site_icon','208','yes'),(119,'medium_large_size_w','768','yes'),(120,'medium_large_size_h','0','yes'),(121,'wp_page_for_privacy_policy','0','yes'),(122,'show_comments_cookies_opt_in','','yes'),(123,'initial_db_version','15260','yes'),(134,'WPLANG','','yes'),(125,'cron','a:11:{i:1660144500;a:1:{s:26:\"action_scheduler_run_queue\";a:1:{s:32:\"0d04ed39571b55704c122d726248bbac\";a:3:{s:8:\"schedule\";s:12:\"every_minute\";s:4:\"args\";a:1:{i:0;s:7:\"WP Cron\";}s:8:\"interval\";i:60;}}}i:1660144946;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1660161181;a:1:{s:18:\"wp_https_detection\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1660169410;a:2:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1660169417;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1660169929;a:1:{s:21:\"update_network_counts\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1660171560;a:1:{s:41:\"check_plugin_updates-user-role-editor-pro\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1660177345;a:1:{s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1660177346;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1660333981;a:1:{s:30:\"wp_site_health_scheduled_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}s:7:\"version\";i:2;}','yes'),(126,'db_upgraded','1','yes'),(128,'recovery_keys','a:0:{}','yes'),(129,'_site_transient_update_core','O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:59:\"https://downloads.wordpress.org/release/wordpress-5.2.1.zip\";s:6:\"locale\";s:2:\"en\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:59:\"https://downloads.wordpress.org/release/wordpress-5.2.1.zip\";s:10:\"no_content\";s:70:\"https://downloads.wordpress.org/release/wordpress-5.2.1-no-content.zip\";s:11:\"new_bundled\";s:71:\"https://downloads.wordpress.org/release/wordpress-5.2.1-new-bundled.zip\";s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:5:\"5.2.1\";s:7:\"version\";s:5:\"5.2.1\";s:11:\"php_version\";s:6:\"5.6.20\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"5.0\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1560533767;s:15:\"version_checked\";s:5:\"5.2.1\";s:12:\"translations\";a:0:{}}','no'),(130,'_site_transient_update_plugins','O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1560550234;s:7:\"checked\";a:3:{s:19:\"akismet/akismet.php\";s:5:\"4.1.2\";s:9:\"hello.php\";s:5:\"1.7.2\";s:63:\"limit-login-attempts-reloaded/limit-login-attempts-reloaded.php\";s:5:\"2.8.1\";}s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:2:{s:19:\"akismet/akismet.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:21:\"w.org/plugins/akismet\";s:4:\"slug\";s:7:\"akismet\";s:6:\"plugin\";s:19:\"akismet/akismet.php\";s:11:\"new_version\";s:5:\"4.1.2\";s:3:\"url\";s:38:\"https://wordpress.org/plugins/akismet/\";s:7:\"package\";s:56:\"https://downloads.wordpress.org/plugin/akismet.4.1.2.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:59:\"https://ps.w.org/akismet/assets/icon-256x256.png?rev=969272\";s:2:\"1x\";s:59:\"https://ps.w.org/akismet/assets/icon-128x128.png?rev=969272\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:61:\"https://ps.w.org/akismet/assets/banner-772x250.jpg?rev=479904\";}s:11:\"banners_rtl\";a:0:{}}s:9:\"hello.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:25:\"w.org/plugins/hello-dolly\";s:4:\"slug\";s:11:\"hello-dolly\";s:6:\"plugin\";s:9:\"hello.php\";s:11:\"new_version\";s:5:\"1.7.2\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/hello-dolly/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/hello-dolly.1.7.2.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:64:\"https://ps.w.org/hello-dolly/assets/icon-256x256.jpg?rev=2052855\";s:2:\"1x\";s:64:\"https://ps.w.org/hello-dolly/assets/icon-128x128.jpg?rev=2052855\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:66:\"https://ps.w.org/hello-dolly/assets/banner-772x250.jpg?rev=2052855\";}s:11:\"banners_rtl\";a:0:{}}}}','no'),(450,'_site_transient_timeout_theme_roots','1560552010','no'),(451,'_site_transient_theme_roots','a:3:{s:14:\"twentynineteen\";s:7:\"/themes\";s:15:\"twentyseventeen\";s:7:\"/themes\";s:13:\"twentysixteen\";s:7:\"/themes\";}','no'),(133,'_site_transient_update_themes','O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1560533767;s:7:\"checked\";a:3:{s:14:\"twentynineteen\";s:3:\"1.4\";s:15:\"twentyseventeen\";s:3:\"2.2\";s:13:\"twentysixteen\";s:3:\"2.0\";}s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}}','no'),(136,'_transient_update_plugins','O:8:\"stdClass\":1:{s:12:\"last_checked\";i:0;}','yes'),(137,'_transient_update_themes','O:8:\"stdClass\":1:{s:12:\"last_checked\";i:0;}','yes'),(140,'theme_mods_twentynineteen','a:2:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1560552838;s:4:\"data\";a:7:{s:19:\"wp_inactive_widgets\";a:0:{}s:19:\"primary-widget-area\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:21:\"secondary-widget-area\";a:0:{}s:24:\"first-footer-widget-area\";a:0:{}s:25:\"second-footer-widget-area\";a:0:{}s:24:\"third-footer-widget-area\";a:0:{}s:25:\"fourth-footer-widget-area\";a:0:{}}}}','yes'),(158,'limit_login_retries','a:33:{s:12:\"89.108.91.78\";i:1;s:10:\"78.36.40.2\";i:1;s:11:\"31.8.38.205\";i:1;s:15:\"176.226.139.124\";i:1;s:12:\"82.147.78.11\";i:1;s:13:\"178.46.164.57\";i:1;s:14:\"212.232.41.148\";i:1;s:13:\"195.26.82.154\";i:1;s:14:\"89.169.114.159\";i:1;s:14:\"193.233.68.132\";i:1;s:13:\"77.50.187.203\";i:1;s:13:\"89.250.212.86\";i:1;s:14:\"212.119.208.82\";i:1;s:13:\"185.76.80.146\";i:1;s:13:\"93.190.205.27\";i:1;s:13:\"83.174.235.26\";i:1;s:14:\"217.25.150.194\";i:1;s:11:\"93.182.28.1\";i:1;s:14:\"176.123.218.87\";i:1;s:12:\"212.66.63.36\";i:1;s:11:\"213.5.25.11\";i:1;s:13:\"93.127.43.244\";i:1;s:13:\"37.110.82.166\";i:1;s:11:\"185.8.5.210\";i:1;s:13:\"5.139.190.232\";i:1;s:13:\"81.200.30.233\";i:1;s:14:\"91.225.232.218\";i:1;s:12:\"85.141.19.78\";i:1;s:14:\"83.220.227.103\";i:1;s:11:\"176.59.32.0\";i:1;s:12:\"37.29.41.104\";i:1;s:15:\"109.127.130.202\";i:1;s:13:\"185.82.244.77\";i:1;}','no'),(159,'limit_login_retries_valid','a:33:{s:12:\"89.108.91.78\";i:1560436926;s:10:\"78.36.40.2\";i:1560442020;s:11:\"31.8.38.205\";i:1560442358;s:15:\"176.226.139.124\";i:1560442409;s:12:\"82.147.78.11\";i:1560443596;s:13:\"178.46.164.57\";i:1560443653;s:14:\"212.232.41.148\";i:1560443916;s:13:\"195.26.82.154\";i:1560445323;s:14:\"89.169.114.159\";i:1560446032;s:14:\"193.233.68.132\";i:1560446576;s:13:\"77.50.187.203\";i:1560448792;s:13:\"89.250.212.86\";i:1560449004;s:14:\"212.119.208.82\";i:1560449664;s:13:\"185.76.80.146\";i:1560449767;s:13:\"93.190.205.27\";i:1560449782;s:13:\"83.174.235.26\";i:1560450909;s:14:\"217.25.150.194\";i:1560451499;s:11:\"93.182.28.1\";i:1560451519;s:14:\"176.123.218.87\";i:1560451639;s:12:\"212.66.63.36\";i:1560453200;s:11:\"213.5.25.11\";i:1560454327;s:13:\"93.127.43.244\";i:1560454972;s:13:\"37.110.82.166\";i:1560456108;s:11:\"185.8.5.210\";i:1560456493;s:13:\"5.139.190.232\";i:1560456865;s:13:\"81.200.30.233\";i:1560457498;s:14:\"91.225.232.218\";i:1560457881;s:12:\"85.141.19.78\";i:1560458269;s:14:\"83.220.227.103\";i:1560459015;s:11:\"176.59.32.0\";i:1560459055;s:12:\"37.29.41.104\";i:1560466086;s:15:\"109.127.130.202\";i:1560467900;s:13:\"185.82.244.77\";i:1560477950;}','no'),(160,'limit_login_logged','','yes'),(186,'category_children','a:0:{}','yes'),(329,'wpem_log','{\"datetime\":\"2019-06-12T17:07:47+00:00\",\"fqdn\":\"a2plvcpnl165155.prod.iad2.secureserver.net\",\"site_url\":\"https:\\/\\/mayweatherclicks.com\",\"account_id\":\"zw9qmhf7perm\",\"user_email\":\"webmaster@codemay.com\",\"locale\":\"en\",\"wp_version\":\"5.2.1\",\"wpem_version\":\"2.4.7\",\"geodata\":{\"city\":\"Paris\",\"country_code\":\"FR\",\"country_name\":\"France\",\"currency\":\"EUR\",\"ip\":\"51.158.26.8\",\"latitude\":\"48.861\",\"longitude\":\"2.328\",\"postal_code\":\"75001\",\"region_code\":\"IDF\",\"region_name\":\"\\u00cele-de-France\",\"timezone\":\"Europe\\/Paris\"},\"is_fresh_wp\":true,\"steps\":{\"start\":{\"took\":\"3.776\",\"fields\":{\"wpem_continue\":\"no\"}}},\"took\":\"3.776\"}','yes'),(446,'_transient_wpem_store_data','a:7:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"AL\";s:9:\"countries\";a:249:{s:2:\"AX\";s:18:\"&#197;land Islands\";s:2:\"AF\";s:11:\"Afghanistan\";s:2:\"AL\";s:7:\"Albania\";s:2:\"DZ\";s:7:\"Algeria\";s:2:\"AS\";s:14:\"American Samoa\";s:2:\"AD\";s:7:\"Andorra\";s:2:\"AO\";s:6:\"Angola\";s:2:\"AI\";s:8:\"Anguilla\";s:2:\"AQ\";s:10:\"Antarctica\";s:2:\"AG\";s:19:\"Antigua and Barbuda\";s:2:\"AR\";s:9:\"Argentina\";s:2:\"AM\";s:7:\"Armenia\";s:2:\"AW\";s:5:\"Aruba\";s:2:\"AU\";s:9:\"Australia\";s:2:\"AT\";s:7:\"Austria\";s:2:\"AZ\";s:10:\"Azerbaijan\";s:2:\"BS\";s:7:\"Bahamas\";s:2:\"BH\";s:7:\"Bahrain\";s:2:\"BD\";s:10:\"Bangladesh\";s:2:\"BB\";s:8:\"Barbados\";s:2:\"BY\";s:7:\"Belarus\";s:2:\"PW\";s:5:\"Belau\";s:2:\"BE\";s:7:\"Belgium\";s:2:\"BZ\";s:6:\"Belize\";s:2:\"BJ\";s:5:\"Benin\";s:2:\"BM\";s:7:\"Bermuda\";s:2:\"BT\";s:6:\"Bhutan\";s:2:\"BO\";s:7:\"Bolivia\";s:2:\"BQ\";s:33:\"Bonaire, Saint Eustatius and Saba\";s:2:\"BA\";s:22:\"Bosnia and Herzegovina\";s:2:\"BW\";s:8:\"Botswana\";s:2:\"BV\";s:13:\"Bouvet Island\";s:2:\"BR\";s:6:\"Brazil\";s:2:\"IO\";s:30:\"British Indian Ocean Territory\";s:2:\"BN\";s:6:\"Brunei\";s:2:\"BG\";s:8:\"Bulgaria\";s:2:\"BF\";s:12:\"Burkina Faso\";s:2:\"BI\";s:7:\"Burundi\";s:2:\"KH\";s:8:\"Cambodia\";s:2:\"CM\";s:8:\"Cameroon\";s:2:\"CA\";s:6:\"Canada\";s:2:\"CV\";s:10:\"Cape Verde\";s:2:\"KY\";s:14:\"Cayman Islands\";s:2:\"CF\";s:24:\"Central African Republic\";s:2:\"TD\";s:4:\"Chad\";s:2:\"CL\";s:5:\"Chile\";s:2:\"CN\";s:5:\"China\";s:2:\"CX\";s:16:\"Christmas Island\";s:2:\"CC\";s:23:\"Cocos (Keeling) Islands\";s:2:\"CO\";s:8:\"Colombia\";s:2:\"KM\";s:7:\"Comoros\";s:2:\"CG\";s:19:\"Congo (Brazzaville)\";s:2:\"CD\";s:16:\"Congo (Kinshasa)\";s:2:\"CK\";s:12:\"Cook Islands\";s:2:\"CR\";s:10:\"Costa Rica\";s:2:\"HR\";s:7:\"Croatia\";s:2:\"CU\";s:4:\"Cuba\";s:2:\"CW\";s:14:\"Cura&ccedil;ao\";s:2:\"CY\";s:6:\"Cyprus\";s:2:\"CZ\";s:14:\"Czech Republic\";s:2:\"DK\";s:7:\"Denmark\";s:2:\"DJ\";s:8:\"Djibouti\";s:2:\"DM\";s:8:\"Dominica\";s:2:\"DO\";s:18:\"Dominican Republic\";s:2:\"EC\";s:7:\"Ecuador\";s:2:\"EG\";s:5:\"Egypt\";s:2:\"SV\";s:11:\"El Salvador\";s:2:\"GQ\";s:17:\"Equatorial Guinea\";s:2:\"ER\";s:7:\"Eritrea\";s:2:\"EE\";s:7:\"Estonia\";s:2:\"ET\";s:8:\"Ethiopia\";s:2:\"FK\";s:16:\"Falkland Islands\";s:2:\"FO\";s:13:\"Faroe Islands\";s:2:\"FJ\";s:4:\"Fiji\";s:2:\"FI\";s:7:\"Finland\";s:2:\"FR\";s:6:\"France\";s:2:\"GF\";s:13:\"French Guiana\";s:2:\"PF\";s:16:\"French Polynesia\";s:2:\"TF\";s:27:\"French Southern Territories\";s:2:\"GA\";s:5:\"Gabon\";s:2:\"GM\";s:6:\"Gambia\";s:2:\"GE\";s:7:\"Georgia\";s:2:\"DE\";s:7:\"Germany\";s:2:\"GH\";s:5:\"Ghana\";s:2:\"GI\";s:9:\"Gibraltar\";s:2:\"GR\";s:6:\"Greece\";s:2:\"GL\";s:9:\"Greenland\";s:2:\"GD\";s:7:\"Grenada\";s:2:\"GP\";s:10:\"Guadeloupe\";s:2:\"GU\";s:4:\"Guam\";s:2:\"GT\";s:9:\"Guatemala\";s:2:\"GG\";s:8:\"Guernsey\";s:2:\"GN\";s:6:\"Guinea\";s:2:\"GW\";s:13:\"Guinea-Bissau\";s:2:\"GY\";s:6:\"Guyana\";s:2:\"HT\";s:5:\"Haiti\";s:2:\"HM\";s:33:\"Heard Island and McDonald Islands\";s:2:\"HN\";s:8:\"Honduras\";s:2:\"HK\";s:9:\"Hong Kong\";s:2:\"HU\";s:7:\"Hungary\";s:2:\"IS\";s:7:\"Iceland\";s:2:\"IN\";s:5:\"India\";s:2:\"ID\";s:9:\"Indonesia\";s:2:\"IR\";s:4:\"Iran\";s:2:\"IQ\";s:4:\"Iraq\";s:2:\"IE\";s:7:\"Ireland\";s:2:\"IM\";s:11:\"Isle of Man\";s:2:\"IL\";s:6:\"Israel\";s:2:\"IT\";s:5:\"Italy\";s:2:\"CI\";s:11:\"Ivory Coast\";s:2:\"JM\";s:7:\"Jamaica\";s:2:\"JP\";s:5:\"Japan\";s:2:\"JE\";s:6:\"Jersey\";s:2:\"JO\";s:6:\"Jordan\";s:2:\"KZ\";s:10:\"Kazakhstan\";s:2:\"KE\";s:5:\"Kenya\";s:2:\"KI\";s:8:\"Kiribati\";s:2:\"KW\";s:6:\"Kuwait\";s:2:\"KG\";s:10:\"Kyrgyzstan\";s:2:\"LA\";s:4:\"Laos\";s:2:\"LV\";s:6:\"Latvia\";s:2:\"LB\";s:7:\"Lebanon\";s:2:\"LS\";s:7:\"Lesotho\";s:2:\"LR\";s:7:\"Liberia\";s:2:\"LY\";s:5:\"Libya\";s:2:\"LI\";s:13:\"Liechtenstein\";s:2:\"LT\";s:9:\"Lithuania\";s:2:\"LU\";s:10:\"Luxembourg\";s:2:\"MO\";s:19:\"Macao S.A.R., China\";s:2:\"MG\";s:10:\"Madagascar\";s:2:\"MW\";s:6:\"Malawi\";s:2:\"MY\";s:8:\"Malaysia\";s:2:\"MV\";s:8:\"Maldives\";s:2:\"ML\";s:4:\"Mali\";s:2:\"MT\";s:5:\"Malta\";s:2:\"MH\";s:16:\"Marshall Islands\";s:2:\"MQ\";s:10:\"Martinique\";s:2:\"MR\";s:10:\"Mauritania\";s:2:\"MU\";s:9:\"Mauritius\";s:2:\"YT\";s:7:\"Mayotte\";s:2:\"MX\";s:6:\"Mexico\";s:2:\"FM\";s:10:\"Micronesia\";s:2:\"MD\";s:7:\"Moldova\";s:2:\"MC\";s:6:\"Monaco\";s:2:\"MN\";s:8:\"Mongolia\";s:2:\"ME\";s:10:\"Montenegro\";s:2:\"MS\";s:10:\"Montserrat\";s:2:\"MA\";s:7:\"Morocco\";s:2:\"MZ\";s:10:\"Mozambique\";s:2:\"MM\";s:7:\"Myanmar\";s:2:\"NA\";s:7:\"Namibia\";s:2:\"NR\";s:5:\"Nauru\";s:2:\"NP\";s:5:\"Nepal\";s:2:\"NL\";s:11:\"Netherlands\";s:2:\"NC\";s:13:\"New Caledonia\";s:2:\"NZ\";s:11:\"New Zealand\";s:2:\"NI\";s:9:\"Nicaragua\";s:2:\"NE\";s:5:\"Niger\";s:2:\"NG\";s:7:\"Nigeria\";s:2:\"NU\";s:4:\"Niue\";s:2:\"NF\";s:14:\"Norfolk Island\";s:2:\"KP\";s:11:\"North Korea\";s:2:\"MK\";s:15:\"North Macedonia\";s:2:\"MP\";s:24:\"Northern Mariana Islands\";s:2:\"NO\";s:6:\"Norway\";s:2:\"OM\";s:4:\"Oman\";s:2:\"PK\";s:8:\"Pakistan\";s:2:\"PS\";s:21:\"Palestinian Territory\";s:2:\"PA\";s:6:\"Panama\";s:2:\"PG\";s:16:\"Papua New Guinea\";s:2:\"PY\";s:8:\"Paraguay\";s:2:\"PE\";s:4:\"Peru\";s:2:\"PH\";s:11:\"Philippines\";s:2:\"PN\";s:8:\"Pitcairn\";s:2:\"PL\";s:6:\"Poland\";s:2:\"PT\";s:8:\"Portugal\";s:2:\"PR\";s:11:\"Puerto Rico\";s:2:\"QA\";s:5:\"Qatar\";s:2:\"RE\";s:7:\"Reunion\";s:2:\"RO\";s:7:\"Romania\";s:2:\"RU\";s:6:\"Russia\";s:2:\"RW\";s:6:\"Rwanda\";s:2:\"ST\";s:42:\"S&atilde;o Tom&eacute; and Pr&iacute;ncipe\";s:2:\"BL\";s:23:\"Saint Barth&eacute;lemy\";s:2:\"SH\";s:12:\"Saint Helena\";s:2:\"KN\";s:21:\"Saint Kitts and Nevis\";s:2:\"LC\";s:11:\"Saint Lucia\";s:2:\"SX\";s:25:\"Saint Martin (Dutch part)\";s:2:\"MF\";s:26:\"Saint Martin (French part)\";s:2:\"PM\";s:25:\"Saint Pierre and Miquelon\";s:2:\"VC\";s:32:\"Saint Vincent and the Grenadines\";s:2:\"WS\";s:5:\"Samoa\";s:2:\"SM\";s:10:\"San Marino\";s:2:\"SA\";s:12:\"Saudi Arabia\";s:2:\"SN\";s:7:\"Senegal\";s:2:\"RS\";s:6:\"Serbia\";s:2:\"SC\";s:10:\"Seychelles\";s:2:\"SL\";s:12:\"Sierra Leone\";s:2:\"SG\";s:9:\"Singapore\";s:2:\"SK\";s:8:\"Slovakia\";s:2:\"SI\";s:8:\"Slovenia\";s:2:\"SB\";s:15:\"Solomon Islands\";s:2:\"SO\";s:7:\"Somalia\";s:2:\"ZA\";s:12:\"South Africa\";s:2:\"GS\";s:30:\"South Georgia/Sandwich Islands\";s:2:\"KR\";s:11:\"South Korea\";s:2:\"SS\";s:11:\"South Sudan\";s:2:\"ES\";s:5:\"Spain\";s:2:\"LK\";s:9:\"Sri Lanka\";s:2:\"SD\";s:5:\"Sudan\";s:2:\"SR\";s:8:\"Suriname\";s:2:\"SJ\";s:22:\"Svalbard and Jan Mayen\";s:2:\"SZ\";s:9:\"Swaziland\";s:2:\"SE\";s:6:\"Sweden\";s:2:\"CH\";s:11:\"Switzerland\";s:2:\"SY\";s:5:\"Syria\";s:2:\"TW\";s:6:\"Taiwan\";s:2:\"TJ\";s:10:\"Tajikistan\";s:2:\"TZ\";s:8:\"Tanzania\";s:2:\"TH\";s:8:\"Thailand\";s:2:\"TL\";s:11:\"Timor-Leste\";s:2:\"TG\";s:4:\"Togo\";s:2:\"TK\";s:7:\"Tokelau\";s:2:\"TO\";s:5:\"Tonga\";s:2:\"TT\";s:19:\"Trinidad and Tobago\";s:2:\"TN\";s:7:\"Tunisia\";s:2:\"TR\";s:6:\"Turkey\";s:2:\"TM\";s:12:\"Turkmenistan\";s:2:\"TC\";s:24:\"Turks and Caicos Islands\";s:2:\"TV\";s:6:\"Tuvalu\";s:2:\"UG\";s:6:\"Uganda\";s:2:\"UA\";s:7:\"Ukraine\";s:2:\"AE\";s:20:\"United Arab Emirates\";s:2:\"GB\";s:19:\"United Kingdom (UK)\";s:2:\"US\";s:18:\"United States (US)\";s:2:\"UM\";s:41:\"United States (US) Minor Outlying Islands\";s:2:\"UY\";s:7:\"Uruguay\";s:2:\"UZ\";s:10:\"Uzbekistan\";s:2:\"VU\";s:7:\"Vanuatu\";s:2:\"VA\";s:7:\"Vatican\";s:2:\"VE\";s:9:\"Venezuela\";s:2:\"VN\";s:7:\"Vietnam\";s:2:\"VG\";s:24:\"Virgin Islands (British)\";s:2:\"VI\";s:19:\"Virgin Islands (US)\";s:2:\"WF\";s:17:\"Wallis and Futuna\";s:2:\"EH\";s:14:\"Western Sahara\";s:2:\"YE\";s:5:\"Yemen\";s:2:\"ZM\";s:6:\"Zambia\";s:2:\"ZW\";s:8:\"Zimbabwe\";}s:11:\"locale_info\";a:26:{s:2:\"AU\";a:8:{s:13:\"currency_code\";s:3:\"AUD\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"AU\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"10.0000\";s:4:\"name\";s:3:\"GST\";s:8:\"shipping\";b:1;}}}}s:2:\"BD\";a:8:{s:13:\"currency_code\";s:3:\"BDT\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"in\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"BD\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"15.0000\";s:4:\"name\";s:3:\"VAT\";s:8:\"shipping\";b:1;}}}}s:2:\"BE\";a:8:{s:13:\"currency_code\";s:3:\"EUR\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\" \";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"BE\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"21.0000\";s:4:\"name\";s:3:\"BTW\";s:8:\"shipping\";b:1;}}}}s:2:\"BR\";a:8:{s:13:\"currency_code\";s:3:\"BRL\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:0:{}}s:2:\"CA\";a:8:{s:13:\"currency_code\";s:3:\"CAD\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:5:{s:2:\"BC\";a:1:{i:0;a:6:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"BC\";s:4:\"rate\";s:6:\"7.0000\";s:4:\"name\";s:3:\"PST\";s:8:\"shipping\";b:0;s:8:\"priority\";i:2;}}s:2:\"SK\";a:1:{i:0;a:6:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"SK\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:3:\"PST\";s:8:\"shipping\";b:0;s:8:\"priority\";i:2;}}s:2:\"MB\";a:1:{i:0;a:6:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"MB\";s:4:\"rate\";s:6:\"8.0000\";s:4:\"name\";s:3:\"PST\";s:8:\"shipping\";b:0;s:8:\"priority\";i:2;}}s:2:\"QC\";a:1:{i:0;a:6:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"QC\";s:4:\"rate\";s:5:\"9.975\";s:4:\"name\";s:3:\"QST\";s:8:\"shipping\";b:0;s:8:\"priority\";i:2;}}s:1:\"*\";a:13:{i:0;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"ON\";s:4:\"rate\";s:7:\"13.0000\";s:4:\"name\";s:3:\"HST\";s:8:\"shipping\";b:1;}i:1;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"NL\";s:4:\"rate\";s:7:\"13.0000\";s:4:\"name\";s:3:\"HST\";s:8:\"shipping\";b:1;}i:2;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"NB\";s:4:\"rate\";s:7:\"13.0000\";s:4:\"name\";s:3:\"HST\";s:8:\"shipping\";b:1;}i:3;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"PE\";s:4:\"rate\";s:7:\"14.0000\";s:4:\"name\";s:3:\"HST\";s:8:\"shipping\";b:1;}i:4;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"NS\";s:4:\"rate\";s:7:\"15.0000\";s:4:\"name\";s:3:\"HST\";s:8:\"shipping\";b:1;}i:5;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"AB\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:3:\"GST\";s:8:\"shipping\";b:1;}i:6;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"BC\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:3:\"GST\";s:8:\"shipping\";b:1;}i:7;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"NT\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:3:\"GST\";s:8:\"shipping\";b:1;}i:8;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"NU\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:3:\"GST\";s:8:\"shipping\";b:1;}i:9;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"YT\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:3:\"GST\";s:8:\"shipping\";b:1;}i:10;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"SK\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:3:\"GST\";s:8:\"shipping\";b:1;}i:11;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"MB\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:3:\"GST\";s:8:\"shipping\";b:1;}i:12;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"QC\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:3:\"GST\";s:8:\"shipping\";b:1;}}}}s:2:\"DE\";a:8:{s:13:\"currency_code\";s:3:\"EUR\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"DE\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"19.0000\";s:4:\"name\";s:5:\"Mwst.\";s:8:\"shipping\";b:1;}}}}s:2:\"DK\";a:8:{s:13:\"currency_code\";s:3:\"DKK\";s:12:\"currency_pos\";s:10:\"left_space\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:1:\"*\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"25.0000\";s:4:\"name\";s:4:\"Moms\";s:8:\"shipping\";b:1;}}}}s:2:\"ES\";a:8:{s:13:\"currency_code\";s:3:\"EUR\";s:12:\"currency_pos\";s:5:\"right\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"ES\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"21.0000\";s:4:\"name\";s:3:\"VAT\";s:8:\"shipping\";b:1;}}}}s:2:\"FI\";a:8:{s:13:\"currency_code\";s:3:\"EUR\";s:12:\"currency_pos\";s:11:\"right_space\";s:12:\"thousand_sep\";s:1:\" \";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"FI\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"24.0000\";s:4:\"name\";s:3:\"ALV\";s:8:\"shipping\";b:1;}}}}s:2:\"FR\";a:8:{s:13:\"currency_code\";s:3:\"EUR\";s:12:\"currency_pos\";s:5:\"right\";s:12:\"thousand_sep\";s:1:\" \";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"FR\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"20.0000\";s:4:\"name\";s:3:\"TVA\";s:8:\"shipping\";b:1;}}}}s:2:\"GB\";a:8:{s:13:\"currency_code\";s:3:\"GBP\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"GB\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"20.0000\";s:4:\"name\";s:3:\"VAT\";s:8:\"shipping\";b:1;}}}}s:2:\"HU\";a:8:{s:13:\"currency_code\";s:3:\"HUF\";s:12:\"currency_pos\";s:11:\"right_space\";s:12:\"thousand_sep\";s:1:\" \";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:0;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"HU\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"27.0000\";s:4:\"name\";s:4:\"ÁFA\";s:8:\"shipping\";b:1;}}}}s:2:\"IT\";a:8:{s:13:\"currency_code\";s:3:\"EUR\";s:12:\"currency_pos\";s:5:\"right\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"IT\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"22.0000\";s:4:\"name\";s:3:\"IVA\";s:8:\"shipping\";b:1;}}}}s:2:\"JP\";a:8:{s:13:\"currency_code\";s:3:\"JPY\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:0;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"JP\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:6:\"8.0000\";s:4:\"name\";s:15:\"Consumption tax\";s:8:\"shipping\";b:1;}}}}s:2:\"MD\";a:8:{s:13:\"currency_code\";s:3:\"MDL\";s:12:\"currency_pos\";s:11:\"right_space\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"MD\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"20.0000\";s:4:\"name\";s:3:\"TVA\";s:8:\"shipping\";b:1;}}}}s:2:\"NL\";a:8:{s:13:\"currency_code\";s:3:\"EUR\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"NL\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"21.0000\";s:4:\"name\";s:3:\"VAT\";s:8:\"shipping\";b:1;}}}}s:2:\"NO\";a:8:{s:13:\"currency_code\";s:2:\"Kr\";s:12:\"currency_pos\";s:10:\"left_space\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"NO\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"25.0000\";s:4:\"name\";s:3:\"MVA\";s:8:\"shipping\";b:1;}}}}s:2:\"NP\";a:8:{s:13:\"currency_code\";s:3:\"NPR\";s:12:\"currency_pos\";s:10:\"left_space\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"NP\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"13.0000\";s:4:\"name\";s:3:\"VAT\";s:8:\"shipping\";b:1;}}}}s:2:\"PL\";a:8:{s:13:\"currency_code\";s:3:\"PLN\";s:12:\"currency_pos\";s:11:\"right_space\";s:12:\"thousand_sep\";s:1:\" \";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"PL\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"23.0000\";s:4:\"name\";s:3:\"VAT\";s:8:\"shipping\";b:1;}}}}s:2:\"PY\";a:8:{s:13:\"currency_code\";s:3:\"PYG\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"PY\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"10.0000\";s:4:\"name\";s:3:\"VAT\";s:8:\"shipping\";b:1;}}}}s:2:\"RO\";a:8:{s:13:\"currency_code\";s:3:\"RON\";s:12:\"currency_pos\";s:11:\"right_space\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"RO\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"19.0000\";s:4:\"name\";s:3:\"TVA\";s:8:\"shipping\";b:1;}}}}s:2:\"RS\";a:8:{s:13:\"currency_code\";s:3:\"RSD\";s:12:\"currency_pos\";s:11:\"right_space\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:0:{}}s:2:\"TH\";a:8:{s:13:\"currency_code\";s:3:\"THB\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"TH\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:6:\"7.0000\";s:4:\"name\";s:3:\"VAT\";s:8:\"shipping\";b:1;}}}}s:2:\"TR\";a:8:{s:13:\"currency_code\";s:3:\"TRY\";s:12:\"currency_pos\";s:10:\"left_space\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"TR\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"18.0000\";s:4:\"name\";s:3:\"KDV\";s:8:\"shipping\";b:1;}}}}s:2:\"US\";a:8:{s:13:\"currency_code\";s:3:\"USD\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"oz\";s:14:\"dimension_unit\";s:2:\"in\";s:9:\"tax_rates\";a:48:{s:2:\"AL\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"AL\";s:4:\"rate\";s:6:\"4.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"AZ\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"AZ\";s:4:\"rate\";s:6:\"5.6000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"AR\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"AR\";s:4:\"rate\";s:6:\"6.5000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"CA\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"CA\";s:4:\"rate\";s:6:\"7.5000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"CO\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"CO\";s:4:\"rate\";s:6:\"2.9000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"CT\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"CT\";s:4:\"rate\";s:6:\"6.3500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"DC\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"DC\";s:4:\"rate\";s:6:\"5.7500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"FL\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"FL\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"GA\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"GA\";s:4:\"rate\";s:6:\"4.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"GU\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"GU\";s:4:\"rate\";s:6:\"4.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"HI\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"HI\";s:4:\"rate\";s:6:\"4.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"ID\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"ID\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"IL\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"IL\";s:4:\"rate\";s:6:\"6.2500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"IN\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"IN\";s:4:\"rate\";s:6:\"7.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"IA\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"IA\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"KS\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"KS\";s:4:\"rate\";s:6:\"6.1500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"KY\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"KY\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"LA\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"LA\";s:4:\"rate\";s:6:\"4.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"ME\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"ME\";s:4:\"rate\";s:6:\"5.5000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"MD\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"MD\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"MA\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"MA\";s:4:\"rate\";s:6:\"6.2500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"MI\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"MI\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"MN\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"MN\";s:4:\"rate\";s:6:\"6.8750\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"MS\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"MS\";s:4:\"rate\";s:6:\"7.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"MO\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"MO\";s:4:\"rate\";s:5:\"4.225\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"NE\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"NE\";s:4:\"rate\";s:6:\"5.5000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"NV\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"NV\";s:4:\"rate\";s:6:\"6.8500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"NJ\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"NJ\";s:4:\"rate\";s:6:\"6.8750\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"NM\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"NM\";s:4:\"rate\";s:6:\"5.1250\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"NY\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"NY\";s:4:\"rate\";s:6:\"4.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"NC\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"NC\";s:4:\"rate\";s:6:\"4.7500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"ND\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"ND\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"OH\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"OH\";s:4:\"rate\";s:6:\"5.7500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"OK\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"OK\";s:4:\"rate\";s:6:\"4.5000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"PA\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"PA\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"PR\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"PR\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"RI\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"RI\";s:4:\"rate\";s:6:\"7.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"SC\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"SC\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"SD\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"SD\";s:4:\"rate\";s:6:\"4.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"TN\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"TN\";s:4:\"rate\";s:6:\"7.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"TX\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"TX\";s:4:\"rate\";s:6:\"6.2500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"UT\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"UT\";s:4:\"rate\";s:6:\"5.9500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"VT\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"VT\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"VA\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"VA\";s:4:\"rate\";s:6:\"5.3000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"WA\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"WA\";s:4:\"rate\";s:6:\"6.5000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"WV\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"WV\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"WI\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"WI\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"WY\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"WY\";s:4:\"rate\";s:6:\"4.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}}}s:2:\"ZA\";a:8:{s:13:\"currency_code\";s:3:\"ZAR\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"ZA\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"15.0000\";s:4:\"name\";s:3:\"VAT\";s:8:\"shipping\";b:1;}}}}}s:10:\"currencies\";a:163:{s:3:\"AED\";s:45:\"United Arab Emirates dirham (&#x62f;.&#x625;)\";s:3:\"AFN\";s:24:\"Afghan afghani (&#x60b;)\";s:3:\"ALL\";s:16:\"Albanian lek (L)\";s:3:\"AMD\";s:19:\"Armenian dram (AMD)\";s:3:\"ANG\";s:38:\"Netherlands Antillean guilder (&fnof;)\";s:3:\"AOA\";s:19:\"Angolan kwanza (Kz)\";s:3:\"ARS\";s:22:\"Argentine peso (&#36;)\";s:3:\"AUD\";s:25:\"Australian dollar (&#36;)\";s:3:\"AWG\";s:20:\"Aruban florin (Afl.)\";s:3:\"AZN\";s:23:\"Azerbaijani manat (AZN)\";s:3:\"BAM\";s:44:\"Bosnia and Herzegovina convertible mark (KM)\";s:3:\"BBD\";s:24:\"Barbadian dollar (&#36;)\";s:3:\"BDT\";s:32:\"Bangladeshi taka (&#2547;&nbsp;)\";s:3:\"BGN\";s:31:\"Bulgarian lev (&#1083;&#1074;.)\";s:3:\"BHD\";s:33:\"Bahraini dinar (.&#x62f;.&#x628;)\";s:3:\"BIF\";s:20:\"Burundian franc (Fr)\";s:3:\"BMD\";s:24:\"Bermudian dollar (&#36;)\";s:3:\"BND\";s:21:\"Brunei dollar (&#36;)\";s:3:\"BOB\";s:24:\"Bolivian boliviano (Bs.)\";s:3:\"BRL\";s:27:\"Brazilian real (&#82;&#36;)\";s:3:\"BSD\";s:23:\"Bahamian dollar (&#36;)\";s:3:\"BTC\";s:17:\"Bitcoin (&#3647;)\";s:3:\"BTN\";s:24:\"Bhutanese ngultrum (Nu.)\";s:3:\"BWP\";s:17:\"Botswana pula (P)\";s:3:\"BYR\";s:27:\"Belarusian ruble (old) (Br)\";s:3:\"BYN\";s:21:\"Belarusian ruble (Br)\";s:3:\"BZD\";s:21:\"Belize dollar (&#36;)\";s:3:\"CAD\";s:23:\"Canadian dollar (&#36;)\";s:3:\"CDF\";s:20:\"Congolese franc (Fr)\";s:3:\"CHF\";s:29:\"Swiss franc (&#67;&#72;&#70;)\";s:3:\"CLP\";s:20:\"Chilean peso (&#36;)\";s:3:\"CNY\";s:20:\"Chinese yuan (&yen;)\";s:3:\"COP\";s:22:\"Colombian peso (&#36;)\";s:3:\"CRC\";s:35:\"Costa Rican col&oacute;n (&#x20a1;)\";s:3:\"CUC\";s:30:\"Cuban convertible peso (&#36;)\";s:3:\"CUP\";s:18:\"Cuban peso (&#36;)\";s:3:\"CVE\";s:27:\"Cape Verdean escudo (&#36;)\";s:3:\"CZK\";s:26:\"Czech koruna (&#75;&#269;)\";s:3:\"DJF\";s:21:\"Djiboutian franc (Fr)\";s:3:\"DKK\";s:18:\"Danish krone (DKK)\";s:3:\"DOP\";s:24:\"Dominican peso (RD&#36;)\";s:3:\"DZD\";s:32:\"Algerian dinar (&#x62f;.&#x62c;)\";s:3:\"EGP\";s:20:\"Egyptian pound (EGP)\";s:3:\"ERN\";s:20:\"Eritrean nakfa (Nfk)\";s:3:\"ETB\";s:19:\"Ethiopian birr (Br)\";s:3:\"EUR\";s:13:\"Euro (&euro;)\";s:3:\"FJD\";s:21:\"Fijian dollar (&#36;)\";s:3:\"FKP\";s:32:\"Falkland Islands pound (&pound;)\";s:3:\"GBP\";s:24:\"Pound sterling (&pound;)\";s:3:\"GEL\";s:24:\"Georgian lari (&#x20be;)\";s:3:\"GGP\";s:24:\"Guernsey pound (&pound;)\";s:3:\"GHS\";s:21:\"Ghana cedi (&#x20b5;)\";s:3:\"GIP\";s:25:\"Gibraltar pound (&pound;)\";s:3:\"GMD\";s:18:\"Gambian dalasi (D)\";s:3:\"GNF\";s:18:\"Guinean franc (Fr)\";s:3:\"GTQ\";s:22:\"Guatemalan quetzal (Q)\";s:3:\"GYD\";s:23:\"Guyanese dollar (&#36;)\";s:3:\"HKD\";s:24:\"Hong Kong dollar (&#36;)\";s:3:\"HNL\";s:20:\"Honduran lempira (L)\";s:3:\"HRK\";s:18:\"Croatian kuna (kn)\";s:3:\"HTG\";s:18:\"Haitian gourde (G)\";s:3:\"HUF\";s:30:\"Hungarian forint (&#70;&#116;)\";s:3:\"IDR\";s:22:\"Indonesian rupiah (Rp)\";s:3:\"ILS\";s:28:\"Israeli new shekel (&#8362;)\";s:3:\"IMP\";s:20:\"Manx pound (&pound;)\";s:3:\"INR\";s:22:\"Indian rupee (&#8377;)\";s:3:\"IQD\";s:29:\"Iraqi dinar (&#x639;.&#x62f;)\";s:3:\"IRR\";s:23:\"Iranian rial (&#xfdfc;)\";s:3:\"IRT\";s:56:\"Iranian toman (&#x062A;&#x0648;&#x0645;&#x0627;&#x0646;)\";s:3:\"ISK\";s:28:\"Icelandic kr&oacute;na (kr.)\";s:3:\"JEP\";s:22:\"Jersey pound (&pound;)\";s:3:\"JMD\";s:23:\"Jamaican dollar (&#36;)\";s:3:\"JOD\";s:33:\"Jordanian dinar (&#x62f;.&#x627;)\";s:3:\"JPY\";s:20:\"Japanese yen (&yen;)\";s:3:\"KES\";s:21:\"Kenyan shilling (KSh)\";s:3:\"KGS\";s:39:\"Kyrgyzstani som (&#x441;&#x43e;&#x43c;)\";s:3:\"KHR\";s:25:\"Cambodian riel (&#x17db;)\";s:3:\"KMF\";s:19:\"Comorian franc (Fr)\";s:3:\"KPW\";s:27:\"North Korean won (&#x20a9;)\";s:3:\"KRW\";s:26:\"South Korean won (&#8361;)\";s:3:\"KWD\";s:31:\"Kuwaiti dinar (&#x62f;.&#x643;)\";s:3:\"KYD\";s:29:\"Cayman Islands dollar (&#36;)\";s:3:\"KZT\";s:23:\"Kazakhstani tenge (KZT)\";s:3:\"LAK\";s:17:\"Lao kip (&#8365;)\";s:3:\"LBP\";s:32:\"Lebanese pound (&#x644;.&#x644;)\";s:3:\"LKR\";s:33:\"Sri Lankan rupee (&#xdbb;&#xdd4;)\";s:3:\"LRD\";s:23:\"Liberian dollar (&#36;)\";s:3:\"LSL\";s:16:\"Lesotho loti (L)\";s:3:\"LYD\";s:30:\"Libyan dinar (&#x644;.&#x62f;)\";s:3:\"MAD\";s:34:\"Moroccan dirham (&#x62f;.&#x645;.)\";s:3:\"MDL\";s:18:\"Moldovan leu (MDL)\";s:3:\"MGA\";s:20:\"Malagasy ariary (Ar)\";s:3:\"MKD\";s:40:\"Macedonian denar (&#x434;&#x435;&#x43d;)\";s:3:\"MMK\";s:17:\"Burmese kyat (Ks)\";s:3:\"MNT\";s:37:\"Mongolian t&ouml;gr&ouml;g (&#x20ae;)\";s:3:\"MOP\";s:19:\"Macanese pataca (P)\";s:3:\"MRO\";s:24:\"Mauritanian ouguiya (UM)\";s:3:\"MUR\";s:26:\"Mauritian rupee (&#x20a8;)\";s:3:\"MVR\";s:28:\"Maldivian rufiyaa (.&#x783;)\";s:3:\"MWK\";s:20:\"Malawian kwacha (MK)\";s:3:\"MXN\";s:20:\"Mexican peso (&#36;)\";s:3:\"MYR\";s:30:\"Malaysian ringgit (&#82;&#77;)\";s:3:\"MZN\";s:23:\"Mozambican metical (MT)\";s:3:\"NAD\";s:23:\"Namibian dollar (&#36;)\";s:3:\"NGN\";s:24:\"Nigerian naira (&#8358;)\";s:3:\"NIO\";s:34:\"Nicaraguan c&oacute;rdoba (C&#36;)\";s:3:\"NOK\";s:30:\"Norwegian krone (&#107;&#114;)\";s:3:\"NPR\";s:24:\"Nepalese rupee (&#8360;)\";s:3:\"NZD\";s:26:\"New Zealand dollar (&#36;)\";s:3:\"OMR\";s:29:\"Omani rial (&#x631;.&#x639;.)\";s:3:\"PAB\";s:23:\"Panamanian balboa (B/.)\";s:3:\"PEN\";s:8:\"Sol (S/)\";s:3:\"PGK\";s:26:\"Papua New Guinean kina (K)\";s:3:\"PHP\";s:25:\"Philippine peso (&#8369;)\";s:3:\"PKR\";s:25:\"Pakistani rupee (&#8360;)\";s:3:\"PLN\";s:33:\"Polish z&#x142;oty (&#122;&#322;)\";s:3:\"PRB\";s:30:\"Transnistrian ruble (&#x440;.)\";s:3:\"PYG\";s:35:\"Paraguayan guaran&iacute; (&#8370;)\";s:3:\"QAR\";s:30:\"Qatari riyal (&#x631;.&#x642;)\";s:3:\"RON\";s:18:\"Romanian leu (lei)\";s:3:\"RSD\";s:38:\"Serbian dinar (&#x434;&#x438;&#x43d;.)\";s:3:\"RUB\";s:23:\"Russian ruble (&#8381;)\";s:3:\"RWF\";s:18:\"Rwandan franc (Fr)\";s:3:\"SAR\";s:29:\"Saudi riyal (&#x631;.&#x633;)\";s:3:\"SBD\";s:30:\"Solomon Islands dollar (&#36;)\";s:3:\"SCR\";s:28:\"Seychellois rupee (&#x20a8;)\";s:3:\"SDG\";s:33:\"Sudanese pound (&#x62c;.&#x633;.)\";s:3:\"SEK\";s:28:\"Swedish krona (&#107;&#114;)\";s:3:\"SGD\";s:24:\"Singapore dollar (&#36;)\";s:3:\"SHP\";s:28:\"Saint Helena pound (&pound;)\";s:3:\"SLL\";s:25:\"Sierra Leonean leone (Le)\";s:3:\"SOS\";s:20:\"Somali shilling (Sh)\";s:3:\"SRD\";s:25:\"Surinamese dollar (&#36;)\";s:3:\"SSP\";s:30:\"South Sudanese pound (&pound;)\";s:3:\"STD\";s:53:\"S&atilde;o Tom&eacute; and Pr&iacute;ncipe dobra (Db)\";s:3:\"SYP\";s:30:\"Syrian pound (&#x644;.&#x633;)\";s:3:\"SZL\";s:19:\"Swazi lilangeni (L)\";s:3:\"THB\";s:19:\"Thai baht (&#3647;)\";s:3:\"TJS\";s:35:\"Tajikistani somoni (&#x405;&#x41c;)\";s:3:\"TMT\";s:22:\"Turkmenistan manat (m)\";s:3:\"TND\";s:32:\"Tunisian dinar (&#x62f;.&#x62a;)\";s:3:\"TOP\";s:29:\"Tongan pa&#x2bb;anga (T&#36;)\";s:3:\"TRY\";s:22:\"Turkish lira (&#8378;)\";s:3:\"TTD\";s:34:\"Trinidad and Tobago dollar (&#36;)\";s:3:\"TWD\";s:35:\"New Taiwan dollar (&#78;&#84;&#36;)\";s:3:\"TZS\";s:23:\"Tanzanian shilling (Sh)\";s:3:\"UAH\";s:27:\"Ukrainian hryvnia (&#8372;)\";s:3:\"UGX\";s:22:\"Ugandan shilling (UGX)\";s:3:\"USD\";s:33:\"United States (US) dollar (&#36;)\";s:3:\"UYU\";s:22:\"Uruguayan peso (&#36;)\";s:3:\"UZS\";s:21:\"Uzbekistani som (UZS)\";s:3:\"VEF\";s:32:\"Venezuelan bol&iacute;var (Bs F)\";s:3:\"VES\";s:30:\"Bol&iacute;var soberano (Bs.S)\";s:3:\"VND\";s:38:\"Vietnamese &#x111;&#x1ed3;ng (&#8363;)\";s:3:\"VUV\";s:17:\"Vanuatu vatu (Vt)\";s:3:\"WST\";s:27:\"Samoan t&#x101;l&#x101; (T)\";s:3:\"XAF\";s:31:\"Central African CFA franc (CFA)\";s:3:\"XCD\";s:29:\"East Caribbean dollar (&#36;)\";s:3:\"XOF\";s:28:\"West African CFA franc (CFA)\";s:3:\"XPF\";s:14:\"CFP franc (Fr)\";s:3:\"YER\";s:22:\"Yemeni rial (&#xfdfc;)\";s:3:\"ZAR\";s:26:\"South African rand (&#82;)\";s:3:\"ZMW\";s:19:\"Zambian kwacha (ZK)\";}s:16:\"currency_symbols\";s:7:\"&pound;\";s:9:\"locations\";a:286:{s:2:\"AX\";s:18:\"&#197;land Islands\";s:2:\"AF\";s:11:\"Afghanistan\";s:2:\"AL\";s:7:\"Albania\";s:2:\"DZ\";s:7:\"Algeria\";s:2:\"AS\";s:14:\"American Samoa\";s:2:\"AD\";s:7:\"Andorra\";s:6:\"Angola\";a:18:{s:6:\"AO:BGO\";s:20:\"Angola &mdash; Bengo\";s:6:\"AO:BLU\";s:23:\"Angola &mdash; Benguela\";s:6:\"AO:BIE\";s:19:\"Angola &mdash; Bié\";s:6:\"AO:CAB\";s:22:\"Angola &mdash; Cabinda\";s:6:\"AO:CNN\";s:21:\"Angola &mdash; Cunene\";s:6:\"AO:HUA\";s:21:\"Angola &mdash; Huambo\";s:6:\"AO:HUI\";s:21:\"Angola &mdash; Huíla\";s:6:\"AO:CCU\";s:29:\"Angola &mdash; Kuando Kubango\";s:6:\"AO:CNO\";s:27:\"Angola &mdash; Kwanza-Norte\";s:6:\"AO:CUS\";s:25:\"Angola &mdash; Kwanza-Sul\";s:6:\"AO:LUA\";s:21:\"Angola &mdash; Luanda\";s:6:\"AO:LNO\";s:26:\"Angola &mdash; Lunda-Norte\";s:6:\"AO:LSU\";s:24:\"Angola &mdash; Lunda-Sul\";s:6:\"AO:MAL\";s:22:\"Angola &mdash; Malanje\";s:6:\"AO:MOX\";s:21:\"Angola &mdash; Moxico\";s:6:\"AO:NAM\";s:21:\"Angola &mdash; Namibe\";s:6:\"AO:UIG\";s:20:\"Angola &mdash; Uíge\";s:6:\"AO:ZAI\";s:20:\"Angola &mdash; Zaire\";}s:2:\"AO\";s:6:\"Angola\";s:2:\"AI\";s:8:\"Anguilla\";s:2:\"AQ\";s:10:\"Antarctica\";s:2:\"AG\";s:19:\"Antigua and Barbuda\";s:9:\"Argentina\";a:24:{s:4:\"AR:C\";s:56:\"Argentina &mdash; Ciudad Aut&oacute;noma de Buenos Aires\";s:4:\"AR:B\";s:30:\"Argentina &mdash; Buenos Aires\";s:4:\"AR:K\";s:27:\"Argentina &mdash; Catamarca\";s:4:\"AR:H\";s:23:\"Argentina &mdash; Chaco\";s:4:\"AR:U\";s:24:\"Argentina &mdash; Chubut\";s:4:\"AR:X\";s:32:\"Argentina &mdash; C&oacute;rdoba\";s:4:\"AR:W\";s:28:\"Argentina &mdash; Corrientes\";s:4:\"AR:E\";s:35:\"Argentina &mdash; Entre R&iacute;os\";s:4:\"AR:P\";s:25:\"Argentina &mdash; Formosa\";s:4:\"AR:Y\";s:23:\"Argentina &mdash; Jujuy\";s:4:\"AR:L\";s:26:\"Argentina &mdash; La Pampa\";s:4:\"AR:F\";s:26:\"Argentina &mdash; La Rioja\";s:4:\"AR:M\";s:25:\"Argentina &mdash; Mendoza\";s:4:\"AR:N\";s:26:\"Argentina &mdash; Misiones\";s:4:\"AR:Q\";s:32:\"Argentina &mdash; Neuqu&eacute;n\";s:4:\"AR:R\";s:34:\"Argentina &mdash; R&iacute;o Negro\";s:4:\"AR:A\";s:23:\"Argentina &mdash; Salta\";s:4:\"AR:J\";s:26:\"Argentina &mdash; San Juan\";s:4:\"AR:D\";s:26:\"Argentina &mdash; San Luis\";s:4:\"AR:Z\";s:28:\"Argentina &mdash; Santa Cruz\";s:4:\"AR:S\";s:26:\"Argentina &mdash; Santa Fe\";s:4:\"AR:G\";s:37:\"Argentina &mdash; Santiago del Estero\";s:4:\"AR:V\";s:34:\"Argentina &mdash; Tierra del Fuego\";s:4:\"AR:T\";s:32:\"Argentina &mdash; Tucum&aacute;n\";}s:2:\"AR\";s:9:\"Argentina\";s:2:\"AM\";s:7:\"Armenia\";s:2:\"AW\";s:5:\"Aruba\";s:9:\"Australia\";a:8:{s:6:\"AU:ACT\";s:46:\"Australia &mdash; Australian Capital Territory\";s:6:\"AU:NSW\";s:33:\"Australia &mdash; New South Wales\";s:5:\"AU:NT\";s:36:\"Australia &mdash; Northern Territory\";s:6:\"AU:QLD\";s:28:\"Australia &mdash; Queensland\";s:5:\"AU:SA\";s:33:\"Australia &mdash; South Australia\";s:6:\"AU:TAS\";s:26:\"Australia &mdash; Tasmania\";s:6:\"AU:VIC\";s:26:\"Australia &mdash; Victoria\";s:5:\"AU:WA\";s:35:\"Australia &mdash; Western Australia\";}s:2:\"AU\";s:9:\"Australia\";s:2:\"AT\";s:7:\"Austria\";s:2:\"AZ\";s:10:\"Azerbaijan\";s:2:\"BS\";s:7:\"Bahamas\";s:2:\"BH\";s:7:\"Bahrain\";s:10:\"Bangladesh\";a:64:{s:8:\"BD:BD-05\";s:27:\"Bangladesh &mdash; Bagerhat\";s:8:\"BD:BD-01\";s:28:\"Bangladesh &mdash; Bandarban\";s:8:\"BD:BD-02\";s:26:\"Bangladesh &mdash; Barguna\";s:8:\"BD:BD-06\";s:27:\"Bangladesh &mdash; Barishal\";s:8:\"BD:BD-07\";s:24:\"Bangladesh &mdash; Bhola\";s:8:\"BD:BD-03\";s:25:\"Bangladesh &mdash; Bogura\";s:8:\"BD:BD-04\";s:31:\"Bangladesh &mdash; Brahmanbaria\";s:8:\"BD:BD-09\";s:27:\"Bangladesh &mdash; Chandpur\";s:8:\"BD:BD-10\";s:29:\"Bangladesh &mdash; Chattogram\";s:8:\"BD:BD-12\";s:28:\"Bangladesh &mdash; Chuadanga\";s:8:\"BD:BD-11\";s:30:\"Bangladesh &mdash; Cox\'s Bazar\";s:8:\"BD:BD-08\";s:26:\"Bangladesh &mdash; Cumilla\";s:8:\"BD:BD-13\";s:24:\"Bangladesh &mdash; Dhaka\";s:8:\"BD:BD-14\";s:27:\"Bangladesh &mdash; Dinajpur\";s:8:\"BD:BD-15\";s:28:\"Bangladesh &mdash; Faridpur \";s:8:\"BD:BD-16\";s:23:\"Bangladesh &mdash; Feni\";s:8:\"BD:BD-19\";s:28:\"Bangladesh &mdash; Gaibandha\";s:8:\"BD:BD-18\";s:26:\"Bangladesh &mdash; Gazipur\";s:8:\"BD:BD-17\";s:28:\"Bangladesh &mdash; Gopalganj\";s:8:\"BD:BD-20\";s:27:\"Bangladesh &mdash; Habiganj\";s:8:\"BD:BD-21\";s:27:\"Bangladesh &mdash; Jamalpur\";s:8:\"BD:BD-22\";s:26:\"Bangladesh &mdash; Jashore\";s:8:\"BD:BD-25\";s:28:\"Bangladesh &mdash; Jhalokati\";s:8:\"BD:BD-23\";s:28:\"Bangladesh &mdash; Jhenaidah\";s:8:\"BD:BD-24\";s:28:\"Bangladesh &mdash; Joypurhat\";s:8:\"BD:BD-29\";s:31:\"Bangladesh &mdash; Khagrachhari\";s:8:\"BD:BD-27\";s:25:\"Bangladesh &mdash; Khulna\";s:8:\"BD:BD-26\";s:30:\"Bangladesh &mdash; Kishoreganj\";s:8:\"BD:BD-28\";s:27:\"Bangladesh &mdash; Kurigram\";s:8:\"BD:BD-30\";s:26:\"Bangladesh &mdash; Kushtia\";s:8:\"BD:BD-31\";s:29:\"Bangladesh &mdash; Lakshmipur\";s:8:\"BD:BD-32\";s:30:\"Bangladesh &mdash; Lalmonirhat\";s:8:\"BD:BD-36\";s:28:\"Bangladesh &mdash; Madaripur\";s:8:\"BD:BD-37\";s:25:\"Bangladesh &mdash; Magura\";s:8:\"BD:BD-33\";s:29:\"Bangladesh &mdash; Manikganj \";s:8:\"BD:BD-39\";s:27:\"Bangladesh &mdash; Meherpur\";s:8:\"BD:BD-38\";s:30:\"Bangladesh &mdash; Moulvibazar\";s:8:\"BD:BD-35\";s:29:\"Bangladesh &mdash; Munshiganj\";s:8:\"BD:BD-34\";s:29:\"Bangladesh &mdash; Mymensingh\";s:8:\"BD:BD-48\";s:26:\"Bangladesh &mdash; Naogaon\";s:8:\"BD:BD-43\";s:25:\"Bangladesh &mdash; Narail\";s:8:\"BD:BD-40\";s:30:\"Bangladesh &mdash; Narayanganj\";s:8:\"BD:BD-42\";s:28:\"Bangladesh &mdash; Narsingdi\";s:8:\"BD:BD-44\";s:25:\"Bangladesh &mdash; Natore\";s:8:\"BD:BD-45\";s:28:\"Bangladesh &mdash; Nawabganj\";s:8:\"BD:BD-41\";s:28:\"Bangladesh &mdash; Netrakona\";s:8:\"BD:BD-46\";s:29:\"Bangladesh &mdash; Nilphamari\";s:8:\"BD:BD-47\";s:27:\"Bangladesh &mdash; Noakhali\";s:8:\"BD:BD-49\";s:24:\"Bangladesh &mdash; Pabna\";s:8:\"BD:BD-52\";s:29:\"Bangladesh &mdash; Panchagarh\";s:8:\"BD:BD-51\";s:29:\"Bangladesh &mdash; Patuakhali\";s:8:\"BD:BD-50\";s:27:\"Bangladesh &mdash; Pirojpur\";s:8:\"BD:BD-53\";s:26:\"Bangladesh &mdash; Rajbari\";s:8:\"BD:BD-54\";s:27:\"Bangladesh &mdash; Rajshahi\";s:8:\"BD:BD-56\";s:28:\"Bangladesh &mdash; Rangamati\";s:8:\"BD:BD-55\";s:26:\"Bangladesh &mdash; Rangpur\";s:8:\"BD:BD-58\";s:27:\"Bangladesh &mdash; Satkhira\";s:8:\"BD:BD-62\";s:29:\"Bangladesh &mdash; Shariatpur\";s:8:\"BD:BD-57\";s:26:\"Bangladesh &mdash; Sherpur\";s:8:\"BD:BD-59\";s:28:\"Bangladesh &mdash; Sirajganj\";s:8:\"BD:BD-61\";s:28:\"Bangladesh &mdash; Sunamganj\";s:8:\"BD:BD-60\";s:25:\"Bangladesh &mdash; Sylhet\";s:8:\"BD:BD-63\";s:26:\"Bangladesh &mdash; Tangail\";s:8:\"BD:BD-64\";s:29:\"Bangladesh &mdash; Thakurgaon\";}s:2:\"BD\";s:10:\"Bangladesh\";s:2:\"BB\";s:8:\"Barbados\";s:2:\"BY\";s:7:\"Belarus\";s:2:\"PW\";s:5:\"Belau\";s:2:\"BE\";s:7:\"Belgium\";s:2:\"BZ\";s:6:\"Belize\";s:2:\"BJ\";s:5:\"Benin\";s:2:\"BM\";s:7:\"Bermuda\";s:2:\"BT\";s:6:\"Bhutan\";s:7:\"Bolivia\";a:9:{s:4:\"BO:B\";s:26:\"Bolivia &mdash; Chuquisaca\";s:4:\"BO:H\";s:20:\"Bolivia &mdash; Beni\";s:4:\"BO:C\";s:26:\"Bolivia &mdash; Cochabamba\";s:4:\"BO:L\";s:22:\"Bolivia &mdash; La Paz\";s:4:\"BO:O\";s:21:\"Bolivia &mdash; Oruro\";s:4:\"BO:N\";s:21:\"Bolivia &mdash; Pando\";s:4:\"BO:P\";s:23:\"Bolivia &mdash; Potosí\";s:4:\"BO:S\";s:26:\"Bolivia &mdash; Santa Cruz\";s:4:\"BO:T\";s:22:\"Bolivia &mdash; Tarija\";}s:2:\"BO\";s:7:\"Bolivia\";s:2:\"BQ\";s:33:\"Bonaire, Saint Eustatius and Saba\";s:2:\"BA\";s:22:\"Bosnia and Herzegovina\";s:2:\"BW\";s:8:\"Botswana\";s:2:\"BV\";s:13:\"Bouvet Island\";s:6:\"Brazil\";a:27:{s:5:\"BR:AC\";s:19:\"Brazil &mdash; Acre\";s:5:\"BR:AL\";s:22:\"Brazil &mdash; Alagoas\";s:5:\"BR:AP\";s:27:\"Brazil &mdash; Amap&aacute;\";s:5:\"BR:AM\";s:23:\"Brazil &mdash; Amazonas\";s:5:\"BR:BA\";s:20:\"Brazil &mdash; Bahia\";s:5:\"BR:CE\";s:27:\"Brazil &mdash; Cear&aacute;\";s:5:\"BR:DF\";s:31:\"Brazil &mdash; Distrito Federal\";s:5:\"BR:ES\";s:36:\"Brazil &mdash; Esp&iacute;rito Santo\";s:5:\"BR:GO\";s:27:\"Brazil &mdash; Goi&aacute;s\";s:5:\"BR:MA\";s:30:\"Brazil &mdash; Maranh&atilde;o\";s:5:\"BR:MT\";s:26:\"Brazil &mdash; Mato Grosso\";s:5:\"BR:MS\";s:33:\"Brazil &mdash; Mato Grosso do Sul\";s:5:\"BR:MG\";s:27:\"Brazil &mdash; Minas Gerais\";s:5:\"BR:PA\";s:26:\"Brazil &mdash; Par&aacute;\";s:5:\"BR:PB\";s:29:\"Brazil &mdash; Para&iacute;ba\";s:5:\"BR:PR\";s:28:\"Brazil &mdash; Paran&aacute;\";s:5:\"BR:PE\";s:25:\"Brazil &mdash; Pernambuco\";s:5:\"BR:PI\";s:27:\"Brazil &mdash; Piau&iacute;\";s:5:\"BR:RJ\";s:29:\"Brazil &mdash; Rio de Janeiro\";s:5:\"BR:RN\";s:34:\"Brazil &mdash; Rio Grande do Norte\";s:5:\"BR:RS\";s:32:\"Brazil &mdash; Rio Grande do Sul\";s:5:\"BR:RO\";s:29:\"Brazil &mdash; Rond&ocirc;nia\";s:5:\"BR:RR\";s:22:\"Brazil &mdash; Roraima\";s:5:\"BR:SC\";s:29:\"Brazil &mdash; Santa Catarina\";s:5:\"BR:SP\";s:31:\"Brazil &mdash; S&atilde;o Paulo\";s:5:\"BR:SE\";s:22:\"Brazil &mdash; Sergipe\";s:5:\"BR:TO\";s:24:\"Brazil &mdash; Tocantins\";}s:2:\"BR\";s:6:\"Brazil\";s:2:\"IO\";s:30:\"British Indian Ocean Territory\";s:2:\"BN\";s:6:\"Brunei\";s:8:\"Bulgaria\";a:28:{s:8:\"BG:BG-01\";s:28:\"Bulgaria &mdash; Blagoevgrad\";s:8:\"BG:BG-02\";s:23:\"Bulgaria &mdash; Burgas\";s:8:\"BG:BG-08\";s:24:\"Bulgaria &mdash; Dobrich\";s:8:\"BG:BG-07\";s:24:\"Bulgaria &mdash; Gabrovo\";s:8:\"BG:BG-26\";s:24:\"Bulgaria &mdash; Haskovo\";s:8:\"BG:BG-09\";s:26:\"Bulgaria &mdash; Kardzhali\";s:8:\"BG:BG-10\";s:27:\"Bulgaria &mdash; Kyustendil\";s:8:\"BG:BG-11\";s:23:\"Bulgaria &mdash; Lovech\";s:8:\"BG:BG-12\";s:24:\"Bulgaria &mdash; Montana\";s:8:\"BG:BG-13\";s:27:\"Bulgaria &mdash; Pazardzhik\";s:8:\"BG:BG-14\";s:23:\"Bulgaria &mdash; Pernik\";s:8:\"BG:BG-15\";s:23:\"Bulgaria &mdash; Pleven\";s:8:\"BG:BG-16\";s:24:\"Bulgaria &mdash; Plovdiv\";s:8:\"BG:BG-17\";s:24:\"Bulgaria &mdash; Razgrad\";s:8:\"BG:BG-18\";s:21:\"Bulgaria &mdash; Ruse\";s:8:\"BG:BG-27\";s:23:\"Bulgaria &mdash; Shumen\";s:8:\"BG:BG-19\";s:25:\"Bulgaria &mdash; Silistra\";s:8:\"BG:BG-20\";s:23:\"Bulgaria &mdash; Sliven\";s:8:\"BG:BG-21\";s:24:\"Bulgaria &mdash; Smolyan\";s:8:\"BG:BG-23\";s:22:\"Bulgaria &mdash; Sofia\";s:8:\"BG:BG-22\";s:27:\"Bulgaria &mdash; Sofia-Grad\";s:8:\"BG:BG-24\";s:29:\"Bulgaria &mdash; Stara Zagora\";s:8:\"BG:BG-25\";s:28:\"Bulgaria &mdash; Targovishte\";s:8:\"BG:BG-03\";s:22:\"Bulgaria &mdash; Varna\";s:8:\"BG:BG-04\";s:31:\"Bulgaria &mdash; Veliko Tarnovo\";s:8:\"BG:BG-05\";s:22:\"Bulgaria &mdash; Vidin\";s:8:\"BG:BG-06\";s:23:\"Bulgaria &mdash; Vratsa\";s:8:\"BG:BG-28\";s:23:\"Bulgaria &mdash; Yambol\";}s:2:\"BG\";s:8:\"Bulgaria\";s:2:\"BF\";s:12:\"Burkina Faso\";s:2:\"BI\";s:7:\"Burundi\";s:2:\"KH\";s:8:\"Cambodia\";s:2:\"CM\";s:8:\"Cameroon\";s:6:\"Canada\";a:13:{s:5:\"CA:AB\";s:22:\"Canada &mdash; Alberta\";s:5:\"CA:BC\";s:31:\"Canada &mdash; British Columbia\";s:5:\"CA:MB\";s:23:\"Canada &mdash; Manitoba\";s:5:\"CA:NB\";s:28:\"Canada &mdash; New Brunswick\";s:5:\"CA:NL\";s:40:\"Canada &mdash; Newfoundland and Labrador\";s:5:\"CA:NT\";s:36:\"Canada &mdash; Northwest Territories\";s:5:\"CA:NS\";s:26:\"Canada &mdash; Nova Scotia\";s:5:\"CA:NU\";s:22:\"Canada &mdash; Nunavut\";s:5:\"CA:ON\";s:22:\"Canada &mdash; Ontario\";s:5:\"CA:PE\";s:35:\"Canada &mdash; Prince Edward Island\";s:5:\"CA:QC\";s:21:\"Canada &mdash; Quebec\";s:5:\"CA:SK\";s:27:\"Canada &mdash; Saskatchewan\";s:5:\"CA:YT\";s:30:\"Canada &mdash; Yukon Territory\";}s:2:\"CA\";s:6:\"Canada\";s:2:\"CV\";s:10:\"Cape Verde\";s:2:\"KY\";s:14:\"Cayman Islands\";s:2:\"CF\";s:24:\"Central African Republic\";s:2:\"TD\";s:4:\"Chad\";s:2:\"CL\";s:5:\"Chile\";s:5:\"China\";a:32:{s:6:\"CN:CN1\";s:39:\"China &mdash; Yunnan / &#20113;&#21335;\";s:6:\"CN:CN2\";s:40:\"China &mdash; Beijing / &#21271;&#20140;\";s:6:\"CN:CN3\";s:40:\"China &mdash; Tianjin / &#22825;&#27941;\";s:6:\"CN:CN4\";s:38:\"China &mdash; Hebei / &#27827;&#21271;\";s:6:\"CN:CN5\";s:39:\"China &mdash; Shanxi / &#23665;&#35199;\";s:6:\"CN:CN6\";s:55:\"China &mdash; Inner Mongolia / &#20839;&#33945;&#21476;\";s:6:\"CN:CN7\";s:41:\"China &mdash; Liaoning / &#36797;&#23425;\";s:6:\"CN:CN8\";s:38:\"China &mdash; Jilin / &#21513;&#26519;\";s:6:\"CN:CN9\";s:53:\"China &mdash; Heilongjiang / &#40657;&#40857;&#27743;\";s:7:\"CN:CN10\";s:41:\"China &mdash; Shanghai / &#19978;&#28023;\";s:7:\"CN:CN11\";s:40:\"China &mdash; Jiangsu / &#27743;&#33487;\";s:7:\"CN:CN12\";s:41:\"China &mdash; Zhejiang / &#27993;&#27743;\";s:7:\"CN:CN13\";s:38:\"China &mdash; Anhui / &#23433;&#24509;\";s:7:\"CN:CN14\";s:39:\"China &mdash; Fujian / &#31119;&#24314;\";s:7:\"CN:CN15\";s:40:\"China &mdash; Jiangxi / &#27743;&#35199;\";s:7:\"CN:CN16\";s:41:\"China &mdash; Shandong / &#23665;&#19996;\";s:7:\"CN:CN17\";s:38:\"China &mdash; Henan / &#27827;&#21335;\";s:7:\"CN:CN18\";s:38:\"China &mdash; Hubei / &#28246;&#21271;\";s:7:\"CN:CN19\";s:38:\"China &mdash; Hunan / &#28246;&#21335;\";s:7:\"CN:CN20\";s:42:\"China &mdash; Guangdong / &#24191;&#19996;\";s:7:\"CN:CN21\";s:63:\"China &mdash; Guangxi Zhuang / &#24191;&#35199;&#22766;&#26063;\";s:7:\"CN:CN22\";s:39:\"China &mdash; Hainan / &#28023;&#21335;\";s:7:\"CN:CN23\";s:42:\"China &mdash; Chongqing / &#37325;&#24198;\";s:7:\"CN:CN24\";s:40:\"China &mdash; Sichuan / &#22235;&#24029;\";s:7:\"CN:CN25\";s:40:\"China &mdash; Guizhou / &#36149;&#24030;\";s:7:\"CN:CN26\";s:40:\"China &mdash; Shaanxi / &#38485;&#35199;\";s:7:\"CN:CN27\";s:38:\"China &mdash; Gansu / &#29976;&#32899;\";s:7:\"CN:CN28\";s:40:\"China &mdash; Qinghai / &#38738;&#28023;\";s:7:\"CN:CN29\";s:44:\"China &mdash; Ningxia Hui / &#23425;&#22799;\";s:7:\"CN:CN30\";s:38:\"China &mdash; Macau / &#28595;&#38376;\";s:7:\"CN:CN31\";s:38:\"China &mdash; Tibet / &#35199;&#34255;\";s:7:\"CN:CN32\";s:41:\"China &mdash; Xinjiang / &#26032;&#30086;\";}s:2:\"CN\";s:5:\"China\";s:2:\"CX\";s:16:\"Christmas Island\";s:2:\"CC\";s:23:\"Cocos (Keeling) Islands\";s:2:\"CO\";s:8:\"Colombia\";s:2:\"KM\";s:7:\"Comoros\";s:2:\"CG\";s:19:\"Congo (Brazzaville)\";s:2:\"CD\";s:16:\"Congo (Kinshasa)\";s:2:\"CK\";s:12:\"Cook Islands\";s:2:\"CR\";s:10:\"Costa Rica\";s:2:\"HR\";s:7:\"Croatia\";s:2:\"CU\";s:4:\"Cuba\";s:2:\"CW\";s:14:\"Cura&ccedil;ao\";s:2:\"CY\";s:6:\"Cyprus\";s:2:\"CZ\";s:14:\"Czech Republic\";s:2:\"DK\";s:7:\"Denmark\";s:2:\"DJ\";s:8:\"Djibouti\";s:2:\"DM\";s:8:\"Dominica\";s:2:\"DO\";s:18:\"Dominican Republic\";s:2:\"EC\";s:7:\"Ecuador\";s:2:\"EG\";s:5:\"Egypt\";s:2:\"SV\";s:11:\"El Salvador\";s:2:\"GQ\";s:17:\"Equatorial Guinea\";s:2:\"ER\";s:7:\"Eritrea\";s:2:\"EE\";s:7:\"Estonia\";s:2:\"ET\";s:8:\"Ethiopia\";s:2:\"FK\";s:16:\"Falkland Islands\";s:2:\"FO\";s:13:\"Faroe Islands\";s:2:\"FJ\";s:4:\"Fiji\";s:2:\"FI\";s:7:\"Finland\";s:2:\"FR\";s:6:\"France\";s:2:\"GF\";s:13:\"French Guiana\";s:2:\"PF\";s:16:\"French Polynesia\";s:2:\"TF\";s:27:\"French Southern Territories\";s:2:\"GA\";s:5:\"Gabon\";s:2:\"GM\";s:6:\"Gambia\";s:2:\"GE\";s:7:\"Georgia\";s:2:\"DE\";s:7:\"Germany\";s:2:\"GH\";s:5:\"Ghana\";s:2:\"GI\";s:9:\"Gibraltar\";s:6:\"Greece\";a:13:{s:4:\"GR:I\";s:27:\"Greece &mdash; Αττική\";s:4:\"GR:A\";s:70:\"Greece &mdash; Ανατολική Μακεδονία και Θράκη\";s:4:\"GR:B\";s:50:\"Greece &mdash; Κεντρική Μακεδονία\";s:4:\"GR:C\";s:46:\"Greece &mdash; Δυτική Μακεδονία\";s:4:\"GR:D\";s:29:\"Greece &mdash; Ήπειρος\";s:4:\"GR:E\";s:31:\"Greece &mdash; Θεσσαλία\";s:4:\"GR:F\";s:38:\"Greece &mdash; Ιόνιοι Νήσοι\";s:4:\"GR:G\";s:40:\"Greece &mdash; Δυτική Ελλάδα\";s:4:\"GR:H\";s:40:\"Greece &mdash; Στερεά Ελλάδα\";s:4:\"GR:J\";s:39:\"Greece &mdash; Πελοπόννησος\";s:4:\"GR:K\";s:40:\"Greece &mdash; Βόρειο Αιγαίο\";s:4:\"GR:L\";s:38:\"Greece &mdash; Νότιο Αιγαίο\";s:4:\"GR:M\";s:25:\"Greece &mdash; Κρήτη\";}s:2:\"GR\";s:6:\"Greece\";s:2:\"GL\";s:9:\"Greenland\";s:2:\"GD\";s:7:\"Grenada\";s:2:\"GP\";s:10:\"Guadeloupe\";s:2:\"GU\";s:4:\"Guam\";s:2:\"GT\";s:9:\"Guatemala\";s:2:\"GG\";s:8:\"Guernsey\";s:2:\"GN\";s:6:\"Guinea\";s:2:\"GW\";s:13:\"Guinea-Bissau\";s:2:\"GY\";s:6:\"Guyana\";s:2:\"HT\";s:5:\"Haiti\";s:2:\"HM\";s:33:\"Heard Island and McDonald Islands\";s:2:\"HN\";s:8:\"Honduras\";s:9:\"Hong Kong\";a:3:{s:12:\"HK:HONG KONG\";s:34:\"Hong Kong &mdash; Hong Kong Island\";s:10:\"HK:KOWLOON\";s:25:\"Hong Kong &mdash; Kowloon\";s:18:\"HK:NEW TERRITORIES\";s:33:\"Hong Kong &mdash; New Territories\";}s:2:\"HK\";s:9:\"Hong Kong\";s:7:\"Hungary\";a:20:{s:5:\"HU:BK\";s:28:\"Hungary &mdash; Bács-Kiskun\";s:5:\"HU:BE\";s:23:\"Hungary &mdash; Békés\";s:5:\"HU:BA\";s:23:\"Hungary &mdash; Baranya\";s:5:\"HU:BZ\";s:38:\"Hungary &mdash; Borsod-Abaúj-Zemplén\";s:5:\"HU:BU\";s:24:\"Hungary &mdash; Budapest\";s:5:\"HU:CS\";s:25:\"Hungary &mdash; Csongrád\";s:5:\"HU:FE\";s:22:\"Hungary &mdash; Fejér\";s:5:\"HU:GS\";s:34:\"Hungary &mdash; Győr-Moson-Sopron\";s:5:\"HU:HB\";s:28:\"Hungary &mdash; Hajdú-Bihar\";s:5:\"HU:HE\";s:21:\"Hungary &mdash; Heves\";s:5:\"HU:JN\";s:37:\"Hungary &mdash; Jász-Nagykun-Szolnok\";s:5:\"HU:KE\";s:34:\"Hungary &mdash; Komárom-Esztergom\";s:5:\"HU:NO\";s:24:\"Hungary &mdash; Nógrád\";s:5:\"HU:PE\";s:20:\"Hungary &mdash; Pest\";s:5:\"HU:SO\";s:22:\"Hungary &mdash; Somogy\";s:5:\"HU:SZ\";s:39:\"Hungary &mdash; Szabolcs-Szatmár-Bereg\";s:5:\"HU:TO\";s:21:\"Hungary &mdash; Tolna\";s:5:\"HU:VA\";s:19:\"Hungary &mdash; Vas\";s:5:\"HU:VE\";s:25:\"Hungary &mdash; Veszprém\";s:5:\"HU:ZA\";s:20:\"Hungary &mdash; Zala\";}s:2:\"HU\";s:7:\"Hungary\";s:2:\"IS\";s:7:\"Iceland\";s:5:\"India\";a:36:{s:5:\"IN:AP\";s:28:\"India &mdash; Andhra Pradesh\";s:5:\"IN:AR\";s:31:\"India &mdash; Arunachal Pradesh\";s:5:\"IN:AS\";s:19:\"India &mdash; Assam\";s:5:\"IN:BR\";s:19:\"India &mdash; Bihar\";s:5:\"IN:CT\";s:26:\"India &mdash; Chhattisgarh\";s:5:\"IN:GA\";s:17:\"India &mdash; Goa\";s:5:\"IN:GJ\";s:21:\"India &mdash; Gujarat\";s:5:\"IN:HR\";s:21:\"India &mdash; Haryana\";s:5:\"IN:HP\";s:30:\"India &mdash; Himachal Pradesh\";s:5:\"IN:JK\";s:31:\"India &mdash; Jammu and Kashmir\";s:5:\"IN:JH\";s:23:\"India &mdash; Jharkhand\";s:5:\"IN:KA\";s:23:\"India &mdash; Karnataka\";s:5:\"IN:KL\";s:20:\"India &mdash; Kerala\";s:5:\"IN:MP\";s:28:\"India &mdash; Madhya Pradesh\";s:5:\"IN:MH\";s:25:\"India &mdash; Maharashtra\";s:5:\"IN:MN\";s:21:\"India &mdash; Manipur\";s:5:\"IN:ML\";s:23:\"India &mdash; Meghalaya\";s:5:\"IN:MZ\";s:21:\"India &mdash; Mizoram\";s:5:\"IN:NL\";s:22:\"India &mdash; Nagaland\";s:5:\"IN:OR\";s:20:\"India &mdash; Orissa\";s:5:\"IN:PB\";s:20:\"India &mdash; Punjab\";s:5:\"IN:RJ\";s:23:\"India &mdash; Rajasthan\";s:5:\"IN:SK\";s:20:\"India &mdash; Sikkim\";s:5:\"IN:TN\";s:24:\"India &mdash; Tamil Nadu\";s:5:\"IN:TS\";s:23:\"India &mdash; Telangana\";s:5:\"IN:TR\";s:21:\"India &mdash; Tripura\";s:5:\"IN:UK\";s:25:\"India &mdash; Uttarakhand\";s:5:\"IN:UP\";s:27:\"India &mdash; Uttar Pradesh\";s:5:\"IN:WB\";s:25:\"India &mdash; West Bengal\";s:5:\"IN:AN\";s:41:\"India &mdash; Andaman and Nicobar Islands\";s:5:\"IN:CH\";s:24:\"India &mdash; Chandigarh\";s:5:\"IN:DN\";s:36:\"India &mdash; Dadra and Nagar Haveli\";s:5:\"IN:DD\";s:27:\"India &mdash; Daman and Diu\";s:5:\"IN:DL\";s:19:\"India &mdash; Delhi\";s:5:\"IN:LD\";s:24:\"India &mdash; Lakshadeep\";s:5:\"IN:PY\";s:38:\"India &mdash; Pondicherry (Puducherry)\";}s:2:\"IN\";s:5:\"India\";s:9:\"Indonesia\";a:34:{s:5:\"ID:AC\";s:38:\"Indonesia &mdash; Daerah Istimewa Aceh\";s:5:\"ID:SU\";s:32:\"Indonesia &mdash; Sumatera Utara\";s:5:\"ID:SB\";s:32:\"Indonesia &mdash; Sumatera Barat\";s:5:\"ID:RI\";s:22:\"Indonesia &mdash; Riau\";s:5:\"ID:KR\";s:32:\"Indonesia &mdash; Kepulauan Riau\";s:5:\"ID:JA\";s:23:\"Indonesia &mdash; Jambi\";s:5:\"ID:SS\";s:34:\"Indonesia &mdash; Sumatera Selatan\";s:5:\"ID:BB\";s:33:\"Indonesia &mdash; Bangka Belitung\";s:5:\"ID:BE\";s:26:\"Indonesia &mdash; Bengkulu\";s:5:\"ID:LA\";s:25:\"Indonesia &mdash; Lampung\";s:5:\"ID:JK\";s:29:\"Indonesia &mdash; DKI Jakarta\";s:5:\"ID:JB\";s:28:\"Indonesia &mdash; Jawa Barat\";s:5:\"ID:BT\";s:24:\"Indonesia &mdash; Banten\";s:5:\"ID:JT\";s:29:\"Indonesia &mdash; Jawa Tengah\";s:5:\"ID:JI\";s:28:\"Indonesia &mdash; Jawa Timur\";s:5:\"ID:YO\";s:44:\"Indonesia &mdash; Daerah Istimewa Yogyakarta\";s:5:\"ID:BA\";s:22:\"Indonesia &mdash; Bali\";s:5:\"ID:NB\";s:37:\"Indonesia &mdash; Nusa Tenggara Barat\";s:5:\"ID:NT\";s:37:\"Indonesia &mdash; Nusa Tenggara Timur\";s:5:\"ID:KB\";s:34:\"Indonesia &mdash; Kalimantan Barat\";s:5:\"ID:KT\";s:35:\"Indonesia &mdash; Kalimantan Tengah\";s:5:\"ID:KI\";s:34:\"Indonesia &mdash; Kalimantan Timur\";s:5:\"ID:KS\";s:36:\"Indonesia &mdash; Kalimantan Selatan\";s:5:\"ID:KU\";s:34:\"Indonesia &mdash; Kalimantan Utara\";s:5:\"ID:SA\";s:32:\"Indonesia &mdash; Sulawesi Utara\";s:5:\"ID:ST\";s:33:\"Indonesia &mdash; Sulawesi Tengah\";s:5:\"ID:SG\";s:35:\"Indonesia &mdash; Sulawesi Tenggara\";s:5:\"ID:SR\";s:32:\"Indonesia &mdash; Sulawesi Barat\";s:5:\"ID:SN\";s:34:\"Indonesia &mdash; Sulawesi Selatan\";s:5:\"ID:GO\";s:27:\"Indonesia &mdash; Gorontalo\";s:5:\"ID:MA\";s:24:\"Indonesia &mdash; Maluku\";s:5:\"ID:MU\";s:30:\"Indonesia &mdash; Maluku Utara\";s:5:\"ID:PA\";s:23:\"Indonesia &mdash; Papua\";s:5:\"ID:PB\";s:29:\"Indonesia &mdash; Papua Barat\";}s:2:\"ID\";s:9:\"Indonesia\";s:4:\"Iran\";a:31:{s:6:\"IR:KHZ\";s:40:\"Iran &mdash; Khuzestan  (خوزستان)\";s:6:\"IR:THR\";s:33:\"Iran &mdash; Tehran  (تهران)\";s:6:\"IR:ILM\";s:31:\"Iran &mdash; Ilaam (ایلام)\";s:6:\"IR:BHR\";s:33:\"Iran &mdash; Bushehr (بوشهر)\";s:6:\"IR:ADL\";s:35:\"Iran &mdash; Ardabil (اردبیل)\";s:6:\"IR:ESF\";s:35:\"Iran &mdash; Isfahan (اصفهان)\";s:6:\"IR:YZD\";s:26:\"Iran &mdash; Yazd (یزد)\";s:6:\"IR:KRH\";s:42:\"Iran &mdash; Kermanshah (کرمانشاه)\";s:6:\"IR:KRN\";s:32:\"Iran &mdash; Kerman (کرمان)\";s:6:\"IR:HDN\";s:33:\"Iran &mdash; Hamadan (همدان)\";s:6:\"IR:GZN\";s:33:\"Iran &mdash; Ghazvin (قزوین)\";s:6:\"IR:ZJN\";s:32:\"Iran &mdash; Zanjan (زنجان)\";s:6:\"IR:LRS\";s:36:\"Iran &mdash; Luristan (لرستان)\";s:6:\"IR:ABZ\";s:32:\"Iran &mdash; Alborz (البرز)\";s:6:\"IR:EAZ\";s:58:\"Iran &mdash; East Azarbaijan (آذربایجان شرقی)\";s:6:\"IR:WAZ\";s:58:\"Iran &mdash; West Azarbaijan (آذربایجان غربی)\";s:6:\"IR:CHB\";s:75:\"Iran &mdash; Chaharmahal and Bakhtiari (چهارمحال و بختیاری)\";s:6:\"IR:SKH\";s:53:\"Iran &mdash; South Khorasan (خراسان جنوبی)\";s:6:\"IR:RKH\";s:52:\"Iran &mdash; Razavi Khorasan (خراسان رضوی)\";s:6:\"IR:NKH\";s:53:\"Iran &mdash; North Khorasan (خراسان شمالی)\";s:6:\"IR:SMN\";s:32:\"Iran &mdash; Semnan (سمنان)\";s:6:\"IR:FRS\";s:28:\"Iran &mdash; Fars (فارس)\";s:6:\"IR:QHM\";s:23:\"Iran &mdash; Qom (قم)\";s:6:\"IR:KRD\";s:40:\"Iran &mdash; Kurdistan / کردستان)\";s:6:\"IR:KBD\";s:79:\"Iran &mdash; Kohgiluyeh and BoyerAhmad (کهگیلوییه و بویراحمد)\";s:6:\"IR:GLS\";s:36:\"Iran &mdash; Golestan (گلستان)\";s:6:\"IR:GIL\";s:31:\"Iran &mdash; Gilan (گیلان)\";s:6:\"IR:MZN\";s:42:\"Iran &mdash; Mazandaran (مازندران)\";s:6:\"IR:MKZ\";s:33:\"Iran &mdash; Markazi (مرکزی)\";s:6:\"IR:HRZ\";s:39:\"Iran &mdash; Hormozgan (هرمزگان)\";s:6:\"IR:SBN\";s:70:\"Iran &mdash; Sistan and Baluchestan (سیستان و بلوچستان)\";}s:2:\"IR\";s:4:\"Iran\";s:2:\"IQ\";s:4:\"Iraq\";s:7:\"Ireland\";a:26:{s:5:\"IE:CW\";s:22:\"Ireland &mdash; Carlow\";s:5:\"IE:CN\";s:21:\"Ireland &mdash; Cavan\";s:5:\"IE:CE\";s:21:\"Ireland &mdash; Clare\";s:5:\"IE:CO\";s:20:\"Ireland &mdash; Cork\";s:5:\"IE:DL\";s:23:\"Ireland &mdash; Donegal\";s:4:\"IE:D\";s:22:\"Ireland &mdash; Dublin\";s:4:\"IE:G\";s:22:\"Ireland &mdash; Galway\";s:5:\"IE:KY\";s:21:\"Ireland &mdash; Kerry\";s:5:\"IE:KE\";s:23:\"Ireland &mdash; Kildare\";s:5:\"IE:KK\";s:24:\"Ireland &mdash; Kilkenny\";s:5:\"IE:LS\";s:21:\"Ireland &mdash; Laois\";s:5:\"IE:LM\";s:23:\"Ireland &mdash; Leitrim\";s:5:\"IE:LK\";s:24:\"Ireland &mdash; Limerick\";s:5:\"IE:LD\";s:24:\"Ireland &mdash; Longford\";s:5:\"IE:LH\";s:21:\"Ireland &mdash; Louth\";s:5:\"IE:MO\";s:20:\"Ireland &mdash; Mayo\";s:5:\"IE:MH\";s:21:\"Ireland &mdash; Meath\";s:5:\"IE:MN\";s:24:\"Ireland &mdash; Monaghan\";s:5:\"IE:OY\";s:22:\"Ireland &mdash; Offaly\";s:5:\"IE:RN\";s:25:\"Ireland &mdash; Roscommon\";s:5:\"IE:SO\";s:21:\"Ireland &mdash; Sligo\";s:5:\"IE:TA\";s:25:\"Ireland &mdash; Tipperary\";s:5:\"IE:WD\";s:25:\"Ireland &mdash; Waterford\";s:5:\"IE:WH\";s:25:\"Ireland &mdash; Westmeath\";s:5:\"IE:WX\";s:23:\"Ireland &mdash; Wexford\";s:5:\"IE:WW\";s:23:\"Ireland &mdash; Wicklow\";}s:2:\"IE\";s:7:\"Ireland\";s:2:\"IM\";s:11:\"Isle of Man\";s:2:\"IL\";s:6:\"Israel\";s:5:\"Italy\";a:107:{s:5:\"IT:AG\";s:23:\"Italy &mdash; Agrigento\";s:5:\"IT:AL\";s:25:\"Italy &mdash; Alessandria\";s:5:\"IT:AN\";s:20:\"Italy &mdash; Ancona\";s:5:\"IT:AO\";s:19:\"Italy &mdash; Aosta\";s:5:\"IT:AR\";s:20:\"Italy &mdash; Arezzo\";s:5:\"IT:AP\";s:27:\"Italy &mdash; Ascoli Piceno\";s:5:\"IT:AT\";s:18:\"Italy &mdash; Asti\";s:5:\"IT:AV\";s:22:\"Italy &mdash; Avellino\";s:5:\"IT:BA\";s:18:\"Italy &mdash; Bari\";s:5:\"IT:BT\";s:35:\"Italy &mdash; Barletta-Andria-Trani\";s:5:\"IT:BL\";s:21:\"Italy &mdash; Belluno\";s:5:\"IT:BN\";s:23:\"Italy &mdash; Benevento\";s:5:\"IT:BG\";s:21:\"Italy &mdash; Bergamo\";s:5:\"IT:BI\";s:20:\"Italy &mdash; Biella\";s:5:\"IT:BO\";s:21:\"Italy &mdash; Bologna\";s:5:\"IT:BZ\";s:21:\"Italy &mdash; Bolzano\";s:5:\"IT:BS\";s:21:\"Italy &mdash; Brescia\";s:5:\"IT:BR\";s:22:\"Italy &mdash; Brindisi\";s:5:\"IT:CA\";s:22:\"Italy &mdash; Cagliari\";s:5:\"IT:CL\";s:27:\"Italy &mdash; Caltanissetta\";s:5:\"IT:CB\";s:24:\"Italy &mdash; Campobasso\";s:5:\"IT:CE\";s:21:\"Italy &mdash; Caserta\";s:5:\"IT:CT\";s:21:\"Italy &mdash; Catania\";s:5:\"IT:CZ\";s:23:\"Italy &mdash; Catanzaro\";s:5:\"IT:CH\";s:20:\"Italy &mdash; Chieti\";s:5:\"IT:CO\";s:18:\"Italy &mdash; Como\";s:5:\"IT:CS\";s:21:\"Italy &mdash; Cosenza\";s:5:\"IT:CR\";s:21:\"Italy &mdash; Cremona\";s:5:\"IT:KR\";s:21:\"Italy &mdash; Crotone\";s:5:\"IT:CN\";s:19:\"Italy &mdash; Cuneo\";s:5:\"IT:EN\";s:18:\"Italy &mdash; Enna\";s:5:\"IT:FM\";s:19:\"Italy &mdash; Fermo\";s:5:\"IT:FE\";s:21:\"Italy &mdash; Ferrara\";s:5:\"IT:FI\";s:21:\"Italy &mdash; Firenze\";s:5:\"IT:FG\";s:20:\"Italy &mdash; Foggia\";s:5:\"IT:FC\";s:27:\"Italy &mdash; Forlì-Cesena\";s:5:\"IT:FR\";s:23:\"Italy &mdash; Frosinone\";s:5:\"IT:GE\";s:20:\"Italy &mdash; Genova\";s:5:\"IT:GO\";s:21:\"Italy &mdash; Gorizia\";s:5:\"IT:GR\";s:22:\"Italy &mdash; Grosseto\";s:5:\"IT:IM\";s:21:\"Italy &mdash; Imperia\";s:5:\"IT:IS\";s:21:\"Italy &mdash; Isernia\";s:5:\"IT:SP\";s:23:\"Italy &mdash; La Spezia\";s:5:\"IT:AQ\";s:22:\"Italy &mdash; L\'Aquila\";s:5:\"IT:LT\";s:20:\"Italy &mdash; Latina\";s:5:\"IT:LE\";s:19:\"Italy &mdash; Lecce\";s:5:\"IT:LC\";s:19:\"Italy &mdash; Lecco\";s:5:\"IT:LI\";s:21:\"Italy &mdash; Livorno\";s:5:\"IT:LO\";s:18:\"Italy &mdash; Lodi\";s:5:\"IT:LU\";s:19:\"Italy &mdash; Lucca\";s:5:\"IT:MC\";s:22:\"Italy &mdash; Macerata\";s:5:\"IT:MN\";s:21:\"Italy &mdash; Mantova\";s:5:\"IT:MS\";s:27:\"Italy &mdash; Massa-Carrara\";s:5:\"IT:MT\";s:20:\"Italy &mdash; Matera\";s:5:\"IT:ME\";s:21:\"Italy &mdash; Messina\";s:5:\"IT:MI\";s:20:\"Italy &mdash; Milano\";s:5:\"IT:MO\";s:20:\"Italy &mdash; Modena\";s:5:\"IT:MB\";s:35:\"Italy &mdash; Monza e della Brianza\";s:5:\"IT:NA\";s:20:\"Italy &mdash; Napoli\";s:5:\"IT:NO\";s:20:\"Italy &mdash; Novara\";s:5:\"IT:NU\";s:19:\"Italy &mdash; Nuoro\";s:5:\"IT:OR\";s:22:\"Italy &mdash; Oristano\";s:5:\"IT:PD\";s:20:\"Italy &mdash; Padova\";s:5:\"IT:PA\";s:21:\"Italy &mdash; Palermo\";s:5:\"IT:PR\";s:19:\"Italy &mdash; Parma\";s:5:\"IT:PV\";s:19:\"Italy &mdash; Pavia\";s:5:\"IT:PG\";s:21:\"Italy &mdash; Perugia\";s:5:\"IT:PU\";s:29:\"Italy &mdash; Pesaro e Urbino\";s:5:\"IT:PE\";s:21:\"Italy &mdash; Pescara\";s:5:\"IT:PC\";s:22:\"Italy &mdash; Piacenza\";s:5:\"IT:PI\";s:18:\"Italy &mdash; Pisa\";s:5:\"IT:PT\";s:21:\"Italy &mdash; Pistoia\";s:5:\"IT:PN\";s:23:\"Italy &mdash; Pordenone\";s:5:\"IT:PZ\";s:21:\"Italy &mdash; Potenza\";s:5:\"IT:PO\";s:19:\"Italy &mdash; Prato\";s:5:\"IT:RG\";s:20:\"Italy &mdash; Ragusa\";s:5:\"IT:RA\";s:21:\"Italy &mdash; Ravenna\";s:5:\"IT:RC\";s:29:\"Italy &mdash; Reggio Calabria\";s:5:\"IT:RE\";s:27:\"Italy &mdash; Reggio Emilia\";s:5:\"IT:RI\";s:19:\"Italy &mdash; Rieti\";s:5:\"IT:RN\";s:20:\"Italy &mdash; Rimini\";s:5:\"IT:RM\";s:18:\"Italy &mdash; Roma\";s:5:\"IT:RO\";s:20:\"Italy &mdash; Rovigo\";s:5:\"IT:SA\";s:21:\"Italy &mdash; Salerno\";s:5:\"IT:SS\";s:21:\"Italy &mdash; Sassari\";s:5:\"IT:SV\";s:20:\"Italy &mdash; Savona\";s:5:\"IT:SI\";s:19:\"Italy &mdash; Siena\";s:5:\"IT:SR\";s:22:\"Italy &mdash; Siracusa\";s:5:\"IT:SO\";s:21:\"Italy &mdash; Sondrio\";s:5:\"IT:SU\";s:26:\"Italy &mdash; Sud Sardegna\";s:5:\"IT:TA\";s:21:\"Italy &mdash; Taranto\";s:5:\"IT:TE\";s:20:\"Italy &mdash; Teramo\";s:5:\"IT:TR\";s:19:\"Italy &mdash; Terni\";s:5:\"IT:TO\";s:20:\"Italy &mdash; Torino\";s:5:\"IT:TP\";s:21:\"Italy &mdash; Trapani\";s:5:\"IT:TN\";s:20:\"Italy &mdash; Trento\";s:5:\"IT:TV\";s:21:\"Italy &mdash; Treviso\";s:5:\"IT:TS\";s:21:\"Italy &mdash; Trieste\";s:5:\"IT:UD\";s:19:\"Italy &mdash; Udine\";s:5:\"IT:VA\";s:20:\"Italy &mdash; Varese\";s:5:\"IT:VE\";s:21:\"Italy &mdash; Venezia\";s:5:\"IT:VB\";s:34:\"Italy &mdash; Verbano-Cusio-Ossola\";s:5:\"IT:VC\";s:22:\"Italy &mdash; Vercelli\";s:5:\"IT:VR\";s:20:\"Italy &mdash; Verona\";s:5:\"IT:VV\";s:27:\"Italy &mdash; Vibo Valentia\";s:5:\"IT:VI\";s:21:\"Italy &mdash; Vicenza\";s:5:\"IT:VT\";s:21:\"Italy &mdash; Viterbo\";}s:2:\"IT\";s:5:\"Italy\";s:2:\"CI\";s:11:\"Ivory Coast\";s:2:\"JM\";s:7:\"Jamaica\";s:5:\"Japan\";a:47:{s:7:\"JP:JP01\";s:22:\"Japan &mdash; Hokkaido\";s:7:\"JP:JP02\";s:20:\"Japan &mdash; Aomori\";s:7:\"JP:JP03\";s:19:\"Japan &mdash; Iwate\";s:7:\"JP:JP04\";s:20:\"Japan &mdash; Miyagi\";s:7:\"JP:JP05\";s:19:\"Japan &mdash; Akita\";s:7:\"JP:JP06\";s:22:\"Japan &mdash; Yamagata\";s:7:\"JP:JP07\";s:23:\"Japan &mdash; Fukushima\";s:7:\"JP:JP08\";s:21:\"Japan &mdash; Ibaraki\";s:7:\"JP:JP09\";s:21:\"Japan &mdash; Tochigi\";s:7:\"JP:JP10\";s:19:\"Japan &mdash; Gunma\";s:7:\"JP:JP11\";s:21:\"Japan &mdash; Saitama\";s:7:\"JP:JP12\";s:19:\"Japan &mdash; Chiba\";s:7:\"JP:JP13\";s:19:\"Japan &mdash; Tokyo\";s:7:\"JP:JP14\";s:22:\"Japan &mdash; Kanagawa\";s:7:\"JP:JP15\";s:21:\"Japan &mdash; Niigata\";s:7:\"JP:JP16\";s:20:\"Japan &mdash; Toyama\";s:7:\"JP:JP17\";s:22:\"Japan &mdash; Ishikawa\";s:7:\"JP:JP18\";s:19:\"Japan &mdash; Fukui\";s:7:\"JP:JP19\";s:23:\"Japan &mdash; Yamanashi\";s:7:\"JP:JP20\";s:20:\"Japan &mdash; Nagano\";s:7:\"JP:JP21\";s:18:\"Japan &mdash; Gifu\";s:7:\"JP:JP22\";s:22:\"Japan &mdash; Shizuoka\";s:7:\"JP:JP23\";s:19:\"Japan &mdash; Aichi\";s:7:\"JP:JP24\";s:17:\"Japan &mdash; Mie\";s:7:\"JP:JP25\";s:19:\"Japan &mdash; Shiga\";s:7:\"JP:JP26\";s:19:\"Japan &mdash; Kyoto\";s:7:\"JP:JP27\";s:19:\"Japan &mdash; Osaka\";s:7:\"JP:JP28\";s:19:\"Japan &mdash; Hyogo\";s:7:\"JP:JP29\";s:18:\"Japan &mdash; Nara\";s:7:\"JP:JP30\";s:22:\"Japan &mdash; Wakayama\";s:7:\"JP:JP31\";s:21:\"Japan &mdash; Tottori\";s:7:\"JP:JP32\";s:21:\"Japan &mdash; Shimane\";s:7:\"JP:JP33\";s:21:\"Japan &mdash; Okayama\";s:7:\"JP:JP34\";s:23:\"Japan &mdash; Hiroshima\";s:7:\"JP:JP35\";s:23:\"Japan &mdash; Yamaguchi\";s:7:\"JP:JP36\";s:23:\"Japan &mdash; Tokushima\";s:7:\"JP:JP37\";s:20:\"Japan &mdash; Kagawa\";s:7:\"JP:JP38\";s:19:\"Japan &mdash; Ehime\";s:7:\"JP:JP39\";s:19:\"Japan &mdash; Kochi\";s:7:\"JP:JP40\";s:21:\"Japan &mdash; Fukuoka\";s:7:\"JP:JP41\";s:18:\"Japan &mdash; Saga\";s:7:\"JP:JP42\";s:22:\"Japan &mdash; Nagasaki\";s:7:\"JP:JP43\";s:22:\"Japan &mdash; Kumamoto\";s:7:\"JP:JP44\";s:18:\"Japan &mdash; Oita\";s:7:\"JP:JP45\";s:22:\"Japan &mdash; Miyazaki\";s:7:\"JP:JP46\";s:23:\"Japan &mdash; Kagoshima\";s:7:\"JP:JP47\";s:21:\"Japan &mdash; Okinawa\";}s:2:\"JP\";s:5:\"Japan\";s:2:\"JE\";s:6:\"Jersey\";s:2:\"JO\";s:6:\"Jordan\";s:2:\"KZ\";s:10:\"Kazakhstan\";s:2:\"KE\";s:5:\"Kenya\";s:2:\"KI\";s:8:\"Kiribati\";s:2:\"KW\";s:6:\"Kuwait\";s:2:\"KG\";s:10:\"Kyrgyzstan\";s:2:\"LA\";s:4:\"Laos\";s:2:\"LV\";s:6:\"Latvia\";s:2:\"LB\";s:7:\"Lebanon\";s:2:\"LS\";s:7:\"Lesotho\";s:7:\"Liberia\";a:15:{s:5:\"LR:BM\";s:20:\"Liberia &mdash; Bomi\";s:5:\"LR:BN\";s:20:\"Liberia &mdash; Bong\";s:5:\"LR:GA\";s:24:\"Liberia &mdash; Gbarpolu\";s:5:\"LR:GB\";s:27:\"Liberia &mdash; Grand Bassa\";s:5:\"LR:GC\";s:32:\"Liberia &mdash; Grand Cape Mount\";s:5:\"LR:GG\";s:27:\"Liberia &mdash; Grand Gedeh\";s:5:\"LR:GK\";s:25:\"Liberia &mdash; Grand Kru\";s:5:\"LR:LO\";s:20:\"Liberia &mdash; Lofa\";s:5:\"LR:MA\";s:23:\"Liberia &mdash; Margibi\";s:5:\"LR:MY\";s:24:\"Liberia &mdash; Maryland\";s:5:\"LR:MO\";s:27:\"Liberia &mdash; Montserrado\";s:5:\"LR:NM\";s:21:\"Liberia &mdash; Nimba\";s:5:\"LR:RV\";s:25:\"Liberia &mdash; Rivercess\";s:5:\"LR:RG\";s:25:\"Liberia &mdash; River Gee\";s:5:\"LR:SN\";s:21:\"Liberia &mdash; Sinoe\";}s:2:\"LR\";s:7:\"Liberia\";s:2:\"LY\";s:5:\"Libya\";s:2:\"LI\";s:13:\"Liechtenstein\";s:2:\"LT\";s:9:\"Lithuania\";s:2:\"LU\";s:10:\"Luxembourg\";s:2:\"MO\";s:19:\"Macao S.A.R., China\";s:2:\"MG\";s:10:\"Madagascar\";s:2:\"MW\";s:6:\"Malawi\";s:8:\"Malaysia\";a:16:{s:6:\"MY:JHR\";s:22:\"Malaysia &mdash; Johor\";s:6:\"MY:KDH\";s:22:\"Malaysia &mdash; Kedah\";s:6:\"MY:KTN\";s:25:\"Malaysia &mdash; Kelantan\";s:6:\"MY:LBN\";s:23:\"Malaysia &mdash; Labuan\";s:6:\"MY:MLK\";s:33:\"Malaysia &mdash; Malacca (Melaka)\";s:6:\"MY:NSN\";s:32:\"Malaysia &mdash; Negeri Sembilan\";s:6:\"MY:PHG\";s:23:\"Malaysia &mdash; Pahang\";s:6:\"MY:PNG\";s:38:\"Malaysia &mdash; Penang (Pulau Pinang)\";s:6:\"MY:PRK\";s:22:\"Malaysia &mdash; Perak\";s:6:\"MY:PLS\";s:23:\"Malaysia &mdash; Perlis\";s:6:\"MY:SBH\";s:22:\"Malaysia &mdash; Sabah\";s:6:\"MY:SWK\";s:24:\"Malaysia &mdash; Sarawak\";s:6:\"MY:SGR\";s:25:\"Malaysia &mdash; Selangor\";s:6:\"MY:TRG\";s:27:\"Malaysia &mdash; Terengganu\";s:6:\"MY:PJY\";s:26:\"Malaysia &mdash; Putrajaya\";s:6:\"MY:KUL\";s:29:\"Malaysia &mdash; Kuala Lumpur\";}s:2:\"MY\";s:8:\"Malaysia\";s:2:\"MV\";s:8:\"Maldives\";s:2:\"ML\";s:4:\"Mali\";s:2:\"MT\";s:5:\"Malta\";s:2:\"MH\";s:16:\"Marshall Islands\";s:2:\"MQ\";s:10:\"Martinique\";s:2:\"MR\";s:10:\"Mauritania\";s:2:\"MU\";s:9:\"Mauritius\";s:2:\"YT\";s:7:\"Mayotte\";s:6:\"Mexico\";a:32:{s:5:\"MX:DF\";s:38:\"Mexico &mdash; Ciudad de M&eacute;xico\";s:5:\"MX:JA\";s:22:\"Mexico &mdash; Jalisco\";s:5:\"MX:NL\";s:32:\"Mexico &mdash; Nuevo Le&oacute;n\";s:5:\"MX:AG\";s:29:\"Mexico &mdash; Aguascalientes\";s:5:\"MX:BC\";s:30:\"Mexico &mdash; Baja California\";s:5:\"MX:BS\";s:34:\"Mexico &mdash; Baja California Sur\";s:5:\"MX:CM\";s:23:\"Mexico &mdash; Campeche\";s:5:\"MX:CS\";s:22:\"Mexico &mdash; Chiapas\";s:5:\"MX:CH\";s:24:\"Mexico &mdash; Chihuahua\";s:5:\"MX:CO\";s:23:\"Mexico &mdash; Coahuila\";s:5:\"MX:CL\";s:21:\"Mexico &mdash; Colima\";s:5:\"MX:DG\";s:22:\"Mexico &mdash; Durango\";s:5:\"MX:GT\";s:25:\"Mexico &mdash; Guanajuato\";s:5:\"MX:GR\";s:23:\"Mexico &mdash; Guerrero\";s:5:\"MX:HG\";s:22:\"Mexico &mdash; Hidalgo\";s:5:\"MX:MX\";s:38:\"Mexico &mdash; Estado de M&eacute;xico\";s:5:\"MX:MI\";s:31:\"Mexico &mdash; Michoac&aacute;n\";s:5:\"MX:MO\";s:22:\"Mexico &mdash; Morelos\";s:5:\"MX:NA\";s:22:\"Mexico &mdash; Nayarit\";s:5:\"MX:OA\";s:21:\"Mexico &mdash; Oaxaca\";s:5:\"MX:PU\";s:21:\"Mexico &mdash; Puebla\";s:5:\"MX:QT\";s:31:\"Mexico &mdash; Quer&eacute;taro\";s:5:\"MX:QR\";s:27:\"Mexico &mdash; Quintana Roo\";s:5:\"MX:SL\";s:37:\"Mexico &mdash; San Luis Potos&iacute;\";s:5:\"MX:SI\";s:22:\"Mexico &mdash; Sinaloa\";s:5:\"MX:SO\";s:21:\"Mexico &mdash; Sonora\";s:5:\"MX:TB\";s:22:\"Mexico &mdash; Tabasco\";s:5:\"MX:TM\";s:25:\"Mexico &mdash; Tamaulipas\";s:5:\"MX:TL\";s:23:\"Mexico &mdash; Tlaxcala\";s:5:\"MX:VE\";s:23:\"Mexico &mdash; Veracruz\";s:5:\"MX:YU\";s:29:\"Mexico &mdash; Yucat&aacute;n\";s:5:\"MX:ZA\";s:24:\"Mexico &mdash; Zacatecas\";}s:2:\"MX\";s:6:\"Mexico\";s:2:\"FM\";s:10:\"Micronesia\";s:7:\"Moldova\";a:35:{s:4:\"MD:C\";s:34:\"Moldova &mdash; Chi&#537;in&#259;u\";s:5:\"MD:BL\";s:31:\"Moldova &mdash; B&#259;l&#539;i\";s:5:\"MD:AN\";s:26:\"Moldova &mdash; Anenii Noi\";s:5:\"MD:BS\";s:28:\"Moldova &mdash; Basarabeasca\";s:5:\"MD:BR\";s:23:\"Moldova &mdash; Briceni\";s:5:\"MD:CH\";s:21:\"Moldova &mdash; Cahul\";s:5:\"MD:CT\";s:24:\"Moldova &mdash; Cantemir\";s:5:\"MD:CL\";s:39:\"Moldova &mdash; C&#259;l&#259;ra&#537;i\";s:5:\"MD:CS\";s:33:\"Moldova &mdash; C&#259;u&#537;eni\";s:5:\"MD:CM\";s:29:\"Moldova &mdash; Cimi&#537;lia\";s:5:\"MD:CR\";s:24:\"Moldova &mdash; Criuleni\";s:5:\"MD:DN\";s:30:\"Moldova &mdash; Dondu&#537;eni\";s:5:\"MD:DR\";s:23:\"Moldova &mdash; Drochia\";s:5:\"MD:DB\";s:29:\"Moldova &mdash; Dub&#259;sari\";s:5:\"MD:ED\";s:27:\"Moldova &mdash; Edine&#539;\";s:5:\"MD:FL\";s:33:\"Moldova &mdash; F&#259;le&#537;ti\";s:5:\"MD:FR\";s:29:\"Moldova &mdash; Flore&#537;ti\";s:5:\"MD:GE\";s:38:\"Moldova &mdash; UTA G&#259;g&#259;uzia\";s:5:\"MD:GL\";s:23:\"Moldova &mdash; Glodeni\";s:5:\"MD:HN\";s:35:\"Moldova &mdash; H&icirc;nce&#537;ti\";s:5:\"MD:IL\";s:24:\"Moldova &mdash; Ialoveni\";s:5:\"MD:LV\";s:21:\"Moldova &mdash; Leova\";s:5:\"MD:NS\";s:25:\"Moldova &mdash; Nisporeni\";s:5:\"MD:OC\";s:27:\"Moldova &mdash; Ocni&#539;a\";s:5:\"MD:OR\";s:21:\"Moldova &mdash; Orhei\";s:5:\"MD:RZ\";s:22:\"Moldova &mdash; Rezina\";s:5:\"MD:RS\";s:34:\"Moldova &mdash; R&icirc;&#537;cani\";s:5:\"MD:SG\";s:30:\"Moldova &mdash; S&icirc;ngerei\";s:5:\"MD:SR\";s:22:\"Moldova &mdash; Soroca\";s:5:\"MD:ST\";s:34:\"Moldova &mdash; Str&#259;&#537;eni\";s:5:\"MD:SD\";s:41:\"Moldova &mdash; &#536;old&#259;ne&#537;ti\";s:5:\"MD:SV\";s:37:\"Moldova &mdash; &#536;tefan Vod&#259;\";s:5:\"MD:TR\";s:24:\"Moldova &mdash; Taraclia\";s:5:\"MD:TL\";s:30:\"Moldova &mdash; Telene&#537;ti\";s:5:\"MD:UN\";s:23:\"Moldova &mdash; Ungheni\";}s:2:\"MD\";s:7:\"Moldova\";s:2:\"MC\";s:6:\"Monaco\";s:2:\"MN\";s:8:\"Mongolia\";s:2:\"ME\";s:10:\"Montenegro\";s:2:\"MS\";s:10:\"Montserrat\";s:2:\"MA\";s:7:\"Morocco\";s:2:\"MZ\";s:10:\"Mozambique\";s:2:\"MM\";s:7:\"Myanmar\";s:2:\"NA\";s:7:\"Namibia\";s:2:\"NR\";s:5:\"Nauru\";s:5:\"Nepal\";a:14:{s:6:\"NP:BAG\";s:21:\"Nepal &mdash; Bagmati\";s:6:\"NP:BHE\";s:19:\"Nepal &mdash; Bheri\";s:6:\"NP:DHA\";s:24:\"Nepal &mdash; Dhaulagiri\";s:6:\"NP:GAN\";s:21:\"Nepal &mdash; Gandaki\";s:6:\"NP:JAN\";s:22:\"Nepal &mdash; Janakpur\";s:6:\"NP:KAR\";s:21:\"Nepal &mdash; Karnali\";s:6:\"NP:KOS\";s:19:\"Nepal &mdash; Koshi\";s:6:\"NP:LUM\";s:21:\"Nepal &mdash; Lumbini\";s:6:\"NP:MAH\";s:22:\"Nepal &mdash; Mahakali\";s:6:\"NP:MEC\";s:19:\"Nepal &mdash; Mechi\";s:6:\"NP:NAR\";s:22:\"Nepal &mdash; Narayani\";s:6:\"NP:RAP\";s:19:\"Nepal &mdash; Rapti\";s:6:\"NP:SAG\";s:24:\"Nepal &mdash; Sagarmatha\";s:6:\"NP:SET\";s:18:\"Nepal &mdash; Seti\";}s:2:\"NP\";s:5:\"Nepal\";s:2:\"NL\";s:11:\"Netherlands\";s:2:\"NC\";s:13:\"New Caledonia\";s:11:\"New Zealand\";a:16:{s:5:\"NZ:NL\";s:29:\"New Zealand &mdash; Northland\";s:5:\"NZ:AK\";s:28:\"New Zealand &mdash; Auckland\";s:5:\"NZ:WA\";s:27:\"New Zealand &mdash; Waikato\";s:5:\"NZ:BP\";s:33:\"New Zealand &mdash; Bay of Plenty\";s:5:\"NZ:TK\";s:28:\"New Zealand &mdash; Taranaki\";s:5:\"NZ:GI\";s:28:\"New Zealand &mdash; Gisborne\";s:5:\"NZ:HB\";s:37:\"New Zealand &mdash; Hawke&rsquo;s Bay\";s:5:\"NZ:MW\";s:37:\"New Zealand &mdash; Manawatu-Wanganui\";s:5:\"NZ:WE\";s:30:\"New Zealand &mdash; Wellington\";s:5:\"NZ:NS\";s:26:\"New Zealand &mdash; Nelson\";s:5:\"NZ:MB\";s:31:\"New Zealand &mdash; Marlborough\";s:5:\"NZ:TM\";s:26:\"New Zealand &mdash; Tasman\";s:5:\"NZ:WC\";s:30:\"New Zealand &mdash; West Coast\";s:5:\"NZ:CT\";s:30:\"New Zealand &mdash; Canterbury\";s:5:\"NZ:OT\";s:25:\"New Zealand &mdash; Otago\";s:5:\"NZ:SL\";s:29:\"New Zealand &mdash; Southland\";}s:2:\"NZ\";s:11:\"New Zealand\";s:2:\"NI\";s:9:\"Nicaragua\";s:2:\"NE\";s:5:\"Niger\";s:7:\"Nigeria\";a:37:{s:5:\"NG:AB\";s:20:\"Nigeria &mdash; Abia\";s:5:\"NG:FC\";s:21:\"Nigeria &mdash; Abuja\";s:5:\"NG:AD\";s:23:\"Nigeria &mdash; Adamawa\";s:5:\"NG:AK\";s:25:\"Nigeria &mdash; Akwa Ibom\";s:5:\"NG:AN\";s:23:\"Nigeria &mdash; Anambra\";s:5:\"NG:BA\";s:22:\"Nigeria &mdash; Bauchi\";s:5:\"NG:BY\";s:23:\"Nigeria &mdash; Bayelsa\";s:5:\"NG:BE\";s:21:\"Nigeria &mdash; Benue\";s:5:\"NG:BO\";s:21:\"Nigeria &mdash; Borno\";s:5:\"NG:CR\";s:27:\"Nigeria &mdash; Cross River\";s:5:\"NG:DE\";s:21:\"Nigeria &mdash; Delta\";s:5:\"NG:EB\";s:22:\"Nigeria &mdash; Ebonyi\";s:5:\"NG:ED\";s:19:\"Nigeria &mdash; Edo\";s:5:\"NG:EK\";s:21:\"Nigeria &mdash; Ekiti\";s:5:\"NG:EN\";s:21:\"Nigeria &mdash; Enugu\";s:5:\"NG:GO\";s:21:\"Nigeria &mdash; Gombe\";s:5:\"NG:IM\";s:19:\"Nigeria &mdash; Imo\";s:5:\"NG:JI\";s:22:\"Nigeria &mdash; Jigawa\";s:5:\"NG:KD\";s:22:\"Nigeria &mdash; Kaduna\";s:5:\"NG:KN\";s:20:\"Nigeria &mdash; Kano\";s:5:\"NG:KT\";s:23:\"Nigeria &mdash; Katsina\";s:5:\"NG:KE\";s:21:\"Nigeria &mdash; Kebbi\";s:5:\"NG:KO\";s:20:\"Nigeria &mdash; Kogi\";s:5:\"NG:KW\";s:21:\"Nigeria &mdash; Kwara\";s:5:\"NG:LA\";s:21:\"Nigeria &mdash; Lagos\";s:5:\"NG:NA\";s:24:\"Nigeria &mdash; Nasarawa\";s:5:\"NG:NI\";s:21:\"Nigeria &mdash; Niger\";s:5:\"NG:OG\";s:20:\"Nigeria &mdash; Ogun\";s:5:\"NG:ON\";s:20:\"Nigeria &mdash; Ondo\";s:5:\"NG:OS\";s:20:\"Nigeria &mdash; Osun\";s:5:\"NG:OY\";s:19:\"Nigeria &mdash; Oyo\";s:5:\"NG:PL\";s:23:\"Nigeria &mdash; Plateau\";s:5:\"NG:RI\";s:22:\"Nigeria &mdash; Rivers\";s:5:\"NG:SO\";s:22:\"Nigeria &mdash; Sokoto\";s:5:\"NG:TA\";s:22:\"Nigeria &mdash; Taraba\";s:5:\"NG:YO\";s:20:\"Nigeria &mdash; Yobe\";s:5:\"NG:ZA\";s:23:\"Nigeria &mdash; Zamfara\";}s:2:\"NG\";s:7:\"Nigeria\";s:2:\"NU\";s:4:\"Niue\";s:2:\"NF\";s:14:\"Norfolk Island\";s:2:\"KP\";s:11:\"North Korea\";s:2:\"MK\";s:15:\"North Macedonia\";s:2:\"MP\";s:24:\"Northern Mariana Islands\";s:2:\"NO\";s:6:\"Norway\";s:2:\"OM\";s:4:\"Oman\";s:8:\"Pakistan\";a:8:{s:5:\"PK:JK\";s:29:\"Pakistan &mdash; Azad Kashmir\";s:5:\"PK:BA\";s:28:\"Pakistan &mdash; Balochistan\";s:5:\"PK:TA\";s:21:\"Pakistan &mdash; FATA\";s:5:\"PK:GB\";s:33:\"Pakistan &mdash; Gilgit Baltistan\";s:5:\"PK:IS\";s:44:\"Pakistan &mdash; Islamabad Capital Territory\";s:5:\"PK:KP\";s:35:\"Pakistan &mdash; Khyber Pakhtunkhwa\";s:5:\"PK:PB\";s:23:\"Pakistan &mdash; Punjab\";s:5:\"PK:SD\";s:22:\"Pakistan &mdash; Sindh\";}s:2:\"PK\";s:8:\"Pakistan\";s:2:\"PS\";s:21:\"Palestinian Territory\";s:2:\"PA\";s:6:\"Panama\";s:2:\"PG\";s:16:\"Papua New Guinea\";s:8:\"Paraguay\";a:18:{s:9:\"PY:PY-ASU\";s:32:\"Paraguay &mdash; Asunci&oacute;n\";s:7:\"PY:PY-1\";s:34:\"Paraguay &mdash; Concepci&oacute;n\";s:7:\"PY:PY-2\";s:26:\"Paraguay &mdash; San Pedro\";s:7:\"PY:PY-3\";s:27:\"Paraguay &mdash; Cordillera\";s:7:\"PY:PY-4\";s:30:\"Paraguay &mdash; Guair&aacute;\";s:7:\"PY:PY-5\";s:32:\"Paraguay &mdash; Caaguaz&uacute;\";s:7:\"PY:PY-6\";s:31:\"Paraguay &mdash; Caazap&aacute;\";s:7:\"PY:PY-7\";s:30:\"Paraguay &mdash; Itap&uacute;a\";s:7:\"PY:PY-8\";s:25:\"Paraguay &mdash; Misiones\";s:7:\"PY:PY-9\";s:33:\"Paraguay &mdash; Paraguar&iacute;\";s:8:\"PY:PY-10\";s:35:\"Paraguay &mdash; Alto Paran&aacute;\";s:8:\"PY:PY-11\";s:24:\"Paraguay &mdash; Central\";s:8:\"PY:PY-12\";s:39:\"Paraguay &mdash; &Ntilde;eembuc&uacute;\";s:8:\"PY:PY-13\";s:24:\"Paraguay &mdash; Amambay\";s:8:\"PY:PY-14\";s:33:\"Paraguay &mdash; Canindey&uacute;\";s:8:\"PY:PY-15\";s:33:\"Paraguay &mdash; Presidente Hayes\";s:8:\"PY:PY-16\";s:30:\"Paraguay &mdash; Alto Paraguay\";s:8:\"PY:PY-17\";s:32:\"Paraguay &mdash; Boquer&oacute;n\";}s:2:\"PY\";s:8:\"Paraguay\";s:4:\"Peru\";a:26:{s:6:\"PE:CAL\";s:22:\"Peru &mdash; El Callao\";s:6:\"PE:LMA\";s:48:\"Peru &mdash; Municipalidad Metropolitana de Lima\";s:6:\"PE:AMA\";s:21:\"Peru &mdash; Amazonas\";s:6:\"PE:ANC\";s:19:\"Peru &mdash; Ancash\";s:6:\"PE:APU\";s:28:\"Peru &mdash; Apur&iacute;mac\";s:6:\"PE:ARE\";s:21:\"Peru &mdash; Arequipa\";s:6:\"PE:AYA\";s:21:\"Peru &mdash; Ayacucho\";s:6:\"PE:CAJ\";s:22:\"Peru &mdash; Cajamarca\";s:6:\"PE:CUS\";s:18:\"Peru &mdash; Cusco\";s:6:\"PE:HUV\";s:25:\"Peru &mdash; Huancavelica\";s:6:\"PE:HUC\";s:27:\"Peru &mdash; Hu&aacute;nuco\";s:6:\"PE:ICA\";s:16:\"Peru &mdash; Ica\";s:6:\"PE:JUN\";s:25:\"Peru &mdash; Jun&iacute;n\";s:6:\"PE:LAL\";s:24:\"Peru &mdash; La Libertad\";s:6:\"PE:LAM\";s:23:\"Peru &mdash; Lambayeque\";s:6:\"PE:LIM\";s:17:\"Peru &mdash; Lima\";s:6:\"PE:LOR\";s:19:\"Peru &mdash; Loreto\";s:6:\"PE:MDD\";s:26:\"Peru &mdash; Madre de Dios\";s:6:\"PE:MOQ\";s:21:\"Peru &mdash; Moquegua\";s:6:\"PE:PAS\";s:18:\"Peru &mdash; Pasco\";s:6:\"PE:PIU\";s:18:\"Peru &mdash; Piura\";s:6:\"PE:PUN\";s:17:\"Peru &mdash; Puno\";s:6:\"PE:SAM\";s:30:\"Peru &mdash; San Mart&iacute;n\";s:6:\"PE:TAC\";s:18:\"Peru &mdash; Tacna\";s:6:\"PE:TUM\";s:19:\"Peru &mdash; Tumbes\";s:6:\"PE:UCA\";s:20:\"Peru &mdash; Ucayali\";}s:2:\"PE\";s:4:\"Peru\";s:11:\"Philippines\";a:82:{s:6:\"PH:ABR\";s:24:\"Philippines &mdash; Abra\";s:6:\"PH:AGN\";s:36:\"Philippines &mdash; Agusan del Norte\";s:6:\"PH:AGS\";s:34:\"Philippines &mdash; Agusan del Sur\";s:6:\"PH:AKL\";s:25:\"Philippines &mdash; Aklan\";s:6:\"PH:ALB\";s:25:\"Philippines &mdash; Albay\";s:6:\"PH:ANT\";s:27:\"Philippines &mdash; Antique\";s:6:\"PH:APA\";s:26:\"Philippines &mdash; Apayao\";s:6:\"PH:AUR\";s:26:\"Philippines &mdash; Aurora\";s:6:\"PH:BAS\";s:27:\"Philippines &mdash; Basilan\";s:6:\"PH:BAN\";s:26:\"Philippines &mdash; Bataan\";s:6:\"PH:BTN\";s:27:\"Philippines &mdash; Batanes\";s:6:\"PH:BTG\";s:28:\"Philippines &mdash; Batangas\";s:6:\"PH:BEN\";s:27:\"Philippines &mdash; Benguet\";s:6:\"PH:BIL\";s:27:\"Philippines &mdash; Biliran\";s:6:\"PH:BOH\";s:25:\"Philippines &mdash; Bohol\";s:6:\"PH:BUK\";s:28:\"Philippines &mdash; Bukidnon\";s:6:\"PH:BUL\";s:27:\"Philippines &mdash; Bulacan\";s:6:\"PH:CAG\";s:27:\"Philippines &mdash; Cagayan\";s:6:\"PH:CAN\";s:35:\"Philippines &mdash; Camarines Norte\";s:6:\"PH:CAS\";s:33:\"Philippines &mdash; Camarines Sur\";s:6:\"PH:CAM\";s:28:\"Philippines &mdash; Camiguin\";s:6:\"PH:CAP\";s:25:\"Philippines &mdash; Capiz\";s:6:\"PH:CAT\";s:31:\"Philippines &mdash; Catanduanes\";s:6:\"PH:CAV\";s:26:\"Philippines &mdash; Cavite\";s:6:\"PH:CEB\";s:24:\"Philippines &mdash; Cebu\";s:6:\"PH:COM\";s:37:\"Philippines &mdash; Compostela Valley\";s:6:\"PH:NCO\";s:28:\"Philippines &mdash; Cotabato\";s:6:\"PH:DAV\";s:35:\"Philippines &mdash; Davao del Norte\";s:6:\"PH:DAS\";s:33:\"Philippines &mdash; Davao del Sur\";s:6:\"PH:DAC\";s:36:\"Philippines &mdash; Davao Occidental\";s:6:\"PH:DAO\";s:34:\"Philippines &mdash; Davao Oriental\";s:6:\"PH:DIN\";s:35:\"Philippines &mdash; Dinagat Islands\";s:6:\"PH:EAS\";s:33:\"Philippines &mdash; Eastern Samar\";s:6:\"PH:GUI\";s:28:\"Philippines &mdash; Guimaras\";s:6:\"PH:IFU\";s:26:\"Philippines &mdash; Ifugao\";s:6:\"PH:ILN\";s:32:\"Philippines &mdash; Ilocos Norte\";s:6:\"PH:ILS\";s:30:\"Philippines &mdash; Ilocos Sur\";s:6:\"PH:ILI\";s:26:\"Philippines &mdash; Iloilo\";s:6:\"PH:ISA\";s:27:\"Philippines &mdash; Isabela\";s:6:\"PH:KAL\";s:27:\"Philippines &mdash; Kalinga\";s:6:\"PH:LUN\";s:28:\"Philippines &mdash; La Union\";s:6:\"PH:LAG\";s:26:\"Philippines &mdash; Laguna\";s:6:\"PH:LAN\";s:35:\"Philippines &mdash; Lanao del Norte\";s:6:\"PH:LAS\";s:33:\"Philippines &mdash; Lanao del Sur\";s:6:\"PH:LEY\";s:25:\"Philippines &mdash; Leyte\";s:6:\"PH:MAG\";s:31:\"Philippines &mdash; Maguindanao\";s:6:\"PH:MAD\";s:30:\"Philippines &mdash; Marinduque\";s:6:\"PH:MAS\";s:27:\"Philippines &mdash; Masbate\";s:6:\"PH:MSC\";s:38:\"Philippines &mdash; Misamis Occidental\";s:6:\"PH:MSR\";s:36:\"Philippines &mdash; Misamis Oriental\";s:6:\"PH:MOU\";s:37:\"Philippines &mdash; Mountain Province\";s:6:\"PH:NEC\";s:37:\"Philippines &mdash; Negros Occidental\";s:6:\"PH:NER\";s:35:\"Philippines &mdash; Negros Oriental\";s:6:\"PH:NSA\";s:34:\"Philippines &mdash; Northern Samar\";s:6:\"PH:NUE\";s:31:\"Philippines &mdash; Nueva Ecija\";s:6:\"PH:NUV\";s:33:\"Philippines &mdash; Nueva Vizcaya\";s:6:\"PH:MDC\";s:38:\"Philippines &mdash; Occidental Mindoro\";s:6:\"PH:MDR\";s:36:\"Philippines &mdash; Oriental Mindoro\";s:6:\"PH:PLW\";s:27:\"Philippines &mdash; Palawan\";s:6:\"PH:PAM\";s:28:\"Philippines &mdash; Pampanga\";s:6:\"PH:PAN\";s:30:\"Philippines &mdash; Pangasinan\";s:6:\"PH:QUE\";s:26:\"Philippines &mdash; Quezon\";s:6:\"PH:QUI\";s:27:\"Philippines &mdash; Quirino\";s:6:\"PH:RIZ\";s:25:\"Philippines &mdash; Rizal\";s:6:\"PH:ROM\";s:27:\"Philippines &mdash; Romblon\";s:6:\"PH:WSA\";s:25:\"Philippines &mdash; Samar\";s:6:\"PH:SAR\";s:29:\"Philippines &mdash; Sarangani\";s:6:\"PH:SIQ\";s:28:\"Philippines &mdash; Siquijor\";s:6:\"PH:SOR\";s:28:\"Philippines &mdash; Sorsogon\";s:6:\"PH:SCO\";s:34:\"Philippines &mdash; South Cotabato\";s:6:\"PH:SLE\";s:34:\"Philippines &mdash; Southern Leyte\";s:6:\"PH:SUK\";s:34:\"Philippines &mdash; Sultan Kudarat\";s:6:\"PH:SLU\";s:24:\"Philippines &mdash; Sulu\";s:6:\"PH:SUN\";s:37:\"Philippines &mdash; Surigao del Norte\";s:6:\"PH:SUR\";s:35:\"Philippines &mdash; Surigao del Sur\";s:6:\"PH:TAR\";s:26:\"Philippines &mdash; Tarlac\";s:6:\"PH:TAW\";s:29:\"Philippines &mdash; Tawi-Tawi\";s:6:\"PH:ZMB\";s:28:\"Philippines &mdash; Zambales\";s:6:\"PH:ZAN\";s:39:\"Philippines &mdash; Zamboanga del Norte\";s:6:\"PH:ZAS\";s:37:\"Philippines &mdash; Zamboanga del Sur\";s:6:\"PH:ZSI\";s:37:\"Philippines &mdash; Zamboanga Sibugay\";s:5:\"PH:00\";s:32:\"Philippines &mdash; Metro Manila\";}s:2:\"PH\";s:11:\"Philippines\";s:2:\"PN\";s:8:\"Pitcairn\";s:2:\"PL\";s:6:\"Poland\";s:2:\"PT\";s:8:\"Portugal\";s:2:\"PR\";s:11:\"Puerto Rico\";s:2:\"QA\";s:5:\"Qatar\";s:2:\"RE\";s:7:\"Reunion\";s:7:\"Romania\";a:42:{s:5:\"RO:AB\";s:20:\"Romania &mdash; Alba\";s:5:\"RO:AR\";s:20:\"Romania &mdash; Arad\";s:5:\"RO:AG\";s:26:\"Romania &mdash; Arge&#537;\";s:5:\"RO:BC\";s:26:\"Romania &mdash; Bac&#259;u\";s:5:\"RO:BH\";s:21:\"Romania &mdash; Bihor\";s:5:\"RO:BN\";s:46:\"Romania &mdash; Bistri&#539;a-N&#259;s&#259;ud\";s:5:\"RO:BT\";s:29:\"Romania &mdash; Boto&#537;ani\";s:5:\"RO:BR\";s:27:\"Romania &mdash; Br&#259;ila\";s:5:\"RO:BV\";s:27:\"Romania &mdash; Bra&#537;ov\";s:4:\"RO:B\";s:30:\"Romania &mdash; Bucure&#537;ti\";s:5:\"RO:BZ\";s:26:\"Romania &mdash; Buz&#259;u\";s:5:\"RO:CL\";s:39:\"Romania &mdash; C&#259;l&#259;ra&#537;i\";s:5:\"RO:CS\";s:34:\"Romania &mdash; Cara&#537;-Severin\";s:5:\"RO:CJ\";s:20:\"Romania &mdash; Cluj\";s:5:\"RO:CT\";s:30:\"Romania &mdash; Constan&#539;a\";s:5:\"RO:CV\";s:23:\"Romania &mdash; Covasna\";s:5:\"RO:DB\";s:36:\"Romania &mdash; D&acirc;mbovi&#539;a\";s:5:\"RO:DJ\";s:20:\"Romania &mdash; Dolj\";s:5:\"RO:GL\";s:27:\"Romania &mdash; Gala&#539;i\";s:5:\"RO:GR\";s:23:\"Romania &mdash; Giurgiu\";s:5:\"RO:GJ\";s:20:\"Romania &mdash; Gorj\";s:5:\"RO:HR\";s:24:\"Romania &mdash; Harghita\";s:5:\"RO:HD\";s:25:\"Romania &mdash; Hunedoara\";s:5:\"RO:IL\";s:29:\"Romania &mdash; Ialomi&#539;a\";s:5:\"RO:IS\";s:25:\"Romania &mdash; Ia&#537;i\";s:5:\"RO:IF\";s:21:\"Romania &mdash; Ilfov\";s:5:\"RO:MM\";s:30:\"Romania &mdash; Maramure&#537;\";s:5:\"RO:MH\";s:30:\"Romania &mdash; Mehedin&#539;i\";s:5:\"RO:MS\";s:26:\"Romania &mdash; Mure&#537;\";s:5:\"RO:NT\";s:26:\"Romania &mdash; Neam&#539;\";s:5:\"RO:OT\";s:19:\"Romania &mdash; Olt\";s:5:\"RO:PH\";s:23:\"Romania &mdash; Prahova\";s:5:\"RO:SJ\";s:26:\"Romania &mdash; S&#259;laj\";s:5:\"RO:SM\";s:25:\"Romania &mdash; Satu Mare\";s:5:\"RO:SB\";s:21:\"Romania &mdash; Sibiu\";s:5:\"RO:SV\";s:23:\"Romania &mdash; Suceava\";s:5:\"RO:TR\";s:25:\"Romania &mdash; Teleorman\";s:5:\"RO:TM\";s:26:\"Romania &mdash; Timi&#537;\";s:5:\"RO:TL\";s:22:\"Romania &mdash; Tulcea\";s:5:\"RO:VL\";s:28:\"Romania &mdash; V&acirc;lcea\";s:5:\"RO:VS\";s:22:\"Romania &mdash; Vaslui\";s:5:\"RO:VN\";s:23:\"Romania &mdash; Vrancea\";}s:2:\"RO\";s:7:\"Romania\";s:2:\"RU\";s:6:\"Russia\";s:2:\"RW\";s:6:\"Rwanda\";s:2:\"ST\";s:42:\"S&atilde;o Tom&eacute; and Pr&iacute;ncipe\";s:2:\"BL\";s:23:\"Saint Barth&eacute;lemy\";s:2:\"SH\";s:12:\"Saint Helena\";s:2:\"KN\";s:21:\"Saint Kitts and Nevis\";s:2:\"LC\";s:11:\"Saint Lucia\";s:2:\"SX\";s:25:\"Saint Martin (Dutch part)\";s:2:\"MF\";s:26:\"Saint Martin (French part)\";s:2:\"PM\";s:25:\"Saint Pierre and Miquelon\";s:2:\"VC\";s:32:\"Saint Vincent and the Grenadines\";s:2:\"WS\";s:5:\"Samoa\";s:2:\"SM\";s:10:\"San Marino\";s:2:\"SA\";s:12:\"Saudi Arabia\";s:2:\"SN\";s:7:\"Senegal\";s:2:\"RS\";s:6:\"Serbia\";s:2:\"SC\";s:10:\"Seychelles\";s:2:\"SL\";s:12:\"Sierra Leone\";s:2:\"SG\";s:9:\"Singapore\";s:2:\"SK\";s:8:\"Slovakia\";s:2:\"SI\";s:8:\"Slovenia\";s:2:\"SB\";s:15:\"Solomon Islands\";s:2:\"SO\";s:7:\"Somalia\";s:12:\"South Africa\";a:9:{s:5:\"ZA:EC\";s:33:\"South Africa &mdash; Eastern Cape\";s:5:\"ZA:FS\";s:31:\"South Africa &mdash; Free State\";s:5:\"ZA:GP\";s:28:\"South Africa &mdash; Gauteng\";s:6:\"ZA:KZN\";s:34:\"South Africa &mdash; KwaZulu-Natal\";s:5:\"ZA:LP\";s:28:\"South Africa &mdash; Limpopo\";s:5:\"ZA:MP\";s:31:\"South Africa &mdash; Mpumalanga\";s:5:\"ZA:NC\";s:34:\"South Africa &mdash; Northern Cape\";s:5:\"ZA:NW\";s:31:\"South Africa &mdash; North West\";s:5:\"ZA:WC\";s:33:\"South Africa &mdash; Western Cape\";}s:2:\"ZA\";s:12:\"South Africa\";s:2:\"GS\";s:30:\"South Georgia/Sandwich Islands\";s:2:\"KR\";s:11:\"South Korea\";s:2:\"SS\";s:11:\"South Sudan\";s:5:\"Spain\";a:52:{s:4:\"ES:C\";s:29:\"Spain &mdash; A Coru&ntilde;a\";s:5:\"ES:VI\";s:32:\"Spain &mdash; Araba/&Aacute;lava\";s:5:\"ES:AB\";s:22:\"Spain &mdash; Albacete\";s:4:\"ES:A\";s:22:\"Spain &mdash; Alicante\";s:5:\"ES:AL\";s:28:\"Spain &mdash; Almer&iacute;a\";s:4:\"ES:O\";s:22:\"Spain &mdash; Asturias\";s:5:\"ES:AV\";s:26:\"Spain &mdash; &Aacute;vila\";s:5:\"ES:BA\";s:21:\"Spain &mdash; Badajoz\";s:5:\"ES:PM\";s:22:\"Spain &mdash; Baleares\";s:4:\"ES:B\";s:23:\"Spain &mdash; Barcelona\";s:5:\"ES:BU\";s:20:\"Spain &mdash; Burgos\";s:5:\"ES:CC\";s:28:\"Spain &mdash; C&aacute;ceres\";s:5:\"ES:CA\";s:26:\"Spain &mdash; C&aacute;diz\";s:4:\"ES:S\";s:23:\"Spain &mdash; Cantabria\";s:5:\"ES:CS\";s:30:\"Spain &mdash; Castell&oacute;n\";s:5:\"ES:CE\";s:19:\"Spain &mdash; Ceuta\";s:5:\"ES:CR\";s:25:\"Spain &mdash; Ciudad Real\";s:5:\"ES:CO\";s:28:\"Spain &mdash; C&oacute;rdoba\";s:5:\"ES:CU\";s:20:\"Spain &mdash; Cuenca\";s:5:\"ES:GI\";s:20:\"Spain &mdash; Girona\";s:5:\"ES:GR\";s:21:\"Spain &mdash; Granada\";s:5:\"ES:GU\";s:25:\"Spain &mdash; Guadalajara\";s:5:\"ES:SS\";s:22:\"Spain &mdash; Gipuzkoa\";s:4:\"ES:H\";s:20:\"Spain &mdash; Huelva\";s:5:\"ES:HU\";s:20:\"Spain &mdash; Huesca\";s:4:\"ES:J\";s:25:\"Spain &mdash; Ja&eacute;n\";s:5:\"ES:LO\";s:22:\"Spain &mdash; La Rioja\";s:5:\"ES:GC\";s:24:\"Spain &mdash; Las Palmas\";s:5:\"ES:LE\";s:25:\"Spain &mdash; Le&oacute;n\";s:4:\"ES:L\";s:20:\"Spain &mdash; Lleida\";s:5:\"ES:LU\";s:18:\"Spain &mdash; Lugo\";s:4:\"ES:M\";s:20:\"Spain &mdash; Madrid\";s:5:\"ES:MA\";s:27:\"Spain &mdash; M&aacute;laga\";s:5:\"ES:ML\";s:21:\"Spain &mdash; Melilla\";s:5:\"ES:MU\";s:20:\"Spain &mdash; Murcia\";s:5:\"ES:NA\";s:21:\"Spain &mdash; Navarra\";s:5:\"ES:OR\";s:21:\"Spain &mdash; Ourense\";s:4:\"ES:P\";s:22:\"Spain &mdash; Palencia\";s:5:\"ES:PO\";s:24:\"Spain &mdash; Pontevedra\";s:5:\"ES:SA\";s:23:\"Spain &mdash; Salamanca\";s:5:\"ES:TF\";s:36:\"Spain &mdash; Santa Cruz de Tenerife\";s:5:\"ES:SG\";s:21:\"Spain &mdash; Segovia\";s:5:\"ES:SE\";s:21:\"Spain &mdash; Sevilla\";s:5:\"ES:SO\";s:19:\"Spain &mdash; Soria\";s:4:\"ES:T\";s:23:\"Spain &mdash; Tarragona\";s:5:\"ES:TE\";s:20:\"Spain &mdash; Teruel\";s:5:\"ES:TO\";s:20:\"Spain &mdash; Toledo\";s:4:\"ES:V\";s:22:\"Spain &mdash; Valencia\";s:5:\"ES:VA\";s:24:\"Spain &mdash; Valladolid\";s:5:\"ES:BI\";s:21:\"Spain &mdash; Bizkaia\";s:5:\"ES:ZA\";s:20:\"Spain &mdash; Zamora\";s:4:\"ES:Z\";s:22:\"Spain &mdash; Zaragoza\";}s:2:\"ES\";s:5:\"Spain\";s:2:\"LK\";s:9:\"Sri Lanka\";s:2:\"SD\";s:5:\"Sudan\";s:2:\"SR\";s:8:\"Suriname\";s:2:\"SJ\";s:22:\"Svalbard and Jan Mayen\";s:2:\"SZ\";s:9:\"Swaziland\";s:2:\"SE\";s:6:\"Sweden\";s:11:\"Switzerland\";a:26:{s:5:\"CH:AG\";s:26:\"Switzerland &mdash; Aargau\";s:5:\"CH:AR\";s:42:\"Switzerland &mdash; Appenzell Ausserrhoden\";s:5:\"CH:AI\";s:41:\"Switzerland &mdash; Appenzell Innerrhoden\";s:5:\"CH:BL\";s:36:\"Switzerland &mdash; Basel-Landschaft\";s:5:\"CH:BS\";s:31:\"Switzerland &mdash; Basel-Stadt\";s:5:\"CH:BE\";s:24:\"Switzerland &mdash; Bern\";s:5:\"CH:FR\";s:28:\"Switzerland &mdash; Fribourg\";s:5:\"CH:GE\";s:26:\"Switzerland &mdash; Geneva\";s:5:\"CH:GL\";s:26:\"Switzerland &mdash; Glarus\";s:5:\"CH:GR\";s:35:\"Switzerland &mdash; Graub&uuml;nden\";s:5:\"CH:JU\";s:24:\"Switzerland &mdash; Jura\";s:5:\"CH:LU\";s:26:\"Switzerland &mdash; Luzern\";s:5:\"CH:NE\";s:35:\"Switzerland &mdash; Neuch&acirc;tel\";s:5:\"CH:NW\";s:29:\"Switzerland &mdash; Nidwalden\";s:5:\"CH:OW\";s:28:\"Switzerland &mdash; Obwalden\";s:5:\"CH:SH\";s:32:\"Switzerland &mdash; Schaffhausen\";s:5:\"CH:SZ\";s:26:\"Switzerland &mdash; Schwyz\";s:5:\"CH:SO\";s:29:\"Switzerland &mdash; Solothurn\";s:5:\"CH:SG\";s:30:\"Switzerland &mdash; St. Gallen\";s:5:\"CH:TG\";s:27:\"Switzerland &mdash; Thurgau\";s:5:\"CH:TI\";s:26:\"Switzerland &mdash; Ticino\";s:5:\"CH:UR\";s:23:\"Switzerland &mdash; Uri\";s:5:\"CH:VS\";s:26:\"Switzerland &mdash; Valais\";s:5:\"CH:VD\";s:24:\"Switzerland &mdash; Vaud\";s:5:\"CH:ZG\";s:23:\"Switzerland &mdash; Zug\";s:5:\"CH:ZH\";s:31:\"Switzerland &mdash; Z&uuml;rich\";}s:2:\"CH\";s:11:\"Switzerland\";s:2:\"SY\";s:5:\"Syria\";s:2:\"TW\";s:6:\"Taiwan\";s:2:\"TJ\";s:10:\"Tajikistan\";s:8:\"Tanzania\";a:30:{s:7:\"TZ:TZ01\";s:23:\"Tanzania &mdash; Arusha\";s:7:\"TZ:TZ02\";s:30:\"Tanzania &mdash; Dar es Salaam\";s:7:\"TZ:TZ03\";s:23:\"Tanzania &mdash; Dodoma\";s:7:\"TZ:TZ04\";s:23:\"Tanzania &mdash; Iringa\";s:7:\"TZ:TZ05\";s:23:\"Tanzania &mdash; Kagera\";s:7:\"TZ:TZ06\";s:28:\"Tanzania &mdash; Pemba North\";s:7:\"TZ:TZ07\";s:31:\"Tanzania &mdash; Zanzibar North\";s:7:\"TZ:TZ08\";s:23:\"Tanzania &mdash; Kigoma\";s:7:\"TZ:TZ09\";s:28:\"Tanzania &mdash; Kilimanjaro\";s:7:\"TZ:TZ10\";s:28:\"Tanzania &mdash; Pemba South\";s:7:\"TZ:TZ11\";s:31:\"Tanzania &mdash; Zanzibar South\";s:7:\"TZ:TZ12\";s:22:\"Tanzania &mdash; Lindi\";s:7:\"TZ:TZ13\";s:21:\"Tanzania &mdash; Mara\";s:7:\"TZ:TZ14\";s:22:\"Tanzania &mdash; Mbeya\";s:7:\"TZ:TZ15\";s:30:\"Tanzania &mdash; Zanzibar West\";s:7:\"TZ:TZ16\";s:25:\"Tanzania &mdash; Morogoro\";s:7:\"TZ:TZ17\";s:23:\"Tanzania &mdash; Mtwara\";s:7:\"TZ:TZ18\";s:23:\"Tanzania &mdash; Mwanza\";s:7:\"TZ:TZ19\";s:22:\"Tanzania &mdash; Coast\";s:7:\"TZ:TZ20\";s:22:\"Tanzania &mdash; Rukwa\";s:7:\"TZ:TZ21\";s:23:\"Tanzania &mdash; Ruvuma\";s:7:\"TZ:TZ22\";s:26:\"Tanzania &mdash; Shinyanga\";s:7:\"TZ:TZ23\";s:24:\"Tanzania &mdash; Singida\";s:7:\"TZ:TZ24\";s:23:\"Tanzania &mdash; Tabora\";s:7:\"TZ:TZ25\";s:22:\"Tanzania &mdash; Tanga\";s:7:\"TZ:TZ26\";s:24:\"Tanzania &mdash; Manyara\";s:7:\"TZ:TZ27\";s:22:\"Tanzania &mdash; Geita\";s:7:\"TZ:TZ28\";s:23:\"Tanzania &mdash; Katavi\";s:7:\"TZ:TZ29\";s:23:\"Tanzania &mdash; Njombe\";s:7:\"TZ:TZ30\";s:23:\"Tanzania &mdash; Simiyu\";}s:2:\"TZ\";s:8:\"Tanzania\";s:8:\"Thailand\";a:77:{s:8:\"TH:TH-37\";s:30:\"Thailand &mdash; Amnat Charoen\";s:8:\"TH:TH-15\";s:26:\"Thailand &mdash; Ang Thong\";s:8:\"TH:TH-14\";s:26:\"Thailand &mdash; Ayutthaya\";s:8:\"TH:TH-10\";s:24:\"Thailand &mdash; Bangkok\";s:8:\"TH:TH-38\";s:26:\"Thailand &mdash; Bueng Kan\";s:8:\"TH:TH-31\";s:25:\"Thailand &mdash; Buri Ram\";s:8:\"TH:TH-24\";s:29:\"Thailand &mdash; Chachoengsao\";s:8:\"TH:TH-18\";s:25:\"Thailand &mdash; Chai Nat\";s:8:\"TH:TH-36\";s:27:\"Thailand &mdash; Chaiyaphum\";s:8:\"TH:TH-22\";s:28:\"Thailand &mdash; Chanthaburi\";s:8:\"TH:TH-50\";s:27:\"Thailand &mdash; Chiang Mai\";s:8:\"TH:TH-57\";s:27:\"Thailand &mdash; Chiang Rai\";s:8:\"TH:TH-20\";s:25:\"Thailand &mdash; Chonburi\";s:8:\"TH:TH-86\";s:25:\"Thailand &mdash; Chumphon\";s:8:\"TH:TH-46\";s:24:\"Thailand &mdash; Kalasin\";s:8:\"TH:TH-62\";s:31:\"Thailand &mdash; Kamphaeng Phet\";s:8:\"TH:TH-71\";s:29:\"Thailand &mdash; Kanchanaburi\";s:8:\"TH:TH-40\";s:26:\"Thailand &mdash; Khon Kaen\";s:8:\"TH:TH-81\";s:22:\"Thailand &mdash; Krabi\";s:8:\"TH:TH-52\";s:24:\"Thailand &mdash; Lampang\";s:8:\"TH:TH-51\";s:24:\"Thailand &mdash; Lamphun\";s:8:\"TH:TH-42\";s:21:\"Thailand &mdash; Loei\";s:8:\"TH:TH-16\";s:24:\"Thailand &mdash; Lopburi\";s:8:\"TH:TH-58\";s:29:\"Thailand &mdash; Mae Hong Son\";s:8:\"TH:TH-44\";s:30:\"Thailand &mdash; Maha Sarakham\";s:8:\"TH:TH-49\";s:25:\"Thailand &mdash; Mukdahan\";s:8:\"TH:TH-26\";s:29:\"Thailand &mdash; Nakhon Nayok\";s:8:\"TH:TH-73\";s:30:\"Thailand &mdash; Nakhon Pathom\";s:8:\"TH:TH-48\";s:30:\"Thailand &mdash; Nakhon Phanom\";s:8:\"TH:TH-30\";s:34:\"Thailand &mdash; Nakhon Ratchasima\";s:8:\"TH:TH-60\";s:29:\"Thailand &mdash; Nakhon Sawan\";s:8:\"TH:TH-80\";s:36:\"Thailand &mdash; Nakhon Si Thammarat\";s:8:\"TH:TH-55\";s:20:\"Thailand &mdash; Nan\";s:8:\"TH:TH-96\";s:27:\"Thailand &mdash; Narathiwat\";s:8:\"TH:TH-39\";s:33:\"Thailand &mdash; Nong Bua Lam Phu\";s:8:\"TH:TH-43\";s:26:\"Thailand &mdash; Nong Khai\";s:8:\"TH:TH-12\";s:27:\"Thailand &mdash; Nonthaburi\";s:8:\"TH:TH-13\";s:29:\"Thailand &mdash; Pathum Thani\";s:8:\"TH:TH-94\";s:24:\"Thailand &mdash; Pattani\";s:8:\"TH:TH-82\";s:26:\"Thailand &mdash; Phang Nga\";s:8:\"TH:TH-93\";s:28:\"Thailand &mdash; Phatthalung\";s:8:\"TH:TH-56\";s:23:\"Thailand &mdash; Phayao\";s:8:\"TH:TH-67\";s:27:\"Thailand &mdash; Phetchabun\";s:8:\"TH:TH-76\";s:28:\"Thailand &mdash; Phetchaburi\";s:8:\"TH:TH-66\";s:24:\"Thailand &mdash; Phichit\";s:8:\"TH:TH-65\";s:28:\"Thailand &mdash; Phitsanulok\";s:8:\"TH:TH-54\";s:22:\"Thailand &mdash; Phrae\";s:8:\"TH:TH-83\";s:23:\"Thailand &mdash; Phuket\";s:8:\"TH:TH-25\";s:29:\"Thailand &mdash; Prachin Buri\";s:8:\"TH:TH-77\";s:36:\"Thailand &mdash; Prachuap Khiri Khan\";s:8:\"TH:TH-85\";s:23:\"Thailand &mdash; Ranong\";s:8:\"TH:TH-70\";s:27:\"Thailand &mdash; Ratchaburi\";s:8:\"TH:TH-21\";s:23:\"Thailand &mdash; Rayong\";s:8:\"TH:TH-45\";s:23:\"Thailand &mdash; Roi Et\";s:8:\"TH:TH-27\";s:24:\"Thailand &mdash; Sa Kaeo\";s:8:\"TH:TH-47\";s:29:\"Thailand &mdash; Sakon Nakhon\";s:8:\"TH:TH-11\";s:29:\"Thailand &mdash; Samut Prakan\";s:8:\"TH:TH-74\";s:29:\"Thailand &mdash; Samut Sakhon\";s:8:\"TH:TH-75\";s:32:\"Thailand &mdash; Samut Songkhram\";s:8:\"TH:TH-19\";s:25:\"Thailand &mdash; Saraburi\";s:8:\"TH:TH-91\";s:22:\"Thailand &mdash; Satun\";s:8:\"TH:TH-17\";s:26:\"Thailand &mdash; Sing Buri\";s:8:\"TH:TH-33\";s:24:\"Thailand &mdash; Sisaket\";s:8:\"TH:TH-90\";s:25:\"Thailand &mdash; Songkhla\";s:8:\"TH:TH-64\";s:26:\"Thailand &mdash; Sukhothai\";s:8:\"TH:TH-72\";s:28:\"Thailand &mdash; Suphan Buri\";s:8:\"TH:TH-84\";s:28:\"Thailand &mdash; Surat Thani\";s:8:\"TH:TH-32\";s:22:\"Thailand &mdash; Surin\";s:8:\"TH:TH-63\";s:20:\"Thailand &mdash; Tak\";s:8:\"TH:TH-92\";s:22:\"Thailand &mdash; Trang\";s:8:\"TH:TH-23\";s:21:\"Thailand &mdash; Trat\";s:8:\"TH:TH-34\";s:33:\"Thailand &mdash; Ubon Ratchathani\";s:8:\"TH:TH-41\";s:27:\"Thailand &mdash; Udon Thani\";s:8:\"TH:TH-61\";s:28:\"Thailand &mdash; Uthai Thani\";s:8:\"TH:TH-53\";s:26:\"Thailand &mdash; Uttaradit\";s:8:\"TH:TH-95\";s:21:\"Thailand &mdash; Yala\";s:8:\"TH:TH-35\";s:25:\"Thailand &mdash; Yasothon\";}s:2:\"TH\";s:8:\"Thailand\";s:2:\"TL\";s:11:\"Timor-Leste\";s:2:\"TG\";s:4:\"Togo\";s:2:\"TK\";s:7:\"Tokelau\";s:2:\"TO\";s:5:\"Tonga\";s:2:\"TT\";s:19:\"Trinidad and Tobago\";s:2:\"TN\";s:7:\"Tunisia\";s:6:\"Turkey\";a:81:{s:7:\"TR:TR01\";s:20:\"Turkey &mdash; Adana\";s:7:\"TR:TR02\";s:28:\"Turkey &mdash; Ad&#305;yaman\";s:7:\"TR:TR03\";s:20:\"Turkey &mdash; Afyon\";s:7:\"TR:TR04\";s:29:\"Turkey &mdash; A&#287;r&#305;\";s:7:\"TR:TR05\";s:21:\"Turkey &mdash; Amasya\";s:7:\"TR:TR06\";s:21:\"Turkey &mdash; Ankara\";s:7:\"TR:TR07\";s:22:\"Turkey &mdash; Antalya\";s:7:\"TR:TR08\";s:21:\"Turkey &mdash; Artvin\";s:7:\"TR:TR09\";s:25:\"Turkey &mdash; Ayd&#305;n\";s:7:\"TR:TR10\";s:29:\"Turkey &mdash; Bal&#305;kesir\";s:7:\"TR:TR11\";s:22:\"Turkey &mdash; Bilecik\";s:7:\"TR:TR12\";s:26:\"Turkey &mdash; Bing&#246;l\";s:7:\"TR:TR13\";s:21:\"Turkey &mdash; Bitlis\";s:7:\"TR:TR14\";s:19:\"Turkey &mdash; Bolu\";s:7:\"TR:TR15\";s:21:\"Turkey &mdash; Burdur\";s:7:\"TR:TR16\";s:20:\"Turkey &mdash; Bursa\";s:7:\"TR:TR17\";s:29:\"Turkey &mdash; &#199;anakkale\";s:7:\"TR:TR18\";s:37:\"Turkey &mdash; &#199;ank&#305;r&#305;\";s:7:\"TR:TR19\";s:25:\"Turkey &mdash; &#199;orum\";s:7:\"TR:TR20\";s:22:\"Turkey &mdash; Denizli\";s:7:\"TR:TR21\";s:30:\"Turkey &mdash; Diyarbak&#305;r\";s:7:\"TR:TR22\";s:21:\"Turkey &mdash; Edirne\";s:7:\"TR:TR23\";s:31:\"Turkey &mdash; Elaz&#305;&#287;\";s:7:\"TR:TR24\";s:23:\"Turkey &mdash; Erzincan\";s:7:\"TR:TR25\";s:22:\"Turkey &mdash; Erzurum\";s:7:\"TR:TR26\";s:29:\"Turkey &mdash; Eski&#351;ehir\";s:7:\"TR:TR27\";s:24:\"Turkey &mdash; Gaziantep\";s:7:\"TR:TR28\";s:22:\"Turkey &mdash; Giresun\";s:7:\"TR:TR29\";s:39:\"Turkey &mdash; G&#252;m&#252;&#351;hane\";s:7:\"TR:TR30\";s:22:\"Turkey &mdash; Hakkari\";s:7:\"TR:TR31\";s:20:\"Turkey &mdash; Hatay\";s:7:\"TR:TR32\";s:22:\"Turkey &mdash; Isparta\";s:7:\"TR:TR33\";s:29:\"Turkey &mdash; &#304;&#231;el\";s:7:\"TR:TR34\";s:28:\"Turkey &mdash; &#304;stanbul\";s:7:\"TR:TR35\";s:25:\"Turkey &mdash; &#304;zmir\";s:7:\"TR:TR36\";s:19:\"Turkey &mdash; Kars\";s:7:\"TR:TR37\";s:24:\"Turkey &mdash; Kastamonu\";s:7:\"TR:TR38\";s:22:\"Turkey &mdash; Kayseri\";s:7:\"TR:TR39\";s:30:\"Turkey &mdash; K&#305;rklareli\";s:7:\"TR:TR40\";s:33:\"Turkey &mdash; K&#305;r&#351;ehir\";s:7:\"TR:TR41\";s:22:\"Turkey &mdash; Kocaeli\";s:7:\"TR:TR42\";s:20:\"Turkey &mdash; Konya\";s:7:\"TR:TR43\";s:27:\"Turkey &mdash; K&#252;tahya\";s:7:\"TR:TR44\";s:22:\"Turkey &mdash; Malatya\";s:7:\"TR:TR45\";s:21:\"Turkey &mdash; Manisa\";s:7:\"TR:TR46\";s:33:\"Turkey &mdash; Kahramanmara&#351;\";s:7:\"TR:TR47\";s:21:\"Turkey &mdash; Mardin\";s:7:\"TR:TR48\";s:25:\"Turkey &mdash; Mu&#287;la\";s:7:\"TR:TR49\";s:23:\"Turkey &mdash; Mu&#351;\";s:7:\"TR:TR50\";s:28:\"Turkey &mdash; Nev&#351;ehir\";s:7:\"TR:TR51\";s:25:\"Turkey &mdash; Ni&#287;de\";s:7:\"TR:TR52\";s:19:\"Turkey &mdash; Ordu\";s:7:\"TR:TR53\";s:19:\"Turkey &mdash; Rize\";s:7:\"TR:TR54\";s:22:\"Turkey &mdash; Sakarya\";s:7:\"TR:TR55\";s:21:\"Turkey &mdash; Samsun\";s:7:\"TR:TR56\";s:20:\"Turkey &mdash; Siirt\";s:7:\"TR:TR57\";s:20:\"Turkey &mdash; Sinop\";s:7:\"TR:TR58\";s:20:\"Turkey &mdash; Sivas\";s:7:\"TR:TR59\";s:28:\"Turkey &mdash; Tekirda&#287;\";s:7:\"TR:TR60\";s:20:\"Turkey &mdash; Tokat\";s:7:\"TR:TR61\";s:22:\"Turkey &mdash; Trabzon\";s:7:\"TR:TR62\";s:22:\"Turkey &mdash; Tunceli\";s:7:\"TR:TR63\";s:34:\"Turkey &mdash; &#350;anl&#305;urfa\";s:7:\"TR:TR64\";s:24:\"Turkey &mdash; U&#351;ak\";s:7:\"TR:TR65\";s:18:\"Turkey &mdash; Van\";s:7:\"TR:TR66\";s:21:\"Turkey &mdash; Yozgat\";s:7:\"TR:TR67\";s:24:\"Turkey &mdash; Zonguldak\";s:7:\"TR:TR68\";s:22:\"Turkey &mdash; Aksaray\";s:7:\"TR:TR69\";s:22:\"Turkey &mdash; Bayburt\";s:7:\"TR:TR70\";s:22:\"Turkey &mdash; Karaman\";s:7:\"TR:TR71\";s:34:\"Turkey &mdash; K&#305;r&#305;kkale\";s:7:\"TR:TR72\";s:21:\"Turkey &mdash; Batman\";s:7:\"TR:TR73\";s:31:\"Turkey &mdash; &#350;&#305;rnak\";s:7:\"TR:TR74\";s:26:\"Turkey &mdash; Bart&#305;n\";s:7:\"TR:TR75\";s:22:\"Turkey &mdash; Ardahan\";s:7:\"TR:TR76\";s:30:\"Turkey &mdash; I&#287;d&#305;r\";s:7:\"TR:TR77\";s:21:\"Turkey &mdash; Yalova\";s:7:\"TR:TR78\";s:27:\"Turkey &mdash; Karab&#252;k\";s:7:\"TR:TR79\";s:20:\"Turkey &mdash; Kilis\";s:7:\"TR:TR80\";s:23:\"Turkey &mdash; Osmaniye\";s:7:\"TR:TR81\";s:25:\"Turkey &mdash; D&#252;zce\";}s:2:\"TR\";s:6:\"Turkey\";s:2:\"TM\";s:12:\"Turkmenistan\";s:2:\"TC\";s:24:\"Turks and Caicos Islands\";s:2:\"TV\";s:6:\"Tuvalu\";s:2:\"UG\";s:6:\"Uganda\";s:2:\"UA\";s:7:\"Ukraine\";s:2:\"AE\";s:20:\"United Arab Emirates\";s:2:\"GB\";s:19:\"United Kingdom (UK)\";s:18:\"United States (US)\";a:54:{s:5:\"US:AL\";s:34:\"United States (US) &mdash; Alabama\";s:5:\"US:AK\";s:33:\"United States (US) &mdash; Alaska\";s:5:\"US:AZ\";s:34:\"United States (US) &mdash; Arizona\";s:5:\"US:AR\";s:35:\"United States (US) &mdash; Arkansas\";s:5:\"US:CA\";s:37:\"United States (US) &mdash; California\";s:5:\"US:CO\";s:35:\"United States (US) &mdash; Colorado\";s:5:\"US:CT\";s:38:\"United States (US) &mdash; Connecticut\";s:5:\"US:DE\";s:35:\"United States (US) &mdash; Delaware\";s:5:\"US:DC\";s:47:\"United States (US) &mdash; District Of Columbia\";s:5:\"US:FL\";s:34:\"United States (US) &mdash; Florida\";s:5:\"US:GA\";s:34:\"United States (US) &mdash; Georgia\";s:5:\"US:HI\";s:33:\"United States (US) &mdash; Hawaii\";s:5:\"US:ID\";s:32:\"United States (US) &mdash; Idaho\";s:5:\"US:IL\";s:35:\"United States (US) &mdash; Illinois\";s:5:\"US:IN\";s:34:\"United States (US) &mdash; Indiana\";s:5:\"US:IA\";s:31:\"United States (US) &mdash; Iowa\";s:5:\"US:KS\";s:33:\"United States (US) &mdash; Kansas\";s:5:\"US:KY\";s:35:\"United States (US) &mdash; Kentucky\";s:5:\"US:LA\";s:36:\"United States (US) &mdash; Louisiana\";s:5:\"US:ME\";s:32:\"United States (US) &mdash; Maine\";s:5:\"US:MD\";s:35:\"United States (US) &mdash; Maryland\";s:5:\"US:MA\";s:40:\"United States (US) &mdash; Massachusetts\";s:5:\"US:MI\";s:35:\"United States (US) &mdash; Michigan\";s:5:\"US:MN\";s:36:\"United States (US) &mdash; Minnesota\";s:5:\"US:MS\";s:38:\"United States (US) &mdash; Mississippi\";s:5:\"US:MO\";s:35:\"United States (US) &mdash; Missouri\";s:5:\"US:MT\";s:34:\"United States (US) &mdash; Montana\";s:5:\"US:NE\";s:35:\"United States (US) &mdash; Nebraska\";s:5:\"US:NV\";s:33:\"United States (US) &mdash; Nevada\";s:5:\"US:NH\";s:40:\"United States (US) &mdash; New Hampshire\";s:5:\"US:NJ\";s:37:\"United States (US) &mdash; New Jersey\";s:5:\"US:NM\";s:37:\"United States (US) &mdash; New Mexico\";s:5:\"US:NY\";s:35:\"United States (US) &mdash; New York\";s:5:\"US:NC\";s:41:\"United States (US) &mdash; North Carolina\";s:5:\"US:ND\";s:39:\"United States (US) &mdash; North Dakota\";s:5:\"US:OH\";s:31:\"United States (US) &mdash; Ohio\";s:5:\"US:OK\";s:35:\"United States (US) &mdash; Oklahoma\";s:5:\"US:OR\";s:33:\"United States (US) &mdash; Oregon\";s:5:\"US:PA\";s:39:\"United States (US) &mdash; Pennsylvania\";s:5:\"US:RI\";s:39:\"United States (US) &mdash; Rhode Island\";s:5:\"US:SC\";s:41:\"United States (US) &mdash; South Carolina\";s:5:\"US:SD\";s:39:\"United States (US) &mdash; South Dakota\";s:5:\"US:TN\";s:36:\"United States (US) &mdash; Tennessee\";s:5:\"US:TX\";s:32:\"United States (US) &mdash; Texas\";s:5:\"US:UT\";s:31:\"United States (US) &mdash; Utah\";s:5:\"US:VT\";s:34:\"United States (US) &mdash; Vermont\";s:5:\"US:VA\";s:35:\"United States (US) &mdash; Virginia\";s:5:\"US:WA\";s:37:\"United States (US) &mdash; Washington\";s:5:\"US:WV\";s:40:\"United States (US) &mdash; West Virginia\";s:5:\"US:WI\";s:36:\"United States (US) &mdash; Wisconsin\";s:5:\"US:WY\";s:34:\"United States (US) &mdash; Wyoming\";s:5:\"US:AA\";s:44:\"United States (US) &mdash; Armed Forces (AA)\";s:5:\"US:AE\";s:44:\"United States (US) &mdash; Armed Forces (AE)\";s:5:\"US:AP\";s:44:\"United States (US) &mdash; Armed Forces (AP)\";}s:2:\"US\";s:18:\"United States (US)\";s:2:\"UM\";s:41:\"United States (US) Minor Outlying Islands\";s:2:\"UY\";s:7:\"Uruguay\";s:2:\"UZ\";s:10:\"Uzbekistan\";s:2:\"VU\";s:7:\"Vanuatu\";s:2:\"VA\";s:7:\"Vatican\";s:2:\"VE\";s:9:\"Venezuela\";s:2:\"VN\";s:7:\"Vietnam\";s:2:\"VG\";s:24:\"Virgin Islands (British)\";s:2:\"VI\";s:19:\"Virgin Islands (US)\";s:2:\"WF\";s:17:\"Wallis and Futuna\";s:2:\"EH\";s:14:\"Western Sahara\";s:2:\"YE\";s:5:\"Yemen\";s:2:\"ZM\";s:6:\"Zambia\";s:2:\"ZW\";s:8:\"Zimbabwe\";}}','yes');
INSERT INTO `wp_2_options` VALUES (455,'wpem_done','1','yes'),(454,'wpem_opt_out','1','yes'),(457,'_site_transient_timeout_browser_7d900d7d3495762519f570856f45466d','1561155017','no'),(458,'_site_transient_browser_7d900d7d3495762519f570856f45466d','a:10:{s:4:\"name\";s:7:\"Firefox\";s:7:\"version\";s:4:\"66.0\";s:8:\"platform\";s:9:\"Macintosh\";s:10:\"update_url\";s:24:\"https://www.firefox.com/\";s:7:\"img_src\";s:44:\"http://s.w.org/images/browsers/firefox.png?1\";s:11:\"img_src_ssl\";s:45:\"https://s.w.org/images/browsers/firefox.png?1\";s:15:\"current_version\";s:2:\"56\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}','no'),(459,'_site_transient_timeout_php_check_6415703fad45c4c27e0da95f77a65191','1561155017','no'),(460,'_site_transient_php_check_6415703fad45c4c27e0da95f77a65191','a:5:{s:19:\"recommended_version\";s:3:\"7.3\";s:15:\"minimum_version\";s:6:\"5.6.20\";s:12:\"is_supported\";b:1;s:9:\"is_secure\";b:1;s:13:\"is_acceptable\";b:1;}','no'),(462,'_site_transient_timeout_community-events-c81218ead569010ded270eebfb1b7766','1560593420','no'),(463,'_site_transient_community-events-c81218ead569010ded270eebfb1b7766','a:2:{s:8:\"location\";a:1:{s:2:\"ip\";s:10:\"73.25.14.0\";}s:6:\"events\";a:3:{i:0;a:7:{s:4:\"type\";s:8:\"wordcamp\";s:5:\"title\";s:15:\"WordCamp Europe\";s:3:\"url\";s:33:\"https://2019.europe.wordcamp.org/\";s:6:\"meetup\";s:0:\"\";s:10:\"meetup_url\";s:0:\"\";s:4:\"date\";s:19:\"2019-06-20 00:00:00\";s:8:\"location\";a:4:{s:8:\"location\";s:15:\"Berlin, Germany\";s:7:\"country\";s:2:\"DE\";s:8:\"latitude\";d:52.50697000000000258523868978954851627349853515625;s:9:\"longitude\";d:13.2843064000000001811940819607116281986236572265625;}}i:1;a:7:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:53:\"Six Ways to Make WordPress Secure from Getting Hacked\";s:3:\"url\";s:47:\"https://www.meetup.com/pdx-wp/events/262269150/\";s:6:\"meetup\";s:25:\"Portland WordPress Meetup\";s:10:\"meetup_url\";s:30:\"https://www.meetup.com/pdx-wp/\";s:4:\"date\";s:19:\"2019-07-01 18:00:00\";s:8:\"location\";a:4:{s:8:\"location\";s:17:\"Portland, OR, USA\";s:7:\"country\";s:2:\"us\";s:8:\"latitude\";d:45.52210600000000084719431470148265361785888671875;s:9:\"longitude\";d:-122.67613000000000056388671509921550750732421875;}}i:2;a:7:{s:4:\"type\";s:8:\"wordcamp\";s:5:\"title\";s:24:\"WordCamp Seattle, WA USA\";s:3:\"url\";s:33:\"https://2019.seattle.wordcamp.org\";s:6:\"meetup\";N;s:10:\"meetup_url\";N;s:4:\"date\";s:19:\"2019-11-09 00:00:00\";s:8:\"location\";a:4:{s:8:\"location\";s:15:\"Seattle, WA USA\";s:7:\"country\";s:2:\"US\";s:8:\"latitude\";d:47.61165580000000119298420031554996967315673828125;s:9:\"longitude\";d:-122.3315194000000047935827751643955707550048828125;}}}}','no'),(2655,'wp_mail_smtp','a:8:{s:4:\"smtp\";a:8:{s:4:\"pass\";s:8:\"password\";s:4:\"user\";s:8:\"username\";s:4:\"auth\";b:1;s:10:\"encryption\";s:4:\"none\";s:4:\"port\";i:25;s:4:\"host\";s:9:\"localhost\";s:3:\"ssl\";s:0:\"\";s:7:\"autotls\";b:1;}s:4:\"mail\";a:6:{s:11:\"return_path\";b:1;s:6:\"mailer\";s:8:\"sendgrid\";s:9:\"from_name\";s:3:\"FFM\";s:10:\"from_email\";s:35:\"leads@franchisefocusedmarketing.com\";s:16:\"from_email_force\";b:1;s:15:\"from_name_force\";b:1;}s:7:\"general\";a:2:{s:23:\"am_notifications_hidden\";b:0;s:29:\"summary_report_email_disabled\";b:1;}s:7:\"smtpcom\";a:2:{s:7:\"api_key\";s:0:\"\";s:7:\"channel\";s:0:\"\";}s:10:\"sendinblue\";a:2:{s:7:\"api_key\";s:0:\"\";s:6:\"domain\";s:0:\"\";}s:7:\"mailgun\";a:2:{s:7:\"api_key\";s:0:\"\";s:6:\"domain\";s:0:\"\";}s:8:\"sendgrid\";a:1:{s:6:\"domain\";s:29:\"franchisefocusedmarketing.com\";}s:5:\"gmail\";a:2:{s:9:\"client_id\";s:0:\"\";s:13:\"client_secret\";s:0:\"\";}}','no'),(2656,'wp_mail_smtp_version','1.7.0','yes'),(799,'options_overlay_dark','#000000','no'),(800,'_options_overlay_dark','field_5cace12b7b2ce','no'),(801,'options_overlay_light','#FFFFFF','no'),(802,'_options_overlay_light','field_5cace1417b2cf','no'),(803,'options_link_color','#d0011b','no'),(804,'_options_link_color','field_5cace1727b2d0','no'),(805,'options_link_hover','#1e1547','no'),(806,'_options_link_hover','field_5cace1997b2d1','no'),(807,'options_light_btn_bg','#FFFFFF','no'),(808,'_options_light_btn_bg','field_5cace1fd7b2d5','no'),(809,'options_light_btn_hover','#dd3333','no'),(810,'_options_light_btn_hover','field_5cace30a7b2d6','no'),(811,'options_dark_btn_bg','#dd3333','no'),(812,'_options_dark_btn_bg','field_5cace3ff7b2d7','no'),(813,'options_dark_btn_hover','#FFFFFF','no'),(814,'_options_dark_btn_hover','field_5cace42a7b2d8','no'),(815,'options_hero_headers','#dbad52','no'),(816,'_options_hero_headers','field_5cae80e2fac9d','no'),(817,'options_content_panel_headers','#dbad52','no'),(818,'_options_content_panel_headers','field_5cd0c36ce7b5c','no'),(819,'options_footer_headers','#ffffff','no'),(820,'_options_footer_headers','field_5cc232dbdd54e','no'),(821,'options_border_radius','0','no'),(822,'_options_border_radius','field_5ce5b3ac97e94','no'),(823,'options_border_color','#ffffff','no'),(824,'_options_border_color','field_5cae1e7626343','no'),(825,'options_border_focus','#d0011b','no'),(826,'_options_border_focus','field_5cae77dae2278','no'),(827,'options_border_buttons','1','no'),(828,'_options_border_buttons','field_5ce5bfaafcc6f','no'),(829,'options_border_forms','1','no'),(830,'_options_border_forms','field_5ce5bfe1fcc70','no'),(831,'options_box_shadow_color','#000000','no'),(832,'_options_box_shadow_color','field_5ce5b34297e92','no'),(833,'options_shadow_content_images','1','no'),(834,'_options_shadow_content_images','field_5ce5bd219906f','no'),(835,'options_shadow_gallery_images','1','no'),(836,'_options_shadow_gallery_images','field_5ce5bd5099070','no'),(837,'options_shadow_small_blocks','0','no'),(838,'_options_shadow_small_blocks','field_5ce5bd6699071','no'),(839,'options_shadow_buttons','0','no'),(840,'_options_shadow_buttons','field_5ce5bda199072','no'),(841,'options_text_shadow_color','#000000','no'),(842,'_options_text_shadow_color','field_5ce5b38597e93','no'),(843,'options_hero_panel_text','1','no'),(844,'_options_hero_panel_text','field_5ce5c97394304','no'),(845,'options_footer_panel_text','0','no'),(846,'_options_footer_panel_text','field_5ce5c99394305','no'),(847,'options_feature_panels','0','no'),(848,'_options_feature_panels','field_5ce5c9a394306','no'),(849,'options_feature_boxes','0','no'),(850,'_options_feature_boxes','field_5ce5c9ae94307','no'),(851,'options_line_color','#d0011b','no'),(852,'_options_line_color','field_5cae1e2b26342','no'),(857,'options_header_font','rough-typewriter','no'),(858,'_options_header_font','field_5cacd69fa523a','no'),(859,'options_body_font','rubik','no'),(860,'_options_body_font','field_5cacd761a523b','no'),(861,'options_header_font_weight','bold','no'),(862,'_options_header_font_weight','field_5cb78e861d272','no'),(863,'options_body_font_weight','normal','no'),(864,'_options_body_font_weight','field_5cb78f021d273','no'),(869,'options_content_panels','0','no'),(870,'_options_content_panels','field_5cedbb4cfcdc6','no'),(871,'options_image_panels','0','no'),(872,'_options_image_panels','field_5cedbb19fcdc5','no'),(873,'options_content_panels_mobile','0','no'),(874,'_options_content_panels_mobile','field_5cedc1c66adbe','no'),(875,'options_image_panels_mobile','0','no'),(876,'_options_image_panels_mobile','field_5cedc1cc6adbf','no'),(877,'options_feature_panels_mobile','0','no'),(878,'_options_feature_panels_mobile','field_5cedc1d36adc0','no'),(879,'options_feature_boxes_mobile','0','no'),(880,'_options_feature_boxes_mobile','field_5cedc1db6adc1','no'),(887,'options_header_logo','249','no'),(888,'_options_header_logo','field_5bce12e8107eb','no'),(893,'options_name','JABZ Pages','no'),(894,'_options_name','field_5c893383acaf4','no'),(895,'options_email','','no'),(896,'_options_email','field_5c58b96d3617b','no'),(897,'options_phone','','no'),(898,'_options_phone','field_5c58b9873617c','no'),(899,'options_address_one','','no'),(900,'_options_address_one','field_5c58b9a13617d','no'),(901,'options_address_two','','no'),(902,'_options_address_two','field_5c58bbed3617e','no'),(903,'options_city','','no'),(904,'_options_city','field_5c58bc0c3617f','no'),(905,'options_state','','no'),(906,'_options_state','field_5c58bc3836180','no'),(907,'options_zip','','no'),(908,'_options_zip','field_5c58bc4f36181','no'),(909,'options_country','usa','no'),(910,'_options_country','field_5c58bc5f36182','no'),(911,'options_google_map','','no'),(7452,'new_admin_email','webmaster@reachagency.co','yes'),(7549,'theme_mods_clicks_3_child_f45','a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1620852468;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}}}}','yes'),(7764,'theme_mods_clicks_3_child_jabz','a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1620855764;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}}}}','yes'),(7761,'theme_mods_twentytwentyone','a:3:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1620855766;s:4:\"data\";a:2:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:9:\"sidebar-1\";a:0:{}}}}','yes'),(912,'_options_google_map','field_5c58bc6d36183','no'),(1022,'options_global_cr_submit_btn','GET STARTED','no'),(1023,'_options_global_cr_submit_btn','field_5c818a69d2dd4','no'),(1024,'options_global_cr_btn_style','hollow','no'),(1025,'_options_global_cr_btn_style','field_5c8aeac2dd196','no'),(1026,'options_global_cr_btn_color','light','no'),(1027,'_options_global_cr_btn_color','field_5cae420b6291d','no'),(1028,'options_global_cr_btn_align','text-center','no'),(1029,'_options_global_cr_btn_align','field_5c8acf0218cda','no'),(1030,'options_global_cr_btn_onclick','','no'),(1031,'_options_global_cr_btn_onclick','field_5c8aeb09dd197','no'),(1032,'options_global_cr_send_to','','no'),(1033,'_options_global_cr_send_to','field_5c818a69d2dd5','no'),(1034,'options_global_cr_cc','','no'),(1035,'_options_global_cr_cc','field_5c818a69d2dd6','no'),(1036,'options_global_cr_show_locations','0','no'),(1037,'_options_global_cr_show_locations','field_5c818b2bd2ddb','no'),(1038,'options_global_cr_campaign_name','','no'),(1039,'_options_global_cr_campaign_name','field_5c818aedd2dd9','no'),(1040,'options_global_cr_tt_store_id','','no'),(1041,'_options_global_cr_tt_store_id','field_5c819e0cd2df4','no'),(1042,'options_global_cr_template_id','','no'),(1043,'_options_global_cr_template_id','field_5c81a9463e34d','no'),(1044,'options_global_cr_success','<h3 style=\"text-align: center;\">Thank You!</h3>\r\n<h5 style=\"text-align: center;\">We\'ll contact you shortly to schedule your visit.</h5>\r\n<p style=\"text-align: center;\"></p>','no'),(1045,'_options_global_cr_success','field_5c818a69d2dd8','no'),(1046,'options_global_cr_share_align','text-center','no'),(1047,'_options_global_cr_share_align','field_5c902410ad3ef','no'),(1048,'options_global_cr_booking_msg','','no'),(1049,'_options_global_cr_booking_msg','field_5c8aed8e6b532','no'),(1050,'options_global_cr_booking_btn','','no'),(1051,'_options_global_cr_booking_btn','field_5ce4393f77184','no'),(1052,'options_global_cr_booking_success','','no'),(1053,'_options_global_cr_booking_success','field_5c901a0706f01','no'),(2835,'ure_admin_menu_copy','a:22:{i:1;a:4:{i:0;s:12:\"CLICKS Pages\";i:1;s:8:\"edit_lps\";i:2;s:21:\"edit.php?post_type=lp\";i:3;s:21:\"edit.php?post_type=lp\";}s:7:\"1.04602\";a:4:{i:0;s:15:\"Global Settings\";i:1;s:10:\"edit_posts\";i:2;s:17:\"acf-options-logos\";i:3;s:32:\"admin.php?page=acf-options-logos\";}s:7:\"1.22602\";a:4:{i:0;s:13:\"Location Info\";i:1;s:14:\"manage_options\";i:2;s:20:\"update-location-info\";i:3;s:35:\"admin.php?page=update-location-info\";}s:7:\"1.42668\";a:4:{i:0;s:14:\"Style Settings\";i:1;s:10:\"edit_posts\";i:2;s:17:\"acf-options-fonts\";i:3;s:32:\"admin.php?page=acf-options-fonts\";}s:7:\"1.82482\";a:4:{i:0;s:8:\"MindBody\";i:1;s:10:\"edit_posts\";i:2;s:30:\"acf-options-mbo-field-settings\";i:3;s:45:\"admin.php?page=acf-options-mbo-field-settings\";}s:7:\"1.88064\";a:4:{i:0;s:9:\"ClubReady\";i:1;s:10:\"edit_posts\";i:2;s:29:\"acf-options-cr-field-settings\";i:3;s:44:\"admin.php?page=acf-options-cr-field-settings\";}i:2;a:4:{i:0;s:9:\"Dashboard\";i:1;s:4:\"read\";i:2;s:9:\"index.php\";i:3;s:9:\"index.php\";}i:5;a:4:{i:0;s:5:\"Posts\";i:1;s:10:\"edit_posts\";i:2;s:8:\"edit.php\";i:3;s:8:\"edit.php\";}i:10;a:4:{i:0;s:5:\"Media\";i:1;s:12:\"upload_files\";i:2;s:10:\"upload.php\";i:3;s:10:\"upload.php\";}i:15;a:4:{i:0;s:5:\"Links\";i:1;s:12:\"manage_links\";i:2;s:16:\"link-manager.php\";i:3;s:16:\"link-manager.php\";}i:20;a:4:{i:0;s:5:\"Pages\";i:1;s:10:\"edit_pages\";i:2;s:23:\"edit.php?post_type=page\";i:3;s:23:\"edit.php?post_type=page\";}i:21;a:4:{i:0;s:12:\"Testimonials\";i:1;s:17:\"edit_testimonials\";i:2;s:30:\"edit.php?post_type=testimonial\";i:3;s:30:\"edit.php?post_type=testimonial\";}i:22;a:4:{i:0;s:4:\"FAQs\";i:1;s:9:\"edit_faqs\";i:2;s:22:\"edit.php?post_type=faq\";i:3;s:22:\"edit.php?post_type=faq\";}i:25;a:4:{i:0;s:198:\"Comments <span class=\"awaiting-mod count-0\"><span class=\"pending-count\" aria-hidden=\"true\">0</span><span class=\"comments-in-moderation-text screen-reader-text\">0 Comments in moderation</span></span>\";i:1;s:10:\"edit_posts\";i:2;s:17:\"edit-comments.php\";i:3;s:17:\"edit-comments.php\";}i:60;a:4:{i:0;s:10:\"Appearance\";i:1;s:13:\"switch_themes\";i:2;s:10:\"themes.php\";i:3;s:10:\"themes.php\";}i:65;a:4:{i:0;s:8:\"Plugins \";i:1;s:16:\"activate_plugins\";i:2;s:11:\"plugins.php\";i:3;s:11:\"plugins.php\";}i:70;a:4:{i:0;s:5:\"Users\";i:1;s:10:\"list_users\";i:2;s:9:\"users.php\";i:3;s:9:\"users.php\";}i:75;a:4:{i:0;s:5:\"Tools\";i:1;s:10:\"edit_posts\";i:2;s:9:\"tools.php\";i:3;s:9:\"tools.php\";}i:80;a:4:{i:0;s:8:\"Settings\";i:1;s:14:\"manage_options\";i:2;s:19:\"options-general.php\";i:3;s:19:\"options-general.php\";}s:7:\"80.2686\";a:4:{i:0;s:13:\"Custom Fields\";i:1;s:14:\"manage_options\";i:2;s:34:\"edit.php?post_type=acf-field-group\";i:3;s:34:\"edit.php?post_type=acf-field-group\";}i:98;a:4:{i:0;s:12:\"WP Mail SMTP\";i:1;s:14:\"manage_options\";i:2;s:12:\"wp-mail-smtp\";i:3;s:27:\"admin.php?page=wp-mail-smtp\";}i:100;a:4:{i:0;s:9:\"Broadcast\";i:1;s:10:\"edit_posts\";i:2;s:17:\"threewp-broadcast\";i:3;s:32:\"admin.php?page=threewp-broadcast\";}}','no'),(479,'recently_activated','a:1:{s:37:\"codemay-mindbody/codemay_mindbody.php\";i:1640733223;}','yes'),(525,'current_theme','CLICKS 3.0','yes'),(526,'theme_mods_clicks','a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1618516427;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}}}}','yes'),(527,'theme_switched','','yes'),(539,'acf_version','5.12.2','yes'),(541,'acf-image-aspect-ratio-crop-version','2.0.3','yes'),(550,'duplicate_page_options','a:4:{s:21:\"duplicate_post_status\";s:5:\"draft\";s:23:\"duplicate_post_redirect\";s:7:\"to_list\";s:21:\"duplicate_post_suffix\";s:0:\"\";s:21:\"duplicate_post_editor\";s:7:\"classic\";}','yes'),(554,'easy_fancybox_version','1.8.18','yes'),(562,'redirection_options','a:31:{s:7:\"support\";b:0;s:5:\"token\";s:32:\"e91ace2eedb25c9cece75fc51ec81dd1\";s:12:\"monitor_post\";i:1;s:13:\"monitor_types\";a:2:{i:0;s:4:\"post\";i:1;s:4:\"page\";}s:19:\"associated_redirect\";s:0:\"\";s:11:\"auto_target\";s:0:\"\";s:15:\"expire_redirect\";i:-1;s:10:\"expire_404\";i:-1;s:7:\"modules\";a:0:{}s:10:\"newsletter\";b:0;s:14:\"redirect_cache\";i:1;s:10:\"ip_logging\";i:0;s:13:\"last_group_id\";i:1;s:8:\"rest_api\";i:0;s:5:\"https\";b:0;s:8:\"database\";s:3:\"4.2\";s:10:\"flag_query\";s:5:\"exact\";s:9:\"flag_case\";b:0;s:13:\"flag_trailing\";b:0;s:10:\"flag_regex\";b:0;s:12:\"log_external\";b:0;s:10:\"log_header\";b:0;s:10:\"track_hits\";b:1;s:7:\"headers\";a:0:{}s:8:\"relocate\";s:0:\"\";s:16:\"preferred_domain\";s:0:\"\";s:7:\"aliases\";a:0:{}s:10:\"permalinks\";a:0:{}s:9:\"cache_key\";i:0;s:13:\"plugin_update\";s:6:\"prompt\";s:13:\"update_notice\";i:0;}','yes'),(565,'scporder_install','1','yes'),(568,'tadv_settings','a:10:{s:7:\"options\";s:44:\"menubar,advlist,menubar_block,merge_toolbars\";s:7:\"plugins\";s:104:\"anchor,code,insertdatetime,nonbreaking,print,searchreplace,table,visualblocks,visualchars,advlist,wptadv\";s:9:\"toolbar_1\";s:106:\"formatselect,bold,italic,blockquote,bullist,numlist,alignleft,aligncenter,alignright,link,unlink,undo,redo\";s:9:\"toolbar_2\";s:103:\"fontselect,fontsizeselect,outdent,indent,pastetext,removeformat,charmap,wp_more,forecolor,table,wp_help\";s:9:\"toolbar_3\";s:0:\"\";s:9:\"toolbar_4\";s:0:\"\";s:21:\"toolbar_classic_block\";s:123:\"formatselect,bold,italic,blockquote,bullist,numlist,alignleft,aligncenter,alignright,link,forecolor,backcolor,table,wp_help\";s:13:\"toolbar_block\";s:10:\"core/image\";s:18:\"toolbar_block_side\";s:88:\"core/superscript,core/subscript,core/strikethrough,core/code,tadv/mark,tadv/removeformat\";s:12:\"panels_block\";s:44:\"tadv/color-panel,tadv/background-color-panel\";}','yes'),(569,'tadv_admin_settings','a:1:{s:7:\"options\";s:86:\"classic_paragraph_block,table_resize_bars,table_grid,table_tab_navigation,table_advtab\";}','yes'),(570,'tadv_version','5600','yes'),(579,'scporder_notice','1','yes'),(584,'acf_pro_license','YToyOntzOjM6ImtleSI7czo3NjoiYjNKa1pYSmZhV1E5TVRBek1ERXpmSFI1Y0dVOVpHVjJaV3h2Y0dWeWZHUmhkR1U5TWpBeE55MHdNeTB5T1NBd05Ub3lOam93TVE9PSI7czozOiJ1cmwiO3M6Mjg6Imh0dHBzOi8vbWF5d2VhdGhlcmNsaWNrcy5jb20iO30=','yes'),(615,'fancybox_enableImg','1','yes'),(616,'fancybox_enableInline','','yes'),(617,'fancybox_enablePDF','','yes'),(618,'fancybox_enableSWF','','yes'),(619,'fancybox_enableSVG','','yes'),(620,'fancybox_enableYoutube','','yes'),(621,'fancybox_enableVimeo','','yes'),(622,'fancybox_enableDailymotion','','yes'),(623,'fancybox_enableiFrame','','yes'),(624,'fancybox_overlayShow','1','yes'),(625,'fancybox_hideOnOverlayClick','1','yes'),(626,'fancybox_overlayOpacity','','yes'),(627,'fancybox_overlayColor','','yes'),(628,'fancybox_overlaySpotlight','','yes'),(629,'fancybox_showCloseButton','1','yes'),(630,'fancybox_backgroundColor','','yes'),(631,'fancybox_textColor','','yes'),(632,'fancybox_titleColor','','yes'),(633,'fancybox_paddingColor','','yes'),(634,'fancybox_borderRadius','','yes'),(635,'fancybox_width','','yes'),(636,'fancybox_height','','yes'),(637,'fancybox_padding','','yes'),(638,'fancybox_margin','20','yes'),(639,'fancybox_centerOnScroll','','yes'),(640,'fancybox_enableEscapeButton','1','yes'),(641,'fancybox_autoScale','1','yes'),(642,'fancybox_speedIn','','yes'),(643,'fancybox_speedOut','','yes'),(644,'fancybox_mouseWheel','1','yes'),(645,'fancybox_autoClick','1','yes'),(646,'fancybox_delayClick','1000','yes'),(647,'fancybox_minViewportWidth','','yes'),(648,'fancybox_compatIE8','','yes'),(649,'fancybox_scriptPriority','10','yes'),(650,'fancybox_noFooter','','yes'),(651,'fancybox_nojQuery','','yes'),(652,'fancybox_pre45Compat','','yes'),(653,'fancybox_metaData','','yes'),(654,'fancybox_vcMasonryCompat','','yes'),(655,'blog_upload_space','','yes'),(2765,'admin_email_lifespan','0','yes'),(2836,'ure_admin_sub_menu_copy','a:21:{s:9:\"index.php\";a:2:{i:0;a:4:{i:0;s:4:\"Home\";i:1;s:4:\"read\";i:2;s:9:\"index.php\";i:3;s:9:\"index.php\";}i:5;a:4:{i:0;s:8:\"My Sites\";i:1;s:4:\"read\";i:2;s:12:\"my-sites.php\";i:3;s:12:\"my-sites.php\";}}s:10:\"upload.php\";a:2:{i:5;a:4:{i:0;s:7:\"Library\";i:1;s:12:\"upload_files\";i:2;s:10:\"upload.php\";i:3;s:10:\"upload.php\";}i:10;a:4:{i:0;s:7:\"Add New\";i:1;s:12:\"upload_files\";i:2;s:13:\"media-new.php\";i:3;s:13:\"media-new.php\";}}s:16:\"link-manager.php\";a:3:{i:5;a:4:{i:0;s:9:\"All Links\";i:1;s:12:\"manage_links\";i:2;s:16:\"link-manager.php\";i:3;s:16:\"link-manager.php\";}i:10;a:4:{i:0;s:7:\"Add New\";i:1;s:12:\"manage_links\";i:2;s:12:\"link-add.php\";i:3;s:12:\"link-add.php\";}i:15;a:4:{i:0;s:15:\"Link Categories\";i:1;s:17:\"manage_categories\";i:2;s:36:\"edit-tags.php?taxonomy=link_category\";i:3;s:36:\"edit-tags.php?taxonomy=link_category\";}}s:17:\"edit-comments.php\";a:1:{i:0;a:4:{i:0;s:12:\"All Comments\";i:1;s:10:\"edit_posts\";i:2;s:17:\"edit-comments.php\";i:3;s:17:\"edit-comments.php\";}}s:8:\"edit.php\";a:4:{i:5;a:4:{i:0;s:9:\"All Posts\";i:1;s:10:\"edit_posts\";i:2;s:8:\"edit.php\";i:3;s:8:\"edit.php\";}i:10;a:4:{i:0;s:7:\"Add New\";i:1;s:12:\"create_posts\";i:2;s:12:\"post-new.php\";i:3;s:12:\"post-new.php\";}i:15;a:4:{i:0;s:10:\"Categories\";i:1;s:17:\"manage_categories\";i:2;s:31:\"edit-tags.php?taxonomy=category\";i:3;s:31:\"edit-tags.php?taxonomy=category\";}i:16;a:4:{i:0;s:4:\"Tags\";i:1;s:16:\"manage_post_tags\";i:2;s:31:\"edit-tags.php?taxonomy=post_tag\";i:3;s:31:\"edit-tags.php?taxonomy=post_tag\";}}s:23:\"edit.php?post_type=page\";a:2:{i:5;a:4:{i:0;s:9:\"All Pages\";i:1;s:10:\"edit_pages\";i:2;s:23:\"edit.php?post_type=page\";i:3;s:23:\"edit.php?post_type=page\";}i:10;a:4:{i:0;s:7:\"Add New\";i:1;s:12:\"create_pages\";i:2;s:27:\"post-new.php?post_type=page\";i:3;s:27:\"post-new.php?post_type=page\";}}s:21:\"edit.php?post_type=lp\";a:2:{i:5;a:4:{i:0;s:12:\"CLICKS Pages\";i:1;s:8:\"edit_lps\";i:2;s:21:\"edit.php?post_type=lp\";i:3;s:21:\"edit.php?post_type=lp\";}i:10;a:4:{i:0;s:7:\"Add New\";i:1;s:10:\"create_lps\";i:2;s:25:\"post-new.php?post_type=lp\";i:3;s:25:\"post-new.php?post_type=lp\";}}s:30:\"edit.php?post_type=testimonial\";a:3:{i:5;a:4:{i:0;s:12:\"Testimonials\";i:1;s:17:\"edit_testimonials\";i:2;s:30:\"edit.php?post_type=testimonial\";i:3;s:30:\"edit.php?post_type=testimonial\";}i:10;a:4:{i:0;s:7:\"Add New\";i:1;s:19:\"create_testimonials\";i:2;s:34:\"post-new.php?post_type=testimonial\";i:3;s:34:\"post-new.php?post_type=testimonial\";}i:15;a:4:{i:0;s:10:\"Categories\";i:1;s:17:\"manage_categories\";i:2;s:57:\"edit-tags.php?taxonomy=category&amp;post_type=testimonial\";i:3;s:57:\"edit-tags.php?taxonomy=category&amp;post_type=testimonial\";}}s:22:\"edit.php?post_type=faq\";a:3:{i:5;a:4:{i:0;s:4:\"FAQs\";i:1;s:9:\"edit_faqs\";i:2;s:22:\"edit.php?post_type=faq\";i:3;s:22:\"edit.php?post_type=faq\";}i:10;a:4:{i:0;s:7:\"Add New\";i:1;s:11:\"create_faqs\";i:2;s:26:\"post-new.php?post_type=faq\";i:3;s:26:\"post-new.php?post_type=faq\";}i:15;a:4:{i:0;s:10:\"Categories\";i:1;s:17:\"manage_categories\";i:2;s:49:\"edit-tags.php?taxonomy=category&amp;post_type=faq\";i:3;s:49:\"edit-tags.php?taxonomy=category&amp;post_type=faq\";}}s:10:\"themes.php\";a:2:{i:5;a:4:{i:0;s:7:\"Themes \";i:1;s:13:\"switch_themes\";i:2;s:10:\"themes.php\";i:3;s:10:\"themes.php\";}i:6;a:5:{i:0;s:9:\"Customize\";i:1;s:9:\"customize\";i:2;s:92:\"customize.php?return=%2Fpages%2Fwp-admin%2Fplugins.php%3Fplugin_status%3Dall%26paged%3D1%26s\";i:3;s:13:\"customize.php\";i:4;s:20:\"hide-if-no-customize\";}}s:11:\"plugins.php\";a:1:{i:5;a:4:{i:0;s:17:\"Installed Plugins\";i:1;s:16:\"activate_plugins\";i:2;s:11:\"plugins.php\";i:3;s:11:\"plugins.php\";}}s:9:\"users.php\";a:4:{i:5;a:4:{i:0;s:9:\"All Users\";i:1;s:10:\"list_users\";i:2;s:9:\"users.php\";i:3;s:9:\"users.php\";}i:10;a:4:{i:0;s:7:\"Add New\";i:1;s:12:\"create_users\";i:2;s:12:\"user-new.php\";i:3;s:12:\"user-new.php\";}i:15;a:4:{i:0;s:7:\"Profile\";i:1;s:4:\"read\";i:2;s:11:\"profile.php\";i:3;s:11:\"profile.php\";}i:16;a:4:{i:0;s:16:\"User Role Editor\";i:1;s:14:\"ure_edit_roles\";i:2;s:30:\"users-user-role-editor-pro.php\";i:3;s:45:\"users.php?page=users-user-role-editor-pro.php\";}}s:9:\"tools.php\";a:9:{i:5;a:4:{i:0;s:15:\"Available Tools\";i:1;s:10:\"edit_posts\";i:2;s:9:\"tools.php\";i:3;s:9:\"tools.php\";}i:10;a:4:{i:0;s:6:\"Import\";i:1;s:6:\"import\";i:2;s:10:\"import.php\";i:3;s:10:\"import.php\";}i:15;a:4:{i:0;s:6:\"Export\";i:1;s:6:\"export\";i:2;s:10:\"export.php\";i:3;s:10:\"export.php\";}i:20;a:4:{i:0;s:11:\"Site Health\";i:1;s:23:\"view_site_health_checks\";i:2;s:15:\"site-health.php\";i:3;s:15:\"site-health.php\";}i:25;a:4:{i:0;s:20:\"Export Personal Data\";i:1;s:27:\"export_others_personal_data\";i:2;s:24:\"export-personal-data.php\";i:3;s:24:\"export-personal-data.php\";}i:30;a:4:{i:0;s:19:\"Erase Personal Data\";i:1;s:26:\"erase_others_personal_data\";i:2;s:23:\"erase-personal-data.php\";i:3;s:23:\"erase-personal-data.php\";}i:35;a:4:{i:0;s:11:\"Delete Site\";i:1;s:11:\"delete_site\";i:2;s:18:\"ms-delete-site.php\";i:3;s:18:\"ms-delete-site.php\";}i:36;a:4:{i:0;s:17:\"Scheduled Actions\";i:1;s:14:\"manage_options\";i:2;s:16:\"action-scheduler\";i:3;s:31:\"tools.php?page=action-scheduler\";}i:37;a:4:{i:0;s:11:\"Redirection\";i:1;s:14:\"manage_options\";i:2;s:15:\"redirection.php\";i:3;s:30:\"tools.php?page=redirection.php\";}}s:19:\"options-general.php\";a:10:{i:10;a:4:{i:0;s:7:\"General\";i:1;s:14:\"manage_options\";i:2;s:19:\"options-general.php\";i:3;s:19:\"options-general.php\";}i:15;a:4:{i:0;s:7:\"Writing\";i:1;s:14:\"manage_options\";i:2;s:19:\"options-writing.php\";i:3;s:19:\"options-writing.php\";}i:20;a:4:{i:0;s:7:\"Reading\";i:1;s:14:\"manage_options\";i:2;s:19:\"options-reading.php\";i:3;s:19:\"options-reading.php\";}i:25;a:4:{i:0;s:10:\"Discussion\";i:1;s:14:\"manage_options\";i:2;s:22:\"options-discussion.php\";i:3;s:22:\"options-discussion.php\";}i:30;a:4:{i:0;s:5:\"Media\";i:1;s:14:\"manage_options\";i:2;s:17:\"options-media.php\";i:3;s:17:\"options-media.php\";}i:40;a:4:{i:0;s:10:\"Permalinks\";i:1;s:14:\"manage_options\";i:2;s:21:\"options-permalink.php\";i:3;s:21:\"options-permalink.php\";}i:45;a:4:{i:0;s:7:\"Privacy\";i:1;s:22:\"manage_privacy_options\";i:2;s:19:\"options-privacy.php\";i:3;s:19:\"options-privacy.php\";}i:46;a:4:{i:0;s:14:\"Duplicate Page\";i:1;s:14:\"manage_options\";i:2;s:23:\"duplicate_page_settings\";i:3;s:48:\"options-general.php?page=duplicate_page_settings\";}i:47;a:4:{i:0;s:8:\"SCPOrder\";i:1;s:14:\"manage_options\";i:2;s:17:\"scporder-settings\";i:3;s:42:\"options-general.php?page=scporder-settings\";}i:48;a:4:{i:0;s:40:\"Advanced Editor Tools (TinyMCE Advanced)\";i:1;s:14:\"manage_options\";i:2;s:16:\"tinymce-advanced\";i:3;s:41:\"options-general.php?page=tinymce-advanced\";}}s:34:\"edit.php?post_type=acf-field-group\";a:4:{i:0;a:4:{i:0;s:12:\"Field Groups\";i:1;s:14:\"manage_options\";i:2;s:34:\"edit.php?post_type=acf-field-group\";i:3;s:34:\"edit.php?post_type=acf-field-group\";}i:1;a:4:{i:0;s:7:\"Add New\";i:1;s:14:\"manage_options\";i:2;s:38:\"post-new.php?post_type=acf-field-group\";i:3;s:38:\"post-new.php?post_type=acf-field-group\";}i:2;a:4:{i:0;s:5:\"Tools\";i:1;s:14:\"manage_options\";i:2;s:9:\"acf-tools\";i:3;s:53:\"edit.php?post_type=acf-field-group&amp;page=acf-tools\";}i:3;a:4:{i:0;s:7:\"Updates\";i:1;s:14:\"manage_options\";i:2;s:20:\"acf-settings-updates\";i:3;s:64:\"edit.php?post_type=acf-field-group&amp;page=acf-settings-updates\";}}s:17:\"threewp-broadcast\";a:7:{i:0;a:4:{i:0;s:9:\"Broadcast\";i:1;s:10:\"edit_posts\";i:2;s:17:\"threewp-broadcast\";i:3;s:32:\"admin.php?page=threewp-broadcast\";}i:1;a:4:{i:0;s:7:\"Add-ons\";i:1;s:10:\"edit_posts\";i:2;s:5:\"bc_pp\";i:3;s:20:\"admin.php?page=bc_pp\";}i:2;a:4:{i:0;s:3:\"ACF\";i:1;s:10:\"edit_posts\";i:2;s:13:\"broadcast_acf\";i:3;s:28:\"admin.php?page=broadcast_acf\";}i:3;a:4:{i:0;s:11:\"Bulk Cloner\";i:1;s:10:\"edit_posts\";i:2;s:14:\"bc_bulk_cloner\";i:3;s:29:\"admin.php?page=bc_bulk_cloner\";}i:4;a:4:{i:0;s:12:\"Copy options\";i:1;s:10:\"edit_posts\";i:2;s:22:\"broadcast_copy_options\";i:3;s:37:\"admin.php?page=broadcast_copy_options\";}i:5;a:4:{i:0;s:5:\"Queue\";i:1;s:10:\"edit_posts\";i:2;s:23:\"threewp_broadcast_queue\";i:3;s:38:\"admin.php?page=threewp_broadcast_queue\";}i:6;a:4:{i:0;s:14:\"User Role Sync\";i:1;s:10:\"edit_posts\";i:2;s:32:\"threewp_broadcast_user_role_sync\";i:3;s:47:\"admin.php?page=threewp_broadcast_user_role_sync\";}}s:12:\"wp-mail-smtp\";a:5:{i:0;a:4:{i:0;s:8:\"Settings\";i:1;s:14:\"manage_options\";i:2;s:12:\"wp-mail-smtp\";i:3;s:27:\"admin.php?page=wp-mail-smtp\";}i:1;a:4:{i:0;s:9:\"Email Log\";i:1;s:14:\"manage_options\";i:2;s:17:\"wp-mail-smtp-logs\";i:3;s:32:\"admin.php?page=wp-mail-smtp-logs\";}i:2;a:4:{i:0;s:13:\"Email Reports\";i:1;s:14:\"manage_options\";i:2;s:20:\"wp-mail-smtp-reports\";i:3;s:35:\"admin.php?page=wp-mail-smtp-reports\";}i:3;a:4:{i:0;s:5:\"Tools\";i:1;s:14:\"manage_options\";i:2;s:18:\"wp-mail-smtp-tools\";i:3;s:33:\"admin.php?page=wp-mail-smtp-tools\";}i:4;a:4:{i:0;s:8:\"About Us\";i:1;s:14:\"manage_options\";i:2;s:18:\"wp-mail-smtp-about\";i:3;s:33:\"admin.php?page=wp-mail-smtp-about\";}}s:17:\"acf-options-logos\";a:3:{i:0;a:4:{i:0;s:5:\"Logos\";i:1;s:10:\"edit_posts\";i:2;s:17:\"acf-options-logos\";i:3;s:32:\"admin.php?page=acf-options-logos\";}i:1;a:4:{i:0;s:12:\"Contact Info\";i:1;s:10:\"edit_posts\";i:2;s:24:\"acf-options-contact-info\";i:3;s:39:\"admin.php?page=acf-options-contact-info\";}i:2;a:4:{i:0;s:13:\"Tracking Info\";i:1;s:10:\"edit_posts\";i:2;s:25:\"acf-options-tracking-info\";i:3;s:40:\"admin.php?page=acf-options-tracking-info\";}}s:17:\"acf-options-fonts\";a:3:{i:0;a:4:{i:0;s:5:\"Fonts\";i:1;s:10:\"edit_posts\";i:2;s:17:\"acf-options-fonts\";i:3;s:32:\"admin.php?page=acf-options-fonts\";}i:1;a:4:{i:0;s:6:\"Colors\";i:1;s:10:\"edit_posts\";i:2;s:18:\"acf-options-colors\";i:3;s:33:\"admin.php?page=acf-options-colors\";}i:2;a:4:{i:0;s:10:\"Animations\";i:1;s:10:\"edit_posts\";i:2;s:22:\"acf-options-animations\";i:3;s:37:\"admin.php?page=acf-options-animations\";}}s:29:\"acf-options-cr-field-settings\";a:2:{i:0;a:4:{i:0;s:17:\"CR Field Settings\";i:1;s:10:\"edit_posts\";i:2;s:29:\"acf-options-cr-field-settings\";i:3;s:44:\"admin.php?page=acf-options-cr-field-settings\";}i:1;a:4:{i:0;s:16:\"CR Form Settings\";i:1;s:10:\"edit_posts\";i:2;s:28:\"acf-options-cr-form-settings\";i:3;s:43:\"admin.php?page=acf-options-cr-form-settings\";}}s:30:\"acf-options-mbo-field-settings\";a:2:{i:0;a:4:{i:0;s:18:\"MBO Field Settings\";i:1;s:10:\"edit_posts\";i:2;s:30:\"acf-options-mbo-field-settings\";i:3;s:45:\"admin.php?page=acf-options-mbo-field-settings\";}i:1;a:4:{i:0;s:17:\"MBO Form Settings\";i:1;s:10:\"edit_posts\";i:2;s:29:\"acf-options-mbo-form-settings\";i:3;s:44:\"admin.php?page=acf-options-mbo-form-settings\";}}}','no'),(2837,'ure_admin_menu_hashes','a:75:{s:9:\"index.php\";i:1;s:12:\"my-sites.php\";i:1;s:10:\"upload.php\";i:1;s:13:\"media-new.php\";i:1;s:16:\"link-manager.php\";i:1;s:12:\"link-add.php\";i:1;s:36:\"edit-tags.php?taxonomy=link_category\";i:1;s:17:\"edit-comments.php\";i:1;s:8:\"edit.php\";i:1;s:12:\"post-new.php\";i:1;s:31:\"edit-tags.php?taxonomy=category\";i:1;s:31:\"edit-tags.php?taxonomy=post_tag\";i:1;s:23:\"edit.php?post_type=page\";i:1;s:27:\"post-new.php?post_type=page\";i:1;s:21:\"edit.php?post_type=lp\";i:1;s:25:\"post-new.php?post_type=lp\";i:1;s:30:\"edit.php?post_type=testimonial\";i:1;s:34:\"post-new.php?post_type=testimonial\";i:1;s:57:\"edit-tags.php?taxonomy=category&amp;post_type=testimonial\";i:1;s:22:\"edit.php?post_type=faq\";i:1;s:26:\"post-new.php?post_type=faq\";i:1;s:49:\"edit-tags.php?taxonomy=category&amp;post_type=faq\";i:1;s:10:\"themes.php\";i:1;s:13:\"customize.php\";i:1;s:11:\"plugins.php\";i:1;s:9:\"users.php\";i:1;s:12:\"user-new.php\";i:1;s:11:\"profile.php\";i:1;s:45:\"users.php?page=users-user-role-editor-pro.php\";i:1;s:9:\"tools.php\";i:1;s:10:\"import.php\";i:1;s:10:\"export.php\";i:1;s:15:\"site-health.php\";i:1;s:24:\"export-personal-data.php\";i:1;s:23:\"erase-personal-data.php\";i:1;s:18:\"ms-delete-site.php\";i:1;s:31:\"tools.php?page=action-scheduler\";i:1;s:30:\"tools.php?page=redirection.php\";i:1;s:19:\"options-general.php\";i:1;s:19:\"options-writing.php\";i:1;s:19:\"options-reading.php\";i:1;s:22:\"options-discussion.php\";i:1;s:17:\"options-media.php\";i:1;s:21:\"options-permalink.php\";i:1;s:19:\"options-privacy.php\";i:1;s:48:\"options-general.php?page=duplicate_page_settings\";i:1;s:42:\"options-general.php?page=scporder-settings\";i:1;s:41:\"options-general.php?page=tinymce-advanced\";i:1;s:34:\"edit.php?post_type=acf-field-group\";i:1;s:38:\"post-new.php?post_type=acf-field-group\";i:1;s:53:\"edit.php?post_type=acf-field-group&amp;page=acf-tools\";i:1;s:64:\"edit.php?post_type=acf-field-group&amp;page=acf-settings-updates\";i:1;s:32:\"admin.php?page=threewp-broadcast\";i:1;s:20:\"admin.php?page=bc_pp\";i:1;s:28:\"admin.php?page=broadcast_acf\";i:1;s:29:\"admin.php?page=bc_bulk_cloner\";i:1;s:37:\"admin.php?page=broadcast_copy_options\";i:1;s:38:\"admin.php?page=threewp_broadcast_queue\";i:1;s:47:\"admin.php?page=threewp_broadcast_user_role_sync\";i:1;s:35:\"admin.php?page=update-location-info\";i:1;s:27:\"admin.php?page=wp-mail-smtp\";i:1;s:32:\"admin.php?page=wp-mail-smtp-logs\";i:1;s:35:\"admin.php?page=wp-mail-smtp-reports\";i:1;s:33:\"admin.php?page=wp-mail-smtp-tools\";i:1;s:33:\"admin.php?page=wp-mail-smtp-about\";i:1;s:32:\"admin.php?page=acf-options-logos\";i:1;s:39:\"admin.php?page=acf-options-contact-info\";i:1;s:40:\"admin.php?page=acf-options-tracking-info\";i:1;s:32:\"admin.php?page=acf-options-fonts\";i:1;s:33:\"admin.php?page=acf-options-colors\";i:1;s:37:\"admin.php?page=acf-options-animations\";i:1;s:44:\"admin.php?page=acf-options-cr-field-settings\";i:1;s:43:\"admin.php?page=acf-options-cr-form-settings\";i:1;s:45:\"admin.php?page=acf-options-mbo-field-settings\";i:1;s:44:\"admin.php?page=acf-options-mbo-form-settings\";i:1;}','yes'),(2838,'ure_meta_boxes_list_copy','a:33:{s:32:\"0071385066f0d48b8d21228663e9f796\";O:8:\"stdClass\":5:{s:2:\"id\";s:19:\"dashboard_right_now\";s:5:\"title\";s:11:\"At a Glance\";s:6:\"screen\";s:9:\"dashboard\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"a65f4266e6104b3d607700c0a96c4c21\";O:8:\"stdClass\":5:{s:2:\"id\";s:18:\"dashboard_activity\";s:5:\"title\";s:8:\"Activity\";s:6:\"screen\";s:9:\"dashboard\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"b13242c3736327cd02513a614e461ad5\";O:8:\"stdClass\":5:{s:2:\"id\";s:21:\"dashboard_quick_press\";s:5:\"title\";s:97:\"<span class=\"hide-if-no-js\">Quick Draft</span> <span class=\"hide-if-js\">Your Recent Drafts</span>\";s:6:\"screen\";s:9:\"dashboard\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"1927cd2186cfb51d911228623e25bea5\";O:8:\"stdClass\":5:{s:2:\"id\";s:17:\"dashboard_primary\";s:5:\"title\";s:25:\"WordPress Events and News\";s:6:\"screen\";s:9:\"dashboard\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"f3eb12896c7e9ca987e91546c900efe8\";O:8:\"stdClass\":5:{s:2:\"id\";s:12:\"revisionsdiv\";s:5:\"title\";s:9:\"Revisions\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"ea5426830f7c8a7c92c13416b8dac2e2\";O:8:\"stdClass\":5:{s:2:\"id\";s:7:\"slugdiv\";s:5:\"title\";s:4:\"Slug\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"1c9de5b4c462e90b1775e2ccde19f014\";O:8:\"stdClass\":5:{s:2:\"id\";s:9:\"authordiv\";s:5:\"title\";s:6:\"Author\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"a31e6d30e5d6638718aecc05897797d2\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5c5a12126ead9\";s:5:\"title\";s:11:\"Hero Panels\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"high\";}s:32:\"a2832b4ef232600a6e06483710763e80\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5c4ca5d69087e\";s:5:\"title\";s:14:\"Content Panels\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"high\";}s:32:\"4df77f072b4fed78a92ae0b77fb8832f\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5c74278b10ebf\";s:5:\"title\";s:13:\"Footer Panels\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"high\";}s:32:\"0c20426d4e090ab05a4d89f67d0a88d5\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5c8ab548d9c40\";s:5:\"title\";s:24:\"ClubReady Form Overrides\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"high\";}s:32:\"a41a432f5ec5e5cd8b8e38e3cd12cf1b\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5c8ac5e7c3cb5\";s:5:\"title\";s:23:\"Tracking Info Overrides\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"high\";}s:32:\"fb544f36f2162c7e77a07475fc838871\";O:8:\"stdClass\":5:{s:2:\"id\";s:9:\"submitdiv\";s:5:\"title\";s:7:\"Publish\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"7caf7193185b0360dad89c59ff7709e4\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5c804db294dc8\";s:5:\"title\";s:24:\"ClubReady Field Override\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"f85aed491228da354654043313485692\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5c840bb23ecc1\";s:5:\"title\";s:24:\"ClubReady Form Shortcode\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"a3e1025494444877bb1076f35fd7154e\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5c896336d2e31\";s:5:\"title\";s:15:\"Countdown Timer\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"dc323891b7ab5fb0907c41ebe4c75a53\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5d0d36d939421\";s:5:\"title\";s:16:\"Page Description\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"1ece4d5dc78bdb2a082954c61e82dcec\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5cc1fc60cfc22\";s:5:\"title\";s:10:\"Shortcodes\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"5185b6dfc2e188ecccd872b7317c0102\";O:8:\"stdClass\":5:{s:2:\"id\";s:17:\"threewp_broadcast\";s:5:\"title\";s:9:\"Broadcast\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:3:\"low\";}s:32:\"95b8afbb541e2df1f0d65b4f1c2550ec\";O:8:\"stdClass\":5:{s:2:\"id\";s:17:\"threewp_broadcast\";s:5:\"title\";s:9:\"Broadcast\";s:6:\"screen\";s:3:\"acf\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:3:\"low\";}s:32:\"8580f26881b37162afdb3c421e4c77e9\";O:8:\"stdClass\":5:{s:2:\"id\";s:17:\"threewp_broadcast\";s:5:\"title\";s:9:\"Broadcast\";s:6:\"screen\";s:15:\"acf-field-group\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:3:\"low\";}s:32:\"2fceabe8eba2ea12072230e103e3e37e\";O:8:\"stdClass\":5:{s:2:\"id\";s:17:\"threewp_broadcast\";s:5:\"title\";s:9:\"Broadcast\";s:6:\"screen\";s:9:\"wpcf7-new\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:3:\"low\";}s:32:\"9d4205cf9a384aa0b84d931d7a69e1fd\";O:8:\"stdClass\":5:{s:2:\"id\";s:21:\"dashboard_site_health\";s:5:\"title\";s:18:\"Site Health Status\";s:6:\"screen\";s:9:\"dashboard\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"13f7673d4e17d0068494b91d9181e758\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5cc763566ccea\";s:5:\"title\";s:23:\"MindBody Form Overrides\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"high\";}s:32:\"f693550da4009ea1e572ee6cb35c32f1\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5cc762e2979de\";s:5:\"title\";s:23:\"MindBody Field Override\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"b9abde61535f8b130fbd10b897695f2b\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5cc7644d1e818\";s:5:\"title\";s:23:\"MindBody Form Shortcode\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"1753d79881ad89d7b590908abe650ffa\";O:8:\"stdClass\":5:{s:2:\"id\";s:9:\"submitdiv\";s:5:\"title\";s:7:\"Publish\";s:6:\"screen\";s:11:\"testimonial\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"6ab8c07e536852257c13e9be551410fe\";O:8:\"stdClass\":5:{s:2:\"id\";s:11:\"categorydiv\";s:5:\"title\";s:10:\"Categories\";s:6:\"screen\";s:11:\"testimonial\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"ebff9cbb8ab8f4c7d10c8211a797f790\";O:8:\"stdClass\":5:{s:2:\"id\";s:13:\"pageparentdiv\";s:5:\"title\";s:15:\"Post Attributes\";s:6:\"screen\";s:11:\"testimonial\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"297f0dd7f292deaaa2f4d91e82935c5e\";O:8:\"stdClass\":5:{s:2:\"id\";s:7:\"slugdiv\";s:5:\"title\";s:4:\"Slug\";s:6:\"screen\";s:11:\"testimonial\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"955fb830bc19cf63a1aef7d7524b3aa5\";O:8:\"stdClass\":5:{s:2:\"id\";s:9:\"authordiv\";s:5:\"title\";s:6:\"Author\";s:6:\"screen\";s:11:\"testimonial\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"0aeba064d15fc1a8c6dddef41ce1b45d\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5983f0161dee6\";s:5:\"title\";s:16:\"Testimonial Info\";s:6:\"screen\";s:11:\"testimonial\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"high\";}s:32:\"d375320c6fefa1f1ce8c5a119d149f7f\";O:8:\"stdClass\":5:{s:2:\"id\";s:32:\"wp_mail_smtp_reports_widget_lite\";s:5:\"title\";s:12:\"WP Mail SMTP\";s:6:\"screen\";s:9:\"dashboard\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}}','no'),(3465,'wp_mail_smtp_debug','a:0:{}','no'),(4262,'fresh_site','0','yes'),(5359,'action_scheduler_hybrid_store_demarkation','88','yes'),(5360,'schema-ActionScheduler_StoreSchema','6.0.1647908072','yes'),(5361,'schema-ActionScheduler_LoggerSchema','3.0.1647908072','yes'),(5366,'disallowed_keys','','no'),(5365,'https_detection_errors','a:0:{}','yes'),(5367,'comment_previously_approved','','yes'),(5368,'auto_plugin_theme_update_emails','a:0:{}','no'),(5369,'auto_update_core_dev','enabled','yes'),(5370,'auto_update_core_minor','enabled','yes'),(5371,'auto_update_core_major','unset','yes'),(5373,'simple-rate-time','1776286647','yes'),(5374,'wp_mail_smtp_migration_version','4','yes'),(5376,'wp_mail_smtp_review_notice','a:2:{s:4:\"time\";i:1618516419;s:9:\"dismissed\";b:0;}','yes'),(5377,'action_scheduler_lock_async-request-runner','1640733494','yes'),(5392,'theme_mods_clicks_3','a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1619114335;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}}}}','yes'),(5421,'wp_mail_smtp_notifications','a:4:{s:6:\"update\";i:1640647542;s:4:\"feed\";a:0:{}s:6:\"events\";a:0:{}s:9:\"dismissed\";a:0:{}}','yes'),(5514,'options_header_line_height','normal','no'),(5515,'_options_header_line_height','field_5cb78f021d274','no'),(5516,'options_body_line_height','1.5rem','no'),(5517,'_options_body_line_height','field_5cb78f021d275','no'),(5518,'options_button_font','oswald','no'),(5519,'_options_button_font','field_5cacd761a523c','no'),(5520,'options_button_font_weight','bold','no'),(5521,'_options_button_font_weight','field_5cb78e861d276','no'),(5555,'options_global_mbo_submit_btn','','no'),(5556,'_options_global_mbo_submit_btn','field_5cc7641a7bb64','no'),(5557,'options_global_mbo_btn_style','solid','no'),(5558,'_options_global_mbo_btn_style','field_5cc7641a7bba2','no'),(5559,'options_global_mbo_btn_color','light','no'),(5560,'_options_global_mbo_btn_color','field_5cc7641a7bbdf','no'),(5561,'options_global_mbo_btn_align','text-left','no'),(5562,'_options_global_mbo_btn_align','field_5cc7641a7bc1c','no'),(5563,'options_global_mbo_btn_onclick','','no'),(5564,'_options_global_mbo_btn_onclick','field_5cc7641a7bc59','no'),(5565,'options_global_mbo_send_to','','no'),(5566,'_options_global_mbo_send_to','field_5cc7641a7bcd9','no'),(5567,'options_global_mbo_cc','','no'),(5568,'_options_global_mbo_cc','field_5cc7641a7bd18','no'),(5569,'options_global_mbo_show_locations','0','no'),(5570,'_options_global_mbo_show_locations','field_5cc7641a8cbc4','no'),(5571,'options_global_mbo_campaign_name','','no'),(5572,'_options_global_mbo_campaign_name','field_5cc7641a8dcec','no'),(5573,'options_global_mbo_success','','no'),(5574,'_options_global_mbo_success','field_5cc7641a924a2','no'),(5575,'options_global_mbo_share_align','text-center','no'),(5576,'_options_global_mbo_share_align','field_5cc7641a9425d','no'),(5577,'options_global_mbo_booking_msg','','no'),(5578,'_options_global_mbo_booking_msg','field_5cc7641a95f59','no'),(5579,'options_global_mbo_booking_btn','','no'),(5580,'_options_global_mbo_booking_btn','field_5ce4413fdc93c','no'),(5581,'options_global_mbo_booking_success','','no'),(5582,'_options_global_mbo_booking_success','field_5cc7641a93363','no'),(6314,'options_global_cr_store_id','','no'),(6315,'_options_global_cr_store_id','field_5c804c7561534','no'),(6316,'options_global_cr_referral_id','','no'),(6317,'_options_global_cr_referral_id','field_5c804c8b61535','no'),(6318,'options_global_cr_radius','15','no'),(6319,'_options_global_cr_radius','field_5c804d2861537','no'),(6320,'options_global_cr_class_days','14','no'),(6321,'_options_global_cr_class_days','field_5c804d3261538','no'),(6322,'options_global_cr_chain_id','740','no'),(6323,'_options_global_cr_chain_id','field_5c804cba61536','no'),(6324,'options_global_cr_class_id','','no'),(6325,'_options_global_cr_class_id','field_5c804d4861539','no'),(6326,'options_global_cr_class_cat_id','','no'),(6327,'_options_global_cr_class_cat_id','field_5d7a7a18b45e0','no'),(6328,'options_global_cr_prospect_id','','no'),(6329,'_options_global_cr_prospect_id','field_5c8061f43c112','no'),(6330,'options_global_cr_user_id','','no'),(6331,'_options_global_cr_user_id','field_5c8062623c115','no'),(6398,'post_count','0','yes'),(6391,'_transient_health-check-site-status-result','{\"good\":16,\"recommended\":1,\"critical\":1}','yes'),(7309,'options_global_mbo_site_id','','no'),(7310,'_options_global_mbo_site_id','field_5cc763247dede','no'),(7311,'options_global_mbo_location_id','1','no'),(7312,'_options_global_mbo_location_id','field_5cc76e9465c1a','no'),(7313,'options_global_mbo_referred_by','','no'),(7314,'_options_global_mbo_referred_by','field_5cc763247df23','no'),(7315,'options_global_mbo_radius','15','no'),(7316,'_options_global_mbo_radius','field_5cc763247df68','no'),(7317,'options_global_mbo_class_days','14','no'),(7318,'_options_global_mbo_class_days','field_5cc763247dfa6','no'),(7319,'options_global_mbo_class_id','','no'),(7320,'_options_global_mbo_class_id','field_5cc763247e06d','no'),(7908,'widget_block','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(7911,'wp_mail_smtp_debug_events_db_version','1','yes'),(7912,'wp_force_deactivated_plugins','a:0:{}','yes'),(8256,'_transient_timeout_global_styles_clicks_3','1660144535','no'),(8257,'_transient_global_styles_clicks_3','body{--wp--preset--color--black: #000000;--wp--preset--color--cyan-bluish-gray: #abb8c3;--wp--preset--color--white: #ffffff;--wp--preset--color--pale-pink: #f78da7;--wp--preset--color--vivid-red: #cf2e2e;--wp--preset--color--luminous-vivid-orange: #ff6900;--wp--preset--color--luminous-vivid-amber: #fcb900;--wp--preset--color--light-green-cyan: #7bdcb5;--wp--preset--color--vivid-green-cyan: #00d084;--wp--preset--color--pale-cyan-blue: #8ed1fc;--wp--preset--color--vivid-cyan-blue: #0693e3;--wp--preset--color--vivid-purple: #9b51e0;--wp--preset--gradient--vivid-cyan-blue-to-vivid-purple: linear-gradient(135deg,rgba(6,147,227,1) 0%,rgb(155,81,224) 100%);--wp--preset--gradient--light-green-cyan-to-vivid-green-cyan: linear-gradient(135deg,rgb(122,220,180) 0%,rgb(0,208,130) 100%);--wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange: linear-gradient(135deg,rgba(252,185,0,1) 0%,rgba(255,105,0,1) 100%);--wp--preset--gradient--luminous-vivid-orange-to-vivid-red: linear-gradient(135deg,rgba(255,105,0,1) 0%,rgb(207,46,46) 100%);--wp--preset--gradient--very-light-gray-to-cyan-bluish-gray: linear-gradient(135deg,rgb(238,238,238) 0%,rgb(169,184,195) 100%);--wp--preset--gradient--cool-to-warm-spectrum: linear-gradient(135deg,rgb(74,234,220) 0%,rgb(151,120,209) 20%,rgb(207,42,186) 40%,rgb(238,44,130) 60%,rgb(251,105,98) 80%,rgb(254,248,76) 100%);--wp--preset--gradient--blush-light-purple: linear-gradient(135deg,rgb(255,206,236) 0%,rgb(152,150,240) 100%);--wp--preset--gradient--blush-bordeaux: linear-gradient(135deg,rgb(254,205,165) 0%,rgb(254,45,45) 50%,rgb(107,0,62) 100%);--wp--preset--gradient--luminous-dusk: linear-gradient(135deg,rgb(255,203,112) 0%,rgb(199,81,192) 50%,rgb(65,88,208) 100%);--wp--preset--gradient--pale-ocean: linear-gradient(135deg,rgb(255,245,203) 0%,rgb(182,227,212) 50%,rgb(51,167,181) 100%);--wp--preset--gradient--electric-grass: linear-gradient(135deg,rgb(202,248,128) 0%,rgb(113,206,126) 100%);--wp--preset--gradient--midnight: linear-gradient(135deg,rgb(2,3,129) 0%,rgb(40,116,252) 100%);--wp--preset--duotone--dark-grayscale: url(\'#wp-duotone-dark-grayscale\');--wp--preset--duotone--grayscale: url(\'#wp-duotone-grayscale\');--wp--preset--duotone--purple-yellow: url(\'#wp-duotone-purple-yellow\');--wp--preset--duotone--blue-red: url(\'#wp-duotone-blue-red\');--wp--preset--duotone--midnight: url(\'#wp-duotone-midnight\');--wp--preset--duotone--magenta-yellow: url(\'#wp-duotone-magenta-yellow\');--wp--preset--duotone--purple-green: url(\'#wp-duotone-purple-green\');--wp--preset--duotone--blue-orange: url(\'#wp-duotone-blue-orange\');--wp--preset--font-size--small: 13px;--wp--preset--font-size--medium: 20px;--wp--preset--font-size--large: 36px;--wp--preset--font-size--x-large: 42px;}.has-black-color{color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-color{color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-color{color: var(--wp--preset--color--white) !important;}.has-pale-pink-color{color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-color{color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-color{color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-color{color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-color{color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-color{color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-color{color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-color{color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-color{color: var(--wp--preset--color--vivid-purple) !important;}.has-black-background-color{background-color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-background-color{background-color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-background-color{background-color: var(--wp--preset--color--white) !important;}.has-pale-pink-background-color{background-color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-background-color{background-color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-background-color{background-color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-background-color{background-color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-background-color{background-color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-background-color{background-color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-background-color{background-color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-background-color{background-color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-background-color{background-color: var(--wp--preset--color--vivid-purple) !important;}.has-black-border-color{border-color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-border-color{border-color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-border-color{border-color: var(--wp--preset--color--white) !important;}.has-pale-pink-border-color{border-color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-border-color{border-color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-border-color{border-color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-border-color{border-color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-border-color{border-color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-border-color{border-color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-border-color{border-color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-border-color{border-color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-border-color{border-color: var(--wp--preset--color--vivid-purple) !important;}.has-vivid-cyan-blue-to-vivid-purple-gradient-background{background: var(--wp--preset--gradient--vivid-cyan-blue-to-vivid-purple) !important;}.has-light-green-cyan-to-vivid-green-cyan-gradient-background{background: var(--wp--preset--gradient--light-green-cyan-to-vivid-green-cyan) !important;}.has-luminous-vivid-amber-to-luminous-vivid-orange-gradient-background{background: var(--wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange) !important;}.has-luminous-vivid-orange-to-vivid-red-gradient-background{background: var(--wp--preset--gradient--luminous-vivid-orange-to-vivid-red) !important;}.has-very-light-gray-to-cyan-bluish-gray-gradient-background{background: var(--wp--preset--gradient--very-light-gray-to-cyan-bluish-gray) !important;}.has-cool-to-warm-spectrum-gradient-background{background: var(--wp--preset--gradient--cool-to-warm-spectrum) !important;}.has-blush-light-purple-gradient-background{background: var(--wp--preset--gradient--blush-light-purple) !important;}.has-blush-bordeaux-gradient-background{background: var(--wp--preset--gradient--blush-bordeaux) !important;}.has-luminous-dusk-gradient-background{background: var(--wp--preset--gradient--luminous-dusk) !important;}.has-pale-ocean-gradient-background{background: var(--wp--preset--gradient--pale-ocean) !important;}.has-electric-grass-gradient-background{background: var(--wp--preset--gradient--electric-grass) !important;}.has-midnight-gradient-background{background: var(--wp--preset--gradient--midnight) !important;}.has-small-font-size{font-size: var(--wp--preset--font-size--small) !important;}.has-medium-font-size{font-size: var(--wp--preset--font-size--medium) !important;}.has-large-font-size{font-size: var(--wp--preset--font-size--large) !important;}.has-x-large-font-size{font-size: var(--wp--preset--font-size--x-large) !important;}','no'),(8015,'edd_sl_6f00bcf310e877dd95f37e31c233cc73','a:2:{s:7:\"timeout\";i:1640744008;s:5:\"value\";s:271843:\"{\"new_version\":\"48.01\",\"stable_version\":\"48.01\",\"name\":\"ThreeWP Broadcast Premium Pack\",\"slug\":\"ThreeWP_Broadcast_Premium_Pack\",\"url\":\"https:\\/\\/broadcast.plainviewplugins.com\\/downloads\\/threewp-broadcast-premium-pack\\/?changelog=1\",\"last_updated\":\"2021-11-05 18:07:29\",\"homepage\":\"https:\\/\\/broadcast.plainviewplugins.com\\/downloads\\/threewp-broadcast-premium-pack\\/\",\"package\":\"https:\\/\\/broadcast.plainviewplugins.com\\/edd-sl\\/package_download\\/MTY3MjI3MjgwNzo3OWUxZjU5OTdhOWE0YzgxOTkyMzBiODgxNTczOGQ3Mzo0NDM6MjdlZGIxNjc3ZDQzMjgxMzA0Zjg1NzNkYjM0YTcwMzg6aHR0cHNALy9ydW1ibGVvZmZlcnMuY29tL3BhZ2VzOjA=\",\"download_link\":\"https:\\/\\/broadcast.plainviewplugins.com\\/edd-sl\\/package_download\\/MTY3MjI3MjgwNzo3OWUxZjU5OTdhOWE0YzgxOTkyMzBiODgxNTczOGQ3Mzo0NDM6MjdlZGIxNjc3ZDQzMjgxMzA0Zjg1NzNkYjM0YTcwMzg6aHR0cHNALy9ydW1ibGVvZmZlcnMuY29tL3BhZ2VzOjA=\",\"sections\":{\"description\":\"<p>The premium pack contains all of the Broadcast plugin packs.<\\/p>\\n\",\"changelog\":\"<p><strong>48.01<\\/strong> 20211105<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/code-snippets\\/\\\">Code Snippets<\\/a>: Run code snippets on specific blogs.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cron-everywhere\\/\\\">Cron Everywhere<\\/a>: Runs WordPress cron periodically on all sites of the network.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/rebroadcaster\\/\\\">Rebroadcaster<\\/a>: Periodically and automatically rebroadcast specific posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-attachments\\/\\\">Gutenberg Attachments<\\/a>: Better support for image IDs that are part of arrays.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Clear the cache when pods are deleted on the parent blog, so that they are also shown as deleted on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Fix incorrectly protecting custom fields with taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/the-events-calendar\\/\\\">The Events Calendar<\\/a>: Allow several organisers per event.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Fix recursion when broadcasting relationships again. Use new broadcast_once() functionality.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: More fixing of featured images not broadcasting when processing via cron with the Publishpress Revisions plugin active.<\\/p>\\n<p><strong>47.13<\\/strong> 20211007<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/copy-options\\/\\\">Copy options<\\/a>: Translate the page_on_front option when copying the reading *_on_front options.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Delete existing add-on feeds on child blogs before adding the parent ones.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-attachments\\/\\\">Gutenberg Attachments<\\/a>: Add wizard for ACF Gallery Masonry block.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/per-blog-author\\/\\\">Per Blog Author<\\/a>: Fix blog name html.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Parse errors are displayed when running the code.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Allow taxonomies to be protected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix featured images not broadcasting when processing via cron with the Publishpress Revisions plugin active.<\\/p>\\n<p><strong>47.12<\\/strong> 20210923<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-filter\\/\\\">Search And Filter<\\/a>: Adds support for the <a href=\\\"https:\\/\\/searchandfilter.com\\/\\\">Search And Filter<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Force better selection of database tables to be cloned. This should prevent _60_ _61_ etc from being cloned when only _6_ is going to be cloned.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Allow handling of non-pro ACF5 fields with add-ons (repeater) as pro.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for ProductIntroFullDetail element type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for syncing shipping and coupon info when syncing orders.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for the <a href=\\\"https:\\/\\/wclovers.com\\/\\\">WCFM - WooCommerce Multivendor Marketplace<\\/a> plugin.<\\/p>\\n<p><strong>47.11<\\/strong> 20210815<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/scheduler\\/\\\">Scheduler<\\/a>: Automatically change the publish date of child posts during broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/woocommerce.com\\/products\\/product-bundles\\/\\\">product bundles<\\/a>.<\\/p>\\n<p><strong>47.09<\\/strong> 20210706<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Allow setting of blog archived \\/ deleted \\/ mature \\/ spam status.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Fix warning when no conditions are to be restored.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Fix warning when a gallery is empty.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Broadcast associated posts when broadcasting entries.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Better PHP8 compatability.<\\/p>\\n<p><strong>47.08<\\/strong> 20210613<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/more-children\\/\\\">More Children<\\/a>: Allows children to create more children of the parent.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for new widgets: avante-portfolio-grid and dyxnet-testimonial-card<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Allow for non-standard upload directories.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-files\\/\\\">Local Files<\\/a>: Use the link data of the parent, if possible. Allows for linking to posts that are broadcasted from other blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-links\\/\\\">Local Links<\\/a>: Try to find the page twice. This is a workaround for an unexplained bug with WPML that never finds the first link on a page.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Fix fatal error when broadcasting manually.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/parent-pull\\/\\\">Parent Pull<\\/a>: Fix warning about custom fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Don\'t protect the featured image if the custom fields are protected.<\\/p>\\n<p><strong>47.07<\\/strong> 20210513<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/imagify\\/\\\">Imagify<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/imagify\\/\\\">Imagify<\\/a> plugin \\/ service.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-cleanup\\/\\\">Custom Field Cleanup<\\/a>: Cleans up the custom fields of a post.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/term-meta-attachments\\/\\\">Term Meta Attachments<\\/a>: Allow taxonomy term meta containing attachment IDs to be broadcasted correctly.<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/category-order-and-taxonomy-terms-order\\/\\\">Category Order and Taxonomy Terms Order<\\/a>: Also set the term order during broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Fix fatal error if menu icons plugin is not active.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Fix recursion when broadcasting relationships.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: Allow syncing of roles and users separately.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Also broadcast new coupon amount when a coupon is used, not just usage count.<\\/p>\\n<p><strong>47.06<\\/strong> 20210412<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/rank-math-seo\\/\\\">Rank Math SEO<\\/a>: Add support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/seo-by-rank-math\\/\\\">Rank Math SEO<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Comment meta is updated during syncing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cornerstone\\/\\\">Cornerstone<\\/a>: Add support for toggle_anchor_graphic_image_src<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for course builder data stored in \\\"steps\\\" instead of \\\"hrt\\\" data.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for either overwriting or keeping the groups of a course.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add CLI command: broadcast_queue process<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add support for relationships with intermediaries.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Allow broadcasting of coupons and broadcasting of usage count when the coupon is used.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Ignore taxonomies that are not translatable.<\\/p>\\n<p><strong>47.05<\\/strong> 20210325<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add option to enable queue locking, which only the largest networks might need. Queue locking is disabled per default.<\\/p>\\n<p><strong>47.04<\\/strong> 20210318<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for display conditions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Add support for parsing Advanced Post Creation content in order to get shortcodes parsed.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix unlocking of the queue.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/tablepress\\/\\\">Tablepress<\\/a>: Modernize add-on to parse Tablepress shortcodes everywhere Broadcast processes texts (Elementor widgets, ACF text fields, etc), not just the post content.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for chained products.<\\/p>\\n<p><strong>47.03<\\/strong> 20210308<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-in-one-seo\\/\\\">All In One SEO<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/all-in-one-seo-pack\\/\\\">All in One SEO<\\/a> plugin.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/generatepress\\/\\\">GeneratePress<\\/a> adds support for the <a href=\\\"https:\\/\\/generatepress.com\\/\\\">GeneratePress<\\/a> theme \\/ plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add support for term protect list.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Comments are now merged instead of overwritten.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Fix restoring of serialized custom fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Fix the SEO data cache for terms not being emptied.<\\/p>\\n<p><strong>47.02<\\/strong> 20210216<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/back-to-parent\\/\\\">Back To Parent<\\/a>: Do not do anything if the Update Family checkbox is selected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix posts not being queued.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Check that the files exist at the source before updating. Fixes conflicts with CDN plugins that remove the files from disk.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-family\\/\\\">Update Family<\\/a>: Make the sibling broadcast low priority so that they can be queued.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/bookingwp.com\\/plugins\\/woocommerce-appointments\\/\\\">Appointments<\\/a>.<\\/p>\\n<p><strong>47.01<\\/strong> 20210210<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/permalink-manager\\/\\\">Permalink Manager<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/permalink-manager\\/\\\">Permalink Manager<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Fix copying of site files.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: Add support for Theme Builder usage restrictions based on pages and term IDs.<br \\/>\\nShortcode Items: Fix the parse_find and replace_id action names.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add support for WPML in relationships.<\\/p>\\n<p><strong>46.19<\\/strong> 20210127<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/litespeed-cache\\/\\\">LiteSpeed Cache<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/litespeed-cache\\/\\\">LiteSpeed Cache<\\/a> plugin.<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Do not copy the files in the sites directory when cloning blog 1.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: Prevent theme overwrites when using the <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/sync-taxonomies\\/\\\">Sync Taxonomies<\\/a> add-on, in addition to when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cornerstone\\/\\\">Cornerstone<\\/a>: Add support for images.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Added more support for Workflows.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Force WPML to recount the taxonomy term stats after taxonomy sync.<\\/p>\\n<p><strong>46.18<\\/strong> 20201229<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Add support for later linking using the queue add-on, which allows for big clones.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: Added support for global modules in rows also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ns-cloner\\/\\\">NS Cloner<\\/a>: Add support for later linking using the queue add-on, which allows for big imports.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/woocommerce.com\\/products\\/woocommerce-bookings\\/\\\">Bookings<\\/a> resources and people.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Fix the SEO data cache not being emptied.<\\/p>\\n<p><strong>46.17<\\/strong> 20201215<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cornerstone\\/\\\">Cornerstone<\\/a> adds support for the <a href=\\\"http:\\/\\/theme.co\\/cornerstone\\\">Cornerstone Page Builder<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add action to allow for merging of existing course data, for example <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/snippet\\/learndash-preserve-the-registration-button-url\\/\\\">the registration button URL (snippet)<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for broadcasting Uncanny Content via GB blocks.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: New: Force showing of the Broadcast meta box, which is normally hidden due to broken Mailster CSS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: Add PHP Code wizard for copying templates between blogs.<\\/p>\\n<p><strong>46.16<\\/strong> 20201116<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/per-blog-author\\/\\\">Per Blog Author<\\/a> allows for individual control of the author for each child post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Add support for the WooCommerce Multilingual plugin. This prevents translated child products from losing their custom fields when updating the parent language.<\\/p>\\n<p><strong>46.15<\\/strong> 20201111<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support for parsing links.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for AE Post Blocks manual selections.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: When broadcasting a course in groups, broadcast the groups automatically if they do not exist on the child.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: New: Force showing of the Broadcast meta box, which is normally hidden due to broken Mailster CSS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: Add support for forms and lists in conditions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Add support for broadcasting string translations.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add support for v3.4 relationships.<\\/p>\\n<p><strong>46.14<\\/strong> 20201002<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for AE Post Blocks relationships.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Add support for event speakers.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Fix support for v2.0.0.101 - images, logos and categories broadcast correctly again.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ninja-forms\\/\\\">Ninja Forms<\\/a>: Clear form cache after broadcasting. Tested with 3.4.30<\\/p>\\n<p><strong>46.13<\\/strong> 20200922<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/modern-events\\/\\\">Modern Events<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/modern-events-calendar-lite\\/\\\">Modern Events plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Add support for broadcasting entries via the Broadcast &gt; Formidable menu item.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Add support for Gravityflow workflows.<\\/p>\\n<p><strong>46.12<\\/strong> 20200810<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/create\\/\\\">Create<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/mediavine-create\\/\\\">Create<\\/a> plugin from Mediavine.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/soliloquy\\/\\\">Soliloquy<\\/a> adds support for the <a href=\\\"https:\\/\\/soliloquywp.com\\/\\\">Soliloquy plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add ability to copy option field groups.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for updating the linked children when the parent post is saved in Elementor (not just the normal editor).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix field ID in view not matching.<\\/p>\\n<p><strong>46.11<\\/strong> 20200715<\\/p>\\n<p>Version bump, because Wordpress doesn\'t understand that .10 is bigger than .1<\\/p>\\n<p><strong>46.10<\\/strong> 20200714<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/parent-pull\\/\\\">Parent Pull<\\/a> allows content to be pulled from (parent) blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Add support for repeaters and conditionals.<\\/p>\\n<p><strong>46.09<\\/strong> 20200708<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/category-order-and-taxonomy-terms-order\\/\\\">Category Order and Taxonomy Terms Order<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/taxonomy-terms-order\\/\\\">Category Order and Taxonomy Terms Order plugin<\\/a>.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/unlink-on-edit-checkbox\\/\\\">Unlink On Edit Checkbox<\\/a>: Unlinks child posts when they are modified.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Image Carousels.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Allow support for Gravity Views.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for lessons that can be assigned to multiple courses.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Allow custom menu items to be manipulated.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Hook into the wp_initialize_site action instead.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/page-content-shortcode\\/\\\">Page Content Shortcode<\\/a>: Better searching for content. Ignore nav_menu_items.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Add support for taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Automatically broadcast related posts if necessary.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-access-manager\\/\\\">User Access Manager<\\/a>: Add support for restricting attachments.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Fix term languages being set in wrong language.<\\/p>\\n<p><strong>46.08<\\/strong> 20200608<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-rocket\\/\\\">WP Rocket<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wp-rocket.me\\/\\\">WP Rocket<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix quizzes not being properly broadcasted due to new database table names.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Replacing the URL will not convert the items to custom items.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Add support for multiple post selections.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix warning about AUTH_KEY, by using wp_salt().<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Fix the blog name being incorrectly displayed when using post actions together with the String Translation plugin.<\\/p>\\n<p><strong>46.07<\\/strong> 20200512<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix cloned fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix group fields for non-pro users.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Added wizard for the <a href=\\\"&lt;a href=\\\">\\\"&gt;PHP Code add-on<\\/a> that copies Jet Engine custom post types and taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Better compatibility with User &amp; Blog Settings add-on regarding \\\"Only if modified\\\" checkbox.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/social-networks-auto-poster\\/\\\">SNAP<\\/a>: Add-on is now obsolete. This is due to changes in the plugin and the most <a href=\\\"https:\\/\\/wordpress.org\\/support\\/plugin\\/social-networks-auto-poster-facebook-twitter-g\\/reviews\\/\\\">recent reviews<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Added support OpenGraph \\/ Facebook image and URL custom field.<\\/p>\\n<p><strong>46.06<\\/strong> 20200429<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/blog-groups-2\\/\\\">Blog Groups 2<\\/a>: Fix double creation of groups found in Bulk Cloner spreadsheets.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Options modifications can now handle options with dashes in them. Please double check any existing modifications you have.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: When creating a menu item during manipulation, if the parent menu item is not a post but a custom link, try to find the equivalent custom link.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Fixed images not being found.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-terms\\/\\\">Shortcode Terms<\\/a>: Better syncing on taxonomies not related to the post using the shortcode.<\\/p>\\n<p><strong>46.05<\\/strong> 20200324<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix queue unlocking function.<\\/p>\\n<p><strong>46.04<\\/strong> 20200323<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-protect\\/\\\">Gutenberg Protect<\\/a>: Protects specific Gutenberg blocks from being overwritten during broadcasting.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/translatepress\\/\\\">TranslatePress<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/translatepress-multilingual\\/\\\">TranslatePress<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Added ability to clone to a specific blog ID if the ID is free. Specify the ID in the blog_id column.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/copy-options\\/\\\">Copy options<\\/a>: Add function to call the add-on programmatically. See <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/snippet\\/copy-options-automatically-copy-when-options-are-updated\\/\\\">this snippet<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-posts\\/\\\">Gutenberg Posts<\\/a>: Ignore empty post IDs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ns-cloner\\/\\\">NS Cloner<\\/a>: Add support for clones during registration \\/ signup.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Apply queue locking during ajax processing, not only during http processing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-posts\\/\\\">Shortcode Posts<\\/a>: Ignore empty post IDs.<\\/p>\\n<p><strong>46.03<\\/strong> 20200224<\\/p>\\n<p>Gutenberg add-ons: Fix IDs only being replaced on the first blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Fix terms criterion not being applied when editing posts.<\\/p>\\n<p><strong>46.02<\\/strong> 20200212<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/vimeography\\/\\\">Vimeography<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/vimeography\\/\\\">Vimeography<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Add queue functionality for comments. Useful for those with 500+ comments per post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Fix ordering of comments, syncing those comments without replies first.<br \\/>\\nCustom Field add-ons: Fixed better matching of wildcards for arrays. Prevents various PHP warnings from preg_split.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-manager\\/\\\">Download Manager<\\/a>: Automatically copy files in the download when using the new site-specific storage.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Allow for forms with apostrophes in the title.<br \\/>\\nGutenberg add-ons: Allow GB Attachments and GB Posts to modify the same block at the same time, if it contains both attachments and posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for the LDAdvQuiz and LDAdvQuiz_toplist shortcodes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcodes\\/\\\">Shortcodes<\\/a>: Add setting (and filter: broadcast_shortcodes_access) to allow non-superadmin users to access the shortcodes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/atum-stock-manager-for-woocommerce\\/\\\">ATUM Inventory Management<\\/a> product data and suppliers.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add automatic parsing of add_to_cart shortcode.<\\/p>\\n<p><strong>46.01<\\/strong> 20200116<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Also sync taxonomies when possible. Requires v46 of Broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Added ability to modify options during cloning with new option modifications function.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Sync comments after the new comment is fully inserted. Fixes bug of WooCommerce review ratings not being synced.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/event-organiser\\/\\\">Event Organiser<\\/a>: Fix fatal error when venues are broadcasted.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Update course link in topics on some installs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Add support for multiple images in image fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix retry \\/ attempt counter for partially broadcasted WooCommerce variations. Affects those with products that have more variations than the queue retry limit.<\\/p>\\n<p><strong>45.06<\\/strong> 20191116<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-family\\/\\\">Update Family<\\/a>: Update the parent post and siblings when editing a child post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix relationship fields when broadcasting taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/blog-groups-2\\/\\\">Blog Groups 2<\\/a>: Add support for assigning groups in the Bulk Cloner.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for gallery widgets, vt-saaspot_agency and vt-saaspot_resource widgets.<\\/p>\\n<p><strong>45.05<\\/strong> 20191022<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-posts\\/\\\">Custom Field Posts<\\/a>: Save values in arrays properly.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix archives without taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix draft pages showing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Add support for posts in different languages sharing the same slug, WooCommerce products for example.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Fix terms being in incorrect language when processing the posts using the Queue HTTP command.<\\/p>\\n<p><strong>45.02<\\/strong> 201909225<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/fliphtml5\\/\\\">Flip HTML5<\\/a>: Adds support for <a href=\\\"http:\\/\\/fliphtml5.com\\/\\\">Flip HTML5<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Properly sync taxonomies that are not in the same post type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/calendarize-it\\/\\\">Calendarize It<\\/a>: Fix custom post info box content.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix number being shown for x-default blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/sensei\\/\\\">Sensei<\\/a>: Add support for quiz category questions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Ignore the post if it does not have a content template assigned.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Fix \\\"incorrect post type\\\" fatal error.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix bulk actions not working the first time. This is due to the internal Wordpress post cache not being flushed by WooCommerce as it should.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-all-import\\/\\\">WP All Import<\\/a>: Enable term counting after import but before broadcast.<\\/p>\\n<p><strong>45.01<\\/strong> 20190828<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-attachments\\/\\\">Gutenberg Attachments<\\/a>: Modify attachment IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-menus\\/\\\">Gutenberg Menus<\\/a>: Modify menu IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-posts\\/\\\">Gutenberg Posts<\\/a>: Modify post IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-terms\\/\\\">Gutenberg Terms<\\/a>: Modify taxonomy term IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-ultimo\\/\\\">WP Ultimo<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wpultimo.com\\/\\\">WP Ultimo<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/avia-layout-builder\\/\\\">Avia Layout Builder<\\/a>: Use standard preparse and parse actions to run all Avia content through all of the other add-ons.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-posts\\/\\\">Custom Field Posts<\\/a>: Fix fatal error when trying to look for a link where there isn\'t one.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for devices-extended widgets.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Allow for multiple course prerequisites.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ns-cloner\\/\\\">NS Cloner<\\/a>: Add support for v4.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Use file locking to prevent cron processing from being run multiple times.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/redirect-all-children\\/\\\">Redirect All Children<\\/a>: Use code 301 on redirects.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/redirect-parent\\/\\\">Redirect Parent<\\/a>: Use code 301 on redirects.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcodes\\/\\\">Shortcodes<\\/a>: Remove extra slashes from the shortcodes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-access-manager\\/\\\">User Access Manager<\\/a>: Fix bug when groups not being assigned when broadcasting to more than one blog at a time.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for multiple Yith badges per product.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Check if WPML is active on the blog at all before starting the add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Help the HREFLANG add-on generate links to all languages of the current page.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Use API for setting term languages, instead of direct database queries.<\\/p>\\n<p><strong>44.05<\\/strong> 20190715<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpforms\\/\\\">WPForms<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wpforms.com\\/\\\">WPForms<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Remove page argument when adding links to taxonomy archives.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix questions on front-end not displaying properly. Rebroadcast your quizzes if the questions on the front-end look weird.<\\/p>\\n<p><strong>44.04<\\/strong> 20190621<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-terms\\/\\\">Custom Field Terms<\\/a>: Allow post custom field containing taxonomy term IDs to be broadcasted correctly.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-manager\\/\\\">Download Manager<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/download-manager\\/\\\">Download Manager<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for parsing content in text fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/manual-post-actions\\/\\\">Manual Post Actions<\\/a>: Fix warning when \\\"Find Some Unlinked Children\\\" or \\\"Send To Many\\\" add-ons active.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: When creating terms, assign the correct languages.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Post excerpt can also be protected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add broadcast_queue_menu_access filter to allow non-super admins access to the settings.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/woocommerce.com\\/products\\/composite-products\\/\\\">composite products<\\/a>.<\\/p>\\n<p><strong>44.03<\\/strong> 20190515<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Link only post types that we know about, ignoring attachments and menu items.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Add support for form views.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Try to fetch linked posts when making the hreflang tags for a single post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add broadcast_learndash_menu_access filter to allow non-super admins access to the tools.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add workaround for broken lessons having more than one course reference.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Add support for image fields.<\\/p>\\n<p><strong>44.02<\\/strong> 20190423<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix queue not working due to the upgrade process not upgrading the add-on\'s tables.<\\/p>\\n<p><strong>44.01<\\/strong> 20190415<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cdn-workaround\\/\\\">CDN Workaround<\\/a>: Added option to locally download remote files, in order to upload them on each blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/global-blocks-for-cornerstone\\/\\\">Global Blocks For Cornerstone<\\/a>: Added support for new v3 [cs_gb] shortcode.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Global elements.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Image Box elements.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: Add new __BLOG_PATH__ and __BLOG_PATH_WITHOUT_RSLASH__ keywords.<\\/p>\\n<p><strong>43.17<\\/strong> 20190402<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support for Themer Layouts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Fix cloning. Some WP version introduced a bug that preventing the complete cloning of blog options.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Force new siteurl and home options for clones, to fix weirdness with some installs that create dupes in the url.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/caldera-forms\\/\\\">Caldera Forms<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/caldera-forms\\/\\\">Caldera Forms<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Caldera Forms elements.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Do not abort broadcasting is a missing background image is found, just continue normally.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Added course tool to do actions on the WHOLE course at the same time: delete, trash, restore, unlink and find unlinked children.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/manual-post-actions\\/\\\">Manual Post Actions<\\/a>: Manually run bulk post actions on posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: For developers, queue items now have priorities assigned, allowing for faster processing of specific queue item types.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Do not overwrite the file path for those files that have been uploaded at different times. Fixes problem of thumbnails for differently-aged images not working.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: Create role is it doesn\'t exist on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: Also sync data for Ultimate Member custom roles.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/yith-woocommerce-badges-management\\/\\\">YITH WooCommerce Badge Management plugin<\\/a>.<\\/p>\\n<p><strong>43.16<\\/strong> 20190222<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add support for the Clone field type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/acf-image-crop-add-on\\/\\\">Image Crop Add-on<\\/a><br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/calendarize-it\\/\\\">Calendarize It<\\/a>: Fix vendors and organizers not being saved to child post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-posts\\/\\\">Custom Field Posts<\\/a>: Fix to allow multiple IDs in field.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Smartslider3 widget type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/events-manager\\/\\\">Events Manager<\\/a>: Add support for recurring events. Seems to work best publishing the events locally before broadcasting them.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Update existing form settings. Also broadcast form actions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Added preliminary support for v2.6 quizzes. The old 2.5 version of LD can still be used.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Dev: Added static::$keep_sfwd_courses_course_access_list property which allows the course access list to be overwritten during broadcast.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/link-before-broadcast\\/\\\">Link Before Broadcast<\\/a>: Attempts to find unlinked children on each child blog during broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Broadcast ALL variations, even those that are out of stock and hidden.<\\/p>\\n<p><strong>43.14<\\/strong> 20190102<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Fix rare fatal error on _some_ installs that result from the capabilities.php not having been loaded.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Added BROADCAST_BEAVER_BUILDER_NO_UPDATE_ON_SAVE define to prevent automatic updating of child posts when saving the layout on the front-end.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Automatic parsing of serialized options that contain the old blog URL. Can fix widgets that contain links to the source blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Allow button URLs to be parsed in order to work with Local Items add-ons.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Also parse shortcode widgets.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix courses that have apostrophes in them.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/no-new-terms\\/\\\">No New Terms<\\/a>: Fix terms being created with newer versions of Broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/per-blog-taxonomies\\/\\\">Per Blog Taxonomies<\\/a>: Fix to allow for hiding of term fieldsets using UBS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Add filter to allow for special processing of attributes. See this <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/snippet\\/shortcode-items-parse_find-and-replace_id-actions\\/\\\">snippet for handling image IDs embedded in a json-encoded attribute<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/smart-slider-3\\/\\\">Smart Slider 3<\\/a>: Update the slider properties when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/widgets\\/\\\">Widgets<\\/a>: Add more debug info.<\\/p>\\n<p><strong>43.12<\\/strong> 20181127<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Fix fields not appearing due to field cache.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Add entry migration so that forms that are updated keep their entries.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Update the form title. Only affects those using the BROADCAST_GRAVITY_FORMS_USE_ID define.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Added tool to broadcast a whole course at once.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add broadcast_queue_clean_queue filter to prevent database cleanup.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Do not create terms on child blogs that are in other languages.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-posts\\/\\\">Shortcode Posts<\\/a>: Added Avada Global Containers wizard.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/siteorigin-page-builder\\/\\\">SiteOrigin Page Builder<\\/a>: Parse the text and content widget fields, allowing other Broadcast add-ons to detect their shortcodes in the widgets.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Fix visual modifications being applied when they shouldn\'t.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Fix duplication bug where terms are created in the wrong language.<\\/p>\\n<p><strong>43.11<\\/strong> 20181018<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Add broadcast_geodirectory_sync_table_structure_columns filter.<br \\/>\\nFixes the plugin upgrade notice not disappearing due to \\\"43.10\\\" being treated as \\\"43.1\\\".<\\/p>\\n<p><strong>43.10<\\/strong> 20181018<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/simple-custom-post-order\\/\\\">Simple Custom Post Order<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/simple-custom-post-order\\/\\\">Simple Custom Post Order<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add support for the Component Fields plugin \\/ field type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Add broadcast_geodirectory_insert_place_detail filter.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings-post\\/\\\">User &amp; Blog Settings Post<\\/a>: Fix _and_ criteria not being correctly applied.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Allow order syncing without Back2Parent add-on, which means orders can only be synced to child blogs and not back.<\\/p>\\n<p><strong>43.9<\\/strong> 20180922<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-posts\\/\\\">Custom Field Posts<\\/a>: Allow post custom field containing post IDs to be broadcasted correctly.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/formidable\\/\\\">Formidable<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/unlink-on-edit\\/\\\">Unlink On Edit<\\/a>: Unlinks child posts when they are modified.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Parse text fields, allowing other add-ons to modify their content also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Parse post carousels also, modifying the post IDs so that they match those on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Only sync taxonomies that are used in the post. This is an optimization for those that have thousands of taxonomy terms.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: Add new __BLOG_URL_ESCAPED__ keyword.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-posts\\/\\\">Shortcode Posts<\\/a>: Added uncode blocks to the wizard.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-access-manager\\/\\\">User Access Manager<\\/a>: Also sync taxonomies.<\\/p>\\n<p><strong>43.8<\\/strong> 20180821<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support for photo and photos components.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/delete-before-broadcast\\/\\\">Delete Before Broadcast<\\/a>: Fix error on unlinking.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Fix FILE_BASE_DIR error.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Add BROADCAST_GRAVITY_FORMS_USE_ID define that forces syncs according to form ID, instead of form title.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-access-manager\\/\\\">User Access Manager<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/user-access-manager\\/\\\">User Access Manager<\\/a> plugin.<\\/p>\\n<p><strong>43.7<\\/strong> 20180724<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support post modules, which will translate category and post tag IDs on each child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Fix fatal error during activation when only the utilities pack is installed.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/h5p\\/\\\">H5P<\\/a>: Fix. Try to update the H5P content on each child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Also copy menu item custom fields, which adds support for some UberMenu types: section and custom content.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Modify Gravity Forms Rename example to use new GF table prefix (gf_).<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ubermenu\\/\\\">UberMenu<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wpmegamenu.com\\/\\\">UberMenu<\\/a> menu plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings-post\\/\\\">User &amp; Blog Settings Post<\\/a>: Fix to show the dropdown again.<\\/p>\\n<p><strong>43.6<\\/strong> 20180625<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix. Obey the custom field whitelist also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support for Themer Layout locations (posts and taxonomies).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/h5p\\/\\\">H5P<\\/a>: Fix. Copy all found files to correct ID subdirectory on child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/send-to-many\\/\\\">Send To Many<\\/a>: Update to work with fixed Broadcast roles.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Post type criteria will work more often now, generally whenever the Broadcast meta box is being prepared.<\\/p>\\n<p><strong>43.5<\\/strong> 20180530<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Sync taxonomies automatically when a taxonomy field has specified a taxonomy that is for a different post type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Fix: When cloning already linked posts, their parent post will link to the newly-cloned site.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cdn-workaround\\/\\\">CDN Workaround<\\/a>: Fix: Override broken filename with Cloudinary URL if found in the filename.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cm-tooltip-glossary\\/\\\">CM Tooltip Glossary<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/enhanced-tooltipglossary\\/\\\">CM Tooltip Glossary<\\/a> plugin.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/copy-options\\/\\\">Copy options<\\/a>: Copies blog options \\/ settings between blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geo-my-wp\\/\\\">GEO My WP<\\/a>: Add support for posts locator database table.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix: Added support for the new v2.3+ database schema. v2.2 install will continue to work also.<\\/p>\\n<p><strong>43.4<\\/strong> 20180506<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Parse link fields also, allowing other add-ons like Local Links, to modify the links during broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Fix categories not working for other types of post types.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/h5p\\/\\\">H5P<\\/a>: Copy images from H5P content directories between blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix to allow for several blogs sharing the same language (but not shown simultaneously). If you have custom code built on hreflang, check that it still works.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add developer actions for adding and removing items from the queue.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcodes\\/\\\">Shortcodes<\\/a>: Fix duplicating shortcodes when broadcasting them and some of them already exist.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Updated support for posts submitted using WP User Frontend. Now uses the new API actions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix order syncing. Fixed missing order items by fetching the items manually using SQL, bypassing WooCommerce\'s unreliable functions.<\\/p>\\n<p><strong>43.2<\\/strong> 20180403<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Fix SQL error when looking for blog 1\'s blogname.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/google-maps-pro\\/\\\">Google Maps Pro<\\/a>: Adds support for the <a href=\\\"https:\\/\\/premium.wpmudev.org\\/project\\/wordpress-google-maps-plugin\\\">Google Maps Pro<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/inboundnow\\/\\\">Inbound Now<\\/a>: Adds support for the <a href=\\\"https:\\/\\/www.inboundnow.com\\/\\\">Inboundnow Marketing Suite<\\/a>.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/onesignal\\/\\\">OneSignal<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/onesignal-free-web-push-notifications\\/\\\">OneSignal \\u2013 Free Web Push Notifications<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-posts\\/\\\">Shortcode Posts<\\/a>: Modifies post IDs found in shortcodes to match their equivalent posts on each blog.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/sitemaps\\/\\\">Sitemaps<\\/a>: Generates network-aware sitemaps and robots.txt.<\\/p>\\n<p><strong>43.1<\\/strong> 20180227<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix confirmation-actions not being properly broadcast. Also removed unnecessary SQL warnings in error log.<\\/p>\\n<p><strong>43<\\/strong> 20180226<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fixed acf_disable_cache fatal error for older (&lt;5.6) versions of ACF.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Added support for Group fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: To save a lot of memory, query the blog name using SQL instead of asking Wordpress for it.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Create clones of existing blogs on the network.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: Added support for global modules. [et_pb_section] shortcodes with the global_module attribute are correctly detected and the global module is also broadcast together with the post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Added support for broadcasting \\/ updating of form feeds (as per the gf_addon_feed table).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix warning when form does not have valid confirmation or display metadata.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Added a Wizard for renaming Gravity Forms.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Protect featured image also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix support for queue on newer MariaDB databases. ROWS is apparently a reserved word.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: For content that has no set language (ACF fields, for example) just allow normal broadcasting without checking or setting the language.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Added support for setting the primary category of a post.<\\/p>\\n<p><strong>42.4<\\/strong> 20180129<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/h5p\\/\\\">H5P<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/h5p\\/\\\">H5P Interactive Content<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix blog names not showing for queued posts in overview.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added support for <a href=\\\"http:\\/\\/yithemes.com\\/themes\\/plugins\\/yith-woocommerce-tab-manager\\/\\\">YITH WooCommerce Tab Manager<\\/a> tabs. Broadcast the tabs first before broadcasting the product.<\\/p>\\n<p><strong>42.3<\\/strong> 20180115<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for course builder data, allowing lessons and quizzes to be shared.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Automatically broadcast the pods that posts are using.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Add setting to allow all translations to be broadcasted automatically after broadcasting a translation.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Added setting to prevent the queue from being trimmed when rebroadcasting a post that is already in the queue.<\\/p>\\n<p><strong>42.2<\\/strong> 20171213<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/goodlayers\\/\\\">GoodLayers<\\/a>: Adds support for the <a href=\\\"https:\\/\\/goodlayers.com\\/\\\">GoodLayers family of themes<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Added cleanup tools.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Fix page languages not being saved correctly.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix race condition fatal error where trying to delete non-existing data.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/social-networks-auto-poster\\/\\\">SNAP<\\/a>: Fix dupe Facebook posting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Fix fatal error by disabling the Link Watcher during broadcasting.<\\/p>\\n<p><strong>42<\\/strong> 20171130<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Disable field caching during broadcast. This fixes a bug in ACF where the values of fields were sometimes not reported to Broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Fixed a PHP warning due to spelling mistake.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Apply correct confirmation redirect page on each child blog. The page will be broadcasted to the child if necessary.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/media-cleanup\\/\\\">Media Cleanup<\\/a>: cleans up unused media by looking for unused items in the database and on disk.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Added support for Polylang Pro. Tested with v2.2.6<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Translated terms retain their linking on child blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Allow non-translatable post types to be broadcasted. Fixes error where ACF fields were not broadcastable.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/post-expirator\\/\\\">Post Expirator<\\/a>: Added support for category expiration.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Please test your queue after updating. If it doesn\'t work, deactivate and reactivate the add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Trim off existing queued items when requeuing posts. This stops the post from being doubly broadcasted, the first time unnecessarily.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Save serialized postmeta data as serialized postmeta data.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Try to create upload directories if they don\'t already exist. Workaround for broken installs where old upload directories have disappeared.<\\/p>\\n<p>The curious can try out the beta version of the Bulk Cloner add-on, found in the utilities pack.<\\/p>\\n<p><strong>41<\\/strong> 20171030<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Added support for template widgets. Ensure that your template is broadcasted before trying to use it.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/image-map-pro\\/\\\">Image Map Pro<\\/a> adds support for the <a href=\\\"https:\\/\\/codecanyon.net\\/item\\/image-map-pro-for-wordpress-interactive-image-map-builder\\/2826664\\\">Image Map Pro<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix quizzes getting the correct course \\/ lesson \\/ certificate associations.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Question categories are now synced.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Add option to automatically create locations that don\'t exist on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix form ID being displayed incorrectly in the editor.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Try to avoid packet size errors by compressing the data stored in the database.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/slider-revolution\\/\\\">Slider Revolution<\\/a>: Fix slider dupes being created because the alias wasn\'t being found properly.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: Fix bug where terms were not editable due to some conflict with other plugins. Now the edit link refers to term_id= instead of id=.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: Strip the slashes in the text inputs.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/sensei\\/\\\">Sensei<\\/a> adds support for the <a href=\\\"https:\\/\\/woocommerce.com\\/products\\/sensei\\/\\\">Sensei<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcodes\\/\\\">Shortcodes<\\/a> provides arbitrary admin-defined global or local shortcodes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Translate association to associated view, if any, when broadcasting content templates.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Moved all of the various Broadcast options into a tabbed interface under the Toolset &gt; Broadcast menu item.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/unyson\\/\\\">Unyson<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/unyson\\/\\\">Unyson page builder plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Force overwriting of the attachment postmeta on the child blog.<\\/p>\\n<p><strong>40.1<\\/strong> 20171004<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add question and answer search &amp; replace function to easily make changes to your questions. Include automatic quiz broadcast functionality.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Added favorites and review syncing capability.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/redirect-parent\\/\\\">Redirect Parent<\\/a> redirects all views of a parent post to the first child post.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpcustom-category-image\\/\\\">WPCustom Category Image<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/wpcustom-category-image\\/\\\">WPCustom Category Image<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/widgets\\/\\\">Widgets<\\/a> copies widget and sidebar settings between blogs.<\\/p>\\n<p><strong>40<\\/strong> 20170922<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/back-to-parent\\/\\\">Back To Parent<\\/a>: Extra check that we are back-to-parenting the correct post. Fixes a bug when complicated broadcasts (for example WooCommerce bookings, that simultaneously broadcast products and orders, are all back-to-parented unnecessarily).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/delete-before-broadcast\\/\\\">Delete Before Broadcast<\\/a>: Don\'t show options on child posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix. Prevent overwriting of enrolled users when broadcasting courses.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a> adds support for the <a href=\\\"https:\\/\\/www.pods.io\\/\\\">Pods - Custom Content Types and Fields<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Developer update. Dynamic loading of wizards and added actions to run the code programatically.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Show an error if the queue fails to add the original data item.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: If using PHP Code add-on, allow automatic finding of unlinked Toolset post types on the child blog to link existing types, avoiding dupes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings-post\\/\\\">User &amp; Blog Settings Post<\\/a>: Added custom field matching criterion.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Force overwriting of order items, now also overwriting all order item meta values to ensure that the order is completely synced.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added support for refunds in orders.<\\/p>\\n<p><strong>39.1<\\/strong> 20170903<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Added support for background images, templates and template shortcodes.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/attachment-control\\/\\\">Attachment Control<\\/a> allows better control of how attachments are handled during broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-attachments\\/\\\">Custom Field Attachments<\\/a>: Also process values found in custom field subarrays.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix. Update base quiz data in the quiz table when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix. Automatically increase Broadcast\'s save_post priority to higher than LearnDash\'s (2000) in order to broadcast the changes directly, instead of needing a double-update.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Disable time limit during menu copying.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/slider-revolution\\/\\\">Slider Revolution<\\/a>: Added support for static layers.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add ability to broadcast taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ultimate-member\\/\\\">Ultimate Member<\\/a>: Display Broadcasted column for UM forms.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings-post\\/\\\">User &amp; Blog Settings Post<\\/a>: Fix bug that only broadcasted every other post in a selection.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Remember taxonomy term translations between blogs.<\\/p>\\n<p><strong>39<\\/strong> 20170802<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Added support for Broadcast\'s new taxonomy term handling code. This allows blacklisting and protecting of taxonomy term meta.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix for paging in URLs. Will now append paged parameter depending on the current page of archives or the single post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/intagrate\\/\\\">Intagrate<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/intagrate.io\\/\\\">Intagrate<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: New: Added support for autoresponders.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: Fix: List assignments are copied and assigned when broadcasting newsletters and autoresponders on each child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: New-addon. Find and replace texts in posts during broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: Allow selection of roles and specific users when syncing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wplms\\/\\\">WPLMS<\\/a>: New add-on. Adds support for Vibethemes\' <a href=\\\"https:\\/\\/themeforest.net\\/item\\/wplms-learning-management-system\\/6780226\\\">WPLMS theme<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Added support for Broadcast\'s new taxonomy term handling code. This allows blacklisting and protecting of taxonomy term meta.<\\/p>\\n<p><strong>38.6<\\/strong> 20170703<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Separate handling of flexible fields so that ACF v4 flex fields can work at the same time as v5.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Parse all text fields individually, allowing for shortcodes to be found and processed.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/elementor\\/\\\">Elementor Page Builder plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/foogallery\\/\\\">FooGallery<\\/a>: Added broadcast meta box for individual galleries.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/global-blocks-for-cornerstone\\/\\\">Global Blocks For Cornerstone<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/global-blocks-for-cornerstone\\/\\\">Global Blocks for Cornerstone<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: New add-on. Adds support for the <a href=\\\"http:\\/\\/www.gravityforms.com\\/\\\">Gravity Forms<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Added support for quiz questions and answers, not just the quiz post type itself.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/codecanyon.net\\/item\\/mailster-email-newsletter-plugin-for-wordpress\\/3078294\\\">Mailster<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ns-cloner\\/\\\">NS Cloner<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/ns-cloner-site-copier\\/\\\">NS Cloner<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/slider-revolution\\/\\\">Slider Revolution<\\/a>: Added support for sliders in the <a href=\\\"https:\\/\\/themeforest.net\\/item\\/envision-responsive-retina-multipurpose-theme\\/5928018\\\">Envision theme<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Hide notification about changed slug (which is perfectly normal when broadcasting).<\\/p>\\n<p><strong>38.4<\\/strong> 20170605<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Add RSVP broadcast and syncing. If the event is broadcasted, the attendees will be broadcasted from the event\'s parent blog as the source. Requires Broadcast v38.4.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Add support for <a href=\\\"http:\\/\\/myeventon.com\\/addons\\/action-user\\/\\\">Action User<\\/a> add-on in order to give <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a> a chance to broadcast form submissions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Fix fatal error when the link checkbox is not checked.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ultimate-member\\/\\\">Ultimate Member<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/ultimate-member\\/\\\">Ultimate Member<\\/a> plugin.<\\/p>\\n<p><strong>38.3<\\/strong> 20170523<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Added BB settings copy function under the Broadcast menu.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/jetpack\\/\\\">Jetpack<\\/a>: New addon. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/jetpack\\/\\\">Automattic\'s Jetpack plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/slider-revolution\\/\\\">Slider Revolution<\\/a>: New addon. Adds support for the <a href=\\\"https:\\/\\/revolution.themepunch.com\\/\\\">Slider Revolution<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/the-events-calendar\\/\\\"> The Events Calendar<\\/a>: Use API to broadcast venues and events.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: New addon. Copy user roles between blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix variation broadcasting to multiple blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/www.woothemes.com\\/products\\/product-vendors\\/\\\"> plugin.<\\/a><\\/p>\\n<p><strong>38.2<\\/strong> 20170428<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Add extra check for missing database tables on the child blogs, which should prevent a lot of headaches when attachments aren\'t being correctly copied.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ninja-forms\\/\\\">Ninja Forms<\\/a>: Added menu item for copying Ninja Form settings between blogs, like WooCommerce has.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/page-content-shortcode\\/\\\">Page Content Shortcode<\\/a>: New addon. Provides a [bc_page_content slug=\\\"pageslug\\\"] shortcode to display the contents of a page.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Fix translations not being linked for some people since v35.x.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Better criterion editing UI.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: AutomateWoo: retrieve the parent product link data for triggers. Fixes wrong product triggers when using child products.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Disable v3 save_post workaround for WooCommerce v3.0.4+. Apparently they fixed whatever they broke in v3.<\\/p>\\n<p><strong>38.1<\\/strong> 20170410<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Fix fatal error when editing a broadcast. This appeared when the code was converted to using the new Wordpress translation functions.<\\/p>\\n<p><strong>38<\\/strong> 20170406<\\/p>\\n<p>Finally dropped the \\\"ThreeWP\\\" prefix from the plugin name! The code remains the same, just the name has become simpler: Broadcast...<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/rebroadcast\\/\\\">Rebroadcast<\\/a>: Allow posts to be queued when rebroadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add product image gallery handler, so no more need for the Custom Field Attachments add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Also sync variations stock, not just normal products.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix. Add workaround for how WooCommerce v3.0 saves products. This prevented the image gallery from being correctly broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Ignore content that has no translations. Fixes bug where content without translations that should be broadcasted (EventOn events, for example) was not broadcasted.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Add menu item to force broadcast of content to blogs whithout the language. Fixes a weird bug for some installations that had hidden languages which, for some installations, regarded the language as inactive and would therefore not broadcast the content there.<\\/p>\\n<p><strong>37.2<\\/strong> 20170326<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Deeper revision checking to better detect whether the child post was modified.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Allow custom fields to be protected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Fix fatal error upon viewing available shortcodes. Related to fix below.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Use new data format. Deactivate and reactivate the add-on to convert the old Attachment Shortcodes data to the new format.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add option to disable HTTP processing, so that you don\'t have to disable the cron line.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add settings copy feature, to quickly duplicate (overwrite) WC settings between blogs. See add-on page for more details.<\\/p>\\n<p><strong>37.1<\\/strong> 20170322<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Also copy location images.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Add support for v2.5.1 locations.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/find-some-unlinked-children\\/\\\">Find Some Unlinked Children<\\/a>: Add menu option to ignore post status when finding unlinked children.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix fatal error due to translation: is_wp_error_message_box().<\\/p>\\n<p>Obsolete add-ons removed: Attachment Shortcodes, Types, Views<\\/p>\\n<p><strong>37<\\/strong> 20170316<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/contact-form-7\\/\\\">Contact Form 7<\\/a>: Attempt to link existing forms using their title, else broadcast a new one. Requires that forms have exacty the same title in the shortcode as they are called in the form list.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/events-manager\\/\\\">Events Manager<\\/a>: Fix new location ID not being correctly set on the child blog. Also use $wpdb to insert event and location data instead of using raw SQL. Read the Events Manager page for info about how badly the EM plugin is written.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix items per process setting not being saved.<\\/p>\\n<p><strong>36.2<\\/strong> 20170307<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Location rules fix. If set to a post that is not broadcasted, leave the post ID alone instead of setting it to 0.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Prevent looping when post object fields point back to the same post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-images\\/\\\">All Images<\\/a>: New addon. Detects all referenced local images in post text fields and adds them to the broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Added maximum queue items per process setting that defines how many items to process during a HTTP process event. Also added smarter queue handling that now takes the following into account: the previously mentioned items per process event setting, the PHP time limit and how long, on average, each queue item takes to process. The processing rules are detailed on the queue add-on\'s page.<\\/p>\\n<p><strong>36.1<\\/strong> 20170305<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Better handling of repeater fields in ACF5, and more workarounds added for repeater fields in ACF4.<\\/p>\\n<p><strong>36<\\/strong> 20170303<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: For text values, use the values that ACF reports, not the raw values. Addition to the ACF fix below.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: ACF fields for taxonomies obey the custom field black\\/protect lists.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/find-some-unlinked-children\\/\\\">Find Some Unlinked Children<\\/a>: Like the normal Find Unlinked Children bulk action, find children that have the same status.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/www.learndash.com\\/\\\">LearnDash LMS<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Added \\\"show blog language\\\" wizard.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Added function to only protect child properties if the post was modified. Allows some child posts to be updated with own content, while other child posts are overwritten with new content. Requires post revision support.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix incorrect variation post title (that is never seen).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-all-import\\/\\\">WP All Import<\\/a>: New add-on. Adds support for post updates from Soffly\'s <a href=\\\"http:\\/\\/www.wpallimport.com\\/\\\">WP All Import Pro<\\/a>.<\\/p>\\n<p>Obsolete add-ons: The next version of the pack will disable the following add-ons, so please enable their replacements:<\\/p>\\n<p>Attachment Shortcodes has been replaced by <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>.<br \\/>\\nTypes has been replaced by <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>.<br \\/>\\nViews has been replaced by <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>.<\\/p>\\n<p><strong>35.8<\\/strong> 20170130<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Do not allow ACF to process text fields before broadcasting them (= return the values completely raw).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Fix forcing on of checkboxes when not directly broadcasting (like in queues, for example).<\\/p>\\n<p><strong>35.7<\\/strong> 20170127<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix 1 values when retrieving text values from non-post text fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/duplicate-attachments\\/\\\">Duplicate Attachments<\\/a>: Fix setting of attached filename on some hosts, which caused problems with returning of the image filename on disk (especially with Update Attachments).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Fix broken featured image URL. GD, unlike Wordpress, likes to have a forward slash at the beginning of the URL.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ninja-forms\\/\\\">Ninja Forms<\\/a>: Added form action syncing.<\\/p>\\n<p><strong>35.6<\\/strong> 20170117<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Fix to allow for broadcasting without linking to a blog without the same language.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix fatal error after HTTP process call. The error is harmless but results in an unnecessary entry in the webserver error log.<\\/p>\\n<p><strong>35.5<\\/strong> 20170113<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ninja-forms\\/\\\">Ninja Forms<\\/a>: New add-on: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/ninja-forms\\/\\\">Ninja Forms<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Only process one item at a time. This is because some posts are really, really large and can cause timeouts getting caught just above the 25% time limit. Safer to not try to guess how long a post will take to broadcast.<\\/p>\\n<p><strong>35.4<\\/strong> 20170109<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Comment meta is now also synced. This enables, among other things, WooCommerce product reviews to be synced between blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix overwriting of the global $post variable. This caused a fatal error when using it with the Google Tag Manager plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Product reviews can now be synced (with ratings) thanks to updates in the Comments add-on.<\\/p>\\n<p><strong>35.3<\\/strong> 20170106<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/aqua-page-builder\\/\\\">Aqua Page Builder<\\/a>: New add-on: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/aqua-page-builder\\/\\\">Aqua Page Builder plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Only clean the queue 1 in 10 times. This alleviates problems with slow SQL servers.<\\/p>\\n<p><strong>35.2<\\/strong> 20161223<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Added Elegant Themes Page Builder gallery shortcode in the wizard.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-terms\\/\\\">Shortcode Terms<\\/a>: New add-on. Automatically translates taxonomy term IDs found in shortcodes when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Fix forcing off of hidden checkboxes. This happens when javascript modifies the checked status of the checkboxes.<\\/p>\\n<p><strong>35.1<\\/strong> 20161220<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Added item manipulation function.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Added menu item where one can now select the action if the language does not exist on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix renaming of variation post names.<\\/p>\\n<p><strong>35<\\/strong> 20161206<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Show the Broadcasted column in the field group overview.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Clear cache when creating blogs programatically.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Clear cache when creating deleting blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/\\\">Download Monitor<\\/a>: Replace the URL in the download version with the attachment\'s URL on each blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Added support for partial broadcasts. Currently only the WooCommerce add-on uses this functionality.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added support for partial broadcasts, together with the queue add-on. See the WC settings tab. Use this function if your products has many variations that cause PHP timeouts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Added support for forced broadcasting when using <a href=\\\"https:\\/\\/wedevs.com\\/products\\/plugins\\/wp-user-frontend-pro\\/\\\">WP User Frontend Pro<\\/a> forms.<\\/p>\\n<p><strong>34.5<\\/strong> 20161111<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: New add-on. Adds support for <a href=\\\"https:\\/\\/www.elegantthemes.com\\/plugins\\/divi-builder\\/\\\">Divi Builder<\\/a> and themes using it.<\\/p>\\n<p><strong>34.4<\\/strong> 20161107<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Check for valid posts when adding relationship posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Also listen to gform_site_created actions sent from Gravity Forms to detect when a new blog has been created.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: When using the duplicating translation button, Broadcast will only broadcast parent posts, not child posts also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Add menu option to allow taxonomy term canonical URLs to be ignored \\/ protected. This is for users who do not want the canonical URL of terms to be broadcasted to child blogs.<\\/p>\\n<p><strong>34.3<\\/strong> 20161027<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add workaround for incorrect detection of post number in post fields. This caused fatal errors when ACF fields for taxonomies were created and used within the post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: New add-on: Adds support for the <a href=\\\"https:\\/\\/www.wpbeaverbuilder.com\\/\\\">Beaver Builder page builder plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-links\\/\\\">Local Links<\\/a>: Allow links with parameters to be modified, keeping the parameters. https:\\/\\/blog1.test.com\\/contactus?parameter will become https:\\/\\/blog2.test.com\\/contactus?parameter can become<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/lock-post\\/\\\">Lock Post<\\/a>: Added global lock override roles, to allow specific roles to ignore lock status of posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/lock-post\\/\\\">Lock Post<\\/a>: Added filterable action to allow developers to override post locking.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Integrate blog selection with Blog Groups 2 add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Allow broadcasting of disabled AutomateWoo workflows.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Better detection of network-activated WPML.<\\/p>\\n<p><strong>34.2<\\/strong> 20161006<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-attachments\\/\\\">Custom Field Attachments<\\/a>: Fixed warning when no meta is available (usually from using the Sync Taxonomies add-on).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/\\\"> Download Monitor<\\/a>: Put only download version attachments into the dlm_uploads directory, not attachments for the download itself.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-files\\/\\\">Local Files<\\/a>: New add-on: automatically copies local files to each blog and updates the links in the content.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Optimize tables after cleaning to reduce fragmentation.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add ability to broadcast content templates.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for AutomateWoo workflows.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add category thumbnail and display type support.<\\/p>\\n<p><strong>34.1<\\/strong> 20160927<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add wildcard support for checking the ACF field names against the custom field protect list. And blacklist checking also supports wildcards now.<\\/p>\\n<p><strong>34<\\/strong> 20160925<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a> and <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Code change. Use new -&gt;copy_attachment_to_blog() function to prevent double copying of images attached to [taxonomy] meta.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Add backwards compatibility for Wordpress &lt; 4.6<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/contact-form-7\\/\\\">Contact Form 7<\\/a>: Remove unused code warning.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/duplicate-attachments\\/\\\">Duplicate Attachments<\\/a>: Force renaming of attachment post_names to coincide with the attachment fix in the base version of Broadcast. This fixes the attachment duplication bug\\/feature in Wordpress.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Allow queuing of posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Workaround for old versions of WooCommerce that don\'t have the get_woocommerce_term_meta function.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Include temporary fix for Wordpress action\\/filter bug that prevents the editor language of duplicated posts from being updated on the child. Requires a patched WPML. This fix will become obsolete when Wordpress 4.7 is released, due to the *5 year old* bug being finally fixed.<\\/p>\\n<p><strong>33.1<\\/strong> 20160913<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Fix blog limit. Due to incorrect documentation, only 100 blogs are returned at a time.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/social-networks-auto-poster\\/\\\">SNAP<\\/a>: Better support for [featured] images in posts. It does this by SNAPping only after all images have been attached.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Allow broadcasting to blogs on which WPML is not active. This will result in just normal broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added support for the WooCommerce Variation Swatches and Photos plugin.<\\/p>\\n<p><strong>33<\\/strong> 20160817<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Code change - use get_sites() instead of deprecated wp_get_sites().<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Sync ACF fields in taxonomies during broadcasting and during manual taxonomy sync.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/avia-layout-builder\\/\\\">Avia Layout Builder<\\/a>: Use new Shortcode Attachments and Shortcode Menus add-ons to parse the builder content, which now allows you to use menu shortcodes in your Avia content also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/contact-form-7\\/\\\">Contact Form 7<\\/a>: New add-on. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/contact-form-7\\/\\\">Takayuki Miyoshi\'s Contact Form 7<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/events-manager\\/\\\">Events Manager<\\/a>: Fix broadcasted events not showing in the location\'s overview page.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-links\\/\\\">Local Links<\\/a>: Extra check for valid URLs. The Wordpress function url_to_postid() seems to think that anything with a question mark is a valid URL.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Duplicate Content button automatically broadcasts post to all child blogs. Those child blogs without the duplicated language are ignored, as per normal WPML broadcasting rules.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-ultimate-recipe\\/\\\">WP Ultimate Recipe<\\/a>: Now supports meal plans. The recipes in the meals must already exist on each child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/wordpress-seo\\/\\\">Yoast SEO<\\/a> plugin. Only needed if you want taxonomy SEO data synced when broadcasting.<\\/p>\\n<p><strong>32.2<\\/strong> 20160719<\\/p>\\n<p>Attachment Shortcodes: Obsolete. Please use the Shortcode Attachments plugin instead. It\'s the same thing (your shortcode settings are kept) but this add-on will be phased out in the future. The reason being that the new Shortcode Attachments and Shortcode Menus add-ons share the same base code, making development easier.<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: New add-on. Automatically translate attachment IDs found in shortcodes when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-menus\\/\\\"> Shortcode Menus<\\/a>: New add-on. Automatically translate menu IDs found in shortcodes when broadcasting.<\\/p>\\n<p><strong>32<\\/strong> 20160715<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Allow settings to be modified by UBS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Added experimental ticket syncing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/per-blog-taxonomies\\/\\\">Per Blog Taxonomies<\\/a>: Allow settings to be modified by UBS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Obey broadcasting_data-&gt;high_priority property from BC v32. This will solve problems with complicated broadcasts that subbroadcast things (like ACF post relations and Download Monitor shortcodes).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix allowing normal users to ajax process posts on the post overview screen.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Merged the Types and Views plugins. Now broadcast CRED forms, types and views.<br \\/>\\nTypes: Obsolete. Please use Toolset add-on instead.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Use better descriptions when editing meta boxes.<br \\/>\\nViews: Obsolete. Please use Toolset add-on instead.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Can now stock sync on its own. Extra removed.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added experimental order syncing.<\\/p>\\n<p><strong>31<\\/strong> 20160705<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Added support for content preparsing on textarea fields also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/calendarize-it\\/\\\">Calendarize It<\\/a>: New add-on. Adds support for <a href=\\\"http:\\/\\/codecanyon.net\\/item\\/calendarize-it-for-wordpress\\/2568439\\\">Calendarize It!<\\/a> events.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/delete-before-broadcast\\/\\\">Delete Before Broadcast<\\/a>: Fixed bug which prevented more than one post from being deleted.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/\\\"> Download Monitor<\\/a>: Use the preparse actions to parse download shortcodes everywhere (like in ACF text fields, for example).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/events-manager\\/\\\">Events Manager<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/events-manager\\/\\\">Events Manager<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-links\\/\\\">Local Links<\\/a>: Tell the DOMDocument parser to use the utf8 charset - more hardy parsing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Assume a max execution time of 30s when a max time of -1 is encountered. Workaround for bug in wpallexport pro.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/the-events-calendar\\/\\\"> The Events Calendar<\\/a>: Bulk post actions are applied to all recurring events when modifying the main \\/ root event. See the TEC page for details on how to disable this feature. Depending on feedback, this feature can be turned into a menu item.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/types\\/\\\"> Types<\\/a>: Add support for manual broadcast of post types to other blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/views\\/\\\">Views<\\/a>: Add support for manual broadcast of views to other blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add ability to broadcast membership plans.<\\/p>\\n<p><strong>30<\\/strong> 20160606<\\/p>\\n<p>ACF: Extended support for conditional gallery local \\/ global images.<br \\/>\\nACF: Added support for the link field type.<br \\/>\\nACF: Added support for content preparsing, therefore requiring v30 of Broadcast. This will parse links and gallery shortcodes in text, url, link and wysiwyg fields.<br \\/>\\nDownload Monitor: Allow download attachments to be copied to the dlm_uploads subdirectory - the file URL in the version remains unchanged, though.<br \\/>\\nLocal Links: Now uses content preparsing to translate local links in everything that is preparsed, like the text-related ACF field types.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/tao-schedule-update\\/\\\">Tao Schedule Update<\\/a>: Plugin added. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/tao-schedule-update\\/\\\">Tao Schedule Update<\\/a> plugin.<br \\/>\\nThe Events Calendar: Better saving of custom fields upon intial broadcast (instead of having to double publish to get the custom fields to show).<br \\/>\\nUpdate Attachments: Also update the description, alt and caption of the image, not only the file.<\\/p>\\n<p><strong>29.1<\\/strong> 20160418<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/back-to-parent\\/\\\">Back To Parent<\\/a>: More robust handling, now including related posts (for example Download Monitor download versions).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/\\\"> Download Monitor<\\/a>: New plugin. Adds support for downloads and shortcodes from <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/download-monitor\\/\\\">Never5\'s Download Monitor<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Allow appending of languages. If you manually add languages to the child posts, they will be preserved when the parent post rebroadcasts.<br \\/>\\nPolylang: Prevent language and flag data in the language taxonomy of the child blogs from being overwritten. Now en (US) will not overwrite en (GB) for example.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\"> Protect Child Properties<\\/a>: Permalink (post_name) can also be protected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-ultimate-recipe\\/\\\"> WP Ultimate Recipe<\\/a>: Remove debug info.<\\/p>\\n<p><strong>29<\\/strong> 20160405<\\/p>\\n<p>ACF: Added support for the Conditional Gallery field type. See the ACF page for notes on this.<br \\/>\\nACF: Added support for parsing of image links in text and wysiwyg content.<br \\/>\\nAll Blogs: Make superadmin version also clear the cache upon creating new blogs.<br \\/>\\nHreflang: Catchable fatal error fixed when not using any settings.<br \\/>\\nProtect Child Properties: Modification date can be protected also.<br \\/>\\nQueue: During broadcasting, don\'t queue any broadcast requests, to prevent some add-ons from not being able to receive new post numbers during broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-ultimate-recipe\\/\\\">WP Ultimate Recipe<\\/a>: Plugin has been moved into 3rd party pack.<br \\/>\\nWP Ultimate Recipe: Added support for recipe instruction images.<\\/p>\\n<p>All packs now have RedHat \\/ CentOS SSL workaround for updates automatically enabled.<\\/p>\\n<p><strong>28.4<\\/strong> 20160317<\\/p>\\n<p><a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/hreflang-broadcast-plugin\\/\\\">Hreflang<\\/a>: Plugin added. Adds support for <a href=\\\"https:\\/\\/en.wikipedia.org\\/wiki\\/Hreflang\\\">SEO-friendly hreflang html tags<\\/a>.<\\/p>\\n<p><strong>28.3<\\/strong> 20160309<\\/p>\\n<p><a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/rebroadcast-broadcast-plugin\\/\\\">Rebroadcast<\\/a>: Plugin added. Rebroadcast \\/ update selected parent posts by using a bulk action.<br \\/>\\nUBS: Escape the blog names in the meta box settings.<\\/p>\\n<p><strong>28.2<\\/strong> 20160301<\\/p>\\n<p>ACF: Fix warning when trying to parse fields without values.<br \\/>\\nComments: Fixed bug where comments are blocked on unlinked posts, but with syncing enabled.<br \\/>\\nEventOn: Fix error by checking that the event is using tickets.<br \\/>\\nEventOn: Add support for proper broadcasting of the location and organizer.<br \\/>\\nGeoDirectory: Code fix: Use terms() instead of obsolete equivalent_terms() method.<br \\/>\\nThumbnail Sizes: Fix error when no sizes are set.<\\/p>\\n<p><strong>28.1<\\/strong> 20160208<\\/p>\\n<p><a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/activity-monitor-broadcast-plugin\\/\\\">Activity Monitor<\\/a>: Update compatability with hook class.<br \\/>\\n<a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/post-expirator-broadcast-plugin\\/\\\">Post Expirator<\\/a>: Plugin added. Adds support for Aaron Axelsen\'s <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/post-expirator\\/\\\">Post Expirator<\\/a> plugin.<\\/p>\\n<p><strong>28<\\/strong> 20160118<\\/p>\\n<p>EventON: Plugin added. Adds support for Ashan Jay\'s <a href=\\\"http:\\/\\/www.myeventon.com\\/\\\">EventON<\\/a> plugin with tickets.<\\/p>\\n<p><strong>27.2<\\/strong> 20151215<\\/p>\\n<p>SiteOrigin Page Builder: Plugin added. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/siteorigin-panels\\/\\\">SiteOrigin\'s Page Builder plugin<\\/a>.<br \\/>\\nUser &amp; Blog Settings Post: Fix fatal error.<\\/p>\\n<p><strong>27.1<\\/strong> 20151209<\\/p>\\n<p>ACF: Fix flexible field images for ACF v4. Apparently images in flexfields did not work correctly. ACF v5 untouched.<br \\/>\\nProtect Child Properties: Allow protection for post parent.<\\/p>\\n<p><strong>27<\\/strong> 20151124<\\/p>\\n<p>Avia Layout Builder: Plugin added.<\\/p>\\n<p><strong>26.2<\\/strong> 20151104<\\/p>\\n<p>ACF: Removed taxonomy fields support for non-pro versions of ACF.<\\/p>\\n<p><strong>26.1<\\/strong> 20151103<\\/p>\\n<p>Back To Parent: Fix warning about fake variable.<br \\/>\\nProtect Child Properties: Fix string warnings.<br \\/>\\nWooCommerce: Fix broadcasting products. Asking WooCommerce to return a product is not a good enough check, it has to be checked manually.<\\/p>\\n<p><strong>26<\\/strong> 20151102<\\/p>\\n<p>Update Broadcast before updating this pack. After updating the pack, check that all your normal pack plugins are still activated. I\'ve tested this upgrade myself and for it remembers which plugins were activated, but you never know.<\\/p>\\n<p><a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/bbpress-broadcast-plugin\\/\\\">bbPress<\\/a>: Plugin added. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/bbpress\\/\\\">BBPress<\\/a> forums, topics and replies.<br \\/>\\nProtect Child Attachments \\/ Author \\/ Content \\/ Status: This is the last time these obsolete plugins will be seen in the pack. Use Protect Child Properties instead.<br \\/>\\n<a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/thumbnail-sizes-broadcast-plugin\\/\\\"> Thumbnail Sizes<\\/a>: Plugin added. The plugin allows for different additional thumbnail sizes on a per-blog basis.<br \\/>\\nUser &amp; Blog Settings: Fix harmless error_log warnings when creating or removing a modification.<\\/p>\\n<p><strong>25<\\/strong> 20151024<\\/p>\\n<p>ACF: Check for empty repeater values.<br \\/>\\nACF: Do not broadcast empty relations.<br \\/>\\nSync Taxonomies: Recorder added. Record taxonomy changes and replay them on other blogs in order to mass-create \\/ edit \\/ delete terms with just a few clicks.<br \\/>\\nWooCommerce: Completely ignore all non-products, minimizing risk for unneccessary warnings.<\\/p>\\n<p><strong>24<\\/strong> 20151009<\\/p>\\n<p>ACF: Simplified repeater field handling.<br \\/>\\nGeoDirectory: Plugin added.<\\/p>\\n<p><strong>23.4<\\/strong> 20151003<\\/p>\\n<p>FooGallery: Plugin added.<br \\/>\\nTEC: Support for Additional Fields.<\\/p>\\n<p><strong>23.3<\\/strong> 20150909<\\/p>\\n<p>Blog Groups 2: Clone fatal error fixed.<br \\/>\\nBlog Groups 2: Fixed bug where only the first group was displayed when several groups had the same blogs selected.<br \\/>\\nDuplicate Attachments: Fix file path when duplicating.<br \\/>\\nGEO My WP: Plugin added.<\\/p>\\n<p><strong>23.2<\\/strong> 20150901<\\/p>\\n<p>ACF: Fix warning when encountering empty repeaters in repeaters.<br \\/>\\nACF: Allow using taxonomy term objects as well as term IDs.<br \\/>\\nTablePress: Add support for tables with non-integer IDs.<br \\/>\\nTEC: Remove unneccessary meta box info.<br \\/>\\nWooCommerce: Add support for \\\"German Market\\\" plugin delivery times.<br \\/>\\nWooCommerce: Add support for cross-sells and upsells. The product(s) have to already exist on the child blog and be linked in order to be detected.<br \\/>\\nWooCommerce: Stock status is better updated on broadcasting due to clearing of WooCommerce transients.<\\/p>\\n<p><strong>23.1<\\/strong> 20150804<\\/p>\\n<p>Views: Fix fatal error trying to call non-object custom_fields.<\\/p>\\n<p><strong>23<\\/strong> 20150803<\\/p>\\n<p>All In One Event Calendar: Removed text at the bottom of the meta box.<br \\/>\\nBack To Parent: Fix duplicate posts by using the new *_post_broadcast_data actions.<br \\/>\\nEvent Organiser: Removed text at the bottom of the meta box.<br \\/>\\nGlobal Content Blocks: Plugin added.<br \\/>\\nMetaslider: Plugin added.<br \\/>\\nViews: Removed text at the bottom of the meta box.<br \\/>\\nWPML: Updated plugin to be able to broadcast translations with unpatched WPML v3.1.9.7. Working with the translation manager still requires a patch.<br \\/>\\nWPML: Force same slug for child posts in different languages.<\\/p>\\n<p><strong>22.1<\\/strong> 20150724<\\/p>\\n<p>ACF: Fix add_attachment fatal error.<br \\/>\\nPermlinks: Fix continue error during broadcasting.<\\/p>\\n<p><strong>22<\\/strong> 20150721<\\/p>\\n<p>All In One Event Calendar: Remove unnecessary warning about return_registry().<br \\/>\\nNew Blog Broadcast: Plugin added.<br \\/>\\nPer Blog Taxonomies: Fixed \\\"too much memory\\\" error on some installs when saving the settings.<br \\/>\\nSync Taxonomies: Fix fatal error caused by not updating ST to use the new API.<br \\/>\\nTablePress: Plugin added.<br \\/>\\nThe Events Calendar: Updated to support v3.10.1<br \\/>\\nWooCommerce: Add support for product category images. The images are updated only when broadcasting a product with those product categories set.<br \\/>\\nWooCommerce: Add support for attribute images, as provided by Variation Swatches and Photos.<br \\/>\\nWooCommerce: Force term recount after Broadcast. This fixes the problem of product categories not being visible sometimes.<\\/p>\\n<p><strong>21<\\/strong> 20150705<br \\/>\\nAll Blogs: Cache is now cleared upon creating new blogs. No more need for the cache clearing extra.<br \\/>\\nQueue: Manual processing of queue in debug mode forces broadcast of the item. Time limits are ignored.<br \\/>\\nViews: More debug info.<\\/p>\\n<p><strong>20.1<\\/strong> 20150614<br \\/>\\nDelete Before Broadcast: Added option to unlink children.<br \\/>\\nProtect Child Author \\/ Attachments \\/ Content \\/ Status: Marked as obsolete. Use Protect Child Properties instead.<br \\/>\\nProtect Child Properties: Fix bug when no properties are selected and queue is used.<\\/p>\\n<p><strong>20<\\/strong> 20150609<br \\/>\\nACF: Delete blacklisted custom fields, and those fields in repeaters.<br \\/>\\nACF: Handle single taxonomy values also.<br \\/>\\nACF: Ignore repeater fields that have no values.<br \\/>\\nACF: Ignore taxonomy fields that have no values.<br \\/>\\nBlog Groups 2: Select All \\/ Invert \\/ None functionality added.<br \\/>\\nDelete Before Broadcast: Add \\\"delete same slug\\\" and \\\"delete similar slugs\\\" options.<br \\/>\\nUser &amp; Blog Settings: Fix error on line 155 when saving modifications.<\\/p>\\n<p><strong>19.3<\\/strong> 20150524<br \\/>\\nFind Some Unlinked Children: Exclude presumtive children that have parents or children.<\\/p>\\n<p><strong>19.2<\\/strong> 20150522<br \\/>\\nACF: Fix fatal error message when using taxonomy terms that aren\'t set in the post itself.<\\/p>\\n<p><strong>19.1<\\/strong> 20150521<br \\/>\\nFix error message in Local Links and Keep Child Status.<\\/p>\\n<p><strong>19<\\/strong> 20150519<br \\/>\\nACF: Skip fields that are in the custom field blacklist and the protect list.<br \\/>\\nAll Blogs: New extra: Clear All Blogs Cache plugin to clear the all blogs cache when creating new sites.<br \\/>\\nAttachment Shortcodes: Better handling of nested shortcodes. More robust shortcode handling.<br \\/>\\nDelete Before Broadcast: Plugin added.<br \\/>\\nProtect Child Properties: Plugin added.<br \\/>\\nProtect Child Attachments: Obsolete due to Protect Child Properties plugin.<br \\/>\\nProtect Child Author: Obsolete due to Protect Child Properties plugin.<br \\/>\\nProtect Child Content: Obsolete due to Protect Child Properties plugin.<br \\/>\\nProtect Child Status: Obsolete due to Protect Child Properties plugin.<br \\/>\\nUser &amp; Blog Settings: Better cleaning up of criteria after modification deletion.<br \\/>\\nWooCommerce: Two new extras: stock and PDF vouchers can be automatically synced between parents \\/ children upon each purchase. See the extras directory.<\\/p>\\n<p><strong>18.1<\\/strong> 20150414<br \\/>\\nACF: Fix fatal error when using relationships.<br \\/>\\nPolylang: Pre-emptive fix: Clear language cache after finish broadcasting.<\\/p>\\n<p><strong>18<\\/strong> 20150412<br \\/>\\nACF: Repeater fields can contain repeater fields.<br \\/>\\nACF: Fix for empty flexible layouts.<br \\/>\\nACF: Add support for ACF Pro v5 field groups.<br \\/>\\nAll Blogs: Cache is updated when blogs are created \\/ deleted \\/ undeleted.<br \\/>\\nBlog Groups 2: Plugin added.<br \\/>\\nProtect Child Author: Plugin added.<br \\/>\\nQueue: HTTP processing now allows to processing of queue via cron job.<br \\/>\\nThe Events Calendar: Syncing of calendar events enabled again.<br \\/>\\nNew extra: WP Ultimate Recipe compatability plugin. See extras directory.<br \\/>\\nWooCommerce: More efficient variation handling - they are no longer automatically deleted upon broadcast.<\\/p>\\n<p><strong>17.1<\\/strong> 20150219<br \\/>\\nACF: Add page link type.<br \\/>\\nACF: Fix gallery, relationship, post object types not being handled correctly.<\\/p>\\n<p><strong>17<\\/strong> 20150216<br \\/>\\nACF: File \\/ image fields with URLs now work.<br \\/>\\nACF: Plugin offers lots of hookable actions.<br \\/>\\nFind Some Unlinked Children: Plugin added.<br \\/>\\nQueue: More debug info when queueing posts.<br \\/>\\nSocial Networks Auto Poster: Plugin added.<br \\/>\\nUser Blog Settings: Fix upgrade path: the new criteria table is created before trying to convert old criteria.<br \\/>\\nUser Blog Settings: New UI for modification editing.<br \\/>\\nUser Blog Settings: Post bulk actions can now be hidden in modifications.<br \\/>\\nUser Blog Settings: Summary view gives an overview of all of the modifications made.<\\/p>\\n<p><strong>16<\\/strong> 20150116<br \\/>\\nComments: Hierarchy is preserved.<br \\/>\\nComments: Automatic syncing of linked posts.<br \\/>\\nDuplicate Attachments: Plugin added. Copying of attachments can be exponentially speeded up by using this plugin, which duplicates attachment and thumbnails from the parent blog instead of regenerating them.<br \\/>\\nUser &amp; Blog Settings: Automatically clean up orphaned criteria.<br \\/>\\nUser &amp; Blog Settings: More robust detection of post types.<br \\/>\\nUser &amp; Blog Settings: \\\"On\\\" for checkboxes no longer forces the checkbox to be ticked.<\\/p>\\n<p><strong>15<\\/strong> 20141218<br \\/>\\nNo New Terms: Plugin added.<br \\/>\\nQueue: Add conflict check when marking queue as finished.<br \\/>\\nSend To Many: Remove reference to obsolete js.js<br \\/>\\nUser Blog Settings: Fix display of selected users.<\\/p>\\n<p><strong>14<\\/strong> 20141210<br \\/>\\nLock Posts: Plugin added.<br \\/>\\nMenus: Add option to replace domain URL with that of child blog.<br \\/>\\nBack To Parent: Ignore revision post type.<\\/p>\\n<p><strong>13.1<\\/strong> 20141202<br \\/>\\nQueue: Fixed debugging() error.<br \\/>\\nUser &amp; Blog Settings: Major update with far superior criteria control such as post types and taxonomy terms (specific categories, for example). See new, detailed manual here: <a href=\\\"http:\\/\\/plugins.plainview.se\\/threewp-broadcast-premium-pack\\/user-blog-settings-broadcast-plugin\\/\\\">http:\\/\\/plugins.plainview.se\\/threewp-broadcast-premium-pack\\/user-blog-settings-broadcast-plugin\\/<\\/a><\\/p>\\n<p><strong>13<\\/strong> 20141201<br \\/>\\nPolylang: Plugin added.<br \\/>\\nAll Blogs Superadmin: Plugin added. Allows only superadmins broadcast access to all blogs.<br \\/>\\nACF: Flexible fields can handle more complicated layouts now. Credit tobias@bombayworks.se<br \\/>\\nCustom Field Attachments: Find IDs in all fields and try to unserialize fields.<br \\/>\\nPer Blog Taxonomies: Fix javascript.<br \\/>\\nPermalinks: Fix javascript.<\\/p>\\n<p><strong>12<\\/strong> 20141109<br \\/>\\nSend To Many supports new bulk actions<br \\/>\\nPurge Children supports new post and bulk actions<\\/p>\\n<p><strong>11<\\/strong> 20141029<br \\/>\\nACF: Taxonomy fields are now supported.<br \\/>\\nThe Events Calendar: Plugin added.<br \\/>\\nWooCommerce: Code fix: Use generic way of creating new broadcasting data when broadcasting variations.<\\/p>\\n<p><strong>10<\\/strong> 20141020<br \\/>\\nMenus: Plugin added.<\\/p>\\n<p><strong>9<\\/strong> 20141017<br \\/>\\nACF: Fix fatal error for post objects.<\\/p>\\n<p><strong>8<\\/strong> 20141013<br \\/>\\nPlugins are loaded by classnames instead of exact filenames. Check that your plugins are activated after the upgrade.<br \\/>\\nPermalink settings are clearer (separated fieldsets for global and local).<br \\/>\\nACF: Repeater field supports galleries and relationships.<br \\/>\\nProtect Child Status: Plugin added.<br \\/>\\nWPML: Do not broadcast to blogs that do not have the post\'s language enabled.<br \\/>\\nComments, Protect Child Attachments \\/ Content \\/ Status: fixed fatal error when plugin is enabled with items in the queue.<\\/p>\\n<p><strong>7<\\/strong> 20140923<br \\/>\\nACF: Relationship \\/ object loop prevention.<br \\/>\\nACF: Extra checking for relationships.<br \\/>\\nACF: Add ACF to custom post types automatically.<\\/p>\\n<p><strong>6<\\/strong> 20140909<br \\/>\\nBack To Parent: Plugin added.<br \\/>\\nWooCommerce: Attribute taxonomies are created \\/ updated on each child blog.<\\/p>\\n<p><strong>5<\\/strong> 20140830<br \\/>\\nHide information from non-network admins.<br \\/>\\nQueue: More debug information.<br \\/>\\nQueue: Whole posts can be deleted from the queue, instead of just single items.<br \\/>\\nAll Blogs: Speeup using caching.<br \\/>\\nUser &amp; Blog Settings Post: Speedup using caching.<br \\/>\\nCustom Field Attachments: Better attachment validity checking.<br \\/>\\nWPML: Only broadcast translation manager jobs to those blogs that have the job\'s language.<\\/p>\\n<p><strong>4<\\/strong> 20140814<\\/p>\\n<p>Renamed \\\"Keep Child Attachments\\\" to \\\"Protect Child Attachments\\\"<br \\/>\\nUser &amp; Blog Settings Post: Plugin added.<br \\/>\\nRedirect All Children: Plugin added.<br \\/>\\nProtect Child Content: Plugin added.<br \\/>\\nAll In One Calendar: Plugin added.<\\/p>\\n<p><strong>3<\\/strong> 20140708<\\/p>\\n<p>User &amp; Blog Settings: Select boxes can now just have their values set.<br \\/>\\nKeep Child Attachments: Plugin added.<br \\/>\\nLocalLinks: Disable warnings when loading incorrect HTML.<\\/p>\\n<p><strong>2.24<\\/strong> 20140615<\\/p>\\n<p>Better support for Windows servers.<br \\/>\\nACF: Added support for galleries.<br \\/>\\nWooCommerce: Variation pricing correctly broadcasted.<br \\/>\\nACF: Added support for relationships.<\\/p>\\n<p><strong>2.23<\\/strong> 20140520<br \\/>\\nComments: Plugin added.<br \\/>\\nActivity Monitor: Plugin added.<\\/p>\\n<p><strong>2.21<\\/strong> 20140422<br \\/>\\nCustom Field Attachments: Automatically parses multiple attachment IDs in the same custom field, using non-numbers as separators.<br \\/>\\nPurge Children: Plugin added.<br \\/>\\nQueue: Fix bug where the last items are sometimes not queued.<br \\/>\\nLocal Links: Fixed incompatability with Queue.<\\/p>\\n<p><strong>2.20<\\/strong> 20140412<br \\/>\\nEvent Organiser: Can update event venues when syncing using Sync Taxonomies.<br \\/>\\nSync Taxonomies: Plugin added.<br \\/>\\nNew: Plugins combined into one big premium plugin that enables the various speciality plugins.<br \\/>\\nCustom Field Attachments: Plugin added.<\\/p>\\n<p><strong>2.19<\\/strong> 20140402<br \\/>\\nACF: Support for post objects and files.<br \\/>\\nEvent Organiser: Fix broadcast of event date.<\\/p>\\n<p><strong>2.18<\\/strong> 20140314<br \\/>\\nAttachment Shortcodes: Plugin added.<br \\/>\\nEvent Organiser: Plugin added.<br \\/>\\nACF: New: \\\"Flexible content\\\" field images are correctly copied.<\\/p>\\n<p><strong>2.15<\\/strong> 20140123<br \\/>\\nACF: Fix: same attachment can be used in several image fields.<br \\/>\\nACF: Also handles images in repeater fields.<br \\/>\\nACF: Added compatability with newer versions of ACF that return arrays instead of values.<\\/p>\\n<p><strong>2.14<\\/strong> 20140117<br \\/>\\nQueue: Requires even less memory due to optimizations.<br \\/>\\nUser Blog Settings: Increased compatability with Keep Child Status<\\/p>\\n<p><strong>2.12<\\/strong> 20140112<br \\/>\\nAll Blogs: Plugin added.<br \\/>\\nSend To Many: Compatability with new Broadcast version, fixed missing HTML file.<br \\/>\\nKeep Child Status: Fatal error line 209 fixed.<br \\/>\\nQueue: Round robin, more robustness, fatal errors are displayed.<\\/p>\\n<p><strong>2.11<\\/strong> 20131218<br \\/>\\nQueue: Retry countdown. Better retry handling.<br \\/>\\nQueue: More reliable javascript queuing (ignore unnecessary warnings from other plugins).<br \\/>\\nPer Blog Taxonomies: Plugin added.<br \\/>\\nPermalinks: Plugin added.<br \\/>\\nQueue: Javascripts informs of errors.<\\/p>\\n<p><strong>2.10<\\/strong> 20131121<\\/p>\\n<p>WooCommerce: Plugin added.<br \\/>\\nAdded \\\"Premium\\\" to plugin names.<\\/p>\\n<p><strong>2.9<\\/strong> 20131113<br \\/>\\nKeepChildStatus: Plugin added.<br \\/>\\nUserBlogSettings: Fixed CSS display when testing.<br \\/>\\nUserBlogSettings: Stricter application of criteria.<br \\/>\\nUserBlogSettings: Nicer display of blog names with special characters.<br \\/>\\nUserBlogSettings: Apply JS in the preview box.<br \\/>\\nViews: Fix for removed added_meta_box action.<br \\/>\\nUserBlogSettings: Added support for select modifications.<br \\/>\\nUserBlogSettings: Note about current blog not being visible.<\\/p>\\n<p><strong>2.7<\\/strong> 20131101<br \\/>\\nAdvanced Custom Fields: Plugin added.<br \\/>\\nSendToMany: Fixed send to many button - using new prepare action.<\\/p>\\n<p><strong>2.6<\\/strong> 20131028<br \\/>\\nLocal Links: Plugin added.<\\/p>\\n<p><strong>2.4<\\/strong> 20131018<br \\/>\\nUser &amp; Blog Settings: Plugin added.<\\/p>\\n<p><strong>2.3<\\/strong> 20131011<br \\/>\\nSend To Many: Plugin added.<br \\/>\\nQueue: Added process data caching.<\\/p>\\n<p><strong>2.2<\\/strong> 20131007<br \\/>\\nViews: Plugin added.<\\/p>\\n<p><strong>2.0<\\/strong> 20131006<br \\/>\\nInitial release to coincide with Broadcast 2.0.<br \\/>\\nQueue: Plugin added.<\\/p>\\n\"},\"banners\":{\"high\":\"\",\"low\":\"\"},\"icons\":[],\"description\":[\"<p>The premium pack contains all of the Broadcast plugin packs.<\\/p>\\n\"],\"changelog\":[\"<p><strong>48.01<\\/strong> 20211105<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/code-snippets\\/\\\">Code Snippets<\\/a>: Run code snippets on specific blogs.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cron-everywhere\\/\\\">Cron Everywhere<\\/a>: Runs WordPress cron periodically on all sites of the network.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/rebroadcaster\\/\\\">Rebroadcaster<\\/a>: Periodically and automatically rebroadcast specific posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-attachments\\/\\\">Gutenberg Attachments<\\/a>: Better support for image IDs that are part of arrays.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Clear the cache when pods are deleted on the parent blog, so that they are also shown as deleted on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Fix incorrectly protecting custom fields with taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/the-events-calendar\\/\\\">The Events Calendar<\\/a>: Allow several organisers per event.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Fix recursion when broadcasting relationships again. Use new broadcast_once() functionality.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: More fixing of featured images not broadcasting when processing via cron with the Publishpress Revisions plugin active.<\\/p>\\n<p><strong>47.13<\\/strong> 20211007<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/copy-options\\/\\\">Copy options<\\/a>: Translate the page_on_front option when copying the reading *_on_front options.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Delete existing add-on feeds on child blogs before adding the parent ones.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-attachments\\/\\\">Gutenberg Attachments<\\/a>: Add wizard for ACF Gallery Masonry block.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/per-blog-author\\/\\\">Per Blog Author<\\/a>: Fix blog name html.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Parse errors are displayed when running the code.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Allow taxonomies to be protected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix featured images not broadcasting when processing via cron with the Publishpress Revisions plugin active.<\\/p>\\n<p><strong>47.12<\\/strong> 20210923<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-filter\\/\\\">Search And Filter<\\/a>: Adds support for the <a href=\\\"https:\\/\\/searchandfilter.com\\/\\\">Search And Filter<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Force better selection of database tables to be cloned. This should prevent _60_ _61_ etc from being cloned when only _6_ is going to be cloned.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Allow handling of non-pro ACF5 fields with add-ons (repeater) as pro.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for ProductIntroFullDetail element type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for syncing shipping and coupon info when syncing orders.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for the <a href=\\\"https:\\/\\/wclovers.com\\/\\\">WCFM - WooCommerce Multivendor Marketplace<\\/a> plugin.<\\/p>\\n<p><strong>47.11<\\/strong> 20210815<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/scheduler\\/\\\">Scheduler<\\/a>: Automatically change the publish date of child posts during broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/woocommerce.com\\/products\\/product-bundles\\/\\\">product bundles<\\/a>.<\\/p>\\n<p><strong>47.09<\\/strong> 20210706<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Allow setting of blog archived \\/ deleted \\/ mature \\/ spam status.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Fix warning when no conditions are to be restored.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Fix warning when a gallery is empty.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Broadcast associated posts when broadcasting entries.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Better PHP8 compatability.<\\/p>\\n<p><strong>47.08<\\/strong> 20210613<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/more-children\\/\\\">More Children<\\/a>: Allows children to create more children of the parent.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for new widgets: avante-portfolio-grid and dyxnet-testimonial-card<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Allow for non-standard upload directories.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-files\\/\\\">Local Files<\\/a>: Use the link data of the parent, if possible. Allows for linking to posts that are broadcasted from other blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-links\\/\\\">Local Links<\\/a>: Try to find the page twice. This is a workaround for an unexplained bug with WPML that never finds the first link on a page.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Fix fatal error when broadcasting manually.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/parent-pull\\/\\\">Parent Pull<\\/a>: Fix warning about custom fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Don\'t protect the featured image if the custom fields are protected.<\\/p>\\n<p><strong>47.07<\\/strong> 20210513<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/imagify\\/\\\">Imagify<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/imagify\\/\\\">Imagify<\\/a> plugin \\/ service.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-cleanup\\/\\\">Custom Field Cleanup<\\/a>: Cleans up the custom fields of a post.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/term-meta-attachments\\/\\\">Term Meta Attachments<\\/a>: Allow taxonomy term meta containing attachment IDs to be broadcasted correctly.<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/category-order-and-taxonomy-terms-order\\/\\\">Category Order and Taxonomy Terms Order<\\/a>: Also set the term order during broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Fix fatal error if menu icons plugin is not active.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Fix recursion when broadcasting relationships.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: Allow syncing of roles and users separately.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Also broadcast new coupon amount when a coupon is used, not just usage count.<\\/p>\\n<p><strong>47.06<\\/strong> 20210412<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/rank-math-seo\\/\\\">Rank Math SEO<\\/a>: Add support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/seo-by-rank-math\\/\\\">Rank Math SEO<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Comment meta is updated during syncing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cornerstone\\/\\\">Cornerstone<\\/a>: Add support for toggle_anchor_graphic_image_src<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for course builder data stored in \\\"steps\\\" instead of \\\"hrt\\\" data.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for either overwriting or keeping the groups of a course.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add CLI command: broadcast_queue process<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add support for relationships with intermediaries.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Allow broadcasting of coupons and broadcasting of usage count when the coupon is used.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Ignore taxonomies that are not translatable.<\\/p>\\n<p><strong>47.05<\\/strong> 20210325<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add option to enable queue locking, which only the largest networks might need. Queue locking is disabled per default.<\\/p>\\n<p><strong>47.04<\\/strong> 20210318<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for display conditions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Add support for parsing Advanced Post Creation content in order to get shortcodes parsed.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix unlocking of the queue.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/tablepress\\/\\\">Tablepress<\\/a>: Modernize add-on to parse Tablepress shortcodes everywhere Broadcast processes texts (Elementor widgets, ACF text fields, etc), not just the post content.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for chained products.<\\/p>\\n<p><strong>47.03<\\/strong> 20210308<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-in-one-seo\\/\\\">All In One SEO<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/all-in-one-seo-pack\\/\\\">All in One SEO<\\/a> plugin.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/generatepress\\/\\\">GeneratePress<\\/a> adds support for the <a href=\\\"https:\\/\\/generatepress.com\\/\\\">GeneratePress<\\/a> theme \\/ plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add support for term protect list.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Comments are now merged instead of overwritten.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Fix restoring of serialized custom fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Fix the SEO data cache for terms not being emptied.<\\/p>\\n<p><strong>47.02<\\/strong> 20210216<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/back-to-parent\\/\\\">Back To Parent<\\/a>: Do not do anything if the Update Family checkbox is selected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix posts not being queued.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Check that the files exist at the source before updating. Fixes conflicts with CDN plugins that remove the files from disk.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-family\\/\\\">Update Family<\\/a>: Make the sibling broadcast low priority so that they can be queued.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/bookingwp.com\\/plugins\\/woocommerce-appointments\\/\\\">Appointments<\\/a>.<\\/p>\\n<p><strong>47.01<\\/strong> 20210210<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/permalink-manager\\/\\\">Permalink Manager<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/permalink-manager\\/\\\">Permalink Manager<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Fix copying of site files.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: Add support for Theme Builder usage restrictions based on pages and term IDs.<br \\/>\\nShortcode Items: Fix the parse_find and replace_id action names.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add support for WPML in relationships.<\\/p>\\n<p><strong>46.19<\\/strong> 20210127<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/litespeed-cache\\/\\\">LiteSpeed Cache<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/litespeed-cache\\/\\\">LiteSpeed Cache<\\/a> plugin.<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Do not copy the files in the sites directory when cloning blog 1.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: Prevent theme overwrites when using the <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/sync-taxonomies\\/\\\">Sync Taxonomies<\\/a> add-on, in addition to when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cornerstone\\/\\\">Cornerstone<\\/a>: Add support for images.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Added more support for Workflows.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Force WPML to recount the taxonomy term stats after taxonomy sync.<\\/p>\\n<p><strong>46.18<\\/strong> 20201229<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Add support for later linking using the queue add-on, which allows for big clones.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: Added support for global modules in rows also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ns-cloner\\/\\\">NS Cloner<\\/a>: Add support for later linking using the queue add-on, which allows for big imports.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/woocommerce.com\\/products\\/woocommerce-bookings\\/\\\">Bookings<\\/a> resources and people.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Fix the SEO data cache not being emptied.<\\/p>\\n<p><strong>46.17<\\/strong> 20201215<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cornerstone\\/\\\">Cornerstone<\\/a> adds support for the <a href=\\\"http:\\/\\/theme.co\\/cornerstone\\\">Cornerstone Page Builder<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add action to allow for merging of existing course data, for example <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/snippet\\/learndash-preserve-the-registration-button-url\\/\\\">the registration button URL (snippet)<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for broadcasting Uncanny Content via GB blocks.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: New: Force showing of the Broadcast meta box, which is normally hidden due to broken Mailster CSS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: Add PHP Code wizard for copying templates between blogs.<\\/p>\\n<p><strong>46.16<\\/strong> 20201116<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/per-blog-author\\/\\\">Per Blog Author<\\/a> allows for individual control of the author for each child post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Add support for the WooCommerce Multilingual plugin. This prevents translated child products from losing their custom fields when updating the parent language.<\\/p>\\n<p><strong>46.15<\\/strong> 20201111<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support for parsing links.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for AE Post Blocks manual selections.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: When broadcasting a course in groups, broadcast the groups automatically if they do not exist on the child.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: New: Force showing of the Broadcast meta box, which is normally hidden due to broken Mailster CSS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: Add support for forms and lists in conditions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Add support for broadcasting string translations.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add support for v3.4 relationships.<\\/p>\\n<p><strong>46.14<\\/strong> 20201002<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for AE Post Blocks relationships.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Add support for event speakers.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Fix support for v2.0.0.101 - images, logos and categories broadcast correctly again.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ninja-forms\\/\\\">Ninja Forms<\\/a>: Clear form cache after broadcasting. Tested with 3.4.30<\\/p>\\n<p><strong>46.13<\\/strong> 20200922<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/modern-events\\/\\\">Modern Events<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/modern-events-calendar-lite\\/\\\">Modern Events plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Add support for broadcasting entries via the Broadcast &gt; Formidable menu item.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Add support for Gravityflow workflows.<\\/p>\\n<p><strong>46.12<\\/strong> 20200810<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/create\\/\\\">Create<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/mediavine-create\\/\\\">Create<\\/a> plugin from Mediavine.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/soliloquy\\/\\\">Soliloquy<\\/a> adds support for the <a href=\\\"https:\\/\\/soliloquywp.com\\/\\\">Soliloquy plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add ability to copy option field groups.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for updating the linked children when the parent post is saved in Elementor (not just the normal editor).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix field ID in view not matching.<\\/p>\\n<p><strong>46.11<\\/strong> 20200715<\\/p>\\n<p>Version bump, because Wordpress doesn\'t understand that .10 is bigger than .1<\\/p>\\n<p><strong>46.10<\\/strong> 20200714<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/parent-pull\\/\\\">Parent Pull<\\/a> allows content to be pulled from (parent) blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Add support for repeaters and conditionals.<\\/p>\\n<p><strong>46.09<\\/strong> 20200708<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/category-order-and-taxonomy-terms-order\\/\\\">Category Order and Taxonomy Terms Order<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/taxonomy-terms-order\\/\\\">Category Order and Taxonomy Terms Order plugin<\\/a>.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/unlink-on-edit-checkbox\\/\\\">Unlink On Edit Checkbox<\\/a>: Unlinks child posts when they are modified.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Image Carousels.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Allow support for Gravity Views.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for lessons that can be assigned to multiple courses.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Allow custom menu items to be manipulated.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Hook into the wp_initialize_site action instead.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/page-content-shortcode\\/\\\">Page Content Shortcode<\\/a>: Better searching for content. Ignore nav_menu_items.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Add support for taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Automatically broadcast related posts if necessary.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-access-manager\\/\\\">User Access Manager<\\/a>: Add support for restricting attachments.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Fix term languages being set in wrong language.<\\/p>\\n<p><strong>46.08<\\/strong> 20200608<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-rocket\\/\\\">WP Rocket<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wp-rocket.me\\/\\\">WP Rocket<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix quizzes not being properly broadcasted due to new database table names.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Replacing the URL will not convert the items to custom items.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Add support for multiple post selections.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix warning about AUTH_KEY, by using wp_salt().<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Fix the blog name being incorrectly displayed when using post actions together with the String Translation plugin.<\\/p>\\n<p><strong>46.07<\\/strong> 20200512<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix cloned fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix group fields for non-pro users.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Added wizard for the <a href=\\\"&lt;a href=\\\">\\\"&gt;PHP Code add-on<\\/a> that copies Jet Engine custom post types and taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Better compatibility with User &amp; Blog Settings add-on regarding \\\"Only if modified\\\" checkbox.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/social-networks-auto-poster\\/\\\">SNAP<\\/a>: Add-on is now obsolete. This is due to changes in the plugin and the most <a href=\\\"https:\\/\\/wordpress.org\\/support\\/plugin\\/social-networks-auto-poster-facebook-twitter-g\\/reviews\\/\\\">recent reviews<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Added support OpenGraph \\/ Facebook image and URL custom field.<\\/p>\\n<p><strong>46.06<\\/strong> 20200429<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/blog-groups-2\\/\\\">Blog Groups 2<\\/a>: Fix double creation of groups found in Bulk Cloner spreadsheets.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Options modifications can now handle options with dashes in them. Please double check any existing modifications you have.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: When creating a menu item during manipulation, if the parent menu item is not a post but a custom link, try to find the equivalent custom link.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Fixed images not being found.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-terms\\/\\\">Shortcode Terms<\\/a>: Better syncing on taxonomies not related to the post using the shortcode.<\\/p>\\n<p><strong>46.05<\\/strong> 20200324<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix queue unlocking function.<\\/p>\\n<p><strong>46.04<\\/strong> 20200323<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-protect\\/\\\">Gutenberg Protect<\\/a>: Protects specific Gutenberg blocks from being overwritten during broadcasting.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/translatepress\\/\\\">TranslatePress<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/translatepress-multilingual\\/\\\">TranslatePress<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Added ability to clone to a specific blog ID if the ID is free. Specify the ID in the blog_id column.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/copy-options\\/\\\">Copy options<\\/a>: Add function to call the add-on programmatically. See <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/snippet\\/copy-options-automatically-copy-when-options-are-updated\\/\\\">this snippet<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-posts\\/\\\">Gutenberg Posts<\\/a>: Ignore empty post IDs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ns-cloner\\/\\\">NS Cloner<\\/a>: Add support for clones during registration \\/ signup.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Apply queue locking during ajax processing, not only during http processing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-posts\\/\\\">Shortcode Posts<\\/a>: Ignore empty post IDs.<\\/p>\\n<p><strong>46.03<\\/strong> 20200224<\\/p>\\n<p>Gutenberg add-ons: Fix IDs only being replaced on the first blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Fix terms criterion not being applied when editing posts.<\\/p>\\n<p><strong>46.02<\\/strong> 20200212<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/vimeography\\/\\\">Vimeography<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/vimeography\\/\\\">Vimeography<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Add queue functionality for comments. Useful for those with 500+ comments per post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Fix ordering of comments, syncing those comments without replies first.<br \\/>\\nCustom Field add-ons: Fixed better matching of wildcards for arrays. Prevents various PHP warnings from preg_split.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-manager\\/\\\">Download Manager<\\/a>: Automatically copy files in the download when using the new site-specific storage.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Allow for forms with apostrophes in the title.<br \\/>\\nGutenberg add-ons: Allow GB Attachments and GB Posts to modify the same block at the same time, if it contains both attachments and posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for the LDAdvQuiz and LDAdvQuiz_toplist shortcodes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcodes\\/\\\">Shortcodes<\\/a>: Add setting (and filter: broadcast_shortcodes_access) to allow non-superadmin users to access the shortcodes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/atum-stock-manager-for-woocommerce\\/\\\">ATUM Inventory Management<\\/a> product data and suppliers.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add automatic parsing of add_to_cart shortcode.<\\/p>\\n<p><strong>46.01<\\/strong> 20200116<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Also sync taxonomies when possible. Requires v46 of Broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Added ability to modify options during cloning with new option modifications function.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Sync comments after the new comment is fully inserted. Fixes bug of WooCommerce review ratings not being synced.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/event-organiser\\/\\\">Event Organiser<\\/a>: Fix fatal error when venues are broadcasted.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Update course link in topics on some installs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Add support for multiple images in image fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix retry \\/ attempt counter for partially broadcasted WooCommerce variations. Affects those with products that have more variations than the queue retry limit.<\\/p>\\n<p><strong>45.06<\\/strong> 20191116<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-family\\/\\\">Update Family<\\/a>: Update the parent post and siblings when editing a child post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix relationship fields when broadcasting taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/blog-groups-2\\/\\\">Blog Groups 2<\\/a>: Add support for assigning groups in the Bulk Cloner.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for gallery widgets, vt-saaspot_agency and vt-saaspot_resource widgets.<\\/p>\\n<p><strong>45.05<\\/strong> 20191022<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-posts\\/\\\">Custom Field Posts<\\/a>: Save values in arrays properly.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix archives without taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix draft pages showing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Add support for posts in different languages sharing the same slug, WooCommerce products for example.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Fix terms being in incorrect language when processing the posts using the Queue HTTP command.<\\/p>\\n<p><strong>45.02<\\/strong> 201909225<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/fliphtml5\\/\\\">Flip HTML5<\\/a>: Adds support for <a href=\\\"http:\\/\\/fliphtml5.com\\/\\\">Flip HTML5<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Properly sync taxonomies that are not in the same post type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/calendarize-it\\/\\\">Calendarize It<\\/a>: Fix custom post info box content.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix number being shown for x-default blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/sensei\\/\\\">Sensei<\\/a>: Add support for quiz category questions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Ignore the post if it does not have a content template assigned.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Fix \\\"incorrect post type\\\" fatal error.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix bulk actions not working the first time. This is due to the internal Wordpress post cache not being flushed by WooCommerce as it should.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-all-import\\/\\\">WP All Import<\\/a>: Enable term counting after import but before broadcast.<\\/p>\\n<p><strong>45.01<\\/strong> 20190828<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-attachments\\/\\\">Gutenberg Attachments<\\/a>: Modify attachment IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-menus\\/\\\">Gutenberg Menus<\\/a>: Modify menu IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-posts\\/\\\">Gutenberg Posts<\\/a>: Modify post IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-terms\\/\\\">Gutenberg Terms<\\/a>: Modify taxonomy term IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-ultimo\\/\\\">WP Ultimo<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wpultimo.com\\/\\\">WP Ultimo<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/avia-layout-builder\\/\\\">Avia Layout Builder<\\/a>: Use standard preparse and parse actions to run all Avia content through all of the other add-ons.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-posts\\/\\\">Custom Field Posts<\\/a>: Fix fatal error when trying to look for a link where there isn\'t one.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for devices-extended widgets.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Allow for multiple course prerequisites.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ns-cloner\\/\\\">NS Cloner<\\/a>: Add support for v4.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Use file locking to prevent cron processing from being run multiple times.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/redirect-all-children\\/\\\">Redirect All Children<\\/a>: Use code 301 on redirects.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/redirect-parent\\/\\\">Redirect Parent<\\/a>: Use code 301 on redirects.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcodes\\/\\\">Shortcodes<\\/a>: Remove extra slashes from the shortcodes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-access-manager\\/\\\">User Access Manager<\\/a>: Fix bug when groups not being assigned when broadcasting to more than one blog at a time.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for multiple Yith badges per product.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Check if WPML is active on the blog at all before starting the add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Help the HREFLANG add-on generate links to all languages of the current page.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Use API for setting term languages, instead of direct database queries.<\\/p>\\n<p><strong>44.05<\\/strong> 20190715<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpforms\\/\\\">WPForms<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wpforms.com\\/\\\">WPForms<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Remove page argument when adding links to taxonomy archives.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix questions on front-end not displaying properly. Rebroadcast your quizzes if the questions on the front-end look weird.<\\/p>\\n<p><strong>44.04<\\/strong> 20190621<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-terms\\/\\\">Custom Field Terms<\\/a>: Allow post custom field containing taxonomy term IDs to be broadcasted correctly.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-manager\\/\\\">Download Manager<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/download-manager\\/\\\">Download Manager<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for parsing content in text fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/manual-post-actions\\/\\\">Manual Post Actions<\\/a>: Fix warning when \\\"Find Some Unlinked Children\\\" or \\\"Send To Many\\\" add-ons active.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: When creating terms, assign the correct languages.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Post excerpt can also be protected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add broadcast_queue_menu_access filter to allow non-super admins access to the settings.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/woocommerce.com\\/products\\/composite-products\\/\\\">composite products<\\/a>.<\\/p>\\n<p><strong>44.03<\\/strong> 20190515<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Link only post types that we know about, ignoring attachments and menu items.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Add support for form views.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Try to fetch linked posts when making the hreflang tags for a single post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add broadcast_learndash_menu_access filter to allow non-super admins access to the tools.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add workaround for broken lessons having more than one course reference.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Add support for image fields.<\\/p>\\n<p><strong>44.02<\\/strong> 20190423<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix queue not working due to the upgrade process not upgrading the add-on\'s tables.<\\/p>\\n<p><strong>44.01<\\/strong> 20190415<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cdn-workaround\\/\\\">CDN Workaround<\\/a>: Added option to locally download remote files, in order to upload them on each blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/global-blocks-for-cornerstone\\/\\\">Global Blocks For Cornerstone<\\/a>: Added support for new v3 [cs_gb] shortcode.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Global elements.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Image Box elements.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: Add new __BLOG_PATH__ and __BLOG_PATH_WITHOUT_RSLASH__ keywords.<\\/p>\\n<p><strong>43.17<\\/strong> 20190402<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support for Themer Layouts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Fix cloning. Some WP version introduced a bug that preventing the complete cloning of blog options.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Force new siteurl and home options for clones, to fix weirdness with some installs that create dupes in the url.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/caldera-forms\\/\\\">Caldera Forms<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/caldera-forms\\/\\\">Caldera Forms<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Caldera Forms elements.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Do not abort broadcasting is a missing background image is found, just continue normally.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Added course tool to do actions on the WHOLE course at the same time: delete, trash, restore, unlink and find unlinked children.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/manual-post-actions\\/\\\">Manual Post Actions<\\/a>: Manually run bulk post actions on posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: For developers, queue items now have priorities assigned, allowing for faster processing of specific queue item types.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Do not overwrite the file path for those files that have been uploaded at different times. Fixes problem of thumbnails for differently-aged images not working.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: Create role is it doesn\'t exist on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: Also sync data for Ultimate Member custom roles.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/yith-woocommerce-badges-management\\/\\\">YITH WooCommerce Badge Management plugin<\\/a>.<\\/p>\\n<p><strong>43.16<\\/strong> 20190222<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add support for the Clone field type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/acf-image-crop-add-on\\/\\\">Image Crop Add-on<\\/a><br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/calendarize-it\\/\\\">Calendarize It<\\/a>: Fix vendors and organizers not being saved to child post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-posts\\/\\\">Custom Field Posts<\\/a>: Fix to allow multiple IDs in field.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Smartslider3 widget type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/events-manager\\/\\\">Events Manager<\\/a>: Add support for recurring events. Seems to work best publishing the events locally before broadcasting them.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Update existing form settings. Also broadcast form actions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Added preliminary support for v2.6 quizzes. The old 2.5 version of LD can still be used.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Dev: Added static::$keep_sfwd_courses_course_access_list property which allows the course access list to be overwritten during broadcast.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/link-before-broadcast\\/\\\">Link Before Broadcast<\\/a>: Attempts to find unlinked children on each child blog during broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Broadcast ALL variations, even those that are out of stock and hidden.<\\/p>\\n<p><strong>43.14<\\/strong> 20190102<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Fix rare fatal error on _some_ installs that result from the capabilities.php not having been loaded.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Added BROADCAST_BEAVER_BUILDER_NO_UPDATE_ON_SAVE define to prevent automatic updating of child posts when saving the layout on the front-end.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Automatic parsing of serialized options that contain the old blog URL. Can fix widgets that contain links to the source blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Allow button URLs to be parsed in order to work with Local Items add-ons.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Also parse shortcode widgets.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix courses that have apostrophes in them.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/no-new-terms\\/\\\">No New Terms<\\/a>: Fix terms being created with newer versions of Broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/per-blog-taxonomies\\/\\\">Per Blog Taxonomies<\\/a>: Fix to allow for hiding of term fieldsets using UBS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Add filter to allow for special processing of attributes. See this <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/snippet\\/shortcode-items-parse_find-and-replace_id-actions\\/\\\">snippet for handling image IDs embedded in a json-encoded attribute<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/smart-slider-3\\/\\\">Smart Slider 3<\\/a>: Update the slider properties when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/widgets\\/\\\">Widgets<\\/a>: Add more debug info.<\\/p>\\n<p><strong>43.12<\\/strong> 20181127<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Fix fields not appearing due to field cache.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Add entry migration so that forms that are updated keep their entries.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Update the form title. Only affects those using the BROADCAST_GRAVITY_FORMS_USE_ID define.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Added tool to broadcast a whole course at once.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add broadcast_queue_clean_queue filter to prevent database cleanup.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Do not create terms on child blogs that are in other languages.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-posts\\/\\\">Shortcode Posts<\\/a>: Added Avada Global Containers wizard.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/siteorigin-page-builder\\/\\\">SiteOrigin Page Builder<\\/a>: Parse the text and content widget fields, allowing other Broadcast add-ons to detect their shortcodes in the widgets.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Fix visual modifications being applied when they shouldn\'t.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Fix duplication bug where terms are created in the wrong language.<\\/p>\\n<p><strong>43.11<\\/strong> 20181018<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Add broadcast_geodirectory_sync_table_structure_columns filter.<br \\/>\\nFixes the plugin upgrade notice not disappearing due to \\\"43.10\\\" being treated as \\\"43.1\\\".<\\/p>\\n<p><strong>43.10<\\/strong> 20181018<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/simple-custom-post-order\\/\\\">Simple Custom Post Order<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/simple-custom-post-order\\/\\\">Simple Custom Post Order<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add support for the Component Fields plugin \\/ field type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Add broadcast_geodirectory_insert_place_detail filter.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings-post\\/\\\">User &amp; Blog Settings Post<\\/a>: Fix _and_ criteria not being correctly applied.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Allow order syncing without Back2Parent add-on, which means orders can only be synced to child blogs and not back.<\\/p>\\n<p><strong>43.9<\\/strong> 20180922<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-posts\\/\\\">Custom Field Posts<\\/a>: Allow post custom field containing post IDs to be broadcasted correctly.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/formidable\\/\\\">Formidable<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/unlink-on-edit\\/\\\">Unlink On Edit<\\/a>: Unlinks child posts when they are modified.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Parse text fields, allowing other add-ons to modify their content also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Parse post carousels also, modifying the post IDs so that they match those on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Only sync taxonomies that are used in the post. This is an optimization for those that have thousands of taxonomy terms.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: Add new __BLOG_URL_ESCAPED__ keyword.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-posts\\/\\\">Shortcode Posts<\\/a>: Added uncode blocks to the wizard.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-access-manager\\/\\\">User Access Manager<\\/a>: Also sync taxonomies.<\\/p>\\n<p><strong>43.8<\\/strong> 20180821<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support for photo and photos components.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/delete-before-broadcast\\/\\\">Delete Before Broadcast<\\/a>: Fix error on unlinking.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Fix FILE_BASE_DIR error.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Add BROADCAST_GRAVITY_FORMS_USE_ID define that forces syncs according to form ID, instead of form title.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-access-manager\\/\\\">User Access Manager<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/user-access-manager\\/\\\">User Access Manager<\\/a> plugin.<\\/p>\\n<p><strong>43.7<\\/strong> 20180724<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support post modules, which will translate category and post tag IDs on each child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Fix fatal error during activation when only the utilities pack is installed.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/h5p\\/\\\">H5P<\\/a>: Fix. Try to update the H5P content on each child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Also copy menu item custom fields, which adds support for some UberMenu types: section and custom content.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Modify Gravity Forms Rename example to use new GF table prefix (gf_).<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ubermenu\\/\\\">UberMenu<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wpmegamenu.com\\/\\\">UberMenu<\\/a> menu plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings-post\\/\\\">User &amp; Blog Settings Post<\\/a>: Fix to show the dropdown again.<\\/p>\\n<p><strong>43.6<\\/strong> 20180625<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix. Obey the custom field whitelist also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support for Themer Layout locations (posts and taxonomies).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/h5p\\/\\\">H5P<\\/a>: Fix. Copy all found files to correct ID subdirectory on child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/send-to-many\\/\\\">Send To Many<\\/a>: Update to work with fixed Broadcast roles.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Post type criteria will work more often now, generally whenever the Broadcast meta box is being prepared.<\\/p>\\n<p><strong>43.5<\\/strong> 20180530<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Sync taxonomies automatically when a taxonomy field has specified a taxonomy that is for a different post type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Fix: When cloning already linked posts, their parent post will link to the newly-cloned site.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cdn-workaround\\/\\\">CDN Workaround<\\/a>: Fix: Override broken filename with Cloudinary URL if found in the filename.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cm-tooltip-glossary\\/\\\">CM Tooltip Glossary<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/enhanced-tooltipglossary\\/\\\">CM Tooltip Glossary<\\/a> plugin.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/copy-options\\/\\\">Copy options<\\/a>: Copies blog options \\/ settings between blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geo-my-wp\\/\\\">GEO My WP<\\/a>: Add support for posts locator database table.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix: Added support for the new v2.3+ database schema. v2.2 install will continue to work also.<\\/p>\\n<p><strong>43.4<\\/strong> 20180506<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Parse link fields also, allowing other add-ons like Local Links, to modify the links during broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Fix categories not working for other types of post types.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/h5p\\/\\\">H5P<\\/a>: Copy images from H5P content directories between blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix to allow for several blogs sharing the same language (but not shown simultaneously). If you have custom code built on hreflang, check that it still works.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add developer actions for adding and removing items from the queue.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcodes\\/\\\">Shortcodes<\\/a>: Fix duplicating shortcodes when broadcasting them and some of them already exist.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Updated support for posts submitted using WP User Frontend. Now uses the new API actions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix order syncing. Fixed missing order items by fetching the items manually using SQL, bypassing WooCommerce\'s unreliable functions.<\\/p>\\n<p><strong>43.2<\\/strong> 20180403<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Fix SQL error when looking for blog 1\'s blogname.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/google-maps-pro\\/\\\">Google Maps Pro<\\/a>: Adds support for the <a href=\\\"https:\\/\\/premium.wpmudev.org\\/project\\/wordpress-google-maps-plugin\\\">Google Maps Pro<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/inboundnow\\/\\\">Inbound Now<\\/a>: Adds support for the <a href=\\\"https:\\/\\/www.inboundnow.com\\/\\\">Inboundnow Marketing Suite<\\/a>.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/onesignal\\/\\\">OneSignal<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/onesignal-free-web-push-notifications\\/\\\">OneSignal \\u2013 Free Web Push Notifications<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-posts\\/\\\">Shortcode Posts<\\/a>: Modifies post IDs found in shortcodes to match their equivalent posts on each blog.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/sitemaps\\/\\\">Sitemaps<\\/a>: Generates network-aware sitemaps and robots.txt.<\\/p>\\n<p><strong>43.1<\\/strong> 20180227<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix confirmation-actions not being properly broadcast. Also removed unnecessary SQL warnings in error log.<\\/p>\\n<p><strong>43<\\/strong> 20180226<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fixed acf_disable_cache fatal error for older (&lt;5.6) versions of ACF.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Added support for Group fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: To save a lot of memory, query the blog name using SQL instead of asking Wordpress for it.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Create clones of existing blogs on the network.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: Added support for global modules. [et_pb_section] shortcodes with the global_module attribute are correctly detected and the global module is also broadcast together with the post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Added support for broadcasting \\/ updating of form feeds (as per the gf_addon_feed table).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix warning when form does not have valid confirmation or display metadata.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Added a Wizard for renaming Gravity Forms.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Protect featured image also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix support for queue on newer MariaDB databases. ROWS is apparently a reserved word.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: For content that has no set language (ACF fields, for example) just allow normal broadcasting without checking or setting the language.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Added support for setting the primary category of a post.<\\/p>\\n<p><strong>42.4<\\/strong> 20180129<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/h5p\\/\\\">H5P<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/h5p\\/\\\">H5P Interactive Content<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix blog names not showing for queued posts in overview.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added support for <a href=\\\"http:\\/\\/yithemes.com\\/themes\\/plugins\\/yith-woocommerce-tab-manager\\/\\\">YITH WooCommerce Tab Manager<\\/a> tabs. Broadcast the tabs first before broadcasting the product.<\\/p>\\n<p><strong>42.3<\\/strong> 20180115<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for course builder data, allowing lessons and quizzes to be shared.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Automatically broadcast the pods that posts are using.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Add setting to allow all translations to be broadcasted automatically after broadcasting a translation.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Added setting to prevent the queue from being trimmed when rebroadcasting a post that is already in the queue.<\\/p>\\n<p><strong>42.2<\\/strong> 20171213<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/goodlayers\\/\\\">GoodLayers<\\/a>: Adds support for the <a href=\\\"https:\\/\\/goodlayers.com\\/\\\">GoodLayers family of themes<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Added cleanup tools.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Fix page languages not being saved correctly.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix race condition fatal error where trying to delete non-existing data.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/social-networks-auto-poster\\/\\\">SNAP<\\/a>: Fix dupe Facebook posting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Fix fatal error by disabling the Link Watcher during broadcasting.<\\/p>\\n<p><strong>42<\\/strong> 20171130<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Disable field caching during broadcast. This fixes a bug in ACF where the values of fields were sometimes not reported to Broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Fixed a PHP warning due to spelling mistake.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Apply correct confirmation redirect page on each child blog. The page will be broadcasted to the child if necessary.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/media-cleanup\\/\\\">Media Cleanup<\\/a>: cleans up unused media by looking for unused items in the database and on disk.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Added support for Polylang Pro. Tested with v2.2.6<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Translated terms retain their linking on child blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Allow non-translatable post types to be broadcasted. Fixes error where ACF fields were not broadcastable.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/post-expirator\\/\\\">Post Expirator<\\/a>: Added support for category expiration.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Please test your queue after updating. If it doesn\'t work, deactivate and reactivate the add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Trim off existing queued items when requeuing posts. This stops the post from being doubly broadcasted, the first time unnecessarily.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Save serialized postmeta data as serialized postmeta data.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Try to create upload directories if they don\'t already exist. Workaround for broken installs where old upload directories have disappeared.<\\/p>\\n<p>The curious can try out the beta version of the Bulk Cloner add-on, found in the utilities pack.<\\/p>\\n<p><strong>41<\\/strong> 20171030<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Added support for template widgets. Ensure that your template is broadcasted before trying to use it.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/image-map-pro\\/\\\">Image Map Pro<\\/a> adds support for the <a href=\\\"https:\\/\\/codecanyon.net\\/item\\/image-map-pro-for-wordpress-interactive-image-map-builder\\/2826664\\\">Image Map Pro<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix quizzes getting the correct course \\/ lesson \\/ certificate associations.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Question categories are now synced.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Add option to automatically create locations that don\'t exist on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix form ID being displayed incorrectly in the editor.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Try to avoid packet size errors by compressing the data stored in the database.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/slider-revolution\\/\\\">Slider Revolution<\\/a>: Fix slider dupes being created because the alias wasn\'t being found properly.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: Fix bug where terms were not editable due to some conflict with other plugins. Now the edit link refers to term_id= instead of id=.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: Strip the slashes in the text inputs.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/sensei\\/\\\">Sensei<\\/a> adds support for the <a href=\\\"https:\\/\\/woocommerce.com\\/products\\/sensei\\/\\\">Sensei<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcodes\\/\\\">Shortcodes<\\/a> provides arbitrary admin-defined global or local shortcodes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Translate association to associated view, if any, when broadcasting content templates.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Moved all of the various Broadcast options into a tabbed interface under the Toolset &gt; Broadcast menu item.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/unyson\\/\\\">Unyson<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/unyson\\/\\\">Unyson page builder plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Force overwriting of the attachment postmeta on the child blog.<\\/p>\\n<p><strong>40.1<\\/strong> 20171004<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add question and answer search &amp; replace function to easily make changes to your questions. Include automatic quiz broadcast functionality.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Added favorites and review syncing capability.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/redirect-parent\\/\\\">Redirect Parent<\\/a> redirects all views of a parent post to the first child post.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpcustom-category-image\\/\\\">WPCustom Category Image<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/wpcustom-category-image\\/\\\">WPCustom Category Image<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/widgets\\/\\\">Widgets<\\/a> copies widget and sidebar settings between blogs.<\\/p>\\n<p><strong>40<\\/strong> 20170922<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/back-to-parent\\/\\\">Back To Parent<\\/a>: Extra check that we are back-to-parenting the correct post. Fixes a bug when complicated broadcasts (for example WooCommerce bookings, that simultaneously broadcast products and orders, are all back-to-parented unnecessarily).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/delete-before-broadcast\\/\\\">Delete Before Broadcast<\\/a>: Don\'t show options on child posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix. Prevent overwriting of enrolled users when broadcasting courses.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a> adds support for the <a href=\\\"https:\\/\\/www.pods.io\\/\\\">Pods - Custom Content Types and Fields<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Developer update. Dynamic loading of wizards and added actions to run the code programatically.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Show an error if the queue fails to add the original data item.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: If using PHP Code add-on, allow automatic finding of unlinked Toolset post types on the child blog to link existing types, avoiding dupes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings-post\\/\\\">User &amp; Blog Settings Post<\\/a>: Added custom field matching criterion.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Force overwriting of order items, now also overwriting all order item meta values to ensure that the order is completely synced.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added support for refunds in orders.<\\/p>\\n<p><strong>39.1<\\/strong> 20170903<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Added support for background images, templates and template shortcodes.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/attachment-control\\/\\\">Attachment Control<\\/a> allows better control of how attachments are handled during broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-attachments\\/\\\">Custom Field Attachments<\\/a>: Also process values found in custom field subarrays.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix. Update base quiz data in the quiz table when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix. Automatically increase Broadcast\'s save_post priority to higher than LearnDash\'s (2000) in order to broadcast the changes directly, instead of needing a double-update.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Disable time limit during menu copying.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/slider-revolution\\/\\\">Slider Revolution<\\/a>: Added support for static layers.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add ability to broadcast taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ultimate-member\\/\\\">Ultimate Member<\\/a>: Display Broadcasted column for UM forms.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings-post\\/\\\">User &amp; Blog Settings Post<\\/a>: Fix bug that only broadcasted every other post in a selection.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Remember taxonomy term translations between blogs.<\\/p>\\n<p><strong>39<\\/strong> 20170802<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Added support for Broadcast\'s new taxonomy term handling code. This allows blacklisting and protecting of taxonomy term meta.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix for paging in URLs. Will now append paged parameter depending on the current page of archives or the single post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/intagrate\\/\\\">Intagrate<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/intagrate.io\\/\\\">Intagrate<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: New: Added support for autoresponders.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: Fix: List assignments are copied and assigned when broadcasting newsletters and autoresponders on each child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: New-addon. Find and replace texts in posts during broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: Allow selection of roles and specific users when syncing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wplms\\/\\\">WPLMS<\\/a>: New add-on. Adds support for Vibethemes\' <a href=\\\"https:\\/\\/themeforest.net\\/item\\/wplms-learning-management-system\\/6780226\\\">WPLMS theme<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Added support for Broadcast\'s new taxonomy term handling code. This allows blacklisting and protecting of taxonomy term meta.<\\/p>\\n<p><strong>38.6<\\/strong> 20170703<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Separate handling of flexible fields so that ACF v4 flex fields can work at the same time as v5.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Parse all text fields individually, allowing for shortcodes to be found and processed.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/elementor\\/\\\">Elementor Page Builder plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/foogallery\\/\\\">FooGallery<\\/a>: Added broadcast meta box for individual galleries.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/global-blocks-for-cornerstone\\/\\\">Global Blocks For Cornerstone<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/global-blocks-for-cornerstone\\/\\\">Global Blocks for Cornerstone<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: New add-on. Adds support for the <a href=\\\"http:\\/\\/www.gravityforms.com\\/\\\">Gravity Forms<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Added support for quiz questions and answers, not just the quiz post type itself.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/codecanyon.net\\/item\\/mailster-email-newsletter-plugin-for-wordpress\\/3078294\\\">Mailster<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ns-cloner\\/\\\">NS Cloner<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/ns-cloner-site-copier\\/\\\">NS Cloner<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/slider-revolution\\/\\\">Slider Revolution<\\/a>: Added support for sliders in the <a href=\\\"https:\\/\\/themeforest.net\\/item\\/envision-responsive-retina-multipurpose-theme\\/5928018\\\">Envision theme<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Hide notification about changed slug (which is perfectly normal when broadcasting).<\\/p>\\n<p><strong>38.4<\\/strong> 20170605<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Add RSVP broadcast and syncing. If the event is broadcasted, the attendees will be broadcasted from the event\'s parent blog as the source. Requires Broadcast v38.4.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Add support for <a href=\\\"http:\\/\\/myeventon.com\\/addons\\/action-user\\/\\\">Action User<\\/a> add-on in order to give <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a> a chance to broadcast form submissions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Fix fatal error when the link checkbox is not checked.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ultimate-member\\/\\\">Ultimate Member<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/ultimate-member\\/\\\">Ultimate Member<\\/a> plugin.<\\/p>\\n<p><strong>38.3<\\/strong> 20170523<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Added BB settings copy function under the Broadcast menu.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/jetpack\\/\\\">Jetpack<\\/a>: New addon. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/jetpack\\/\\\">Automattic\'s Jetpack plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/slider-revolution\\/\\\">Slider Revolution<\\/a>: New addon. Adds support for the <a href=\\\"https:\\/\\/revolution.themepunch.com\\/\\\">Slider Revolution<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/the-events-calendar\\/\\\"> The Events Calendar<\\/a>: Use API to broadcast venues and events.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: New addon. Copy user roles between blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix variation broadcasting to multiple blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/www.woothemes.com\\/products\\/product-vendors\\/\\\"> plugin.<\\/a><\\/p>\\n<p><strong>38.2<\\/strong> 20170428<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Add extra check for missing database tables on the child blogs, which should prevent a lot of headaches when attachments aren\'t being correctly copied.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ninja-forms\\/\\\">Ninja Forms<\\/a>: Added menu item for copying Ninja Form settings between blogs, like WooCommerce has.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/page-content-shortcode\\/\\\">Page Content Shortcode<\\/a>: New addon. Provides a [bc_page_content slug=\\\"pageslug\\\"] shortcode to display the contents of a page.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Fix translations not being linked for some people since v35.x.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Better criterion editing UI.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: AutomateWoo: retrieve the parent product link data for triggers. Fixes wrong product triggers when using child products.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Disable v3 save_post workaround for WooCommerce v3.0.4+. Apparently they fixed whatever they broke in v3.<\\/p>\\n<p><strong>38.1<\\/strong> 20170410<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Fix fatal error when editing a broadcast. This appeared when the code was converted to using the new Wordpress translation functions.<\\/p>\\n<p><strong>38<\\/strong> 20170406<\\/p>\\n<p>Finally dropped the \\\"ThreeWP\\\" prefix from the plugin name! The code remains the same, just the name has become simpler: Broadcast...<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/rebroadcast\\/\\\">Rebroadcast<\\/a>: Allow posts to be queued when rebroadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add product image gallery handler, so no more need for the Custom Field Attachments add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Also sync variations stock, not just normal products.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix. Add workaround for how WooCommerce v3.0 saves products. This prevented the image gallery from being correctly broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Ignore content that has no translations. Fixes bug where content without translations that should be broadcasted (EventOn events, for example) was not broadcasted.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Add menu item to force broadcast of content to blogs whithout the language. Fixes a weird bug for some installations that had hidden languages which, for some installations, regarded the language as inactive and would therefore not broadcast the content there.<\\/p>\\n<p><strong>37.2<\\/strong> 20170326<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Deeper revision checking to better detect whether the child post was modified.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Allow custom fields to be protected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Fix fatal error upon viewing available shortcodes. Related to fix below.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Use new data format. Deactivate and reactivate the add-on to convert the old Attachment Shortcodes data to the new format.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add option to disable HTTP processing, so that you don\'t have to disable the cron line.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add settings copy feature, to quickly duplicate (overwrite) WC settings between blogs. See add-on page for more details.<\\/p>\\n<p><strong>37.1<\\/strong> 20170322<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Also copy location images.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Add support for v2.5.1 locations.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/find-some-unlinked-children\\/\\\">Find Some Unlinked Children<\\/a>: Add menu option to ignore post status when finding unlinked children.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix fatal error due to translation: is_wp_error_message_box().<\\/p>\\n<p>Obsolete add-ons removed: Attachment Shortcodes, Types, Views<\\/p>\\n<p><strong>37<\\/strong> 20170316<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/contact-form-7\\/\\\">Contact Form 7<\\/a>: Attempt to link existing forms using their title, else broadcast a new one. Requires that forms have exacty the same title in the shortcode as they are called in the form list.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/events-manager\\/\\\">Events Manager<\\/a>: Fix new location ID not being correctly set on the child blog. Also use $wpdb to insert event and location data instead of using raw SQL. Read the Events Manager page for info about how badly the EM plugin is written.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix items per process setting not being saved.<\\/p>\\n<p><strong>36.2<\\/strong> 20170307<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Location rules fix. If set to a post that is not broadcasted, leave the post ID alone instead of setting it to 0.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Prevent looping when post object fields point back to the same post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-images\\/\\\">All Images<\\/a>: New addon. Detects all referenced local images in post text fields and adds them to the broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Added maximum queue items per process setting that defines how many items to process during a HTTP process event. Also added smarter queue handling that now takes the following into account: the previously mentioned items per process event setting, the PHP time limit and how long, on average, each queue item takes to process. The processing rules are detailed on the queue add-on\'s page.<\\/p>\\n<p><strong>36.1<\\/strong> 20170305<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Better handling of repeater fields in ACF5, and more workarounds added for repeater fields in ACF4.<\\/p>\\n<p><strong>36<\\/strong> 20170303<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: For text values, use the values that ACF reports, not the raw values. Addition to the ACF fix below.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: ACF fields for taxonomies obey the custom field black\\/protect lists.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/find-some-unlinked-children\\/\\\">Find Some Unlinked Children<\\/a>: Like the normal Find Unlinked Children bulk action, find children that have the same status.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/www.learndash.com\\/\\\">LearnDash LMS<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Added \\\"show blog language\\\" wizard.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Added function to only protect child properties if the post was modified. Allows some child posts to be updated with own content, while other child posts are overwritten with new content. Requires post revision support.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix incorrect variation post title (that is never seen).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-all-import\\/\\\">WP All Import<\\/a>: New add-on. Adds support for post updates from Soffly\'s <a href=\\\"http:\\/\\/www.wpallimport.com\\/\\\">WP All Import Pro<\\/a>.<\\/p>\\n<p>Obsolete add-ons: The next version of the pack will disable the following add-ons, so please enable their replacements:<\\/p>\\n<p>Attachment Shortcodes has been replaced by <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>.<br \\/>\\nTypes has been replaced by <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>.<br \\/>\\nViews has been replaced by <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>.<\\/p>\\n<p><strong>35.8<\\/strong> 20170130<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Do not allow ACF to process text fields before broadcasting them (= return the values completely raw).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Fix forcing on of checkboxes when not directly broadcasting (like in queues, for example).<\\/p>\\n<p><strong>35.7<\\/strong> 20170127<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix 1 values when retrieving text values from non-post text fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/duplicate-attachments\\/\\\">Duplicate Attachments<\\/a>: Fix setting of attached filename on some hosts, which caused problems with returning of the image filename on disk (especially with Update Attachments).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Fix broken featured image URL. GD, unlike Wordpress, likes to have a forward slash at the beginning of the URL.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ninja-forms\\/\\\">Ninja Forms<\\/a>: Added form action syncing.<\\/p>\\n<p><strong>35.6<\\/strong> 20170117<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Fix to allow for broadcasting without linking to a blog without the same language.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix fatal error after HTTP process call. The error is harmless but results in an unnecessary entry in the webserver error log.<\\/p>\\n<p><strong>35.5<\\/strong> 20170113<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ninja-forms\\/\\\">Ninja Forms<\\/a>: New add-on: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/ninja-forms\\/\\\">Ninja Forms<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Only process one item at a time. This is because some posts are really, really large and can cause timeouts getting caught just above the 25% time limit. Safer to not try to guess how long a post will take to broadcast.<\\/p>\\n<p><strong>35.4<\\/strong> 20170109<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Comment meta is now also synced. This enables, among other things, WooCommerce product reviews to be synced between blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix overwriting of the global $post variable. This caused a fatal error when using it with the Google Tag Manager plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Product reviews can now be synced (with ratings) thanks to updates in the Comments add-on.<\\/p>\\n<p><strong>35.3<\\/strong> 20170106<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/aqua-page-builder\\/\\\">Aqua Page Builder<\\/a>: New add-on: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/aqua-page-builder\\/\\\">Aqua Page Builder plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Only clean the queue 1 in 10 times. This alleviates problems with slow SQL servers.<\\/p>\\n<p><strong>35.2<\\/strong> 20161223<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Added Elegant Themes Page Builder gallery shortcode in the wizard.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-terms\\/\\\">Shortcode Terms<\\/a>: New add-on. Automatically translates taxonomy term IDs found in shortcodes when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Fix forcing off of hidden checkboxes. This happens when javascript modifies the checked status of the checkboxes.<\\/p>\\n<p><strong>35.1<\\/strong> 20161220<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Added item manipulation function.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Added menu item where one can now select the action if the language does not exist on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix renaming of variation post names.<\\/p>\\n<p><strong>35<\\/strong> 20161206<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Show the Broadcasted column in the field group overview.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Clear cache when creating blogs programatically.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Clear cache when creating deleting blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/\\\">Download Monitor<\\/a>: Replace the URL in the download version with the attachment\'s URL on each blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Added support for partial broadcasts. Currently only the WooCommerce add-on uses this functionality.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added support for partial broadcasts, together with the queue add-on. See the WC settings tab. Use this function if your products has many variations that cause PHP timeouts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Added support for forced broadcasting when using <a href=\\\"https:\\/\\/wedevs.com\\/products\\/plugins\\/wp-user-frontend-pro\\/\\\">WP User Frontend Pro<\\/a> forms.<\\/p>\\n<p><strong>34.5<\\/strong> 20161111<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: New add-on. Adds support for <a href=\\\"https:\\/\\/www.elegantthemes.com\\/plugins\\/divi-builder\\/\\\">Divi Builder<\\/a> and themes using it.<\\/p>\\n<p><strong>34.4<\\/strong> 20161107<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Check for valid posts when adding relationship posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Also listen to gform_site_created actions sent from Gravity Forms to detect when a new blog has been created.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: When using the duplicating translation button, Broadcast will only broadcast parent posts, not child posts also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Add menu option to allow taxonomy term canonical URLs to be ignored \\/ protected. This is for users who do not want the canonical URL of terms to be broadcasted to child blogs.<\\/p>\\n<p><strong>34.3<\\/strong> 20161027<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add workaround for incorrect detection of post number in post fields. This caused fatal errors when ACF fields for taxonomies were created and used within the post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: New add-on: Adds support for the <a href=\\\"https:\\/\\/www.wpbeaverbuilder.com\\/\\\">Beaver Builder page builder plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-links\\/\\\">Local Links<\\/a>: Allow links with parameters to be modified, keeping the parameters. https:\\/\\/blog1.test.com\\/contactus?parameter will become https:\\/\\/blog2.test.com\\/contactus?parameter can become<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/lock-post\\/\\\">Lock Post<\\/a>: Added global lock override roles, to allow specific roles to ignore lock status of posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/lock-post\\/\\\">Lock Post<\\/a>: Added filterable action to allow developers to override post locking.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Integrate blog selection with Blog Groups 2 add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Allow broadcasting of disabled AutomateWoo workflows.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Better detection of network-activated WPML.<\\/p>\\n<p><strong>34.2<\\/strong> 20161006<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-attachments\\/\\\">Custom Field Attachments<\\/a>: Fixed warning when no meta is available (usually from using the Sync Taxonomies add-on).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/\\\"> Download Monitor<\\/a>: Put only download version attachments into the dlm_uploads directory, not attachments for the download itself.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-files\\/\\\">Local Files<\\/a>: New add-on: automatically copies local files to each blog and updates the links in the content.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Optimize tables after cleaning to reduce fragmentation.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add ability to broadcast content templates.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for AutomateWoo workflows.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add category thumbnail and display type support.<\\/p>\\n<p><strong>34.1<\\/strong> 20160927<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add wildcard support for checking the ACF field names against the custom field protect list. And blacklist checking also supports wildcards now.<\\/p>\\n<p><strong>34<\\/strong> 20160925<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a> and <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Code change. Use new -&gt;copy_attachment_to_blog() function to prevent double copying of images attached to [taxonomy] meta.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Add backwards compatibility for Wordpress &lt; 4.6<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/contact-form-7\\/\\\">Contact Form 7<\\/a>: Remove unused code warning.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/duplicate-attachments\\/\\\">Duplicate Attachments<\\/a>: Force renaming of attachment post_names to coincide with the attachment fix in the base version of Broadcast. This fixes the attachment duplication bug\\/feature in Wordpress.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Allow queuing of posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Workaround for old versions of WooCommerce that don\'t have the get_woocommerce_term_meta function.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Include temporary fix for Wordpress action\\/filter bug that prevents the editor language of duplicated posts from being updated on the child. Requires a patched WPML. This fix will become obsolete when Wordpress 4.7 is released, due to the *5 year old* bug being finally fixed.<\\/p>\\n<p><strong>33.1<\\/strong> 20160913<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Fix blog limit. Due to incorrect documentation, only 100 blogs are returned at a time.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/social-networks-auto-poster\\/\\\">SNAP<\\/a>: Better support for [featured] images in posts. It does this by SNAPping only after all images have been attached.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Allow broadcasting to blogs on which WPML is not active. This will result in just normal broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added support for the WooCommerce Variation Swatches and Photos plugin.<\\/p>\\n<p><strong>33<\\/strong> 20160817<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Code change - use get_sites() instead of deprecated wp_get_sites().<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Sync ACF fields in taxonomies during broadcasting and during manual taxonomy sync.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/avia-layout-builder\\/\\\">Avia Layout Builder<\\/a>: Use new Shortcode Attachments and Shortcode Menus add-ons to parse the builder content, which now allows you to use menu shortcodes in your Avia content also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/contact-form-7\\/\\\">Contact Form 7<\\/a>: New add-on. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/contact-form-7\\/\\\">Takayuki Miyoshi\'s Contact Form 7<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/events-manager\\/\\\">Events Manager<\\/a>: Fix broadcasted events not showing in the location\'s overview page.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-links\\/\\\">Local Links<\\/a>: Extra check for valid URLs. The Wordpress function url_to_postid() seems to think that anything with a question mark is a valid URL.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Duplicate Content button automatically broadcasts post to all child blogs. Those child blogs without the duplicated language are ignored, as per normal WPML broadcasting rules.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-ultimate-recipe\\/\\\">WP Ultimate Recipe<\\/a>: Now supports meal plans. The recipes in the meals must already exist on each child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/wordpress-seo\\/\\\">Yoast SEO<\\/a> plugin. Only needed if you want taxonomy SEO data synced when broadcasting.<\\/p>\\n<p><strong>32.2<\\/strong> 20160719<\\/p>\\n<p>Attachment Shortcodes: Obsolete. Please use the Shortcode Attachments plugin instead. It\'s the same thing (your shortcode settings are kept) but this add-on will be phased out in the future. The reason being that the new Shortcode Attachments and Shortcode Menus add-ons share the same base code, making development easier.<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: New add-on. Automatically translate attachment IDs found in shortcodes when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-menus\\/\\\"> Shortcode Menus<\\/a>: New add-on. Automatically translate menu IDs found in shortcodes when broadcasting.<\\/p>\\n<p><strong>32<\\/strong> 20160715<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Allow settings to be modified by UBS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Added experimental ticket syncing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/per-blog-taxonomies\\/\\\">Per Blog Taxonomies<\\/a>: Allow settings to be modified by UBS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Obey broadcasting_data-&gt;high_priority property from BC v32. This will solve problems with complicated broadcasts that subbroadcast things (like ACF post relations and Download Monitor shortcodes).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix allowing normal users to ajax process posts on the post overview screen.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Merged the Types and Views plugins. Now broadcast CRED forms, types and views.<br \\/>\\nTypes: Obsolete. Please use Toolset add-on instead.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Use better descriptions when editing meta boxes.<br \\/>\\nViews: Obsolete. Please use Toolset add-on instead.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Can now stock sync on its own. Extra removed.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added experimental order syncing.<\\/p>\\n<p><strong>31<\\/strong> 20160705<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Added support for content preparsing on textarea fields also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/calendarize-it\\/\\\">Calendarize It<\\/a>: New add-on. Adds support for <a href=\\\"http:\\/\\/codecanyon.net\\/item\\/calendarize-it-for-wordpress\\/2568439\\\">Calendarize It!<\\/a> events.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/delete-before-broadcast\\/\\\">Delete Before Broadcast<\\/a>: Fixed bug which prevented more than one post from being deleted.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/\\\"> Download Monitor<\\/a>: Use the preparse actions to parse download shortcodes everywhere (like in ACF text fields, for example).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/events-manager\\/\\\">Events Manager<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/events-manager\\/\\\">Events Manager<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-links\\/\\\">Local Links<\\/a>: Tell the DOMDocument parser to use the utf8 charset - more hardy parsing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Assume a max execution time of 30s when a max time of -1 is encountered. Workaround for bug in wpallexport pro.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/the-events-calendar\\/\\\"> The Events Calendar<\\/a>: Bulk post actions are applied to all recurring events when modifying the main \\/ root event. See the TEC page for details on how to disable this feature. Depending on feedback, this feature can be turned into a menu item.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/types\\/\\\"> Types<\\/a>: Add support for manual broadcast of post types to other blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/views\\/\\\">Views<\\/a>: Add support for manual broadcast of views to other blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add ability to broadcast membership plans.<\\/p>\\n<p><strong>30<\\/strong> 20160606<\\/p>\\n<p>ACF: Extended support for conditional gallery local \\/ global images.<br \\/>\\nACF: Added support for the link field type.<br \\/>\\nACF: Added support for content preparsing, therefore requiring v30 of Broadcast. This will parse links and gallery shortcodes in text, url, link and wysiwyg fields.<br \\/>\\nDownload Monitor: Allow download attachments to be copied to the dlm_uploads subdirectory - the file URL in the version remains unchanged, though.<br \\/>\\nLocal Links: Now uses content preparsing to translate local links in everything that is preparsed, like the text-related ACF field types.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/tao-schedule-update\\/\\\">Tao Schedule Update<\\/a>: Plugin added. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/tao-schedule-update\\/\\\">Tao Schedule Update<\\/a> plugin.<br \\/>\\nThe Events Calendar: Better saving of custom fields upon intial broadcast (instead of having to double publish to get the custom fields to show).<br \\/>\\nUpdate Attachments: Also update the description, alt and caption of the image, not only the file.<\\/p>\\n<p><strong>29.1<\\/strong> 20160418<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/back-to-parent\\/\\\">Back To Parent<\\/a>: More robust handling, now including related posts (for example Download Monitor download versions).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/\\\"> Download Monitor<\\/a>: New plugin. Adds support for downloads and shortcodes from <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/download-monitor\\/\\\">Never5\'s Download Monitor<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Allow appending of languages. If you manually add languages to the child posts, they will be preserved when the parent post rebroadcasts.<br \\/>\\nPolylang: Prevent language and flag data in the language taxonomy of the child blogs from being overwritten. Now en (US) will not overwrite en (GB) for example.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\"> Protect Child Properties<\\/a>: Permalink (post_name) can also be protected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-ultimate-recipe\\/\\\"> WP Ultimate Recipe<\\/a>: Remove debug info.<\\/p>\\n<p><strong>29<\\/strong> 20160405<\\/p>\\n<p>ACF: Added support for the Conditional Gallery field type. See the ACF page for notes on this.<br \\/>\\nACF: Added support for parsing of image links in text and wysiwyg content.<br \\/>\\nAll Blogs: Make superadmin version also clear the cache upon creating new blogs.<br \\/>\\nHreflang: Catchable fatal error fixed when not using any settings.<br \\/>\\nProtect Child Properties: Modification date can be protected also.<br \\/>\\nQueue: During broadcasting, don\'t queue any broadcast requests, to prevent some add-ons from not being able to receive new post numbers during broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-ultimate-recipe\\/\\\">WP Ultimate Recipe<\\/a>: Plugin has been moved into 3rd party pack.<br \\/>\\nWP Ultimate Recipe: Added support for recipe instruction images.<\\/p>\\n<p>All packs now have RedHat \\/ CentOS SSL workaround for updates automatically enabled.<\\/p>\\n<p><strong>28.4<\\/strong> 20160317<\\/p>\\n<p><a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/hreflang-broadcast-plugin\\/\\\">Hreflang<\\/a>: Plugin added. Adds support for <a href=\\\"https:\\/\\/en.wikipedia.org\\/wiki\\/Hreflang\\\">SEO-friendly hreflang html tags<\\/a>.<\\/p>\\n<p><strong>28.3<\\/strong> 20160309<\\/p>\\n<p><a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/rebroadcast-broadcast-plugin\\/\\\">Rebroadcast<\\/a>: Plugin added. Rebroadcast \\/ update selected parent posts by using a bulk action.<br \\/>\\nUBS: Escape the blog names in the meta box settings.<\\/p>\\n<p><strong>28.2<\\/strong> 20160301<\\/p>\\n<p>ACF: Fix warning when trying to parse fields without values.<br \\/>\\nComments: Fixed bug where comments are blocked on unlinked posts, but with syncing enabled.<br \\/>\\nEventOn: Fix error by checking that the event is using tickets.<br \\/>\\nEventOn: Add support for proper broadcasting of the location and organizer.<br \\/>\\nGeoDirectory: Code fix: Use terms() instead of obsolete equivalent_terms() method.<br \\/>\\nThumbnail Sizes: Fix error when no sizes are set.<\\/p>\\n<p><strong>28.1<\\/strong> 20160208<\\/p>\\n<p><a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/activity-monitor-broadcast-plugin\\/\\\">Activity Monitor<\\/a>: Update compatability with hook class.<br \\/>\\n<a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/post-expirator-broadcast-plugin\\/\\\">Post Expirator<\\/a>: Plugin added. Adds support for Aaron Axelsen\'s <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/post-expirator\\/\\\">Post Expirator<\\/a> plugin.<\\/p>\\n<p><strong>28<\\/strong> 20160118<\\/p>\\n<p>EventON: Plugin added. Adds support for Ashan Jay\'s <a href=\\\"http:\\/\\/www.myeventon.com\\/\\\">EventON<\\/a> plugin with tickets.<\\/p>\\n<p><strong>27.2<\\/strong> 20151215<\\/p>\\n<p>SiteOrigin Page Builder: Plugin added. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/siteorigin-panels\\/\\\">SiteOrigin\'s Page Builder plugin<\\/a>.<br \\/>\\nUser &amp; Blog Settings Post: Fix fatal error.<\\/p>\\n<p><strong>27.1<\\/strong> 20151209<\\/p>\\n<p>ACF: Fix flexible field images for ACF v4. Apparently images in flexfields did not work correctly. ACF v5 untouched.<br \\/>\\nProtect Child Properties: Allow protection for post parent.<\\/p>\\n<p><strong>27<\\/strong> 20151124<\\/p>\\n<p>Avia Layout Builder: Plugin added.<\\/p>\\n<p><strong>26.2<\\/strong> 20151104<\\/p>\\n<p>ACF: Removed taxonomy fields support for non-pro versions of ACF.<\\/p>\\n<p><strong>26.1<\\/strong> 20151103<\\/p>\\n<p>Back To Parent: Fix warning about fake variable.<br \\/>\\nProtect Child Properties: Fix string warnings.<br \\/>\\nWooCommerce: Fix broadcasting products. Asking WooCommerce to return a product is not a good enough check, it has to be checked manually.<\\/p>\\n<p><strong>26<\\/strong> 20151102<\\/p>\\n<p>Update Broadcast before updating this pack. After updating the pack, check that all your normal pack plugins are still activated. I\'ve tested this upgrade myself and for it remembers which plugins were activated, but you never know.<\\/p>\\n<p><a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/bbpress-broadcast-plugin\\/\\\">bbPress<\\/a>: Plugin added. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/bbpress\\/\\\">BBPress<\\/a> forums, topics and replies.<br \\/>\\nProtect Child Attachments \\/ Author \\/ Content \\/ Status: This is the last time these obsolete plugins will be seen in the pack. Use Protect Child Properties instead.<br \\/>\\n<a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/thumbnail-sizes-broadcast-plugin\\/\\\"> Thumbnail Sizes<\\/a>: Plugin added. The plugin allows for different additional thumbnail sizes on a per-blog basis.<br \\/>\\nUser &amp; Blog Settings: Fix harmless error_log warnings when creating or removing a modification.<\\/p>\\n<p><strong>25<\\/strong> 20151024<\\/p>\\n<p>ACF: Check for empty repeater values.<br \\/>\\nACF: Do not broadcast empty relations.<br \\/>\\nSync Taxonomies: Recorder added. Record taxonomy changes and replay them on other blogs in order to mass-create \\/ edit \\/ delete terms with just a few clicks.<br \\/>\\nWooCommerce: Completely ignore all non-products, minimizing risk for unneccessary warnings.<\\/p>\\n<p><strong>24<\\/strong> 20151009<\\/p>\\n<p>ACF: Simplified repeater field handling.<br \\/>\\nGeoDirectory: Plugin added.<\\/p>\\n<p><strong>23.4<\\/strong> 20151003<\\/p>\\n<p>FooGallery: Plugin added.<br \\/>\\nTEC: Support for Additional Fields.<\\/p>\\n<p><strong>23.3<\\/strong> 20150909<\\/p>\\n<p>Blog Groups 2: Clone fatal error fixed.<br \\/>\\nBlog Groups 2: Fixed bug where only the first group was displayed when several groups had the same blogs selected.<br \\/>\\nDuplicate Attachments: Fix file path when duplicating.<br \\/>\\nGEO My WP: Plugin added.<\\/p>\\n<p><strong>23.2<\\/strong> 20150901<\\/p>\\n<p>ACF: Fix warning when encountering empty repeaters in repeaters.<br \\/>\\nACF: Allow using taxonomy term objects as well as term IDs.<br \\/>\\nTablePress: Add support for tables with non-integer IDs.<br \\/>\\nTEC: Remove unneccessary meta box info.<br \\/>\\nWooCommerce: Add support for \\\"German Market\\\" plugin delivery times.<br \\/>\\nWooCommerce: Add support for cross-sells and upsells. The product(s) have to already exist on the child blog and be linked in order to be detected.<br \\/>\\nWooCommerce: Stock status is better updated on broadcasting due to clearing of WooCommerce transients.<\\/p>\\n<p><strong>23.1<\\/strong> 20150804<\\/p>\\n<p>Views: Fix fatal error trying to call non-object custom_fields.<\\/p>\\n<p><strong>23<\\/strong> 20150803<\\/p>\\n<p>All In One Event Calendar: Removed text at the bottom of the meta box.<br \\/>\\nBack To Parent: Fix duplicate posts by using the new *_post_broadcast_data actions.<br \\/>\\nEvent Organiser: Removed text at the bottom of the meta box.<br \\/>\\nGlobal Content Blocks: Plugin added.<br \\/>\\nMetaslider: Plugin added.<br \\/>\\nViews: Removed text at the bottom of the meta box.<br \\/>\\nWPML: Updated plugin to be able to broadcast translations with unpatched WPML v3.1.9.7. Working with the translation manager still requires a patch.<br \\/>\\nWPML: Force same slug for child posts in different languages.<\\/p>\\n<p><strong>22.1<\\/strong> 20150724<\\/p>\\n<p>ACF: Fix add_attachment fatal error.<br \\/>\\nPermlinks: Fix continue error during broadcasting.<\\/p>\\n<p><strong>22<\\/strong> 20150721<\\/p>\\n<p>All In One Event Calendar: Remove unnecessary warning about return_registry().<br \\/>\\nNew Blog Broadcast: Plugin added.<br \\/>\\nPer Blog Taxonomies: Fixed \\\"too much memory\\\" error on some installs when saving the settings.<br \\/>\\nSync Taxonomies: Fix fatal error caused by not updating ST to use the new API.<br \\/>\\nTablePress: Plugin added.<br \\/>\\nThe Events Calendar: Updated to support v3.10.1<br \\/>\\nWooCommerce: Add support for product category images. The images are updated only when broadcasting a product with those product categories set.<br \\/>\\nWooCommerce: Add support for attribute images, as provided by Variation Swatches and Photos.<br \\/>\\nWooCommerce: Force term recount after Broadcast. This fixes the problem of product categories not being visible sometimes.<\\/p>\\n<p><strong>21<\\/strong> 20150705<br \\/>\\nAll Blogs: Cache is now cleared upon creating new blogs. No more need for the cache clearing extra.<br \\/>\\nQueue: Manual processing of queue in debug mode forces broadcast of the item. Time limits are ignored.<br \\/>\\nViews: More debug info.<\\/p>\\n<p><strong>20.1<\\/strong> 20150614<br \\/>\\nDelete Before Broadcast: Added option to unlink children.<br \\/>\\nProtect Child Author \\/ Attachments \\/ Content \\/ Status: Marked as obsolete. Use Protect Child Properties instead.<br \\/>\\nProtect Child Properties: Fix bug when no properties are selected and queue is used.<\\/p>\\n<p><strong>20<\\/strong> 20150609<br \\/>\\nACF: Delete blacklisted custom fields, and those fields in repeaters.<br \\/>\\nACF: Handle single taxonomy values also.<br \\/>\\nACF: Ignore repeater fields that have no values.<br \\/>\\nACF: Ignore taxonomy fields that have no values.<br \\/>\\nBlog Groups 2: Select All \\/ Invert \\/ None functionality added.<br \\/>\\nDelete Before Broadcast: Add \\\"delete same slug\\\" and \\\"delete similar slugs\\\" options.<br \\/>\\nUser &amp; Blog Settings: Fix error on line 155 when saving modifications.<\\/p>\\n<p><strong>19.3<\\/strong> 20150524<br \\/>\\nFind Some Unlinked Children: Exclude presumtive children that have parents or children.<\\/p>\\n<p><strong>19.2<\\/strong> 20150522<br \\/>\\nACF: Fix fatal error message when using taxonomy terms that aren\'t set in the post itself.<\\/p>\\n<p><strong>19.1<\\/strong> 20150521<br \\/>\\nFix error message in Local Links and Keep Child Status.<\\/p>\\n<p><strong>19<\\/strong> 20150519<br \\/>\\nACF: Skip fields that are in the custom field blacklist and the protect list.<br \\/>\\nAll Blogs: New extra: Clear All Blogs Cache plugin to clear the all blogs cache when creating new sites.<br \\/>\\nAttachment Shortcodes: Better handling of nested shortcodes. More robust shortcode handling.<br \\/>\\nDelete Before Broadcast: Plugin added.<br \\/>\\nProtect Child Properties: Plugin added.<br \\/>\\nProtect Child Attachments: Obsolete due to Protect Child Properties plugin.<br \\/>\\nProtect Child Author: Obsolete due to Protect Child Properties plugin.<br \\/>\\nProtect Child Content: Obsolete due to Protect Child Properties plugin.<br \\/>\\nProtect Child Status: Obsolete due to Protect Child Properties plugin.<br \\/>\\nUser &amp; Blog Settings: Better cleaning up of criteria after modification deletion.<br \\/>\\nWooCommerce: Two new extras: stock and PDF vouchers can be automatically synced between parents \\/ children upon each purchase. See the extras directory.<\\/p>\\n<p><strong>18.1<\\/strong> 20150414<br \\/>\\nACF: Fix fatal error when using relationships.<br \\/>\\nPolylang: Pre-emptive fix: Clear language cache after finish broadcasting.<\\/p>\\n<p><strong>18<\\/strong> 20150412<br \\/>\\nACF: Repeater fields can contain repeater fields.<br \\/>\\nACF: Fix for empty flexible layouts.<br \\/>\\nACF: Add support for ACF Pro v5 field groups.<br \\/>\\nAll Blogs: Cache is updated when blogs are created \\/ deleted \\/ undeleted.<br \\/>\\nBlog Groups 2: Plugin added.<br \\/>\\nProtect Child Author: Plugin added.<br \\/>\\nQueue: HTTP processing now allows to processing of queue via cron job.<br \\/>\\nThe Events Calendar: Syncing of calendar events enabled again.<br \\/>\\nNew extra: WP Ultimate Recipe compatability plugin. See extras directory.<br \\/>\\nWooCommerce: More efficient variation handling - they are no longer automatically deleted upon broadcast.<\\/p>\\n<p><strong>17.1<\\/strong> 20150219<br \\/>\\nACF: Add page link type.<br \\/>\\nACF: Fix gallery, relationship, post object types not being handled correctly.<\\/p>\\n<p><strong>17<\\/strong> 20150216<br \\/>\\nACF: File \\/ image fields with URLs now work.<br \\/>\\nACF: Plugin offers lots of hookable actions.<br \\/>\\nFind Some Unlinked Children: Plugin added.<br \\/>\\nQueue: More debug info when queueing posts.<br \\/>\\nSocial Networks Auto Poster: Plugin added.<br \\/>\\nUser Blog Settings: Fix upgrade path: the new criteria table is created before trying to convert old criteria.<br \\/>\\nUser Blog Settings: New UI for modification editing.<br \\/>\\nUser Blog Settings: Post bulk actions can now be hidden in modifications.<br \\/>\\nUser Blog Settings: Summary view gives an overview of all of the modifications made.<\\/p>\\n<p><strong>16<\\/strong> 20150116<br \\/>\\nComments: Hierarchy is preserved.<br \\/>\\nComments: Automatic syncing of linked posts.<br \\/>\\nDuplicate Attachments: Plugin added. Copying of attachments can be exponentially speeded up by using this plugin, which duplicates attachment and thumbnails from the parent blog instead of regenerating them.<br \\/>\\nUser &amp; Blog Settings: Automatically clean up orphaned criteria.<br \\/>\\nUser &amp; Blog Settings: More robust detection of post types.<br \\/>\\nUser &amp; Blog Settings: \\\"On\\\" for checkboxes no longer forces the checkbox to be ticked.<\\/p>\\n<p><strong>15<\\/strong> 20141218<br \\/>\\nNo New Terms: Plugin added.<br \\/>\\nQueue: Add conflict check when marking queue as finished.<br \\/>\\nSend To Many: Remove reference to obsolete js.js<br \\/>\\nUser Blog Settings: Fix display of selected users.<\\/p>\\n<p><strong>14<\\/strong> 20141210<br \\/>\\nLock Posts: Plugin added.<br \\/>\\nMenus: Add option to replace domain URL with that of child blog.<br \\/>\\nBack To Parent: Ignore revision post type.<\\/p>\\n<p><strong>13.1<\\/strong> 20141202<br \\/>\\nQueue: Fixed debugging() error.<br \\/>\\nUser &amp; Blog Settings: Major update with far superior criteria control such as post types and taxonomy terms (specific categories, for example). See new, detailed manual here: <a href=\\\"http:\\/\\/plugins.plainview.se\\/threewp-broadcast-premium-pack\\/user-blog-settings-broadcast-plugin\\/\\\">http:\\/\\/plugins.plainview.se\\/threewp-broadcast-premium-pack\\/user-blog-settings-broadcast-plugin\\/<\\/a><\\/p>\\n<p><strong>13<\\/strong> 20141201<br \\/>\\nPolylang: Plugin added.<br \\/>\\nAll Blogs Superadmin: Plugin added. Allows only superadmins broadcast access to all blogs.<br \\/>\\nACF: Flexible fields can handle more complicated layouts now. Credit tobias@bombayworks.se<br \\/>\\nCustom Field Attachments: Find IDs in all fields and try to unserialize fields.<br \\/>\\nPer Blog Taxonomies: Fix javascript.<br \\/>\\nPermalinks: Fix javascript.<\\/p>\\n<p><strong>12<\\/strong> 20141109<br \\/>\\nSend To Many supports new bulk actions<br \\/>\\nPurge Children supports new post and bulk actions<\\/p>\\n<p><strong>11<\\/strong> 20141029<br \\/>\\nACF: Taxonomy fields are now supported.<br \\/>\\nThe Events Calendar: Plugin added.<br \\/>\\nWooCommerce: Code fix: Use generic way of creating new broadcasting data when broadcasting variations.<\\/p>\\n<p><strong>10<\\/strong> 20141020<br \\/>\\nMenus: Plugin added.<\\/p>\\n<p><strong>9<\\/strong> 20141017<br \\/>\\nACF: Fix fatal error for post objects.<\\/p>\\n<p><strong>8<\\/strong> 20141013<br \\/>\\nPlugins are loaded by classnames instead of exact filenames. Check that your plugins are activated after the upgrade.<br \\/>\\nPermalink settings are clearer (separated fieldsets for global and local).<br \\/>\\nACF: Repeater field supports galleries and relationships.<br \\/>\\nProtect Child Status: Plugin added.<br \\/>\\nWPML: Do not broadcast to blogs that do not have the post\'s language enabled.<br \\/>\\nComments, Protect Child Attachments \\/ Content \\/ Status: fixed fatal error when plugin is enabled with items in the queue.<\\/p>\\n<p><strong>7<\\/strong> 20140923<br \\/>\\nACF: Relationship \\/ object loop prevention.<br \\/>\\nACF: Extra checking for relationships.<br \\/>\\nACF: Add ACF to custom post types automatically.<\\/p>\\n<p><strong>6<\\/strong> 20140909<br \\/>\\nBack To Parent: Plugin added.<br \\/>\\nWooCommerce: Attribute taxonomies are created \\/ updated on each child blog.<\\/p>\\n<p><strong>5<\\/strong> 20140830<br \\/>\\nHide information from non-network admins.<br \\/>\\nQueue: More debug information.<br \\/>\\nQueue: Whole posts can be deleted from the queue, instead of just single items.<br \\/>\\nAll Blogs: Speeup using caching.<br \\/>\\nUser &amp; Blog Settings Post: Speedup using caching.<br \\/>\\nCustom Field Attachments: Better attachment validity checking.<br \\/>\\nWPML: Only broadcast translation manager jobs to those blogs that have the job\'s language.<\\/p>\\n<p><strong>4<\\/strong> 20140814<\\/p>\\n<p>Renamed \\\"Keep Child Attachments\\\" to \\\"Protect Child Attachments\\\"<br \\/>\\nUser &amp; Blog Settings Post: Plugin added.<br \\/>\\nRedirect All Children: Plugin added.<br \\/>\\nProtect Child Content: Plugin added.<br \\/>\\nAll In One Calendar: Plugin added.<\\/p>\\n<p><strong>3<\\/strong> 20140708<\\/p>\\n<p>User &amp; Blog Settings: Select boxes can now just have their values set.<br \\/>\\nKeep Child Attachments: Plugin added.<br \\/>\\nLocalLinks: Disable warnings when loading incorrect HTML.<\\/p>\\n<p><strong>2.24<\\/strong> 20140615<\\/p>\\n<p>Better support for Windows servers.<br \\/>\\nACF: Added support for galleries.<br \\/>\\nWooCommerce: Variation pricing correctly broadcasted.<br \\/>\\nACF: Added support for relationships.<\\/p>\\n<p><strong>2.23<\\/strong> 20140520<br \\/>\\nComments: Plugin added.<br \\/>\\nActivity Monitor: Plugin added.<\\/p>\\n<p><strong>2.21<\\/strong> 20140422<br \\/>\\nCustom Field Attachments: Automatically parses multiple attachment IDs in the same custom field, using non-numbers as separators.<br \\/>\\nPurge Children: Plugin added.<br \\/>\\nQueue: Fix bug where the last items are sometimes not queued.<br \\/>\\nLocal Links: Fixed incompatability with Queue.<\\/p>\\n<p><strong>2.20<\\/strong> 20140412<br \\/>\\nEvent Organiser: Can update event venues when syncing using Sync Taxonomies.<br \\/>\\nSync Taxonomies: Plugin added.<br \\/>\\nNew: Plugins combined into one big premium plugin that enables the various speciality plugins.<br \\/>\\nCustom Field Attachments: Plugin added.<\\/p>\\n<p><strong>2.19<\\/strong> 20140402<br \\/>\\nACF: Support for post objects and files.<br \\/>\\nEvent Organiser: Fix broadcast of event date.<\\/p>\\n<p><strong>2.18<\\/strong> 20140314<br \\/>\\nAttachment Shortcodes: Plugin added.<br \\/>\\nEvent Organiser: Plugin added.<br \\/>\\nACF: New: \\\"Flexible content\\\" field images are correctly copied.<\\/p>\\n<p><strong>2.15<\\/strong> 20140123<br \\/>\\nACF: Fix: same attachment can be used in several image fields.<br \\/>\\nACF: Also handles images in repeater fields.<br \\/>\\nACF: Added compatability with newer versions of ACF that return arrays instead of values.<\\/p>\\n<p><strong>2.14<\\/strong> 20140117<br \\/>\\nQueue: Requires even less memory due to optimizations.<br \\/>\\nUser Blog Settings: Increased compatability with Keep Child Status<\\/p>\\n<p><strong>2.12<\\/strong> 20140112<br \\/>\\nAll Blogs: Plugin added.<br \\/>\\nSend To Many: Compatability with new Broadcast version, fixed missing HTML file.<br \\/>\\nKeep Child Status: Fatal error line 209 fixed.<br \\/>\\nQueue: Round robin, more robustness, fatal errors are displayed.<\\/p>\\n<p><strong>2.11<\\/strong> 20131218<br \\/>\\nQueue: Retry countdown. Better retry handling.<br \\/>\\nQueue: More reliable javascript queuing (ignore unnecessary warnings from other plugins).<br \\/>\\nPer Blog Taxonomies: Plugin added.<br \\/>\\nPermalinks: Plugin added.<br \\/>\\nQueue: Javascripts informs of errors.<\\/p>\\n<p><strong>2.10<\\/strong> 20131121<\\/p>\\n<p>WooCommerce: Plugin added.<br \\/>\\nAdded \\\"Premium\\\" to plugin names.<\\/p>\\n<p><strong>2.9<\\/strong> 20131113<br \\/>\\nKeepChildStatus: Plugin added.<br \\/>\\nUserBlogSettings: Fixed CSS display when testing.<br \\/>\\nUserBlogSettings: Stricter application of criteria.<br \\/>\\nUserBlogSettings: Nicer display of blog names with special characters.<br \\/>\\nUserBlogSettings: Apply JS in the preview box.<br \\/>\\nViews: Fix for removed added_meta_box action.<br \\/>\\nUserBlogSettings: Added support for select modifications.<br \\/>\\nUserBlogSettings: Note about current blog not being visible.<\\/p>\\n<p><strong>2.7<\\/strong> 20131101<br \\/>\\nAdvanced Custom Fields: Plugin added.<br \\/>\\nSendToMany: Fixed send to many button - using new prepare action.<\\/p>\\n<p><strong>2.6<\\/strong> 20131028<br \\/>\\nLocal Links: Plugin added.<\\/p>\\n<p><strong>2.4<\\/strong> 20131018<br \\/>\\nUser &amp; Blog Settings: Plugin added.<\\/p>\\n<p><strong>2.3<\\/strong> 20131011<br \\/>\\nSend To Many: Plugin added.<br \\/>\\nQueue: Added process data caching.<\\/p>\\n<p><strong>2.2<\\/strong> 20131007<br \\/>\\nViews: Plugin added.<\\/p>\\n<p><strong>2.0<\\/strong> 20131006<br \\/>\\nInitial release to coincide with Broadcast 2.0.<br \\/>\\nQueue: Plugin added.<\\/p>\\n\"],\"plugin\":\"threewp-broadcast-premium-pack\\/ThreeWP_Broadcast_Premium_Pack.php\",\"id\":\"threewp-broadcast-premium-pack\\/ThreeWP_Broadcast_Premium_Pack.php\"}\";}','no');
INSERT INTO `wp_2_options` VALUES (8040,'action_scheduler_migration_status','complete','yes');
DROP TABLE IF EXISTS `wp_2_postmeta`;
CREATE TABLE `wp_2_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM AUTO_INCREMENT=32145 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_2_postmeta` VALUES (30725,255,'_oembed_03ce096a23d7d2efc626bf9e31640caa','<iframe title=\"What Is F45\" src=\"https://player.vimeo.com/video/489588216?dnt=1&amp;app_id=122963\" width=\"761\" height=\"428\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(30724,255,'_oembed_time_03ce096a23d7d2efc626bf9e31640caa','1620853643'),(30633,251,'_clicks_panels_4_panel_height','field_5cd1d3dab69ad'),(30632,251,'clicks_panels_4_panel_height','auto'),(30601,251,'_clicks_panels_3_button_link','field_5c4cb9e488fee'),(30602,251,'clicks_panels_3_button_style','hollow'),(30603,251,'_clicks_panels_3_button_style','field_5c4cb9e488fef'),(30604,251,'clicks_panels_3_button_color','dark'),(30605,251,'_clicks_panels_3_button_color','field_5c75ca9870d43'),(30606,251,'clicks_panels_3_button_alignment','text-left'),(30607,251,'_clicks_panels_3_button_alignment','field_5c6df75dac064'),(30608,251,'clicks_panels_3_button',''),(30609,251,'_clicks_panels_3_button','field_5c4cb9e488fec'),(30610,251,'clicks_panels_3_bg_color','#f2f2f2'),(30611,251,'_clicks_panels_3_bg_color','field_5c4cb79c1cfcf'),(30612,251,'clicks_panels_3_text_color','#000000'),(30613,251,'_clicks_panels_3_text_color','field_5c6e064d1f0cc'),(30614,251,'clicks_panels_4_main_text','<h3>[name] IS A COMMUNITY!</h3>\r\n&nbsp;\r\n<h6>Every member is on their own fitness journey. Whether it\'s to lose weight, build muscle or to unwind after a stressful day, everyone has their own reasons for being here. The [name] community will rally behind you to help you achieve whatever your fitness goals are!</h6>\r\n&nbsp;\r\n\r\n&nbsp;'),(30615,251,'_clicks_panels_4_main_text','field_5c9e9b1a1619d'),(30616,251,'clicks_panels_4_alignment','justify-content-start'),(30617,251,'_clicks_panels_4_alignment','field_5c9e9b401619e'),(30618,251,'clicks_panels_4_button_text','GET STARTED!'),(30619,251,'_clicks_panels_4_button_text','field_5c9e9bba161a0'),(30620,251,'clicks_panels_4_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(30621,251,'_clicks_panels_4_button_link','field_5c9e9bcf161a1'),(30622,251,'clicks_panels_4_button_style','solid'),(30623,251,'_clicks_panels_4_button_style','field_5c9e9c0c161a2'),(30624,251,'clicks_panels_4_button_color','dark'),(30625,251,'_clicks_panels_4_button_color','field_5c9e9cae161a3'),(30626,251,'clicks_panels_4_button_alignment','text-left'),(30627,251,'_clicks_panels_4_button_alignment','field_5c9e9cf9161a4'),(30628,251,'clicks_panels_4_button',''),(30629,251,'_clicks_panels_4_button','field_5c9e9b951619f'),(30630,251,'clicks_panels_4_bg_type','image'),(30631,251,'_clicks_panels_4_bg_type','field_5cbe21c7dbf3e'),(30041,249,'_wp_attached_file','2021/05/website_header_setting-desktop_logo-3-v9.png'),(30042,249,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1049;s:6:\"height\";i:1049;s:4:\"file\";s:52:\"2021/05/website_header_setting-desktop_logo-3-v9.png\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"website_header_setting-desktop_logo-3-v9-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"website_header_setting-desktop_logo-3-v9-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"website_header_setting-desktop_logo-3-v9-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(30402,251,'google_conversion_label',''),(30403,251,'_google_conversion_label','field_5c8ac5e7c5dea'),(30404,251,'head_area_embed',''),(30405,251,'_head_area_embed','field_5c8ac5e7c5e35'),(30406,251,'body_area_embed',''),(30407,251,'_body_area_embed','field_5c8ac5e7c5e79'),(30408,251,'footer_area_embed',''),(30409,251,'_footer_area_embed','field_5c9d110ffa064'),(30410,251,'page_cr_referral_id',''),(30411,251,'_page_cr_referral_id','field_5c804db29810f'),(30412,251,'page_cr_prospect_id',''),(30413,251,'_page_cr_prospect_id','field_5c8063e1fa49e'),(30414,251,'page_cr_user_id',''),(30415,251,'_page_cr_user_id','field_5cc770c9ef77c'),(30416,251,'page_cr_radius',''),(30417,251,'_page_cr_radius','field_5c804db2981e0'),(30418,251,'cr_shortcode_generator',''),(30419,251,'_cr_shortcode_generator','field_5c83e2ef816ab'),(30420,251,'page_cr_submit_btn',''),(30421,251,'_page_cr_submit_btn','field_5c8ab548ea23d'),(30422,251,'page_cr_btn_style',''),(30423,251,'_page_cr_btn_style','field_5c8aeb34680ab'),(30424,251,'page_cr_btn_color',''),(30425,251,'_page_cr_btn_color','field_5cae428b706b5'),(30426,251,'page_cr_btn_align',''),(30427,251,'_page_cr_btn_align','field_5c8acf72c171d'),(30428,251,'page_cr_btn_onclick',''),(30429,251,'_page_cr_btn_onclick','field_5c8aeb5b680ac'),(30430,251,'page_cr_send_to',''),(30431,251,'_page_cr_send_to','field_5c8ab548ea28b'),(30432,251,'page_cr_cc',''),(30433,251,'_page_cr_cc','field_5c8ab548ea2d1'),(30434,251,'page_cr_show_locations','0'),(30435,251,'_page_cr_show_locations','field_5c8ab548eedde'),(30436,251,'page_cr_campaign_name',''),(30437,251,'_page_cr_campaign_name','field_5c8ab548efc68'),(30438,251,'page_cr_tt_store_id',''),(30439,251,'_page_cr_tt_store_id','field_5c8ab548f0afc'),(30440,251,'page_cr_template_id',''),(30441,251,'_page_cr_template_id','field_5c8ab548f1b68'),(30442,251,'page_cr_success',''),(30443,251,'_page_cr_success','field_5c8ab548f325a'),(30444,251,'page_cr_share_align',''),(30445,251,'_page_cr_share_align','field_5c9024916a377'),(30446,251,'page_cr_booking_msg',''),(30447,251,'_page_cr_booking_msg','field_5c8aeddca1987'),(30448,251,'page_cr_booking_btn',''),(30449,251,'_page_cr_booking_btn','field_5ce43a4152682'),(30450,251,'page_cr_booking_success',''),(30451,251,'_page_cr_booking_success','field_5c901deb14a3b'),(30452,251,'page_cr_payments_url',''),(30453,251,'_page_cr_payments_url','field_5dc31fc6af861'),(30454,251,'hero_panels_0_hero_type','fixed'),(30455,251,'_hero_panels_0_hero_type','field_5c5c6593013b2'),(30456,251,'hero_panels_0_content_0_content','<h2>FREE 7-DAY\r\nTRIAL!</h2>\r\n&nbsp;\r\n<strong>[name] is fitness community specializing in innovative, high-intensity group workouts that are fast, fun, and results-driven. Experience one of the most time-efficient ways to train with a FREE 7-day trial! Sign up to get started today!</strong>'),(30457,251,'_hero_panels_0_content_0_content','field_5c5a253154b6e'),(30458,251,'hero_panels_0_content_0_button_alignment','text-left'),(30459,251,'_hero_panels_0_content_0_button_alignment','field_5c76fad1e6aa6'),(30460,251,'hero_panels_0_content_0_buttons',''),(30461,251,'_hero_panels_0_content_0_buttons','field_5c5a255454b6f'),(30462,251,'hero_panels_0_content_1_content','<h3 style=\"text-align: center;\">CLAIM YOUR FREE TRIAL!</h3>\r\n<p style=\"text-align: center;\">[single_mindbody_form]</p>'),(30463,251,'_hero_panels_0_content_1_content','field_5c5a253154b6e'),(30464,251,'hero_panels_0_content_1_button_alignment','text-left'),(30465,251,'_hero_panels_0_content_1_button_alignment','field_5c76fad1e6aa6'),(30466,251,'hero_panels_0_content_1_buttons',''),(30467,251,'_hero_panels_0_content_1_buttons','field_5c5a255454b6f'),(30468,251,'hero_panels_0_content','2'),(30469,251,'_hero_panels_0_content','field_5c86d128b1d24'),(30470,251,'hero_panels_0_desk_bg_img',''),(30471,251,'_hero_panels_0_desk_bg_img','field_5c5a24e254b6c'),(30472,251,'hero_panels_0_mob_bg_img',''),(30473,251,'_hero_panels_0_mob_bg_img','field_5d1f7f8a74259'),(30474,251,'hero_panels_0_horz_align_desk','center'),(30475,251,'_hero_panels_0_horz_align_desk','field_5c8aacf58fa29'),(30476,251,'hero_panels_0_horz_align_mob','center'),(30477,251,'_hero_panels_0_horz_align_mob','field_5c8aaf79121c0'),(30478,251,'hero_panels_0_vert_align_desk','center'),(30479,251,'_hero_panels_0_vert_align_desk','field_5c8aaf8a121c1'),(30480,251,'hero_panels_0_vert_align_mob','center'),(30481,251,'_hero_panels_0_vert_align_mob','field_5c8aafa0121c2'),(30482,251,'hero_panels_0_overlay_type','dark'),(30483,251,'_hero_panels_0_overlay_type','field_5c5a247654b6a'),(30484,251,'hero_panels_0_overlay_opacity','0.5'),(30485,251,'_hero_panels_0_overlay_opacity','field_5c5a24a354b6b'),(30486,251,'hero_panels_0_alignment','justify-content-start'),(30487,251,'_hero_panels_0_alignment','field_5c65d2663c716'),(30488,251,'clicks_panels_0_content_box_0_content','<h3>WHAT IS\r\nF45 TRAINING?</h3>\r\n&nbsp;\r\n\r\nThe F stands for Functional Training, a mix of circuit and High Intensity Interval Training (HIIT) style workouts geared towards everyday movement. 45 is the total amount of time for sweat-dripping heart-pumping fun.\r\n\r\n&nbsp;'),(30489,251,'_clicks_panels_0_content_box_0_content','field_59824a06a423e'),(30490,251,'clicks_panels_0_content_box_0_vertical_alignment','center'),(30491,251,'_clicks_panels_0_content_box_0_vertical_alignment','field_5cd09e2416d20'),(30492,251,'clicks_panels_0_content_box_0_button_text','GET STARTED'),(30493,251,'_clicks_panels_0_content_box_0_button_text','field_5c4cb9a588fe9'),(30494,251,'clicks_panels_0_content_box_0_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(30495,251,'_clicks_panels_0_content_box_0_button_link','field_5c4cb9ad88fea'),(30496,251,'clicks_panels_0_content_box_0_button_style','hollow'),(30497,251,'_clicks_panels_0_content_box_0_button_style','field_5c4cb9c388feb'),(30498,251,'clicks_panels_0_content_box_0_button_color','dark'),(30499,251,'_clicks_panels_0_content_box_0_button_color','field_5c75e256ce6d1'),(30500,251,'clicks_panels_0_content_box_0_button_alignment','text-left'),(30501,251,'_clicks_panels_0_content_box_0_button_alignment','field_5c6df6e3ac062'),(30502,251,'clicks_panels_0_content_box_0_button',''),(30503,251,'_clicks_panels_0_content_box_0_button','field_5c4cb99788fe8'),(30504,251,'clicks_panels_0_content_box_1_content','https://vimeo.com/489588216'),(30505,251,'_clicks_panels_0_content_box_1_content','field_59824a06a423e'),(30506,251,'clicks_panels_0_content_box_1_vertical_alignment','center'),(30507,251,'_clicks_panels_0_content_box_1_vertical_alignment','field_5cd09e2416d20'),(30508,251,'clicks_panels_0_content_box_1_button_text',''),(30509,251,'_clicks_panels_0_content_box_1_button_text','field_5c4cb9a588fe9'),(30510,251,'clicks_panels_0_content_box_1_button_link',''),(30511,251,'_clicks_panels_0_content_box_1_button_link','field_5c4cb9ad88fea'),(30512,251,'clicks_panels_0_content_box_1_button_style','hollow'),(30513,251,'_clicks_panels_0_content_box_1_button_style','field_5c4cb9c388feb'),(30514,251,'clicks_panels_0_content_box_1_button_color','dark'),(30515,251,'_clicks_panels_0_content_box_1_button_color','field_5c75e256ce6d1'),(30516,251,'clicks_panels_0_content_box_1_button_alignment','text-left'),(30517,251,'_clicks_panels_0_content_box_1_button_alignment','field_5c6df6e3ac062'),(30518,251,'clicks_panels_0_content_box_1_button',''),(30519,251,'_clicks_panels_0_content_box_1_button','field_5c4cb99788fe8'),(30520,251,'clicks_panels_0_content_box','2'),(30521,251,'_clicks_panels_0_content_box','field_5c749908df8b2'),(30522,251,'clicks_panels_0_bg_color','#ffffff'),(30523,251,'_clicks_panels_0_bg_color','field_5c4cb7651cfce'),(30524,251,'clicks_panels_0_text_color','#000000'),(30525,251,'_clicks_panels_0_text_color','field_5c6e06291f0cb'),(30526,251,'clicks_panels_1_content','<h3>INNOVATION.</h3>\r\n&nbsp;\r\n\r\nOur functional training classes continuously evolve so virtually no two workouts are ever the same!\r\n\r\n&nbsp;'),(30527,251,'_clicks_panels_1_content','field_59824ac3a4240'),(30528,251,'clicks_panels_1_image',''),(30529,251,'_clicks_panels_1_image','field_59824af3a4241'),(30530,251,'clicks_panels_1_layout','order-1'),(30531,251,'_clicks_panels_1_layout','field_59824b08a4242'),(30532,251,'clicks_panels_1_type','full'),(30533,251,'_clicks_panels_1_type','field_5ce5ad7b86b1e'),(30534,251,'clicks_panels_1_vertical_alignment','center'),(30535,251,'_clicks_panels_1_vertical_alignment','field_5cd09ecd16d21'),(30536,251,'clicks_panels_1_button_text','GET STARTED!'),(30537,251,'_clicks_panels_1_button_text','field_5c4cb9e488fed'),(30538,251,'clicks_panels_1_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(30539,251,'_clicks_panels_1_button_link','field_5c4cb9e488fee'),(30540,251,'clicks_panels_1_button_style','hollow'),(30541,251,'_clicks_panels_1_button_style','field_5c4cb9e488fef'),(30542,251,'clicks_panels_1_button_color','dark'),(30543,251,'_clicks_panels_1_button_color','field_5c75ca9870d43'),(30544,251,'clicks_panels_1_button_alignment','text-left'),(30545,251,'_clicks_panels_1_button_alignment','field_5c6df75dac064'),(30546,251,'clicks_panels_1_button',''),(30547,251,'_clicks_panels_1_button','field_5c4cb9e488fec'),(30548,251,'clicks_panels_1_bg_color','#f2f2f2'),(30549,251,'_clicks_panels_1_bg_color','field_5c4cb79c1cfcf'),(30550,251,'clicks_panels_1_text_color','#000000'),(30551,251,'_clicks_panels_1_text_color','field_5c6e064d1f0cc'),(30552,251,'page_mbo_location_id',''),(30553,251,'_page_mbo_location_id','field_5cc762e29e383'),(30554,251,'page_mbo_referred_by',''),(30555,251,'_page_mbo_referred_by','field_5cc762e29e3ce'),(30556,251,'page_mbo_radius',''),(30557,251,'_page_mbo_radius','field_5cc762e29e444'),(30558,251,'mbo_shortcode_generator_0_signup','0'),(30559,251,'_mbo_shortcode_generator_0_signup','field_5daf3d0e5b13a'),(30560,251,'mbo_shortcode_generator','a:1:{i:0;s:20:\"single_mindbody_form\";}'),(30561,251,'_mbo_shortcode_generator','field_5cc7644d20afb'),(30562,251,'clicks_panels_2_content','<h3>MOTIVATION.</h3>\r\n&nbsp;\r\n\r\nThe motivation and encouragement in a group training facility creates a pulsing, upbeat environment where goals are met and exceeded.\r\n\r\n&nbsp;'),(30563,251,'_clicks_panels_2_content','field_59824ac3a4240'),(30564,251,'clicks_panels_2_image',''),(30565,251,'_clicks_panels_2_image','field_59824af3a4241'),(30566,251,'clicks_panels_2_layout','order-1 order-md-12'),(30567,251,'_clicks_panels_2_layout','field_59824b08a4242'),(30568,251,'clicks_panels_2_type','full'),(30569,251,'_clicks_panels_2_type','field_5ce5ad7b86b1e'),(30570,251,'clicks_panels_2_vertical_alignment','center'),(30571,251,'_clicks_panels_2_vertical_alignment','field_5cd09ecd16d21'),(30572,251,'clicks_panels_2_button_text','GET STARTED!'),(30573,251,'_clicks_panels_2_button_text','field_5c4cb9e488fed'),(30574,251,'clicks_panels_2_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(30575,251,'_clicks_panels_2_button_link','field_5c4cb9e488fee'),(30576,251,'clicks_panels_2_button_style','hollow'),(30577,251,'_clicks_panels_2_button_style','field_5c4cb9e488fef'),(30578,251,'clicks_panels_2_button_color','dark'),(30579,251,'_clicks_panels_2_button_color','field_5c75ca9870d43'),(30580,251,'clicks_panels_2_button_alignment','text-left'),(30581,251,'_clicks_panels_2_button_alignment','field_5c6df75dac064'),(30582,251,'clicks_panels_2_button',''),(30583,251,'_clicks_panels_2_button','field_5c4cb9e488fec'),(30584,251,'clicks_panels_2_bg_color','#f2f2f2'),(30585,251,'_clicks_panels_2_bg_color','field_5c4cb79c1cfcf'),(30586,251,'clicks_panels_2_text_color','#000000'),(30587,251,'_clicks_panels_2_text_color','field_5c6e064d1f0cc'),(30588,251,'clicks_panels_3_content','<h3>RESULTS.</h3>\r\n&nbsp;\r\n\r\nWhen it comes to weight management, good nutrition is vital. [name] gives all members access to their own free personal nutrition program to achieve health objectives with daily meal plans, tracking, and community support. Welcome to the [name] Challenge.\r\n\r\n&nbsp;'),(30589,251,'_clicks_panels_3_content','field_59824ac3a4240'),(30590,251,'clicks_panels_3_image',''),(30591,251,'_clicks_panels_3_image','field_59824af3a4241'),(30592,251,'clicks_panels_3_layout','order-1'),(30593,251,'_clicks_panels_3_layout','field_59824b08a4242'),(30594,251,'clicks_panels_3_type','full'),(30595,251,'_clicks_panels_3_type','field_5ce5ad7b86b1e'),(30596,251,'clicks_panels_3_vertical_alignment','center'),(30597,251,'_clicks_panels_3_vertical_alignment','field_5cd09ecd16d21'),(30598,251,'clicks_panels_3_button_text','GET STARTED!'),(30599,251,'_clicks_panels_3_button_text','field_5c4cb9e488fed'),(30600,251,'clicks_panels_3_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(30037,243,'_testimonial_author','field_5983f0b901c1d'),(30036,243,'testimonial_author','Lauren'),(30035,243,'_testimonial_text','field_5983f040789a4'),(30034,243,'testimonial_text','<h4>LITERALLY THE ABSOLUTE BEST! The workouts are very challenging and I always leave feeling like I did some serious work. The trainers are AWESOME!</h4>'),(30033,242,'_testimonial_author','field_5983f0b901c1d'),(30032,242,'testimonial_author','Lauren'),(30031,242,'_testimonial_text','field_5983f040789a4'),(30030,242,'testimonial_text','<h4>LITERALLY THE ABSOLUTE BEST! The workouts are very challenging and I always leave feeling like I did some serious work. The trainers are AWESOME!</h4>'),(30029,242,'_edit_last','14'),(30028,242,'_edit_lock','1619043567:14'),(30027,241,'_testimonial_author','field_5983f0b901c1d'),(30026,241,'testimonial_author','John'),(30025,241,'_testimonial_text','field_5983f040789a4'),(30024,241,'testimonial_text','<h4>F45 is the most dynamic, efficient and enjoyable workout I have ever done! The sense of community here is so very special. I absolutely love it.</h4>'),(30023,240,'_testimonial_author','field_5983f0b901c1d'),(30022,240,'testimonial_author','John'),(30021,240,'_testimonial_text','field_5983f040789a4'),(30020,240,'testimonial_text','<h4>F45 is the most dynamic, efficient and enjoyable workout I have ever done! The sense of community here is so very special. I absolutely love it.</h4>'),(30019,240,'_edit_last','14'),(30018,240,'_edit_lock','1619043554:14'),(30017,239,'_testimonial_author','field_5983f0b901c1d'),(30016,239,'testimonial_author','Amiee'),(30015,239,'_testimonial_text','field_5983f040789a4'),(30014,239,'testimonial_text','<h4>The workouts will kick your butt every time, plus they can be modified for beginners and those with more experience. It\'s for everyone and I love it!</h4>'),(30013,238,'_testimonial_author','field_5983f0b901c1d'),(30012,238,'testimonial_author','Amiee'),(30011,238,'_testimonial_text','field_5983f040789a4'),(30010,238,'testimonial_text','<h4>The workouts will kick your butt every time, plus they can be modified for beginners and those with more experience. It\'s for everyone and I love it!</h4>'),(30009,238,'_edit_last','14'),(30008,238,'_edit_lock','1619043535:14'),(30007,237,'_testimonial_author','field_5983f0b901c1d'),(30006,237,'testimonial_author','Evan'),(30005,237,'_testimonial_text','field_5983f040789a4'),(30004,237,'testimonial_text','<h4>I\'ve tried every form of training from CrossFit to Orangetheory Fitness (bored out of my mind running on treadmills). Take advantage of their FREE trial, after a few sessions you\'ll be hooked!</h4>'),(30003,236,'_testimonial_author','field_5983f0b901c1d'),(30002,236,'testimonial_author','Evan'),(30001,236,'_testimonial_text','field_5983f040789a4'),(30000,236,'testimonial_text','<h4>I\'ve tried every form of training from CrossFit to Orangetheory Fitness (bored out of my mind running on treadmills). Take advantage of their FREE trial, after a few sessions you\'ll be hooked!</h4>'),(30401,251,'_google_conversion_id','field_5c8ac5e7c5da3'),(30400,251,'google_conversion_id',''),(30399,251,'_footer_panels','field_5c6c9e7eba7a6'),(30398,251,'footer_panels','a:1:{i:0;s:10:\"full_width\";}'),(30397,251,'_clicks_panels','field_598249dea423d'),(30395,251,'_hero_panels','field_5c5a122054b69'),(30396,251,'clicks_panels','a:6:{i:0;s:13:\"content_panel\";i:1;s:19:\"content_image_panel\";i:2;s:19:\"content_image_panel\";i:3;s:19:\"content_image_panel\";i:4;s:13:\"feature_panel\";i:5;s:18:\"testimonial_slider\";}'),(30394,251,'hero_panels','a:1:{i:0;s:8:\"image_bg\";}'),(30393,251,'_page_description','field_5d0d36e3a4650'),(30392,251,'page_description',''),(30391,251,'_countdown_align','field_5ce86828cb16a'),(30390,251,'countdown_align','justify-content-start'),(30389,251,'_countdown_inline_text','field_5ce86808cb169'),(30388,251,'countdown_inline_text',''),(30387,251,'_countdown_end_date','field_5c8963467234d'),(30386,251,'countdown_end_date',''),(30385,250,'_page_mbo_booking_success','field_5cc7635683f38'),(30384,250,'page_mbo_booking_success',''),(30383,250,'_page_mbo_booking_btn','field_5ce44499cd167'),(30382,250,'page_mbo_booking_btn',''),(30381,250,'_page_mbo_booking_msg','field_5cc7635686ed4'),(30380,250,'page_mbo_booking_msg',''),(30379,250,'_page_mbo_share_align','field_5cc76356851e1'),(30378,250,'page_mbo_share_align','text-center'),(30377,250,'_page_mbo_success','field_5cc7635682baa'),(30376,250,'page_mbo_success',''),(30375,250,'_page_mbo_campaign_name','field_5cc763567d8bb'),(30374,250,'page_mbo_campaign_name',''),(30373,250,'_page_mbo_show_locations','field_5cc763567c799'),(30372,250,'page_mbo_show_locations','0'),(30371,250,'_page_mbo_cc','field_5cc763567034b'),(30370,250,'page_mbo_cc',''),(30369,250,'_page_mbo_send_to','field_5cc763567030a'),(30368,250,'page_mbo_send_to',''),(30367,250,'_page_mbo_btn_onclick','field_5cc763567027a'),(30366,250,'page_mbo_btn_onclick',''),(30365,250,'_page_mbo_btn_align','field_5cc763567023c'),(30364,250,'page_mbo_btn_align','text-center'),(30363,250,'_page_mbo_btn_color','field_5cc76356701fc'),(30362,250,'page_mbo_btn_color','dark'),(30361,250,'_page_mbo_btn_style','field_5cc76356701bf'),(30360,250,'page_mbo_btn_style','solid'),(30359,250,'_page_mbo_submit_btn','field_5cc7635670181'),(30358,250,'page_mbo_submit_btn',''),(30357,250,'_footer_panels_0_alignment','field_5c6d94b560bee'),(30354,250,'footer_panels_0_text_color','#ffffff'),(30355,250,'_footer_panels_0_text_color','field_5c6d94a160bed'),(30356,250,'footer_panels_0_alignment','justify-content-center'),(30353,250,'_footer_panels_0_overlay_opacity','field_5c6c9f09ba7a9'),(30349,250,'_footer_panels_0_vert_align_mob','field_5c6d986589807'),(30350,250,'footer_panels_0_overlay_type','dark'),(30351,250,'_footer_panels_0_overlay_type','field_5c6c9ee1ba7a8'),(30352,250,'footer_panels_0_overlay_opacity','0.4'),(30348,250,'footer_panels_0_vert_align_mob','center'),(30345,250,'_footer_panels_0_horz_align_mob','field_5c6d984789806'),(30346,250,'footer_panels_0_vert_align_desk','center'),(30347,250,'_footer_panels_0_vert_align_desk','field_5c6d978c89805'),(30344,250,'footer_panels_0_horz_align_mob','center'),(30340,250,'footer_panels_0_mob_bg_img',''),(30341,250,'_footer_panels_0_mob_bg_img','field_5d1f8056df761'),(30342,250,'footer_panels_0_horz_align_desk','center'),(30343,250,'_footer_panels_0_horz_align_desk','field_5c6d973489804'),(30339,250,'_footer_panels_0_desk_bg_img','field_5c6c9eb1ba7a7'),(30335,250,'_footer_panels_0_buttons_0_color','field_5c77013805894'),(30336,250,'footer_panels_0_buttons','1'),(30337,250,'_footer_panels_0_buttons','field_5c6c9f88ba7ac'),(30338,250,'footer_panels_0_desk_bg_img',''),(30334,250,'footer_panels_0_buttons_0_color','dark'),(30331,250,'_footer_panels_0_buttons_0_link','field_5c6c9facba7ae'),(30332,250,'footer_panels_0_buttons_0_style','solid'),(30333,250,'_footer_panels_0_buttons_0_style','field_5c6c9fc4ba7af'),(30327,250,'_footer_panels_0_button_alignment','field_5c770495b0d55'),(30328,250,'footer_panels_0_buttons_0_text','SIGN UP!'),(30329,250,'_footer_panels_0_buttons_0_text','field_5c6c9fa3ba7ad'),(30330,250,'footer_panels_0_buttons_0_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#top\";s:6:\"target\";s:0:\"\";}'),(30326,250,'footer_panels_0_button_alignment','center'),(30323,250,'_clicks_panels_5_text_color','field_5c58904ace75f'),(30324,250,'footer_panels_0_content','<h3 style=\"text-align: center;\">GET STARTED TODAY!</h3>\r\n&nbsp;'),(30325,250,'_footer_panels_0_content','field_5c6c9f39ba7aa'),(30322,250,'clicks_panels_5_text_color','#000'),(30318,250,'clicks_panels_5_category',''),(30319,250,'_clicks_panels_5_category','field_5c588fe3ce75d'),(30320,250,'clicks_panels_5_bg_color','#F7F7F7'),(30321,250,'_clicks_panels_5_bg_color','field_5c589033ce75e'),(30317,250,'_clicks_panels_5_intro','field_5c75d8409f209'),(30314,250,'clicks_panels_4_overlay_opacity_mob','0.5'),(30315,250,'_clicks_panels_4_overlay_opacity_mob','field_5c9ea509144e5'),(30316,250,'clicks_panels_5_intro',''),(30313,250,'_clicks_panels_4_overlay_opacity_desk','field_5c9ea48d144e3'),(30309,250,'_clicks_panels_4_overlay_color','field_5cd1c164de92f'),(30310,250,'clicks_panels_4_text_color','#FFF'),(30311,250,'_clicks_panels_4_text_color','field_5cd1d304b69ac'),(30312,250,'clicks_panels_4_overlay_opacity_desk','0.6'),(30308,250,'clicks_panels_4_overlay_color','#1e1547'),(30305,250,'_clicks_panels_4_vert_align_desk','field_5c9ea3172a74d'),(30306,250,'clicks_panels_4_vert_align_mob','center'),(30307,250,'_clicks_panels_4_vert_align_mob','field_5c9ea2d82a74c'),(30304,250,'clicks_panels_4_vert_align_desk','center'),(30300,250,'clicks_panels_4_horz_align_desk','center'),(30301,250,'_clicks_panels_4_horz_align_desk','field_5c9ea1dd2a74a'),(30302,250,'clicks_panels_4_horz_align_mob','center'),(30303,250,'_clicks_panels_4_horz_align_mob','field_5c9ea2312a74b'),(30299,250,'_clicks_panels_4_bg_mobile','field_5d1f80086362f'),(30295,250,'_clicks_panels_4_panel_height','field_5cd1d3dab69ad'),(30296,250,'clicks_panels_4_bg_desk',''),(30297,250,'_clicks_panels_4_bg_desk','field_5c9ea0972a746'),(30298,250,'clicks_panels_4_bg_mobile',''),(30294,250,'clicks_panels_4_panel_height','auto'),(30290,250,'clicks_panels_4_button',''),(30291,250,'_clicks_panels_4_button','field_5c9e9b951619f'),(30292,250,'clicks_panels_4_bg_type','image'),(30293,250,'_clicks_panels_4_bg_type','field_5cbe21c7dbf3e'),(30289,250,'_clicks_panels_4_button_alignment','field_5c9e9cf9161a4'),(30288,250,'clicks_panels_4_button_alignment','text-left'),(30287,250,'_clicks_panels_4_button_color','field_5c9e9cae161a3'),(30286,250,'clicks_panels_4_button_color','dark'),(30283,250,'_clicks_panels_4_button_link','field_5c9e9bcf161a1'),(30284,250,'clicks_panels_4_button_style','solid'),(30285,250,'_clicks_panels_4_button_style','field_5c9e9c0c161a2'),(30282,250,'clicks_panels_4_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(30279,250,'_clicks_panels_4_alignment','field_5c9e9b401619e'),(30280,250,'clicks_panels_4_button_text','GET STARTED!'),(30281,250,'_clicks_panels_4_button_text','field_5c9e9bba161a0'),(30278,250,'clicks_panels_4_alignment','justify-content-start'),(30277,250,'_clicks_panels_4_main_text','field_5c9e9b1a1619d'),(30274,250,'clicks_panels_3_text_color','#000000'),(30275,250,'_clicks_panels_3_text_color','field_5c6e064d1f0cc'),(30276,250,'clicks_panels_4_main_text','<h3>[name] IS A COMMUNITY!</h3>\r\n&nbsp;\r\n<h6>Every member is on their own fitness journey. Whether it\'s to lose weight, build muscle or to unwind after a stressful day, everyone has their own reasons for being here. The [name] community will rally behind you to help you achieve whatever your fitness goals are!</h6>\r\n&nbsp;\r\n\r\n&nbsp;'),(30273,250,'_clicks_panels_3_bg_color','field_5c4cb79c1cfcf'),(30272,250,'clicks_panels_3_bg_color','#f2f2f2'),(30271,250,'_clicks_panels_3_button','field_5c4cb9e488fec'),(30270,250,'clicks_panels_3_button',''),(30269,250,'_clicks_panels_3_button_alignment','field_5c6df75dac064'),(30267,250,'_clicks_panels_3_button_color','field_5c75ca9870d43'),(30268,250,'clicks_panels_3_button_alignment','text-left'),(30266,250,'clicks_panels_3_button_color','dark'),(30265,250,'_clicks_panels_3_button_style','field_5c4cb9e488fef'),(30264,250,'clicks_panels_3_button_style','hollow'),(30263,250,'_clicks_panels_3_button_link','field_5c4cb9e488fee'),(30262,250,'clicks_panels_3_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(30261,250,'_clicks_panels_3_button_text','field_5c4cb9e488fed'),(30260,250,'clicks_panels_3_button_text','GET STARTED!'),(30259,250,'_clicks_panels_3_vertical_alignment','field_5cd09ecd16d21'),(30258,250,'clicks_panels_3_vertical_alignment','center'),(30257,250,'_clicks_panels_3_type','field_5ce5ad7b86b1e'),(30256,250,'clicks_panels_3_type','full'),(30255,250,'_clicks_panels_3_layout','field_59824b08a4242'),(30254,250,'clicks_panels_3_layout','order-1'),(30253,250,'_clicks_panels_3_image','field_59824af3a4241'),(30252,250,'clicks_panels_3_image',''),(30251,250,'_clicks_panels_3_content','field_59824ac3a4240'),(30248,250,'clicks_panels_2_text_color','#000000'),(30249,250,'_clicks_panels_2_text_color','field_5c6e064d1f0cc'),(30250,250,'clicks_panels_3_content','<h3>RESULTS.</h3>\r\n&nbsp;\r\n\r\nWhen it comes to weight management, good nutrition is vital. [name] gives all members access to their own free personal nutrition program to achieve health objectives with daily meal plans, tracking, and community support. Welcome to the [name] Challenge.\r\n\r\n&nbsp;'),(30247,250,'_clicks_panels_2_bg_color','field_5c4cb79c1cfcf'),(30246,250,'clicks_panels_2_bg_color','#f2f2f2'),(30245,250,'_clicks_panels_2_button','field_5c4cb9e488fec'),(30244,250,'clicks_panels_2_button',''),(30242,250,'clicks_panels_2_button_alignment','text-left'),(30243,250,'_clicks_panels_2_button_alignment','field_5c6df75dac064'),(30241,250,'_clicks_panels_2_button_color','field_5c75ca9870d43'),(30240,250,'clicks_panels_2_button_color','dark'),(30239,250,'_clicks_panels_2_button_style','field_5c4cb9e488fef'),(30238,250,'clicks_panels_2_button_style','hollow'),(30237,250,'_clicks_panels_2_button_link','field_5c4cb9e488fee'),(30236,250,'clicks_panels_2_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(30235,250,'_clicks_panels_2_button_text','field_5c4cb9e488fed'),(30234,250,'clicks_panels_2_button_text','GET STARTED!'),(30233,250,'_clicks_panels_2_vertical_alignment','field_5cd09ecd16d21'),(30232,250,'clicks_panels_2_vertical_alignment','center'),(30231,250,'_clicks_panels_2_type','field_5ce5ad7b86b1e'),(30230,250,'clicks_panels_2_type','full'),(30229,250,'_clicks_panels_2_layout','field_59824b08a4242'),(30228,250,'clicks_panels_2_layout','order-1 order-md-12'),(30227,250,'_clicks_panels_2_image','field_59824af3a4241'),(30226,250,'clicks_panels_2_image',''),(30225,250,'_clicks_panels_2_content','field_59824ac3a4240'),(30224,250,'clicks_panels_2_content','<h3>MOTIVATION.</h3>\r\n&nbsp;\r\n\r\nThe motivation and encouragement in a group training facility creates a pulsing, upbeat environment where goals are met and exceeded.\r\n\r\n&nbsp;'),(30223,250,'_mbo_shortcode_generator','field_5cc7644d20afb'),(30222,250,'mbo_shortcode_generator','a:1:{i:0;s:20:\"single_mindbody_form\";}'),(30221,250,'_mbo_shortcode_generator_0_signup','field_5daf3d0e5b13a'),(30220,250,'mbo_shortcode_generator_0_signup','0'),(30219,250,'_page_mbo_radius','field_5cc762e29e444'),(30218,250,'page_mbo_radius',''),(30217,250,'_page_mbo_referred_by','field_5cc762e29e3ce'),(30214,250,'page_mbo_location_id',''),(30215,250,'_page_mbo_location_id','field_5cc762e29e383'),(30216,250,'page_mbo_referred_by',''),(30213,250,'_clicks_panels_1_text_color','field_5c6e064d1f0cc'),(30212,250,'clicks_panels_1_text_color','#000000'),(30211,250,'_clicks_panels_1_bg_color','field_5c4cb79c1cfcf'),(30210,250,'clicks_panels_1_bg_color','#f2f2f2'),(30209,250,'_clicks_panels_1_button','field_5c4cb9e488fec'),(30208,250,'clicks_panels_1_button',''),(30207,250,'_clicks_panels_1_button_alignment','field_5c6df75dac064'),(30206,250,'clicks_panels_1_button_alignment','text-left'),(30204,250,'clicks_panels_1_button_color','dark'),(30205,250,'_clicks_panels_1_button_color','field_5c75ca9870d43'),(30203,250,'_clicks_panels_1_button_style','field_5c4cb9e488fef'),(30202,250,'clicks_panels_1_button_style','hollow'),(30201,250,'_clicks_panels_1_button_link','field_5c4cb9e488fee'),(30200,250,'clicks_panels_1_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(30199,250,'_clicks_panels_1_button_text','field_5c4cb9e488fed'),(30198,250,'clicks_panels_1_button_text','GET STARTED!'),(30197,250,'_clicks_panels_1_vertical_alignment','field_5cd09ecd16d21'),(30196,250,'clicks_panels_1_vertical_alignment','center'),(30192,250,'clicks_panels_1_layout','order-1'),(30193,250,'_clicks_panels_1_layout','field_59824b08a4242'),(30194,250,'clicks_panels_1_type','full'),(30195,250,'_clicks_panels_1_type','field_5ce5ad7b86b1e'),(30189,250,'_clicks_panels_1_content','field_59824ac3a4240'),(30190,250,'clicks_panels_1_image',''),(30191,250,'_clicks_panels_1_image','field_59824af3a4241'),(30188,250,'clicks_panels_1_content','<h3>INNOVATION.</h3>\r\n&nbsp;\r\n\r\nOur functional training classes continuously evolve so virtually no two workouts are ever the same!\r\n\r\n&nbsp;'),(30187,250,'_clicks_panels_0_text_color','field_5c6e06291f0cb'),(30186,250,'clicks_panels_0_text_color','#000000'),(30185,250,'_clicks_panels_0_bg_color','field_5c4cb7651cfce'),(30184,250,'clicks_panels_0_bg_color','#ffffff'),(30183,250,'_clicks_panels_0_content_box','field_5c749908df8b2'),(30182,250,'clicks_panels_0_content_box','2'),(30179,250,'_clicks_panels_0_content_box_1_button_alignment','field_5c6df6e3ac062'),(30180,250,'clicks_panels_0_content_box_1_button',''),(30181,250,'_clicks_panels_0_content_box_1_button','field_5c4cb99788fe8'),(30178,250,'clicks_panels_0_content_box_1_button_alignment','text-left'),(30177,250,'_clicks_panels_0_content_box_1_button_color','field_5c75e256ce6d1'),(30176,250,'clicks_panels_0_content_box_1_button_color','dark'),(30175,250,'_clicks_panels_0_content_box_1_button_style','field_5c4cb9c388feb'),(30174,250,'clicks_panels_0_content_box_1_button_style','hollow'),(30173,250,'_clicks_panels_0_content_box_1_button_link','field_5c4cb9ad88fea'),(30172,250,'clicks_panels_0_content_box_1_button_link',''),(30171,250,'_clicks_panels_0_content_box_1_button_text','field_5c4cb9a588fe9'),(30170,250,'clicks_panels_0_content_box_1_button_text',''),(30169,250,'_clicks_panels_0_content_box_1_vertical_alignment','field_5cd09e2416d20'),(30168,250,'clicks_panels_0_content_box_1_vertical_alignment','center'),(30167,250,'_clicks_panels_0_content_box_1_content','field_59824a06a423e'),(30166,250,'clicks_panels_0_content_box_1_content','https://vimeo.com/489588216'),(30165,250,'_clicks_panels_0_content_box_0_button','field_5c4cb99788fe8'),(30161,250,'_clicks_panels_0_content_box_0_button_color','field_5c75e256ce6d1'),(30162,250,'clicks_panels_0_content_box_0_button_alignment','text-left'),(30163,250,'_clicks_panels_0_content_box_0_button_alignment','field_5c6df6e3ac062'),(30164,250,'clicks_panels_0_content_box_0_button',''),(30160,250,'clicks_panels_0_content_box_0_button_color','dark'),(30159,250,'_clicks_panels_0_content_box_0_button_style','field_5c4cb9c388feb'),(30158,250,'clicks_panels_0_content_box_0_button_style','hollow'),(30157,250,'_clicks_panels_0_content_box_0_button_link','field_5c4cb9ad88fea'),(30156,250,'clicks_panels_0_content_box_0_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(30155,250,'_clicks_panels_0_content_box_0_button_text','field_5c4cb9a588fe9'),(30154,250,'clicks_panels_0_content_box_0_button_text','GET STARTED'),(30153,250,'_clicks_panels_0_content_box_0_vertical_alignment','field_5cd09e2416d20'),(30152,250,'clicks_panels_0_content_box_0_vertical_alignment','center'),(30151,250,'_clicks_panels_0_content_box_0_content','field_59824a06a423e'),(30150,250,'clicks_panels_0_content_box_0_content','<h3>WHAT IS\r\nF45 TRAINING?</h3>\r\n&nbsp;\r\n\r\nThe F stands for Functional Training, a mix of circuit and High Intensity Interval Training (HIIT) style workouts geared towards everyday movement. 45 is the total amount of time for sweat-dripping heart-pumping fun.\r\n\r\n&nbsp;'),(30145,250,'_hero_panels_0_overlay_type','field_5c5a247654b6a'),(30146,250,'hero_panels_0_overlay_opacity','0.5'),(30147,250,'_hero_panels_0_overlay_opacity','field_5c5a24a354b6b'),(30148,250,'hero_panels_0_alignment','justify-content-start'),(30149,250,'_hero_panels_0_alignment','field_5c65d2663c716'),(30144,250,'hero_panels_0_overlay_type','dark'),(30143,250,'_hero_panels_0_vert_align_mob','field_5c8aafa0121c2'),(30142,250,'hero_panels_0_vert_align_mob','center'),(30140,250,'hero_panels_0_vert_align_desk','center'),(30141,250,'_hero_panels_0_vert_align_desk','field_5c8aaf8a121c1'),(30139,250,'_hero_panels_0_horz_align_mob','field_5c8aaf79121c0'),(30138,250,'hero_panels_0_horz_align_mob','center'),(30137,250,'_hero_panels_0_horz_align_desk','field_5c8aacf58fa29'),(30136,250,'hero_panels_0_horz_align_desk','center'),(30135,250,'_hero_panels_0_mob_bg_img','field_5d1f7f8a74259'),(30134,250,'hero_panels_0_mob_bg_img',''),(30133,250,'_hero_panels_0_desk_bg_img','field_5c5a24e254b6c'),(30132,250,'hero_panels_0_desk_bg_img',''),(30131,250,'_hero_panels_0_content','field_5c86d128b1d24'),(30130,250,'hero_panels_0_content','2'),(30129,250,'_hero_panels_0_content_1_buttons','field_5c5a255454b6f'),(30128,250,'hero_panels_0_content_1_buttons',''),(30127,250,'_hero_panels_0_content_1_button_alignment','field_5c76fad1e6aa6'),(30126,250,'hero_panels_0_content_1_button_alignment','text-left'),(30125,250,'_hero_panels_0_content_1_content','field_5c5a253154b6e'),(30124,250,'hero_panels_0_content_1_content','<h3 style=\"text-align: center;\">CLAIM YOUR FREE TRIAL!</h3>\r\n<p style=\"text-align: center;\">[single_mindbody_form]</p>'),(30123,250,'_hero_panels_0_content_0_buttons','field_5c5a255454b6f'),(30122,250,'hero_panels_0_content_0_buttons',''),(30121,250,'_hero_panels_0_content_0_button_alignment','field_5c76fad1e6aa6'),(30120,250,'hero_panels_0_content_0_button_alignment','text-left'),(30119,250,'_hero_panels_0_content_0_content','field_5c5a253154b6e'),(30118,250,'hero_panels_0_content_0_content','<h3>FREE 7-DAY\r\nTRIAL!</h3>\r\n&nbsp;\r\n<strong>[name] is fitness community specializing in innovative, high-intensity group workouts that are fast, fun, and results-driven. Experience one of the most time-efficient ways to train with a FREE 7-day trial! Sign up to get started today!</strong>'),(30117,250,'_hero_panels_0_hero_type','field_5c5c6593013b2'),(30116,250,'hero_panels_0_hero_type','fixed'),(30115,250,'_page_cr_payments_url','field_5dc31fc6af861'),(30114,250,'page_cr_payments_url',''),(30113,250,'_page_cr_booking_success','field_5c901deb14a3b'),(30112,250,'page_cr_booking_success',''),(30111,250,'_page_cr_booking_btn','field_5ce43a4152682'),(30110,250,'page_cr_booking_btn',''),(30108,250,'page_cr_booking_msg',''),(30109,250,'_page_cr_booking_msg','field_5c8aeddca1987'),(30107,250,'_page_cr_share_align','field_5c9024916a377'),(30106,250,'page_cr_share_align',''),(30105,250,'_page_cr_success','field_5c8ab548f325a'),(30104,250,'page_cr_success',''),(30103,250,'_page_cr_template_id','field_5c8ab548f1b68'),(30102,250,'page_cr_template_id',''),(30101,250,'_page_cr_tt_store_id','field_5c8ab548f0afc'),(30100,250,'page_cr_tt_store_id',''),(30099,250,'_page_cr_campaign_name','field_5c8ab548efc68'),(30098,250,'page_cr_campaign_name',''),(30097,250,'_page_cr_show_locations','field_5c8ab548eedde'),(30096,250,'page_cr_show_locations','0'),(30095,250,'_page_cr_cc','field_5c8ab548ea2d1'),(30094,250,'page_cr_cc',''),(30093,250,'_page_cr_send_to','field_5c8ab548ea28b'),(30092,250,'page_cr_send_to',''),(30091,250,'_page_cr_btn_onclick','field_5c8aeb5b680ac'),(30090,250,'page_cr_btn_onclick',''),(30089,250,'_page_cr_btn_align','field_5c8acf72c171d'),(30088,250,'page_cr_btn_align',''),(30087,250,'_page_cr_btn_color','field_5cae428b706b5'),(30086,250,'page_cr_btn_color',''),(30085,250,'_page_cr_btn_style','field_5c8aeb34680ab'),(30084,250,'page_cr_btn_style',''),(30083,250,'_page_cr_submit_btn','field_5c8ab548ea23d'),(30082,250,'page_cr_submit_btn',''),(30081,250,'_cr_shortcode_generator','field_5c83e2ef816ab'),(30080,250,'cr_shortcode_generator',''),(30079,250,'_page_cr_radius','field_5c804db2981e0'),(30078,250,'page_cr_radius',''),(30077,250,'_page_cr_user_id','field_5cc770c9ef77c'),(30076,250,'page_cr_user_id',''),(30075,250,'_page_cr_prospect_id','field_5c8063e1fa49e'),(30074,250,'page_cr_prospect_id',''),(30073,250,'_page_cr_referral_id','field_5c804db29810f'),(30072,250,'page_cr_referral_id',''),(30071,250,'_footer_area_embed','field_5c9d110ffa064'),(30070,250,'footer_area_embed',''),(30069,250,'_body_area_embed','field_5c8ac5e7c5e79'),(30068,250,'body_area_embed',''),(30067,250,'_head_area_embed','field_5c8ac5e7c5e35'),(30066,250,'head_area_embed',''),(30065,250,'_google_conversion_label','field_5c8ac5e7c5dea'),(30064,250,'google_conversion_label',''),(30063,250,'_google_conversion_id','field_5c8ac5e7c5da3'),(30062,250,'google_conversion_id',''),(30061,250,'_footer_panels','field_5c6c9e7eba7a6'),(30060,250,'footer_panels','a:1:{i:0;s:10:\"full_width\";}'),(30059,250,'_clicks_panels','field_598249dea423d'),(30058,250,'clicks_panels','a:6:{i:0;s:13:\"content_panel\";i:1;s:19:\"content_image_panel\";i:2;s:19:\"content_image_panel\";i:3;s:19:\"content_image_panel\";i:4;s:13:\"feature_panel\";i:5;s:18:\"testimonial_slider\";}'),(30054,250,'page_description',''),(30055,250,'_page_description','field_5d0d36e3a4650'),(30056,250,'hero_panels','a:1:{i:0;s:8:\"image_bg\";}'),(30057,250,'_hero_panels','field_5c5a122054b69'),(30053,250,'_countdown_align','field_5ce86828cb16a'),(30049,250,'_countdown_end_date','field_5c8963467234d'),(30050,250,'countdown_inline_text',''),(30051,250,'_countdown_inline_text','field_5ce86808cb169'),(30052,250,'countdown_align','justify-content-start'),(30048,250,'countdown_end_date',''),(30047,232,'_oembed_time_03ce096a23d7d2efc626bf9e31640caa','1620853643'),(30046,232,'_oembed_03ce096a23d7d2efc626bf9e31640caa','<iframe title=\"What Is F45\" src=\"https://player.vimeo.com/video/489588216?dnt=1&amp;app_id=122963\" width=\"761\" height=\"428\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(30723,251,'_page_mbo_booking_success','field_5cc7635683f38'),(30722,251,'page_mbo_booking_success',''),(30721,251,'_page_mbo_booking_btn','field_5ce44499cd167'),(30720,251,'page_mbo_booking_btn',''),(30714,251,'page_mbo_success',''),(30715,251,'_page_mbo_success','field_5cc7635682baa'),(30716,251,'page_mbo_share_align','text-center'),(30717,251,'_page_mbo_share_align','field_5cc76356851e1'),(30718,251,'page_mbo_booking_msg',''),(30719,251,'_page_mbo_booking_msg','field_5cc7635686ed4'),(30713,251,'_page_mbo_campaign_name','field_5cc763567d8bb'),(30712,251,'page_mbo_campaign_name',''),(30711,251,'_page_mbo_show_locations','field_5cc763567c799'),(30710,251,'page_mbo_show_locations','0'),(30709,251,'_page_mbo_cc','field_5cc763567034b'),(30707,251,'_page_mbo_send_to','field_5cc763567030a'),(30708,251,'page_mbo_cc',''),(30706,251,'page_mbo_send_to',''),(30705,251,'_page_mbo_btn_onclick','field_5cc763567027a'),(30704,251,'page_mbo_btn_onclick',''),(30703,251,'_page_mbo_btn_align','field_5cc763567023c'),(30702,251,'page_mbo_btn_align','text-center'),(30701,251,'_page_mbo_btn_color','field_5cc76356701fc'),(30700,251,'page_mbo_btn_color','dark'),(30699,251,'_page_mbo_btn_style','field_5cc76356701bf'),(30698,251,'page_mbo_btn_style','solid'),(30697,251,'_page_mbo_submit_btn','field_5cc7635670181'),(30696,251,'page_mbo_submit_btn',''),(30695,251,'_footer_panels_0_alignment','field_5c6d94b560bee'),(30694,251,'footer_panels_0_alignment','justify-content-center'),(30693,251,'_footer_panels_0_text_color','field_5c6d94a160bed'),(30692,251,'footer_panels_0_text_color','#ffffff'),(30691,251,'_footer_panels_0_overlay_opacity','field_5c6c9f09ba7a9'),(30690,251,'footer_panels_0_overlay_opacity','0.4'),(30689,251,'_footer_panels_0_overlay_type','field_5c6c9ee1ba7a8'),(30688,251,'footer_panels_0_overlay_type','dark'),(30687,251,'_footer_panels_0_vert_align_mob','field_5c6d986589807'),(30686,251,'footer_panels_0_vert_align_mob','center'),(30685,251,'_footer_panels_0_vert_align_desk','field_5c6d978c89805'),(30684,251,'footer_panels_0_vert_align_desk','center'),(30683,251,'_footer_panels_0_horz_align_mob','field_5c6d984789806'),(30682,251,'footer_panels_0_horz_align_mob','center'),(30681,251,'_footer_panels_0_horz_align_desk','field_5c6d973489804'),(30680,251,'footer_panels_0_horz_align_desk','center'),(30679,251,'_footer_panels_0_mob_bg_img','field_5d1f8056df761'),(30678,251,'footer_panels_0_mob_bg_img',''),(30677,251,'_footer_panels_0_desk_bg_img','field_5c6c9eb1ba7a7'),(30676,251,'footer_panels_0_desk_bg_img',''),(30675,251,'_footer_panels_0_buttons','field_5c6c9f88ba7ac'),(30674,251,'footer_panels_0_buttons','1'),(30673,251,'_footer_panels_0_buttons_0_color','field_5c77013805894'),(30672,251,'footer_panels_0_buttons_0_color','dark'),(30671,251,'_footer_panels_0_buttons_0_style','field_5c6c9fc4ba7af'),(30669,251,'_footer_panels_0_buttons_0_link','field_5c6c9facba7ae'),(30670,251,'footer_panels_0_buttons_0_style','solid'),(30668,251,'footer_panels_0_buttons_0_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#top\";s:6:\"target\";s:0:\"\";}'),(30667,251,'_footer_panels_0_buttons_0_text','field_5c6c9fa3ba7ad'),(30666,251,'footer_panels_0_buttons_0_text','SIGN UP!'),(30665,251,'_footer_panels_0_button_alignment','field_5c770495b0d55'),(30664,251,'footer_panels_0_button_alignment','center'),(30663,251,'_footer_panels_0_content','field_5c6c9f39ba7aa'),(30662,251,'footer_panels_0_content','<h3 style=\"text-align: center;\">GET STARTED TODAY!</h3>\r\n&nbsp;'),(30661,251,'_clicks_panels_5_text_color','field_5c58904ace75f'),(30660,251,'clicks_panels_5_text_color','#000'),(30659,251,'_clicks_panels_5_bg_color','field_5c589033ce75e'),(30658,251,'clicks_panels_5_bg_color','#F7F7F7'),(30657,251,'_clicks_panels_5_category','field_5c588fe3ce75d'),(30656,251,'clicks_panels_5_category',''),(30655,251,'_clicks_panels_5_intro','field_5c75d8409f209'),(30654,251,'clicks_panels_5_intro',''),(30653,251,'_clicks_panels_4_overlay_opacity_mob','field_5c9ea509144e5'),(30652,251,'clicks_panels_4_overlay_opacity_mob','0.5'),(30651,251,'_clicks_panels_4_overlay_opacity_desk','field_5c9ea48d144e3'),(30650,251,'clicks_panels_4_overlay_opacity_desk','0.6'),(30649,251,'_clicks_panels_4_text_color','field_5cd1d304b69ac'),(30648,251,'clicks_panels_4_text_color','#FFF'),(30647,251,'_clicks_panels_4_overlay_color','field_5cd1c164de92f'),(30646,251,'clicks_panels_4_overlay_color','#1e1547'),(30645,251,'_clicks_panels_4_vert_align_mob','field_5c9ea2d82a74c'),(30644,251,'clicks_panels_4_vert_align_mob','center'),(30643,251,'_clicks_panels_4_vert_align_desk','field_5c9ea3172a74d'),(30642,251,'clicks_panels_4_vert_align_desk','center'),(30641,251,'_clicks_panels_4_horz_align_mob','field_5c9ea2312a74b'),(30640,251,'clicks_panels_4_horz_align_mob','center'),(30639,251,'_clicks_panels_4_horz_align_desk','field_5c9ea1dd2a74a'),(30638,251,'clicks_panels_4_horz_align_desk','center'),(30637,251,'_clicks_panels_4_bg_mobile','field_5d1f80086362f'),(30636,251,'clicks_panels_4_bg_mobile',''),(30635,251,'_clicks_panels_4_bg_desk','field_5c9ea0972a746'),(30634,251,'clicks_panels_4_bg_desk',''),(29999,236,'_edit_last','14'),(29998,236,'_edit_lock','1619043507:14'),(29997,235,'_testimonial_author','field_5983f0b901c1d'),(29996,235,'testimonial_author','Stacy'),(29995,235,'_testimonial_text','field_5983f040789a4'),(29994,235,'testimonial_text','<h4>I love that they have a consistent group of quality and qualified trainers that are there to personally get to know you and push you in the right way based on your individual goals.</h4>'),(29993,234,'_testimonial_author','field_5983f0b901c1d'),(29992,234,'testimonial_author','Stacy'),(29991,234,'_testimonial_text','field_5983f040789a4'),(29990,234,'testimonial_text','<h4>I love that they have a consistent group of quality and qualified trainers that are there to personally get to know you and push you in the right way based on your individual goals.</h4>'),(29989,234,'_edit_last','14'),(29988,234,'_edit_lock','1619043617:14'),(29249,232,'_edit_lock','1640647583:15'),(29250,232,'_edit_last','1'),(29251,232,'countdown_end_date',''),(29252,232,'_countdown_end_date','field_5c8963467234d'),(29253,232,'countdown_inline_text',''),(29254,232,'_countdown_inline_text','field_5ce86808cb169'),(29255,232,'countdown_align','justify-content-start'),(29256,232,'_countdown_align','field_5ce86828cb16a'),(29257,232,'page_description',''),(29258,232,'_page_description','field_5d0d36e3a4650'),(29259,232,'hero_panels','a:1:{i:0;s:8:\"image_bg\";}'),(29260,232,'_hero_panels','field_5c5a122054b69'),(29261,232,'clicks_panels','a:6:{i:0;s:13:\"content_panel\";i:1;s:19:\"content_image_panel\";i:2;s:19:\"content_image_panel\";i:3;s:19:\"content_image_panel\";i:4;s:13:\"feature_panel\";i:5;s:18:\"testimonial_slider\";}'),(29262,232,'_clicks_panels','field_598249dea423d'),(29263,232,'footer_panels','a:1:{i:0;s:10:\"full_width\";}'),(29264,232,'_footer_panels','field_5c6c9e7eba7a6'),(29265,232,'google_conversion_id',''),(29266,232,'_google_conversion_id','field_5c8ac5e7c5da3'),(29267,232,'google_conversion_label',''),(29268,232,'_google_conversion_label','field_5c8ac5e7c5dea'),(29269,232,'head_area_embed',''),(29270,232,'_head_area_embed','field_5c8ac5e7c5e35'),(29271,232,'body_area_embed',''),(29272,232,'_body_area_embed','field_5c8ac5e7c5e79'),(29273,232,'footer_area_embed',''),(29274,232,'_footer_area_embed','field_5c9d110ffa064'),(29275,232,'page_cr_referral_id',''),(29276,232,'_page_cr_referral_id','field_5c804db29810f'),(29277,232,'page_cr_prospect_id',''),(29278,232,'_page_cr_prospect_id','field_5c8063e1fa49e'),(29279,232,'page_cr_user_id',''),(29280,232,'_page_cr_user_id','field_5cc770c9ef77c'),(29281,232,'page_cr_radius',''),(29282,232,'_page_cr_radius','field_5c804db2981e0'),(29283,232,'cr_shortcode_generator',''),(29284,232,'_cr_shortcode_generator','field_5c83e2ef816ab'),(29285,232,'page_cr_submit_btn',''),(29286,232,'_page_cr_submit_btn','field_5c8ab548ea23d'),(29287,232,'page_cr_btn_style',''),(29288,232,'_page_cr_btn_style','field_5c8aeb34680ab'),(29289,232,'page_cr_btn_color',''),(29290,232,'_page_cr_btn_color','field_5cae428b706b5'),(29291,232,'page_cr_btn_align',''),(29292,232,'_page_cr_btn_align','field_5c8acf72c171d'),(29293,232,'page_cr_btn_onclick',''),(29294,232,'_page_cr_btn_onclick','field_5c8aeb5b680ac'),(29295,232,'page_cr_send_to',''),(29296,232,'_page_cr_send_to','field_5c8ab548ea28b'),(29297,232,'page_cr_cc',''),(29298,232,'_page_cr_cc','field_5c8ab548ea2d1'),(29299,232,'page_cr_show_locations','0'),(29300,232,'_page_cr_show_locations','field_5c8ab548eedde'),(29301,232,'page_cr_campaign_name',''),(29302,232,'_page_cr_campaign_name','field_5c8ab548efc68'),(29303,232,'page_cr_tt_store_id',''),(29304,232,'_page_cr_tt_store_id','field_5c8ab548f0afc'),(29305,232,'page_cr_template_id',''),(29306,232,'_page_cr_template_id','field_5c8ab548f1b68'),(29307,232,'page_cr_success',''),(29308,232,'_page_cr_success','field_5c8ab548f325a'),(29309,232,'page_cr_share_align',''),(29310,232,'_page_cr_share_align','field_5c9024916a377'),(29311,232,'page_cr_booking_msg',''),(29312,232,'_page_cr_booking_msg','field_5c8aeddca1987'),(29313,232,'page_cr_booking_btn',''),(29314,232,'_page_cr_booking_btn','field_5ce43a4152682'),(29315,232,'page_cr_booking_success',''),(29316,232,'_page_cr_booking_success','field_5c901deb14a3b'),(29317,232,'_oembed_fb0efd6fafdf5f4e5225d5cc5c51831c','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"555\" height=\"312\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(29318,232,'_oembed_time_fb0efd6fafdf5f4e5225d5cc5c51831c','1563308253'),(29319,232,'_oembed_cff9c6f12360c4e21478eaaf51f9fb36','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"559\" height=\"314\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(29320,232,'_oembed_time_cff9c6f12360c4e21478eaaf51f9fb36','1563308267'),(29321,232,'_oembed_af682eeae9e705adfe348becc8983d24','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"500\" height=\"281\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(29322,232,'_oembed_time_af682eeae9e705adfe348becc8983d24','1563308268'),(29323,232,'_oembed_f05b77ece217caf5615e2207e8d0ba5b','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"577\" height=\"325\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(29324,232,'_oembed_time_f05b77ece217caf5615e2207e8d0ba5b','1563308309'),(29325,232,'_oembed_cc18d5a4cce763b3dac3ea97c2a84834','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"439\" height=\"247\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(29326,232,'_oembed_time_cc18d5a4cce763b3dac3ea97c2a84834','1563308891'),(29327,232,'_oembed_4062a592da985942d3784a55b8780112','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"626\" height=\"352\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(29328,232,'_oembed_time_4062a592da985942d3784a55b8780112','1563309094'),(29329,232,'_oembed_c2394a7af490c618f9f4dfad9b3b5898','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"738\" height=\"415\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(29330,232,'_oembed_time_c2394a7af490c618f9f4dfad9b3b5898','1563309323'),(29331,232,'_oembed_866d896bfce881ecff3359d8260279f9','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"600\" height=\"338\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(29332,232,'_oembed_time_866d896bfce881ecff3359d8260279f9','1563310025'),(29333,232,'_oembed_81decae04caa6dc515d07b7bf6ca8efd','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"782\" height=\"440\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(29334,232,'_oembed_time_81decae04caa6dc515d07b7bf6ca8efd','1563310812'),(29335,232,'_oembed_e224d9f49641180719806f1966745731','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"653\" height=\"367\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(29336,232,'_oembed_time_e224d9f49641180719806f1966745731','1563383179'),(29337,232,'_oembed_37850f79b2a0969df207e29834b07ccb','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"567\" height=\"319\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(29338,232,'_oembed_time_37850f79b2a0969df207e29834b07ccb','1563561648'),(29339,232,'_oembed_33df19d31dd2f95272a94d74d46c55ec','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"691\" height=\"389\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(29340,232,'_oembed_time_33df19d31dd2f95272a94d74d46c55ec','1563561800'),(29341,232,'_oembed_047cd377621d179552ee456bea33c753','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"589\" height=\"331\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(29342,232,'_oembed_time_047cd377621d179552ee456bea33c753','1563561888'),(29343,232,'_oembed_73a89bb5056e84f751c8554577d35b54','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp;amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&amp;app_id=122963\" width=\"1258\" height=\"708\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(29344,232,'_oembed_time_73a89bb5056e84f751c8554577d35b54','1566939700'),(29345,232,'_oembed_19325e6f2d5380772bb3190970863e76','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp;amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&amp;app_id=122963\" width=\"956\" height=\"538\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(29346,232,'_oembed_time_19325e6f2d5380772bb3190970863e76','1570146115'),(29347,232,'_oembed_09375217a2140648c6a3e09ff7ee7682','{{unknown}}'),(29348,232,'_oembed_a84499f5ce67dc4b30e11744f22c4656','{{unknown}}'),(29349,232,'_oembed_bfc936fe13169ff6b7b6a19a490ca173','{{unknown}}'),(29350,232,'_oembed_6cd64192a9d754ba6aa71432a1cdda42','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp;amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&amp;app_id=122963\" width=\"798\" height=\"449\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(29351,232,'_oembed_time_6cd64192a9d754ba6aa71432a1cdda42','1579649389'),(29352,232,'_oembed_4a887a91479f8cd367274c7345d78ada','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp;amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&amp;app_id=122963\" width=\"903\" height=\"508\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(29353,232,'_oembed_time_4a887a91479f8cd367274c7345d78ada','1579649560'),(29354,232,'page_cr_payments_url',''),(29355,232,'_page_cr_payments_url','field_5dc31fc6af861'),(29356,232,'hero_panels_0_hero_type','fixed'),(29357,232,'_hero_panels_0_hero_type','field_5c5c6593013b2'),(29358,232,'hero_panels_0_content_0_content','<h2>FREE 7-DAY\r\nTRIAL!</h2>\r\n&nbsp;\r\n<strong>[name] is fitness community specializing in innovative, high-intensity group workouts that are fast, fun, and results-driven. Experience one of the most time-efficient ways to train with a FREE 7-day trial! Sign up to get started today!</strong>'),(29638,233,'countdown_end_date',''),(29359,232,'_hero_panels_0_content_0_content','field_5c5a253154b6e'),(29360,232,'hero_panels_0_content_0_button_alignment','text-left'),(29361,232,'_hero_panels_0_content_0_button_alignment','field_5c76fad1e6aa6'),(29362,232,'hero_panels_0_content_0_buttons',''),(29363,232,'_hero_panels_0_content_0_buttons','field_5c5a255454b6f'),(29364,232,'hero_panels_0_content_1_content','<h3 style=\"text-align: center;\">CLAIM YOUR FREE TRIAL!</h3>\r\n<p style=\"text-align: center;\">[single_mindbody_form]</p>'),(29365,232,'_hero_panels_0_content_1_content','field_5c5a253154b6e'),(29366,232,'hero_panels_0_content_1_button_alignment','text-left'),(29367,232,'_hero_panels_0_content_1_button_alignment','field_5c76fad1e6aa6'),(29368,232,'hero_panels_0_content_1_buttons',''),(29369,232,'_hero_panels_0_content_1_buttons','field_5c5a255454b6f'),(29370,232,'hero_panels_0_content','2'),(29371,232,'_hero_panels_0_content','field_5c86d128b1d24'),(29372,232,'hero_panels_0_desk_bg_img',''),(29373,232,'_hero_panels_0_desk_bg_img','field_5c5a24e254b6c'),(29374,232,'hero_panels_0_mob_bg_img',''),(29375,232,'_hero_panels_0_mob_bg_img','field_5d1f7f8a74259'),(29376,232,'hero_panels_0_horz_align_desk','center'),(29377,232,'_hero_panels_0_horz_align_desk','field_5c8aacf58fa29'),(29378,232,'hero_panels_0_horz_align_mob','center'),(29379,232,'_hero_panels_0_horz_align_mob','field_5c8aaf79121c0'),(29380,232,'hero_panels_0_vert_align_desk','center'),(29381,232,'_hero_panels_0_vert_align_desk','field_5c8aaf8a121c1'),(29382,232,'hero_panels_0_vert_align_mob','center'),(29383,232,'_hero_panels_0_vert_align_mob','field_5c8aafa0121c2'),(29384,232,'hero_panels_0_overlay_type','dark'),(29385,232,'_hero_panels_0_overlay_type','field_5c5a247654b6a'),(29386,232,'hero_panels_0_overlay_opacity','0.5'),(29387,232,'_hero_panels_0_overlay_opacity','field_5c5a24a354b6b'),(29388,232,'hero_panels_0_alignment','justify-content-start'),(29389,232,'_hero_panels_0_alignment','field_5c65d2663c716'),(29390,232,'clicks_panels_0_content_box_0_content','<h3>WHAT IS\r\nF45 TRAINING?</h3>\r\n&nbsp;\r\n\r\nThe F stands for Functional Training, a mix of circuit and High Intensity Interval Training (HIIT) style workouts geared towards everyday movement. 45 is the total amount of time for sweat-dripping heart-pumping fun.\r\n\r\n&nbsp;'),(29391,232,'_clicks_panels_0_content_box_0_content','field_59824a06a423e'),(29392,232,'clicks_panels_0_content_box_0_vertical_alignment','center'),(29393,232,'_clicks_panels_0_content_box_0_vertical_alignment','field_5cd09e2416d20'),(29394,232,'clicks_panels_0_content_box_0_button_text','GET STARTED'),(29395,232,'_clicks_panels_0_content_box_0_button_text','field_5c4cb9a588fe9'),(29396,232,'clicks_panels_0_content_box_0_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(29397,232,'_clicks_panels_0_content_box_0_button_link','field_5c4cb9ad88fea'),(29398,232,'clicks_panels_0_content_box_0_button_style','hollow'),(29399,232,'_clicks_panels_0_content_box_0_button_style','field_5c4cb9c388feb'),(29400,232,'clicks_panels_0_content_box_0_button_color','dark'),(29401,232,'_clicks_panels_0_content_box_0_button_color','field_5c75e256ce6d1'),(29402,232,'clicks_panels_0_content_box_0_button_alignment','text-left'),(29403,232,'_clicks_panels_0_content_box_0_button_alignment','field_5c6df6e3ac062'),(29404,232,'clicks_panels_0_content_box_0_button',''),(29405,232,'_clicks_panels_0_content_box_0_button','field_5c4cb99788fe8'),(29406,232,'clicks_panels_0_content_box_1_content','https://vimeo.com/489588216'),(29407,232,'_clicks_panels_0_content_box_1_content','field_59824a06a423e'),(29408,232,'clicks_panels_0_content_box_1_vertical_alignment','center'),(29409,232,'_clicks_panels_0_content_box_1_vertical_alignment','field_5cd09e2416d20'),(29410,232,'clicks_panels_0_content_box_1_button_text',''),(29411,232,'_clicks_panels_0_content_box_1_button_text','field_5c4cb9a588fe9'),(29412,232,'clicks_panels_0_content_box_1_button_link',''),(29413,232,'_clicks_panels_0_content_box_1_button_link','field_5c4cb9ad88fea'),(29414,232,'clicks_panels_0_content_box_1_button_style','hollow'),(29415,232,'_clicks_panels_0_content_box_1_button_style','field_5c4cb9c388feb'),(29416,232,'clicks_panels_0_content_box_1_button_color','dark'),(29417,232,'_clicks_panels_0_content_box_1_button_color','field_5c75e256ce6d1'),(29418,232,'clicks_panels_0_content_box_1_button_alignment','text-left'),(29419,232,'_clicks_panels_0_content_box_1_button_alignment','field_5c6df6e3ac062'),(29420,232,'clicks_panels_0_content_box_1_button',''),(29421,232,'_clicks_panels_0_content_box_1_button','field_5c4cb99788fe8'),(29422,232,'clicks_panels_0_content_box','2'),(29423,232,'_clicks_panels_0_content_box','field_5c749908df8b2'),(29424,232,'clicks_panels_0_bg_color','#ffffff'),(29425,232,'_clicks_panels_0_bg_color','field_5c4cb7651cfce'),(29426,232,'clicks_panels_0_text_color','#000000'),(29427,232,'_clicks_panels_0_text_color','field_5c6e06291f0cb'),(29428,232,'clicks_panels_1_content','<h3>INNOVATION.</h3>\r\n&nbsp;\r\n\r\nOur functional training classes continuously evolve so virtually no two workouts are ever the same!\r\n\r\n&nbsp;'),(29429,232,'_clicks_panels_1_content','field_59824ac3a4240'),(29430,232,'clicks_panels_1_image',''),(29431,232,'_clicks_panels_1_image','field_59824af3a4241'),(29432,232,'clicks_panels_1_layout','order-1'),(29433,232,'_clicks_panels_1_layout','field_59824b08a4242'),(29434,232,'clicks_panels_1_type','full'),(29435,232,'_clicks_panels_1_type','field_5ce5ad7b86b1e'),(29436,232,'clicks_panels_1_vertical_alignment','center'),(29437,232,'_clicks_panels_1_vertical_alignment','field_5cd09ecd16d21'),(29438,232,'clicks_panels_1_button_text','GET STARTED!'),(29439,232,'_clicks_panels_1_button_text','field_5c4cb9e488fed'),(29440,232,'clicks_panels_1_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(29441,232,'_clicks_panels_1_button_link','field_5c4cb9e488fee'),(29442,232,'clicks_panels_1_button_style','hollow'),(29443,232,'_clicks_panels_1_button_style','field_5c4cb9e488fef'),(29444,232,'clicks_panels_1_button_color','dark'),(29445,232,'_clicks_panels_1_button_color','field_5c75ca9870d43'),(29446,232,'clicks_panels_1_button_alignment','text-left'),(29447,232,'_clicks_panels_1_button_alignment','field_5c6df75dac064'),(29448,232,'clicks_panels_1_button',''),(29449,232,'_clicks_panels_1_button','field_5c4cb9e488fec');
INSERT INTO `wp_2_postmeta` VALUES (29450,232,'clicks_panels_1_bg_color','#f2f2f2'),(29451,232,'_clicks_panels_1_bg_color','field_5c4cb79c1cfcf'),(29452,232,'clicks_panels_1_text_color','#000000'),(29453,232,'_clicks_panels_1_text_color','field_5c6e064d1f0cc'),(29454,232,'_oembed_87de3f02b9aa459e35002ff6a26e6d0a','<iframe title=\"C0110_2\" src=\"https://player.vimeo.com/video/422877899?dnt=1&amp;app_id=122963\" width=\"706\" height=\"397\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(29455,232,'_oembed_time_87de3f02b9aa459e35002ff6a26e6d0a','1618612140'),(29456,232,'_oembed_8cc69872439a32fc92f12601d8dc8cae','<iframe title=\"C0110_2\" src=\"https://player.vimeo.com/video/422877899?dnt=1&amp;app_id=122963\" width=\"500\" height=\"281\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(29457,232,'_oembed_time_8cc69872439a32fc92f12601d8dc8cae','1618612145'),(29458,232,'page_mbo_location_id',''),(29459,232,'_page_mbo_location_id','field_5cc762e29e383'),(29460,232,'page_mbo_referred_by',''),(29461,232,'_page_mbo_referred_by','field_5cc762e29e3ce'),(29462,232,'page_mbo_radius',''),(29463,232,'_page_mbo_radius','field_5cc762e29e444'),(29464,232,'mbo_shortcode_generator_0_signup','0'),(29465,232,'_mbo_shortcode_generator_0_signup','field_5daf3d0e5b13a'),(29466,232,'mbo_shortcode_generator','a:1:{i:0;s:20:\"single_mindbody_form\";}'),(29467,232,'_mbo_shortcode_generator','field_5cc7644d20afb'),(29468,232,'clicks_panels_2_content','<h3>MOTIVATION.</h3>\r\n&nbsp;\r\n\r\nThe motivation and encouragement in a group training facility creates a pulsing, upbeat environment where goals are met and exceeded.\r\n\r\n&nbsp;'),(29469,232,'_clicks_panels_2_content','field_59824ac3a4240'),(29470,232,'clicks_panels_2_image',''),(29471,232,'_clicks_panels_2_image','field_59824af3a4241'),(29472,232,'clicks_panels_2_layout','order-1 order-md-12'),(29473,232,'_clicks_panels_2_layout','field_59824b08a4242'),(29474,232,'clicks_panels_2_type','full'),(29475,232,'_clicks_panels_2_type','field_5ce5ad7b86b1e'),(29476,232,'clicks_panels_2_vertical_alignment','center'),(29477,232,'_clicks_panels_2_vertical_alignment','field_5cd09ecd16d21'),(29478,232,'clicks_panels_2_button_text','GET STARTED!'),(29479,232,'_clicks_panels_2_button_text','field_5c4cb9e488fed'),(29480,232,'clicks_panels_2_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(29481,232,'_clicks_panels_2_button_link','field_5c4cb9e488fee'),(29482,232,'clicks_panels_2_button_style','hollow'),(29483,232,'_clicks_panels_2_button_style','field_5c4cb9e488fef'),(29484,232,'clicks_panels_2_button_color','dark'),(29485,232,'_clicks_panels_2_button_color','field_5c75ca9870d43'),(29486,232,'clicks_panels_2_button_alignment','text-left'),(29487,232,'_clicks_panels_2_button_alignment','field_5c6df75dac064'),(29488,232,'clicks_panels_2_button',''),(29489,232,'_clicks_panels_2_button','field_5c4cb9e488fec'),(29490,232,'clicks_panels_2_bg_color','#f2f2f2'),(29491,232,'_clicks_panels_2_bg_color','field_5c4cb79c1cfcf'),(29492,232,'clicks_panels_2_text_color','#000000'),(29493,232,'_clicks_panels_2_text_color','field_5c6e064d1f0cc'),(29494,232,'clicks_panels_3_content','<h3>RESULTS.</h3>\r\n&nbsp;\r\n\r\nWhen it comes to weight management, good nutrition is vital. [name] gives all members access to their own free personal nutrition program to achieve health objectives with daily meal plans, tracking, and community support. Welcome to the [name] Challenge.\r\n\r\n&nbsp;'),(29495,232,'_clicks_panels_3_content','field_59824ac3a4240'),(29496,232,'clicks_panels_3_image',''),(29497,232,'_clicks_panels_3_image','field_59824af3a4241'),(29498,232,'clicks_panels_3_layout','order-1'),(29499,232,'_clicks_panels_3_layout','field_59824b08a4242'),(29500,232,'clicks_panels_3_type','full'),(29501,232,'_clicks_panels_3_type','field_5ce5ad7b86b1e'),(29502,232,'clicks_panels_3_vertical_alignment','center'),(29503,232,'_clicks_panels_3_vertical_alignment','field_5cd09ecd16d21'),(29504,232,'clicks_panels_3_button_text','GET STARTED!'),(29505,232,'_clicks_panels_3_button_text','field_5c4cb9e488fed'),(29506,232,'clicks_panels_3_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(29507,232,'_clicks_panels_3_button_link','field_5c4cb9e488fee'),(29508,232,'clicks_panels_3_button_style','hollow'),(29509,232,'_clicks_panels_3_button_style','field_5c4cb9e488fef'),(29510,232,'clicks_panels_3_button_color','dark'),(29511,232,'_clicks_panels_3_button_color','field_5c75ca9870d43'),(29512,232,'clicks_panels_3_button_alignment','text-left'),(29513,232,'_clicks_panels_3_button_alignment','field_5c6df75dac064'),(29514,232,'clicks_panels_3_button',''),(29515,232,'_clicks_panels_3_button','field_5c4cb9e488fec'),(29516,232,'clicks_panels_3_bg_color','#f2f2f2'),(29517,232,'_clicks_panels_3_bg_color','field_5c4cb79c1cfcf'),(29518,232,'clicks_panels_3_text_color','#000000'),(29519,232,'_clicks_panels_3_text_color','field_5c6e064d1f0cc'),(29520,232,'clicks_panels_4_main_text','<h3>[name] IS A COMMUNITY!</h3>\r\n&nbsp;\r\n<h6>Every member is on their own fitness journey. Whether it\'s to lose weight, build muscle or to unwind after a stressful day, everyone has their own reasons for being here. The [name] community will rally behind you to help you achieve whatever your fitness goals are!</h6>\r\n&nbsp;\r\n\r\n&nbsp;'),(29521,232,'_clicks_panels_4_main_text','field_5c9e9b1a1619d'),(29522,232,'clicks_panels_4_alignment','justify-content-start'),(29523,232,'_clicks_panels_4_alignment','field_5c9e9b401619e'),(29524,232,'clicks_panels_4_button_text','GET STARTED!'),(29525,232,'_clicks_panels_4_button_text','field_5c9e9bba161a0'),(29526,232,'clicks_panels_4_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(29527,232,'_clicks_panels_4_button_link','field_5c9e9bcf161a1'),(29528,232,'clicks_panels_4_button_style','solid'),(29529,232,'_clicks_panels_4_button_style','field_5c9e9c0c161a2'),(29530,232,'clicks_panels_4_button_color','dark'),(29531,232,'_clicks_panels_4_button_color','field_5c9e9cae161a3'),(29532,232,'clicks_panels_4_button_alignment','text-left'),(29533,232,'_clicks_panels_4_button_alignment','field_5c9e9cf9161a4'),(29534,232,'clicks_panels_4_button',''),(29535,232,'_clicks_panels_4_button','field_5c9e9b951619f'),(29536,232,'clicks_panels_4_bg_type','image'),(29537,232,'_clicks_panels_4_bg_type','field_5cbe21c7dbf3e'),(29538,232,'clicks_panels_4_panel_height','auto'),(29539,232,'_clicks_panels_4_panel_height','field_5cd1d3dab69ad'),(29540,232,'clicks_panels_4_bg_desk',''),(29541,232,'_clicks_panels_4_bg_desk','field_5c9ea0972a746'),(29542,232,'clicks_panels_4_bg_mobile',''),(29543,232,'_clicks_panels_4_bg_mobile','field_5d1f80086362f'),(29544,232,'clicks_panels_4_horz_align_desk','center'),(29545,232,'_clicks_panels_4_horz_align_desk','field_5c9ea1dd2a74a'),(29546,232,'clicks_panels_4_horz_align_mob','center'),(29547,232,'_clicks_panels_4_horz_align_mob','field_5c9ea2312a74b'),(29548,232,'clicks_panels_4_vert_align_desk','center'),(29549,232,'_clicks_panels_4_vert_align_desk','field_5c9ea3172a74d'),(29550,232,'clicks_panels_4_vert_align_mob','center'),(29551,232,'_clicks_panels_4_vert_align_mob','field_5c9ea2d82a74c'),(29552,232,'clicks_panels_4_overlay_color','#1e1547'),(29553,232,'_clicks_panels_4_overlay_color','field_5cd1c164de92f'),(29554,232,'clicks_panels_4_text_color','#FFF'),(29555,232,'_clicks_panels_4_text_color','field_5cd1d304b69ac'),(29556,232,'clicks_panels_4_overlay_opacity_desk','0.6'),(29557,232,'_clicks_panels_4_overlay_opacity_desk','field_5c9ea48d144e3'),(29558,232,'clicks_panels_4_overlay_opacity_mob','0.5'),(29559,232,'_clicks_panels_4_overlay_opacity_mob','field_5c9ea509144e5'),(29560,232,'clicks_panels_5_intro',''),(29561,232,'_clicks_panels_5_intro','field_5c75d8409f209'),(29562,232,'clicks_panels_5_category',''),(29563,232,'_clicks_panels_5_category','field_5c588fe3ce75d'),(29564,232,'clicks_panels_5_bg_color','#F7F7F7'),(29565,232,'_clicks_panels_5_bg_color','field_5c589033ce75e'),(29566,232,'clicks_panels_5_text_color','#000'),(29567,232,'_clicks_panels_5_text_color','field_5c58904ace75f'),(29568,232,'footer_panels_0_content','<h3 style=\"text-align: center;\">GET STARTED TODAY!</h3>\r\n&nbsp;'),(29569,232,'_footer_panels_0_content','field_5c6c9f39ba7aa'),(29570,232,'footer_panels_0_button_alignment','center'),(29571,232,'_footer_panels_0_button_alignment','field_5c770495b0d55'),(29572,232,'footer_panels_0_buttons_0_text','SIGN UP!'),(29573,232,'_footer_panels_0_buttons_0_text','field_5c6c9fa3ba7ad'),(29574,232,'footer_panels_0_buttons_0_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#top\";s:6:\"target\";s:0:\"\";}'),(29575,232,'_footer_panels_0_buttons_0_link','field_5c6c9facba7ae'),(29576,232,'footer_panels_0_buttons_0_style','solid'),(29577,232,'_footer_panels_0_buttons_0_style','field_5c6c9fc4ba7af'),(29578,232,'footer_panels_0_buttons_0_color','dark'),(29579,232,'_footer_panels_0_buttons_0_color','field_5c77013805894'),(29580,232,'footer_panels_0_buttons','1'),(29581,232,'_footer_panels_0_buttons','field_5c6c9f88ba7ac'),(29582,232,'footer_panels_0_desk_bg_img',''),(29583,232,'_footer_panels_0_desk_bg_img','field_5c6c9eb1ba7a7'),(29584,232,'footer_panels_0_mob_bg_img',''),(29585,232,'_footer_panels_0_mob_bg_img','field_5d1f8056df761'),(29586,232,'footer_panels_0_horz_align_desk','center'),(29587,232,'_footer_panels_0_horz_align_desk','field_5c6d973489804'),(29588,232,'footer_panels_0_horz_align_mob','center'),(29589,232,'_footer_panels_0_horz_align_mob','field_5c6d984789806'),(29590,232,'footer_panels_0_vert_align_desk','center'),(29591,232,'_footer_panels_0_vert_align_desk','field_5c6d978c89805'),(29592,232,'footer_panels_0_vert_align_mob','center'),(29593,232,'_footer_panels_0_vert_align_mob','field_5c6d986589807'),(29594,232,'footer_panels_0_overlay_type','dark'),(29595,232,'_footer_panels_0_overlay_type','field_5c6c9ee1ba7a8'),(29596,232,'footer_panels_0_overlay_opacity','0.4'),(29597,232,'_footer_panels_0_overlay_opacity','field_5c6c9f09ba7a9'),(29598,232,'footer_panels_0_text_color','#ffffff'),(29599,232,'_footer_panels_0_text_color','field_5c6d94a160bed'),(29600,232,'footer_panels_0_alignment','justify-content-center'),(29601,232,'_footer_panels_0_alignment','field_5c6d94b560bee'),(29602,232,'page_mbo_submit_btn',''),(29603,232,'_page_mbo_submit_btn','field_5cc7635670181'),(29604,232,'page_mbo_btn_style','solid'),(29605,232,'_page_mbo_btn_style','field_5cc76356701bf'),(29606,232,'page_mbo_btn_color','dark'),(29607,232,'_page_mbo_btn_color','field_5cc76356701fc'),(29608,232,'page_mbo_btn_align','text-center'),(29609,232,'_page_mbo_btn_align','field_5cc763567023c'),(29610,232,'page_mbo_btn_onclick',''),(29611,232,'_page_mbo_btn_onclick','field_5cc763567027a'),(29612,232,'page_mbo_send_to',''),(29613,232,'_page_mbo_send_to','field_5cc763567030a'),(29614,232,'page_mbo_cc',''),(29615,232,'_page_mbo_cc','field_5cc763567034b'),(29616,232,'page_mbo_show_locations','0'),(29617,232,'_page_mbo_show_locations','field_5cc763567c799'),(29618,232,'page_mbo_campaign_name',''),(29619,232,'_page_mbo_campaign_name','field_5cc763567d8bb'),(29620,232,'page_mbo_success',''),(29621,232,'_page_mbo_success','field_5cc7635682baa'),(29622,232,'page_mbo_share_align','text-center'),(29623,232,'_page_mbo_share_align','field_5cc76356851e1'),(29624,232,'page_mbo_booking_msg',''),(29625,232,'_page_mbo_booking_msg','field_5cc7635686ed4'),(29626,232,'page_mbo_booking_btn',''),(29627,232,'_page_mbo_booking_btn','field_5ce44499cd167'),(29628,232,'page_mbo_booking_success',''),(29629,232,'_page_mbo_booking_success','field_5cc7635683f38'),(29630,232,'_oembed_07b4c127826a23f26046cfbeb7fef3c3','<iframe title=\"What Is F45\" src=\"https://player.vimeo.com/video/489588216?dnt=1&amp;app_id=122963\" width=\"1252\" height=\"704\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(29631,232,'_oembed_time_07b4c127826a23f26046cfbeb7fef3c3','1619032200'),(29632,232,'_oembed_e99c40212d9198ef4b60e90bdc5671d9','<iframe title=\"What Is F45\" src=\"https://player.vimeo.com/video/489588216?dnt=1&amp;app_id=122963\" width=\"1256\" height=\"707\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(29633,232,'_oembed_time_e99c40212d9198ef4b60e90bdc5671d9','1619032251'),(29634,232,'_oembed_b91ef98e7aeefee782fb0ec39adca733','<iframe title=\"What Is F45\" src=\"https://player.vimeo.com/video/489588216?dnt=1&amp;app_id=122963\" width=\"500\" height=\"281\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(29635,232,'_oembed_time_b91ef98e7aeefee782fb0ec39adca733','1619032260'),(29636,232,'_oembed_dcd4de7e68eb21b233c118151821fbaf','<iframe title=\"What Is F45\" src=\"https://player.vimeo.com/video/489588216?dnt=1&amp;app_id=122963\" width=\"706\" height=\"397\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(29637,232,'_oembed_time_dcd4de7e68eb21b233c118151821fbaf','1619033171'),(29639,233,'_countdown_end_date','field_5c8963467234d'),(29640,233,'countdown_inline_text',''),(29641,233,'_countdown_inline_text','field_5ce86808cb169'),(29642,233,'countdown_align','justify-content-start'),(29643,233,'_countdown_align','field_5ce86828cb16a'),(29644,233,'page_description',''),(29645,233,'_page_description','field_5d0d36e3a4650'),(29646,233,'hero_panels','a:1:{i:0;s:8:\"image_bg\";}'),(29647,233,'_hero_panels','field_5c5a122054b69'),(29648,233,'clicks_panels','a:6:{i:0;s:13:\"content_panel\";i:1;s:19:\"content_image_panel\";i:2;s:19:\"content_image_panel\";i:3;s:19:\"content_image_panel\";i:4;s:13:\"feature_panel\";i:5;s:18:\"testimonial_slider\";}'),(29649,233,'_clicks_panels','field_598249dea423d'),(29650,233,'footer_panels','a:1:{i:0;s:10:\"full_width\";}'),(29651,233,'_footer_panels','field_5c6c9e7eba7a6'),(29652,233,'google_conversion_id',''),(29653,233,'_google_conversion_id','field_5c8ac5e7c5da3'),(29654,233,'google_conversion_label',''),(29655,233,'_google_conversion_label','field_5c8ac5e7c5dea'),(29656,233,'head_area_embed',''),(29657,233,'_head_area_embed','field_5c8ac5e7c5e35'),(29658,233,'body_area_embed',''),(29659,233,'_body_area_embed','field_5c8ac5e7c5e79'),(29660,233,'footer_area_embed',''),(29661,233,'_footer_area_embed','field_5c9d110ffa064'),(29662,233,'page_cr_referral_id',''),(29663,233,'_page_cr_referral_id','field_5c804db29810f'),(29664,233,'page_cr_prospect_id',''),(29665,233,'_page_cr_prospect_id','field_5c8063e1fa49e'),(29666,233,'page_cr_user_id',''),(29667,233,'_page_cr_user_id','field_5cc770c9ef77c'),(29668,233,'page_cr_radius',''),(29669,233,'_page_cr_radius','field_5c804db2981e0'),(29670,233,'cr_shortcode_generator',''),(29671,233,'_cr_shortcode_generator','field_5c83e2ef816ab'),(29672,233,'page_cr_submit_btn',''),(29673,233,'_page_cr_submit_btn','field_5c8ab548ea23d'),(29674,233,'page_cr_btn_style',''),(29675,233,'_page_cr_btn_style','field_5c8aeb34680ab'),(29676,233,'page_cr_btn_color',''),(29677,233,'_page_cr_btn_color','field_5cae428b706b5'),(29678,233,'page_cr_btn_align',''),(29679,233,'_page_cr_btn_align','field_5c8acf72c171d'),(29680,233,'page_cr_btn_onclick',''),(29681,233,'_page_cr_btn_onclick','field_5c8aeb5b680ac'),(29682,233,'page_cr_send_to',''),(29683,233,'_page_cr_send_to','field_5c8ab548ea28b'),(29684,233,'page_cr_cc',''),(29685,233,'_page_cr_cc','field_5c8ab548ea2d1'),(29686,233,'page_cr_show_locations','0'),(29687,233,'_page_cr_show_locations','field_5c8ab548eedde'),(29688,233,'page_cr_campaign_name',''),(29689,233,'_page_cr_campaign_name','field_5c8ab548efc68'),(29690,233,'page_cr_tt_store_id',''),(29691,233,'_page_cr_tt_store_id','field_5c8ab548f0afc'),(29692,233,'page_cr_template_id',''),(29693,233,'_page_cr_template_id','field_5c8ab548f1b68'),(29694,233,'page_cr_success',''),(29695,233,'_page_cr_success','field_5c8ab548f325a'),(29696,233,'page_cr_share_align',''),(29697,233,'_page_cr_share_align','field_5c9024916a377'),(29698,233,'page_cr_booking_msg',''),(29699,233,'_page_cr_booking_msg','field_5c8aeddca1987'),(29700,233,'page_cr_booking_btn',''),(29701,233,'_page_cr_booking_btn','field_5ce43a4152682'),(29702,233,'page_cr_booking_success',''),(29703,233,'_page_cr_booking_success','field_5c901deb14a3b'),(29704,233,'page_cr_payments_url',''),(29705,233,'_page_cr_payments_url','field_5dc31fc6af861'),(29706,233,'hero_panels_0_hero_type','fixed'),(29707,233,'_hero_panels_0_hero_type','field_5c5c6593013b2'),(29708,233,'hero_panels_0_content_0_content','<h3>FREE 7-DAY\r\nTRIAL!</h3>\r\n&nbsp;\r\n<h6>[name] is fitness community specializing in innovative, high-intensity group workouts that are fast, fun, and results-driven. Experience one of the most time-efficient ways to train with a FREE 7-day trial! Sign up to get started today!</h6>'),(29709,233,'_hero_panels_0_content_0_content','field_5c5a253154b6e'),(29710,233,'hero_panels_0_content_0_button_alignment','text-left'),(29711,233,'_hero_panels_0_content_0_button_alignment','field_5c76fad1e6aa6'),(29712,233,'hero_panels_0_content_0_buttons',''),(29713,233,'_hero_panels_0_content_0_buttons','field_5c5a255454b6f'),(29714,233,'hero_panels_0_content_1_content','<h5 style=\"text-align: center;\">CLAIM YOUR FREE TRIAL!</h5>\r\n<p style=\"text-align: center;\">[single_mindbody_form]</p>'),(29715,233,'_hero_panels_0_content_1_content','field_5c5a253154b6e'),(29716,233,'hero_panels_0_content_1_button_alignment','text-left'),(29717,233,'_hero_panels_0_content_1_button_alignment','field_5c76fad1e6aa6'),(29718,233,'hero_panels_0_content_1_buttons',''),(29719,233,'_hero_panels_0_content_1_buttons','field_5c5a255454b6f'),(29720,233,'hero_panels_0_content','2'),(29721,233,'_hero_panels_0_content','field_5c86d128b1d24'),(29722,233,'hero_panels_0_desk_bg_img','215'),(29723,233,'_hero_panels_0_desk_bg_img','field_5c5a24e254b6c'),(29724,233,'hero_panels_0_mob_bg_img','214'),(29725,233,'_hero_panels_0_mob_bg_img','field_5d1f7f8a74259'),(29726,233,'hero_panels_0_horz_align_desk','center'),(29727,233,'_hero_panels_0_horz_align_desk','field_5c8aacf58fa29'),(29728,233,'hero_panels_0_horz_align_mob','center'),(29729,233,'_hero_panels_0_horz_align_mob','field_5c8aaf79121c0'),(29730,233,'hero_panels_0_vert_align_desk','center'),(29731,233,'_hero_panels_0_vert_align_desk','field_5c8aaf8a121c1'),(29732,233,'hero_panels_0_vert_align_mob','center'),(29733,233,'_hero_panels_0_vert_align_mob','field_5c8aafa0121c2'),(29734,233,'hero_panels_0_overlay_type','dark'),(29735,233,'_hero_panels_0_overlay_type','field_5c5a247654b6a'),(29736,233,'hero_panels_0_overlay_opacity','0.5'),(29737,233,'_hero_panels_0_overlay_opacity','field_5c5a24a354b6b'),(29738,233,'hero_panels_0_alignment','justify-content-start'),(29739,233,'_hero_panels_0_alignment','field_5c65d2663c716'),(29740,233,'clicks_panels_0_content_box_0_content','<h3>WHAT IS\r\nF45 TRAINING?</h3>\r\n&nbsp;\r\n\r\nThe F stands for Functional Training, a mix of circuit and High Intensity Interval Training (HIIT) style workouts geared towards everyday movement. 45 is the total amount of time for sweat-dripping heart-pumping fun.\r\n\r\n&nbsp;'),(29741,233,'_clicks_panels_0_content_box_0_content','field_59824a06a423e'),(29742,233,'clicks_panels_0_content_box_0_vertical_alignment','center'),(29743,233,'_clicks_panels_0_content_box_0_vertical_alignment','field_5cd09e2416d20'),(29744,233,'clicks_panels_0_content_box_0_button_text','GET STARTED'),(29745,233,'_clicks_panels_0_content_box_0_button_text','field_5c4cb9a588fe9'),(29746,233,'clicks_panels_0_content_box_0_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(29747,233,'_clicks_panels_0_content_box_0_button_link','field_5c4cb9ad88fea'),(29748,233,'clicks_panels_0_content_box_0_button_style','hollow'),(29749,233,'_clicks_panels_0_content_box_0_button_style','field_5c4cb9c388feb'),(29750,233,'clicks_panels_0_content_box_0_button_color','dark'),(29751,233,'_clicks_panels_0_content_box_0_button_color','field_5c75e256ce6d1'),(29752,233,'clicks_panels_0_content_box_0_button_alignment','text-left'),(29753,233,'_clicks_panels_0_content_box_0_button_alignment','field_5c6df6e3ac062'),(29754,233,'clicks_panels_0_content_box_0_button',''),(29755,233,'_clicks_panels_0_content_box_0_button','field_5c4cb99788fe8'),(29756,233,'clicks_panels_0_content_box_1_content','https://vimeo.com/489588216'),(29757,233,'_clicks_panels_0_content_box_1_content','field_59824a06a423e'),(29758,233,'clicks_panels_0_content_box_1_vertical_alignment','center'),(29759,233,'_clicks_panels_0_content_box_1_vertical_alignment','field_5cd09e2416d20'),(29760,233,'clicks_panels_0_content_box_1_button_text',''),(29761,233,'_clicks_panels_0_content_box_1_button_text','field_5c4cb9a588fe9'),(29762,233,'clicks_panels_0_content_box_1_button_link',''),(29763,233,'_clicks_panels_0_content_box_1_button_link','field_5c4cb9ad88fea'),(29764,233,'clicks_panels_0_content_box_1_button_style','hollow'),(29765,233,'_clicks_panels_0_content_box_1_button_style','field_5c4cb9c388feb'),(29766,233,'clicks_panels_0_content_box_1_button_color','dark'),(29767,233,'_clicks_panels_0_content_box_1_button_color','field_5c75e256ce6d1'),(29768,233,'clicks_panels_0_content_box_1_button_alignment','text-left'),(29769,233,'_clicks_panels_0_content_box_1_button_alignment','field_5c6df6e3ac062'),(29770,233,'clicks_panels_0_content_box_1_button',''),(29771,233,'_clicks_panels_0_content_box_1_button','field_5c4cb99788fe8'),(29772,233,'clicks_panels_0_content_box','2'),(29773,233,'_clicks_panels_0_content_box','field_5c749908df8b2'),(29774,233,'clicks_panels_0_bg_color','#ffffff'),(29775,233,'_clicks_panels_0_bg_color','field_5c4cb7651cfce'),(29776,233,'clicks_panels_0_text_color','#000000'),(29777,233,'_clicks_panels_0_text_color','field_5c6e06291f0cb'),(29778,233,'clicks_panels_1_content','<h3>INNOVATION.</h3>\r\n&nbsp;\r\n\r\nOur functional training classes continuously evolve so virtually no two workouts are ever the same!\r\n\r\n&nbsp;'),(29779,233,'_clicks_panels_1_content','field_59824ac3a4240'),(29780,233,'clicks_panels_1_image','225'),(29781,233,'_clicks_panels_1_image','field_59824af3a4241'),(29782,233,'clicks_panels_1_layout','order-1'),(29783,233,'_clicks_panels_1_layout','field_59824b08a4242'),(29784,233,'clicks_panels_1_type','full'),(29785,233,'_clicks_panels_1_type','field_5ce5ad7b86b1e'),(29786,233,'clicks_panels_1_vertical_alignment','center'),(29787,233,'_clicks_panels_1_vertical_alignment','field_5cd09ecd16d21'),(29788,233,'clicks_panels_1_button_text','GET STARTED!'),(29789,233,'_clicks_panels_1_button_text','field_5c4cb9e488fed'),(29790,233,'clicks_panels_1_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(29791,233,'_clicks_panels_1_button_link','field_5c4cb9e488fee'),(29792,233,'clicks_panels_1_button_style','hollow'),(29793,233,'_clicks_panels_1_button_style','field_5c4cb9e488fef'),(29794,233,'clicks_panels_1_button_color','dark'),(29795,233,'_clicks_panels_1_button_color','field_5c75ca9870d43'),(29796,233,'clicks_panels_1_button_alignment','text-left'),(29797,233,'_clicks_panels_1_button_alignment','field_5c6df75dac064'),(29798,233,'clicks_panels_1_button',''),(29799,233,'_clicks_panels_1_button','field_5c4cb9e488fec'),(29800,233,'clicks_panels_1_bg_color','#f2f2f2'),(29801,233,'_clicks_panels_1_bg_color','field_5c4cb79c1cfcf'),(29802,233,'clicks_panels_1_text_color','#000000'),(29803,233,'_clicks_panels_1_text_color','field_5c6e064d1f0cc'),(29804,233,'page_mbo_location_id',''),(29805,233,'_page_mbo_location_id','field_5cc762e29e383'),(29806,233,'page_mbo_referred_by',''),(29807,233,'_page_mbo_referred_by','field_5cc762e29e3ce'),(29808,233,'page_mbo_radius',''),(29809,233,'_page_mbo_radius','field_5cc762e29e444'),(29810,233,'mbo_shortcode_generator_0_signup','0'),(29811,233,'_mbo_shortcode_generator_0_signup','field_5daf3d0e5b13a'),(29812,233,'mbo_shortcode_generator','a:1:{i:0;s:20:\"single_mindbody_form\";}'),(29813,233,'_mbo_shortcode_generator','field_5cc7644d20afb'),(29814,233,'clicks_panels_2_content','<h3>MOTIVATION.</h3>\r\n&nbsp;\r\n\r\nThe motivation and encouragement in a group training facility creates a pulsing, upbeat environment where goals are met and exceeded.\r\n\r\n&nbsp;'),(29815,233,'_clicks_panels_2_content','field_59824ac3a4240'),(29816,233,'clicks_panels_2_image','223'),(29817,233,'_clicks_panels_2_image','field_59824af3a4241'),(29818,233,'clicks_panels_2_layout','order-1 order-md-12'),(29819,233,'_clicks_panels_2_layout','field_59824b08a4242'),(29820,233,'clicks_panels_2_type','full'),(29821,233,'_clicks_panels_2_type','field_5ce5ad7b86b1e'),(29822,233,'clicks_panels_2_vertical_alignment','center'),(29823,233,'_clicks_panels_2_vertical_alignment','field_5cd09ecd16d21'),(29824,233,'clicks_panels_2_button_text','GET STARTED!'),(29825,233,'_clicks_panels_2_button_text','field_5c4cb9e488fed'),(29826,233,'clicks_panels_2_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(29827,233,'_clicks_panels_2_button_link','field_5c4cb9e488fee'),(29828,233,'clicks_panels_2_button_style','hollow'),(29829,233,'_clicks_panels_2_button_style','field_5c4cb9e488fef'),(29830,233,'clicks_panels_2_button_color','dark'),(29831,233,'_clicks_panels_2_button_color','field_5c75ca9870d43'),(29832,233,'clicks_panels_2_button_alignment','text-left'),(29833,233,'_clicks_panels_2_button_alignment','field_5c6df75dac064'),(29834,233,'clicks_panels_2_button',''),(29835,233,'_clicks_panels_2_button','field_5c4cb9e488fec'),(29836,233,'clicks_panels_2_bg_color','#f2f2f2'),(29837,233,'_clicks_panels_2_bg_color','field_5c4cb79c1cfcf'),(29838,233,'clicks_panels_2_text_color','#000000'),(29839,233,'_clicks_panels_2_text_color','field_5c6e064d1f0cc'),(29840,233,'clicks_panels_3_content','<h3>RESULTS.</h3>\r\n&nbsp;\r\n\r\nWhen it comes to weight management, good nutrition is vital. [name] gives all members access to their own free personal nutrition program to achieve health objectives with daily meal plans, tracking, and community support. Welcome to the [name] Challenge.\r\n\r\n&nbsp;'),(29841,233,'_clicks_panels_3_content','field_59824ac3a4240'),(29842,233,'clicks_panels_3_image','216'),(29843,233,'_clicks_panels_3_image','field_59824af3a4241'),(29844,233,'clicks_panels_3_layout','order-1'),(29845,233,'_clicks_panels_3_layout','field_59824b08a4242'),(29846,233,'clicks_panels_3_type','full'),(29847,233,'_clicks_panels_3_type','field_5ce5ad7b86b1e'),(29848,233,'clicks_panels_3_vertical_alignment','center'),(29849,233,'_clicks_panels_3_vertical_alignment','field_5cd09ecd16d21'),(29850,233,'clicks_panels_3_button_text','GET STARTED!'),(29851,233,'_clicks_panels_3_button_text','field_5c4cb9e488fed'),(29852,233,'clicks_panels_3_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(29853,233,'_clicks_panels_3_button_link','field_5c4cb9e488fee'),(29854,233,'clicks_panels_3_button_style','hollow'),(29855,233,'_clicks_panels_3_button_style','field_5c4cb9e488fef'),(29856,233,'clicks_panels_3_button_color','dark'),(29857,233,'_clicks_panels_3_button_color','field_5c75ca9870d43'),(29858,233,'clicks_panels_3_button_alignment','text-left'),(29859,233,'_clicks_panels_3_button_alignment','field_5c6df75dac064'),(29860,233,'clicks_panels_3_button',''),(29861,233,'_clicks_panels_3_button','field_5c4cb9e488fec'),(29862,233,'clicks_panels_3_bg_color','#f2f2f2'),(29863,233,'_clicks_panels_3_bg_color','field_5c4cb79c1cfcf'),(29864,233,'clicks_panels_3_text_color','#000000'),(29865,233,'_clicks_panels_3_text_color','field_5c6e064d1f0cc'),(29866,233,'clicks_panels_4_main_text','<h3>[name] IS A COMMUNITY!</h3>\r\n&nbsp;\r\n<h6>Every member is on their own fitness journey. Whether it\'s to lose weight, build muscle or to unwind after a stressful day, everyone has their own reasons for being here. The [name] community will rally behind you to help you achieve whatever your fitness goals are!</h6>\r\n&nbsp;\r\n\r\n&nbsp;'),(29867,233,'_clicks_panels_4_main_text','field_5c9e9b1a1619d'),(29868,233,'clicks_panels_4_alignment','justify-content-start'),(29869,233,'_clicks_panels_4_alignment','field_5c9e9b401619e'),(29870,233,'clicks_panels_4_button_text','GET STARTED!'),(29871,233,'_clicks_panels_4_button_text','field_5c9e9bba161a0'),(29872,233,'clicks_panels_4_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(29873,233,'_clicks_panels_4_button_link','field_5c9e9bcf161a1'),(29874,233,'clicks_panels_4_button_style','solid'),(29875,233,'_clicks_panels_4_button_style','field_5c9e9c0c161a2'),(29876,233,'clicks_panels_4_button_color','dark'),(29877,233,'_clicks_panels_4_button_color','field_5c9e9cae161a3'),(29878,233,'clicks_panels_4_button_alignment','text-left'),(29879,233,'_clicks_panels_4_button_alignment','field_5c9e9cf9161a4'),(29880,233,'clicks_panels_4_button',''),(29881,233,'_clicks_panels_4_button','field_5c9e9b951619f'),(29882,233,'clicks_panels_4_bg_type','image'),(29883,233,'_clicks_panels_4_bg_type','field_5cbe21c7dbf3e'),(29884,233,'clicks_panels_4_panel_height','auto'),(29885,233,'_clicks_panels_4_panel_height','field_5cd1d3dab69ad'),(29886,233,'clicks_panels_4_bg_desk','221'),(29887,233,'_clicks_panels_4_bg_desk','field_5c9ea0972a746'),(29888,233,'clicks_panels_4_bg_mobile','221'),(29889,233,'_clicks_panels_4_bg_mobile','field_5d1f80086362f'),(29890,233,'clicks_panels_4_horz_align_desk','center'),(29891,233,'_clicks_panels_4_horz_align_desk','field_5c9ea1dd2a74a'),(29892,233,'clicks_panels_4_horz_align_mob','center'),(29893,233,'_clicks_panels_4_horz_align_mob','field_5c9ea2312a74b'),(29894,233,'clicks_panels_4_vert_align_desk','center'),(29895,233,'_clicks_panels_4_vert_align_desk','field_5c9ea3172a74d'),(29896,233,'clicks_panels_4_vert_align_mob','center'),(29897,233,'_clicks_panels_4_vert_align_mob','field_5c9ea2d82a74c'),(29898,233,'clicks_panels_4_overlay_color','#1e1547'),(29899,233,'_clicks_panels_4_overlay_color','field_5cd1c164de92f'),(29900,233,'clicks_panels_4_text_color','#FFF'),(29901,233,'_clicks_panels_4_text_color','field_5cd1d304b69ac'),(29902,233,'clicks_panels_4_overlay_opacity_desk','0.6'),(29903,233,'_clicks_panels_4_overlay_opacity_desk','field_5c9ea48d144e3'),(29904,233,'clicks_panels_4_overlay_opacity_mob','0.5'),(29905,233,'_clicks_panels_4_overlay_opacity_mob','field_5c9ea509144e5'),(29906,233,'clicks_panels_5_intro',''),(29907,233,'_clicks_panels_5_intro','field_5c75d8409f209'),(29908,233,'clicks_panels_5_category',''),(29909,233,'_clicks_panels_5_category','field_5c588fe3ce75d'),(29910,233,'clicks_panels_5_bg_color','#F7F7F7'),(29911,233,'_clicks_panels_5_bg_color','field_5c589033ce75e'),(29912,233,'clicks_panels_5_text_color','#000'),(29913,233,'_clicks_panels_5_text_color','field_5c58904ace75f'),(29914,233,'footer_panels_0_content','<h3 style=\"text-align: center;\">GET STARTED TODAY!</h3>\r\n&nbsp;'),(29915,233,'_footer_panels_0_content','field_5c6c9f39ba7aa'),(29916,233,'footer_panels_0_button_alignment','center'),(29917,233,'_footer_panels_0_button_alignment','field_5c770495b0d55'),(29918,233,'footer_panels_0_buttons_0_text','SIGN UP!'),(29919,233,'_footer_panels_0_buttons_0_text','field_5c6c9fa3ba7ad'),(29920,233,'footer_panels_0_buttons_0_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#top\";s:6:\"target\";s:0:\"\";}'),(29921,233,'_footer_panels_0_buttons_0_link','field_5c6c9facba7ae'),(29922,233,'footer_panels_0_buttons_0_style','solid'),(29923,233,'_footer_panels_0_buttons_0_style','field_5c6c9fc4ba7af'),(29924,233,'footer_panels_0_buttons_0_color','dark'),(29925,233,'_footer_panels_0_buttons_0_color','field_5c77013805894'),(29926,233,'footer_panels_0_buttons','1'),(29927,233,'_footer_panels_0_buttons','field_5c6c9f88ba7ac'),(29928,233,'footer_panels_0_desk_bg_img','213'),(29929,233,'_footer_panels_0_desk_bg_img','field_5c6c9eb1ba7a7'),(29930,233,'footer_panels_0_mob_bg_img','219'),(29931,233,'_footer_panels_0_mob_bg_img','field_5d1f8056df761'),(29932,233,'footer_panels_0_horz_align_desk','center'),(29933,233,'_footer_panels_0_horz_align_desk','field_5c6d973489804'),(29934,233,'footer_panels_0_horz_align_mob','center'),(29935,233,'_footer_panels_0_horz_align_mob','field_5c6d984789806'),(29936,233,'footer_panels_0_vert_align_desk','center'),(29937,233,'_footer_panels_0_vert_align_desk','field_5c6d978c89805'),(29938,233,'footer_panels_0_vert_align_mob','center'),(29939,233,'_footer_panels_0_vert_align_mob','field_5c6d986589807'),(29940,233,'footer_panels_0_overlay_type','dark'),(29941,233,'_footer_panels_0_overlay_type','field_5c6c9ee1ba7a8'),(29942,233,'footer_panels_0_overlay_opacity','0.4'),(29943,233,'_footer_panels_0_overlay_opacity','field_5c6c9f09ba7a9'),(29944,233,'footer_panels_0_text_color','#ffffff'),(29945,233,'_footer_panels_0_text_color','field_5c6d94a160bed'),(29946,233,'footer_panels_0_alignment','justify-content-center'),(29947,233,'_footer_panels_0_alignment','field_5c6d94b560bee'),(29948,233,'page_mbo_submit_btn',''),(29949,233,'_page_mbo_submit_btn','field_5cc7635670181'),(29950,233,'page_mbo_btn_style','solid'),(29951,233,'_page_mbo_btn_style','field_5cc76356701bf'),(29952,233,'page_mbo_btn_color','dark'),(29953,233,'_page_mbo_btn_color','field_5cc76356701fc'),(29954,233,'page_mbo_btn_align','text-center'),(29955,233,'_page_mbo_btn_align','field_5cc763567023c'),(29956,233,'page_mbo_btn_onclick',''),(29957,233,'_page_mbo_btn_onclick','field_5cc763567027a'),(29958,233,'page_mbo_send_to',''),(29959,233,'_page_mbo_send_to','field_5cc763567030a'),(29960,233,'page_mbo_cc',''),(29961,233,'_page_mbo_cc','field_5cc763567034b'),(29962,233,'page_mbo_show_locations','0'),(29963,233,'_page_mbo_show_locations','field_5cc763567c799'),(29964,233,'page_mbo_campaign_name',''),(29965,233,'_page_mbo_campaign_name','field_5cc763567d8bb'),(29966,233,'page_mbo_success',''),(29967,233,'_page_mbo_success','field_5cc7635682baa'),(29968,233,'page_mbo_share_align','text-center'),(29969,233,'_page_mbo_share_align','field_5cc76356851e1'),(29970,233,'page_mbo_booking_msg',''),(29971,233,'_page_mbo_booking_msg','field_5cc7635686ed4'),(29972,233,'page_mbo_booking_btn',''),(29973,233,'_page_mbo_booking_btn','field_5ce44499cd167'),(29974,233,'page_mbo_booking_success',''),(29975,233,'_page_mbo_booking_success','field_5cc7635683f38'),(30726,255,'_edit_lock','1640733210:17'),(30727,255,'_edit_last','17'),(30728,255,'countdown_end_date',''),(30729,255,'_countdown_end_date','field_5c8963467234d'),(30730,255,'countdown_inline_text',''),(30731,255,'_countdown_inline_text','field_5ce86808cb169'),(30732,255,'countdown_align','justify-content-start'),(30733,255,'_countdown_align','field_5ce86828cb16a'),(30734,255,'page_description',''),(30735,255,'_page_description','field_5d0d36e3a4650'),(30736,255,'hero_panels','a:1:{i:0;s:8:\"image_bg\";}'),(30737,255,'_hero_panels','field_5c5a122054b69'),(30738,255,'clicks_panels','a:6:{i:0;s:13:\"content_panel\";i:1;s:19:\"content_image_panel\";i:2;s:19:\"content_image_panel\";i:3;s:19:\"content_image_panel\";i:4;s:13:\"feature_panel\";i:5;s:18:\"testimonial_slider\";}'),(30739,255,'_clicks_panels','field_598249dea423d'),(30740,255,'footer_panels','a:1:{i:0;s:10:\"full_width\";}'),(30741,255,'_footer_panels','field_5c6c9e7eba7a6'),(30742,255,'google_conversion_id',''),(30743,255,'_google_conversion_id','field_5c8ac5e7c5da3'),(30744,255,'google_conversion_label',''),(30745,255,'_google_conversion_label','field_5c8ac5e7c5dea'),(30746,255,'head_area_embed',''),(30747,255,'_head_area_embed','field_5c8ac5e7c5e35'),(30748,255,'body_area_embed',''),(30749,255,'_body_area_embed','field_5c8ac5e7c5e79'),(30750,255,'footer_area_embed',''),(30751,255,'_footer_area_embed','field_5c9d110ffa064'),(30752,255,'page_cr_referral_id',''),(30753,255,'_page_cr_referral_id','field_5c804db29810f'),(30754,255,'page_cr_prospect_id',''),(30755,255,'_page_cr_prospect_id','field_5c8063e1fa49e'),(30756,255,'page_cr_user_id',''),(30757,255,'_page_cr_user_id','field_5cc770c9ef77c'),(30758,255,'page_cr_radius',''),(30759,255,'_page_cr_radius','field_5c804db2981e0'),(30760,255,'cr_shortcode_generator','a:1:{i:0;s:20:\"multi_clubready_form\";}'),(30761,255,'_cr_shortcode_generator','field_5c83e2ef816ab'),(30762,255,'page_cr_submit_btn',''),(30763,255,'_page_cr_submit_btn','field_5c8ab548ea23d'),(30764,255,'page_cr_btn_style',''),(30765,255,'_page_cr_btn_style','field_5c8aeb34680ab'),(30766,255,'page_cr_btn_color',''),(30767,255,'_page_cr_btn_color','field_5cae428b706b5'),(30768,255,'page_cr_btn_align',''),(30769,255,'_page_cr_btn_align','field_5c8acf72c171d'),(30770,255,'page_cr_btn_onclick',''),(30771,255,'_page_cr_btn_onclick','field_5c8aeb5b680ac'),(30772,255,'page_cr_send_to',''),(30773,255,'_page_cr_send_to','field_5c8ab548ea28b'),(30774,255,'page_cr_cc',''),(30775,255,'_page_cr_cc','field_5c8ab548ea2d1'),(30776,255,'page_cr_show_locations','0'),(30777,255,'_page_cr_show_locations','field_5c8ab548eedde'),(30778,255,'page_cr_campaign_name',''),(30779,255,'_page_cr_campaign_name','field_5c8ab548efc68'),(30780,255,'page_cr_tt_store_id',''),(30781,255,'_page_cr_tt_store_id','field_5c8ab548f0afc'),(30782,255,'page_cr_template_id',''),(30783,255,'_page_cr_template_id','field_5c8ab548f1b68'),(30784,255,'page_cr_success',''),(30785,255,'_page_cr_success','field_5c8ab548f325a'),(30786,255,'page_cr_share_align',''),(30787,255,'_page_cr_share_align','field_5c9024916a377'),(30788,255,'page_cr_booking_msg',''),(30789,255,'_page_cr_booking_msg','field_5c8aeddca1987'),(30790,255,'page_cr_booking_btn',''),(30791,255,'_page_cr_booking_btn','field_5ce43a4152682'),(30792,255,'page_cr_booking_success',''),(30793,255,'_page_cr_booking_success','field_5c901deb14a3b'),(30794,255,'_oembed_fb0efd6fafdf5f4e5225d5cc5c51831c','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"555\" height=\"312\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(30795,255,'_oembed_time_fb0efd6fafdf5f4e5225d5cc5c51831c','1563308253'),(30796,255,'_oembed_cff9c6f12360c4e21478eaaf51f9fb36','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"559\" height=\"314\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(30797,255,'_oembed_time_cff9c6f12360c4e21478eaaf51f9fb36','1563308267'),(30798,255,'_oembed_af682eeae9e705adfe348becc8983d24','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"500\" height=\"281\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(30799,255,'_oembed_time_af682eeae9e705adfe348becc8983d24','1563308268'),(30800,255,'_oembed_f05b77ece217caf5615e2207e8d0ba5b','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"577\" height=\"325\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(30801,255,'_oembed_time_f05b77ece217caf5615e2207e8d0ba5b','1563308309'),(30802,255,'_oembed_cc18d5a4cce763b3dac3ea97c2a84834','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"439\" height=\"247\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(30803,255,'_oembed_time_cc18d5a4cce763b3dac3ea97c2a84834','1563308891'),(30804,255,'_oembed_4062a592da985942d3784a55b8780112','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"626\" height=\"352\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(30805,255,'_oembed_time_4062a592da985942d3784a55b8780112','1563309094'),(30806,255,'_oembed_c2394a7af490c618f9f4dfad9b3b5898','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"738\" height=\"415\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(30807,255,'_oembed_time_c2394a7af490c618f9f4dfad9b3b5898','1563309323'),(30808,255,'_oembed_866d896bfce881ecff3359d8260279f9','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"600\" height=\"338\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(30809,255,'_oembed_time_866d896bfce881ecff3359d8260279f9','1563310025'),(30810,255,'_oembed_81decae04caa6dc515d07b7bf6ca8efd','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"782\" height=\"440\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(30811,255,'_oembed_time_81decae04caa6dc515d07b7bf6ca8efd','1563310812'),(30812,255,'_oembed_e224d9f49641180719806f1966745731','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"653\" height=\"367\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(30813,255,'_oembed_time_e224d9f49641180719806f1966745731','1563383179'),(30814,255,'_oembed_37850f79b2a0969df207e29834b07ccb','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"567\" height=\"319\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(30815,255,'_oembed_time_37850f79b2a0969df207e29834b07ccb','1563561648'),(30816,255,'_oembed_33df19d31dd2f95272a94d74d46c55ec','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"691\" height=\"389\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(30817,255,'_oembed_time_33df19d31dd2f95272a94d74d46c55ec','1563561800'),(30818,255,'_oembed_047cd377621d179552ee456bea33c753','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"589\" height=\"331\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(30819,255,'_oembed_time_047cd377621d179552ee456bea33c753','1563561888'),(30820,255,'_oembed_73a89bb5056e84f751c8554577d35b54','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp;amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&amp;app_id=122963\" width=\"1258\" height=\"708\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(30821,255,'_oembed_time_73a89bb5056e84f751c8554577d35b54','1566939700'),(30822,255,'_oembed_19325e6f2d5380772bb3190970863e76','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp;amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&amp;app_id=122963\" width=\"956\" height=\"538\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(30823,255,'_oembed_time_19325e6f2d5380772bb3190970863e76','1570146115'),(30824,255,'_oembed_09375217a2140648c6a3e09ff7ee7682','{{unknown}}'),(30825,255,'_oembed_a84499f5ce67dc4b30e11744f22c4656','{{unknown}}'),(30826,255,'_oembed_bfc936fe13169ff6b7b6a19a490ca173','{{unknown}}'),(30827,255,'_oembed_6cd64192a9d754ba6aa71432a1cdda42','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp;amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&amp;app_id=122963\" width=\"798\" height=\"449\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(30828,255,'_oembed_time_6cd64192a9d754ba6aa71432a1cdda42','1579649389'),(30829,255,'_oembed_4a887a91479f8cd367274c7345d78ada','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp;amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&amp;app_id=122963\" width=\"903\" height=\"508\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(30830,255,'_oembed_time_4a887a91479f8cd367274c7345d78ada','1579649560'),(30831,255,'page_cr_payments_url',''),(30832,255,'_page_cr_payments_url','field_5dc31fc6af861'),(30833,255,'hero_panels_0_hero_type','fixed'),(30834,255,'_hero_panels_0_hero_type','field_5c5c6593013b2'),(30835,255,'hero_panels_0_content_0_content','<h2>Buy One Get One FREE</h2>\r\n<strong>Do you Rumble? ZERO experience is necessary to get the most out of our boxing-inspired group fitness classes. Buy class and get one FREE today!</strong>'),(31457,257,'countdown_end_date',''),(30836,255,'_hero_panels_0_content_0_content','field_5c5a253154b6e'),(30837,255,'hero_panels_0_content_0_button_alignment','text-left'),(30838,255,'_hero_panels_0_content_0_button_alignment','field_5c76fad1e6aa6'),(30839,255,'hero_panels_0_content_0_buttons',''),(30840,255,'_hero_panels_0_content_0_buttons','field_5c5a255454b6f'),(30841,255,'hero_panels_0_content_1_content','<h3 style=\"text-align: center;\"><strong>Book Your First Class!</strong></h3>\r\n<p style=\"text-align: center;\">[multi_clubready_form radius=\"20\"]</p>'),(30842,255,'_hero_panels_0_content_1_content','field_5c5a253154b6e'),(30843,255,'hero_panels_0_content_1_button_alignment','text-left'),(30844,255,'_hero_panels_0_content_1_button_alignment','field_5c76fad1e6aa6'),(30845,255,'hero_panels_0_content_1_buttons',''),(30846,255,'_hero_panels_0_content_1_buttons','field_5c5a255454b6f'),(30847,255,'hero_panels_0_content','2'),(30848,255,'_hero_panels_0_content','field_5c86d128b1d24'),(30849,255,'hero_panels_0_desk_bg_img',''),(30850,255,'_hero_panels_0_desk_bg_img','field_5c5a24e254b6c'),(30851,255,'hero_panels_0_mob_bg_img',''),(30852,255,'_hero_panels_0_mob_bg_img','field_5d1f7f8a74259'),(30853,255,'hero_panels_0_horz_align_desk','center'),(30854,255,'_hero_panels_0_horz_align_desk','field_5c8aacf58fa29'),(30855,255,'hero_panels_0_horz_align_mob','center'),(30856,255,'_hero_panels_0_horz_align_mob','field_5c8aaf79121c0'),(30857,255,'hero_panels_0_vert_align_desk','center'),(30858,255,'_hero_panels_0_vert_align_desk','field_5c8aaf8a121c1'),(30859,255,'hero_panels_0_vert_align_mob','center'),(30860,255,'_hero_panels_0_vert_align_mob','field_5c8aafa0121c2'),(30861,255,'hero_panels_0_overlay_type','dark'),(30862,255,'_hero_panels_0_overlay_type','field_5c5a247654b6a'),(30863,255,'hero_panels_0_overlay_opacity','0.5'),(30864,255,'_hero_panels_0_overlay_opacity','field_5c5a24a354b6b'),(30865,255,'hero_panels_0_alignment','justify-content-start'),(30866,255,'_hero_panels_0_alignment','field_5c65d2663c716'),(30867,255,'clicks_panels_0_content_box_0_content','<h3>WHAT IS\r\nF45 TRAINING?</h3>\r\n&nbsp;\r\n\r\nThe F stands for Functional Training, a mix of circuit and High Intensity Interval Training (HIIT) style workouts geared towards everyday movement. 45 is the total amount of time for sweat-dripping heart-pumping fun.\r\n\r\n&nbsp;'),(30868,255,'_clicks_panels_0_content_box_0_content','field_59824a06a423e'),(30869,255,'clicks_panels_0_content_box_0_vertical_alignment','center'),(30870,255,'_clicks_panels_0_content_box_0_vertical_alignment','field_5cd09e2416d20'),(30871,255,'clicks_panels_0_content_box_0_button_text','GET STARTED'),(30872,255,'_clicks_panels_0_content_box_0_button_text','field_5c4cb9a588fe9'),(30873,255,'clicks_panels_0_content_box_0_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(30874,255,'_clicks_panels_0_content_box_0_button_link','field_5c4cb9ad88fea'),(30875,255,'clicks_panels_0_content_box_0_button_style','hollow'),(30876,255,'_clicks_panels_0_content_box_0_button_style','field_5c4cb9c388feb'),(30877,255,'clicks_panels_0_content_box_0_button_color','dark'),(30878,255,'_clicks_panels_0_content_box_0_button_color','field_5c75e256ce6d1'),(30879,255,'clicks_panels_0_content_box_0_button_alignment','text-left'),(30880,255,'_clicks_panels_0_content_box_0_button_alignment','field_5c6df6e3ac062'),(30881,255,'clicks_panels_0_content_box_0_button',''),(30882,255,'_clicks_panels_0_content_box_0_button','field_5c4cb99788fe8'),(30883,255,'clicks_panels_0_content_box_1_content','https://vimeo.com/489588216'),(30884,255,'_clicks_panels_0_content_box_1_content','field_59824a06a423e'),(30885,255,'clicks_panels_0_content_box_1_vertical_alignment','center'),(30886,255,'_clicks_panels_0_content_box_1_vertical_alignment','field_5cd09e2416d20'),(30887,255,'clicks_panels_0_content_box_1_button_text',''),(30888,255,'_clicks_panels_0_content_box_1_button_text','field_5c4cb9a588fe9'),(30889,255,'clicks_panels_0_content_box_1_button_link',''),(30890,255,'_clicks_panels_0_content_box_1_button_link','field_5c4cb9ad88fea'),(30891,255,'clicks_panels_0_content_box_1_button_style','hollow'),(30892,255,'_clicks_panels_0_content_box_1_button_style','field_5c4cb9c388feb'),(30893,255,'clicks_panels_0_content_box_1_button_color','dark'),(30894,255,'_clicks_panels_0_content_box_1_button_color','field_5c75e256ce6d1'),(30895,255,'clicks_panels_0_content_box_1_button_alignment','text-left'),(30896,255,'_clicks_panels_0_content_box_1_button_alignment','field_5c6df6e3ac062'),(30897,255,'clicks_panels_0_content_box_1_button',''),(30898,255,'_clicks_panels_0_content_box_1_button','field_5c4cb99788fe8'),(30899,255,'clicks_panels_0_content_box','2'),(30900,255,'_clicks_panels_0_content_box','field_5c749908df8b2'),(30901,255,'clicks_panels_0_bg_color','#ffffff'),(30902,255,'_clicks_panels_0_bg_color','field_5c4cb7651cfce'),(30903,255,'clicks_panels_0_text_color','#000000'),(30904,255,'_clicks_panels_0_text_color','field_5c6e06291f0cb'),(30905,255,'clicks_panels_1_content','<h3>INNOVATION.</h3>\r\n&nbsp;\r\n\r\nOur functional training classes continuously evolve so virtually no two workouts are ever the same!\r\n\r\n&nbsp;'),(30906,255,'_clicks_panels_1_content','field_59824ac3a4240'),(30907,255,'clicks_panels_1_image',''),(30908,255,'_clicks_panels_1_image','field_59824af3a4241'),(30909,255,'clicks_panels_1_layout','order-1'),(30910,255,'_clicks_panels_1_layout','field_59824b08a4242'),(30911,255,'clicks_panels_1_type','full'),(30912,255,'_clicks_panels_1_type','field_5ce5ad7b86b1e'),(30913,255,'clicks_panels_1_vertical_alignment','center'),(30914,255,'_clicks_panels_1_vertical_alignment','field_5cd09ecd16d21'),(30915,255,'clicks_panels_1_button_text','GET STARTED!'),(30916,255,'_clicks_panels_1_button_text','field_5c4cb9e488fed'),(30917,255,'clicks_panels_1_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(30918,255,'_clicks_panels_1_button_link','field_5c4cb9e488fee'),(30919,255,'clicks_panels_1_button_style','hollow'),(30920,255,'_clicks_panels_1_button_style','field_5c4cb9e488fef'),(30921,255,'clicks_panels_1_button_color','dark'),(30922,255,'_clicks_panels_1_button_color','field_5c75ca9870d43'),(30923,255,'clicks_panels_1_button_alignment','text-left'),(30924,255,'_clicks_panels_1_button_alignment','field_5c6df75dac064'),(30925,255,'clicks_panels_1_button',''),(30926,255,'_clicks_panels_1_button','field_5c4cb9e488fec'),(30927,255,'clicks_panels_1_bg_color','#f2f2f2'),(30928,255,'_clicks_panels_1_bg_color','field_5c4cb79c1cfcf'),(30929,255,'clicks_panels_1_text_color','#000000'),(30930,255,'_clicks_panels_1_text_color','field_5c6e064d1f0cc'),(30931,255,'_oembed_87de3f02b9aa459e35002ff6a26e6d0a','<iframe title=\"C0110_2\" src=\"https://player.vimeo.com/video/422877899?dnt=1&amp;app_id=122963\" width=\"706\" height=\"397\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(30932,255,'_oembed_time_87de3f02b9aa459e35002ff6a26e6d0a','1618612140'),(30933,255,'_oembed_8cc69872439a32fc92f12601d8dc8cae','<iframe title=\"C0110_2\" src=\"https://player.vimeo.com/video/422877899?dnt=1&amp;app_id=122963\" width=\"500\" height=\"281\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(30934,255,'_oembed_time_8cc69872439a32fc92f12601d8dc8cae','1618612145'),(30935,255,'page_mbo_location_id',''),(30936,255,'_page_mbo_location_id','field_5cc762e29e383'),(30937,255,'page_mbo_referred_by',''),(30938,255,'_page_mbo_referred_by','field_5cc762e29e3ce'),(30939,255,'page_mbo_radius',''),(30940,255,'_page_mbo_radius','field_5cc762e29e444'),(31456,255,'_mbo_shortcode_generator_0_signup','field_5daf3d245b13b'),(31455,255,'mbo_shortcode_generator_0_signup','0'),(30943,255,'mbo_shortcode_generator','a:1:{i:0;s:19:\"extra_mindbody_form\";}'),(30944,255,'_mbo_shortcode_generator','field_5cc7644d20afb'),(30945,255,'clicks_panels_2_content','<h3>MOTIVATION.</h3>\r\n&nbsp;\r\n\r\nThe motivation and encouragement in a group training facility creates a pulsing, upbeat environment where goals are met and exceeded.\r\n\r\n&nbsp;'),(30946,255,'_clicks_panels_2_content','field_59824ac3a4240'),(30947,255,'clicks_panels_2_image',''),(30948,255,'_clicks_panels_2_image','field_59824af3a4241'),(30949,255,'clicks_panels_2_layout','order-1 order-md-12'),(30950,255,'_clicks_panels_2_layout','field_59824b08a4242'),(30951,255,'clicks_panels_2_type','full'),(30952,255,'_clicks_panels_2_type','field_5ce5ad7b86b1e'),(30953,255,'clicks_panels_2_vertical_alignment','center'),(30954,255,'_clicks_panels_2_vertical_alignment','field_5cd09ecd16d21'),(30955,255,'clicks_panels_2_button_text','GET STARTED!'),(30956,255,'_clicks_panels_2_button_text','field_5c4cb9e488fed'),(30957,255,'clicks_panels_2_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(30958,255,'_clicks_panels_2_button_link','field_5c4cb9e488fee'),(30959,255,'clicks_panels_2_button_style','hollow'),(30960,255,'_clicks_panels_2_button_style','field_5c4cb9e488fef'),(30961,255,'clicks_panels_2_button_color','dark'),(30962,255,'_clicks_panels_2_button_color','field_5c75ca9870d43'),(30963,255,'clicks_panels_2_button_alignment','text-left'),(30964,255,'_clicks_panels_2_button_alignment','field_5c6df75dac064'),(30965,255,'clicks_panels_2_button',''),(30966,255,'_clicks_panels_2_button','field_5c4cb9e488fec'),(30967,255,'clicks_panels_2_bg_color','#f2f2f2'),(30968,255,'_clicks_panels_2_bg_color','field_5c4cb79c1cfcf'),(30969,255,'clicks_panels_2_text_color','#000000'),(30970,255,'_clicks_panels_2_text_color','field_5c6e064d1f0cc'),(30971,255,'clicks_panels_3_content','<h3>RESULTS.</h3>\r\n&nbsp;\r\n\r\nWhen it comes to weight management, good nutrition is vital. [name] gives all members access to their own free personal nutrition program to achieve health objectives with daily meal plans, tracking, and community support. Welcome to the [name] Challenge.\r\n\r\n&nbsp;'),(30972,255,'_clicks_panels_3_content','field_59824ac3a4240'),(30973,255,'clicks_panels_3_image',''),(30974,255,'_clicks_panels_3_image','field_59824af3a4241'),(30975,255,'clicks_panels_3_layout','order-1'),(30976,255,'_clicks_panels_3_layout','field_59824b08a4242'),(30977,255,'clicks_panels_3_type','full'),(30978,255,'_clicks_panels_3_type','field_5ce5ad7b86b1e'),(30979,255,'clicks_panels_3_vertical_alignment','center'),(30980,255,'_clicks_panels_3_vertical_alignment','field_5cd09ecd16d21'),(30981,255,'clicks_panels_3_button_text','GET STARTED!'),(30982,255,'_clicks_panels_3_button_text','field_5c4cb9e488fed'),(30983,255,'clicks_panels_3_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(30984,255,'_clicks_panels_3_button_link','field_5c4cb9e488fee'),(30985,255,'clicks_panels_3_button_style','hollow'),(30986,255,'_clicks_panels_3_button_style','field_5c4cb9e488fef'),(30987,255,'clicks_panels_3_button_color','dark'),(30988,255,'_clicks_panels_3_button_color','field_5c75ca9870d43'),(30989,255,'clicks_panels_3_button_alignment','text-left'),(30990,255,'_clicks_panels_3_button_alignment','field_5c6df75dac064'),(30991,255,'clicks_panels_3_button',''),(30992,255,'_clicks_panels_3_button','field_5c4cb9e488fec'),(30993,255,'clicks_panels_3_bg_color','#f2f2f2'),(30994,255,'_clicks_panels_3_bg_color','field_5c4cb79c1cfcf'),(30995,255,'clicks_panels_3_text_color','#000000'),(30996,255,'_clicks_panels_3_text_color','field_5c6e064d1f0cc'),(30997,255,'clicks_panels_4_main_text','<h3>[name] IS A COMMUNITY!</h3>\r\n&nbsp;\r\n<h6>Every member is on their own fitness journey. Whether it\'s to lose weight, build muscle or to unwind after a stressful day, everyone has their own reasons for being here. The [name] community will rally behind you to help you achieve whatever your fitness goals are!</h6>\r\n&nbsp;\r\n\r\n&nbsp;'),(30998,255,'_clicks_panels_4_main_text','field_5c9e9b1a1619d'),(30999,255,'clicks_panels_4_alignment','justify-content-start'),(31000,255,'_clicks_panels_4_alignment','field_5c9e9b401619e'),(31001,255,'clicks_panels_4_button_text','GET STARTED!'),(31002,255,'_clicks_panels_4_button_text','field_5c9e9bba161a0'),(31003,255,'clicks_panels_4_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(31004,255,'_clicks_panels_4_button_link','field_5c9e9bcf161a1'),(31005,255,'clicks_panels_4_button_style','solid'),(31006,255,'_clicks_panels_4_button_style','field_5c9e9c0c161a2'),(31007,255,'clicks_panels_4_button_color','dark'),(31008,255,'_clicks_panels_4_button_color','field_5c9e9cae161a3'),(31009,255,'clicks_panels_4_button_alignment','text-left'),(31010,255,'_clicks_panels_4_button_alignment','field_5c9e9cf9161a4'),(31011,255,'clicks_panels_4_button',''),(31012,255,'_clicks_panels_4_button','field_5c9e9b951619f'),(31013,255,'clicks_panels_4_bg_type','image'),(31014,255,'_clicks_panels_4_bg_type','field_5cbe21c7dbf3e'),(31015,255,'clicks_panels_4_panel_height','auto'),(31016,255,'_clicks_panels_4_panel_height','field_5cd1d3dab69ad'),(31017,255,'clicks_panels_4_bg_desk',''),(31018,255,'_clicks_panels_4_bg_desk','field_5c9ea0972a746'),(31019,255,'clicks_panels_4_bg_mobile',''),(31020,255,'_clicks_panels_4_bg_mobile','field_5d1f80086362f'),(31021,255,'clicks_panels_4_horz_align_desk','center'),(31022,255,'_clicks_panels_4_horz_align_desk','field_5c9ea1dd2a74a'),(31023,255,'clicks_panels_4_horz_align_mob','center'),(31024,255,'_clicks_panels_4_horz_align_mob','field_5c9ea2312a74b'),(31025,255,'clicks_panels_4_vert_align_desk','center'),(31026,255,'_clicks_panels_4_vert_align_desk','field_5c9ea3172a74d'),(31027,255,'clicks_panels_4_vert_align_mob','center'),(31028,255,'_clicks_panels_4_vert_align_mob','field_5c9ea2d82a74c'),(31029,255,'clicks_panels_4_overlay_color','#1e1547'),(31030,255,'_clicks_panels_4_overlay_color','field_5cd1c164de92f'),(31031,255,'clicks_panels_4_text_color','#FFF'),(31032,255,'_clicks_panels_4_text_color','field_5cd1d304b69ac'),(31033,255,'clicks_panels_4_overlay_opacity_desk','0.6'),(31034,255,'_clicks_panels_4_overlay_opacity_desk','field_5c9ea48d144e3'),(31035,255,'clicks_panels_4_overlay_opacity_mob','0.5'),(31036,255,'_clicks_panels_4_overlay_opacity_mob','field_5c9ea509144e5'),(31037,255,'clicks_panels_5_intro',''),(31038,255,'_clicks_panels_5_intro','field_5c75d8409f209'),(31039,255,'clicks_panels_5_category',''),(31040,255,'_clicks_panels_5_category','field_5c588fe3ce75d'),(31041,255,'clicks_panels_5_bg_color','#F7F7F7'),(31042,255,'_clicks_panels_5_bg_color','field_5c589033ce75e'),(31043,255,'clicks_panels_5_text_color','#000'),(31044,255,'_clicks_panels_5_text_color','field_5c58904ace75f'),(31045,255,'footer_panels_0_content','<h3 style=\"text-align: center;\">GET STARTED TODAY!</h3>\r\n&nbsp;'),(31046,255,'_footer_panels_0_content','field_5c6c9f39ba7aa'),(31047,255,'footer_panels_0_button_alignment','center'),(31048,255,'_footer_panels_0_button_alignment','field_5c770495b0d55'),(31049,255,'footer_panels_0_buttons_0_text','SIGN UP!'),(31050,255,'_footer_panels_0_buttons_0_text','field_5c6c9fa3ba7ad'),(31051,255,'footer_panels_0_buttons_0_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#top\";s:6:\"target\";s:0:\"\";}'),(31052,255,'_footer_panels_0_buttons_0_link','field_5c6c9facba7ae'),(31053,255,'footer_panels_0_buttons_0_style','solid'),(31054,255,'_footer_panels_0_buttons_0_style','field_5c6c9fc4ba7af'),(31055,255,'footer_panels_0_buttons_0_color','dark'),(31056,255,'_footer_panels_0_buttons_0_color','field_5c77013805894'),(31057,255,'footer_panels_0_buttons','1'),(31058,255,'_footer_panels_0_buttons','field_5c6c9f88ba7ac'),(31059,255,'footer_panels_0_desk_bg_img',''),(31060,255,'_footer_panels_0_desk_bg_img','field_5c6c9eb1ba7a7'),(31061,255,'footer_panels_0_mob_bg_img',''),(31062,255,'_footer_panels_0_mob_bg_img','field_5d1f8056df761'),(31063,255,'footer_panels_0_horz_align_desk','center'),(31064,255,'_footer_panels_0_horz_align_desk','field_5c6d973489804'),(31065,255,'footer_panels_0_horz_align_mob','center'),(31066,255,'_footer_panels_0_horz_align_mob','field_5c6d984789806'),(31067,255,'footer_panels_0_vert_align_desk','center'),(31068,255,'_footer_panels_0_vert_align_desk','field_5c6d978c89805'),(31069,255,'footer_panels_0_vert_align_mob','center'),(31070,255,'_footer_panels_0_vert_align_mob','field_5c6d986589807'),(31071,255,'footer_panels_0_overlay_type','dark'),(31072,255,'_footer_panels_0_overlay_type','field_5c6c9ee1ba7a8'),(31073,255,'footer_panels_0_overlay_opacity','0.4'),(31074,255,'_footer_panels_0_overlay_opacity','field_5c6c9f09ba7a9'),(31075,255,'footer_panels_0_text_color','#ffffff'),(31076,255,'_footer_panels_0_text_color','field_5c6d94a160bed'),(31077,255,'footer_panels_0_alignment','justify-content-center'),(31078,255,'_footer_panels_0_alignment','field_5c6d94b560bee'),(31079,255,'page_mbo_submit_btn',''),(31080,255,'_page_mbo_submit_btn','field_5cc7635670181'),(31081,255,'page_mbo_btn_style','solid'),(31082,255,'_page_mbo_btn_style','field_5cc76356701bf'),(31083,255,'page_mbo_btn_color','dark'),(31084,255,'_page_mbo_btn_color','field_5cc76356701fc'),(31085,255,'page_mbo_btn_align','text-center'),(31086,255,'_page_mbo_btn_align','field_5cc763567023c'),(31087,255,'page_mbo_btn_onclick',''),(31088,255,'_page_mbo_btn_onclick','field_5cc763567027a'),(31089,255,'page_mbo_send_to',''),(31090,255,'_page_mbo_send_to','field_5cc763567030a'),(31091,255,'page_mbo_cc',''),(31092,255,'_page_mbo_cc','field_5cc763567034b'),(31093,255,'page_mbo_show_locations','0'),(31094,255,'_page_mbo_show_locations','field_5cc763567c799'),(31095,255,'page_mbo_campaign_name',''),(31096,255,'_page_mbo_campaign_name','field_5cc763567d8bb'),(31097,255,'page_mbo_success',''),(31098,255,'_page_mbo_success','field_5cc7635682baa'),(31099,255,'page_mbo_share_align','text-center'),(31100,255,'_page_mbo_share_align','field_5cc76356851e1'),(31101,255,'page_mbo_booking_msg',''),(31102,255,'_page_mbo_booking_msg','field_5cc7635686ed4'),(31103,255,'page_mbo_booking_btn',''),(31104,255,'_page_mbo_booking_btn','field_5ce44499cd167'),(31105,255,'page_mbo_booking_success',''),(31106,255,'_page_mbo_booking_success','field_5cc7635683f38'),(31107,255,'_oembed_07b4c127826a23f26046cfbeb7fef3c3','<iframe title=\"What Is F45\" src=\"https://player.vimeo.com/video/489588216?dnt=1&amp;app_id=122963\" width=\"1252\" height=\"704\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(31108,255,'_oembed_time_07b4c127826a23f26046cfbeb7fef3c3','1619032200'),(31109,255,'_oembed_e99c40212d9198ef4b60e90bdc5671d9','<iframe title=\"What Is F45\" src=\"https://player.vimeo.com/video/489588216?dnt=1&amp;app_id=122963\" width=\"1256\" height=\"707\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(31110,255,'_oembed_time_e99c40212d9198ef4b60e90bdc5671d9','1619032251'),(31111,255,'_oembed_b91ef98e7aeefee782fb0ec39adca733','<iframe title=\"What Is F45\" src=\"https://player.vimeo.com/video/489588216?dnt=1&amp;app_id=122963\" width=\"500\" height=\"281\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(31112,255,'_oembed_time_b91ef98e7aeefee782fb0ec39adca733','1619032260'),(31113,255,'_oembed_dcd4de7e68eb21b233c118151821fbaf','<iframe title=\"What Is F45\" src=\"https://player.vimeo.com/video/489588216?dnt=1&amp;app_id=122963\" width=\"706\" height=\"397\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(31114,255,'_oembed_time_dcd4de7e68eb21b233c118151821fbaf','1619033171'),(31115,255,'_oembed_027ff45d0d3036f443c036e0c030173e','<iframe title=\"What Is F45\" src=\"https://player.vimeo.com/video/489588216?h=40eeb65dbb&amp;dnt=1&amp;app_id=122963\" width=\"1778\" height=\"1000\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(31116,255,'_oembed_time_027ff45d0d3036f443c036e0c030173e','1640732839'),(31117,256,'countdown_end_date',''),(31118,256,'_countdown_end_date','field_5c8963467234d'),(31119,256,'countdown_inline_text',''),(31120,256,'_countdown_inline_text','field_5ce86808cb169'),(31121,256,'countdown_align','justify-content-start'),(31122,256,'_countdown_align','field_5ce86828cb16a'),(31123,256,'page_description',''),(31124,256,'_page_description','field_5d0d36e3a4650'),(31125,256,'hero_panels','a:1:{i:0;s:8:\"image_bg\";}');
INSERT INTO `wp_2_postmeta` VALUES (31126,256,'_hero_panels','field_5c5a122054b69'),(31127,256,'clicks_panels','a:6:{i:0;s:13:\"content_panel\";i:1;s:19:\"content_image_panel\";i:2;s:19:\"content_image_panel\";i:3;s:19:\"content_image_panel\";i:4;s:13:\"feature_panel\";i:5;s:18:\"testimonial_slider\";}'),(31128,256,'_clicks_panels','field_598249dea423d'),(31129,256,'footer_panels','a:1:{i:0;s:10:\"full_width\";}'),(31130,256,'_footer_panels','field_5c6c9e7eba7a6'),(31131,256,'google_conversion_id',''),(31132,256,'_google_conversion_id','field_5c8ac5e7c5da3'),(31133,256,'google_conversion_label',''),(31134,256,'_google_conversion_label','field_5c8ac5e7c5dea'),(31135,256,'head_area_embed',''),(31136,256,'_head_area_embed','field_5c8ac5e7c5e35'),(31137,256,'body_area_embed',''),(31138,256,'_body_area_embed','field_5c8ac5e7c5e79'),(31139,256,'footer_area_embed',''),(31140,256,'_footer_area_embed','field_5c9d110ffa064'),(31141,256,'page_cr_referral_id',''),(31142,256,'_page_cr_referral_id','field_5c804db29810f'),(31143,256,'page_cr_prospect_id',''),(31144,256,'_page_cr_prospect_id','field_5c8063e1fa49e'),(31145,256,'page_cr_user_id',''),(31146,256,'_page_cr_user_id','field_5cc770c9ef77c'),(31147,256,'page_cr_radius',''),(31148,256,'_page_cr_radius','field_5c804db2981e0'),(31149,256,'cr_shortcode_generator',''),(31150,256,'_cr_shortcode_generator','field_5c83e2ef816ab'),(31151,256,'page_cr_submit_btn',''),(31152,256,'_page_cr_submit_btn','field_5c8ab548ea23d'),(31153,256,'page_cr_btn_style',''),(31154,256,'_page_cr_btn_style','field_5c8aeb34680ab'),(31155,256,'page_cr_btn_color',''),(31156,256,'_page_cr_btn_color','field_5cae428b706b5'),(31157,256,'page_cr_btn_align',''),(31158,256,'_page_cr_btn_align','field_5c8acf72c171d'),(31159,256,'page_cr_btn_onclick',''),(31160,256,'_page_cr_btn_onclick','field_5c8aeb5b680ac'),(31161,256,'page_cr_send_to',''),(31162,256,'_page_cr_send_to','field_5c8ab548ea28b'),(31163,256,'page_cr_cc',''),(31164,256,'_page_cr_cc','field_5c8ab548ea2d1'),(31165,256,'page_cr_show_locations','0'),(31166,256,'_page_cr_show_locations','field_5c8ab548eedde'),(31167,256,'page_cr_campaign_name',''),(31168,256,'_page_cr_campaign_name','field_5c8ab548efc68'),(31169,256,'page_cr_tt_store_id',''),(31170,256,'_page_cr_tt_store_id','field_5c8ab548f0afc'),(31171,256,'page_cr_template_id',''),(31172,256,'_page_cr_template_id','field_5c8ab548f1b68'),(31173,256,'page_cr_success',''),(31174,256,'_page_cr_success','field_5c8ab548f325a'),(31175,256,'page_cr_share_align',''),(31176,256,'_page_cr_share_align','field_5c9024916a377'),(31177,256,'page_cr_booking_msg',''),(31178,256,'_page_cr_booking_msg','field_5c8aeddca1987'),(31179,256,'page_cr_booking_btn',''),(31180,256,'_page_cr_booking_btn','field_5ce43a4152682'),(31181,256,'page_cr_booking_success',''),(31182,256,'_page_cr_booking_success','field_5c901deb14a3b'),(31183,256,'page_cr_payments_url',''),(31184,256,'_page_cr_payments_url','field_5dc31fc6af861'),(31185,256,'hero_panels_0_hero_type','fixed'),(31186,256,'_hero_panels_0_hero_type','field_5c5c6593013b2'),(31187,256,'hero_panels_0_content_0_content','<h2>FREE 7-DAY\r\nTRIAL!</h2>\r\n<strong>[name] is fitness community specializing in innovative, high-intensity group workouts that are fast, fun, and results-driven. Experience one of the most time-efficient ways to train with a FREE 7-day trial! Sign up to get started today!</strong>'),(31188,256,'_hero_panels_0_content_0_content','field_5c5a253154b6e'),(31189,256,'hero_panels_0_content_0_button_alignment','text-left'),(31190,256,'_hero_panels_0_content_0_button_alignment','field_5c76fad1e6aa6'),(31191,256,'hero_panels_0_content_0_buttons',''),(31192,256,'_hero_panels_0_content_0_buttons','field_5c5a255454b6f'),(31193,256,'hero_panels_0_content_1_content','<h3 style=\"text-align: center;\">CLAIM YOUR FREE TRIAL!</h3>\r\n<p style=\"text-align: center;\">[single_mindbody_form]</p>'),(31194,256,'_hero_panels_0_content_1_content','field_5c5a253154b6e'),(31195,256,'hero_panels_0_content_1_button_alignment','text-left'),(31196,256,'_hero_panels_0_content_1_button_alignment','field_5c76fad1e6aa6'),(31197,256,'hero_panels_0_content_1_buttons',''),(31198,256,'_hero_panels_0_content_1_buttons','field_5c5a255454b6f'),(31199,256,'hero_panels_0_content','2'),(31200,256,'_hero_panels_0_content','field_5c86d128b1d24'),(31201,256,'hero_panels_0_desk_bg_img',''),(31202,256,'_hero_panels_0_desk_bg_img','field_5c5a24e254b6c'),(31203,256,'hero_panels_0_mob_bg_img',''),(31204,256,'_hero_panels_0_mob_bg_img','field_5d1f7f8a74259'),(31205,256,'hero_panels_0_horz_align_desk','center'),(31206,256,'_hero_panels_0_horz_align_desk','field_5c8aacf58fa29'),(31207,256,'hero_panels_0_horz_align_mob','center'),(31208,256,'_hero_panels_0_horz_align_mob','field_5c8aaf79121c0'),(31209,256,'hero_panels_0_vert_align_desk','center'),(31210,256,'_hero_panels_0_vert_align_desk','field_5c8aaf8a121c1'),(31211,256,'hero_panels_0_vert_align_mob','center'),(31212,256,'_hero_panels_0_vert_align_mob','field_5c8aafa0121c2'),(31213,256,'hero_panels_0_overlay_type','dark'),(31214,256,'_hero_panels_0_overlay_type','field_5c5a247654b6a'),(31215,256,'hero_panels_0_overlay_opacity','0.5'),(31216,256,'_hero_panels_0_overlay_opacity','field_5c5a24a354b6b'),(31217,256,'hero_panels_0_alignment','justify-content-start'),(31218,256,'_hero_panels_0_alignment','field_5c65d2663c716'),(31219,256,'clicks_panels_0_content_box_0_content','<h3>WHAT IS\r\nF45 TRAINING?</h3>\r\n&nbsp;\r\n\r\nThe F stands for Functional Training, a mix of circuit and High Intensity Interval Training (HIIT) style workouts geared towards everyday movement. 45 is the total amount of time for sweat-dripping heart-pumping fun.\r\n\r\n&nbsp;'),(31220,256,'_clicks_panels_0_content_box_0_content','field_59824a06a423e'),(31221,256,'clicks_panels_0_content_box_0_vertical_alignment','center'),(31222,256,'_clicks_panels_0_content_box_0_vertical_alignment','field_5cd09e2416d20'),(31223,256,'clicks_panels_0_content_box_0_button_text','GET STARTED'),(31224,256,'_clicks_panels_0_content_box_0_button_text','field_5c4cb9a588fe9'),(31225,256,'clicks_panels_0_content_box_0_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(31226,256,'_clicks_panels_0_content_box_0_button_link','field_5c4cb9ad88fea'),(31227,256,'clicks_panels_0_content_box_0_button_style','hollow'),(31228,256,'_clicks_panels_0_content_box_0_button_style','field_5c4cb9c388feb'),(31229,256,'clicks_panels_0_content_box_0_button_color','dark'),(31230,256,'_clicks_panels_0_content_box_0_button_color','field_5c75e256ce6d1'),(31231,256,'clicks_panels_0_content_box_0_button_alignment','text-left'),(31232,256,'_clicks_panels_0_content_box_0_button_alignment','field_5c6df6e3ac062'),(31233,256,'clicks_panels_0_content_box_0_button',''),(31234,256,'_clicks_panels_0_content_box_0_button','field_5c4cb99788fe8'),(31235,256,'clicks_panels_0_content_box_1_content','https://vimeo.com/489588216'),(31236,256,'_clicks_panels_0_content_box_1_content','field_59824a06a423e'),(31237,256,'clicks_panels_0_content_box_1_vertical_alignment','center'),(31238,256,'_clicks_panels_0_content_box_1_vertical_alignment','field_5cd09e2416d20'),(31239,256,'clicks_panels_0_content_box_1_button_text',''),(31240,256,'_clicks_panels_0_content_box_1_button_text','field_5c4cb9a588fe9'),(31241,256,'clicks_panels_0_content_box_1_button_link',''),(31242,256,'_clicks_panels_0_content_box_1_button_link','field_5c4cb9ad88fea'),(31243,256,'clicks_panels_0_content_box_1_button_style','hollow'),(31244,256,'_clicks_panels_0_content_box_1_button_style','field_5c4cb9c388feb'),(31245,256,'clicks_panels_0_content_box_1_button_color','dark'),(31246,256,'_clicks_panels_0_content_box_1_button_color','field_5c75e256ce6d1'),(31247,256,'clicks_panels_0_content_box_1_button_alignment','text-left'),(31248,256,'_clicks_panels_0_content_box_1_button_alignment','field_5c6df6e3ac062'),(31249,256,'clicks_panels_0_content_box_1_button',''),(31250,256,'_clicks_panels_0_content_box_1_button','field_5c4cb99788fe8'),(31251,256,'clicks_panels_0_content_box','2'),(31252,256,'_clicks_panels_0_content_box','field_5c749908df8b2'),(31253,256,'clicks_panels_0_bg_color','#ffffff'),(31254,256,'_clicks_panels_0_bg_color','field_5c4cb7651cfce'),(31255,256,'clicks_panels_0_text_color','#000000'),(31256,256,'_clicks_panels_0_text_color','field_5c6e06291f0cb'),(31257,256,'clicks_panels_1_content','<h3>INNOVATION.</h3>\r\n&nbsp;\r\n\r\nOur functional training classes continuously evolve so virtually no two workouts are ever the same!\r\n\r\n&nbsp;'),(31258,256,'_clicks_panels_1_content','field_59824ac3a4240'),(31259,256,'clicks_panels_1_image',''),(31260,256,'_clicks_panels_1_image','field_59824af3a4241'),(31261,256,'clicks_panels_1_layout','order-1'),(31262,256,'_clicks_panels_1_layout','field_59824b08a4242'),(31263,256,'clicks_panels_1_type','full'),(31264,256,'_clicks_panels_1_type','field_5ce5ad7b86b1e'),(31265,256,'clicks_panels_1_vertical_alignment','center'),(31266,256,'_clicks_panels_1_vertical_alignment','field_5cd09ecd16d21'),(31267,256,'clicks_panels_1_button_text','GET STARTED!'),(31268,256,'_clicks_panels_1_button_text','field_5c4cb9e488fed'),(31269,256,'clicks_panels_1_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(31270,256,'_clicks_panels_1_button_link','field_5c4cb9e488fee'),(31271,256,'clicks_panels_1_button_style','hollow'),(31272,256,'_clicks_panels_1_button_style','field_5c4cb9e488fef'),(31273,256,'clicks_panels_1_button_color','dark'),(31274,256,'_clicks_panels_1_button_color','field_5c75ca9870d43'),(31275,256,'clicks_panels_1_button_alignment','text-left'),(31276,256,'_clicks_panels_1_button_alignment','field_5c6df75dac064'),(31277,256,'clicks_panels_1_button',''),(31278,256,'_clicks_panels_1_button','field_5c4cb9e488fec'),(31279,256,'clicks_panels_1_bg_color','#f2f2f2'),(31280,256,'_clicks_panels_1_bg_color','field_5c4cb79c1cfcf'),(31281,256,'clicks_panels_1_text_color','#000000'),(31282,256,'_clicks_panels_1_text_color','field_5c6e064d1f0cc'),(31283,256,'page_mbo_location_id',''),(31284,256,'_page_mbo_location_id','field_5cc762e29e383'),(31285,256,'page_mbo_referred_by',''),(31286,256,'_page_mbo_referred_by','field_5cc762e29e3ce'),(31287,256,'page_mbo_radius',''),(31288,256,'_page_mbo_radius','field_5cc762e29e444'),(31289,256,'mbo_shortcode_generator_0_signup','0'),(31290,256,'_mbo_shortcode_generator_0_signup','field_5daf3d0e5b13a'),(31291,256,'mbo_shortcode_generator','a:1:{i:0;s:20:\"single_mindbody_form\";}'),(31292,256,'_mbo_shortcode_generator','field_5cc7644d20afb'),(31293,256,'clicks_panels_2_content','<h3>MOTIVATION.</h3>\r\n&nbsp;\r\n\r\nThe motivation and encouragement in a group training facility creates a pulsing, upbeat environment where goals are met and exceeded.\r\n\r\n&nbsp;'),(31294,256,'_clicks_panels_2_content','field_59824ac3a4240'),(31295,256,'clicks_panels_2_image',''),(31296,256,'_clicks_panels_2_image','field_59824af3a4241'),(31297,256,'clicks_panels_2_layout','order-1 order-md-12'),(31298,256,'_clicks_panels_2_layout','field_59824b08a4242'),(31299,256,'clicks_panels_2_type','full'),(31300,256,'_clicks_panels_2_type','field_5ce5ad7b86b1e'),(31301,256,'clicks_panels_2_vertical_alignment','center'),(31302,256,'_clicks_panels_2_vertical_alignment','field_5cd09ecd16d21'),(31303,256,'clicks_panels_2_button_text','GET STARTED!'),(31304,256,'_clicks_panels_2_button_text','field_5c4cb9e488fed'),(31305,256,'clicks_panels_2_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(31306,256,'_clicks_panels_2_button_link','field_5c4cb9e488fee'),(31307,256,'clicks_panels_2_button_style','hollow'),(31308,256,'_clicks_panels_2_button_style','field_5c4cb9e488fef'),(31309,256,'clicks_panels_2_button_color','dark'),(31310,256,'_clicks_panels_2_button_color','field_5c75ca9870d43'),(31311,256,'clicks_panels_2_button_alignment','text-left'),(31312,256,'_clicks_panels_2_button_alignment','field_5c6df75dac064'),(31313,256,'clicks_panels_2_button',''),(31314,256,'_clicks_panels_2_button','field_5c4cb9e488fec'),(31315,256,'clicks_panels_2_bg_color','#f2f2f2'),(31316,256,'_clicks_panels_2_bg_color','field_5c4cb79c1cfcf'),(31317,256,'clicks_panels_2_text_color','#000000'),(31318,256,'_clicks_panels_2_text_color','field_5c6e064d1f0cc'),(31319,256,'clicks_panels_3_content','<h3>RESULTS.</h3>\r\n&nbsp;\r\n\r\nWhen it comes to weight management, good nutrition is vital. [name] gives all members access to their own free personal nutrition program to achieve health objectives with daily meal plans, tracking, and community support. Welcome to the [name] Challenge.\r\n\r\n&nbsp;'),(31320,256,'_clicks_panels_3_content','field_59824ac3a4240'),(31321,256,'clicks_panels_3_image',''),(31322,256,'_clicks_panels_3_image','field_59824af3a4241'),(31323,256,'clicks_panels_3_layout','order-1'),(31324,256,'_clicks_panels_3_layout','field_59824b08a4242'),(31325,256,'clicks_panels_3_type','full'),(31326,256,'_clicks_panels_3_type','field_5ce5ad7b86b1e'),(31327,256,'clicks_panels_3_vertical_alignment','center'),(31328,256,'_clicks_panels_3_vertical_alignment','field_5cd09ecd16d21'),(31329,256,'clicks_panels_3_button_text','GET STARTED!'),(31330,256,'_clicks_panels_3_button_text','field_5c4cb9e488fed'),(31331,256,'clicks_panels_3_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(31332,256,'_clicks_panels_3_button_link','field_5c4cb9e488fee'),(31333,256,'clicks_panels_3_button_style','hollow'),(31334,256,'_clicks_panels_3_button_style','field_5c4cb9e488fef'),(31335,256,'clicks_panels_3_button_color','dark'),(31336,256,'_clicks_panels_3_button_color','field_5c75ca9870d43'),(31337,256,'clicks_panels_3_button_alignment','text-left'),(31338,256,'_clicks_panels_3_button_alignment','field_5c6df75dac064'),(31339,256,'clicks_panels_3_button',''),(31340,256,'_clicks_panels_3_button','field_5c4cb9e488fec'),(31341,256,'clicks_panels_3_bg_color','#f2f2f2'),(31342,256,'_clicks_panels_3_bg_color','field_5c4cb79c1cfcf'),(31343,256,'clicks_panels_3_text_color','#000000'),(31344,256,'_clicks_panels_3_text_color','field_5c6e064d1f0cc'),(31345,256,'clicks_panels_4_main_text','<h3>[name] IS A COMMUNITY!</h3>\r\n&nbsp;\r\n<h6>Every member is on their own fitness journey. Whether it\'s to lose weight, build muscle or to unwind after a stressful day, everyone has their own reasons for being here. The [name] community will rally behind you to help you achieve whatever your fitness goals are!</h6>\r\n&nbsp;\r\n\r\n&nbsp;'),(31346,256,'_clicks_panels_4_main_text','field_5c9e9b1a1619d'),(31347,256,'clicks_panels_4_alignment','justify-content-start'),(31348,256,'_clicks_panels_4_alignment','field_5c9e9b401619e'),(31349,256,'clicks_panels_4_button_text','GET STARTED!'),(31350,256,'_clicks_panels_4_button_text','field_5c9e9bba161a0'),(31351,256,'clicks_panels_4_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(31352,256,'_clicks_panels_4_button_link','field_5c9e9bcf161a1'),(31353,256,'clicks_panels_4_button_style','solid'),(31354,256,'_clicks_panels_4_button_style','field_5c9e9c0c161a2'),(31355,256,'clicks_panels_4_button_color','dark'),(31356,256,'_clicks_panels_4_button_color','field_5c9e9cae161a3'),(31357,256,'clicks_panels_4_button_alignment','text-left'),(31358,256,'_clicks_panels_4_button_alignment','field_5c9e9cf9161a4'),(31359,256,'clicks_panels_4_button',''),(31360,256,'_clicks_panels_4_button','field_5c9e9b951619f'),(31361,256,'clicks_panels_4_bg_type','image'),(31362,256,'_clicks_panels_4_bg_type','field_5cbe21c7dbf3e'),(31363,256,'clicks_panels_4_panel_height','auto'),(31364,256,'_clicks_panels_4_panel_height','field_5cd1d3dab69ad'),(31365,256,'clicks_panels_4_bg_desk',''),(31366,256,'_clicks_panels_4_bg_desk','field_5c9ea0972a746'),(31367,256,'clicks_panels_4_bg_mobile',''),(31368,256,'_clicks_panels_4_bg_mobile','field_5d1f80086362f'),(31369,256,'clicks_panels_4_horz_align_desk','center'),(31370,256,'_clicks_panels_4_horz_align_desk','field_5c9ea1dd2a74a'),(31371,256,'clicks_panels_4_horz_align_mob','center'),(31372,256,'_clicks_panels_4_horz_align_mob','field_5c9ea2312a74b'),(31373,256,'clicks_panels_4_vert_align_desk','center'),(31374,256,'_clicks_panels_4_vert_align_desk','field_5c9ea3172a74d'),(31375,256,'clicks_panels_4_vert_align_mob','center'),(31376,256,'_clicks_panels_4_vert_align_mob','field_5c9ea2d82a74c'),(31377,256,'clicks_panels_4_overlay_color','#1e1547'),(31378,256,'_clicks_panels_4_overlay_color','field_5cd1c164de92f'),(31379,256,'clicks_panels_4_text_color','#FFF'),(31380,256,'_clicks_panels_4_text_color','field_5cd1d304b69ac'),(31381,256,'clicks_panels_4_overlay_opacity_desk','0.6'),(31382,256,'_clicks_panels_4_overlay_opacity_desk','field_5c9ea48d144e3'),(31383,256,'clicks_panels_4_overlay_opacity_mob','0.5'),(31384,256,'_clicks_panels_4_overlay_opacity_mob','field_5c9ea509144e5'),(31385,256,'clicks_panels_5_intro',''),(31386,256,'_clicks_panels_5_intro','field_5c75d8409f209'),(31387,256,'clicks_panels_5_category',''),(31388,256,'_clicks_panels_5_category','field_5c588fe3ce75d'),(31389,256,'clicks_panels_5_bg_color','#F7F7F7'),(31390,256,'_clicks_panels_5_bg_color','field_5c589033ce75e'),(31391,256,'clicks_panels_5_text_color','#000'),(31392,256,'_clicks_panels_5_text_color','field_5c58904ace75f'),(31393,256,'footer_panels_0_content','<h3 style=\"text-align: center;\">GET STARTED TODAY!</h3>\r\n&nbsp;'),(31394,256,'_footer_panels_0_content','field_5c6c9f39ba7aa'),(31395,256,'footer_panels_0_button_alignment','center'),(31396,256,'_footer_panels_0_button_alignment','field_5c770495b0d55'),(31397,256,'footer_panels_0_buttons_0_text','SIGN UP!'),(31398,256,'_footer_panels_0_buttons_0_text','field_5c6c9fa3ba7ad'),(31399,256,'footer_panels_0_buttons_0_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#top\";s:6:\"target\";s:0:\"\";}'),(31400,256,'_footer_panels_0_buttons_0_link','field_5c6c9facba7ae'),(31401,256,'footer_panels_0_buttons_0_style','solid'),(31402,256,'_footer_panels_0_buttons_0_style','field_5c6c9fc4ba7af'),(31403,256,'footer_panels_0_buttons_0_color','dark'),(31404,256,'_footer_panels_0_buttons_0_color','field_5c77013805894'),(31405,256,'footer_panels_0_buttons','1'),(31406,256,'_footer_panels_0_buttons','field_5c6c9f88ba7ac'),(31407,256,'footer_panels_0_desk_bg_img',''),(31408,256,'_footer_panels_0_desk_bg_img','field_5c6c9eb1ba7a7'),(31409,256,'footer_panels_0_mob_bg_img',''),(31410,256,'_footer_panels_0_mob_bg_img','field_5d1f8056df761'),(31411,256,'footer_panels_0_horz_align_desk','center'),(31412,256,'_footer_panels_0_horz_align_desk','field_5c6d973489804'),(31413,256,'footer_panels_0_horz_align_mob','center'),(31414,256,'_footer_panels_0_horz_align_mob','field_5c6d984789806'),(31415,256,'footer_panels_0_vert_align_desk','center'),(31416,256,'_footer_panels_0_vert_align_desk','field_5c6d978c89805'),(31417,256,'footer_panels_0_vert_align_mob','center'),(31418,256,'_footer_panels_0_vert_align_mob','field_5c6d986589807'),(31419,256,'footer_panels_0_overlay_type','dark'),(31420,256,'_footer_panels_0_overlay_type','field_5c6c9ee1ba7a8'),(31421,256,'footer_panels_0_overlay_opacity','0.4'),(31422,256,'_footer_panels_0_overlay_opacity','field_5c6c9f09ba7a9'),(31423,256,'footer_panels_0_text_color','#ffffff'),(31424,256,'_footer_panels_0_text_color','field_5c6d94a160bed'),(31425,256,'footer_panels_0_alignment','justify-content-center'),(31426,256,'_footer_panels_0_alignment','field_5c6d94b560bee'),(31427,256,'page_mbo_submit_btn',''),(31428,256,'_page_mbo_submit_btn','field_5cc7635670181'),(31429,256,'page_mbo_btn_style','solid'),(31430,256,'_page_mbo_btn_style','field_5cc76356701bf'),(31431,256,'page_mbo_btn_color','dark'),(31432,256,'_page_mbo_btn_color','field_5cc76356701fc'),(31433,256,'page_mbo_btn_align','text-center'),(31434,256,'_page_mbo_btn_align','field_5cc763567023c'),(31435,256,'page_mbo_btn_onclick',''),(31436,256,'_page_mbo_btn_onclick','field_5cc763567027a'),(31437,256,'page_mbo_send_to',''),(31438,256,'_page_mbo_send_to','field_5cc763567030a'),(31439,256,'page_mbo_cc',''),(31440,256,'_page_mbo_cc','field_5cc763567034b'),(31441,256,'page_mbo_show_locations','0'),(31442,256,'_page_mbo_show_locations','field_5cc763567c799'),(31443,256,'page_mbo_campaign_name',''),(31444,256,'_page_mbo_campaign_name','field_5cc763567d8bb'),(31445,256,'page_mbo_success',''),(31446,256,'_page_mbo_success','field_5cc7635682baa'),(31447,256,'page_mbo_share_align','text-center'),(31448,256,'_page_mbo_share_align','field_5cc76356851e1'),(31449,256,'page_mbo_booking_msg',''),(31450,256,'_page_mbo_booking_msg','field_5cc7635686ed4'),(31451,256,'page_mbo_booking_btn',''),(31452,256,'_page_mbo_booking_btn','field_5ce44499cd167'),(31453,256,'page_mbo_booking_success',''),(31454,256,'_page_mbo_booking_success','field_5cc7635683f38'),(31458,257,'_countdown_end_date','field_5c8963467234d'),(31459,257,'countdown_inline_text',''),(31460,257,'_countdown_inline_text','field_5ce86808cb169'),(31461,257,'countdown_align','justify-content-start'),(31462,257,'_countdown_align','field_5ce86828cb16a'),(31463,257,'page_description',''),(31464,257,'_page_description','field_5d0d36e3a4650'),(31465,257,'hero_panels','a:1:{i:0;s:8:\"image_bg\";}'),(31466,257,'_hero_panels','field_5c5a122054b69'),(31467,257,'clicks_panels','a:6:{i:0;s:13:\"content_panel\";i:1;s:19:\"content_image_panel\";i:2;s:19:\"content_image_panel\";i:3;s:19:\"content_image_panel\";i:4;s:13:\"feature_panel\";i:5;s:18:\"testimonial_slider\";}'),(31468,257,'_clicks_panels','field_598249dea423d'),(31469,257,'footer_panels','a:1:{i:0;s:10:\"full_width\";}'),(31470,257,'_footer_panels','field_5c6c9e7eba7a6'),(31471,257,'google_conversion_id',''),(31472,257,'_google_conversion_id','field_5c8ac5e7c5da3'),(31473,257,'google_conversion_label',''),(31474,257,'_google_conversion_label','field_5c8ac5e7c5dea'),(31475,257,'head_area_embed',''),(31476,257,'_head_area_embed','field_5c8ac5e7c5e35'),(31477,257,'body_area_embed',''),(31478,257,'_body_area_embed','field_5c8ac5e7c5e79'),(31479,257,'footer_area_embed',''),(31480,257,'_footer_area_embed','field_5c9d110ffa064'),(31481,257,'page_cr_referral_id',''),(31482,257,'_page_cr_referral_id','field_5c804db29810f'),(31483,257,'page_cr_prospect_id',''),(31484,257,'_page_cr_prospect_id','field_5c8063e1fa49e'),(31485,257,'page_cr_user_id',''),(31486,257,'_page_cr_user_id','field_5cc770c9ef77c'),(31487,257,'page_cr_radius',''),(31488,257,'_page_cr_radius','field_5c804db2981e0'),(31489,257,'cr_shortcode_generator',''),(31490,257,'_cr_shortcode_generator','field_5c83e2ef816ab'),(31491,257,'page_cr_submit_btn',''),(31492,257,'_page_cr_submit_btn','field_5c8ab548ea23d'),(31493,257,'page_cr_btn_style',''),(31494,257,'_page_cr_btn_style','field_5c8aeb34680ab'),(31495,257,'page_cr_btn_color',''),(31496,257,'_page_cr_btn_color','field_5cae428b706b5'),(31497,257,'page_cr_btn_align',''),(31498,257,'_page_cr_btn_align','field_5c8acf72c171d'),(31499,257,'page_cr_btn_onclick',''),(31500,257,'_page_cr_btn_onclick','field_5c8aeb5b680ac'),(31501,257,'page_cr_send_to',''),(31502,257,'_page_cr_send_to','field_5c8ab548ea28b'),(31503,257,'page_cr_cc',''),(31504,257,'_page_cr_cc','field_5c8ab548ea2d1'),(31505,257,'page_cr_show_locations','0'),(31506,257,'_page_cr_show_locations','field_5c8ab548eedde'),(31507,257,'page_cr_campaign_name',''),(31508,257,'_page_cr_campaign_name','field_5c8ab548efc68'),(31509,257,'page_cr_tt_store_id',''),(31510,257,'_page_cr_tt_store_id','field_5c8ab548f0afc'),(31511,257,'page_cr_template_id',''),(31512,257,'_page_cr_template_id','field_5c8ab548f1b68'),(31513,257,'page_cr_success',''),(31514,257,'_page_cr_success','field_5c8ab548f325a'),(31515,257,'page_cr_share_align',''),(31516,257,'_page_cr_share_align','field_5c9024916a377'),(31517,257,'page_cr_booking_msg',''),(31518,257,'_page_cr_booking_msg','field_5c8aeddca1987'),(31519,257,'page_cr_booking_btn',''),(31520,257,'_page_cr_booking_btn','field_5ce43a4152682'),(31521,257,'page_cr_booking_success',''),(31522,257,'_page_cr_booking_success','field_5c901deb14a3b'),(31523,257,'page_cr_payments_url',''),(31524,257,'_page_cr_payments_url','field_5dc31fc6af861'),(31525,257,'hero_panels_0_hero_type','fixed'),(31526,257,'_hero_panels_0_hero_type','field_5c5c6593013b2'),(31527,257,'hero_panels_0_content_0_content','<h2>Buy One Get One FREE</h2>\r\n<strong>Do you Rumble? ZERO experience is necessary to get the most out of our boxing-inspired group fitness classes. Buy class and get one FREE today!</strong>'),(31528,257,'_hero_panels_0_content_0_content','field_5c5a253154b6e'),(31529,257,'hero_panels_0_content_0_button_alignment','text-left'),(31530,257,'_hero_panels_0_content_0_button_alignment','field_5c76fad1e6aa6'),(31531,257,'hero_panels_0_content_0_buttons',''),(31532,257,'_hero_panels_0_content_0_buttons','field_5c5a255454b6f'),(31533,257,'hero_panels_0_content_1_content','<h3 style=\"text-align: center;\"><strong>Book Your First Class!</strong></h3>\r\n<p style=\"text-align: center;\">[extra_mindbody_form]</p>'),(31534,257,'_hero_panels_0_content_1_content','field_5c5a253154b6e'),(31535,257,'hero_panels_0_content_1_button_alignment','text-left'),(31536,257,'_hero_panels_0_content_1_button_alignment','field_5c76fad1e6aa6'),(31537,257,'hero_panels_0_content_1_buttons',''),(31538,257,'_hero_panels_0_content_1_buttons','field_5c5a255454b6f'),(31539,257,'hero_panels_0_content','2'),(31540,257,'_hero_panels_0_content','field_5c86d128b1d24'),(31541,257,'hero_panels_0_desk_bg_img',''),(31542,257,'_hero_panels_0_desk_bg_img','field_5c5a24e254b6c'),(31543,257,'hero_panels_0_mob_bg_img',''),(31544,257,'_hero_panels_0_mob_bg_img','field_5d1f7f8a74259'),(31545,257,'hero_panels_0_horz_align_desk','center'),(31546,257,'_hero_panels_0_horz_align_desk','field_5c8aacf58fa29'),(31547,257,'hero_panels_0_horz_align_mob','center'),(31548,257,'_hero_panels_0_horz_align_mob','field_5c8aaf79121c0'),(31549,257,'hero_panels_0_vert_align_desk','center'),(31550,257,'_hero_panels_0_vert_align_desk','field_5c8aaf8a121c1'),(31551,257,'hero_panels_0_vert_align_mob','center'),(31552,257,'_hero_panels_0_vert_align_mob','field_5c8aafa0121c2'),(31553,257,'hero_panels_0_overlay_type','dark'),(31554,257,'_hero_panels_0_overlay_type','field_5c5a247654b6a'),(31555,257,'hero_panels_0_overlay_opacity','0.5'),(31556,257,'_hero_panels_0_overlay_opacity','field_5c5a24a354b6b'),(31557,257,'hero_panels_0_alignment','justify-content-start'),(31558,257,'_hero_panels_0_alignment','field_5c65d2663c716'),(31559,257,'clicks_panels_0_content_box_0_content','<h3>WHAT IS\r\nF45 TRAINING?</h3>\r\n&nbsp;\r\n\r\nThe F stands for Functional Training, a mix of circuit and High Intensity Interval Training (HIIT) style workouts geared towards everyday movement. 45 is the total amount of time for sweat-dripping heart-pumping fun.\r\n\r\n&nbsp;'),(31560,257,'_clicks_panels_0_content_box_0_content','field_59824a06a423e'),(31561,257,'clicks_panels_0_content_box_0_vertical_alignment','center'),(31562,257,'_clicks_panels_0_content_box_0_vertical_alignment','field_5cd09e2416d20'),(31563,257,'clicks_panels_0_content_box_0_button_text','GET STARTED'),(31564,257,'_clicks_panels_0_content_box_0_button_text','field_5c4cb9a588fe9'),(31565,257,'clicks_panels_0_content_box_0_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(31566,257,'_clicks_panels_0_content_box_0_button_link','field_5c4cb9ad88fea'),(31567,257,'clicks_panels_0_content_box_0_button_style','hollow'),(31568,257,'_clicks_panels_0_content_box_0_button_style','field_5c4cb9c388feb'),(31569,257,'clicks_panels_0_content_box_0_button_color','dark'),(31570,257,'_clicks_panels_0_content_box_0_button_color','field_5c75e256ce6d1'),(31571,257,'clicks_panels_0_content_box_0_button_alignment','text-left'),(31572,257,'_clicks_panels_0_content_box_0_button_alignment','field_5c6df6e3ac062'),(31573,257,'clicks_panels_0_content_box_0_button',''),(31574,257,'_clicks_panels_0_content_box_0_button','field_5c4cb99788fe8'),(31575,257,'clicks_panels_0_content_box_1_content','https://vimeo.com/489588216'),(31576,257,'_clicks_panels_0_content_box_1_content','field_59824a06a423e'),(31577,257,'clicks_panels_0_content_box_1_vertical_alignment','center'),(31578,257,'_clicks_panels_0_content_box_1_vertical_alignment','field_5cd09e2416d20'),(31579,257,'clicks_panels_0_content_box_1_button_text',''),(31580,257,'_clicks_panels_0_content_box_1_button_text','field_5c4cb9a588fe9'),(31581,257,'clicks_panels_0_content_box_1_button_link',''),(31582,257,'_clicks_panels_0_content_box_1_button_link','field_5c4cb9ad88fea'),(31583,257,'clicks_panels_0_content_box_1_button_style','hollow'),(31584,257,'_clicks_panels_0_content_box_1_button_style','field_5c4cb9c388feb'),(31585,257,'clicks_panels_0_content_box_1_button_color','dark'),(31586,257,'_clicks_panels_0_content_box_1_button_color','field_5c75e256ce6d1'),(31587,257,'clicks_panels_0_content_box_1_button_alignment','text-left'),(31588,257,'_clicks_panels_0_content_box_1_button_alignment','field_5c6df6e3ac062'),(31589,257,'clicks_panels_0_content_box_1_button',''),(31590,257,'_clicks_panels_0_content_box_1_button','field_5c4cb99788fe8'),(31591,257,'clicks_panels_0_content_box','2'),(31592,257,'_clicks_panels_0_content_box','field_5c749908df8b2'),(31593,257,'clicks_panels_0_bg_color','#ffffff'),(31594,257,'_clicks_panels_0_bg_color','field_5c4cb7651cfce'),(31595,257,'clicks_panels_0_text_color','#000000'),(31596,257,'_clicks_panels_0_text_color','field_5c6e06291f0cb'),(31597,257,'clicks_panels_1_content','<h3>INNOVATION.</h3>\r\n&nbsp;\r\n\r\nOur functional training classes continuously evolve so virtually no two workouts are ever the same!\r\n\r\n&nbsp;'),(31598,257,'_clicks_panels_1_content','field_59824ac3a4240'),(31599,257,'clicks_panels_1_image',''),(31600,257,'_clicks_panels_1_image','field_59824af3a4241'),(31601,257,'clicks_panels_1_layout','order-1'),(31602,257,'_clicks_panels_1_layout','field_59824b08a4242'),(31603,257,'clicks_panels_1_type','full'),(31604,257,'_clicks_panels_1_type','field_5ce5ad7b86b1e'),(31605,257,'clicks_panels_1_vertical_alignment','center'),(31606,257,'_clicks_panels_1_vertical_alignment','field_5cd09ecd16d21'),(31607,257,'clicks_panels_1_button_text','GET STARTED!'),(31608,257,'_clicks_panels_1_button_text','field_5c4cb9e488fed'),(31609,257,'clicks_panels_1_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(31610,257,'_clicks_panels_1_button_link','field_5c4cb9e488fee'),(31611,257,'clicks_panels_1_button_style','hollow'),(31612,257,'_clicks_panels_1_button_style','field_5c4cb9e488fef'),(31613,257,'clicks_panels_1_button_color','dark'),(31614,257,'_clicks_panels_1_button_color','field_5c75ca9870d43'),(31615,257,'clicks_panels_1_button_alignment','text-left'),(31616,257,'_clicks_panels_1_button_alignment','field_5c6df75dac064'),(31617,257,'clicks_panels_1_button',''),(31618,257,'_clicks_panels_1_button','field_5c4cb9e488fec'),(31619,257,'clicks_panels_1_bg_color','#f2f2f2'),(31620,257,'_clicks_panels_1_bg_color','field_5c4cb79c1cfcf'),(31621,257,'clicks_panels_1_text_color','#000000'),(31622,257,'_clicks_panels_1_text_color','field_5c6e064d1f0cc'),(31623,257,'page_mbo_location_id',''),(31624,257,'_page_mbo_location_id','field_5cc762e29e383'),(31625,257,'page_mbo_referred_by',''),(31626,257,'_page_mbo_referred_by','field_5cc762e29e3ce'),(31627,257,'page_mbo_radius',''),(31628,257,'_page_mbo_radius','field_5cc762e29e444'),(31629,257,'mbo_shortcode_generator','a:1:{i:0;s:19:\"extra_mindbody_form\";}'),(31630,257,'_mbo_shortcode_generator','field_5cc7644d20afb'),(31631,257,'clicks_panels_2_content','<h3>MOTIVATION.</h3>\r\n&nbsp;\r\n\r\nThe motivation and encouragement in a group training facility creates a pulsing, upbeat environment where goals are met and exceeded.\r\n\r\n&nbsp;'),(31632,257,'_clicks_panels_2_content','field_59824ac3a4240'),(31633,257,'clicks_panels_2_image',''),(31634,257,'_clicks_panels_2_image','field_59824af3a4241'),(31635,257,'clicks_panels_2_layout','order-1 order-md-12'),(31636,257,'_clicks_panels_2_layout','field_59824b08a4242'),(31637,257,'clicks_panels_2_type','full'),(31638,257,'_clicks_panels_2_type','field_5ce5ad7b86b1e'),(31639,257,'clicks_panels_2_vertical_alignment','center'),(31640,257,'_clicks_panels_2_vertical_alignment','field_5cd09ecd16d21'),(31641,257,'clicks_panels_2_button_text','GET STARTED!'),(31642,257,'_clicks_panels_2_button_text','field_5c4cb9e488fed'),(31643,257,'clicks_panels_2_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(31644,257,'_clicks_panels_2_button_link','field_5c4cb9e488fee'),(31645,257,'clicks_panels_2_button_style','hollow'),(31646,257,'_clicks_panels_2_button_style','field_5c4cb9e488fef'),(31647,257,'clicks_panels_2_button_color','dark'),(31648,257,'_clicks_panels_2_button_color','field_5c75ca9870d43'),(31649,257,'clicks_panels_2_button_alignment','text-left'),(31650,257,'_clicks_panels_2_button_alignment','field_5c6df75dac064'),(31651,257,'clicks_panels_2_button',''),(31652,257,'_clicks_panels_2_button','field_5c4cb9e488fec'),(31653,257,'clicks_panels_2_bg_color','#f2f2f2'),(31654,257,'_clicks_panels_2_bg_color','field_5c4cb79c1cfcf'),(31655,257,'clicks_panels_2_text_color','#000000'),(31656,257,'_clicks_panels_2_text_color','field_5c6e064d1f0cc'),(31657,257,'clicks_panels_3_content','<h3>RESULTS.</h3>\r\n&nbsp;\r\n\r\nWhen it comes to weight management, good nutrition is vital. [name] gives all members access to their own free personal nutrition program to achieve health objectives with daily meal plans, tracking, and community support. Welcome to the [name] Challenge.\r\n\r\n&nbsp;'),(31658,257,'_clicks_panels_3_content','field_59824ac3a4240'),(31659,257,'clicks_panels_3_image',''),(31660,257,'_clicks_panels_3_image','field_59824af3a4241'),(31661,257,'clicks_panels_3_layout','order-1'),(31662,257,'_clicks_panels_3_layout','field_59824b08a4242'),(31663,257,'clicks_panels_3_type','full'),(31664,257,'_clicks_panels_3_type','field_5ce5ad7b86b1e'),(31665,257,'clicks_panels_3_vertical_alignment','center'),(31666,257,'_clicks_panels_3_vertical_alignment','field_5cd09ecd16d21'),(31667,257,'clicks_panels_3_button_text','GET STARTED!'),(31668,257,'_clicks_panels_3_button_text','field_5c4cb9e488fed'),(31669,257,'clicks_panels_3_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(31670,257,'_clicks_panels_3_button_link','field_5c4cb9e488fee'),(31671,257,'clicks_panels_3_button_style','hollow'),(31672,257,'_clicks_panels_3_button_style','field_5c4cb9e488fef'),(31673,257,'clicks_panels_3_button_color','dark'),(31674,257,'_clicks_panels_3_button_color','field_5c75ca9870d43'),(31675,257,'clicks_panels_3_button_alignment','text-left'),(31676,257,'_clicks_panels_3_button_alignment','field_5c6df75dac064'),(31677,257,'clicks_panels_3_button',''),(31678,257,'_clicks_panels_3_button','field_5c4cb9e488fec'),(31679,257,'clicks_panels_3_bg_color','#f2f2f2'),(31680,257,'_clicks_panels_3_bg_color','field_5c4cb79c1cfcf'),(31681,257,'clicks_panels_3_text_color','#000000'),(31682,257,'_clicks_panels_3_text_color','field_5c6e064d1f0cc'),(31683,257,'clicks_panels_4_main_text','<h3>[name] IS A COMMUNITY!</h3>\r\n&nbsp;\r\n<h6>Every member is on their own fitness journey. Whether it\'s to lose weight, build muscle or to unwind after a stressful day, everyone has their own reasons for being here. The [name] community will rally behind you to help you achieve whatever your fitness goals are!</h6>\r\n&nbsp;\r\n\r\n&nbsp;'),(31684,257,'_clicks_panels_4_main_text','field_5c9e9b1a1619d'),(31685,257,'clicks_panels_4_alignment','justify-content-start'),(31686,257,'_clicks_panels_4_alignment','field_5c9e9b401619e'),(31687,257,'clicks_panels_4_button_text','GET STARTED!'),(31688,257,'_clicks_panels_4_button_text','field_5c9e9bba161a0'),(31689,257,'clicks_panels_4_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(31690,257,'_clicks_panels_4_button_link','field_5c9e9bcf161a1'),(31691,257,'clicks_panels_4_button_style','solid'),(31692,257,'_clicks_panels_4_button_style','field_5c9e9c0c161a2'),(31693,257,'clicks_panels_4_button_color','dark'),(31694,257,'_clicks_panels_4_button_color','field_5c9e9cae161a3'),(31695,257,'clicks_panels_4_button_alignment','text-left'),(31696,257,'_clicks_panels_4_button_alignment','field_5c9e9cf9161a4'),(31697,257,'clicks_panels_4_button',''),(31698,257,'_clicks_panels_4_button','field_5c9e9b951619f'),(31699,257,'clicks_panels_4_bg_type','image'),(31700,257,'_clicks_panels_4_bg_type','field_5cbe21c7dbf3e'),(31701,257,'clicks_panels_4_panel_height','auto'),(31702,257,'_clicks_panels_4_panel_height','field_5cd1d3dab69ad'),(31703,257,'clicks_panels_4_bg_desk',''),(31704,257,'_clicks_panels_4_bg_desk','field_5c9ea0972a746'),(31705,257,'clicks_panels_4_bg_mobile',''),(31706,257,'_clicks_panels_4_bg_mobile','field_5d1f80086362f'),(31707,257,'clicks_panels_4_horz_align_desk','center'),(31708,257,'_clicks_panels_4_horz_align_desk','field_5c9ea1dd2a74a'),(31709,257,'clicks_panels_4_horz_align_mob','center'),(31710,257,'_clicks_panels_4_horz_align_mob','field_5c9ea2312a74b'),(31711,257,'clicks_panels_4_vert_align_desk','center'),(31712,257,'_clicks_panels_4_vert_align_desk','field_5c9ea3172a74d'),(31713,257,'clicks_panels_4_vert_align_mob','center'),(31714,257,'_clicks_panels_4_vert_align_mob','field_5c9ea2d82a74c'),(31715,257,'clicks_panels_4_overlay_color','#1e1547'),(31716,257,'_clicks_panels_4_overlay_color','field_5cd1c164de92f'),(31717,257,'clicks_panels_4_text_color','#FFF'),(31718,257,'_clicks_panels_4_text_color','field_5cd1d304b69ac'),(31719,257,'clicks_panels_4_overlay_opacity_desk','0.6'),(31720,257,'_clicks_panels_4_overlay_opacity_desk','field_5c9ea48d144e3'),(31721,257,'clicks_panels_4_overlay_opacity_mob','0.5'),(31722,257,'_clicks_panels_4_overlay_opacity_mob','field_5c9ea509144e5'),(31723,257,'clicks_panels_5_intro',''),(31724,257,'_clicks_panels_5_intro','field_5c75d8409f209'),(31725,257,'clicks_panels_5_category',''),(31726,257,'_clicks_panels_5_category','field_5c588fe3ce75d'),(31727,257,'clicks_panels_5_bg_color','#F7F7F7'),(31728,257,'_clicks_panels_5_bg_color','field_5c589033ce75e'),(31729,257,'clicks_panels_5_text_color','#000'),(31730,257,'_clicks_panels_5_text_color','field_5c58904ace75f'),(31731,257,'footer_panels_0_content','<h3 style=\"text-align: center;\">GET STARTED TODAY!</h3>\r\n&nbsp;'),(31732,257,'_footer_panels_0_content','field_5c6c9f39ba7aa'),(31733,257,'footer_panels_0_button_alignment','center'),(31734,257,'_footer_panels_0_button_alignment','field_5c770495b0d55'),(31735,257,'footer_panels_0_buttons_0_text','SIGN UP!'),(31736,257,'_footer_panels_0_buttons_0_text','field_5c6c9fa3ba7ad'),(31737,257,'footer_panels_0_buttons_0_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#top\";s:6:\"target\";s:0:\"\";}'),(31738,257,'_footer_panels_0_buttons_0_link','field_5c6c9facba7ae'),(31739,257,'footer_panels_0_buttons_0_style','solid'),(31740,257,'_footer_panels_0_buttons_0_style','field_5c6c9fc4ba7af'),(31741,257,'footer_panels_0_buttons_0_color','dark'),(31742,257,'_footer_panels_0_buttons_0_color','field_5c77013805894'),(31743,257,'footer_panels_0_buttons','1'),(31744,257,'_footer_panels_0_buttons','field_5c6c9f88ba7ac'),(31745,257,'footer_panels_0_desk_bg_img',''),(31746,257,'_footer_panels_0_desk_bg_img','field_5c6c9eb1ba7a7'),(31747,257,'footer_panels_0_mob_bg_img',''),(31748,257,'_footer_panels_0_mob_bg_img','field_5d1f8056df761'),(31749,257,'footer_panels_0_horz_align_desk','center'),(31750,257,'_footer_panels_0_horz_align_desk','field_5c6d973489804'),(31751,257,'footer_panels_0_horz_align_mob','center'),(31752,257,'_footer_panels_0_horz_align_mob','field_5c6d984789806'),(31753,257,'footer_panels_0_vert_align_desk','center'),(31754,257,'_footer_panels_0_vert_align_desk','field_5c6d978c89805'),(31755,257,'footer_panels_0_vert_align_mob','center'),(31756,257,'_footer_panels_0_vert_align_mob','field_5c6d986589807'),(31757,257,'footer_panels_0_overlay_type','dark'),(31758,257,'_footer_panels_0_overlay_type','field_5c6c9ee1ba7a8'),(31759,257,'footer_panels_0_overlay_opacity','0.4'),(31760,257,'_footer_panels_0_overlay_opacity','field_5c6c9f09ba7a9'),(31761,257,'footer_panels_0_text_color','#ffffff'),(31762,257,'_footer_panels_0_text_color','field_5c6d94a160bed'),(31763,257,'footer_panels_0_alignment','justify-content-center'),(31764,257,'_footer_panels_0_alignment','field_5c6d94b560bee'),(31765,257,'page_mbo_submit_btn',''),(31766,257,'_page_mbo_submit_btn','field_5cc7635670181'),(31767,257,'page_mbo_btn_style','solid'),(31768,257,'_page_mbo_btn_style','field_5cc76356701bf'),(31769,257,'page_mbo_btn_color','dark'),(31770,257,'_page_mbo_btn_color','field_5cc76356701fc'),(31771,257,'page_mbo_btn_align','text-center'),(31772,257,'_page_mbo_btn_align','field_5cc763567023c'),(31773,257,'page_mbo_btn_onclick',''),(31774,257,'_page_mbo_btn_onclick','field_5cc763567027a'),(31775,257,'page_mbo_send_to',''),(31776,257,'_page_mbo_send_to','field_5cc763567030a'),(31777,257,'page_mbo_cc',''),(31778,257,'_page_mbo_cc','field_5cc763567034b'),(31779,257,'page_mbo_show_locations','0'),(31780,257,'_page_mbo_show_locations','field_5cc763567c799'),(31781,257,'page_mbo_campaign_name',''),(31782,257,'_page_mbo_campaign_name','field_5cc763567d8bb'),(31783,257,'page_mbo_success',''),(31784,257,'_page_mbo_success','field_5cc7635682baa'),(31785,257,'page_mbo_share_align','text-center'),(31786,257,'_page_mbo_share_align','field_5cc76356851e1'),(31787,257,'page_mbo_booking_msg',''),(31788,257,'_page_mbo_booking_msg','field_5cc7635686ed4'),(31789,257,'page_mbo_booking_btn',''),(31790,257,'_page_mbo_booking_btn','field_5ce44499cd167'),(31791,257,'page_mbo_booking_success',''),(31792,257,'_page_mbo_booking_success','field_5cc7635683f38'),(31793,257,'mbo_shortcode_generator_0_signup','0'),(31794,257,'_mbo_shortcode_generator_0_signup','field_5daf3d245b13b'),(31795,255,'cr_shortcode_generator_0_signup','0'),(31796,255,'_cr_shortcode_generator_0_signup','field_5c841ca656bb0'),(31797,255,'cr_shortcode_generator_0_locations',''),(31798,255,'_cr_shortcode_generator_0_locations','field_5c841ca656bb1'),(31799,255,'cr_shortcode_generator_0_radius','20'),(31800,255,'_cr_shortcode_generator_0_radius','field_5c841ca656bb2'),(31801,258,'countdown_end_date',''),(31802,258,'_countdown_end_date','field_5c8963467234d'),(31803,258,'countdown_inline_text',''),(31804,258,'_countdown_inline_text','field_5ce86808cb169'),(31805,258,'countdown_align','justify-content-start'),(31806,258,'_countdown_align','field_5ce86828cb16a'),(31807,258,'page_description',''),(31808,258,'_page_description','field_5d0d36e3a4650'),(31809,258,'hero_panels','a:1:{i:0;s:8:\"image_bg\";}'),(31810,258,'_hero_panels','field_5c5a122054b69'),(31811,258,'clicks_panels','a:6:{i:0;s:13:\"content_panel\";i:1;s:19:\"content_image_panel\";i:2;s:19:\"content_image_panel\";i:3;s:19:\"content_image_panel\";i:4;s:13:\"feature_panel\";i:5;s:18:\"testimonial_slider\";}'),(31812,258,'_clicks_panels','field_598249dea423d'),(31813,258,'footer_panels','a:1:{i:0;s:10:\"full_width\";}'),(31814,258,'_footer_panels','field_5c6c9e7eba7a6'),(31815,258,'google_conversion_id',''),(31816,258,'_google_conversion_id','field_5c8ac5e7c5da3'),(31817,258,'google_conversion_label',''),(31818,258,'_google_conversion_label','field_5c8ac5e7c5dea'),(31819,258,'head_area_embed',''),(31820,258,'_head_area_embed','field_5c8ac5e7c5e35'),(31821,258,'body_area_embed',''),(31822,258,'_body_area_embed','field_5c8ac5e7c5e79'),(31823,258,'footer_area_embed',''),(31824,258,'_footer_area_embed','field_5c9d110ffa064'),(31825,258,'page_cr_referral_id',''),(31826,258,'_page_cr_referral_id','field_5c804db29810f'),(31827,258,'page_cr_prospect_id',''),(31828,258,'_page_cr_prospect_id','field_5c8063e1fa49e'),(31829,258,'page_cr_user_id',''),(31830,258,'_page_cr_user_id','field_5cc770c9ef77c'),(31831,258,'page_cr_radius',''),(31832,258,'_page_cr_radius','field_5c804db2981e0'),(31833,258,'cr_shortcode_generator','a:1:{i:0;s:20:\"multi_clubready_form\";}'),(31834,258,'_cr_shortcode_generator','field_5c83e2ef816ab'),(31835,258,'page_cr_submit_btn',''),(31836,258,'_page_cr_submit_btn','field_5c8ab548ea23d'),(31837,258,'page_cr_btn_style',''),(31838,258,'_page_cr_btn_style','field_5c8aeb34680ab'),(31839,258,'page_cr_btn_color',''),(31840,258,'_page_cr_btn_color','field_5cae428b706b5'),(31841,258,'page_cr_btn_align',''),(31842,258,'_page_cr_btn_align','field_5c8acf72c171d'),(31843,258,'page_cr_btn_onclick',''),(31844,258,'_page_cr_btn_onclick','field_5c8aeb5b680ac'),(31845,258,'page_cr_send_to',''),(31846,258,'_page_cr_send_to','field_5c8ab548ea28b'),(31847,258,'page_cr_cc',''),(31848,258,'_page_cr_cc','field_5c8ab548ea2d1'),(31849,258,'page_cr_show_locations','0'),(31850,258,'_page_cr_show_locations','field_5c8ab548eedde'),(31851,258,'page_cr_campaign_name',''),(31852,258,'_page_cr_campaign_name','field_5c8ab548efc68'),(31853,258,'page_cr_tt_store_id',''),(31854,258,'_page_cr_tt_store_id','field_5c8ab548f0afc'),(31855,258,'page_cr_template_id',''),(31856,258,'_page_cr_template_id','field_5c8ab548f1b68'),(31857,258,'page_cr_success',''),(31858,258,'_page_cr_success','field_5c8ab548f325a'),(31859,258,'page_cr_share_align',''),(31860,258,'_page_cr_share_align','field_5c9024916a377'),(31861,258,'page_cr_booking_msg',''),(31862,258,'_page_cr_booking_msg','field_5c8aeddca1987'),(31863,258,'page_cr_booking_btn',''),(31864,258,'_page_cr_booking_btn','field_5ce43a4152682'),(31865,258,'page_cr_booking_success',''),(31866,258,'_page_cr_booking_success','field_5c901deb14a3b'),(31867,258,'page_cr_payments_url',''),(31868,258,'_page_cr_payments_url','field_5dc31fc6af861'),(31869,258,'hero_panels_0_hero_type','fixed'),(31870,258,'_hero_panels_0_hero_type','field_5c5c6593013b2'),(31871,258,'hero_panels_0_content_0_content','<h2>Buy One Get One FREE</h2>\r\n<strong>Do you Rumble? ZERO experience is necessary to get the most out of our boxing-inspired group fitness classes. Buy class and get one FREE today!</strong>'),(31872,258,'_hero_panels_0_content_0_content','field_5c5a253154b6e'),(31873,258,'hero_panels_0_content_0_button_alignment','text-left'),(31874,258,'_hero_panels_0_content_0_button_alignment','field_5c76fad1e6aa6'),(31875,258,'hero_panels_0_content_0_buttons',''),(31876,258,'_hero_panels_0_content_0_buttons','field_5c5a255454b6f'),(31877,258,'hero_panels_0_content_1_content','<h3 style=\"text-align: center;\"><strong>Book Your First Class!</strong></h3>\r\n<p style=\"text-align: center;\">[multi_clubready_form radius=\"20\"]</p>'),(31878,258,'_hero_panels_0_content_1_content','field_5c5a253154b6e'),(31879,258,'hero_panels_0_content_1_button_alignment','text-left'),(31880,258,'_hero_panels_0_content_1_button_alignment','field_5c76fad1e6aa6'),(31881,258,'hero_panels_0_content_1_buttons',''),(31882,258,'_hero_panels_0_content_1_buttons','field_5c5a255454b6f'),(31883,258,'hero_panels_0_content','2'),(31884,258,'_hero_panels_0_content','field_5c86d128b1d24'),(31885,258,'hero_panels_0_desk_bg_img',''),(31886,258,'_hero_panels_0_desk_bg_img','field_5c5a24e254b6c'),(31887,258,'hero_panels_0_mob_bg_img',''),(31888,258,'_hero_panels_0_mob_bg_img','field_5d1f7f8a74259'),(31889,258,'hero_panels_0_horz_align_desk','center'),(31890,258,'_hero_panels_0_horz_align_desk','field_5c8aacf58fa29'),(31891,258,'hero_panels_0_horz_align_mob','center'),(31892,258,'_hero_panels_0_horz_align_mob','field_5c8aaf79121c0'),(31893,258,'hero_panels_0_vert_align_desk','center'),(31894,258,'_hero_panels_0_vert_align_desk','field_5c8aaf8a121c1'),(31895,258,'hero_panels_0_vert_align_mob','center'),(31896,258,'_hero_panels_0_vert_align_mob','field_5c8aafa0121c2'),(31897,258,'hero_panels_0_overlay_type','dark'),(31898,258,'_hero_panels_0_overlay_type','field_5c5a247654b6a'),(31899,258,'hero_panels_0_overlay_opacity','0.5'),(31900,258,'_hero_panels_0_overlay_opacity','field_5c5a24a354b6b'),(31901,258,'hero_panels_0_alignment','justify-content-start'),(31902,258,'_hero_panels_0_alignment','field_5c65d2663c716'),(31903,258,'clicks_panels_0_content_box_0_content','<h3>WHAT IS\r\nF45 TRAINING?</h3>\r\n&nbsp;\r\n\r\nThe F stands for Functional Training, a mix of circuit and High Intensity Interval Training (HIIT) style workouts geared towards everyday movement. 45 is the total amount of time for sweat-dripping heart-pumping fun.\r\n\r\n&nbsp;'),(31904,258,'_clicks_panels_0_content_box_0_content','field_59824a06a423e'),(31905,258,'clicks_panels_0_content_box_0_vertical_alignment','center'),(31906,258,'_clicks_panels_0_content_box_0_vertical_alignment','field_5cd09e2416d20'),(31907,258,'clicks_panels_0_content_box_0_button_text','GET STARTED'),(31908,258,'_clicks_panels_0_content_box_0_button_text','field_5c4cb9a588fe9'),(31909,258,'clicks_panels_0_content_box_0_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(31910,258,'_clicks_panels_0_content_box_0_button_link','field_5c4cb9ad88fea'),(31911,258,'clicks_panels_0_content_box_0_button_style','hollow'),(31912,258,'_clicks_panels_0_content_box_0_button_style','field_5c4cb9c388feb'),(31913,258,'clicks_panels_0_content_box_0_button_color','dark'),(31914,258,'_clicks_panels_0_content_box_0_button_color','field_5c75e256ce6d1'),(31915,258,'clicks_panels_0_content_box_0_button_alignment','text-left'),(31916,258,'_clicks_panels_0_content_box_0_button_alignment','field_5c6df6e3ac062'),(31917,258,'clicks_panels_0_content_box_0_button',''),(31918,258,'_clicks_panels_0_content_box_0_button','field_5c4cb99788fe8'),(31919,258,'clicks_panels_0_content_box_1_content','https://vimeo.com/489588216'),(31920,258,'_clicks_panels_0_content_box_1_content','field_59824a06a423e'),(31921,258,'clicks_panels_0_content_box_1_vertical_alignment','center'),(31922,258,'_clicks_panels_0_content_box_1_vertical_alignment','field_5cd09e2416d20'),(31923,258,'clicks_panels_0_content_box_1_button_text',''),(31924,258,'_clicks_panels_0_content_box_1_button_text','field_5c4cb9a588fe9'),(31925,258,'clicks_panels_0_content_box_1_button_link',''),(31926,258,'_clicks_panels_0_content_box_1_button_link','field_5c4cb9ad88fea'),(31927,258,'clicks_panels_0_content_box_1_button_style','hollow'),(31928,258,'_clicks_panels_0_content_box_1_button_style','field_5c4cb9c388feb'),(31929,258,'clicks_panels_0_content_box_1_button_color','dark'),(31930,258,'_clicks_panels_0_content_box_1_button_color','field_5c75e256ce6d1'),(31931,258,'clicks_panels_0_content_box_1_button_alignment','text-left'),(31932,258,'_clicks_panels_0_content_box_1_button_alignment','field_5c6df6e3ac062'),(31933,258,'clicks_panels_0_content_box_1_button',''),(31934,258,'_clicks_panels_0_content_box_1_button','field_5c4cb99788fe8'),(31935,258,'clicks_panels_0_content_box','2'),(31936,258,'_clicks_panels_0_content_box','field_5c749908df8b2'),(31937,258,'clicks_panels_0_bg_color','#ffffff'),(31938,258,'_clicks_panels_0_bg_color','field_5c4cb7651cfce'),(31939,258,'clicks_panels_0_text_color','#000000'),(31940,258,'_clicks_panels_0_text_color','field_5c6e06291f0cb'),(31941,258,'clicks_panels_1_content','<h3>INNOVATION.</h3>\r\n&nbsp;\r\n\r\nOur functional training classes continuously evolve so virtually no two workouts are ever the same!\r\n\r\n&nbsp;'),(31942,258,'_clicks_panels_1_content','field_59824ac3a4240'),(31943,258,'clicks_panels_1_image',''),(31944,258,'_clicks_panels_1_image','field_59824af3a4241'),(31945,258,'clicks_panels_1_layout','order-1'),(31946,258,'_clicks_panels_1_layout','field_59824b08a4242'),(31947,258,'clicks_panels_1_type','full'),(31948,258,'_clicks_panels_1_type','field_5ce5ad7b86b1e'),(31949,258,'clicks_panels_1_vertical_alignment','center'),(31950,258,'_clicks_panels_1_vertical_alignment','field_5cd09ecd16d21'),(31951,258,'clicks_panels_1_button_text','GET STARTED!'),(31952,258,'_clicks_panels_1_button_text','field_5c4cb9e488fed'),(31953,258,'clicks_panels_1_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(31954,258,'_clicks_panels_1_button_link','field_5c4cb9e488fee'),(31955,258,'clicks_panels_1_button_style','hollow'),(31956,258,'_clicks_panels_1_button_style','field_5c4cb9e488fef'),(31957,258,'clicks_panels_1_button_color','dark'),(31958,258,'_clicks_panels_1_button_color','field_5c75ca9870d43'),(31959,258,'clicks_panels_1_button_alignment','text-left'),(31960,258,'_clicks_panels_1_button_alignment','field_5c6df75dac064'),(31961,258,'clicks_panels_1_button',''),(31962,258,'_clicks_panels_1_button','field_5c4cb9e488fec'),(31963,258,'clicks_panels_1_bg_color','#f2f2f2'),(31964,258,'_clicks_panels_1_bg_color','field_5c4cb79c1cfcf'),(31965,258,'clicks_panels_1_text_color','#000000'),(31966,258,'_clicks_panels_1_text_color','field_5c6e064d1f0cc'),(31967,258,'page_mbo_location_id',''),(31968,258,'_page_mbo_location_id','field_5cc762e29e383'),(31969,258,'page_mbo_referred_by',''),(31970,258,'_page_mbo_referred_by','field_5cc762e29e3ce'),(31971,258,'page_mbo_radius',''),(31972,258,'_page_mbo_radius','field_5cc762e29e444'),(31973,258,'mbo_shortcode_generator','a:1:{i:0;s:19:\"extra_mindbody_form\";}'),(31974,258,'_mbo_shortcode_generator','field_5cc7644d20afb'),(31975,258,'clicks_panels_2_content','<h3>MOTIVATION.</h3>\r\n&nbsp;\r\n\r\nThe motivation and encouragement in a group training facility creates a pulsing, upbeat environment where goals are met and exceeded.\r\n\r\n&nbsp;'),(31976,258,'_clicks_panels_2_content','field_59824ac3a4240'),(31977,258,'clicks_panels_2_image',''),(31978,258,'_clicks_panels_2_image','field_59824af3a4241'),(31979,258,'clicks_panels_2_layout','order-1 order-md-12'),(31980,258,'_clicks_panels_2_layout','field_59824b08a4242'),(31981,258,'clicks_panels_2_type','full'),(31982,258,'_clicks_panels_2_type','field_5ce5ad7b86b1e'),(31983,258,'clicks_panels_2_vertical_alignment','center'),(31984,258,'_clicks_panels_2_vertical_alignment','field_5cd09ecd16d21'),(31985,258,'clicks_panels_2_button_text','GET STARTED!'),(31986,258,'_clicks_panels_2_button_text','field_5c4cb9e488fed'),(31987,258,'clicks_panels_2_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(31988,258,'_clicks_panels_2_button_link','field_5c4cb9e488fee'),(31989,258,'clicks_panels_2_button_style','hollow'),(31990,258,'_clicks_panels_2_button_style','field_5c4cb9e488fef'),(31991,258,'clicks_panels_2_button_color','dark'),(31992,258,'_clicks_panels_2_button_color','field_5c75ca9870d43'),(31993,258,'clicks_panels_2_button_alignment','text-left'),(31994,258,'_clicks_panels_2_button_alignment','field_5c6df75dac064'),(31995,258,'clicks_panels_2_button',''),(31996,258,'_clicks_panels_2_button','field_5c4cb9e488fec'),(31997,258,'clicks_panels_2_bg_color','#f2f2f2'),(31998,258,'_clicks_panels_2_bg_color','field_5c4cb79c1cfcf'),(31999,258,'clicks_panels_2_text_color','#000000'),(32000,258,'_clicks_panels_2_text_color','field_5c6e064d1f0cc'),(32001,258,'clicks_panels_3_content','<h3>RESULTS.</h3>\r\n&nbsp;\r\n\r\nWhen it comes to weight management, good nutrition is vital. [name] gives all members access to their own free personal nutrition program to achieve health objectives with daily meal plans, tracking, and community support. Welcome to the [name] Challenge.\r\n\r\n&nbsp;'),(32002,258,'_clicks_panels_3_content','field_59824ac3a4240'),(32003,258,'clicks_panels_3_image',''),(32004,258,'_clicks_panels_3_image','field_59824af3a4241'),(32005,258,'clicks_panels_3_layout','order-1'),(32006,258,'_clicks_panels_3_layout','field_59824b08a4242'),(32007,258,'clicks_panels_3_type','full'),(32008,258,'_clicks_panels_3_type','field_5ce5ad7b86b1e'),(32009,258,'clicks_panels_3_vertical_alignment','center'),(32010,258,'_clicks_panels_3_vertical_alignment','field_5cd09ecd16d21'),(32011,258,'clicks_panels_3_button_text','GET STARTED!'),(32012,258,'_clicks_panels_3_button_text','field_5c4cb9e488fed'),(32013,258,'clicks_panels_3_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(32014,258,'_clicks_panels_3_button_link','field_5c4cb9e488fee'),(32015,258,'clicks_panels_3_button_style','hollow'),(32016,258,'_clicks_panels_3_button_style','field_5c4cb9e488fef'),(32017,258,'clicks_panels_3_button_color','dark'),(32018,258,'_clicks_panels_3_button_color','field_5c75ca9870d43'),(32019,258,'clicks_panels_3_button_alignment','text-left'),(32020,258,'_clicks_panels_3_button_alignment','field_5c6df75dac064'),(32021,258,'clicks_panels_3_button',''),(32022,258,'_clicks_panels_3_button','field_5c4cb9e488fec'),(32023,258,'clicks_panels_3_bg_color','#f2f2f2'),(32024,258,'_clicks_panels_3_bg_color','field_5c4cb79c1cfcf'),(32025,258,'clicks_panels_3_text_color','#000000'),(32026,258,'_clicks_panels_3_text_color','field_5c6e064d1f0cc'),(32027,258,'clicks_panels_4_main_text','<h3>[name] IS A COMMUNITY!</h3>\r\n&nbsp;\r\n<h6>Every member is on their own fitness journey. Whether it\'s to lose weight, build muscle or to unwind after a stressful day, everyone has their own reasons for being here. The [name] community will rally behind you to help you achieve whatever your fitness goals are!</h6>\r\n&nbsp;\r\n\r\n&nbsp;'),(32028,258,'_clicks_panels_4_main_text','field_5c9e9b1a1619d'),(32029,258,'clicks_panels_4_alignment','justify-content-start'),(32030,258,'_clicks_panels_4_alignment','field_5c9e9b401619e'),(32031,258,'clicks_panels_4_button_text','GET STARTED!'),(32032,258,'_clicks_panels_4_button_text','field_5c9e9bba161a0'),(32033,258,'clicks_panels_4_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(32034,258,'_clicks_panels_4_button_link','field_5c9e9bcf161a1'),(32035,258,'clicks_panels_4_button_style','solid'),(32036,258,'_clicks_panels_4_button_style','field_5c9e9c0c161a2'),(32037,258,'clicks_panels_4_button_color','dark'),(32038,258,'_clicks_panels_4_button_color','field_5c9e9cae161a3'),(32039,258,'clicks_panels_4_button_alignment','text-left'),(32040,258,'_clicks_panels_4_button_alignment','field_5c9e9cf9161a4'),(32041,258,'clicks_panels_4_button',''),(32042,258,'_clicks_panels_4_button','field_5c9e9b951619f'),(32043,258,'clicks_panels_4_bg_type','image'),(32044,258,'_clicks_panels_4_bg_type','field_5cbe21c7dbf3e'),(32045,258,'clicks_panels_4_panel_height','auto'),(32046,258,'_clicks_panels_4_panel_height','field_5cd1d3dab69ad'),(32047,258,'clicks_panels_4_bg_desk',''),(32048,258,'_clicks_panels_4_bg_desk','field_5c9ea0972a746'),(32049,258,'clicks_panels_4_bg_mobile',''),(32050,258,'_clicks_panels_4_bg_mobile','field_5d1f80086362f'),(32051,258,'clicks_panels_4_horz_align_desk','center'),(32052,258,'_clicks_panels_4_horz_align_desk','field_5c9ea1dd2a74a'),(32053,258,'clicks_panels_4_horz_align_mob','center'),(32054,258,'_clicks_panels_4_horz_align_mob','field_5c9ea2312a74b'),(32055,258,'clicks_panels_4_vert_align_desk','center'),(32056,258,'_clicks_panels_4_vert_align_desk','field_5c9ea3172a74d'),(32057,258,'clicks_panels_4_vert_align_mob','center'),(32058,258,'_clicks_panels_4_vert_align_mob','field_5c9ea2d82a74c'),(32059,258,'clicks_panels_4_overlay_color','#1e1547'),(32060,258,'_clicks_panels_4_overlay_color','field_5cd1c164de92f'),(32061,258,'clicks_panels_4_text_color','#FFF'),(32062,258,'_clicks_panels_4_text_color','field_5cd1d304b69ac'),(32063,258,'clicks_panels_4_overlay_opacity_desk','0.6'),(32064,258,'_clicks_panels_4_overlay_opacity_desk','field_5c9ea48d144e3'),(32065,258,'clicks_panels_4_overlay_opacity_mob','0.5'),(32066,258,'_clicks_panels_4_overlay_opacity_mob','field_5c9ea509144e5'),(32067,258,'clicks_panels_5_intro',''),(32068,258,'_clicks_panels_5_intro','field_5c75d8409f209'),(32069,258,'clicks_panels_5_category',''),(32070,258,'_clicks_panels_5_category','field_5c588fe3ce75d'),(32071,258,'clicks_panels_5_bg_color','#F7F7F7'),(32072,258,'_clicks_panels_5_bg_color','field_5c589033ce75e'),(32073,258,'clicks_panels_5_text_color','#000'),(32074,258,'_clicks_panels_5_text_color','field_5c58904ace75f'),(32075,258,'footer_panels_0_content','<h3 style=\"text-align: center;\">GET STARTED TODAY!</h3>\r\n&nbsp;'),(32076,258,'_footer_panels_0_content','field_5c6c9f39ba7aa'),(32077,258,'footer_panels_0_button_alignment','center'),(32078,258,'_footer_panels_0_button_alignment','field_5c770495b0d55'),(32079,258,'footer_panels_0_buttons_0_text','SIGN UP!'),(32080,258,'_footer_panels_0_buttons_0_text','field_5c6c9fa3ba7ad'),(32081,258,'footer_panels_0_buttons_0_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#top\";s:6:\"target\";s:0:\"\";}'),(32082,258,'_footer_panels_0_buttons_0_link','field_5c6c9facba7ae'),(32083,258,'footer_panels_0_buttons_0_style','solid'),(32084,258,'_footer_panels_0_buttons_0_style','field_5c6c9fc4ba7af'),(32085,258,'footer_panels_0_buttons_0_color','dark'),(32086,258,'_footer_panels_0_buttons_0_color','field_5c77013805894'),(32087,258,'footer_panels_0_buttons','1'),(32088,258,'_footer_panels_0_buttons','field_5c6c9f88ba7ac'),(32089,258,'footer_panels_0_desk_bg_img',''),(32090,258,'_footer_panels_0_desk_bg_img','field_5c6c9eb1ba7a7'),(32091,258,'footer_panels_0_mob_bg_img',''),(32092,258,'_footer_panels_0_mob_bg_img','field_5d1f8056df761'),(32093,258,'footer_panels_0_horz_align_desk','center'),(32094,258,'_footer_panels_0_horz_align_desk','field_5c6d973489804'),(32095,258,'footer_panels_0_horz_align_mob','center'),(32096,258,'_footer_panels_0_horz_align_mob','field_5c6d984789806'),(32097,258,'footer_panels_0_vert_align_desk','center'),(32098,258,'_footer_panels_0_vert_align_desk','field_5c6d978c89805'),(32099,258,'footer_panels_0_vert_align_mob','center'),(32100,258,'_footer_panels_0_vert_align_mob','field_5c6d986589807'),(32101,258,'footer_panels_0_overlay_type','dark'),(32102,258,'_footer_panels_0_overlay_type','field_5c6c9ee1ba7a8'),(32103,258,'footer_panels_0_overlay_opacity','0.4'),(32104,258,'_footer_panels_0_overlay_opacity','field_5c6c9f09ba7a9'),(32105,258,'footer_panels_0_text_color','#ffffff'),(32106,258,'_footer_panels_0_text_color','field_5c6d94a160bed'),(32107,258,'footer_panels_0_alignment','justify-content-center'),(32108,258,'_footer_panels_0_alignment','field_5c6d94b560bee'),(32109,258,'page_mbo_submit_btn',''),(32110,258,'_page_mbo_submit_btn','field_5cc7635670181'),(32111,258,'page_mbo_btn_style','solid'),(32112,258,'_page_mbo_btn_style','field_5cc76356701bf'),(32113,258,'page_mbo_btn_color','dark'),(32114,258,'_page_mbo_btn_color','field_5cc76356701fc'),(32115,258,'page_mbo_btn_align','text-center'),(32116,258,'_page_mbo_btn_align','field_5cc763567023c'),(32117,258,'page_mbo_btn_onclick',''),(32118,258,'_page_mbo_btn_onclick','field_5cc763567027a'),(32119,258,'page_mbo_send_to',''),(32120,258,'_page_mbo_send_to','field_5cc763567030a'),(32121,258,'page_mbo_cc',''),(32122,258,'_page_mbo_cc','field_5cc763567034b'),(32123,258,'page_mbo_show_locations','0'),(32124,258,'_page_mbo_show_locations','field_5cc763567c799'),(32125,258,'page_mbo_campaign_name',''),(32126,258,'_page_mbo_campaign_name','field_5cc763567d8bb'),(32127,258,'page_mbo_success',''),(32128,258,'_page_mbo_success','field_5cc7635682baa'),(32129,258,'page_mbo_share_align','text-center'),(32130,258,'_page_mbo_share_align','field_5cc76356851e1'),(32131,258,'page_mbo_booking_msg',''),(32132,258,'_page_mbo_booking_msg','field_5cc7635686ed4'),(32133,258,'page_mbo_booking_btn',''),(32134,258,'_page_mbo_booking_btn','field_5ce44499cd167'),(32135,258,'page_mbo_booking_success',''),(32136,258,'_page_mbo_booking_success','field_5cc7635683f38'),(32137,258,'mbo_shortcode_generator_0_signup','0'),(32138,258,'_mbo_shortcode_generator_0_signup','field_5daf3d245b13b'),(32139,258,'cr_shortcode_generator_0_signup','0'),(32140,258,'_cr_shortcode_generator_0_signup','field_5c841ca656bb0'),(32141,258,'cr_shortcode_generator_0_locations',''),(32142,258,'_cr_shortcode_generator_0_locations','field_5c841ca656bb1'),(32143,258,'cr_shortcode_generator_0_radius','20'),(32144,258,'_cr_shortcode_generator_0_radius','field_5c841ca656bb2');
DROP TABLE IF EXISTS `wp_2_posts`;
CREATE TABLE `wp_2_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_title` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_excerpt` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `to_ping` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `pinged` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`),
  KEY `post_name` (`post_name`(191))
) ENGINE=MyISAM AUTO_INCREMENT=259 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_2_posts` VALUES (258,17,'2021-12-28 23:14:41','2021-12-28 23:14:41','','Buy One Get One Free','','inherit','closed','closed','','255-revision-v1','','','2021-12-28 23:14:41','2021-12-28 23:14:41','',255,'https://rumbleoffers.com/pages/?p=258',0,'revision','',0),(257,17,'2021-12-28 23:09:35','2021-12-28 23:09:35','','Buy One Get One Free','','inherit','closed','closed','','255-revision-v1','','','2021-12-28 23:09:35','2021-12-28 23:09:35','',255,'https://rumbleoffers.com/pages/?p=257',0,'revision','',0),(249,1,'2021-05-12 20:47:42','2021-05-12 20:47:42','','website_header_setting-desktop_logo-3-v9','','inherit','closed','closed','','website_header_setting-desktop_logo-3-v9','','','2021-05-12 20:47:42','2021-05-12 20:47:42','',0,'https://rumbleoffers.com/pages/wp-content/uploads/sites/2/2021/05/website_header_setting-desktop_logo-3-v9.png',0,'attachment','image/png',0),(250,1,'2021-05-12 21:07:53','2021-05-12 21:07:53','','FREE 7-DAY TRIAL','','inherit','closed','closed','','232-revision-v1','','','2021-05-12 21:07:53','2021-05-12 21:07:53','',232,'https://rumbleoffers.com/pages/?p=250',0,'revision','',0),(251,1,'2021-05-12 21:08:22','2021-05-12 21:08:22','','FREE 7-DAY TRIAL','','inherit','closed','closed','','232-revision-v1','','','2021-05-12 21:08:22','2021-05-12 21:08:22','',232,'https://rumbleoffers.com/pages/?p=251',0,'revision','',0),(235,14,'2021-04-21 22:20:10','2021-04-21 22:20:10','','Stacy','','inherit','closed','closed','','234-revision-v1','','','2021-04-21 22:20:10','2021-04-21 22:20:10','',234,'https://rumbleoffers.com/pages/?p=235',0,'revision','',0),(236,14,'2021-04-21 22:20:45','2021-04-21 22:20:45','','Evan','','publish','closed','closed','','evan','','','2021-04-21 22:20:45','2021-04-21 22:20:45','',0,'https://rumbleoffers.com/pages/?post_type=testimonial&#038;p=236',0,'testimonial','',0),(255,17,'2021-12-28 23:09:35','2021-12-28 23:09:35','','Buy One Get One Free','','publish','closed','closed','','buy-one-get-one-free','','','2021-12-28 23:14:41','2021-12-28 23:14:41','',0,'https://rumbleoffers.com/pages/?post_type=lp&#038;p=255',0,'lp','',0),(256,17,'2021-12-28 23:07:29','2021-12-28 23:07:29','','Buy One Get One Free','','inherit','closed','closed','','255-revision-v1','','','2021-12-28 23:07:29','2021-12-28 23:07:29','',255,'https://rumbleoffers.com/pages/?p=256',0,'revision','',0),(234,14,'2021-04-21 22:20:10','2021-04-21 22:20:10','','Stacy','','publish','closed','closed','','stacy','','','2021-04-21 22:20:10','2021-04-21 22:20:10','',0,'https://rumbleoffers.com/pages/?post_type=testimonial&#038;p=234',0,'testimonial','',0),(232,14,'2021-04-21 19:53:06','2021-04-21 19:53:06','','FREE 7-DAY TRIAL','','publish','closed','closed','','free-trial','','','2021-05-12 21:08:22','2021-05-12 21:08:22','',0,'https://rumbleoffers.com/pages/?post_type=lp&#038;p=232',0,'lp','',0),(233,14,'2021-04-21 19:53:06','2021-04-21 19:53:06','','FREE 7-DAY TRIAL','','inherit','closed','closed','','232-revision-v1','','','2021-04-21 19:53:06','2021-04-21 19:53:06','',232,'https://rumbleoffers.com/pages/?p=233',0,'revision','',0),(237,14,'2021-04-21 22:20:45','2021-04-21 22:20:45','','Evan','','inherit','closed','closed','','236-revision-v1','','','2021-04-21 22:20:45','2021-04-21 22:20:45','',236,'https://rumbleoffers.com/pages/?p=237',0,'revision','',0),(238,14,'2021-04-21 22:21:09','2021-04-21 22:21:09','','Amiee','','publish','closed','closed','','amiee','','','2021-04-21 22:21:09','2021-04-21 22:21:09','',0,'https://rumbleoffers.com/pages/?post_type=testimonial&#038;p=238',0,'testimonial','',0),(239,14,'2021-04-21 22:21:09','2021-04-21 22:21:09','','Amiee','','inherit','closed','closed','','238-revision-v1','','','2021-04-21 22:21:09','2021-04-21 22:21:09','',238,'https://rumbleoffers.com/pages/?p=239',0,'revision','',0),(240,14,'2021-04-21 22:21:29','2021-04-21 22:21:29','','John','','publish','closed','closed','','john','','','2021-04-21 22:21:29','2021-04-21 22:21:29','',0,'https://rumbleoffers.com/pages/?post_type=testimonial&#038;p=240',0,'testimonial','',0),(241,14,'2021-04-21 22:21:29','2021-04-21 22:21:29','','John','','inherit','closed','closed','','240-revision-v1','','','2021-04-21 22:21:29','2021-04-21 22:21:29','',240,'https://rumbleoffers.com/pages/?p=241',0,'revision','',0),(242,14,'2021-04-21 22:21:48','2021-04-21 22:21:48','','Lauren','','publish','closed','closed','','lauren','','','2021-04-21 22:21:48','2021-04-21 22:21:48','',0,'https://rumbleoffers.com/pages/?post_type=testimonial&#038;p=242',0,'testimonial','',0),(243,14,'2021-04-21 22:21:48','2021-04-21 22:21:48','','Lauren','','inherit','closed','closed','','242-revision-v1','','','2021-04-21 22:21:48','2021-04-21 22:21:48','',242,'https://rumbleoffers.com/pages/?p=243',0,'revision','',0);
DROP TABLE IF EXISTS `wp_2_redirection_404`;
CREATE TABLE `wp_2_redirection_404` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `created` datetime NOT NULL,
  `url` mediumtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `domain` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `agent` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `referrer` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `http_code` int(11) unsigned NOT NULL DEFAULT '0',
  `request_method` varchar(10) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `request_data` mediumtext COLLATE utf8mb4_unicode_520_ci,
  `ip` varchar(45) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `created` (`created`),
  KEY `referrer` (`referrer`(191)),
  KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_2_redirection_groups`;
CREATE TABLE `wp_2_redirection_groups` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `tracking` int(11) NOT NULL DEFAULT '1',
  `module_id` int(11) unsigned NOT NULL DEFAULT '0',
  `status` enum('enabled','disabled') COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'enabled',
  `position` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `module_id` (`module_id`),
  KEY `status` (`status`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
INSERT INTO `wp_2_redirection_groups` VALUES (1,'Redirections',1,1,'enabled',0),(2,'Modified Posts',1,1,'enabled',1);
DROP TABLE IF EXISTS `wp_2_redirection_items`;
CREATE TABLE `wp_2_redirection_items` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `url` mediumtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `match_url` varchar(2000) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `match_data` text COLLATE utf8mb4_unicode_520_ci,
  `regex` int(11) unsigned NOT NULL DEFAULT '0',
  `position` int(11) unsigned NOT NULL DEFAULT '0',
  `last_count` int(10) unsigned NOT NULL DEFAULT '0',
  `last_access` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `group_id` int(11) NOT NULL DEFAULT '0',
  `status` enum('enabled','disabled') COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'enabled',
  `action_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `action_code` int(11) unsigned NOT NULL,
  `action_data` mediumtext COLLATE utf8mb4_unicode_520_ci,
  `match_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `title` text COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`id`),
  KEY `url` (`url`(191)),
  KEY `status` (`status`),
  KEY `regex` (`regex`),
  KEY `group_idpos` (`group_id`,`position`),
  KEY `group` (`group_id`),
  KEY `match_url` (`match_url`(191))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_2_redirection_logs`;
CREATE TABLE `wp_2_redirection_logs` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `created` datetime NOT NULL,
  `url` mediumtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `domain` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `sent_to` mediumtext COLLATE utf8mb4_unicode_520_ci,
  `agent` mediumtext COLLATE utf8mb4_unicode_520_ci,
  `referrer` mediumtext COLLATE utf8mb4_unicode_520_ci,
  `http_code` int(11) unsigned NOT NULL DEFAULT '0',
  `request_method` varchar(10) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `request_data` mediumtext COLLATE utf8mb4_unicode_520_ci,
  `redirect_by` varchar(50) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `redirection_id` int(11) unsigned DEFAULT NULL,
  `ip` varchar(45) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `created` (`created`),
  KEY `redirection_id` (`redirection_id`),
  KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_2_registration_log`;
CREATE TABLE `wp_2_registration_log` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `email` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `IP` varchar(30) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `blog_id` bigint(20) NOT NULL DEFAULT '0',
  `date_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`ID`),
  KEY `IP` (`IP`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_2_signups`;
CREATE TABLE `wp_2_signups` (
  `signup_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `domain` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `path` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `title` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `activated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `active` tinyint(1) NOT NULL DEFAULT '0',
  `activation_key` varchar(50) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `meta` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`signup_id`),
  KEY `activation_key` (`activation_key`),
  KEY `user_email` (`user_email`),
  KEY `user_login_email` (`user_login`,`user_email`),
  KEY `domain_path` (`domain`(140),`path`(51))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_2_term_relationships`;
CREATE TABLE `wp_2_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
DROP TABLE IF EXISTS `wp_2_term_taxonomy`;
CREATE TABLE `wp_2_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_2_term_taxonomy` VALUES (1,1,'category','',0,0),(2,2,'link_category','',0,0);
DROP TABLE IF EXISTS `wp_2_termmeta`;
CREATE TABLE `wp_2_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_2_terms`;
CREATE TABLE `wp_2_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  `term_order` int(4) DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_2_terms` VALUES (1,'Uncategorized','uncategorized',0,0),(2,'Blogroll','blogroll',0,0);
DROP TABLE IF EXISTS `wp_2_wpmailsmtp_debug_events`;
CREATE TABLE `wp_2_wpmailsmtp_debug_events` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `content` text COLLATE utf8mb4_unicode_520_ci,
  `initiator` text COLLATE utf8mb4_unicode_520_ci,
  `event_type` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_2_wpmailsmtp_tasks_meta`;
CREATE TABLE `wp_2_wpmailsmtp_tasks_meta` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `action` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `data` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
INSERT INTO `wp_2_wpmailsmtp_tasks_meta` VALUES (1,'wp_mail_smtp_admin_notifications_update','W10=','2021-04-15 20:08:03'),(2,'wp_mail_smtp_admin_notifications_update','W10=','2021-04-16 20:57:24'),(3,'wp_mail_smtp_admin_notifications_update','W10=','2021-04-19 16:31:10'),(4,'wp_mail_smtp_admin_notifications_update','W10=','2021-04-20 20:09:21'),(5,'wp_mail_smtp_admin_notifications_update','W10=','2021-04-21 20:10:56'),(6,'wp_mail_smtp_admin_notifications_update','W10=','2021-04-22 22:45:26'),(7,'wp_mail_smtp_admin_notifications_update','W10=','2021-04-27 22:25:19'),(8,'wp_mail_smtp_admin_notifications_update','W10=','2021-04-29 22:57:18'),(9,'wp_mail_smtp_admin_notifications_update','W10=','2021-05-07 22:20:43'),(10,'wp_mail_smtp_admin_notifications_update','W10=','2021-05-12 20:47:10'),(11,'wp_mail_smtp_admin_notifications_update','W10=','2021-12-10 17:14:36'),(12,'wp_mail_smtp_admin_notifications_update','W10=','2021-12-27 23:25:42');
DROP TABLE IF EXISTS `wp_3wp_broadcast_queue_data`;
CREATE TABLE `wp_3wp_broadcast_queue_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Row ID',
  `broadcasting_data` longtext NOT NULL COMMENT 'Serialized broadcasting_data object',
  `created` datetime NOT NULL COMMENT 'When the data was queued',
  `parent_blog_id` int(11) NOT NULL COMMENT 'Parent blog ID',
  `parent_post_id` int(11) NOT NULL COMMENT 'Parent post ID',
  `type` varchar(32) NOT NULL DEFAULT 'post' COMMENT 'Type of queue data',
  `priority` int(11) NOT NULL DEFAULT '100' COMMENT 'Item priority',
  `user_id` int(11) NOT NULL COMMENT 'ID of user that broadcasted',
  PRIMARY KEY (`id`),
  KEY `parent_blog_id` (`parent_blog_id`,`parent_post_id`),
  KEY `type` (`type`),
  KEY `priority` (`priority`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS `wp_3wp_broadcast_queue_items`;
CREATE TABLE `wp_3wp_broadcast_queue_items` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Row ID',
  `attempts` int(11) NOT NULL DEFAULT '0' COMMENT 'How many times we have tried to process this item',
  `blog` text NOT NULL COMMENT 'Child blog ID as blog object',
  `data_id` int(11) NOT NULL COMMENT 'ID of data row',
  `lock_key` varchar(6) NOT NULL COMMENT 'Key used to lock the row',
  `touched` datetime NOT NULL COMMENT 'When this row was lasted touched',
  PRIMARY KEY (`id`),
  KEY `data_id` (`data_id`,`touched`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
DROP TABLE IF EXISTS `wp__3wp_broadcast_broadcastdata`;
CREATE TABLE `wp__3wp_broadcast_broadcastdata` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID of row',
  `blog_id` int(11) NOT NULL COMMENT 'Blog ID',
  `post_id` int(11) NOT NULL COMMENT 'Post ID',
  `data` longtext,
  PRIMARY KEY (`id`),
  KEY `blog_id` (`blog_id`,`post_id`)
) ENGINE=MyISAM AUTO_INCREMENT=179 DEFAULT CHARSET=latin1;
INSERT INTO `wp__3wp_broadcast_broadcastdata` VALUES (161,1,282,'YToyOntzOjc6InZlcnNpb24iO2k6MjtzOjEzOiJsaW5rZWRfcGFyZW50IjthOjI6e3M6NzoiYmxvZ19pZCI7aToyO3M6NzoicG9zdF9pZCI7aToyMzI7fX0='),(142,2,232,'YToyOntzOjc6InZlcnNpb24iO2k6MjtzOjE1OiJsaW5rZWRfY2hpbGRyZW4iO2E6MTp7aToxO2k6MjgyO319');
DROP TABLE IF EXISTS `wp_actionscheduler_actions`;
CREATE TABLE `wp_actionscheduler_actions` (
  `action_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `hook` varchar(191) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `status` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `scheduled_date_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  `scheduled_date_local` datetime DEFAULT '0000-00-00 00:00:00',
  `args` varchar(191) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `schedule` longtext COLLATE utf8mb4_unicode_520_ci,
  `group_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `attempts` int(11) NOT NULL DEFAULT '0',
  `last_attempt_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  `last_attempt_local` datetime DEFAULT '0000-00-00 00:00:00',
  `claim_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `extended_args` varchar(8000) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  PRIMARY KEY (`action_id`),
  KEY `hook` (`hook`),
  KEY `status` (`status`),
  KEY `scheduled_date_gmt` (`scheduled_date_gmt`),
  KEY `args` (`args`),
  KEY `group_id` (`group_id`),
  KEY `last_attempt_gmt` (`last_attempt_gmt`),
  KEY `claim_id` (`claim_id`),
  KEY `claim_id_status_scheduled_date_gmt` (`claim_id`,`status`,`scheduled_date_gmt`)
) ENGINE=MyISAM AUTO_INCREMENT=255 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_actionscheduler_claims`;
CREATE TABLE `wp_actionscheduler_claims` (
  `claim_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `date_created_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`claim_id`),
  KEY `date_created_gmt` (`date_created_gmt`)
) ENGINE=MyISAM AUTO_INCREMENT=20438 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_actionscheduler_groups`;
CREATE TABLE `wp_actionscheduler_groups` (
  `group_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `slug` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  PRIMARY KEY (`group_id`),
  KEY `slug` (`slug`(191))
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
INSERT INTO `wp_actionscheduler_groups` VALUES (1,'action-scheduler-migration'),(2,'wp_mail_smtp');
DROP TABLE IF EXISTS `wp_actionscheduler_logs`;
CREATE TABLE `wp_actionscheduler_logs` (
  `log_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `action_id` bigint(20) unsigned NOT NULL,
  `message` text COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `log_date_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  `log_date_local` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`log_id`),
  KEY `action_id` (`action_id`),
  KEY `log_date_gmt` (`log_date_gmt`)
) ENGINE=MyISAM AUTO_INCREMENT=115 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_blog_versions`;
CREATE TABLE `wp_blog_versions` (
  `blog_id` bigint(20) NOT NULL DEFAULT '0',
  `db_version` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `last_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`blog_id`),
  KEY `db_version` (`db_version`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_blogmeta`;
CREATE TABLE `wp_blogmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `blog_id` bigint(20) NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `meta_key` (`meta_key`(191)),
  KEY `blog_id` (`blog_id`)
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
INSERT INTO `wp_blogmeta` VALUES (1,1,'db_version','53496'),(2,1,'db_last_updated','0.02930700 1657664647'),(17,2,'db_version','51917'),(18,2,'db_last_updated','0.00041900 1647908073');
DROP TABLE IF EXISTS `wp_blogs`;
CREATE TABLE `wp_blogs` (
  `blog_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `site_id` bigint(20) NOT NULL DEFAULT '0',
  `domain` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `path` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `last_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `public` tinyint(2) NOT NULL DEFAULT '1',
  `archived` tinyint(2) NOT NULL DEFAULT '0',
  `mature` tinyint(2) NOT NULL DEFAULT '0',
  `spam` tinyint(2) NOT NULL DEFAULT '0',
  `deleted` tinyint(2) NOT NULL DEFAULT '0',
  `lang_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`blog_id`),
  KEY `domain` (`domain`(50),`path`(5)),
  KEY `lang_id` (`lang_id`)
) ENGINE=MyISAM AUTO_INCREMENT=51 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
INSERT INTO `wp_blogs` VALUES (1,1,'rumbleoffers.com','/','2019-06-14 22:18:02','2021-05-13 18:23:15',0,0,0,0,0,0),(2,1,'rumbleoffers.com','/pages/','2019-06-14 23:00:43','2021-12-28 23:14:41',1,0,0,0,0,0);
DROP TABLE IF EXISTS `wp_commentmeta`;
CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM AUTO_INCREMENT=55 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
DROP TABLE IF EXISTS `wp_comments`;
CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'comment',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=MyISAM AUTO_INCREMENT=28 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
DROP TABLE IF EXISTS `wp_links`;
CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_notes` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
DROP TABLE IF EXISTS `wp_options`;
CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `option_value` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=MyISAM AUTO_INCREMENT=419646 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_options` VALUES (1,'siteurl','https://rumbleoffers.com','yes'),(2,'blogname','Rumble Offers','yes'),(3,'blogdescription','','yes'),(4,'users_can_register','0','yes'),(5,'admin_email','webmaster@reachagency.co','yes'),(6,'start_of_week','1','yes'),(7,'use_balanceTags','0','yes'),(8,'use_smilies','1','yes'),(9,'require_name_email','','yes'),(10,'comments_notify','','yes'),(11,'posts_per_rss','10','yes'),(12,'rss_use_excerpt','0','yes'),(13,'mailserver_url','mail.example.com','yes'),(14,'mailserver_login','login@example.com','yes'),(15,'mailserver_pass','password','yes'),(16,'mailserver_port','110','yes'),(17,'default_category','1','yes'),(18,'default_comment_status','closed','yes'),(19,'default_ping_status','closed','yes'),(20,'default_pingback_flag','','yes'),(22,'posts_per_page','10','yes'),(23,'date_format','F j, Y','yes'),(24,'time_format','g:i a','yes'),(25,'links_updated_date_format','F j, Y g:i a','yes'),(29,'comment_moderation','','yes'),(30,'moderation_notify','','yes'),(31,'permalink_structure','/blog/%postname%/','yes'),(33,'hack_file','0','yes'),(34,'blog_charset','UTF-8','yes'),(35,'moderation_keys','','no'),(36,'active_plugins','a:2:{i:0;s:29:\"clicks-forms/clicks_forms.php\";i:1;s:27:\"wp-crontrol/wp-crontrol.php\";}','yes'),(37,'home','https://rumbleoffers.com','yes'),(38,'category_base','','yes'),(39,'ping_sites','http://rpc.pingomatic.com/','yes'),(41,'comment_max_links','2','yes'),(42,'gmt_offset','0','yes'),(43,'default_email_category','1','yes'),(44,'recently_edited','a:5:{i:0;s:95:\"/home/zw9qmhf7perm/public_html/CMC/rumble/wp-content/plugins/codemay-clubready/parts/errors.php\";i:1;s:111:\"/home/zw9qmhf7perm/public_html/CMC/rumble/wp-content/plugins/codemay-clubready/js/codemay-clubready-payments.js\";i:2;s:102:\"/home/zw9qmhf7perm/public_html/CMC/rumble/wp-content/plugins/codemay-clubready/js/codemay-clubready.js\";i:3;s:109:\"/home/zw9qmhf7perm/public_html/CMC/rumble/wp-content/plugins/codemay-clubready/forms/single-location-form.php\";i:4;s:100:\"/home/zw9qmhf7perm/public_html/CMC/rumble/wp-content/plugins/codemay-clubready/codemay_clubready.php\";}','no'),(45,'template','clicks_3','yes'),(46,'stylesheet','clicks_3','yes'),(357615,'finished_updating_comment_type','1','yes'),(49,'comment_registration','','yes'),(51,'html_type','text/html','yes'),(52,'use_trackback','0','yes'),(53,'default_role','subscriber','yes'),(54,'db_version','53496','yes'),(55,'uploads_use_yearmonth_folders','1','yes'),(357593,'schema-ActionScheduler_LoggerSchema','3.0.1647908000','yes'),(57,'blog_public','0','yes'),(58,'default_link_category','2','yes'),(59,'show_on_front','page','yes'),(60,'tag_base','','yes'),(61,'show_avatars','','yes'),(62,'avatar_rating','G','yes'),(63,'upload_url_path','','yes'),(64,'thumbnail_size_w','300','yes'),(65,'thumbnail_size_h','300','yes'),(66,'thumbnail_crop','','yes'),(67,'medium_size_w','600','yes'),(68,'medium_size_h','600','yes'),(69,'avatar_default','mystery','yes'),(72,'large_size_w','1500','yes'),(73,'large_size_h','1500','yes'),(74,'image_default_link_type','','yes'),(75,'image_default_size','','yes'),(76,'image_default_align','','yes'),(77,'close_comments_for_old_posts','','yes'),(78,'close_comments_days_old','14','yes'),(79,'thread_comments','','yes'),(80,'thread_comments_depth','5','yes'),(81,'page_comments','','yes'),(82,'comments_per_page','50','yes'),(83,'default_comments_page','newest','yes'),(84,'comment_order','asc','yes'),(85,'sticky_posts','a:0:{}','yes'),(86,'widget_categories','a:2:{i:2;a:4:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:12:\"hierarchical\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}','yes'),(87,'widget_text','a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}','yes'),(88,'widget_rss','a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}','yes'),(89,'timezone_string','','yes'),(91,'embed_size_w','','yes'),(92,'embed_size_h','600','yes'),(93,'page_for_posts','0','yes'),(94,'page_on_front','282','yes'),(95,'wp_user_roles','a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:80:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:14:\"ure_edit_roles\";b:0;s:16:\"ure_create_roles\";b:0;s:16:\"ure_delete_roles\";b:0;s:23:\"ure_create_capabilities\";b:0;s:23:\"ure_delete_capabilities\";b:0;s:18:\"ure_manage_options\";b:0;s:15:\"ure_reset_roles\";b:0;s:16:\"ure_export_roles\";b:0;s:16:\"ure_import_roles\";b:0;s:21:\"ure_admin_menu_access\";b:0;s:18:\"ure_widgets_access\";b:0;s:23:\"ure_widgets_show_access\";b:0;s:21:\"ure_meta_boxes_access\";b:0;s:22:\"ure_other_roles_access\";b:0;s:21:\"ure_edit_posts_access\";b:0;s:29:\"ure_plugins_activation_access\";b:0;s:21:\"ure_view_posts_access\";b:0;s:25:\"ure_front_end_menu_access\";b:0;s:17:\"ure_themes_access\";b:0;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:34:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}','yes'),(96,'widget_search','a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}','yes'),(97,'widget_recent-posts','a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}','yes'),(98,'widget_recent-comments','a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}','yes'),(99,'widget_archives','a:2:{i:2;a:3:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}','yes'),(100,'widget_meta','a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}','yes'),(101,'sidebars_widgets','a:2:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:13:\"array_version\";i:3;}','yes'),(102,'ftp_credentials','a:3:{s:8:\"hostname\";s:9:\"localhost\";s:8:\"username\";N;s:15:\"connection_type\";s:3:\"ftp\";}','yes'),(103,'widget_pages','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(104,'widget_calendar','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(105,'widget_links','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(106,'widget_media_audio','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(107,'widget_media_image','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(108,'widget_media_gallery','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(109,'widget_media_video','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(110,'widget_tag_cloud','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(111,'widget_nav_menu','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(112,'widget_custom_html','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(113,'rewrite_rules','a:141:{s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:17:\"^wp-sitemap\\.xml$\";s:23:\"index.php?sitemap=index\";s:17:\"^wp-sitemap\\.xsl$\";s:36:\"index.php?sitemap-stylesheet=sitemap\";s:23:\"^wp-sitemap-index\\.xsl$\";s:34:\"index.php?sitemap-stylesheet=index\";s:48:\"^wp-sitemap-([a-z]+?)-([a-z\\d_-]+?)-(\\d+?)\\.xml$\";s:75:\"index.php?sitemap=$matches[1]&sitemap-subtype=$matches[2]&paged=$matches[3]\";s:34:\"^wp-sitemap-([a-z]+?)-(\\d+?)\\.xml$\";s:47:\"index.php?sitemap=$matches[1]&paged=$matches[2]\";s:52:\"blog/category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:47:\"blog/category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:28:\"blog/category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:40:\"blog/category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:22:\"blog/category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:49:\"blog/tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:44:\"blog/tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:25:\"blog/tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:37:\"blog/tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:19:\"blog/tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:50:\"blog/type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:45:\"blog/type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:26:\"blog/type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:38:\"blog/type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:20:\"blog/type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:28:\"lp/.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:38:\"lp/.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:58:\"lp/.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:53:\"lp/.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:53:\"lp/.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:34:\"lp/.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:17:\"lp/(.+?)/embed/?$\";s:35:\"index.php?lp=$matches[1]&embed=true\";s:21:\"lp/(.+?)/trackback/?$\";s:29:\"index.php?lp=$matches[1]&tb=1\";s:29:\"lp/(.+?)/page/?([0-9]{1,})/?$\";s:42:\"index.php?lp=$matches[1]&paged=$matches[2]\";s:36:\"lp/(.+?)/comment-page-([0-9]{1,})/?$\";s:42:\"index.php?lp=$matches[1]&cpage=$matches[2]\";s:25:\"lp/(.+?)(?:/([0-9]+))?/?$\";s:41:\"index.php?lp=$matches[1]&page=$matches[2]\";s:44:\"blog/testimonial/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:54:\"blog/testimonial/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:74:\"blog/testimonial/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:69:\"blog/testimonial/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:69:\"blog/testimonial/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:50:\"blog/testimonial/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:33:\"blog/testimonial/([^/]+)/embed/?$\";s:44:\"index.php?testimonial=$matches[1]&embed=true\";s:37:\"blog/testimonial/([^/]+)/trackback/?$\";s:38:\"index.php?testimonial=$matches[1]&tb=1\";s:45:\"blog/testimonial/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?testimonial=$matches[1]&paged=$matches[2]\";s:52:\"blog/testimonial/([^/]+)/comment-page-([0-9]{1,})/?$\";s:51:\"index.php?testimonial=$matches[1]&cpage=$matches[2]\";s:41:\"blog/testimonial/([^/]+)(?:/([0-9]+))?/?$\";s:50:\"index.php?testimonial=$matches[1]&page=$matches[2]\";s:33:\"blog/testimonial/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:43:\"blog/testimonial/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:63:\"blog/testimonial/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:58:\"blog/testimonial/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:58:\"blog/testimonial/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:39:\"blog/testimonial/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:36:\"blog/faq/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:46:\"blog/faq/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:66:\"blog/faq/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:61:\"blog/faq/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:61:\"blog/faq/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:42:\"blog/faq/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:25:\"blog/faq/([^/]+)/embed/?$\";s:36:\"index.php?faq=$matches[1]&embed=true\";s:29:\"blog/faq/([^/]+)/trackback/?$\";s:30:\"index.php?faq=$matches[1]&tb=1\";s:37:\"blog/faq/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?faq=$matches[1]&paged=$matches[2]\";s:44:\"blog/faq/([^/]+)/comment-page-([0-9]{1,})/?$\";s:43:\"index.php?faq=$matches[1]&cpage=$matches[2]\";s:33:\"blog/faq/([^/]+)(?:/([0-9]+))?/?$\";s:42:\"index.php?faq=$matches[1]&page=$matches[2]\";s:25:\"blog/faq/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:35:\"blog/faq/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:55:\"blog/faq/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:50:\"blog/faq/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:50:\"blog/faq/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:31:\"blog/faq/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:12:\"robots\\.txt$\";s:18:\"index.php?robots=1\";s:13:\"favicon\\.ico$\";s:19:\"index.php?favicon=1\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:16:\".*wp-signup.php$\";s:21:\"index.php?signup=true\";s:18:\".*wp-activate.php$\";s:23:\"index.php?activate=true\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:27:\"comment-page-([0-9]{1,})/?$\";s:40:\"index.php?&page_id=282&cpage=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:52:\"blog/author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:47:\"blog/author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:28:\"blog/author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:40:\"blog/author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:22:\"blog/author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:74:\"blog/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:69:\"blog/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:50:\"blog/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:62:\"blog/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:44:\"blog/([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:61:\"blog/([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:56:\"blog/([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:37:\"blog/([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:49:\"blog/([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:31:\"blog/([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:48:\"blog/([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:43:\"blog/([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:24:\"blog/([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:36:\"blog/([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:18:\"blog/([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";s:32:\"blog/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:42:\"blog/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:62:\"blog/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:57:\"blog/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:57:\"blog/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:38:\"blog/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:21:\"blog/([^/]+)/embed/?$\";s:37:\"index.php?name=$matches[1]&embed=true\";s:25:\"blog/([^/]+)/trackback/?$\";s:31:\"index.php?name=$matches[1]&tb=1\";s:45:\"blog/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:40:\"blog/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:33:\"blog/([^/]+)/page/?([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&paged=$matches[2]\";s:40:\"blog/([^/]+)/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&cpage=$matches[2]\";s:29:\"blog/([^/]+)(?:/([0-9]+))?/?$\";s:43:\"index.php?name=$matches[1]&page=$matches[2]\";s:21:\"blog/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:31:\"blog/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:51:\"blog/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:46:\"blog/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:46:\"blog/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:27:\"blog/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";}','yes'),(114,'uninstall_plugins','a:5:{i:0;b:0;s:53:\"simple-custom-post-order/simple-custom-post-order.php\";s:18:\"scporder_uninstall\";s:19:\"bbpress/bbpress.php\";s:15:\"bbp_remove_caps\";s:27:\"redirection/redirection.php\";a:2:{i:0;s:17:\"Redirection_Admin\";i:1;s:16:\"plugin_uninstall\";}s:45:\"user-role-editor-pro/user-role-editor-pro.php\";a:2:{i:0;s:20:\"User_Role_Editor_Pro\";i:1;s:9:\"uninstall\";}}','yes'),(115,'default_post_format','0','yes'),(116,'link_manager_enabled','0','yes'),(117,'finished_splitting_shared_terms','1','yes'),(118,'site_icon','0','yes'),(119,'medium_large_size_w','768','yes'),(120,'medium_large_size_h','0','yes'),(121,'wp_page_for_privacy_policy','0','yes'),(122,'show_comments_cookies_opt_in','','yes'),(123,'initial_db_version','15260','yes'),(125,'cron','a:11:{i:1660241849;a:1:{s:26:\"action_scheduler_run_queue\";a:1:{s:32:\"0d04ed39571b55704c122d726248bbac\";a:3:{s:8:\"schedule\";s:12:\"every_minute\";s:4:\"args\";a:1:{i:0;s:7:\"WP Cron\";}s:8:\"interval\";i:60;}}}i:1660242146;a:1:{s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1660247217;a:1:{s:18:\"wp_https_detection\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1660255810;a:2:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1660255817;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1660256329;a:1:{s:21:\"update_network_counts\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1660262770;a:1:{s:41:\"check_plugin_updates-user-role-editor-pro\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1660263745;a:1:{s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1660263746;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1660333617;a:1:{s:30:\"wp_site_health_scheduled_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}s:7:\"version\";i:2;}','yes'),(419628,'_transient_timeout_acf_plugin_updates','1660396969','no'),(419629,'_transient_acf_plugin_updates','a:4:{s:7:\"plugins\";a:1:{s:34:\"advanced-custom-fields-pro/acf.php\";a:8:{s:4:\"slug\";s:26:\"advanced-custom-fields-pro\";s:6:\"plugin\";s:34:\"advanced-custom-fields-pro/acf.php\";s:11:\"new_version\";s:6:\"5.12.3\";s:3:\"url\";s:36:\"https://www.advancedcustomfields.com\";s:6:\"tested\";s:5:\"6.0.1\";s:7:\"package\";s:323:\"https://connect.advancedcustomfields.com/v2/plugins/download?token=eyJwIjoicHJvIiwiayI6ImIzSmtaWEpmYVdROU1UQXpNREV6ZkhSNWNHVTlaR1YyWld4dmNHVnlmR1JoZEdVOU1qQXhOeTB3TXkweU9TQXdOVG95Tmpvd01RPT0iLCJ3cF91cmwiOiJodHRwczpcL1wvcnVtYmxlb2ZmZXJzLmNvbSIsIndwX3ZlcnNpb24iOiI2LjAuMSIsInBocF92ZXJzaW9uIjoiNy4zLjMzIiwiYmxvY2tfY291bnQiOjB9\";s:5:\"icons\";a:1:{s:7:\"default\";s:63:\"https://ps.w.org/advanced-custom-fields/assets/icon-256x256.png\";}s:7:\"banners\";a:2:{s:3:\"low\";s:77:\"https://ps.w.org/advanced-custom-fields/assets/banner-772x250.jpg?rev=1729102\";s:4:\"high\";s:78:\"https://ps.w.org/advanced-custom-fields/assets/banner-1544x500.jpg?rev=1729099\";}}}s:10:\"expiration\";i:172800;s:6:\"status\";i:1;s:7:\"checked\";a:1:{s:34:\"advanced-custom-fields-pro/acf.php\";s:6:\"5.12.2\";}}','no'),(359932,'_options_global_cr_btn_color','field_5cae420b6291d','no'),(126,'db_upgraded','','yes'),(128,'recovery_keys','a:0:{}','yes'),(129,'_site_transient_update_core','O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:59:\"https://downloads.wordpress.org/release/wordpress-5.2.1.zip\";s:6:\"locale\";s:2:\"en\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:59:\"https://downloads.wordpress.org/release/wordpress-5.2.1.zip\";s:10:\"no_content\";s:70:\"https://downloads.wordpress.org/release/wordpress-5.2.1-no-content.zip\";s:11:\"new_bundled\";s:71:\"https://downloads.wordpress.org/release/wordpress-5.2.1-new-bundled.zip\";s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:5:\"5.2.1\";s:7:\"version\";s:5:\"5.2.1\";s:11:\"php_version\";s:6:\"5.6.20\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"5.0\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1560533767;s:15:\"version_checked\";s:5:\"5.2.1\";s:12:\"translations\";a:0:{}}','no'),(130,'_site_transient_update_plugins','O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1560550234;s:7:\"checked\";a:3:{s:19:\"akismet/akismet.php\";s:5:\"4.1.2\";s:9:\"hello.php\";s:5:\"1.7.2\";s:63:\"limit-login-attempts-reloaded/limit-login-attempts-reloaded.php\";s:5:\"2.8.1\";}s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:2:{s:19:\"akismet/akismet.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:21:\"w.org/plugins/akismet\";s:4:\"slug\";s:7:\"akismet\";s:6:\"plugin\";s:19:\"akismet/akismet.php\";s:11:\"new_version\";s:5:\"4.1.2\";s:3:\"url\";s:38:\"https://wordpress.org/plugins/akismet/\";s:7:\"package\";s:56:\"https://downloads.wordpress.org/plugin/akismet.4.1.2.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:59:\"https://ps.w.org/akismet/assets/icon-256x256.png?rev=969272\";s:2:\"1x\";s:59:\"https://ps.w.org/akismet/assets/icon-128x128.png?rev=969272\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:61:\"https://ps.w.org/akismet/assets/banner-772x250.jpg?rev=479904\";}s:11:\"banners_rtl\";a:0:{}}s:9:\"hello.php\";O:8:\"stdClass\":9:{s:2:\"id\";s:25:\"w.org/plugins/hello-dolly\";s:4:\"slug\";s:11:\"hello-dolly\";s:6:\"plugin\";s:9:\"hello.php\";s:11:\"new_version\";s:5:\"1.7.2\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/hello-dolly/\";s:7:\"package\";s:60:\"https://downloads.wordpress.org/plugin/hello-dolly.1.7.2.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:64:\"https://ps.w.org/hello-dolly/assets/icon-256x256.jpg?rev=2052855\";s:2:\"1x\";s:64:\"https://ps.w.org/hello-dolly/assets/icon-128x128.jpg?rev=2052855\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:66:\"https://ps.w.org/hello-dolly/assets/banner-772x250.jpg?rev=2052855\";}s:11:\"banners_rtl\";a:0:{}}}}','no'),(450,'_site_transient_timeout_theme_roots','1560552010','no'),(451,'_site_transient_theme_roots','a:3:{s:14:\"twentynineteen\";s:7:\"/themes\";s:15:\"twentyseventeen\";s:7:\"/themes\";s:13:\"twentysixteen\";s:7:\"/themes\";}','no'),(133,'_site_transient_update_themes','O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1560533767;s:7:\"checked\";a:3:{s:14:\"twentynineteen\";s:3:\"1.4\";s:15:\"twentyseventeen\";s:3:\"2.2\";s:13:\"twentysixteen\";s:3:\"2.0\";}s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}}','no'),(136,'_transient_update_plugins','O:8:\"stdClass\":1:{s:12:\"last_checked\";i:0;}','yes'),(137,'_transient_update_themes','O:8:\"stdClass\":1:{s:12:\"last_checked\";i:0;}','yes'),(140,'theme_mods_twentynineteen','a:2:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1560552838;s:4:\"data\";a:7:{s:19:\"wp_inactive_widgets\";a:0:{}s:19:\"primary-widget-area\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:21:\"secondary-widget-area\";a:0:{}s:24:\"first-footer-widget-area\";a:0:{}s:25:\"second-footer-widget-area\";a:0:{}s:24:\"third-footer-widget-area\";a:0:{}s:25:\"fourth-footer-widget-area\";a:0:{}}}}','yes'),(158,'limit_login_retries','a:33:{s:12:\"89.108.91.78\";i:1;s:10:\"78.36.40.2\";i:1;s:11:\"31.8.38.205\";i:1;s:15:\"176.226.139.124\";i:1;s:12:\"82.147.78.11\";i:1;s:13:\"178.46.164.57\";i:1;s:14:\"212.232.41.148\";i:1;s:13:\"195.26.82.154\";i:1;s:14:\"89.169.114.159\";i:1;s:14:\"193.233.68.132\";i:1;s:13:\"77.50.187.203\";i:1;s:13:\"89.250.212.86\";i:1;s:14:\"212.119.208.82\";i:1;s:13:\"185.76.80.146\";i:1;s:13:\"93.190.205.27\";i:1;s:13:\"83.174.235.26\";i:1;s:14:\"217.25.150.194\";i:1;s:11:\"93.182.28.1\";i:1;s:14:\"176.123.218.87\";i:1;s:12:\"212.66.63.36\";i:1;s:11:\"213.5.25.11\";i:1;s:13:\"93.127.43.244\";i:1;s:13:\"37.110.82.166\";i:1;s:11:\"185.8.5.210\";i:1;s:13:\"5.139.190.232\";i:1;s:13:\"81.200.30.233\";i:1;s:14:\"91.225.232.218\";i:1;s:12:\"85.141.19.78\";i:1;s:14:\"83.220.227.103\";i:1;s:11:\"176.59.32.0\";i:1;s:12:\"37.29.41.104\";i:1;s:15:\"109.127.130.202\";i:1;s:13:\"185.82.244.77\";i:1;}','no'),(159,'limit_login_retries_valid','a:33:{s:12:\"89.108.91.78\";i:1560436926;s:10:\"78.36.40.2\";i:1560442020;s:11:\"31.8.38.205\";i:1560442358;s:15:\"176.226.139.124\";i:1560442409;s:12:\"82.147.78.11\";i:1560443596;s:13:\"178.46.164.57\";i:1560443653;s:14:\"212.232.41.148\";i:1560443916;s:13:\"195.26.82.154\";i:1560445323;s:14:\"89.169.114.159\";i:1560446032;s:14:\"193.233.68.132\";i:1560446576;s:13:\"77.50.187.203\";i:1560448792;s:13:\"89.250.212.86\";i:1560449004;s:14:\"212.119.208.82\";i:1560449664;s:13:\"185.76.80.146\";i:1560449767;s:13:\"93.190.205.27\";i:1560449782;s:13:\"83.174.235.26\";i:1560450909;s:14:\"217.25.150.194\";i:1560451499;s:11:\"93.182.28.1\";i:1560451519;s:14:\"176.123.218.87\";i:1560451639;s:12:\"212.66.63.36\";i:1560453200;s:11:\"213.5.25.11\";i:1560454327;s:13:\"93.127.43.244\";i:1560454972;s:13:\"37.110.82.166\";i:1560456108;s:11:\"185.8.5.210\";i:1560456493;s:13:\"5.139.190.232\";i:1560456865;s:13:\"81.200.30.233\";i:1560457498;s:14:\"91.225.232.218\";i:1560457881;s:12:\"85.141.19.78\";i:1560458269;s:14:\"83.220.227.103\";i:1560459015;s:11:\"176.59.32.0\";i:1560459055;s:12:\"37.29.41.104\";i:1560466086;s:15:\"109.127.130.202\";i:1560467900;s:13:\"185.82.244.77\";i:1560477950;}','no'),(160,'limit_login_logged','','yes'),(186,'category_children','a:0:{}','yes'),(329,'wpem_log','{\"datetime\":\"2019-06-12T17:07:47+00:00\",\"fqdn\":\"a2plvcpnl165155.prod.iad2.secureserver.net\",\"site_url\":\"https:\\/\\/mayweatherclicks.com\",\"account_id\":\"zw9qmhf7perm\",\"user_email\":\"webmaster@codemay.com\",\"locale\":\"en\",\"wp_version\":\"5.2.1\",\"wpem_version\":\"2.4.7\",\"geodata\":{\"city\":\"Paris\",\"country_code\":\"FR\",\"country_name\":\"France\",\"currency\":\"EUR\",\"ip\":\"51.158.26.8\",\"latitude\":\"48.861\",\"longitude\":\"2.328\",\"postal_code\":\"75001\",\"region_code\":\"IDF\",\"region_name\":\"\\u00cele-de-France\",\"timezone\":\"Europe\\/Paris\"},\"is_fresh_wp\":true,\"steps\":{\"start\":{\"took\":\"3.776\",\"fields\":{\"wpem_continue\":\"no\"}}},\"took\":\"3.776\"}','yes'),(446,'_transient_wpem_store_data','a:7:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"AL\";s:9:\"countries\";a:249:{s:2:\"AX\";s:18:\"&#197;land Islands\";s:2:\"AF\";s:11:\"Afghanistan\";s:2:\"AL\";s:7:\"Albania\";s:2:\"DZ\";s:7:\"Algeria\";s:2:\"AS\";s:14:\"American Samoa\";s:2:\"AD\";s:7:\"Andorra\";s:2:\"AO\";s:6:\"Angola\";s:2:\"AI\";s:8:\"Anguilla\";s:2:\"AQ\";s:10:\"Antarctica\";s:2:\"AG\";s:19:\"Antigua and Barbuda\";s:2:\"AR\";s:9:\"Argentina\";s:2:\"AM\";s:7:\"Armenia\";s:2:\"AW\";s:5:\"Aruba\";s:2:\"AU\";s:9:\"Australia\";s:2:\"AT\";s:7:\"Austria\";s:2:\"AZ\";s:10:\"Azerbaijan\";s:2:\"BS\";s:7:\"Bahamas\";s:2:\"BH\";s:7:\"Bahrain\";s:2:\"BD\";s:10:\"Bangladesh\";s:2:\"BB\";s:8:\"Barbados\";s:2:\"BY\";s:7:\"Belarus\";s:2:\"PW\";s:5:\"Belau\";s:2:\"BE\";s:7:\"Belgium\";s:2:\"BZ\";s:6:\"Belize\";s:2:\"BJ\";s:5:\"Benin\";s:2:\"BM\";s:7:\"Bermuda\";s:2:\"BT\";s:6:\"Bhutan\";s:2:\"BO\";s:7:\"Bolivia\";s:2:\"BQ\";s:33:\"Bonaire, Saint Eustatius and Saba\";s:2:\"BA\";s:22:\"Bosnia and Herzegovina\";s:2:\"BW\";s:8:\"Botswana\";s:2:\"BV\";s:13:\"Bouvet Island\";s:2:\"BR\";s:6:\"Brazil\";s:2:\"IO\";s:30:\"British Indian Ocean Territory\";s:2:\"BN\";s:6:\"Brunei\";s:2:\"BG\";s:8:\"Bulgaria\";s:2:\"BF\";s:12:\"Burkina Faso\";s:2:\"BI\";s:7:\"Burundi\";s:2:\"KH\";s:8:\"Cambodia\";s:2:\"CM\";s:8:\"Cameroon\";s:2:\"CA\";s:6:\"Canada\";s:2:\"CV\";s:10:\"Cape Verde\";s:2:\"KY\";s:14:\"Cayman Islands\";s:2:\"CF\";s:24:\"Central African Republic\";s:2:\"TD\";s:4:\"Chad\";s:2:\"CL\";s:5:\"Chile\";s:2:\"CN\";s:5:\"China\";s:2:\"CX\";s:16:\"Christmas Island\";s:2:\"CC\";s:23:\"Cocos (Keeling) Islands\";s:2:\"CO\";s:8:\"Colombia\";s:2:\"KM\";s:7:\"Comoros\";s:2:\"CG\";s:19:\"Congo (Brazzaville)\";s:2:\"CD\";s:16:\"Congo (Kinshasa)\";s:2:\"CK\";s:12:\"Cook Islands\";s:2:\"CR\";s:10:\"Costa Rica\";s:2:\"HR\";s:7:\"Croatia\";s:2:\"CU\";s:4:\"Cuba\";s:2:\"CW\";s:14:\"Cura&ccedil;ao\";s:2:\"CY\";s:6:\"Cyprus\";s:2:\"CZ\";s:14:\"Czech Republic\";s:2:\"DK\";s:7:\"Denmark\";s:2:\"DJ\";s:8:\"Djibouti\";s:2:\"DM\";s:8:\"Dominica\";s:2:\"DO\";s:18:\"Dominican Republic\";s:2:\"EC\";s:7:\"Ecuador\";s:2:\"EG\";s:5:\"Egypt\";s:2:\"SV\";s:11:\"El Salvador\";s:2:\"GQ\";s:17:\"Equatorial Guinea\";s:2:\"ER\";s:7:\"Eritrea\";s:2:\"EE\";s:7:\"Estonia\";s:2:\"ET\";s:8:\"Ethiopia\";s:2:\"FK\";s:16:\"Falkland Islands\";s:2:\"FO\";s:13:\"Faroe Islands\";s:2:\"FJ\";s:4:\"Fiji\";s:2:\"FI\";s:7:\"Finland\";s:2:\"FR\";s:6:\"France\";s:2:\"GF\";s:13:\"French Guiana\";s:2:\"PF\";s:16:\"French Polynesia\";s:2:\"TF\";s:27:\"French Southern Territories\";s:2:\"GA\";s:5:\"Gabon\";s:2:\"GM\";s:6:\"Gambia\";s:2:\"GE\";s:7:\"Georgia\";s:2:\"DE\";s:7:\"Germany\";s:2:\"GH\";s:5:\"Ghana\";s:2:\"GI\";s:9:\"Gibraltar\";s:2:\"GR\";s:6:\"Greece\";s:2:\"GL\";s:9:\"Greenland\";s:2:\"GD\";s:7:\"Grenada\";s:2:\"GP\";s:10:\"Guadeloupe\";s:2:\"GU\";s:4:\"Guam\";s:2:\"GT\";s:9:\"Guatemala\";s:2:\"GG\";s:8:\"Guernsey\";s:2:\"GN\";s:6:\"Guinea\";s:2:\"GW\";s:13:\"Guinea-Bissau\";s:2:\"GY\";s:6:\"Guyana\";s:2:\"HT\";s:5:\"Haiti\";s:2:\"HM\";s:33:\"Heard Island and McDonald Islands\";s:2:\"HN\";s:8:\"Honduras\";s:2:\"HK\";s:9:\"Hong Kong\";s:2:\"HU\";s:7:\"Hungary\";s:2:\"IS\";s:7:\"Iceland\";s:2:\"IN\";s:5:\"India\";s:2:\"ID\";s:9:\"Indonesia\";s:2:\"IR\";s:4:\"Iran\";s:2:\"IQ\";s:4:\"Iraq\";s:2:\"IE\";s:7:\"Ireland\";s:2:\"IM\";s:11:\"Isle of Man\";s:2:\"IL\";s:6:\"Israel\";s:2:\"IT\";s:5:\"Italy\";s:2:\"CI\";s:11:\"Ivory Coast\";s:2:\"JM\";s:7:\"Jamaica\";s:2:\"JP\";s:5:\"Japan\";s:2:\"JE\";s:6:\"Jersey\";s:2:\"JO\";s:6:\"Jordan\";s:2:\"KZ\";s:10:\"Kazakhstan\";s:2:\"KE\";s:5:\"Kenya\";s:2:\"KI\";s:8:\"Kiribati\";s:2:\"KW\";s:6:\"Kuwait\";s:2:\"KG\";s:10:\"Kyrgyzstan\";s:2:\"LA\";s:4:\"Laos\";s:2:\"LV\";s:6:\"Latvia\";s:2:\"LB\";s:7:\"Lebanon\";s:2:\"LS\";s:7:\"Lesotho\";s:2:\"LR\";s:7:\"Liberia\";s:2:\"LY\";s:5:\"Libya\";s:2:\"LI\";s:13:\"Liechtenstein\";s:2:\"LT\";s:9:\"Lithuania\";s:2:\"LU\";s:10:\"Luxembourg\";s:2:\"MO\";s:19:\"Macao S.A.R., China\";s:2:\"MG\";s:10:\"Madagascar\";s:2:\"MW\";s:6:\"Malawi\";s:2:\"MY\";s:8:\"Malaysia\";s:2:\"MV\";s:8:\"Maldives\";s:2:\"ML\";s:4:\"Mali\";s:2:\"MT\";s:5:\"Malta\";s:2:\"MH\";s:16:\"Marshall Islands\";s:2:\"MQ\";s:10:\"Martinique\";s:2:\"MR\";s:10:\"Mauritania\";s:2:\"MU\";s:9:\"Mauritius\";s:2:\"YT\";s:7:\"Mayotte\";s:2:\"MX\";s:6:\"Mexico\";s:2:\"FM\";s:10:\"Micronesia\";s:2:\"MD\";s:7:\"Moldova\";s:2:\"MC\";s:6:\"Monaco\";s:2:\"MN\";s:8:\"Mongolia\";s:2:\"ME\";s:10:\"Montenegro\";s:2:\"MS\";s:10:\"Montserrat\";s:2:\"MA\";s:7:\"Morocco\";s:2:\"MZ\";s:10:\"Mozambique\";s:2:\"MM\";s:7:\"Myanmar\";s:2:\"NA\";s:7:\"Namibia\";s:2:\"NR\";s:5:\"Nauru\";s:2:\"NP\";s:5:\"Nepal\";s:2:\"NL\";s:11:\"Netherlands\";s:2:\"NC\";s:13:\"New Caledonia\";s:2:\"NZ\";s:11:\"New Zealand\";s:2:\"NI\";s:9:\"Nicaragua\";s:2:\"NE\";s:5:\"Niger\";s:2:\"NG\";s:7:\"Nigeria\";s:2:\"NU\";s:4:\"Niue\";s:2:\"NF\";s:14:\"Norfolk Island\";s:2:\"KP\";s:11:\"North Korea\";s:2:\"MK\";s:15:\"North Macedonia\";s:2:\"MP\";s:24:\"Northern Mariana Islands\";s:2:\"NO\";s:6:\"Norway\";s:2:\"OM\";s:4:\"Oman\";s:2:\"PK\";s:8:\"Pakistan\";s:2:\"PS\";s:21:\"Palestinian Territory\";s:2:\"PA\";s:6:\"Panama\";s:2:\"PG\";s:16:\"Papua New Guinea\";s:2:\"PY\";s:8:\"Paraguay\";s:2:\"PE\";s:4:\"Peru\";s:2:\"PH\";s:11:\"Philippines\";s:2:\"PN\";s:8:\"Pitcairn\";s:2:\"PL\";s:6:\"Poland\";s:2:\"PT\";s:8:\"Portugal\";s:2:\"PR\";s:11:\"Puerto Rico\";s:2:\"QA\";s:5:\"Qatar\";s:2:\"RE\";s:7:\"Reunion\";s:2:\"RO\";s:7:\"Romania\";s:2:\"RU\";s:6:\"Russia\";s:2:\"RW\";s:6:\"Rwanda\";s:2:\"ST\";s:42:\"S&atilde;o Tom&eacute; and Pr&iacute;ncipe\";s:2:\"BL\";s:23:\"Saint Barth&eacute;lemy\";s:2:\"SH\";s:12:\"Saint Helena\";s:2:\"KN\";s:21:\"Saint Kitts and Nevis\";s:2:\"LC\";s:11:\"Saint Lucia\";s:2:\"SX\";s:25:\"Saint Martin (Dutch part)\";s:2:\"MF\";s:26:\"Saint Martin (French part)\";s:2:\"PM\";s:25:\"Saint Pierre and Miquelon\";s:2:\"VC\";s:32:\"Saint Vincent and the Grenadines\";s:2:\"WS\";s:5:\"Samoa\";s:2:\"SM\";s:10:\"San Marino\";s:2:\"SA\";s:12:\"Saudi Arabia\";s:2:\"SN\";s:7:\"Senegal\";s:2:\"RS\";s:6:\"Serbia\";s:2:\"SC\";s:10:\"Seychelles\";s:2:\"SL\";s:12:\"Sierra Leone\";s:2:\"SG\";s:9:\"Singapore\";s:2:\"SK\";s:8:\"Slovakia\";s:2:\"SI\";s:8:\"Slovenia\";s:2:\"SB\";s:15:\"Solomon Islands\";s:2:\"SO\";s:7:\"Somalia\";s:2:\"ZA\";s:12:\"South Africa\";s:2:\"GS\";s:30:\"South Georgia/Sandwich Islands\";s:2:\"KR\";s:11:\"South Korea\";s:2:\"SS\";s:11:\"South Sudan\";s:2:\"ES\";s:5:\"Spain\";s:2:\"LK\";s:9:\"Sri Lanka\";s:2:\"SD\";s:5:\"Sudan\";s:2:\"SR\";s:8:\"Suriname\";s:2:\"SJ\";s:22:\"Svalbard and Jan Mayen\";s:2:\"SZ\";s:9:\"Swaziland\";s:2:\"SE\";s:6:\"Sweden\";s:2:\"CH\";s:11:\"Switzerland\";s:2:\"SY\";s:5:\"Syria\";s:2:\"TW\";s:6:\"Taiwan\";s:2:\"TJ\";s:10:\"Tajikistan\";s:2:\"TZ\";s:8:\"Tanzania\";s:2:\"TH\";s:8:\"Thailand\";s:2:\"TL\";s:11:\"Timor-Leste\";s:2:\"TG\";s:4:\"Togo\";s:2:\"TK\";s:7:\"Tokelau\";s:2:\"TO\";s:5:\"Tonga\";s:2:\"TT\";s:19:\"Trinidad and Tobago\";s:2:\"TN\";s:7:\"Tunisia\";s:2:\"TR\";s:6:\"Turkey\";s:2:\"TM\";s:12:\"Turkmenistan\";s:2:\"TC\";s:24:\"Turks and Caicos Islands\";s:2:\"TV\";s:6:\"Tuvalu\";s:2:\"UG\";s:6:\"Uganda\";s:2:\"UA\";s:7:\"Ukraine\";s:2:\"AE\";s:20:\"United Arab Emirates\";s:2:\"GB\";s:19:\"United Kingdom (UK)\";s:2:\"US\";s:18:\"United States (US)\";s:2:\"UM\";s:41:\"United States (US) Minor Outlying Islands\";s:2:\"UY\";s:7:\"Uruguay\";s:2:\"UZ\";s:10:\"Uzbekistan\";s:2:\"VU\";s:7:\"Vanuatu\";s:2:\"VA\";s:7:\"Vatican\";s:2:\"VE\";s:9:\"Venezuela\";s:2:\"VN\";s:7:\"Vietnam\";s:2:\"VG\";s:24:\"Virgin Islands (British)\";s:2:\"VI\";s:19:\"Virgin Islands (US)\";s:2:\"WF\";s:17:\"Wallis and Futuna\";s:2:\"EH\";s:14:\"Western Sahara\";s:2:\"YE\";s:5:\"Yemen\";s:2:\"ZM\";s:6:\"Zambia\";s:2:\"ZW\";s:8:\"Zimbabwe\";}s:11:\"locale_info\";a:26:{s:2:\"AU\";a:8:{s:13:\"currency_code\";s:3:\"AUD\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"AU\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"10.0000\";s:4:\"name\";s:3:\"GST\";s:8:\"shipping\";b:1;}}}}s:2:\"BD\";a:8:{s:13:\"currency_code\";s:3:\"BDT\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"in\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"BD\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"15.0000\";s:4:\"name\";s:3:\"VAT\";s:8:\"shipping\";b:1;}}}}s:2:\"BE\";a:8:{s:13:\"currency_code\";s:3:\"EUR\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\" \";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"BE\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"21.0000\";s:4:\"name\";s:3:\"BTW\";s:8:\"shipping\";b:1;}}}}s:2:\"BR\";a:8:{s:13:\"currency_code\";s:3:\"BRL\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:0:{}}s:2:\"CA\";a:8:{s:13:\"currency_code\";s:3:\"CAD\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:5:{s:2:\"BC\";a:1:{i:0;a:6:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"BC\";s:4:\"rate\";s:6:\"7.0000\";s:4:\"name\";s:3:\"PST\";s:8:\"shipping\";b:0;s:8:\"priority\";i:2;}}s:2:\"SK\";a:1:{i:0;a:6:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"SK\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:3:\"PST\";s:8:\"shipping\";b:0;s:8:\"priority\";i:2;}}s:2:\"MB\";a:1:{i:0;a:6:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"MB\";s:4:\"rate\";s:6:\"8.0000\";s:4:\"name\";s:3:\"PST\";s:8:\"shipping\";b:0;s:8:\"priority\";i:2;}}s:2:\"QC\";a:1:{i:0;a:6:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"QC\";s:4:\"rate\";s:5:\"9.975\";s:4:\"name\";s:3:\"QST\";s:8:\"shipping\";b:0;s:8:\"priority\";i:2;}}s:1:\"*\";a:13:{i:0;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"ON\";s:4:\"rate\";s:7:\"13.0000\";s:4:\"name\";s:3:\"HST\";s:8:\"shipping\";b:1;}i:1;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"NL\";s:4:\"rate\";s:7:\"13.0000\";s:4:\"name\";s:3:\"HST\";s:8:\"shipping\";b:1;}i:2;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"NB\";s:4:\"rate\";s:7:\"13.0000\";s:4:\"name\";s:3:\"HST\";s:8:\"shipping\";b:1;}i:3;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"PE\";s:4:\"rate\";s:7:\"14.0000\";s:4:\"name\";s:3:\"HST\";s:8:\"shipping\";b:1;}i:4;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"NS\";s:4:\"rate\";s:7:\"15.0000\";s:4:\"name\";s:3:\"HST\";s:8:\"shipping\";b:1;}i:5;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"AB\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:3:\"GST\";s:8:\"shipping\";b:1;}i:6;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"BC\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:3:\"GST\";s:8:\"shipping\";b:1;}i:7;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"NT\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:3:\"GST\";s:8:\"shipping\";b:1;}i:8;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"NU\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:3:\"GST\";s:8:\"shipping\";b:1;}i:9;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"YT\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:3:\"GST\";s:8:\"shipping\";b:1;}i:10;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"SK\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:3:\"GST\";s:8:\"shipping\";b:1;}i:11;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"MB\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:3:\"GST\";s:8:\"shipping\";b:1;}i:12;a:5:{s:7:\"country\";s:2:\"CA\";s:5:\"state\";s:2:\"QC\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:3:\"GST\";s:8:\"shipping\";b:1;}}}}s:2:\"DE\";a:8:{s:13:\"currency_code\";s:3:\"EUR\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"DE\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"19.0000\";s:4:\"name\";s:5:\"Mwst.\";s:8:\"shipping\";b:1;}}}}s:2:\"DK\";a:8:{s:13:\"currency_code\";s:3:\"DKK\";s:12:\"currency_pos\";s:10:\"left_space\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:1:\"*\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"25.0000\";s:4:\"name\";s:4:\"Moms\";s:8:\"shipping\";b:1;}}}}s:2:\"ES\";a:8:{s:13:\"currency_code\";s:3:\"EUR\";s:12:\"currency_pos\";s:5:\"right\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"ES\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"21.0000\";s:4:\"name\";s:3:\"VAT\";s:8:\"shipping\";b:1;}}}}s:2:\"FI\";a:8:{s:13:\"currency_code\";s:3:\"EUR\";s:12:\"currency_pos\";s:11:\"right_space\";s:12:\"thousand_sep\";s:1:\" \";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"FI\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"24.0000\";s:4:\"name\";s:3:\"ALV\";s:8:\"shipping\";b:1;}}}}s:2:\"FR\";a:8:{s:13:\"currency_code\";s:3:\"EUR\";s:12:\"currency_pos\";s:5:\"right\";s:12:\"thousand_sep\";s:1:\" \";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"FR\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"20.0000\";s:4:\"name\";s:3:\"TVA\";s:8:\"shipping\";b:1;}}}}s:2:\"GB\";a:8:{s:13:\"currency_code\";s:3:\"GBP\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"GB\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"20.0000\";s:4:\"name\";s:3:\"VAT\";s:8:\"shipping\";b:1;}}}}s:2:\"HU\";a:8:{s:13:\"currency_code\";s:3:\"HUF\";s:12:\"currency_pos\";s:11:\"right_space\";s:12:\"thousand_sep\";s:1:\" \";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:0;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"HU\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"27.0000\";s:4:\"name\";s:4:\"ÁFA\";s:8:\"shipping\";b:1;}}}}s:2:\"IT\";a:8:{s:13:\"currency_code\";s:3:\"EUR\";s:12:\"currency_pos\";s:5:\"right\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"IT\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"22.0000\";s:4:\"name\";s:3:\"IVA\";s:8:\"shipping\";b:1;}}}}s:2:\"JP\";a:8:{s:13:\"currency_code\";s:3:\"JPY\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:0;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"JP\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:6:\"8.0000\";s:4:\"name\";s:15:\"Consumption tax\";s:8:\"shipping\";b:1;}}}}s:2:\"MD\";a:8:{s:13:\"currency_code\";s:3:\"MDL\";s:12:\"currency_pos\";s:11:\"right_space\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"MD\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"20.0000\";s:4:\"name\";s:3:\"TVA\";s:8:\"shipping\";b:1;}}}}s:2:\"NL\";a:8:{s:13:\"currency_code\";s:3:\"EUR\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"NL\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"21.0000\";s:4:\"name\";s:3:\"VAT\";s:8:\"shipping\";b:1;}}}}s:2:\"NO\";a:8:{s:13:\"currency_code\";s:2:\"Kr\";s:12:\"currency_pos\";s:10:\"left_space\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"NO\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"25.0000\";s:4:\"name\";s:3:\"MVA\";s:8:\"shipping\";b:1;}}}}s:2:\"NP\";a:8:{s:13:\"currency_code\";s:3:\"NPR\";s:12:\"currency_pos\";s:10:\"left_space\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"NP\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"13.0000\";s:4:\"name\";s:3:\"VAT\";s:8:\"shipping\";b:1;}}}}s:2:\"PL\";a:8:{s:13:\"currency_code\";s:3:\"PLN\";s:12:\"currency_pos\";s:11:\"right_space\";s:12:\"thousand_sep\";s:1:\" \";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"PL\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"23.0000\";s:4:\"name\";s:3:\"VAT\";s:8:\"shipping\";b:1;}}}}s:2:\"PY\";a:8:{s:13:\"currency_code\";s:3:\"PYG\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"PY\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"10.0000\";s:4:\"name\";s:3:\"VAT\";s:8:\"shipping\";b:1;}}}}s:2:\"RO\";a:8:{s:13:\"currency_code\";s:3:\"RON\";s:12:\"currency_pos\";s:11:\"right_space\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"RO\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"19.0000\";s:4:\"name\";s:3:\"TVA\";s:8:\"shipping\";b:1;}}}}s:2:\"RS\";a:8:{s:13:\"currency_code\";s:3:\"RSD\";s:12:\"currency_pos\";s:11:\"right_space\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:0:{}}s:2:\"TH\";a:8:{s:13:\"currency_code\";s:3:\"THB\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"TH\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:6:\"7.0000\";s:4:\"name\";s:3:\"VAT\";s:8:\"shipping\";b:1;}}}}s:2:\"TR\";a:8:{s:13:\"currency_code\";s:3:\"TRY\";s:12:\"currency_pos\";s:10:\"left_space\";s:12:\"thousand_sep\";s:1:\".\";s:11:\"decimal_sep\";s:1:\",\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"TR\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"18.0000\";s:4:\"name\";s:3:\"KDV\";s:8:\"shipping\";b:1;}}}}s:2:\"US\";a:8:{s:13:\"currency_code\";s:3:\"USD\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"oz\";s:14:\"dimension_unit\";s:2:\"in\";s:9:\"tax_rates\";a:48:{s:2:\"AL\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"AL\";s:4:\"rate\";s:6:\"4.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"AZ\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"AZ\";s:4:\"rate\";s:6:\"5.6000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"AR\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"AR\";s:4:\"rate\";s:6:\"6.5000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"CA\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"CA\";s:4:\"rate\";s:6:\"7.5000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"CO\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"CO\";s:4:\"rate\";s:6:\"2.9000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"CT\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"CT\";s:4:\"rate\";s:6:\"6.3500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"DC\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"DC\";s:4:\"rate\";s:6:\"5.7500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"FL\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"FL\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"GA\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"GA\";s:4:\"rate\";s:6:\"4.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"GU\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"GU\";s:4:\"rate\";s:6:\"4.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"HI\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"HI\";s:4:\"rate\";s:6:\"4.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"ID\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"ID\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"IL\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"IL\";s:4:\"rate\";s:6:\"6.2500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"IN\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"IN\";s:4:\"rate\";s:6:\"7.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"IA\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"IA\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"KS\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"KS\";s:4:\"rate\";s:6:\"6.1500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"KY\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"KY\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"LA\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"LA\";s:4:\"rate\";s:6:\"4.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"ME\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"ME\";s:4:\"rate\";s:6:\"5.5000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"MD\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"MD\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"MA\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"MA\";s:4:\"rate\";s:6:\"6.2500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"MI\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"MI\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"MN\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"MN\";s:4:\"rate\";s:6:\"6.8750\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"MS\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"MS\";s:4:\"rate\";s:6:\"7.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"MO\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"MO\";s:4:\"rate\";s:5:\"4.225\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"NE\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"NE\";s:4:\"rate\";s:6:\"5.5000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"NV\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"NV\";s:4:\"rate\";s:6:\"6.8500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"NJ\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"NJ\";s:4:\"rate\";s:6:\"6.8750\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"NM\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"NM\";s:4:\"rate\";s:6:\"5.1250\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"NY\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"NY\";s:4:\"rate\";s:6:\"4.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"NC\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"NC\";s:4:\"rate\";s:6:\"4.7500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"ND\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"ND\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"OH\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"OH\";s:4:\"rate\";s:6:\"5.7500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"OK\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"OK\";s:4:\"rate\";s:6:\"4.5000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"PA\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"PA\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"PR\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"PR\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"RI\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"RI\";s:4:\"rate\";s:6:\"7.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"SC\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"SC\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"SD\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"SD\";s:4:\"rate\";s:6:\"4.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"TN\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"TN\";s:4:\"rate\";s:6:\"7.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"TX\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"TX\";s:4:\"rate\";s:6:\"6.2500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"UT\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"UT\";s:4:\"rate\";s:6:\"5.9500\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"VT\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"VT\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"VA\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"VA\";s:4:\"rate\";s:6:\"5.3000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:0;}}s:2:\"WA\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"WA\";s:4:\"rate\";s:6:\"6.5000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"WV\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"WV\";s:4:\"rate\";s:6:\"6.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"WI\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"WI\";s:4:\"rate\";s:6:\"5.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}s:2:\"WY\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"US\";s:5:\"state\";s:2:\"WY\";s:4:\"rate\";s:6:\"4.0000\";s:4:\"name\";s:9:\"State Tax\";s:8:\"shipping\";b:1;}}}}s:2:\"ZA\";a:8:{s:13:\"currency_code\";s:3:\"ZAR\";s:12:\"currency_pos\";s:4:\"left\";s:12:\"thousand_sep\";s:1:\",\";s:11:\"decimal_sep\";s:1:\".\";s:12:\"num_decimals\";i:2;s:11:\"weight_unit\";s:2:\"kg\";s:14:\"dimension_unit\";s:2:\"cm\";s:9:\"tax_rates\";a:1:{s:0:\"\";a:1:{i:0;a:5:{s:7:\"country\";s:2:\"ZA\";s:5:\"state\";s:0:\"\";s:4:\"rate\";s:7:\"15.0000\";s:4:\"name\";s:3:\"VAT\";s:8:\"shipping\";b:1;}}}}}s:10:\"currencies\";a:163:{s:3:\"AED\";s:45:\"United Arab Emirates dirham (&#x62f;.&#x625;)\";s:3:\"AFN\";s:24:\"Afghan afghani (&#x60b;)\";s:3:\"ALL\";s:16:\"Albanian lek (L)\";s:3:\"AMD\";s:19:\"Armenian dram (AMD)\";s:3:\"ANG\";s:38:\"Netherlands Antillean guilder (&fnof;)\";s:3:\"AOA\";s:19:\"Angolan kwanza (Kz)\";s:3:\"ARS\";s:22:\"Argentine peso (&#36;)\";s:3:\"AUD\";s:25:\"Australian dollar (&#36;)\";s:3:\"AWG\";s:20:\"Aruban florin (Afl.)\";s:3:\"AZN\";s:23:\"Azerbaijani manat (AZN)\";s:3:\"BAM\";s:44:\"Bosnia and Herzegovina convertible mark (KM)\";s:3:\"BBD\";s:24:\"Barbadian dollar (&#36;)\";s:3:\"BDT\";s:32:\"Bangladeshi taka (&#2547;&nbsp;)\";s:3:\"BGN\";s:31:\"Bulgarian lev (&#1083;&#1074;.)\";s:3:\"BHD\";s:33:\"Bahraini dinar (.&#x62f;.&#x628;)\";s:3:\"BIF\";s:20:\"Burundian franc (Fr)\";s:3:\"BMD\";s:24:\"Bermudian dollar (&#36;)\";s:3:\"BND\";s:21:\"Brunei dollar (&#36;)\";s:3:\"BOB\";s:24:\"Bolivian boliviano (Bs.)\";s:3:\"BRL\";s:27:\"Brazilian real (&#82;&#36;)\";s:3:\"BSD\";s:23:\"Bahamian dollar (&#36;)\";s:3:\"BTC\";s:17:\"Bitcoin (&#3647;)\";s:3:\"BTN\";s:24:\"Bhutanese ngultrum (Nu.)\";s:3:\"BWP\";s:17:\"Botswana pula (P)\";s:3:\"BYR\";s:27:\"Belarusian ruble (old) (Br)\";s:3:\"BYN\";s:21:\"Belarusian ruble (Br)\";s:3:\"BZD\";s:21:\"Belize dollar (&#36;)\";s:3:\"CAD\";s:23:\"Canadian dollar (&#36;)\";s:3:\"CDF\";s:20:\"Congolese franc (Fr)\";s:3:\"CHF\";s:29:\"Swiss franc (&#67;&#72;&#70;)\";s:3:\"CLP\";s:20:\"Chilean peso (&#36;)\";s:3:\"CNY\";s:20:\"Chinese yuan (&yen;)\";s:3:\"COP\";s:22:\"Colombian peso (&#36;)\";s:3:\"CRC\";s:35:\"Costa Rican col&oacute;n (&#x20a1;)\";s:3:\"CUC\";s:30:\"Cuban convertible peso (&#36;)\";s:3:\"CUP\";s:18:\"Cuban peso (&#36;)\";s:3:\"CVE\";s:27:\"Cape Verdean escudo (&#36;)\";s:3:\"CZK\";s:26:\"Czech koruna (&#75;&#269;)\";s:3:\"DJF\";s:21:\"Djiboutian franc (Fr)\";s:3:\"DKK\";s:18:\"Danish krone (DKK)\";s:3:\"DOP\";s:24:\"Dominican peso (RD&#36;)\";s:3:\"DZD\";s:32:\"Algerian dinar (&#x62f;.&#x62c;)\";s:3:\"EGP\";s:20:\"Egyptian pound (EGP)\";s:3:\"ERN\";s:20:\"Eritrean nakfa (Nfk)\";s:3:\"ETB\";s:19:\"Ethiopian birr (Br)\";s:3:\"EUR\";s:13:\"Euro (&euro;)\";s:3:\"FJD\";s:21:\"Fijian dollar (&#36;)\";s:3:\"FKP\";s:32:\"Falkland Islands pound (&pound;)\";s:3:\"GBP\";s:24:\"Pound sterling (&pound;)\";s:3:\"GEL\";s:24:\"Georgian lari (&#x20be;)\";s:3:\"GGP\";s:24:\"Guernsey pound (&pound;)\";s:3:\"GHS\";s:21:\"Ghana cedi (&#x20b5;)\";s:3:\"GIP\";s:25:\"Gibraltar pound (&pound;)\";s:3:\"GMD\";s:18:\"Gambian dalasi (D)\";s:3:\"GNF\";s:18:\"Guinean franc (Fr)\";s:3:\"GTQ\";s:22:\"Guatemalan quetzal (Q)\";s:3:\"GYD\";s:23:\"Guyanese dollar (&#36;)\";s:3:\"HKD\";s:24:\"Hong Kong dollar (&#36;)\";s:3:\"HNL\";s:20:\"Honduran lempira (L)\";s:3:\"HRK\";s:18:\"Croatian kuna (kn)\";s:3:\"HTG\";s:18:\"Haitian gourde (G)\";s:3:\"HUF\";s:30:\"Hungarian forint (&#70;&#116;)\";s:3:\"IDR\";s:22:\"Indonesian rupiah (Rp)\";s:3:\"ILS\";s:28:\"Israeli new shekel (&#8362;)\";s:3:\"IMP\";s:20:\"Manx pound (&pound;)\";s:3:\"INR\";s:22:\"Indian rupee (&#8377;)\";s:3:\"IQD\";s:29:\"Iraqi dinar (&#x639;.&#x62f;)\";s:3:\"IRR\";s:23:\"Iranian rial (&#xfdfc;)\";s:3:\"IRT\";s:56:\"Iranian toman (&#x062A;&#x0648;&#x0645;&#x0627;&#x0646;)\";s:3:\"ISK\";s:28:\"Icelandic kr&oacute;na (kr.)\";s:3:\"JEP\";s:22:\"Jersey pound (&pound;)\";s:3:\"JMD\";s:23:\"Jamaican dollar (&#36;)\";s:3:\"JOD\";s:33:\"Jordanian dinar (&#x62f;.&#x627;)\";s:3:\"JPY\";s:20:\"Japanese yen (&yen;)\";s:3:\"KES\";s:21:\"Kenyan shilling (KSh)\";s:3:\"KGS\";s:39:\"Kyrgyzstani som (&#x441;&#x43e;&#x43c;)\";s:3:\"KHR\";s:25:\"Cambodian riel (&#x17db;)\";s:3:\"KMF\";s:19:\"Comorian franc (Fr)\";s:3:\"KPW\";s:27:\"North Korean won (&#x20a9;)\";s:3:\"KRW\";s:26:\"South Korean won (&#8361;)\";s:3:\"KWD\";s:31:\"Kuwaiti dinar (&#x62f;.&#x643;)\";s:3:\"KYD\";s:29:\"Cayman Islands dollar (&#36;)\";s:3:\"KZT\";s:23:\"Kazakhstani tenge (KZT)\";s:3:\"LAK\";s:17:\"Lao kip (&#8365;)\";s:3:\"LBP\";s:32:\"Lebanese pound (&#x644;.&#x644;)\";s:3:\"LKR\";s:33:\"Sri Lankan rupee (&#xdbb;&#xdd4;)\";s:3:\"LRD\";s:23:\"Liberian dollar (&#36;)\";s:3:\"LSL\";s:16:\"Lesotho loti (L)\";s:3:\"LYD\";s:30:\"Libyan dinar (&#x644;.&#x62f;)\";s:3:\"MAD\";s:34:\"Moroccan dirham (&#x62f;.&#x645;.)\";s:3:\"MDL\";s:18:\"Moldovan leu (MDL)\";s:3:\"MGA\";s:20:\"Malagasy ariary (Ar)\";s:3:\"MKD\";s:40:\"Macedonian denar (&#x434;&#x435;&#x43d;)\";s:3:\"MMK\";s:17:\"Burmese kyat (Ks)\";s:3:\"MNT\";s:37:\"Mongolian t&ouml;gr&ouml;g (&#x20ae;)\";s:3:\"MOP\";s:19:\"Macanese pataca (P)\";s:3:\"MRO\";s:24:\"Mauritanian ouguiya (UM)\";s:3:\"MUR\";s:26:\"Mauritian rupee (&#x20a8;)\";s:3:\"MVR\";s:28:\"Maldivian rufiyaa (.&#x783;)\";s:3:\"MWK\";s:20:\"Malawian kwacha (MK)\";s:3:\"MXN\";s:20:\"Mexican peso (&#36;)\";s:3:\"MYR\";s:30:\"Malaysian ringgit (&#82;&#77;)\";s:3:\"MZN\";s:23:\"Mozambican metical (MT)\";s:3:\"NAD\";s:23:\"Namibian dollar (&#36;)\";s:3:\"NGN\";s:24:\"Nigerian naira (&#8358;)\";s:3:\"NIO\";s:34:\"Nicaraguan c&oacute;rdoba (C&#36;)\";s:3:\"NOK\";s:30:\"Norwegian krone (&#107;&#114;)\";s:3:\"NPR\";s:24:\"Nepalese rupee (&#8360;)\";s:3:\"NZD\";s:26:\"New Zealand dollar (&#36;)\";s:3:\"OMR\";s:29:\"Omani rial (&#x631;.&#x639;.)\";s:3:\"PAB\";s:23:\"Panamanian balboa (B/.)\";s:3:\"PEN\";s:8:\"Sol (S/)\";s:3:\"PGK\";s:26:\"Papua New Guinean kina (K)\";s:3:\"PHP\";s:25:\"Philippine peso (&#8369;)\";s:3:\"PKR\";s:25:\"Pakistani rupee (&#8360;)\";s:3:\"PLN\";s:33:\"Polish z&#x142;oty (&#122;&#322;)\";s:3:\"PRB\";s:30:\"Transnistrian ruble (&#x440;.)\";s:3:\"PYG\";s:35:\"Paraguayan guaran&iacute; (&#8370;)\";s:3:\"QAR\";s:30:\"Qatari riyal (&#x631;.&#x642;)\";s:3:\"RON\";s:18:\"Romanian leu (lei)\";s:3:\"RSD\";s:38:\"Serbian dinar (&#x434;&#x438;&#x43d;.)\";s:3:\"RUB\";s:23:\"Russian ruble (&#8381;)\";s:3:\"RWF\";s:18:\"Rwandan franc (Fr)\";s:3:\"SAR\";s:29:\"Saudi riyal (&#x631;.&#x633;)\";s:3:\"SBD\";s:30:\"Solomon Islands dollar (&#36;)\";s:3:\"SCR\";s:28:\"Seychellois rupee (&#x20a8;)\";s:3:\"SDG\";s:33:\"Sudanese pound (&#x62c;.&#x633;.)\";s:3:\"SEK\";s:28:\"Swedish krona (&#107;&#114;)\";s:3:\"SGD\";s:24:\"Singapore dollar (&#36;)\";s:3:\"SHP\";s:28:\"Saint Helena pound (&pound;)\";s:3:\"SLL\";s:25:\"Sierra Leonean leone (Le)\";s:3:\"SOS\";s:20:\"Somali shilling (Sh)\";s:3:\"SRD\";s:25:\"Surinamese dollar (&#36;)\";s:3:\"SSP\";s:30:\"South Sudanese pound (&pound;)\";s:3:\"STD\";s:53:\"S&atilde;o Tom&eacute; and Pr&iacute;ncipe dobra (Db)\";s:3:\"SYP\";s:30:\"Syrian pound (&#x644;.&#x633;)\";s:3:\"SZL\";s:19:\"Swazi lilangeni (L)\";s:3:\"THB\";s:19:\"Thai baht (&#3647;)\";s:3:\"TJS\";s:35:\"Tajikistani somoni (&#x405;&#x41c;)\";s:3:\"TMT\";s:22:\"Turkmenistan manat (m)\";s:3:\"TND\";s:32:\"Tunisian dinar (&#x62f;.&#x62a;)\";s:3:\"TOP\";s:29:\"Tongan pa&#x2bb;anga (T&#36;)\";s:3:\"TRY\";s:22:\"Turkish lira (&#8378;)\";s:3:\"TTD\";s:34:\"Trinidad and Tobago dollar (&#36;)\";s:3:\"TWD\";s:35:\"New Taiwan dollar (&#78;&#84;&#36;)\";s:3:\"TZS\";s:23:\"Tanzanian shilling (Sh)\";s:3:\"UAH\";s:27:\"Ukrainian hryvnia (&#8372;)\";s:3:\"UGX\";s:22:\"Ugandan shilling (UGX)\";s:3:\"USD\";s:33:\"United States (US) dollar (&#36;)\";s:3:\"UYU\";s:22:\"Uruguayan peso (&#36;)\";s:3:\"UZS\";s:21:\"Uzbekistani som (UZS)\";s:3:\"VEF\";s:32:\"Venezuelan bol&iacute;var (Bs F)\";s:3:\"VES\";s:30:\"Bol&iacute;var soberano (Bs.S)\";s:3:\"VND\";s:38:\"Vietnamese &#x111;&#x1ed3;ng (&#8363;)\";s:3:\"VUV\";s:17:\"Vanuatu vatu (Vt)\";s:3:\"WST\";s:27:\"Samoan t&#x101;l&#x101; (T)\";s:3:\"XAF\";s:31:\"Central African CFA franc (CFA)\";s:3:\"XCD\";s:29:\"East Caribbean dollar (&#36;)\";s:3:\"XOF\";s:28:\"West African CFA franc (CFA)\";s:3:\"XPF\";s:14:\"CFP franc (Fr)\";s:3:\"YER\";s:22:\"Yemeni rial (&#xfdfc;)\";s:3:\"ZAR\";s:26:\"South African rand (&#82;)\";s:3:\"ZMW\";s:19:\"Zambian kwacha (ZK)\";}s:16:\"currency_symbols\";s:7:\"&pound;\";s:9:\"locations\";a:286:{s:2:\"AX\";s:18:\"&#197;land Islands\";s:2:\"AF\";s:11:\"Afghanistan\";s:2:\"AL\";s:7:\"Albania\";s:2:\"DZ\";s:7:\"Algeria\";s:2:\"AS\";s:14:\"American Samoa\";s:2:\"AD\";s:7:\"Andorra\";s:6:\"Angola\";a:18:{s:6:\"AO:BGO\";s:20:\"Angola &mdash; Bengo\";s:6:\"AO:BLU\";s:23:\"Angola &mdash; Benguela\";s:6:\"AO:BIE\";s:19:\"Angola &mdash; Bié\";s:6:\"AO:CAB\";s:22:\"Angola &mdash; Cabinda\";s:6:\"AO:CNN\";s:21:\"Angola &mdash; Cunene\";s:6:\"AO:HUA\";s:21:\"Angola &mdash; Huambo\";s:6:\"AO:HUI\";s:21:\"Angola &mdash; Huíla\";s:6:\"AO:CCU\";s:29:\"Angola &mdash; Kuando Kubango\";s:6:\"AO:CNO\";s:27:\"Angola &mdash; Kwanza-Norte\";s:6:\"AO:CUS\";s:25:\"Angola &mdash; Kwanza-Sul\";s:6:\"AO:LUA\";s:21:\"Angola &mdash; Luanda\";s:6:\"AO:LNO\";s:26:\"Angola &mdash; Lunda-Norte\";s:6:\"AO:LSU\";s:24:\"Angola &mdash; Lunda-Sul\";s:6:\"AO:MAL\";s:22:\"Angola &mdash; Malanje\";s:6:\"AO:MOX\";s:21:\"Angola &mdash; Moxico\";s:6:\"AO:NAM\";s:21:\"Angola &mdash; Namibe\";s:6:\"AO:UIG\";s:20:\"Angola &mdash; Uíge\";s:6:\"AO:ZAI\";s:20:\"Angola &mdash; Zaire\";}s:2:\"AO\";s:6:\"Angola\";s:2:\"AI\";s:8:\"Anguilla\";s:2:\"AQ\";s:10:\"Antarctica\";s:2:\"AG\";s:19:\"Antigua and Barbuda\";s:9:\"Argentina\";a:24:{s:4:\"AR:C\";s:56:\"Argentina &mdash; Ciudad Aut&oacute;noma de Buenos Aires\";s:4:\"AR:B\";s:30:\"Argentina &mdash; Buenos Aires\";s:4:\"AR:K\";s:27:\"Argentina &mdash; Catamarca\";s:4:\"AR:H\";s:23:\"Argentina &mdash; Chaco\";s:4:\"AR:U\";s:24:\"Argentina &mdash; Chubut\";s:4:\"AR:X\";s:32:\"Argentina &mdash; C&oacute;rdoba\";s:4:\"AR:W\";s:28:\"Argentina &mdash; Corrientes\";s:4:\"AR:E\";s:35:\"Argentina &mdash; Entre R&iacute;os\";s:4:\"AR:P\";s:25:\"Argentina &mdash; Formosa\";s:4:\"AR:Y\";s:23:\"Argentina &mdash; Jujuy\";s:4:\"AR:L\";s:26:\"Argentina &mdash; La Pampa\";s:4:\"AR:F\";s:26:\"Argentina &mdash; La Rioja\";s:4:\"AR:M\";s:25:\"Argentina &mdash; Mendoza\";s:4:\"AR:N\";s:26:\"Argentina &mdash; Misiones\";s:4:\"AR:Q\";s:32:\"Argentina &mdash; Neuqu&eacute;n\";s:4:\"AR:R\";s:34:\"Argentina &mdash; R&iacute;o Negro\";s:4:\"AR:A\";s:23:\"Argentina &mdash; Salta\";s:4:\"AR:J\";s:26:\"Argentina &mdash; San Juan\";s:4:\"AR:D\";s:26:\"Argentina &mdash; San Luis\";s:4:\"AR:Z\";s:28:\"Argentina &mdash; Santa Cruz\";s:4:\"AR:S\";s:26:\"Argentina &mdash; Santa Fe\";s:4:\"AR:G\";s:37:\"Argentina &mdash; Santiago del Estero\";s:4:\"AR:V\";s:34:\"Argentina &mdash; Tierra del Fuego\";s:4:\"AR:T\";s:32:\"Argentina &mdash; Tucum&aacute;n\";}s:2:\"AR\";s:9:\"Argentina\";s:2:\"AM\";s:7:\"Armenia\";s:2:\"AW\";s:5:\"Aruba\";s:9:\"Australia\";a:8:{s:6:\"AU:ACT\";s:46:\"Australia &mdash; Australian Capital Territory\";s:6:\"AU:NSW\";s:33:\"Australia &mdash; New South Wales\";s:5:\"AU:NT\";s:36:\"Australia &mdash; Northern Territory\";s:6:\"AU:QLD\";s:28:\"Australia &mdash; Queensland\";s:5:\"AU:SA\";s:33:\"Australia &mdash; South Australia\";s:6:\"AU:TAS\";s:26:\"Australia &mdash; Tasmania\";s:6:\"AU:VIC\";s:26:\"Australia &mdash; Victoria\";s:5:\"AU:WA\";s:35:\"Australia &mdash; Western Australia\";}s:2:\"AU\";s:9:\"Australia\";s:2:\"AT\";s:7:\"Austria\";s:2:\"AZ\";s:10:\"Azerbaijan\";s:2:\"BS\";s:7:\"Bahamas\";s:2:\"BH\";s:7:\"Bahrain\";s:10:\"Bangladesh\";a:64:{s:8:\"BD:BD-05\";s:27:\"Bangladesh &mdash; Bagerhat\";s:8:\"BD:BD-01\";s:28:\"Bangladesh &mdash; Bandarban\";s:8:\"BD:BD-02\";s:26:\"Bangladesh &mdash; Barguna\";s:8:\"BD:BD-06\";s:27:\"Bangladesh &mdash; Barishal\";s:8:\"BD:BD-07\";s:24:\"Bangladesh &mdash; Bhola\";s:8:\"BD:BD-03\";s:25:\"Bangladesh &mdash; Bogura\";s:8:\"BD:BD-04\";s:31:\"Bangladesh &mdash; Brahmanbaria\";s:8:\"BD:BD-09\";s:27:\"Bangladesh &mdash; Chandpur\";s:8:\"BD:BD-10\";s:29:\"Bangladesh &mdash; Chattogram\";s:8:\"BD:BD-12\";s:28:\"Bangladesh &mdash; Chuadanga\";s:8:\"BD:BD-11\";s:30:\"Bangladesh &mdash; Cox\'s Bazar\";s:8:\"BD:BD-08\";s:26:\"Bangladesh &mdash; Cumilla\";s:8:\"BD:BD-13\";s:24:\"Bangladesh &mdash; Dhaka\";s:8:\"BD:BD-14\";s:27:\"Bangladesh &mdash; Dinajpur\";s:8:\"BD:BD-15\";s:28:\"Bangladesh &mdash; Faridpur \";s:8:\"BD:BD-16\";s:23:\"Bangladesh &mdash; Feni\";s:8:\"BD:BD-19\";s:28:\"Bangladesh &mdash; Gaibandha\";s:8:\"BD:BD-18\";s:26:\"Bangladesh &mdash; Gazipur\";s:8:\"BD:BD-17\";s:28:\"Bangladesh &mdash; Gopalganj\";s:8:\"BD:BD-20\";s:27:\"Bangladesh &mdash; Habiganj\";s:8:\"BD:BD-21\";s:27:\"Bangladesh &mdash; Jamalpur\";s:8:\"BD:BD-22\";s:26:\"Bangladesh &mdash; Jashore\";s:8:\"BD:BD-25\";s:28:\"Bangladesh &mdash; Jhalokati\";s:8:\"BD:BD-23\";s:28:\"Bangladesh &mdash; Jhenaidah\";s:8:\"BD:BD-24\";s:28:\"Bangladesh &mdash; Joypurhat\";s:8:\"BD:BD-29\";s:31:\"Bangladesh &mdash; Khagrachhari\";s:8:\"BD:BD-27\";s:25:\"Bangladesh &mdash; Khulna\";s:8:\"BD:BD-26\";s:30:\"Bangladesh &mdash; Kishoreganj\";s:8:\"BD:BD-28\";s:27:\"Bangladesh &mdash; Kurigram\";s:8:\"BD:BD-30\";s:26:\"Bangladesh &mdash; Kushtia\";s:8:\"BD:BD-31\";s:29:\"Bangladesh &mdash; Lakshmipur\";s:8:\"BD:BD-32\";s:30:\"Bangladesh &mdash; Lalmonirhat\";s:8:\"BD:BD-36\";s:28:\"Bangladesh &mdash; Madaripur\";s:8:\"BD:BD-37\";s:25:\"Bangladesh &mdash; Magura\";s:8:\"BD:BD-33\";s:29:\"Bangladesh &mdash; Manikganj \";s:8:\"BD:BD-39\";s:27:\"Bangladesh &mdash; Meherpur\";s:8:\"BD:BD-38\";s:30:\"Bangladesh &mdash; Moulvibazar\";s:8:\"BD:BD-35\";s:29:\"Bangladesh &mdash; Munshiganj\";s:8:\"BD:BD-34\";s:29:\"Bangladesh &mdash; Mymensingh\";s:8:\"BD:BD-48\";s:26:\"Bangladesh &mdash; Naogaon\";s:8:\"BD:BD-43\";s:25:\"Bangladesh &mdash; Narail\";s:8:\"BD:BD-40\";s:30:\"Bangladesh &mdash; Narayanganj\";s:8:\"BD:BD-42\";s:28:\"Bangladesh &mdash; Narsingdi\";s:8:\"BD:BD-44\";s:25:\"Bangladesh &mdash; Natore\";s:8:\"BD:BD-45\";s:28:\"Bangladesh &mdash; Nawabganj\";s:8:\"BD:BD-41\";s:28:\"Bangladesh &mdash; Netrakona\";s:8:\"BD:BD-46\";s:29:\"Bangladesh &mdash; Nilphamari\";s:8:\"BD:BD-47\";s:27:\"Bangladesh &mdash; Noakhali\";s:8:\"BD:BD-49\";s:24:\"Bangladesh &mdash; Pabna\";s:8:\"BD:BD-52\";s:29:\"Bangladesh &mdash; Panchagarh\";s:8:\"BD:BD-51\";s:29:\"Bangladesh &mdash; Patuakhali\";s:8:\"BD:BD-50\";s:27:\"Bangladesh &mdash; Pirojpur\";s:8:\"BD:BD-53\";s:26:\"Bangladesh &mdash; Rajbari\";s:8:\"BD:BD-54\";s:27:\"Bangladesh &mdash; Rajshahi\";s:8:\"BD:BD-56\";s:28:\"Bangladesh &mdash; Rangamati\";s:8:\"BD:BD-55\";s:26:\"Bangladesh &mdash; Rangpur\";s:8:\"BD:BD-58\";s:27:\"Bangladesh &mdash; Satkhira\";s:8:\"BD:BD-62\";s:29:\"Bangladesh &mdash; Shariatpur\";s:8:\"BD:BD-57\";s:26:\"Bangladesh &mdash; Sherpur\";s:8:\"BD:BD-59\";s:28:\"Bangladesh &mdash; Sirajganj\";s:8:\"BD:BD-61\";s:28:\"Bangladesh &mdash; Sunamganj\";s:8:\"BD:BD-60\";s:25:\"Bangladesh &mdash; Sylhet\";s:8:\"BD:BD-63\";s:26:\"Bangladesh &mdash; Tangail\";s:8:\"BD:BD-64\";s:29:\"Bangladesh &mdash; Thakurgaon\";}s:2:\"BD\";s:10:\"Bangladesh\";s:2:\"BB\";s:8:\"Barbados\";s:2:\"BY\";s:7:\"Belarus\";s:2:\"PW\";s:5:\"Belau\";s:2:\"BE\";s:7:\"Belgium\";s:2:\"BZ\";s:6:\"Belize\";s:2:\"BJ\";s:5:\"Benin\";s:2:\"BM\";s:7:\"Bermuda\";s:2:\"BT\";s:6:\"Bhutan\";s:7:\"Bolivia\";a:9:{s:4:\"BO:B\";s:26:\"Bolivia &mdash; Chuquisaca\";s:4:\"BO:H\";s:20:\"Bolivia &mdash; Beni\";s:4:\"BO:C\";s:26:\"Bolivia &mdash; Cochabamba\";s:4:\"BO:L\";s:22:\"Bolivia &mdash; La Paz\";s:4:\"BO:O\";s:21:\"Bolivia &mdash; Oruro\";s:4:\"BO:N\";s:21:\"Bolivia &mdash; Pando\";s:4:\"BO:P\";s:23:\"Bolivia &mdash; Potosí\";s:4:\"BO:S\";s:26:\"Bolivia &mdash; Santa Cruz\";s:4:\"BO:T\";s:22:\"Bolivia &mdash; Tarija\";}s:2:\"BO\";s:7:\"Bolivia\";s:2:\"BQ\";s:33:\"Bonaire, Saint Eustatius and Saba\";s:2:\"BA\";s:22:\"Bosnia and Herzegovina\";s:2:\"BW\";s:8:\"Botswana\";s:2:\"BV\";s:13:\"Bouvet Island\";s:6:\"Brazil\";a:27:{s:5:\"BR:AC\";s:19:\"Brazil &mdash; Acre\";s:5:\"BR:AL\";s:22:\"Brazil &mdash; Alagoas\";s:5:\"BR:AP\";s:27:\"Brazil &mdash; Amap&aacute;\";s:5:\"BR:AM\";s:23:\"Brazil &mdash; Amazonas\";s:5:\"BR:BA\";s:20:\"Brazil &mdash; Bahia\";s:5:\"BR:CE\";s:27:\"Brazil &mdash; Cear&aacute;\";s:5:\"BR:DF\";s:31:\"Brazil &mdash; Distrito Federal\";s:5:\"BR:ES\";s:36:\"Brazil &mdash; Esp&iacute;rito Santo\";s:5:\"BR:GO\";s:27:\"Brazil &mdash; Goi&aacute;s\";s:5:\"BR:MA\";s:30:\"Brazil &mdash; Maranh&atilde;o\";s:5:\"BR:MT\";s:26:\"Brazil &mdash; Mato Grosso\";s:5:\"BR:MS\";s:33:\"Brazil &mdash; Mato Grosso do Sul\";s:5:\"BR:MG\";s:27:\"Brazil &mdash; Minas Gerais\";s:5:\"BR:PA\";s:26:\"Brazil &mdash; Par&aacute;\";s:5:\"BR:PB\";s:29:\"Brazil &mdash; Para&iacute;ba\";s:5:\"BR:PR\";s:28:\"Brazil &mdash; Paran&aacute;\";s:5:\"BR:PE\";s:25:\"Brazil &mdash; Pernambuco\";s:5:\"BR:PI\";s:27:\"Brazil &mdash; Piau&iacute;\";s:5:\"BR:RJ\";s:29:\"Brazil &mdash; Rio de Janeiro\";s:5:\"BR:RN\";s:34:\"Brazil &mdash; Rio Grande do Norte\";s:5:\"BR:RS\";s:32:\"Brazil &mdash; Rio Grande do Sul\";s:5:\"BR:RO\";s:29:\"Brazil &mdash; Rond&ocirc;nia\";s:5:\"BR:RR\";s:22:\"Brazil &mdash; Roraima\";s:5:\"BR:SC\";s:29:\"Brazil &mdash; Santa Catarina\";s:5:\"BR:SP\";s:31:\"Brazil &mdash; S&atilde;o Paulo\";s:5:\"BR:SE\";s:22:\"Brazil &mdash; Sergipe\";s:5:\"BR:TO\";s:24:\"Brazil &mdash; Tocantins\";}s:2:\"BR\";s:6:\"Brazil\";s:2:\"IO\";s:30:\"British Indian Ocean Territory\";s:2:\"BN\";s:6:\"Brunei\";s:8:\"Bulgaria\";a:28:{s:8:\"BG:BG-01\";s:28:\"Bulgaria &mdash; Blagoevgrad\";s:8:\"BG:BG-02\";s:23:\"Bulgaria &mdash; Burgas\";s:8:\"BG:BG-08\";s:24:\"Bulgaria &mdash; Dobrich\";s:8:\"BG:BG-07\";s:24:\"Bulgaria &mdash; Gabrovo\";s:8:\"BG:BG-26\";s:24:\"Bulgaria &mdash; Haskovo\";s:8:\"BG:BG-09\";s:26:\"Bulgaria &mdash; Kardzhali\";s:8:\"BG:BG-10\";s:27:\"Bulgaria &mdash; Kyustendil\";s:8:\"BG:BG-11\";s:23:\"Bulgaria &mdash; Lovech\";s:8:\"BG:BG-12\";s:24:\"Bulgaria &mdash; Montana\";s:8:\"BG:BG-13\";s:27:\"Bulgaria &mdash; Pazardzhik\";s:8:\"BG:BG-14\";s:23:\"Bulgaria &mdash; Pernik\";s:8:\"BG:BG-15\";s:23:\"Bulgaria &mdash; Pleven\";s:8:\"BG:BG-16\";s:24:\"Bulgaria &mdash; Plovdiv\";s:8:\"BG:BG-17\";s:24:\"Bulgaria &mdash; Razgrad\";s:8:\"BG:BG-18\";s:21:\"Bulgaria &mdash; Ruse\";s:8:\"BG:BG-27\";s:23:\"Bulgaria &mdash; Shumen\";s:8:\"BG:BG-19\";s:25:\"Bulgaria &mdash; Silistra\";s:8:\"BG:BG-20\";s:23:\"Bulgaria &mdash; Sliven\";s:8:\"BG:BG-21\";s:24:\"Bulgaria &mdash; Smolyan\";s:8:\"BG:BG-23\";s:22:\"Bulgaria &mdash; Sofia\";s:8:\"BG:BG-22\";s:27:\"Bulgaria &mdash; Sofia-Grad\";s:8:\"BG:BG-24\";s:29:\"Bulgaria &mdash; Stara Zagora\";s:8:\"BG:BG-25\";s:28:\"Bulgaria &mdash; Targovishte\";s:8:\"BG:BG-03\";s:22:\"Bulgaria &mdash; Varna\";s:8:\"BG:BG-04\";s:31:\"Bulgaria &mdash; Veliko Tarnovo\";s:8:\"BG:BG-05\";s:22:\"Bulgaria &mdash; Vidin\";s:8:\"BG:BG-06\";s:23:\"Bulgaria &mdash; Vratsa\";s:8:\"BG:BG-28\";s:23:\"Bulgaria &mdash; Yambol\";}s:2:\"BG\";s:8:\"Bulgaria\";s:2:\"BF\";s:12:\"Burkina Faso\";s:2:\"BI\";s:7:\"Burundi\";s:2:\"KH\";s:8:\"Cambodia\";s:2:\"CM\";s:8:\"Cameroon\";s:6:\"Canada\";a:13:{s:5:\"CA:AB\";s:22:\"Canada &mdash; Alberta\";s:5:\"CA:BC\";s:31:\"Canada &mdash; British Columbia\";s:5:\"CA:MB\";s:23:\"Canada &mdash; Manitoba\";s:5:\"CA:NB\";s:28:\"Canada &mdash; New Brunswick\";s:5:\"CA:NL\";s:40:\"Canada &mdash; Newfoundland and Labrador\";s:5:\"CA:NT\";s:36:\"Canada &mdash; Northwest Territories\";s:5:\"CA:NS\";s:26:\"Canada &mdash; Nova Scotia\";s:5:\"CA:NU\";s:22:\"Canada &mdash; Nunavut\";s:5:\"CA:ON\";s:22:\"Canada &mdash; Ontario\";s:5:\"CA:PE\";s:35:\"Canada &mdash; Prince Edward Island\";s:5:\"CA:QC\";s:21:\"Canada &mdash; Quebec\";s:5:\"CA:SK\";s:27:\"Canada &mdash; Saskatchewan\";s:5:\"CA:YT\";s:30:\"Canada &mdash; Yukon Territory\";}s:2:\"CA\";s:6:\"Canada\";s:2:\"CV\";s:10:\"Cape Verde\";s:2:\"KY\";s:14:\"Cayman Islands\";s:2:\"CF\";s:24:\"Central African Republic\";s:2:\"TD\";s:4:\"Chad\";s:2:\"CL\";s:5:\"Chile\";s:5:\"China\";a:32:{s:6:\"CN:CN1\";s:39:\"China &mdash; Yunnan / &#20113;&#21335;\";s:6:\"CN:CN2\";s:40:\"China &mdash; Beijing / &#21271;&#20140;\";s:6:\"CN:CN3\";s:40:\"China &mdash; Tianjin / &#22825;&#27941;\";s:6:\"CN:CN4\";s:38:\"China &mdash; Hebei / &#27827;&#21271;\";s:6:\"CN:CN5\";s:39:\"China &mdash; Shanxi / &#23665;&#35199;\";s:6:\"CN:CN6\";s:55:\"China &mdash; Inner Mongolia / &#20839;&#33945;&#21476;\";s:6:\"CN:CN7\";s:41:\"China &mdash; Liaoning / &#36797;&#23425;\";s:6:\"CN:CN8\";s:38:\"China &mdash; Jilin / &#21513;&#26519;\";s:6:\"CN:CN9\";s:53:\"China &mdash; Heilongjiang / &#40657;&#40857;&#27743;\";s:7:\"CN:CN10\";s:41:\"China &mdash; Shanghai / &#19978;&#28023;\";s:7:\"CN:CN11\";s:40:\"China &mdash; Jiangsu / &#27743;&#33487;\";s:7:\"CN:CN12\";s:41:\"China &mdash; Zhejiang / &#27993;&#27743;\";s:7:\"CN:CN13\";s:38:\"China &mdash; Anhui / &#23433;&#24509;\";s:7:\"CN:CN14\";s:39:\"China &mdash; Fujian / &#31119;&#24314;\";s:7:\"CN:CN15\";s:40:\"China &mdash; Jiangxi / &#27743;&#35199;\";s:7:\"CN:CN16\";s:41:\"China &mdash; Shandong / &#23665;&#19996;\";s:7:\"CN:CN17\";s:38:\"China &mdash; Henan / &#27827;&#21335;\";s:7:\"CN:CN18\";s:38:\"China &mdash; Hubei / &#28246;&#21271;\";s:7:\"CN:CN19\";s:38:\"China &mdash; Hunan / &#28246;&#21335;\";s:7:\"CN:CN20\";s:42:\"China &mdash; Guangdong / &#24191;&#19996;\";s:7:\"CN:CN21\";s:63:\"China &mdash; Guangxi Zhuang / &#24191;&#35199;&#22766;&#26063;\";s:7:\"CN:CN22\";s:39:\"China &mdash; Hainan / &#28023;&#21335;\";s:7:\"CN:CN23\";s:42:\"China &mdash; Chongqing / &#37325;&#24198;\";s:7:\"CN:CN24\";s:40:\"China &mdash; Sichuan / &#22235;&#24029;\";s:7:\"CN:CN25\";s:40:\"China &mdash; Guizhou / &#36149;&#24030;\";s:7:\"CN:CN26\";s:40:\"China &mdash; Shaanxi / &#38485;&#35199;\";s:7:\"CN:CN27\";s:38:\"China &mdash; Gansu / &#29976;&#32899;\";s:7:\"CN:CN28\";s:40:\"China &mdash; Qinghai / &#38738;&#28023;\";s:7:\"CN:CN29\";s:44:\"China &mdash; Ningxia Hui / &#23425;&#22799;\";s:7:\"CN:CN30\";s:38:\"China &mdash; Macau / &#28595;&#38376;\";s:7:\"CN:CN31\";s:38:\"China &mdash; Tibet / &#35199;&#34255;\";s:7:\"CN:CN32\";s:41:\"China &mdash; Xinjiang / &#26032;&#30086;\";}s:2:\"CN\";s:5:\"China\";s:2:\"CX\";s:16:\"Christmas Island\";s:2:\"CC\";s:23:\"Cocos (Keeling) Islands\";s:2:\"CO\";s:8:\"Colombia\";s:2:\"KM\";s:7:\"Comoros\";s:2:\"CG\";s:19:\"Congo (Brazzaville)\";s:2:\"CD\";s:16:\"Congo (Kinshasa)\";s:2:\"CK\";s:12:\"Cook Islands\";s:2:\"CR\";s:10:\"Costa Rica\";s:2:\"HR\";s:7:\"Croatia\";s:2:\"CU\";s:4:\"Cuba\";s:2:\"CW\";s:14:\"Cura&ccedil;ao\";s:2:\"CY\";s:6:\"Cyprus\";s:2:\"CZ\";s:14:\"Czech Republic\";s:2:\"DK\";s:7:\"Denmark\";s:2:\"DJ\";s:8:\"Djibouti\";s:2:\"DM\";s:8:\"Dominica\";s:2:\"DO\";s:18:\"Dominican Republic\";s:2:\"EC\";s:7:\"Ecuador\";s:2:\"EG\";s:5:\"Egypt\";s:2:\"SV\";s:11:\"El Salvador\";s:2:\"GQ\";s:17:\"Equatorial Guinea\";s:2:\"ER\";s:7:\"Eritrea\";s:2:\"EE\";s:7:\"Estonia\";s:2:\"ET\";s:8:\"Ethiopia\";s:2:\"FK\";s:16:\"Falkland Islands\";s:2:\"FO\";s:13:\"Faroe Islands\";s:2:\"FJ\";s:4:\"Fiji\";s:2:\"FI\";s:7:\"Finland\";s:2:\"FR\";s:6:\"France\";s:2:\"GF\";s:13:\"French Guiana\";s:2:\"PF\";s:16:\"French Polynesia\";s:2:\"TF\";s:27:\"French Southern Territories\";s:2:\"GA\";s:5:\"Gabon\";s:2:\"GM\";s:6:\"Gambia\";s:2:\"GE\";s:7:\"Georgia\";s:2:\"DE\";s:7:\"Germany\";s:2:\"GH\";s:5:\"Ghana\";s:2:\"GI\";s:9:\"Gibraltar\";s:6:\"Greece\";a:13:{s:4:\"GR:I\";s:27:\"Greece &mdash; Αττική\";s:4:\"GR:A\";s:70:\"Greece &mdash; Ανατολική Μακεδονία και Θράκη\";s:4:\"GR:B\";s:50:\"Greece &mdash; Κεντρική Μακεδονία\";s:4:\"GR:C\";s:46:\"Greece &mdash; Δυτική Μακεδονία\";s:4:\"GR:D\";s:29:\"Greece &mdash; Ήπειρος\";s:4:\"GR:E\";s:31:\"Greece &mdash; Θεσσαλία\";s:4:\"GR:F\";s:38:\"Greece &mdash; Ιόνιοι Νήσοι\";s:4:\"GR:G\";s:40:\"Greece &mdash; Δυτική Ελλάδα\";s:4:\"GR:H\";s:40:\"Greece &mdash; Στερεά Ελλάδα\";s:4:\"GR:J\";s:39:\"Greece &mdash; Πελοπόννησος\";s:4:\"GR:K\";s:40:\"Greece &mdash; Βόρειο Αιγαίο\";s:4:\"GR:L\";s:38:\"Greece &mdash; Νότιο Αιγαίο\";s:4:\"GR:M\";s:25:\"Greece &mdash; Κρήτη\";}s:2:\"GR\";s:6:\"Greece\";s:2:\"GL\";s:9:\"Greenland\";s:2:\"GD\";s:7:\"Grenada\";s:2:\"GP\";s:10:\"Guadeloupe\";s:2:\"GU\";s:4:\"Guam\";s:2:\"GT\";s:9:\"Guatemala\";s:2:\"GG\";s:8:\"Guernsey\";s:2:\"GN\";s:6:\"Guinea\";s:2:\"GW\";s:13:\"Guinea-Bissau\";s:2:\"GY\";s:6:\"Guyana\";s:2:\"HT\";s:5:\"Haiti\";s:2:\"HM\";s:33:\"Heard Island and McDonald Islands\";s:2:\"HN\";s:8:\"Honduras\";s:9:\"Hong Kong\";a:3:{s:12:\"HK:HONG KONG\";s:34:\"Hong Kong &mdash; Hong Kong Island\";s:10:\"HK:KOWLOON\";s:25:\"Hong Kong &mdash; Kowloon\";s:18:\"HK:NEW TERRITORIES\";s:33:\"Hong Kong &mdash; New Territories\";}s:2:\"HK\";s:9:\"Hong Kong\";s:7:\"Hungary\";a:20:{s:5:\"HU:BK\";s:28:\"Hungary &mdash; Bács-Kiskun\";s:5:\"HU:BE\";s:23:\"Hungary &mdash; Békés\";s:5:\"HU:BA\";s:23:\"Hungary &mdash; Baranya\";s:5:\"HU:BZ\";s:38:\"Hungary &mdash; Borsod-Abaúj-Zemplén\";s:5:\"HU:BU\";s:24:\"Hungary &mdash; Budapest\";s:5:\"HU:CS\";s:25:\"Hungary &mdash; Csongrád\";s:5:\"HU:FE\";s:22:\"Hungary &mdash; Fejér\";s:5:\"HU:GS\";s:34:\"Hungary &mdash; Győr-Moson-Sopron\";s:5:\"HU:HB\";s:28:\"Hungary &mdash; Hajdú-Bihar\";s:5:\"HU:HE\";s:21:\"Hungary &mdash; Heves\";s:5:\"HU:JN\";s:37:\"Hungary &mdash; Jász-Nagykun-Szolnok\";s:5:\"HU:KE\";s:34:\"Hungary &mdash; Komárom-Esztergom\";s:5:\"HU:NO\";s:24:\"Hungary &mdash; Nógrád\";s:5:\"HU:PE\";s:20:\"Hungary &mdash; Pest\";s:5:\"HU:SO\";s:22:\"Hungary &mdash; Somogy\";s:5:\"HU:SZ\";s:39:\"Hungary &mdash; Szabolcs-Szatmár-Bereg\";s:5:\"HU:TO\";s:21:\"Hungary &mdash; Tolna\";s:5:\"HU:VA\";s:19:\"Hungary &mdash; Vas\";s:5:\"HU:VE\";s:25:\"Hungary &mdash; Veszprém\";s:5:\"HU:ZA\";s:20:\"Hungary &mdash; Zala\";}s:2:\"HU\";s:7:\"Hungary\";s:2:\"IS\";s:7:\"Iceland\";s:5:\"India\";a:36:{s:5:\"IN:AP\";s:28:\"India &mdash; Andhra Pradesh\";s:5:\"IN:AR\";s:31:\"India &mdash; Arunachal Pradesh\";s:5:\"IN:AS\";s:19:\"India &mdash; Assam\";s:5:\"IN:BR\";s:19:\"India &mdash; Bihar\";s:5:\"IN:CT\";s:26:\"India &mdash; Chhattisgarh\";s:5:\"IN:GA\";s:17:\"India &mdash; Goa\";s:5:\"IN:GJ\";s:21:\"India &mdash; Gujarat\";s:5:\"IN:HR\";s:21:\"India &mdash; Haryana\";s:5:\"IN:HP\";s:30:\"India &mdash; Himachal Pradesh\";s:5:\"IN:JK\";s:31:\"India &mdash; Jammu and Kashmir\";s:5:\"IN:JH\";s:23:\"India &mdash; Jharkhand\";s:5:\"IN:KA\";s:23:\"India &mdash; Karnataka\";s:5:\"IN:KL\";s:20:\"India &mdash; Kerala\";s:5:\"IN:MP\";s:28:\"India &mdash; Madhya Pradesh\";s:5:\"IN:MH\";s:25:\"India &mdash; Maharashtra\";s:5:\"IN:MN\";s:21:\"India &mdash; Manipur\";s:5:\"IN:ML\";s:23:\"India &mdash; Meghalaya\";s:5:\"IN:MZ\";s:21:\"India &mdash; Mizoram\";s:5:\"IN:NL\";s:22:\"India &mdash; Nagaland\";s:5:\"IN:OR\";s:20:\"India &mdash; Orissa\";s:5:\"IN:PB\";s:20:\"India &mdash; Punjab\";s:5:\"IN:RJ\";s:23:\"India &mdash; Rajasthan\";s:5:\"IN:SK\";s:20:\"India &mdash; Sikkim\";s:5:\"IN:TN\";s:24:\"India &mdash; Tamil Nadu\";s:5:\"IN:TS\";s:23:\"India &mdash; Telangana\";s:5:\"IN:TR\";s:21:\"India &mdash; Tripura\";s:5:\"IN:UK\";s:25:\"India &mdash; Uttarakhand\";s:5:\"IN:UP\";s:27:\"India &mdash; Uttar Pradesh\";s:5:\"IN:WB\";s:25:\"India &mdash; West Bengal\";s:5:\"IN:AN\";s:41:\"India &mdash; Andaman and Nicobar Islands\";s:5:\"IN:CH\";s:24:\"India &mdash; Chandigarh\";s:5:\"IN:DN\";s:36:\"India &mdash; Dadra and Nagar Haveli\";s:5:\"IN:DD\";s:27:\"India &mdash; Daman and Diu\";s:5:\"IN:DL\";s:19:\"India &mdash; Delhi\";s:5:\"IN:LD\";s:24:\"India &mdash; Lakshadeep\";s:5:\"IN:PY\";s:38:\"India &mdash; Pondicherry (Puducherry)\";}s:2:\"IN\";s:5:\"India\";s:9:\"Indonesia\";a:34:{s:5:\"ID:AC\";s:38:\"Indonesia &mdash; Daerah Istimewa Aceh\";s:5:\"ID:SU\";s:32:\"Indonesia &mdash; Sumatera Utara\";s:5:\"ID:SB\";s:32:\"Indonesia &mdash; Sumatera Barat\";s:5:\"ID:RI\";s:22:\"Indonesia &mdash; Riau\";s:5:\"ID:KR\";s:32:\"Indonesia &mdash; Kepulauan Riau\";s:5:\"ID:JA\";s:23:\"Indonesia &mdash; Jambi\";s:5:\"ID:SS\";s:34:\"Indonesia &mdash; Sumatera Selatan\";s:5:\"ID:BB\";s:33:\"Indonesia &mdash; Bangka Belitung\";s:5:\"ID:BE\";s:26:\"Indonesia &mdash; Bengkulu\";s:5:\"ID:LA\";s:25:\"Indonesia &mdash; Lampung\";s:5:\"ID:JK\";s:29:\"Indonesia &mdash; DKI Jakarta\";s:5:\"ID:JB\";s:28:\"Indonesia &mdash; Jawa Barat\";s:5:\"ID:BT\";s:24:\"Indonesia &mdash; Banten\";s:5:\"ID:JT\";s:29:\"Indonesia &mdash; Jawa Tengah\";s:5:\"ID:JI\";s:28:\"Indonesia &mdash; Jawa Timur\";s:5:\"ID:YO\";s:44:\"Indonesia &mdash; Daerah Istimewa Yogyakarta\";s:5:\"ID:BA\";s:22:\"Indonesia &mdash; Bali\";s:5:\"ID:NB\";s:37:\"Indonesia &mdash; Nusa Tenggara Barat\";s:5:\"ID:NT\";s:37:\"Indonesia &mdash; Nusa Tenggara Timur\";s:5:\"ID:KB\";s:34:\"Indonesia &mdash; Kalimantan Barat\";s:5:\"ID:KT\";s:35:\"Indonesia &mdash; Kalimantan Tengah\";s:5:\"ID:KI\";s:34:\"Indonesia &mdash; Kalimantan Timur\";s:5:\"ID:KS\";s:36:\"Indonesia &mdash; Kalimantan Selatan\";s:5:\"ID:KU\";s:34:\"Indonesia &mdash; Kalimantan Utara\";s:5:\"ID:SA\";s:32:\"Indonesia &mdash; Sulawesi Utara\";s:5:\"ID:ST\";s:33:\"Indonesia &mdash; Sulawesi Tengah\";s:5:\"ID:SG\";s:35:\"Indonesia &mdash; Sulawesi Tenggara\";s:5:\"ID:SR\";s:32:\"Indonesia &mdash; Sulawesi Barat\";s:5:\"ID:SN\";s:34:\"Indonesia &mdash; Sulawesi Selatan\";s:5:\"ID:GO\";s:27:\"Indonesia &mdash; Gorontalo\";s:5:\"ID:MA\";s:24:\"Indonesia &mdash; Maluku\";s:5:\"ID:MU\";s:30:\"Indonesia &mdash; Maluku Utara\";s:5:\"ID:PA\";s:23:\"Indonesia &mdash; Papua\";s:5:\"ID:PB\";s:29:\"Indonesia &mdash; Papua Barat\";}s:2:\"ID\";s:9:\"Indonesia\";s:4:\"Iran\";a:31:{s:6:\"IR:KHZ\";s:40:\"Iran &mdash; Khuzestan  (خوزستان)\";s:6:\"IR:THR\";s:33:\"Iran &mdash; Tehran  (تهران)\";s:6:\"IR:ILM\";s:31:\"Iran &mdash; Ilaam (ایلام)\";s:6:\"IR:BHR\";s:33:\"Iran &mdash; Bushehr (بوشهر)\";s:6:\"IR:ADL\";s:35:\"Iran &mdash; Ardabil (اردبیل)\";s:6:\"IR:ESF\";s:35:\"Iran &mdash; Isfahan (اصفهان)\";s:6:\"IR:YZD\";s:26:\"Iran &mdash; Yazd (یزد)\";s:6:\"IR:KRH\";s:42:\"Iran &mdash; Kermanshah (کرمانشاه)\";s:6:\"IR:KRN\";s:32:\"Iran &mdash; Kerman (کرمان)\";s:6:\"IR:HDN\";s:33:\"Iran &mdash; Hamadan (همدان)\";s:6:\"IR:GZN\";s:33:\"Iran &mdash; Ghazvin (قزوین)\";s:6:\"IR:ZJN\";s:32:\"Iran &mdash; Zanjan (زنجان)\";s:6:\"IR:LRS\";s:36:\"Iran &mdash; Luristan (لرستان)\";s:6:\"IR:ABZ\";s:32:\"Iran &mdash; Alborz (البرز)\";s:6:\"IR:EAZ\";s:58:\"Iran &mdash; East Azarbaijan (آذربایجان شرقی)\";s:6:\"IR:WAZ\";s:58:\"Iran &mdash; West Azarbaijan (آذربایجان غربی)\";s:6:\"IR:CHB\";s:75:\"Iran &mdash; Chaharmahal and Bakhtiari (چهارمحال و بختیاری)\";s:6:\"IR:SKH\";s:53:\"Iran &mdash; South Khorasan (خراسان جنوبی)\";s:6:\"IR:RKH\";s:52:\"Iran &mdash; Razavi Khorasan (خراسان رضوی)\";s:6:\"IR:NKH\";s:53:\"Iran &mdash; North Khorasan (خراسان شمالی)\";s:6:\"IR:SMN\";s:32:\"Iran &mdash; Semnan (سمنان)\";s:6:\"IR:FRS\";s:28:\"Iran &mdash; Fars (فارس)\";s:6:\"IR:QHM\";s:23:\"Iran &mdash; Qom (قم)\";s:6:\"IR:KRD\";s:40:\"Iran &mdash; Kurdistan / کردستان)\";s:6:\"IR:KBD\";s:79:\"Iran &mdash; Kohgiluyeh and BoyerAhmad (کهگیلوییه و بویراحمد)\";s:6:\"IR:GLS\";s:36:\"Iran &mdash; Golestan (گلستان)\";s:6:\"IR:GIL\";s:31:\"Iran &mdash; Gilan (گیلان)\";s:6:\"IR:MZN\";s:42:\"Iran &mdash; Mazandaran (مازندران)\";s:6:\"IR:MKZ\";s:33:\"Iran &mdash; Markazi (مرکزی)\";s:6:\"IR:HRZ\";s:39:\"Iran &mdash; Hormozgan (هرمزگان)\";s:6:\"IR:SBN\";s:70:\"Iran &mdash; Sistan and Baluchestan (سیستان و بلوچستان)\";}s:2:\"IR\";s:4:\"Iran\";s:2:\"IQ\";s:4:\"Iraq\";s:7:\"Ireland\";a:26:{s:5:\"IE:CW\";s:22:\"Ireland &mdash; Carlow\";s:5:\"IE:CN\";s:21:\"Ireland &mdash; Cavan\";s:5:\"IE:CE\";s:21:\"Ireland &mdash; Clare\";s:5:\"IE:CO\";s:20:\"Ireland &mdash; Cork\";s:5:\"IE:DL\";s:23:\"Ireland &mdash; Donegal\";s:4:\"IE:D\";s:22:\"Ireland &mdash; Dublin\";s:4:\"IE:G\";s:22:\"Ireland &mdash; Galway\";s:5:\"IE:KY\";s:21:\"Ireland &mdash; Kerry\";s:5:\"IE:KE\";s:23:\"Ireland &mdash; Kildare\";s:5:\"IE:KK\";s:24:\"Ireland &mdash; Kilkenny\";s:5:\"IE:LS\";s:21:\"Ireland &mdash; Laois\";s:5:\"IE:LM\";s:23:\"Ireland &mdash; Leitrim\";s:5:\"IE:LK\";s:24:\"Ireland &mdash; Limerick\";s:5:\"IE:LD\";s:24:\"Ireland &mdash; Longford\";s:5:\"IE:LH\";s:21:\"Ireland &mdash; Louth\";s:5:\"IE:MO\";s:20:\"Ireland &mdash; Mayo\";s:5:\"IE:MH\";s:21:\"Ireland &mdash; Meath\";s:5:\"IE:MN\";s:24:\"Ireland &mdash; Monaghan\";s:5:\"IE:OY\";s:22:\"Ireland &mdash; Offaly\";s:5:\"IE:RN\";s:25:\"Ireland &mdash; Roscommon\";s:5:\"IE:SO\";s:21:\"Ireland &mdash; Sligo\";s:5:\"IE:TA\";s:25:\"Ireland &mdash; Tipperary\";s:5:\"IE:WD\";s:25:\"Ireland &mdash; Waterford\";s:5:\"IE:WH\";s:25:\"Ireland &mdash; Westmeath\";s:5:\"IE:WX\";s:23:\"Ireland &mdash; Wexford\";s:5:\"IE:WW\";s:23:\"Ireland &mdash; Wicklow\";}s:2:\"IE\";s:7:\"Ireland\";s:2:\"IM\";s:11:\"Isle of Man\";s:2:\"IL\";s:6:\"Israel\";s:5:\"Italy\";a:107:{s:5:\"IT:AG\";s:23:\"Italy &mdash; Agrigento\";s:5:\"IT:AL\";s:25:\"Italy &mdash; Alessandria\";s:5:\"IT:AN\";s:20:\"Italy &mdash; Ancona\";s:5:\"IT:AO\";s:19:\"Italy &mdash; Aosta\";s:5:\"IT:AR\";s:20:\"Italy &mdash; Arezzo\";s:5:\"IT:AP\";s:27:\"Italy &mdash; Ascoli Piceno\";s:5:\"IT:AT\";s:18:\"Italy &mdash; Asti\";s:5:\"IT:AV\";s:22:\"Italy &mdash; Avellino\";s:5:\"IT:BA\";s:18:\"Italy &mdash; Bari\";s:5:\"IT:BT\";s:35:\"Italy &mdash; Barletta-Andria-Trani\";s:5:\"IT:BL\";s:21:\"Italy &mdash; Belluno\";s:5:\"IT:BN\";s:23:\"Italy &mdash; Benevento\";s:5:\"IT:BG\";s:21:\"Italy &mdash; Bergamo\";s:5:\"IT:BI\";s:20:\"Italy &mdash; Biella\";s:5:\"IT:BO\";s:21:\"Italy &mdash; Bologna\";s:5:\"IT:BZ\";s:21:\"Italy &mdash; Bolzano\";s:5:\"IT:BS\";s:21:\"Italy &mdash; Brescia\";s:5:\"IT:BR\";s:22:\"Italy &mdash; Brindisi\";s:5:\"IT:CA\";s:22:\"Italy &mdash; Cagliari\";s:5:\"IT:CL\";s:27:\"Italy &mdash; Caltanissetta\";s:5:\"IT:CB\";s:24:\"Italy &mdash; Campobasso\";s:5:\"IT:CE\";s:21:\"Italy &mdash; Caserta\";s:5:\"IT:CT\";s:21:\"Italy &mdash; Catania\";s:5:\"IT:CZ\";s:23:\"Italy &mdash; Catanzaro\";s:5:\"IT:CH\";s:20:\"Italy &mdash; Chieti\";s:5:\"IT:CO\";s:18:\"Italy &mdash; Como\";s:5:\"IT:CS\";s:21:\"Italy &mdash; Cosenza\";s:5:\"IT:CR\";s:21:\"Italy &mdash; Cremona\";s:5:\"IT:KR\";s:21:\"Italy &mdash; Crotone\";s:5:\"IT:CN\";s:19:\"Italy &mdash; Cuneo\";s:5:\"IT:EN\";s:18:\"Italy &mdash; Enna\";s:5:\"IT:FM\";s:19:\"Italy &mdash; Fermo\";s:5:\"IT:FE\";s:21:\"Italy &mdash; Ferrara\";s:5:\"IT:FI\";s:21:\"Italy &mdash; Firenze\";s:5:\"IT:FG\";s:20:\"Italy &mdash; Foggia\";s:5:\"IT:FC\";s:27:\"Italy &mdash; Forlì-Cesena\";s:5:\"IT:FR\";s:23:\"Italy &mdash; Frosinone\";s:5:\"IT:GE\";s:20:\"Italy &mdash; Genova\";s:5:\"IT:GO\";s:21:\"Italy &mdash; Gorizia\";s:5:\"IT:GR\";s:22:\"Italy &mdash; Grosseto\";s:5:\"IT:IM\";s:21:\"Italy &mdash; Imperia\";s:5:\"IT:IS\";s:21:\"Italy &mdash; Isernia\";s:5:\"IT:SP\";s:23:\"Italy &mdash; La Spezia\";s:5:\"IT:AQ\";s:22:\"Italy &mdash; L\'Aquila\";s:5:\"IT:LT\";s:20:\"Italy &mdash; Latina\";s:5:\"IT:LE\";s:19:\"Italy &mdash; Lecce\";s:5:\"IT:LC\";s:19:\"Italy &mdash; Lecco\";s:5:\"IT:LI\";s:21:\"Italy &mdash; Livorno\";s:5:\"IT:LO\";s:18:\"Italy &mdash; Lodi\";s:5:\"IT:LU\";s:19:\"Italy &mdash; Lucca\";s:5:\"IT:MC\";s:22:\"Italy &mdash; Macerata\";s:5:\"IT:MN\";s:21:\"Italy &mdash; Mantova\";s:5:\"IT:MS\";s:27:\"Italy &mdash; Massa-Carrara\";s:5:\"IT:MT\";s:20:\"Italy &mdash; Matera\";s:5:\"IT:ME\";s:21:\"Italy &mdash; Messina\";s:5:\"IT:MI\";s:20:\"Italy &mdash; Milano\";s:5:\"IT:MO\";s:20:\"Italy &mdash; Modena\";s:5:\"IT:MB\";s:35:\"Italy &mdash; Monza e della Brianza\";s:5:\"IT:NA\";s:20:\"Italy &mdash; Napoli\";s:5:\"IT:NO\";s:20:\"Italy &mdash; Novara\";s:5:\"IT:NU\";s:19:\"Italy &mdash; Nuoro\";s:5:\"IT:OR\";s:22:\"Italy &mdash; Oristano\";s:5:\"IT:PD\";s:20:\"Italy &mdash; Padova\";s:5:\"IT:PA\";s:21:\"Italy &mdash; Palermo\";s:5:\"IT:PR\";s:19:\"Italy &mdash; Parma\";s:5:\"IT:PV\";s:19:\"Italy &mdash; Pavia\";s:5:\"IT:PG\";s:21:\"Italy &mdash; Perugia\";s:5:\"IT:PU\";s:29:\"Italy &mdash; Pesaro e Urbino\";s:5:\"IT:PE\";s:21:\"Italy &mdash; Pescara\";s:5:\"IT:PC\";s:22:\"Italy &mdash; Piacenza\";s:5:\"IT:PI\";s:18:\"Italy &mdash; Pisa\";s:5:\"IT:PT\";s:21:\"Italy &mdash; Pistoia\";s:5:\"IT:PN\";s:23:\"Italy &mdash; Pordenone\";s:5:\"IT:PZ\";s:21:\"Italy &mdash; Potenza\";s:5:\"IT:PO\";s:19:\"Italy &mdash; Prato\";s:5:\"IT:RG\";s:20:\"Italy &mdash; Ragusa\";s:5:\"IT:RA\";s:21:\"Italy &mdash; Ravenna\";s:5:\"IT:RC\";s:29:\"Italy &mdash; Reggio Calabria\";s:5:\"IT:RE\";s:27:\"Italy &mdash; Reggio Emilia\";s:5:\"IT:RI\";s:19:\"Italy &mdash; Rieti\";s:5:\"IT:RN\";s:20:\"Italy &mdash; Rimini\";s:5:\"IT:RM\";s:18:\"Italy &mdash; Roma\";s:5:\"IT:RO\";s:20:\"Italy &mdash; Rovigo\";s:5:\"IT:SA\";s:21:\"Italy &mdash; Salerno\";s:5:\"IT:SS\";s:21:\"Italy &mdash; Sassari\";s:5:\"IT:SV\";s:20:\"Italy &mdash; Savona\";s:5:\"IT:SI\";s:19:\"Italy &mdash; Siena\";s:5:\"IT:SR\";s:22:\"Italy &mdash; Siracusa\";s:5:\"IT:SO\";s:21:\"Italy &mdash; Sondrio\";s:5:\"IT:SU\";s:26:\"Italy &mdash; Sud Sardegna\";s:5:\"IT:TA\";s:21:\"Italy &mdash; Taranto\";s:5:\"IT:TE\";s:20:\"Italy &mdash; Teramo\";s:5:\"IT:TR\";s:19:\"Italy &mdash; Terni\";s:5:\"IT:TO\";s:20:\"Italy &mdash; Torino\";s:5:\"IT:TP\";s:21:\"Italy &mdash; Trapani\";s:5:\"IT:TN\";s:20:\"Italy &mdash; Trento\";s:5:\"IT:TV\";s:21:\"Italy &mdash; Treviso\";s:5:\"IT:TS\";s:21:\"Italy &mdash; Trieste\";s:5:\"IT:UD\";s:19:\"Italy &mdash; Udine\";s:5:\"IT:VA\";s:20:\"Italy &mdash; Varese\";s:5:\"IT:VE\";s:21:\"Italy &mdash; Venezia\";s:5:\"IT:VB\";s:34:\"Italy &mdash; Verbano-Cusio-Ossola\";s:5:\"IT:VC\";s:22:\"Italy &mdash; Vercelli\";s:5:\"IT:VR\";s:20:\"Italy &mdash; Verona\";s:5:\"IT:VV\";s:27:\"Italy &mdash; Vibo Valentia\";s:5:\"IT:VI\";s:21:\"Italy &mdash; Vicenza\";s:5:\"IT:VT\";s:21:\"Italy &mdash; Viterbo\";}s:2:\"IT\";s:5:\"Italy\";s:2:\"CI\";s:11:\"Ivory Coast\";s:2:\"JM\";s:7:\"Jamaica\";s:5:\"Japan\";a:47:{s:7:\"JP:JP01\";s:22:\"Japan &mdash; Hokkaido\";s:7:\"JP:JP02\";s:20:\"Japan &mdash; Aomori\";s:7:\"JP:JP03\";s:19:\"Japan &mdash; Iwate\";s:7:\"JP:JP04\";s:20:\"Japan &mdash; Miyagi\";s:7:\"JP:JP05\";s:19:\"Japan &mdash; Akita\";s:7:\"JP:JP06\";s:22:\"Japan &mdash; Yamagata\";s:7:\"JP:JP07\";s:23:\"Japan &mdash; Fukushima\";s:7:\"JP:JP08\";s:21:\"Japan &mdash; Ibaraki\";s:7:\"JP:JP09\";s:21:\"Japan &mdash; Tochigi\";s:7:\"JP:JP10\";s:19:\"Japan &mdash; Gunma\";s:7:\"JP:JP11\";s:21:\"Japan &mdash; Saitama\";s:7:\"JP:JP12\";s:19:\"Japan &mdash; Chiba\";s:7:\"JP:JP13\";s:19:\"Japan &mdash; Tokyo\";s:7:\"JP:JP14\";s:22:\"Japan &mdash; Kanagawa\";s:7:\"JP:JP15\";s:21:\"Japan &mdash; Niigata\";s:7:\"JP:JP16\";s:20:\"Japan &mdash; Toyama\";s:7:\"JP:JP17\";s:22:\"Japan &mdash; Ishikawa\";s:7:\"JP:JP18\";s:19:\"Japan &mdash; Fukui\";s:7:\"JP:JP19\";s:23:\"Japan &mdash; Yamanashi\";s:7:\"JP:JP20\";s:20:\"Japan &mdash; Nagano\";s:7:\"JP:JP21\";s:18:\"Japan &mdash; Gifu\";s:7:\"JP:JP22\";s:22:\"Japan &mdash; Shizuoka\";s:7:\"JP:JP23\";s:19:\"Japan &mdash; Aichi\";s:7:\"JP:JP24\";s:17:\"Japan &mdash; Mie\";s:7:\"JP:JP25\";s:19:\"Japan &mdash; Shiga\";s:7:\"JP:JP26\";s:19:\"Japan &mdash; Kyoto\";s:7:\"JP:JP27\";s:19:\"Japan &mdash; Osaka\";s:7:\"JP:JP28\";s:19:\"Japan &mdash; Hyogo\";s:7:\"JP:JP29\";s:18:\"Japan &mdash; Nara\";s:7:\"JP:JP30\";s:22:\"Japan &mdash; Wakayama\";s:7:\"JP:JP31\";s:21:\"Japan &mdash; Tottori\";s:7:\"JP:JP32\";s:21:\"Japan &mdash; Shimane\";s:7:\"JP:JP33\";s:21:\"Japan &mdash; Okayama\";s:7:\"JP:JP34\";s:23:\"Japan &mdash; Hiroshima\";s:7:\"JP:JP35\";s:23:\"Japan &mdash; Yamaguchi\";s:7:\"JP:JP36\";s:23:\"Japan &mdash; Tokushima\";s:7:\"JP:JP37\";s:20:\"Japan &mdash; Kagawa\";s:7:\"JP:JP38\";s:19:\"Japan &mdash; Ehime\";s:7:\"JP:JP39\";s:19:\"Japan &mdash; Kochi\";s:7:\"JP:JP40\";s:21:\"Japan &mdash; Fukuoka\";s:7:\"JP:JP41\";s:18:\"Japan &mdash; Saga\";s:7:\"JP:JP42\";s:22:\"Japan &mdash; Nagasaki\";s:7:\"JP:JP43\";s:22:\"Japan &mdash; Kumamoto\";s:7:\"JP:JP44\";s:18:\"Japan &mdash; Oita\";s:7:\"JP:JP45\";s:22:\"Japan &mdash; Miyazaki\";s:7:\"JP:JP46\";s:23:\"Japan &mdash; Kagoshima\";s:7:\"JP:JP47\";s:21:\"Japan &mdash; Okinawa\";}s:2:\"JP\";s:5:\"Japan\";s:2:\"JE\";s:6:\"Jersey\";s:2:\"JO\";s:6:\"Jordan\";s:2:\"KZ\";s:10:\"Kazakhstan\";s:2:\"KE\";s:5:\"Kenya\";s:2:\"KI\";s:8:\"Kiribati\";s:2:\"KW\";s:6:\"Kuwait\";s:2:\"KG\";s:10:\"Kyrgyzstan\";s:2:\"LA\";s:4:\"Laos\";s:2:\"LV\";s:6:\"Latvia\";s:2:\"LB\";s:7:\"Lebanon\";s:2:\"LS\";s:7:\"Lesotho\";s:7:\"Liberia\";a:15:{s:5:\"LR:BM\";s:20:\"Liberia &mdash; Bomi\";s:5:\"LR:BN\";s:20:\"Liberia &mdash; Bong\";s:5:\"LR:GA\";s:24:\"Liberia &mdash; Gbarpolu\";s:5:\"LR:GB\";s:27:\"Liberia &mdash; Grand Bassa\";s:5:\"LR:GC\";s:32:\"Liberia &mdash; Grand Cape Mount\";s:5:\"LR:GG\";s:27:\"Liberia &mdash; Grand Gedeh\";s:5:\"LR:GK\";s:25:\"Liberia &mdash; Grand Kru\";s:5:\"LR:LO\";s:20:\"Liberia &mdash; Lofa\";s:5:\"LR:MA\";s:23:\"Liberia &mdash; Margibi\";s:5:\"LR:MY\";s:24:\"Liberia &mdash; Maryland\";s:5:\"LR:MO\";s:27:\"Liberia &mdash; Montserrado\";s:5:\"LR:NM\";s:21:\"Liberia &mdash; Nimba\";s:5:\"LR:RV\";s:25:\"Liberia &mdash; Rivercess\";s:5:\"LR:RG\";s:25:\"Liberia &mdash; River Gee\";s:5:\"LR:SN\";s:21:\"Liberia &mdash; Sinoe\";}s:2:\"LR\";s:7:\"Liberia\";s:2:\"LY\";s:5:\"Libya\";s:2:\"LI\";s:13:\"Liechtenstein\";s:2:\"LT\";s:9:\"Lithuania\";s:2:\"LU\";s:10:\"Luxembourg\";s:2:\"MO\";s:19:\"Macao S.A.R., China\";s:2:\"MG\";s:10:\"Madagascar\";s:2:\"MW\";s:6:\"Malawi\";s:8:\"Malaysia\";a:16:{s:6:\"MY:JHR\";s:22:\"Malaysia &mdash; Johor\";s:6:\"MY:KDH\";s:22:\"Malaysia &mdash; Kedah\";s:6:\"MY:KTN\";s:25:\"Malaysia &mdash; Kelantan\";s:6:\"MY:LBN\";s:23:\"Malaysia &mdash; Labuan\";s:6:\"MY:MLK\";s:33:\"Malaysia &mdash; Malacca (Melaka)\";s:6:\"MY:NSN\";s:32:\"Malaysia &mdash; Negeri Sembilan\";s:6:\"MY:PHG\";s:23:\"Malaysia &mdash; Pahang\";s:6:\"MY:PNG\";s:38:\"Malaysia &mdash; Penang (Pulau Pinang)\";s:6:\"MY:PRK\";s:22:\"Malaysia &mdash; Perak\";s:6:\"MY:PLS\";s:23:\"Malaysia &mdash; Perlis\";s:6:\"MY:SBH\";s:22:\"Malaysia &mdash; Sabah\";s:6:\"MY:SWK\";s:24:\"Malaysia &mdash; Sarawak\";s:6:\"MY:SGR\";s:25:\"Malaysia &mdash; Selangor\";s:6:\"MY:TRG\";s:27:\"Malaysia &mdash; Terengganu\";s:6:\"MY:PJY\";s:26:\"Malaysia &mdash; Putrajaya\";s:6:\"MY:KUL\";s:29:\"Malaysia &mdash; Kuala Lumpur\";}s:2:\"MY\";s:8:\"Malaysia\";s:2:\"MV\";s:8:\"Maldives\";s:2:\"ML\";s:4:\"Mali\";s:2:\"MT\";s:5:\"Malta\";s:2:\"MH\";s:16:\"Marshall Islands\";s:2:\"MQ\";s:10:\"Martinique\";s:2:\"MR\";s:10:\"Mauritania\";s:2:\"MU\";s:9:\"Mauritius\";s:2:\"YT\";s:7:\"Mayotte\";s:6:\"Mexico\";a:32:{s:5:\"MX:DF\";s:38:\"Mexico &mdash; Ciudad de M&eacute;xico\";s:5:\"MX:JA\";s:22:\"Mexico &mdash; Jalisco\";s:5:\"MX:NL\";s:32:\"Mexico &mdash; Nuevo Le&oacute;n\";s:5:\"MX:AG\";s:29:\"Mexico &mdash; Aguascalientes\";s:5:\"MX:BC\";s:30:\"Mexico &mdash; Baja California\";s:5:\"MX:BS\";s:34:\"Mexico &mdash; Baja California Sur\";s:5:\"MX:CM\";s:23:\"Mexico &mdash; Campeche\";s:5:\"MX:CS\";s:22:\"Mexico &mdash; Chiapas\";s:5:\"MX:CH\";s:24:\"Mexico &mdash; Chihuahua\";s:5:\"MX:CO\";s:23:\"Mexico &mdash; Coahuila\";s:5:\"MX:CL\";s:21:\"Mexico &mdash; Colima\";s:5:\"MX:DG\";s:22:\"Mexico &mdash; Durango\";s:5:\"MX:GT\";s:25:\"Mexico &mdash; Guanajuato\";s:5:\"MX:GR\";s:23:\"Mexico &mdash; Guerrero\";s:5:\"MX:HG\";s:22:\"Mexico &mdash; Hidalgo\";s:5:\"MX:MX\";s:38:\"Mexico &mdash; Estado de M&eacute;xico\";s:5:\"MX:MI\";s:31:\"Mexico &mdash; Michoac&aacute;n\";s:5:\"MX:MO\";s:22:\"Mexico &mdash; Morelos\";s:5:\"MX:NA\";s:22:\"Mexico &mdash; Nayarit\";s:5:\"MX:OA\";s:21:\"Mexico &mdash; Oaxaca\";s:5:\"MX:PU\";s:21:\"Mexico &mdash; Puebla\";s:5:\"MX:QT\";s:31:\"Mexico &mdash; Quer&eacute;taro\";s:5:\"MX:QR\";s:27:\"Mexico &mdash; Quintana Roo\";s:5:\"MX:SL\";s:37:\"Mexico &mdash; San Luis Potos&iacute;\";s:5:\"MX:SI\";s:22:\"Mexico &mdash; Sinaloa\";s:5:\"MX:SO\";s:21:\"Mexico &mdash; Sonora\";s:5:\"MX:TB\";s:22:\"Mexico &mdash; Tabasco\";s:5:\"MX:TM\";s:25:\"Mexico &mdash; Tamaulipas\";s:5:\"MX:TL\";s:23:\"Mexico &mdash; Tlaxcala\";s:5:\"MX:VE\";s:23:\"Mexico &mdash; Veracruz\";s:5:\"MX:YU\";s:29:\"Mexico &mdash; Yucat&aacute;n\";s:5:\"MX:ZA\";s:24:\"Mexico &mdash; Zacatecas\";}s:2:\"MX\";s:6:\"Mexico\";s:2:\"FM\";s:10:\"Micronesia\";s:7:\"Moldova\";a:35:{s:4:\"MD:C\";s:34:\"Moldova &mdash; Chi&#537;in&#259;u\";s:5:\"MD:BL\";s:31:\"Moldova &mdash; B&#259;l&#539;i\";s:5:\"MD:AN\";s:26:\"Moldova &mdash; Anenii Noi\";s:5:\"MD:BS\";s:28:\"Moldova &mdash; Basarabeasca\";s:5:\"MD:BR\";s:23:\"Moldova &mdash; Briceni\";s:5:\"MD:CH\";s:21:\"Moldova &mdash; Cahul\";s:5:\"MD:CT\";s:24:\"Moldova &mdash; Cantemir\";s:5:\"MD:CL\";s:39:\"Moldova &mdash; C&#259;l&#259;ra&#537;i\";s:5:\"MD:CS\";s:33:\"Moldova &mdash; C&#259;u&#537;eni\";s:5:\"MD:CM\";s:29:\"Moldova &mdash; Cimi&#537;lia\";s:5:\"MD:CR\";s:24:\"Moldova &mdash; Criuleni\";s:5:\"MD:DN\";s:30:\"Moldova &mdash; Dondu&#537;eni\";s:5:\"MD:DR\";s:23:\"Moldova &mdash; Drochia\";s:5:\"MD:DB\";s:29:\"Moldova &mdash; Dub&#259;sari\";s:5:\"MD:ED\";s:27:\"Moldova &mdash; Edine&#539;\";s:5:\"MD:FL\";s:33:\"Moldova &mdash; F&#259;le&#537;ti\";s:5:\"MD:FR\";s:29:\"Moldova &mdash; Flore&#537;ti\";s:5:\"MD:GE\";s:38:\"Moldova &mdash; UTA G&#259;g&#259;uzia\";s:5:\"MD:GL\";s:23:\"Moldova &mdash; Glodeni\";s:5:\"MD:HN\";s:35:\"Moldova &mdash; H&icirc;nce&#537;ti\";s:5:\"MD:IL\";s:24:\"Moldova &mdash; Ialoveni\";s:5:\"MD:LV\";s:21:\"Moldova &mdash; Leova\";s:5:\"MD:NS\";s:25:\"Moldova &mdash; Nisporeni\";s:5:\"MD:OC\";s:27:\"Moldova &mdash; Ocni&#539;a\";s:5:\"MD:OR\";s:21:\"Moldova &mdash; Orhei\";s:5:\"MD:RZ\";s:22:\"Moldova &mdash; Rezina\";s:5:\"MD:RS\";s:34:\"Moldova &mdash; R&icirc;&#537;cani\";s:5:\"MD:SG\";s:30:\"Moldova &mdash; S&icirc;ngerei\";s:5:\"MD:SR\";s:22:\"Moldova &mdash; Soroca\";s:5:\"MD:ST\";s:34:\"Moldova &mdash; Str&#259;&#537;eni\";s:5:\"MD:SD\";s:41:\"Moldova &mdash; &#536;old&#259;ne&#537;ti\";s:5:\"MD:SV\";s:37:\"Moldova &mdash; &#536;tefan Vod&#259;\";s:5:\"MD:TR\";s:24:\"Moldova &mdash; Taraclia\";s:5:\"MD:TL\";s:30:\"Moldova &mdash; Telene&#537;ti\";s:5:\"MD:UN\";s:23:\"Moldova &mdash; Ungheni\";}s:2:\"MD\";s:7:\"Moldova\";s:2:\"MC\";s:6:\"Monaco\";s:2:\"MN\";s:8:\"Mongolia\";s:2:\"ME\";s:10:\"Montenegro\";s:2:\"MS\";s:10:\"Montserrat\";s:2:\"MA\";s:7:\"Morocco\";s:2:\"MZ\";s:10:\"Mozambique\";s:2:\"MM\";s:7:\"Myanmar\";s:2:\"NA\";s:7:\"Namibia\";s:2:\"NR\";s:5:\"Nauru\";s:5:\"Nepal\";a:14:{s:6:\"NP:BAG\";s:21:\"Nepal &mdash; Bagmati\";s:6:\"NP:BHE\";s:19:\"Nepal &mdash; Bheri\";s:6:\"NP:DHA\";s:24:\"Nepal &mdash; Dhaulagiri\";s:6:\"NP:GAN\";s:21:\"Nepal &mdash; Gandaki\";s:6:\"NP:JAN\";s:22:\"Nepal &mdash; Janakpur\";s:6:\"NP:KAR\";s:21:\"Nepal &mdash; Karnali\";s:6:\"NP:KOS\";s:19:\"Nepal &mdash; Koshi\";s:6:\"NP:LUM\";s:21:\"Nepal &mdash; Lumbini\";s:6:\"NP:MAH\";s:22:\"Nepal &mdash; Mahakali\";s:6:\"NP:MEC\";s:19:\"Nepal &mdash; Mechi\";s:6:\"NP:NAR\";s:22:\"Nepal &mdash; Narayani\";s:6:\"NP:RAP\";s:19:\"Nepal &mdash; Rapti\";s:6:\"NP:SAG\";s:24:\"Nepal &mdash; Sagarmatha\";s:6:\"NP:SET\";s:18:\"Nepal &mdash; Seti\";}s:2:\"NP\";s:5:\"Nepal\";s:2:\"NL\";s:11:\"Netherlands\";s:2:\"NC\";s:13:\"New Caledonia\";s:11:\"New Zealand\";a:16:{s:5:\"NZ:NL\";s:29:\"New Zealand &mdash; Northland\";s:5:\"NZ:AK\";s:28:\"New Zealand &mdash; Auckland\";s:5:\"NZ:WA\";s:27:\"New Zealand &mdash; Waikato\";s:5:\"NZ:BP\";s:33:\"New Zealand &mdash; Bay of Plenty\";s:5:\"NZ:TK\";s:28:\"New Zealand &mdash; Taranaki\";s:5:\"NZ:GI\";s:28:\"New Zealand &mdash; Gisborne\";s:5:\"NZ:HB\";s:37:\"New Zealand &mdash; Hawke&rsquo;s Bay\";s:5:\"NZ:MW\";s:37:\"New Zealand &mdash; Manawatu-Wanganui\";s:5:\"NZ:WE\";s:30:\"New Zealand &mdash; Wellington\";s:5:\"NZ:NS\";s:26:\"New Zealand &mdash; Nelson\";s:5:\"NZ:MB\";s:31:\"New Zealand &mdash; Marlborough\";s:5:\"NZ:TM\";s:26:\"New Zealand &mdash; Tasman\";s:5:\"NZ:WC\";s:30:\"New Zealand &mdash; West Coast\";s:5:\"NZ:CT\";s:30:\"New Zealand &mdash; Canterbury\";s:5:\"NZ:OT\";s:25:\"New Zealand &mdash; Otago\";s:5:\"NZ:SL\";s:29:\"New Zealand &mdash; Southland\";}s:2:\"NZ\";s:11:\"New Zealand\";s:2:\"NI\";s:9:\"Nicaragua\";s:2:\"NE\";s:5:\"Niger\";s:7:\"Nigeria\";a:37:{s:5:\"NG:AB\";s:20:\"Nigeria &mdash; Abia\";s:5:\"NG:FC\";s:21:\"Nigeria &mdash; Abuja\";s:5:\"NG:AD\";s:23:\"Nigeria &mdash; Adamawa\";s:5:\"NG:AK\";s:25:\"Nigeria &mdash; Akwa Ibom\";s:5:\"NG:AN\";s:23:\"Nigeria &mdash; Anambra\";s:5:\"NG:BA\";s:22:\"Nigeria &mdash; Bauchi\";s:5:\"NG:BY\";s:23:\"Nigeria &mdash; Bayelsa\";s:5:\"NG:BE\";s:21:\"Nigeria &mdash; Benue\";s:5:\"NG:BO\";s:21:\"Nigeria &mdash; Borno\";s:5:\"NG:CR\";s:27:\"Nigeria &mdash; Cross River\";s:5:\"NG:DE\";s:21:\"Nigeria &mdash; Delta\";s:5:\"NG:EB\";s:22:\"Nigeria &mdash; Ebonyi\";s:5:\"NG:ED\";s:19:\"Nigeria &mdash; Edo\";s:5:\"NG:EK\";s:21:\"Nigeria &mdash; Ekiti\";s:5:\"NG:EN\";s:21:\"Nigeria &mdash; Enugu\";s:5:\"NG:GO\";s:21:\"Nigeria &mdash; Gombe\";s:5:\"NG:IM\";s:19:\"Nigeria &mdash; Imo\";s:5:\"NG:JI\";s:22:\"Nigeria &mdash; Jigawa\";s:5:\"NG:KD\";s:22:\"Nigeria &mdash; Kaduna\";s:5:\"NG:KN\";s:20:\"Nigeria &mdash; Kano\";s:5:\"NG:KT\";s:23:\"Nigeria &mdash; Katsina\";s:5:\"NG:KE\";s:21:\"Nigeria &mdash; Kebbi\";s:5:\"NG:KO\";s:20:\"Nigeria &mdash; Kogi\";s:5:\"NG:KW\";s:21:\"Nigeria &mdash; Kwara\";s:5:\"NG:LA\";s:21:\"Nigeria &mdash; Lagos\";s:5:\"NG:NA\";s:24:\"Nigeria &mdash; Nasarawa\";s:5:\"NG:NI\";s:21:\"Nigeria &mdash; Niger\";s:5:\"NG:OG\";s:20:\"Nigeria &mdash; Ogun\";s:5:\"NG:ON\";s:20:\"Nigeria &mdash; Ondo\";s:5:\"NG:OS\";s:20:\"Nigeria &mdash; Osun\";s:5:\"NG:OY\";s:19:\"Nigeria &mdash; Oyo\";s:5:\"NG:PL\";s:23:\"Nigeria &mdash; Plateau\";s:5:\"NG:RI\";s:22:\"Nigeria &mdash; Rivers\";s:5:\"NG:SO\";s:22:\"Nigeria &mdash; Sokoto\";s:5:\"NG:TA\";s:22:\"Nigeria &mdash; Taraba\";s:5:\"NG:YO\";s:20:\"Nigeria &mdash; Yobe\";s:5:\"NG:ZA\";s:23:\"Nigeria &mdash; Zamfara\";}s:2:\"NG\";s:7:\"Nigeria\";s:2:\"NU\";s:4:\"Niue\";s:2:\"NF\";s:14:\"Norfolk Island\";s:2:\"KP\";s:11:\"North Korea\";s:2:\"MK\";s:15:\"North Macedonia\";s:2:\"MP\";s:24:\"Northern Mariana Islands\";s:2:\"NO\";s:6:\"Norway\";s:2:\"OM\";s:4:\"Oman\";s:8:\"Pakistan\";a:8:{s:5:\"PK:JK\";s:29:\"Pakistan &mdash; Azad Kashmir\";s:5:\"PK:BA\";s:28:\"Pakistan &mdash; Balochistan\";s:5:\"PK:TA\";s:21:\"Pakistan &mdash; FATA\";s:5:\"PK:GB\";s:33:\"Pakistan &mdash; Gilgit Baltistan\";s:5:\"PK:IS\";s:44:\"Pakistan &mdash; Islamabad Capital Territory\";s:5:\"PK:KP\";s:35:\"Pakistan &mdash; Khyber Pakhtunkhwa\";s:5:\"PK:PB\";s:23:\"Pakistan &mdash; Punjab\";s:5:\"PK:SD\";s:22:\"Pakistan &mdash; Sindh\";}s:2:\"PK\";s:8:\"Pakistan\";s:2:\"PS\";s:21:\"Palestinian Territory\";s:2:\"PA\";s:6:\"Panama\";s:2:\"PG\";s:16:\"Papua New Guinea\";s:8:\"Paraguay\";a:18:{s:9:\"PY:PY-ASU\";s:32:\"Paraguay &mdash; Asunci&oacute;n\";s:7:\"PY:PY-1\";s:34:\"Paraguay &mdash; Concepci&oacute;n\";s:7:\"PY:PY-2\";s:26:\"Paraguay &mdash; San Pedro\";s:7:\"PY:PY-3\";s:27:\"Paraguay &mdash; Cordillera\";s:7:\"PY:PY-4\";s:30:\"Paraguay &mdash; Guair&aacute;\";s:7:\"PY:PY-5\";s:32:\"Paraguay &mdash; Caaguaz&uacute;\";s:7:\"PY:PY-6\";s:31:\"Paraguay &mdash; Caazap&aacute;\";s:7:\"PY:PY-7\";s:30:\"Paraguay &mdash; Itap&uacute;a\";s:7:\"PY:PY-8\";s:25:\"Paraguay &mdash; Misiones\";s:7:\"PY:PY-9\";s:33:\"Paraguay &mdash; Paraguar&iacute;\";s:8:\"PY:PY-10\";s:35:\"Paraguay &mdash; Alto Paran&aacute;\";s:8:\"PY:PY-11\";s:24:\"Paraguay &mdash; Central\";s:8:\"PY:PY-12\";s:39:\"Paraguay &mdash; &Ntilde;eembuc&uacute;\";s:8:\"PY:PY-13\";s:24:\"Paraguay &mdash; Amambay\";s:8:\"PY:PY-14\";s:33:\"Paraguay &mdash; Canindey&uacute;\";s:8:\"PY:PY-15\";s:33:\"Paraguay &mdash; Presidente Hayes\";s:8:\"PY:PY-16\";s:30:\"Paraguay &mdash; Alto Paraguay\";s:8:\"PY:PY-17\";s:32:\"Paraguay &mdash; Boquer&oacute;n\";}s:2:\"PY\";s:8:\"Paraguay\";s:4:\"Peru\";a:26:{s:6:\"PE:CAL\";s:22:\"Peru &mdash; El Callao\";s:6:\"PE:LMA\";s:48:\"Peru &mdash; Municipalidad Metropolitana de Lima\";s:6:\"PE:AMA\";s:21:\"Peru &mdash; Amazonas\";s:6:\"PE:ANC\";s:19:\"Peru &mdash; Ancash\";s:6:\"PE:APU\";s:28:\"Peru &mdash; Apur&iacute;mac\";s:6:\"PE:ARE\";s:21:\"Peru &mdash; Arequipa\";s:6:\"PE:AYA\";s:21:\"Peru &mdash; Ayacucho\";s:6:\"PE:CAJ\";s:22:\"Peru &mdash; Cajamarca\";s:6:\"PE:CUS\";s:18:\"Peru &mdash; Cusco\";s:6:\"PE:HUV\";s:25:\"Peru &mdash; Huancavelica\";s:6:\"PE:HUC\";s:27:\"Peru &mdash; Hu&aacute;nuco\";s:6:\"PE:ICA\";s:16:\"Peru &mdash; Ica\";s:6:\"PE:JUN\";s:25:\"Peru &mdash; Jun&iacute;n\";s:6:\"PE:LAL\";s:24:\"Peru &mdash; La Libertad\";s:6:\"PE:LAM\";s:23:\"Peru &mdash; Lambayeque\";s:6:\"PE:LIM\";s:17:\"Peru &mdash; Lima\";s:6:\"PE:LOR\";s:19:\"Peru &mdash; Loreto\";s:6:\"PE:MDD\";s:26:\"Peru &mdash; Madre de Dios\";s:6:\"PE:MOQ\";s:21:\"Peru &mdash; Moquegua\";s:6:\"PE:PAS\";s:18:\"Peru &mdash; Pasco\";s:6:\"PE:PIU\";s:18:\"Peru &mdash; Piura\";s:6:\"PE:PUN\";s:17:\"Peru &mdash; Puno\";s:6:\"PE:SAM\";s:30:\"Peru &mdash; San Mart&iacute;n\";s:6:\"PE:TAC\";s:18:\"Peru &mdash; Tacna\";s:6:\"PE:TUM\";s:19:\"Peru &mdash; Tumbes\";s:6:\"PE:UCA\";s:20:\"Peru &mdash; Ucayali\";}s:2:\"PE\";s:4:\"Peru\";s:11:\"Philippines\";a:82:{s:6:\"PH:ABR\";s:24:\"Philippines &mdash; Abra\";s:6:\"PH:AGN\";s:36:\"Philippines &mdash; Agusan del Norte\";s:6:\"PH:AGS\";s:34:\"Philippines &mdash; Agusan del Sur\";s:6:\"PH:AKL\";s:25:\"Philippines &mdash; Aklan\";s:6:\"PH:ALB\";s:25:\"Philippines &mdash; Albay\";s:6:\"PH:ANT\";s:27:\"Philippines &mdash; Antique\";s:6:\"PH:APA\";s:26:\"Philippines &mdash; Apayao\";s:6:\"PH:AUR\";s:26:\"Philippines &mdash; Aurora\";s:6:\"PH:BAS\";s:27:\"Philippines &mdash; Basilan\";s:6:\"PH:BAN\";s:26:\"Philippines &mdash; Bataan\";s:6:\"PH:BTN\";s:27:\"Philippines &mdash; Batanes\";s:6:\"PH:BTG\";s:28:\"Philippines &mdash; Batangas\";s:6:\"PH:BEN\";s:27:\"Philippines &mdash; Benguet\";s:6:\"PH:BIL\";s:27:\"Philippines &mdash; Biliran\";s:6:\"PH:BOH\";s:25:\"Philippines &mdash; Bohol\";s:6:\"PH:BUK\";s:28:\"Philippines &mdash; Bukidnon\";s:6:\"PH:BUL\";s:27:\"Philippines &mdash; Bulacan\";s:6:\"PH:CAG\";s:27:\"Philippines &mdash; Cagayan\";s:6:\"PH:CAN\";s:35:\"Philippines &mdash; Camarines Norte\";s:6:\"PH:CAS\";s:33:\"Philippines &mdash; Camarines Sur\";s:6:\"PH:CAM\";s:28:\"Philippines &mdash; Camiguin\";s:6:\"PH:CAP\";s:25:\"Philippines &mdash; Capiz\";s:6:\"PH:CAT\";s:31:\"Philippines &mdash; Catanduanes\";s:6:\"PH:CAV\";s:26:\"Philippines &mdash; Cavite\";s:6:\"PH:CEB\";s:24:\"Philippines &mdash; Cebu\";s:6:\"PH:COM\";s:37:\"Philippines &mdash; Compostela Valley\";s:6:\"PH:NCO\";s:28:\"Philippines &mdash; Cotabato\";s:6:\"PH:DAV\";s:35:\"Philippines &mdash; Davao del Norte\";s:6:\"PH:DAS\";s:33:\"Philippines &mdash; Davao del Sur\";s:6:\"PH:DAC\";s:36:\"Philippines &mdash; Davao Occidental\";s:6:\"PH:DAO\";s:34:\"Philippines &mdash; Davao Oriental\";s:6:\"PH:DIN\";s:35:\"Philippines &mdash; Dinagat Islands\";s:6:\"PH:EAS\";s:33:\"Philippines &mdash; Eastern Samar\";s:6:\"PH:GUI\";s:28:\"Philippines &mdash; Guimaras\";s:6:\"PH:IFU\";s:26:\"Philippines &mdash; Ifugao\";s:6:\"PH:ILN\";s:32:\"Philippines &mdash; Ilocos Norte\";s:6:\"PH:ILS\";s:30:\"Philippines &mdash; Ilocos Sur\";s:6:\"PH:ILI\";s:26:\"Philippines &mdash; Iloilo\";s:6:\"PH:ISA\";s:27:\"Philippines &mdash; Isabela\";s:6:\"PH:KAL\";s:27:\"Philippines &mdash; Kalinga\";s:6:\"PH:LUN\";s:28:\"Philippines &mdash; La Union\";s:6:\"PH:LAG\";s:26:\"Philippines &mdash; Laguna\";s:6:\"PH:LAN\";s:35:\"Philippines &mdash; Lanao del Norte\";s:6:\"PH:LAS\";s:33:\"Philippines &mdash; Lanao del Sur\";s:6:\"PH:LEY\";s:25:\"Philippines &mdash; Leyte\";s:6:\"PH:MAG\";s:31:\"Philippines &mdash; Maguindanao\";s:6:\"PH:MAD\";s:30:\"Philippines &mdash; Marinduque\";s:6:\"PH:MAS\";s:27:\"Philippines &mdash; Masbate\";s:6:\"PH:MSC\";s:38:\"Philippines &mdash; Misamis Occidental\";s:6:\"PH:MSR\";s:36:\"Philippines &mdash; Misamis Oriental\";s:6:\"PH:MOU\";s:37:\"Philippines &mdash; Mountain Province\";s:6:\"PH:NEC\";s:37:\"Philippines &mdash; Negros Occidental\";s:6:\"PH:NER\";s:35:\"Philippines &mdash; Negros Oriental\";s:6:\"PH:NSA\";s:34:\"Philippines &mdash; Northern Samar\";s:6:\"PH:NUE\";s:31:\"Philippines &mdash; Nueva Ecija\";s:6:\"PH:NUV\";s:33:\"Philippines &mdash; Nueva Vizcaya\";s:6:\"PH:MDC\";s:38:\"Philippines &mdash; Occidental Mindoro\";s:6:\"PH:MDR\";s:36:\"Philippines &mdash; Oriental Mindoro\";s:6:\"PH:PLW\";s:27:\"Philippines &mdash; Palawan\";s:6:\"PH:PAM\";s:28:\"Philippines &mdash; Pampanga\";s:6:\"PH:PAN\";s:30:\"Philippines &mdash; Pangasinan\";s:6:\"PH:QUE\";s:26:\"Philippines &mdash; Quezon\";s:6:\"PH:QUI\";s:27:\"Philippines &mdash; Quirino\";s:6:\"PH:RIZ\";s:25:\"Philippines &mdash; Rizal\";s:6:\"PH:ROM\";s:27:\"Philippines &mdash; Romblon\";s:6:\"PH:WSA\";s:25:\"Philippines &mdash; Samar\";s:6:\"PH:SAR\";s:29:\"Philippines &mdash; Sarangani\";s:6:\"PH:SIQ\";s:28:\"Philippines &mdash; Siquijor\";s:6:\"PH:SOR\";s:28:\"Philippines &mdash; Sorsogon\";s:6:\"PH:SCO\";s:34:\"Philippines &mdash; South Cotabato\";s:6:\"PH:SLE\";s:34:\"Philippines &mdash; Southern Leyte\";s:6:\"PH:SUK\";s:34:\"Philippines &mdash; Sultan Kudarat\";s:6:\"PH:SLU\";s:24:\"Philippines &mdash; Sulu\";s:6:\"PH:SUN\";s:37:\"Philippines &mdash; Surigao del Norte\";s:6:\"PH:SUR\";s:35:\"Philippines &mdash; Surigao del Sur\";s:6:\"PH:TAR\";s:26:\"Philippines &mdash; Tarlac\";s:6:\"PH:TAW\";s:29:\"Philippines &mdash; Tawi-Tawi\";s:6:\"PH:ZMB\";s:28:\"Philippines &mdash; Zambales\";s:6:\"PH:ZAN\";s:39:\"Philippines &mdash; Zamboanga del Norte\";s:6:\"PH:ZAS\";s:37:\"Philippines &mdash; Zamboanga del Sur\";s:6:\"PH:ZSI\";s:37:\"Philippines &mdash; Zamboanga Sibugay\";s:5:\"PH:00\";s:32:\"Philippines &mdash; Metro Manila\";}s:2:\"PH\";s:11:\"Philippines\";s:2:\"PN\";s:8:\"Pitcairn\";s:2:\"PL\";s:6:\"Poland\";s:2:\"PT\";s:8:\"Portugal\";s:2:\"PR\";s:11:\"Puerto Rico\";s:2:\"QA\";s:5:\"Qatar\";s:2:\"RE\";s:7:\"Reunion\";s:7:\"Romania\";a:42:{s:5:\"RO:AB\";s:20:\"Romania &mdash; Alba\";s:5:\"RO:AR\";s:20:\"Romania &mdash; Arad\";s:5:\"RO:AG\";s:26:\"Romania &mdash; Arge&#537;\";s:5:\"RO:BC\";s:26:\"Romania &mdash; Bac&#259;u\";s:5:\"RO:BH\";s:21:\"Romania &mdash; Bihor\";s:5:\"RO:BN\";s:46:\"Romania &mdash; Bistri&#539;a-N&#259;s&#259;ud\";s:5:\"RO:BT\";s:29:\"Romania &mdash; Boto&#537;ani\";s:5:\"RO:BR\";s:27:\"Romania &mdash; Br&#259;ila\";s:5:\"RO:BV\";s:27:\"Romania &mdash; Bra&#537;ov\";s:4:\"RO:B\";s:30:\"Romania &mdash; Bucure&#537;ti\";s:5:\"RO:BZ\";s:26:\"Romania &mdash; Buz&#259;u\";s:5:\"RO:CL\";s:39:\"Romania &mdash; C&#259;l&#259;ra&#537;i\";s:5:\"RO:CS\";s:34:\"Romania &mdash; Cara&#537;-Severin\";s:5:\"RO:CJ\";s:20:\"Romania &mdash; Cluj\";s:5:\"RO:CT\";s:30:\"Romania &mdash; Constan&#539;a\";s:5:\"RO:CV\";s:23:\"Romania &mdash; Covasna\";s:5:\"RO:DB\";s:36:\"Romania &mdash; D&acirc;mbovi&#539;a\";s:5:\"RO:DJ\";s:20:\"Romania &mdash; Dolj\";s:5:\"RO:GL\";s:27:\"Romania &mdash; Gala&#539;i\";s:5:\"RO:GR\";s:23:\"Romania &mdash; Giurgiu\";s:5:\"RO:GJ\";s:20:\"Romania &mdash; Gorj\";s:5:\"RO:HR\";s:24:\"Romania &mdash; Harghita\";s:5:\"RO:HD\";s:25:\"Romania &mdash; Hunedoara\";s:5:\"RO:IL\";s:29:\"Romania &mdash; Ialomi&#539;a\";s:5:\"RO:IS\";s:25:\"Romania &mdash; Ia&#537;i\";s:5:\"RO:IF\";s:21:\"Romania &mdash; Ilfov\";s:5:\"RO:MM\";s:30:\"Romania &mdash; Maramure&#537;\";s:5:\"RO:MH\";s:30:\"Romania &mdash; Mehedin&#539;i\";s:5:\"RO:MS\";s:26:\"Romania &mdash; Mure&#537;\";s:5:\"RO:NT\";s:26:\"Romania &mdash; Neam&#539;\";s:5:\"RO:OT\";s:19:\"Romania &mdash; Olt\";s:5:\"RO:PH\";s:23:\"Romania &mdash; Prahova\";s:5:\"RO:SJ\";s:26:\"Romania &mdash; S&#259;laj\";s:5:\"RO:SM\";s:25:\"Romania &mdash; Satu Mare\";s:5:\"RO:SB\";s:21:\"Romania &mdash; Sibiu\";s:5:\"RO:SV\";s:23:\"Romania &mdash; Suceava\";s:5:\"RO:TR\";s:25:\"Romania &mdash; Teleorman\";s:5:\"RO:TM\";s:26:\"Romania &mdash; Timi&#537;\";s:5:\"RO:TL\";s:22:\"Romania &mdash; Tulcea\";s:5:\"RO:VL\";s:28:\"Romania &mdash; V&acirc;lcea\";s:5:\"RO:VS\";s:22:\"Romania &mdash; Vaslui\";s:5:\"RO:VN\";s:23:\"Romania &mdash; Vrancea\";}s:2:\"RO\";s:7:\"Romania\";s:2:\"RU\";s:6:\"Russia\";s:2:\"RW\";s:6:\"Rwanda\";s:2:\"ST\";s:42:\"S&atilde;o Tom&eacute; and Pr&iacute;ncipe\";s:2:\"BL\";s:23:\"Saint Barth&eacute;lemy\";s:2:\"SH\";s:12:\"Saint Helena\";s:2:\"KN\";s:21:\"Saint Kitts and Nevis\";s:2:\"LC\";s:11:\"Saint Lucia\";s:2:\"SX\";s:25:\"Saint Martin (Dutch part)\";s:2:\"MF\";s:26:\"Saint Martin (French part)\";s:2:\"PM\";s:25:\"Saint Pierre and Miquelon\";s:2:\"VC\";s:32:\"Saint Vincent and the Grenadines\";s:2:\"WS\";s:5:\"Samoa\";s:2:\"SM\";s:10:\"San Marino\";s:2:\"SA\";s:12:\"Saudi Arabia\";s:2:\"SN\";s:7:\"Senegal\";s:2:\"RS\";s:6:\"Serbia\";s:2:\"SC\";s:10:\"Seychelles\";s:2:\"SL\";s:12:\"Sierra Leone\";s:2:\"SG\";s:9:\"Singapore\";s:2:\"SK\";s:8:\"Slovakia\";s:2:\"SI\";s:8:\"Slovenia\";s:2:\"SB\";s:15:\"Solomon Islands\";s:2:\"SO\";s:7:\"Somalia\";s:12:\"South Africa\";a:9:{s:5:\"ZA:EC\";s:33:\"South Africa &mdash; Eastern Cape\";s:5:\"ZA:FS\";s:31:\"South Africa &mdash; Free State\";s:5:\"ZA:GP\";s:28:\"South Africa &mdash; Gauteng\";s:6:\"ZA:KZN\";s:34:\"South Africa &mdash; KwaZulu-Natal\";s:5:\"ZA:LP\";s:28:\"South Africa &mdash; Limpopo\";s:5:\"ZA:MP\";s:31:\"South Africa &mdash; Mpumalanga\";s:5:\"ZA:NC\";s:34:\"South Africa &mdash; Northern Cape\";s:5:\"ZA:NW\";s:31:\"South Africa &mdash; North West\";s:5:\"ZA:WC\";s:33:\"South Africa &mdash; Western Cape\";}s:2:\"ZA\";s:12:\"South Africa\";s:2:\"GS\";s:30:\"South Georgia/Sandwich Islands\";s:2:\"KR\";s:11:\"South Korea\";s:2:\"SS\";s:11:\"South Sudan\";s:5:\"Spain\";a:52:{s:4:\"ES:C\";s:29:\"Spain &mdash; A Coru&ntilde;a\";s:5:\"ES:VI\";s:32:\"Spain &mdash; Araba/&Aacute;lava\";s:5:\"ES:AB\";s:22:\"Spain &mdash; Albacete\";s:4:\"ES:A\";s:22:\"Spain &mdash; Alicante\";s:5:\"ES:AL\";s:28:\"Spain &mdash; Almer&iacute;a\";s:4:\"ES:O\";s:22:\"Spain &mdash; Asturias\";s:5:\"ES:AV\";s:26:\"Spain &mdash; &Aacute;vila\";s:5:\"ES:BA\";s:21:\"Spain &mdash; Badajoz\";s:5:\"ES:PM\";s:22:\"Spain &mdash; Baleares\";s:4:\"ES:B\";s:23:\"Spain &mdash; Barcelona\";s:5:\"ES:BU\";s:20:\"Spain &mdash; Burgos\";s:5:\"ES:CC\";s:28:\"Spain &mdash; C&aacute;ceres\";s:5:\"ES:CA\";s:26:\"Spain &mdash; C&aacute;diz\";s:4:\"ES:S\";s:23:\"Spain &mdash; Cantabria\";s:5:\"ES:CS\";s:30:\"Spain &mdash; Castell&oacute;n\";s:5:\"ES:CE\";s:19:\"Spain &mdash; Ceuta\";s:5:\"ES:CR\";s:25:\"Spain &mdash; Ciudad Real\";s:5:\"ES:CO\";s:28:\"Spain &mdash; C&oacute;rdoba\";s:5:\"ES:CU\";s:20:\"Spain &mdash; Cuenca\";s:5:\"ES:GI\";s:20:\"Spain &mdash; Girona\";s:5:\"ES:GR\";s:21:\"Spain &mdash; Granada\";s:5:\"ES:GU\";s:25:\"Spain &mdash; Guadalajara\";s:5:\"ES:SS\";s:22:\"Spain &mdash; Gipuzkoa\";s:4:\"ES:H\";s:20:\"Spain &mdash; Huelva\";s:5:\"ES:HU\";s:20:\"Spain &mdash; Huesca\";s:4:\"ES:J\";s:25:\"Spain &mdash; Ja&eacute;n\";s:5:\"ES:LO\";s:22:\"Spain &mdash; La Rioja\";s:5:\"ES:GC\";s:24:\"Spain &mdash; Las Palmas\";s:5:\"ES:LE\";s:25:\"Spain &mdash; Le&oacute;n\";s:4:\"ES:L\";s:20:\"Spain &mdash; Lleida\";s:5:\"ES:LU\";s:18:\"Spain &mdash; Lugo\";s:4:\"ES:M\";s:20:\"Spain &mdash; Madrid\";s:5:\"ES:MA\";s:27:\"Spain &mdash; M&aacute;laga\";s:5:\"ES:ML\";s:21:\"Spain &mdash; Melilla\";s:5:\"ES:MU\";s:20:\"Spain &mdash; Murcia\";s:5:\"ES:NA\";s:21:\"Spain &mdash; Navarra\";s:5:\"ES:OR\";s:21:\"Spain &mdash; Ourense\";s:4:\"ES:P\";s:22:\"Spain &mdash; Palencia\";s:5:\"ES:PO\";s:24:\"Spain &mdash; Pontevedra\";s:5:\"ES:SA\";s:23:\"Spain &mdash; Salamanca\";s:5:\"ES:TF\";s:36:\"Spain &mdash; Santa Cruz de Tenerife\";s:5:\"ES:SG\";s:21:\"Spain &mdash; Segovia\";s:5:\"ES:SE\";s:21:\"Spain &mdash; Sevilla\";s:5:\"ES:SO\";s:19:\"Spain &mdash; Soria\";s:4:\"ES:T\";s:23:\"Spain &mdash; Tarragona\";s:5:\"ES:TE\";s:20:\"Spain &mdash; Teruel\";s:5:\"ES:TO\";s:20:\"Spain &mdash; Toledo\";s:4:\"ES:V\";s:22:\"Spain &mdash; Valencia\";s:5:\"ES:VA\";s:24:\"Spain &mdash; Valladolid\";s:5:\"ES:BI\";s:21:\"Spain &mdash; Bizkaia\";s:5:\"ES:ZA\";s:20:\"Spain &mdash; Zamora\";s:4:\"ES:Z\";s:22:\"Spain &mdash; Zaragoza\";}s:2:\"ES\";s:5:\"Spain\";s:2:\"LK\";s:9:\"Sri Lanka\";s:2:\"SD\";s:5:\"Sudan\";s:2:\"SR\";s:8:\"Suriname\";s:2:\"SJ\";s:22:\"Svalbard and Jan Mayen\";s:2:\"SZ\";s:9:\"Swaziland\";s:2:\"SE\";s:6:\"Sweden\";s:11:\"Switzerland\";a:26:{s:5:\"CH:AG\";s:26:\"Switzerland &mdash; Aargau\";s:5:\"CH:AR\";s:42:\"Switzerland &mdash; Appenzell Ausserrhoden\";s:5:\"CH:AI\";s:41:\"Switzerland &mdash; Appenzell Innerrhoden\";s:5:\"CH:BL\";s:36:\"Switzerland &mdash; Basel-Landschaft\";s:5:\"CH:BS\";s:31:\"Switzerland &mdash; Basel-Stadt\";s:5:\"CH:BE\";s:24:\"Switzerland &mdash; Bern\";s:5:\"CH:FR\";s:28:\"Switzerland &mdash; Fribourg\";s:5:\"CH:GE\";s:26:\"Switzerland &mdash; Geneva\";s:5:\"CH:GL\";s:26:\"Switzerland &mdash; Glarus\";s:5:\"CH:GR\";s:35:\"Switzerland &mdash; Graub&uuml;nden\";s:5:\"CH:JU\";s:24:\"Switzerland &mdash; Jura\";s:5:\"CH:LU\";s:26:\"Switzerland &mdash; Luzern\";s:5:\"CH:NE\";s:35:\"Switzerland &mdash; Neuch&acirc;tel\";s:5:\"CH:NW\";s:29:\"Switzerland &mdash; Nidwalden\";s:5:\"CH:OW\";s:28:\"Switzerland &mdash; Obwalden\";s:5:\"CH:SH\";s:32:\"Switzerland &mdash; Schaffhausen\";s:5:\"CH:SZ\";s:26:\"Switzerland &mdash; Schwyz\";s:5:\"CH:SO\";s:29:\"Switzerland &mdash; Solothurn\";s:5:\"CH:SG\";s:30:\"Switzerland &mdash; St. Gallen\";s:5:\"CH:TG\";s:27:\"Switzerland &mdash; Thurgau\";s:5:\"CH:TI\";s:26:\"Switzerland &mdash; Ticino\";s:5:\"CH:UR\";s:23:\"Switzerland &mdash; Uri\";s:5:\"CH:VS\";s:26:\"Switzerland &mdash; Valais\";s:5:\"CH:VD\";s:24:\"Switzerland &mdash; Vaud\";s:5:\"CH:ZG\";s:23:\"Switzerland &mdash; Zug\";s:5:\"CH:ZH\";s:31:\"Switzerland &mdash; Z&uuml;rich\";}s:2:\"CH\";s:11:\"Switzerland\";s:2:\"SY\";s:5:\"Syria\";s:2:\"TW\";s:6:\"Taiwan\";s:2:\"TJ\";s:10:\"Tajikistan\";s:8:\"Tanzania\";a:30:{s:7:\"TZ:TZ01\";s:23:\"Tanzania &mdash; Arusha\";s:7:\"TZ:TZ02\";s:30:\"Tanzania &mdash; Dar es Salaam\";s:7:\"TZ:TZ03\";s:23:\"Tanzania &mdash; Dodoma\";s:7:\"TZ:TZ04\";s:23:\"Tanzania &mdash; Iringa\";s:7:\"TZ:TZ05\";s:23:\"Tanzania &mdash; Kagera\";s:7:\"TZ:TZ06\";s:28:\"Tanzania &mdash; Pemba North\";s:7:\"TZ:TZ07\";s:31:\"Tanzania &mdash; Zanzibar North\";s:7:\"TZ:TZ08\";s:23:\"Tanzania &mdash; Kigoma\";s:7:\"TZ:TZ09\";s:28:\"Tanzania &mdash; Kilimanjaro\";s:7:\"TZ:TZ10\";s:28:\"Tanzania &mdash; Pemba South\";s:7:\"TZ:TZ11\";s:31:\"Tanzania &mdash; Zanzibar South\";s:7:\"TZ:TZ12\";s:22:\"Tanzania &mdash; Lindi\";s:7:\"TZ:TZ13\";s:21:\"Tanzania &mdash; Mara\";s:7:\"TZ:TZ14\";s:22:\"Tanzania &mdash; Mbeya\";s:7:\"TZ:TZ15\";s:30:\"Tanzania &mdash; Zanzibar West\";s:7:\"TZ:TZ16\";s:25:\"Tanzania &mdash; Morogoro\";s:7:\"TZ:TZ17\";s:23:\"Tanzania &mdash; Mtwara\";s:7:\"TZ:TZ18\";s:23:\"Tanzania &mdash; Mwanza\";s:7:\"TZ:TZ19\";s:22:\"Tanzania &mdash; Coast\";s:7:\"TZ:TZ20\";s:22:\"Tanzania &mdash; Rukwa\";s:7:\"TZ:TZ21\";s:23:\"Tanzania &mdash; Ruvuma\";s:7:\"TZ:TZ22\";s:26:\"Tanzania &mdash; Shinyanga\";s:7:\"TZ:TZ23\";s:24:\"Tanzania &mdash; Singida\";s:7:\"TZ:TZ24\";s:23:\"Tanzania &mdash; Tabora\";s:7:\"TZ:TZ25\";s:22:\"Tanzania &mdash; Tanga\";s:7:\"TZ:TZ26\";s:24:\"Tanzania &mdash; Manyara\";s:7:\"TZ:TZ27\";s:22:\"Tanzania &mdash; Geita\";s:7:\"TZ:TZ28\";s:23:\"Tanzania &mdash; Katavi\";s:7:\"TZ:TZ29\";s:23:\"Tanzania &mdash; Njombe\";s:7:\"TZ:TZ30\";s:23:\"Tanzania &mdash; Simiyu\";}s:2:\"TZ\";s:8:\"Tanzania\";s:8:\"Thailand\";a:77:{s:8:\"TH:TH-37\";s:30:\"Thailand &mdash; Amnat Charoen\";s:8:\"TH:TH-15\";s:26:\"Thailand &mdash; Ang Thong\";s:8:\"TH:TH-14\";s:26:\"Thailand &mdash; Ayutthaya\";s:8:\"TH:TH-10\";s:24:\"Thailand &mdash; Bangkok\";s:8:\"TH:TH-38\";s:26:\"Thailand &mdash; Bueng Kan\";s:8:\"TH:TH-31\";s:25:\"Thailand &mdash; Buri Ram\";s:8:\"TH:TH-24\";s:29:\"Thailand &mdash; Chachoengsao\";s:8:\"TH:TH-18\";s:25:\"Thailand &mdash; Chai Nat\";s:8:\"TH:TH-36\";s:27:\"Thailand &mdash; Chaiyaphum\";s:8:\"TH:TH-22\";s:28:\"Thailand &mdash; Chanthaburi\";s:8:\"TH:TH-50\";s:27:\"Thailand &mdash; Chiang Mai\";s:8:\"TH:TH-57\";s:27:\"Thailand &mdash; Chiang Rai\";s:8:\"TH:TH-20\";s:25:\"Thailand &mdash; Chonburi\";s:8:\"TH:TH-86\";s:25:\"Thailand &mdash; Chumphon\";s:8:\"TH:TH-46\";s:24:\"Thailand &mdash; Kalasin\";s:8:\"TH:TH-62\";s:31:\"Thailand &mdash; Kamphaeng Phet\";s:8:\"TH:TH-71\";s:29:\"Thailand &mdash; Kanchanaburi\";s:8:\"TH:TH-40\";s:26:\"Thailand &mdash; Khon Kaen\";s:8:\"TH:TH-81\";s:22:\"Thailand &mdash; Krabi\";s:8:\"TH:TH-52\";s:24:\"Thailand &mdash; Lampang\";s:8:\"TH:TH-51\";s:24:\"Thailand &mdash; Lamphun\";s:8:\"TH:TH-42\";s:21:\"Thailand &mdash; Loei\";s:8:\"TH:TH-16\";s:24:\"Thailand &mdash; Lopburi\";s:8:\"TH:TH-58\";s:29:\"Thailand &mdash; Mae Hong Son\";s:8:\"TH:TH-44\";s:30:\"Thailand &mdash; Maha Sarakham\";s:8:\"TH:TH-49\";s:25:\"Thailand &mdash; Mukdahan\";s:8:\"TH:TH-26\";s:29:\"Thailand &mdash; Nakhon Nayok\";s:8:\"TH:TH-73\";s:30:\"Thailand &mdash; Nakhon Pathom\";s:8:\"TH:TH-48\";s:30:\"Thailand &mdash; Nakhon Phanom\";s:8:\"TH:TH-30\";s:34:\"Thailand &mdash; Nakhon Ratchasima\";s:8:\"TH:TH-60\";s:29:\"Thailand &mdash; Nakhon Sawan\";s:8:\"TH:TH-80\";s:36:\"Thailand &mdash; Nakhon Si Thammarat\";s:8:\"TH:TH-55\";s:20:\"Thailand &mdash; Nan\";s:8:\"TH:TH-96\";s:27:\"Thailand &mdash; Narathiwat\";s:8:\"TH:TH-39\";s:33:\"Thailand &mdash; Nong Bua Lam Phu\";s:8:\"TH:TH-43\";s:26:\"Thailand &mdash; Nong Khai\";s:8:\"TH:TH-12\";s:27:\"Thailand &mdash; Nonthaburi\";s:8:\"TH:TH-13\";s:29:\"Thailand &mdash; Pathum Thani\";s:8:\"TH:TH-94\";s:24:\"Thailand &mdash; Pattani\";s:8:\"TH:TH-82\";s:26:\"Thailand &mdash; Phang Nga\";s:8:\"TH:TH-93\";s:28:\"Thailand &mdash; Phatthalung\";s:8:\"TH:TH-56\";s:23:\"Thailand &mdash; Phayao\";s:8:\"TH:TH-67\";s:27:\"Thailand &mdash; Phetchabun\";s:8:\"TH:TH-76\";s:28:\"Thailand &mdash; Phetchaburi\";s:8:\"TH:TH-66\";s:24:\"Thailand &mdash; Phichit\";s:8:\"TH:TH-65\";s:28:\"Thailand &mdash; Phitsanulok\";s:8:\"TH:TH-54\";s:22:\"Thailand &mdash; Phrae\";s:8:\"TH:TH-83\";s:23:\"Thailand &mdash; Phuket\";s:8:\"TH:TH-25\";s:29:\"Thailand &mdash; Prachin Buri\";s:8:\"TH:TH-77\";s:36:\"Thailand &mdash; Prachuap Khiri Khan\";s:8:\"TH:TH-85\";s:23:\"Thailand &mdash; Ranong\";s:8:\"TH:TH-70\";s:27:\"Thailand &mdash; Ratchaburi\";s:8:\"TH:TH-21\";s:23:\"Thailand &mdash; Rayong\";s:8:\"TH:TH-45\";s:23:\"Thailand &mdash; Roi Et\";s:8:\"TH:TH-27\";s:24:\"Thailand &mdash; Sa Kaeo\";s:8:\"TH:TH-47\";s:29:\"Thailand &mdash; Sakon Nakhon\";s:8:\"TH:TH-11\";s:29:\"Thailand &mdash; Samut Prakan\";s:8:\"TH:TH-74\";s:29:\"Thailand &mdash; Samut Sakhon\";s:8:\"TH:TH-75\";s:32:\"Thailand &mdash; Samut Songkhram\";s:8:\"TH:TH-19\";s:25:\"Thailand &mdash; Saraburi\";s:8:\"TH:TH-91\";s:22:\"Thailand &mdash; Satun\";s:8:\"TH:TH-17\";s:26:\"Thailand &mdash; Sing Buri\";s:8:\"TH:TH-33\";s:24:\"Thailand &mdash; Sisaket\";s:8:\"TH:TH-90\";s:25:\"Thailand &mdash; Songkhla\";s:8:\"TH:TH-64\";s:26:\"Thailand &mdash; Sukhothai\";s:8:\"TH:TH-72\";s:28:\"Thailand &mdash; Suphan Buri\";s:8:\"TH:TH-84\";s:28:\"Thailand &mdash; Surat Thani\";s:8:\"TH:TH-32\";s:22:\"Thailand &mdash; Surin\";s:8:\"TH:TH-63\";s:20:\"Thailand &mdash; Tak\";s:8:\"TH:TH-92\";s:22:\"Thailand &mdash; Trang\";s:8:\"TH:TH-23\";s:21:\"Thailand &mdash; Trat\";s:8:\"TH:TH-34\";s:33:\"Thailand &mdash; Ubon Ratchathani\";s:8:\"TH:TH-41\";s:27:\"Thailand &mdash; Udon Thani\";s:8:\"TH:TH-61\";s:28:\"Thailand &mdash; Uthai Thani\";s:8:\"TH:TH-53\";s:26:\"Thailand &mdash; Uttaradit\";s:8:\"TH:TH-95\";s:21:\"Thailand &mdash; Yala\";s:8:\"TH:TH-35\";s:25:\"Thailand &mdash; Yasothon\";}s:2:\"TH\";s:8:\"Thailand\";s:2:\"TL\";s:11:\"Timor-Leste\";s:2:\"TG\";s:4:\"Togo\";s:2:\"TK\";s:7:\"Tokelau\";s:2:\"TO\";s:5:\"Tonga\";s:2:\"TT\";s:19:\"Trinidad and Tobago\";s:2:\"TN\";s:7:\"Tunisia\";s:6:\"Turkey\";a:81:{s:7:\"TR:TR01\";s:20:\"Turkey &mdash; Adana\";s:7:\"TR:TR02\";s:28:\"Turkey &mdash; Ad&#305;yaman\";s:7:\"TR:TR03\";s:20:\"Turkey &mdash; Afyon\";s:7:\"TR:TR04\";s:29:\"Turkey &mdash; A&#287;r&#305;\";s:7:\"TR:TR05\";s:21:\"Turkey &mdash; Amasya\";s:7:\"TR:TR06\";s:21:\"Turkey &mdash; Ankara\";s:7:\"TR:TR07\";s:22:\"Turkey &mdash; Antalya\";s:7:\"TR:TR08\";s:21:\"Turkey &mdash; Artvin\";s:7:\"TR:TR09\";s:25:\"Turkey &mdash; Ayd&#305;n\";s:7:\"TR:TR10\";s:29:\"Turkey &mdash; Bal&#305;kesir\";s:7:\"TR:TR11\";s:22:\"Turkey &mdash; Bilecik\";s:7:\"TR:TR12\";s:26:\"Turkey &mdash; Bing&#246;l\";s:7:\"TR:TR13\";s:21:\"Turkey &mdash; Bitlis\";s:7:\"TR:TR14\";s:19:\"Turkey &mdash; Bolu\";s:7:\"TR:TR15\";s:21:\"Turkey &mdash; Burdur\";s:7:\"TR:TR16\";s:20:\"Turkey &mdash; Bursa\";s:7:\"TR:TR17\";s:29:\"Turkey &mdash; &#199;anakkale\";s:7:\"TR:TR18\";s:37:\"Turkey &mdash; &#199;ank&#305;r&#305;\";s:7:\"TR:TR19\";s:25:\"Turkey &mdash; &#199;orum\";s:7:\"TR:TR20\";s:22:\"Turkey &mdash; Denizli\";s:7:\"TR:TR21\";s:30:\"Turkey &mdash; Diyarbak&#305;r\";s:7:\"TR:TR22\";s:21:\"Turkey &mdash; Edirne\";s:7:\"TR:TR23\";s:31:\"Turkey &mdash; Elaz&#305;&#287;\";s:7:\"TR:TR24\";s:23:\"Turkey &mdash; Erzincan\";s:7:\"TR:TR25\";s:22:\"Turkey &mdash; Erzurum\";s:7:\"TR:TR26\";s:29:\"Turkey &mdash; Eski&#351;ehir\";s:7:\"TR:TR27\";s:24:\"Turkey &mdash; Gaziantep\";s:7:\"TR:TR28\";s:22:\"Turkey &mdash; Giresun\";s:7:\"TR:TR29\";s:39:\"Turkey &mdash; G&#252;m&#252;&#351;hane\";s:7:\"TR:TR30\";s:22:\"Turkey &mdash; Hakkari\";s:7:\"TR:TR31\";s:20:\"Turkey &mdash; Hatay\";s:7:\"TR:TR32\";s:22:\"Turkey &mdash; Isparta\";s:7:\"TR:TR33\";s:29:\"Turkey &mdash; &#304;&#231;el\";s:7:\"TR:TR34\";s:28:\"Turkey &mdash; &#304;stanbul\";s:7:\"TR:TR35\";s:25:\"Turkey &mdash; &#304;zmir\";s:7:\"TR:TR36\";s:19:\"Turkey &mdash; Kars\";s:7:\"TR:TR37\";s:24:\"Turkey &mdash; Kastamonu\";s:7:\"TR:TR38\";s:22:\"Turkey &mdash; Kayseri\";s:7:\"TR:TR39\";s:30:\"Turkey &mdash; K&#305;rklareli\";s:7:\"TR:TR40\";s:33:\"Turkey &mdash; K&#305;r&#351;ehir\";s:7:\"TR:TR41\";s:22:\"Turkey &mdash; Kocaeli\";s:7:\"TR:TR42\";s:20:\"Turkey &mdash; Konya\";s:7:\"TR:TR43\";s:27:\"Turkey &mdash; K&#252;tahya\";s:7:\"TR:TR44\";s:22:\"Turkey &mdash; Malatya\";s:7:\"TR:TR45\";s:21:\"Turkey &mdash; Manisa\";s:7:\"TR:TR46\";s:33:\"Turkey &mdash; Kahramanmara&#351;\";s:7:\"TR:TR47\";s:21:\"Turkey &mdash; Mardin\";s:7:\"TR:TR48\";s:25:\"Turkey &mdash; Mu&#287;la\";s:7:\"TR:TR49\";s:23:\"Turkey &mdash; Mu&#351;\";s:7:\"TR:TR50\";s:28:\"Turkey &mdash; Nev&#351;ehir\";s:7:\"TR:TR51\";s:25:\"Turkey &mdash; Ni&#287;de\";s:7:\"TR:TR52\";s:19:\"Turkey &mdash; Ordu\";s:7:\"TR:TR53\";s:19:\"Turkey &mdash; Rize\";s:7:\"TR:TR54\";s:22:\"Turkey &mdash; Sakarya\";s:7:\"TR:TR55\";s:21:\"Turkey &mdash; Samsun\";s:7:\"TR:TR56\";s:20:\"Turkey &mdash; Siirt\";s:7:\"TR:TR57\";s:20:\"Turkey &mdash; Sinop\";s:7:\"TR:TR58\";s:20:\"Turkey &mdash; Sivas\";s:7:\"TR:TR59\";s:28:\"Turkey &mdash; Tekirda&#287;\";s:7:\"TR:TR60\";s:20:\"Turkey &mdash; Tokat\";s:7:\"TR:TR61\";s:22:\"Turkey &mdash; Trabzon\";s:7:\"TR:TR62\";s:22:\"Turkey &mdash; Tunceli\";s:7:\"TR:TR63\";s:34:\"Turkey &mdash; &#350;anl&#305;urfa\";s:7:\"TR:TR64\";s:24:\"Turkey &mdash; U&#351;ak\";s:7:\"TR:TR65\";s:18:\"Turkey &mdash; Van\";s:7:\"TR:TR66\";s:21:\"Turkey &mdash; Yozgat\";s:7:\"TR:TR67\";s:24:\"Turkey &mdash; Zonguldak\";s:7:\"TR:TR68\";s:22:\"Turkey &mdash; Aksaray\";s:7:\"TR:TR69\";s:22:\"Turkey &mdash; Bayburt\";s:7:\"TR:TR70\";s:22:\"Turkey &mdash; Karaman\";s:7:\"TR:TR71\";s:34:\"Turkey &mdash; K&#305;r&#305;kkale\";s:7:\"TR:TR72\";s:21:\"Turkey &mdash; Batman\";s:7:\"TR:TR73\";s:31:\"Turkey &mdash; &#350;&#305;rnak\";s:7:\"TR:TR74\";s:26:\"Turkey &mdash; Bart&#305;n\";s:7:\"TR:TR75\";s:22:\"Turkey &mdash; Ardahan\";s:7:\"TR:TR76\";s:30:\"Turkey &mdash; I&#287;d&#305;r\";s:7:\"TR:TR77\";s:21:\"Turkey &mdash; Yalova\";s:7:\"TR:TR78\";s:27:\"Turkey &mdash; Karab&#252;k\";s:7:\"TR:TR79\";s:20:\"Turkey &mdash; Kilis\";s:7:\"TR:TR80\";s:23:\"Turkey &mdash; Osmaniye\";s:7:\"TR:TR81\";s:25:\"Turkey &mdash; D&#252;zce\";}s:2:\"TR\";s:6:\"Turkey\";s:2:\"TM\";s:12:\"Turkmenistan\";s:2:\"TC\";s:24:\"Turks and Caicos Islands\";s:2:\"TV\";s:6:\"Tuvalu\";s:2:\"UG\";s:6:\"Uganda\";s:2:\"UA\";s:7:\"Ukraine\";s:2:\"AE\";s:20:\"United Arab Emirates\";s:2:\"GB\";s:19:\"United Kingdom (UK)\";s:18:\"United States (US)\";a:54:{s:5:\"US:AL\";s:34:\"United States (US) &mdash; Alabama\";s:5:\"US:AK\";s:33:\"United States (US) &mdash; Alaska\";s:5:\"US:AZ\";s:34:\"United States (US) &mdash; Arizona\";s:5:\"US:AR\";s:35:\"United States (US) &mdash; Arkansas\";s:5:\"US:CA\";s:37:\"United States (US) &mdash; California\";s:5:\"US:CO\";s:35:\"United States (US) &mdash; Colorado\";s:5:\"US:CT\";s:38:\"United States (US) &mdash; Connecticut\";s:5:\"US:DE\";s:35:\"United States (US) &mdash; Delaware\";s:5:\"US:DC\";s:47:\"United States (US) &mdash; District Of Columbia\";s:5:\"US:FL\";s:34:\"United States (US) &mdash; Florida\";s:5:\"US:GA\";s:34:\"United States (US) &mdash; Georgia\";s:5:\"US:HI\";s:33:\"United States (US) &mdash; Hawaii\";s:5:\"US:ID\";s:32:\"United States (US) &mdash; Idaho\";s:5:\"US:IL\";s:35:\"United States (US) &mdash; Illinois\";s:5:\"US:IN\";s:34:\"United States (US) &mdash; Indiana\";s:5:\"US:IA\";s:31:\"United States (US) &mdash; Iowa\";s:5:\"US:KS\";s:33:\"United States (US) &mdash; Kansas\";s:5:\"US:KY\";s:35:\"United States (US) &mdash; Kentucky\";s:5:\"US:LA\";s:36:\"United States (US) &mdash; Louisiana\";s:5:\"US:ME\";s:32:\"United States (US) &mdash; Maine\";s:5:\"US:MD\";s:35:\"United States (US) &mdash; Maryland\";s:5:\"US:MA\";s:40:\"United States (US) &mdash; Massachusetts\";s:5:\"US:MI\";s:35:\"United States (US) &mdash; Michigan\";s:5:\"US:MN\";s:36:\"United States (US) &mdash; Minnesota\";s:5:\"US:MS\";s:38:\"United States (US) &mdash; Mississippi\";s:5:\"US:MO\";s:35:\"United States (US) &mdash; Missouri\";s:5:\"US:MT\";s:34:\"United States (US) &mdash; Montana\";s:5:\"US:NE\";s:35:\"United States (US) &mdash; Nebraska\";s:5:\"US:NV\";s:33:\"United States (US) &mdash; Nevada\";s:5:\"US:NH\";s:40:\"United States (US) &mdash; New Hampshire\";s:5:\"US:NJ\";s:37:\"United States (US) &mdash; New Jersey\";s:5:\"US:NM\";s:37:\"United States (US) &mdash; New Mexico\";s:5:\"US:NY\";s:35:\"United States (US) &mdash; New York\";s:5:\"US:NC\";s:41:\"United States (US) &mdash; North Carolina\";s:5:\"US:ND\";s:39:\"United States (US) &mdash; North Dakota\";s:5:\"US:OH\";s:31:\"United States (US) &mdash; Ohio\";s:5:\"US:OK\";s:35:\"United States (US) &mdash; Oklahoma\";s:5:\"US:OR\";s:33:\"United States (US) &mdash; Oregon\";s:5:\"US:PA\";s:39:\"United States (US) &mdash; Pennsylvania\";s:5:\"US:RI\";s:39:\"United States (US) &mdash; Rhode Island\";s:5:\"US:SC\";s:41:\"United States (US) &mdash; South Carolina\";s:5:\"US:SD\";s:39:\"United States (US) &mdash; South Dakota\";s:5:\"US:TN\";s:36:\"United States (US) &mdash; Tennessee\";s:5:\"US:TX\";s:32:\"United States (US) &mdash; Texas\";s:5:\"US:UT\";s:31:\"United States (US) &mdash; Utah\";s:5:\"US:VT\";s:34:\"United States (US) &mdash; Vermont\";s:5:\"US:VA\";s:35:\"United States (US) &mdash; Virginia\";s:5:\"US:WA\";s:37:\"United States (US) &mdash; Washington\";s:5:\"US:WV\";s:40:\"United States (US) &mdash; West Virginia\";s:5:\"US:WI\";s:36:\"United States (US) &mdash; Wisconsin\";s:5:\"US:WY\";s:34:\"United States (US) &mdash; Wyoming\";s:5:\"US:AA\";s:44:\"United States (US) &mdash; Armed Forces (AA)\";s:5:\"US:AE\";s:44:\"United States (US) &mdash; Armed Forces (AE)\";s:5:\"US:AP\";s:44:\"United States (US) &mdash; Armed Forces (AP)\";}s:2:\"US\";s:18:\"United States (US)\";s:2:\"UM\";s:41:\"United States (US) Minor Outlying Islands\";s:2:\"UY\";s:7:\"Uruguay\";s:2:\"UZ\";s:10:\"Uzbekistan\";s:2:\"VU\";s:7:\"Vanuatu\";s:2:\"VA\";s:7:\"Vatican\";s:2:\"VE\";s:9:\"Venezuela\";s:2:\"VN\";s:7:\"Vietnam\";s:2:\"VG\";s:24:\"Virgin Islands (British)\";s:2:\"VI\";s:19:\"Virgin Islands (US)\";s:2:\"WF\";s:17:\"Wallis and Futuna\";s:2:\"EH\";s:14:\"Western Sahara\";s:2:\"YE\";s:5:\"Yemen\";s:2:\"ZM\";s:6:\"Zambia\";s:2:\"ZW\";s:8:\"Zimbabwe\";}}','yes');
INSERT INTO `wp_options` VALUES (28310,'wp_mail_smtp_initial_version','1.7.0','no'),(28311,'wp_mail_smtp_version','1.7.1','no'),(28312,'wp_mail_smtp','a:8:{s:4:\"mail\";a:6:{s:10:\"from_email\";s:35:\"leads@franchisefocusedmarketing.com\";s:9:\"from_name\";s:3:\"FFM\";s:6:\"mailer\";s:8:\"sendgrid\";s:11:\"return_path\";b:1;s:16:\"from_email_force\";b:1;s:15:\"from_name_force\";b:1;}s:4:\"smtp\";a:2:{s:7:\"autotls\";b:1;s:4:\"auth\";b:1;}s:7:\"smtpcom\";a:2:{s:7:\"api_key\";s:0:\"\";s:7:\"channel\";s:0:\"\";}s:10:\"sendinblue\";a:2:{s:7:\"api_key\";s:0:\"\";s:6:\"domain\";s:0:\"\";}s:7:\"mailgun\";a:2:{s:7:\"api_key\";s:0:\"\";s:6:\"domain\";s:0:\"\";}s:8:\"sendgrid\";a:1:{s:6:\"domain\";s:29:\"franchisefocusedmarketing.com\";}s:5:\"gmail\";a:2:{s:9:\"client_id\";s:0:\"\";s:13:\"client_secret\";s:0:\"\";}s:7:\"general\";a:1:{s:29:\"summary_report_email_disabled\";b:1;}}','no'),(32302,'wp_mail_smtp_debug','a:0:{}','no'),(3951,'options_body_font','rubik','no'),(3952,'options_body_font_weight','normal','yes'),(3953,'options_border_buttons','1','no'),(3954,'options_border_color','#ffffff','no'),(3955,'options_border_focus','#d0011b','no'),(3956,'options_border_forms','1','no'),(3957,'options_border_radius','0','yes'),(3958,'options_box_shadow_color','#000000','yes'),(3959,'options_content_panel_headers','#1e1547','no'),(3960,'options_content_panels','0','no'),(3961,'options_content_panels_mobile','0','no'),(3962,'options_dark_btn_bg','#dd3333','no'),(3963,'options_dark_btn_hover','#FFFFFF','yes'),(3964,'options_feature_boxes','0','no'),(3965,'options_feature_boxes_mobile','0','no'),(3966,'options_feature_panels','0','no'),(3967,'options_feature_panels_mobile','0','no'),(3968,'options_footer_headers','#ffffff','no'),(3969,'options_footer_panel_text','0','yes'),(3970,'options_global_cr_booking_btn','','yes'),(3971,'options_global_cr_booking_msg','','yes'),(3972,'options_global_cr_booking_success','','yes'),(3973,'options_global_cr_btn_align','text-center','yes'),(3974,'options_global_cr_btn_color','light','no'),(3975,'options_global_cr_btn_onclick','','yes'),(3976,'options_global_cr_btn_style','hollow','yes'),(3977,'options_global_cr_campaign_name','','yes'),(3978,'options_global_cr_cc','','yes'),(3979,'options_global_cr_send_to','','yes'),(3980,'options_global_cr_share_align','text-left','yes'),(3981,'options_global_cr_show_locations','0','yes'),(3982,'options_global_cr_submit_btn','GET STARTED','yes'),(3983,'options_global_cr_success','','yes'),(3984,'options_global_cr_template_id','','yes'),(3985,'options_global_cr_tt_store_id','','yes'),(3986,'options_header_font','oswald','no'),(3987,'options_header_font_weight','bold','no'),(3988,'options_header_logo','292','no'),(3989,'options_hero_headers','#ffffff','no'),(3990,'options_hero_panel_text','1','no'),(3991,'options_image_panels','0','no'),(3992,'options_image_panels_mobile','0','no'),(3993,'options_light_btn_bg','#FFFFFF','yes'),(3994,'options_light_btn_hover','#d0011b','no'),(3995,'options_line_color','#d0011b','no'),(3996,'options_link_color','#d0011b','no'),(3997,'options_link_hover','#000000','no'),(3998,'options_overlay_dark','#000000','yes'),(3999,'options_overlay_light','#FFFFFF','yes'),(4000,'options_shadow_buttons','0','yes'),(4001,'options_shadow_content_images','1','no'),(4002,'options_shadow_gallery_images','1','no'),(4003,'options_shadow_small_blocks','0','no'),(4004,'options_text_shadow_color','#000000','yes'),(3563,'googleanalytics_optimize_code','','yes'),(3564,'googleanalytics_ip_anonymization','','yes'),(455,'wpem_done','1','yes'),(454,'wpem_opt_out','1','yes'),(457,'_site_transient_timeout_browser_7d900d7d3495762519f570856f45466d','1561155017','no'),(458,'_site_transient_browser_7d900d7d3495762519f570856f45466d','a:10:{s:4:\"name\";s:7:\"Firefox\";s:7:\"version\";s:4:\"66.0\";s:8:\"platform\";s:9:\"Macintosh\";s:10:\"update_url\";s:24:\"https://www.firefox.com/\";s:7:\"img_src\";s:44:\"http://s.w.org/images/browsers/firefox.png?1\";s:11:\"img_src_ssl\";s:45:\"https://s.w.org/images/browsers/firefox.png?1\";s:15:\"current_version\";s:2:\"56\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;s:6:\"mobile\";b:0;}','no'),(459,'_site_transient_timeout_php_check_6415703fad45c4c27e0da95f77a65191','1561155017','no'),(460,'_site_transient_php_check_6415703fad45c4c27e0da95f77a65191','a:5:{s:19:\"recommended_version\";s:3:\"7.3\";s:15:\"minimum_version\";s:6:\"5.6.20\";s:12:\"is_supported\";b:1;s:9:\"is_secure\";b:1;s:13:\"is_acceptable\";b:1;}','no'),(462,'_site_transient_timeout_community-events-c81218ead569010ded270eebfb1b7766','1560593420','no'),(463,'_site_transient_community-events-c81218ead569010ded270eebfb1b7766','a:2:{s:8:\"location\";a:1:{s:2:\"ip\";s:10:\"73.25.14.0\";}s:6:\"events\";a:3:{i:0;a:7:{s:4:\"type\";s:8:\"wordcamp\";s:5:\"title\";s:15:\"WordCamp Europe\";s:3:\"url\";s:33:\"https://2019.europe.wordcamp.org/\";s:6:\"meetup\";s:0:\"\";s:10:\"meetup_url\";s:0:\"\";s:4:\"date\";s:19:\"2019-06-20 00:00:00\";s:8:\"location\";a:4:{s:8:\"location\";s:15:\"Berlin, Germany\";s:7:\"country\";s:2:\"DE\";s:8:\"latitude\";d:52.50697000000000258523868978954851627349853515625;s:9:\"longitude\";d:13.2843064000000001811940819607116281986236572265625;}}i:1;a:7:{s:4:\"type\";s:6:\"meetup\";s:5:\"title\";s:53:\"Six Ways to Make WordPress Secure from Getting Hacked\";s:3:\"url\";s:47:\"https://www.meetup.com/pdx-wp/events/262269150/\";s:6:\"meetup\";s:25:\"Portland WordPress Meetup\";s:10:\"meetup_url\";s:30:\"https://www.meetup.com/pdx-wp/\";s:4:\"date\";s:19:\"2019-07-01 18:00:00\";s:8:\"location\";a:4:{s:8:\"location\";s:17:\"Portland, OR, USA\";s:7:\"country\";s:2:\"us\";s:8:\"latitude\";d:45.52210600000000084719431470148265361785888671875;s:9:\"longitude\";d:-122.67613000000000056388671509921550750732421875;}}i:2;a:7:{s:4:\"type\";s:8:\"wordcamp\";s:5:\"title\";s:24:\"WordCamp Seattle, WA USA\";s:3:\"url\";s:33:\"https://2019.seattle.wordcamp.org\";s:6:\"meetup\";N;s:10:\"meetup_url\";N;s:4:\"date\";s:19:\"2019-11-09 00:00:00\";s:8:\"location\";a:4:{s:8:\"location\";s:15:\"Seattle, WA USA\";s:7:\"country\";s:2:\"US\";s:8:\"latitude\";d:47.61165580000000119298420031554996967315673828125;s:9:\"longitude\";d:-122.3315194000000047935827751643955707550048828125;}}}}','no'),(357648,'wp_mail_smtp_review_notice','a:2:{s:4:\"time\";i:1618516397;s:9:\"dismissed\";b:0;}','yes'),(185133,'options_google_conversion_id','','no'),(185134,'_options_google_conversion_id','field_5c89351209294','no'),(185135,'options_google_conversion_label','','no'),(185136,'_options_google_conversion_label','field_5c89353a09295','no'),(67049,'options_global_cr_store_id','','no'),(67050,'_options_global_cr_store_id','field_5c804c7561534','no'),(67051,'options_global_cr_referral_id','','no'),(67052,'_options_global_cr_referral_id','field_5c804c8b61535','no'),(67053,'options_global_cr_radius','15','no'),(67054,'_options_global_cr_radius','field_5c804d2861537','no'),(67055,'options_global_cr_class_days','14','no'),(67056,'_options_global_cr_class_days','field_5c804d3261538','no'),(67057,'options_global_cr_chain_id','624','no'),(67058,'_options_global_cr_chain_id','field_5c804cba61536','no'),(67059,'options_global_cr_class_id','','no'),(67060,'_options_global_cr_class_id','field_5c804d4861539','no'),(67061,'options_global_cr_class_cat_id','','no'),(67062,'_options_global_cr_class_cat_id','field_5d7a7a18b45e0','no'),(67063,'options_global_cr_prospect_id','','no'),(67064,'_options_global_cr_prospect_id','field_5c8061f43c112','no'),(67065,'options_global_cr_user_id','','no'),(67066,'_options_global_cr_user_id','field_5c8062623c115','no'),(67100,'_options_header_logo','field_5bce12e8107eb','no'),(67120,'crontrol_schedules','a:1:{s:6:\"weekly\";a:2:{s:8:\"interval\";s:6:\"604800\";s:7:\"display\";s:11:\"Once Weekly\";}}','yes'),(479,'recently_activated','a:1:{s:37:\"codemay-mindbody/codemay_mindbody.php\";i:1620930157;}','yes'),(525,'current_theme','CLICKS 3.0','yes'),(526,'theme_mods_clicks','a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1618516406;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}}}}','yes'),(527,'theme_switched','','yes'),(539,'acf_version','5.12.2','yes'),(541,'acf-image-aspect-ratio-crop-version','2.0.3','yes'),(550,'duplicate_page_options','a:4:{s:21:\"duplicate_post_status\";s:5:\"draft\";s:23:\"duplicate_post_redirect\";s:7:\"to_list\";s:21:\"duplicate_post_suffix\";s:0:\"\";s:21:\"duplicate_post_editor\";s:7:\"classic\";}','yes'),(554,'easy_fancybox_version','1.8.18','yes'),(562,'redirection_options','a:31:{s:7:\"support\";b:0;s:5:\"token\";s:32:\"e91ace2eedb25c9cece75fc51ec81dd1\";s:12:\"monitor_post\";i:1;s:13:\"monitor_types\";a:2:{i:0;s:4:\"post\";i:1;s:4:\"page\";}s:19:\"associated_redirect\";s:0:\"\";s:11:\"auto_target\";s:0:\"\";s:15:\"expire_redirect\";i:-1;s:10:\"expire_404\";i:-1;s:7:\"modules\";a:0:{}s:10:\"newsletter\";b:0;s:14:\"redirect_cache\";i:1;s:10:\"ip_logging\";i:0;s:13:\"last_group_id\";i:1;s:8:\"rest_api\";i:0;s:5:\"https\";b:0;s:8:\"database\";s:3:\"4.2\";s:10:\"flag_query\";s:5:\"exact\";s:9:\"flag_case\";b:0;s:13:\"flag_trailing\";b:0;s:10:\"flag_regex\";b:0;s:12:\"log_external\";b:0;s:10:\"log_header\";b:0;s:10:\"track_hits\";b:1;s:7:\"headers\";a:0:{}s:8:\"relocate\";s:0:\"\";s:16:\"preferred_domain\";s:0:\"\";s:7:\"aliases\";a:0:{}s:10:\"permalinks\";a:0:{}s:9:\"cache_key\";i:0;s:13:\"plugin_update\";s:6:\"prompt\";s:13:\"update_notice\";s:3:\"5.1\";}','yes'),(565,'scporder_install','1','yes'),(568,'tadv_settings','a:10:{s:7:\"options\";s:44:\"menubar,advlist,menubar_block,merge_toolbars\";s:7:\"plugins\";s:104:\"anchor,code,insertdatetime,nonbreaking,print,searchreplace,table,visualblocks,visualchars,advlist,wptadv\";s:9:\"toolbar_1\";s:106:\"formatselect,bold,italic,blockquote,bullist,numlist,alignleft,aligncenter,alignright,link,unlink,undo,redo\";s:9:\"toolbar_2\";s:103:\"fontselect,fontsizeselect,outdent,indent,pastetext,removeformat,charmap,wp_more,forecolor,table,wp_help\";s:9:\"toolbar_3\";s:0:\"\";s:9:\"toolbar_4\";s:0:\"\";s:21:\"toolbar_classic_block\";s:123:\"formatselect,bold,italic,blockquote,bullist,numlist,alignleft,aligncenter,alignright,link,forecolor,backcolor,table,wp_help\";s:13:\"toolbar_block\";s:10:\"core/image\";s:18:\"toolbar_block_side\";s:88:\"core/superscript,core/subscript,core/strikethrough,core/code,tadv/mark,tadv/removeformat\";s:12:\"panels_block\";s:44:\"tadv/color-panel,tadv/background-color-panel\";}','yes'),(569,'tadv_admin_settings','a:1:{s:7:\"options\";s:86:\"classic_paragraph_block,table_resize_bars,table_grid,table_tab_navigation,table_advtab\";}','yes'),(570,'tadv_version','5600','yes'),(579,'scporder_notice','1','yes'),(584,'acf_pro_license','YToyOntzOjM6ImtleSI7czo3NjoiYjNKa1pYSmZhV1E5TVRBek1ERXpmSFI1Y0dVOVpHVjJaV3h2Y0dWeWZHUmhkR1U5TWpBeE55MHdNeTB5T1NBd05Ub3lOam93TVE9PSI7czozOiJ1cmwiO3M6MjQ6Imh0dHBzOi8vcnVtYmxlb2ZmZXJzLmNvbSI7fQ==','yes'),(615,'fancybox_enableImg','1','yes'),(616,'fancybox_enableInline','','yes'),(617,'fancybox_enablePDF','','yes'),(618,'fancybox_enableSWF','','yes'),(619,'fancybox_enableSVG','','yes'),(620,'fancybox_enableYoutube','','yes'),(621,'fancybox_enableVimeo','','yes'),(622,'fancybox_enableDailymotion','','yes'),(623,'fancybox_enableiFrame','','yes'),(624,'fancybox_overlayShow','1','yes'),(625,'fancybox_hideOnOverlayClick','1','yes'),(626,'fancybox_overlayOpacity','','yes'),(627,'fancybox_overlayColor','','yes'),(628,'fancybox_overlaySpotlight','','yes'),(629,'fancybox_showCloseButton','1','yes'),(630,'fancybox_backgroundColor','','yes'),(631,'fancybox_textColor','','yes'),(632,'fancybox_titleColor','','yes'),(633,'fancybox_paddingColor','','yes'),(634,'fancybox_borderRadius','','yes'),(635,'fancybox_width','','yes'),(636,'fancybox_height','','yes'),(637,'fancybox_padding','','yes'),(638,'fancybox_margin','20','yes'),(639,'fancybox_centerOnScroll','','yes'),(640,'fancybox_enableEscapeButton','1','yes'),(641,'fancybox_autoScale','1','yes'),(642,'fancybox_speedIn','','yes'),(643,'fancybox_speedOut','','yes'),(644,'fancybox_mouseWheel','1','yes'),(645,'fancybox_autoClick','1','yes'),(646,'fancybox_delayClick','1000','yes'),(647,'fancybox_minViewportWidth','','yes'),(648,'fancybox_compatIE8','','yes'),(649,'fancybox_scriptPriority','10','yes'),(650,'fancybox_noFooter','','yes'),(651,'fancybox_nojQuery','','yes'),(652,'fancybox_pre45Compat','','yes'),(653,'fancybox_metaData','','yes'),(654,'fancybox_vcMasonryCompat','','yes'),(704,'edd_sl_6f00bcf310e877dd95f37e31c233cc73','a:2:{s:7:\"timeout\";i:1660252636;s:5:\"value\";s:280891:\"{\"new_version\":\"48.09\",\"stable_version\":\"48.09\",\"name\":\"ThreeWP Broadcast Premium Pack\",\"slug\":\"ThreeWP_Broadcast_Premium_Pack\",\"url\":\"https:\\/\\/broadcast.plainviewplugins.com\\/downloads\\/threewp-broadcast-premium-pack\\/?changelog=1\",\"last_updated\":\"2022-04-18 17:44:12\",\"homepage\":\"https:\\/\\/broadcast.plainviewplugins.com\\/downloads\\/threewp-broadcast-premium-pack\\/\",\"package\":\"https:\\/\\/broadcast.plainviewplugins.com\\/edd-sl\\/package_download\\/MTY5MTc4NTAzNjo3OWUxZjU5OTdhOWE0YzgxOTkyMzBiODgxNTczOGQ3Mzo0NDM6MjQzMGE3MWZlOTViMTYwNWM0ZjQyYzUzYWMwYjczZjI6aHR0cHNALy9ydW1ibGVvZmZlcnMuY29tOjA=\",\"download_link\":\"https:\\/\\/broadcast.plainviewplugins.com\\/edd-sl\\/package_download\\/MTY5MTc4NTAzNjo3OWUxZjU5OTdhOWE0YzgxOTkyMzBiODgxNTczOGQ3Mzo0NDM6MjQzMGE3MWZlOTViMTYwNWM0ZjQyYzUzYWMwYjczZjI6aHR0cHNALy9ydW1ibGVvZmZlcnMuY29tOjA=\",\"sections\":{\"description\":\"<p>The premium pack contains all of the Broadcast plugin packs.<\\/p>\\n\",\"changelog\":\"<p><strong>48.09<\\/strong> 20220418<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Add support for partial export of spreadsheets for sites with more than 100 sites. This allows for sites of almost unlimited size.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Fix warning for elements that sometimes don\'t have links set.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Automatically create the CSS directory for each blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix course post not having the _sfwd-courses custom field.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Add support for broadcasting of groups and fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for the variation image gallery.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for term product_attribute_image.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for composite products.<\\/p>\\n<p><strong>48.08<\\/strong> 20220312<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/blog-groups-2\\/\\\">Blog Groups 2<\\/a>: Add broadcast_blog_groups_2_access filter to allow code access to the add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: Parse the encoded links in buttons.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Handle bg_image, background_image and image settings more generically.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Add broadcast_menus_access filter to allow code access to the add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add broadcast_queue_access filter to allow code access to the add-on.<\\/p>\\n<p><strong>48.07<\\/strong> 20220226<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cornerstone\\/\\\">Cornerstone<\\/a>: Add support for broadcasting layouts, templates and user templates.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cornerstone\\/\\\">Cornerstone<\\/a>: Merge Global Blocks For Cornerstone add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for button, header and call-to-action links.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Media Carousel images and links.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for JetPopups.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for the Jet Listing Grid, Jet Smart Filters Checkboxes and Jet Smart Filters Range elements.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for the Jet Listing Grid, Jet Smart Filters Checkboxes and Jet Smart Filters Range elements.<br \\/>\\nGlobal Blocks For Cornerstone: Add-on is obsolete. Replaced by Cornerstone add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-links\\/\\\">Local Links<\\/a>: Fix finding links Gutenberg blocks - don\'t look again if the link is already found.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/post-expirator\\/\\\">Post Expirator<\\/a>: Mark categories as used, for compatibility with v48 of Broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/rebroadcaster\\/\\\">Rebroadcaster<\\/a>: Allow for low priority rebroadcasting so that it works with the queue add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/rebroadcaster\\/\\\">Rebroadcaster<\\/a>: Remember the rebroadcast schedule when using the \\\"Rebroadcast\\\" bulk post action.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/unlink-on-edit-checkbox\\/\\\">Unlink On Edit Checkbox<\\/a>: Fix the checkbox not being obeyed.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Allow the _yoast_wpseo_meta-robots-nofollow and _yoast_wpseo_meta-robots-noindex custom fields to be protected.<\\/p>\\n<p><strong>48.01<\\/strong> 20211105<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/code-snippets\\/\\\">Code Snippets<\\/a>: Run code snippets on specific blogs.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cron-everywhere\\/\\\">Cron Everywhere<\\/a>: Runs WordPress cron periodically on all sites of the network.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/rebroadcaster\\/\\\">Rebroadcaster<\\/a>: Periodically and automatically rebroadcast specific posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-attachments\\/\\\">Gutenberg Attachments<\\/a>: Better support for image IDs that are part of arrays.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Clear the cache when pods are deleted on the parent blog, so that they are also shown as deleted on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Fix incorrectly protecting custom fields with taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/the-events-calendar\\/\\\">The Events Calendar<\\/a>: Allow several organisers per event.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Fix recursion when broadcasting relationships again. Use new broadcast_once() functionality.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: More fixing of featured images not broadcasting when processing via cron with the Publishpress Revisions plugin active.<\\/p>\\n<p><strong>47.13<\\/strong> 20211007<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/copy-options\\/\\\">Copy options<\\/a>: Translate the page_on_front option when copying the reading *_on_front options.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Delete existing add-on feeds on child blogs before adding the parent ones.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-attachments\\/\\\">Gutenberg Attachments<\\/a>: Add wizard for ACF Gallery Masonry block.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/per-blog-author\\/\\\">Per Blog Author<\\/a>: Fix blog name html.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Parse errors are displayed when running the code.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Allow taxonomies to be protected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix featured images not broadcasting when processing via cron with the Publishpress Revisions plugin active.<\\/p>\\n<p><strong>47.12<\\/strong> 20210923<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-filter\\/\\\">Search And Filter<\\/a>: Adds support for the <a href=\\\"https:\\/\\/searchandfilter.com\\/\\\">Search And Filter<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Force better selection of database tables to be cloned. This should prevent _60_ _61_ etc from being cloned when only _6_ is going to be cloned.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Allow handling of non-pro ACF5 fields with add-ons (repeater) as pro.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for ProductIntroFullDetail element type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for syncing shipping and coupon info when syncing orders.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for the <a href=\\\"https:\\/\\/wclovers.com\\/\\\">WCFM - WooCommerce Multivendor Marketplace<\\/a> plugin.<\\/p>\\n<p><strong>47.11<\\/strong> 20210815<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/scheduler\\/\\\">Scheduler<\\/a>: Automatically change the publish date of child posts during broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/woocommerce.com\\/products\\/product-bundles\\/\\\">product bundles<\\/a>.<\\/p>\\n<p><strong>47.09<\\/strong> 20210706<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Allow setting of blog archived \\/ deleted \\/ mature \\/ spam status.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Fix warning when no conditions are to be restored.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Fix warning when a gallery is empty.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Broadcast associated posts when broadcasting entries.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Better PHP8 compatability.<\\/p>\\n<p><strong>47.08<\\/strong> 20210613<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/more-children\\/\\\">More Children<\\/a>: Allows children to create more children of the parent.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for new widgets: avante-portfolio-grid and dyxnet-testimonial-card<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Allow for non-standard upload directories.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-files\\/\\\">Local Files<\\/a>: Use the link data of the parent, if possible. Allows for linking to posts that are broadcasted from other blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-links\\/\\\">Local Links<\\/a>: Try to find the page twice. This is a workaround for an unexplained bug with WPML that never finds the first link on a page.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Fix fatal error when broadcasting manually.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/parent-pull\\/\\\">Parent Pull<\\/a>: Fix warning about custom fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Don\'t protect the featured image if the custom fields are protected.<\\/p>\\n<p><strong>47.07<\\/strong> 20210513<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/imagify\\/\\\">Imagify<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/imagify\\/\\\">Imagify<\\/a> plugin \\/ service.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-cleanup\\/\\\">Custom Field Cleanup<\\/a>: Cleans up the custom fields of a post.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/term-meta-attachments\\/\\\">Term Meta Attachments<\\/a>: Allow taxonomy term meta containing attachment IDs to be broadcasted correctly.<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/category-order-and-taxonomy-terms-order\\/\\\">Category Order and Taxonomy Terms Order<\\/a>: Also set the term order during broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Fix fatal error if menu icons plugin is not active.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Fix recursion when broadcasting relationships.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: Allow syncing of roles and users separately.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Also broadcast new coupon amount when a coupon is used, not just usage count.<\\/p>\\n<p><strong>47.06<\\/strong> 20210412<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/rank-math-seo\\/\\\">Rank Math SEO<\\/a>: Add support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/seo-by-rank-math\\/\\\">Rank Math SEO<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Comment meta is updated during syncing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cornerstone\\/\\\">Cornerstone<\\/a>: Add support for toggle_anchor_graphic_image_src<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for course builder data stored in \\\"steps\\\" instead of \\\"hrt\\\" data.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for either overwriting or keeping the groups of a course.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add CLI command: broadcast_queue process<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add support for relationships with intermediaries.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Allow broadcasting of coupons and broadcasting of usage count when the coupon is used.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Ignore taxonomies that are not translatable.<\\/p>\\n<p><strong>47.05<\\/strong> 20210325<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add option to enable queue locking, which only the largest networks might need. Queue locking is disabled per default.<\\/p>\\n<p><strong>47.04<\\/strong> 20210318<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for display conditions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Add support for parsing Advanced Post Creation content in order to get shortcodes parsed.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix unlocking of the queue.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/tablepress\\/\\\">Tablepress<\\/a>: Modernize add-on to parse Tablepress shortcodes everywhere Broadcast processes texts (Elementor widgets, ACF text fields, etc), not just the post content.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for chained products.<\\/p>\\n<p><strong>47.03<\\/strong> 20210308<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-in-one-seo\\/\\\">All In One SEO<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/all-in-one-seo-pack\\/\\\">All in One SEO<\\/a> plugin.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/generatepress\\/\\\">GeneratePress<\\/a> adds support for the <a href=\\\"https:\\/\\/generatepress.com\\/\\\">GeneratePress<\\/a> theme \\/ plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add support for term protect list.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Comments are now merged instead of overwritten.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Fix restoring of serialized custom fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Fix the SEO data cache for terms not being emptied.<\\/p>\\n<p><strong>47.02<\\/strong> 20210216<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/back-to-parent\\/\\\">Back To Parent<\\/a>: Do not do anything if the Update Family checkbox is selected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix posts not being queued.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Check that the files exist at the source before updating. Fixes conflicts with CDN plugins that remove the files from disk.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-family\\/\\\">Update Family<\\/a>: Make the sibling broadcast low priority so that they can be queued.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/bookingwp.com\\/plugins\\/woocommerce-appointments\\/\\\">Appointments<\\/a>.<\\/p>\\n<p><strong>47.01<\\/strong> 20210210<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/permalink-manager\\/\\\">Permalink Manager<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/permalink-manager\\/\\\">Permalink Manager<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Fix copying of site files.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: Add support for Theme Builder usage restrictions based on pages and term IDs.<br \\/>\\nShortcode Items: Fix the parse_find and replace_id action names.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add support for WPML in relationships.<\\/p>\\n<p><strong>46.19<\\/strong> 20210127<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/litespeed-cache\\/\\\">LiteSpeed Cache<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/litespeed-cache\\/\\\">LiteSpeed Cache<\\/a> plugin.<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Do not copy the files in the sites directory when cloning blog 1.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: Prevent theme overwrites when using the <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/sync-taxonomies\\/\\\">Sync Taxonomies<\\/a> add-on, in addition to when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cornerstone\\/\\\">Cornerstone<\\/a>: Add support for images.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Added more support for Workflows.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Force WPML to recount the taxonomy term stats after taxonomy sync.<\\/p>\\n<p><strong>46.18<\\/strong> 20201229<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Add support for later linking using the queue add-on, which allows for big clones.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: Added support for global modules in rows also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ns-cloner\\/\\\">NS Cloner<\\/a>: Add support for later linking using the queue add-on, which allows for big imports.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/woocommerce.com\\/products\\/woocommerce-bookings\\/\\\">Bookings<\\/a> resources and people.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Fix the SEO data cache not being emptied.<\\/p>\\n<p><strong>46.17<\\/strong> 20201215<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cornerstone\\/\\\">Cornerstone<\\/a> adds support for the <a href=\\\"http:\\/\\/theme.co\\/cornerstone\\\">Cornerstone Page Builder<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add action to allow for merging of existing course data, for example <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/snippet\\/learndash-preserve-the-registration-button-url\\/\\\">the registration button URL (snippet)<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for broadcasting Uncanny Content via GB blocks.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: New: Force showing of the Broadcast meta box, which is normally hidden due to broken Mailster CSS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: Add PHP Code wizard for copying templates between blogs.<\\/p>\\n<p><strong>46.16<\\/strong> 20201116<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/per-blog-author\\/\\\">Per Blog Author<\\/a> allows for individual control of the author for each child post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Add support for the WooCommerce Multilingual plugin. This prevents translated child products from losing their custom fields when updating the parent language.<\\/p>\\n<p><strong>46.15<\\/strong> 20201111<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support for parsing links.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for AE Post Blocks manual selections.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: When broadcasting a course in groups, broadcast the groups automatically if they do not exist on the child.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: New: Force showing of the Broadcast meta box, which is normally hidden due to broken Mailster CSS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: Add support for forms and lists in conditions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Add support for broadcasting string translations.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add support for v3.4 relationships.<\\/p>\\n<p><strong>46.14<\\/strong> 20201002<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for AE Post Blocks relationships.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Add support for event speakers.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Fix support for v2.0.0.101 - images, logos and categories broadcast correctly again.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ninja-forms\\/\\\">Ninja Forms<\\/a>: Clear form cache after broadcasting. Tested with 3.4.30<\\/p>\\n<p><strong>46.13<\\/strong> 20200922<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/modern-events\\/\\\">Modern Events<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/modern-events-calendar-lite\\/\\\">Modern Events plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Add support for broadcasting entries via the Broadcast &gt; Formidable menu item.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Add support for Gravityflow workflows.<\\/p>\\n<p><strong>46.12<\\/strong> 20200810<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/create\\/\\\">Create<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/mediavine-create\\/\\\">Create<\\/a> plugin from Mediavine.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/soliloquy\\/\\\">Soliloquy<\\/a> adds support for the <a href=\\\"https:\\/\\/soliloquywp.com\\/\\\">Soliloquy plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add ability to copy option field groups.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for updating the linked children when the parent post is saved in Elementor (not just the normal editor).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix field ID in view not matching.<\\/p>\\n<p><strong>46.11<\\/strong> 20200715<\\/p>\\n<p>Version bump, because Wordpress doesn\'t understand that .10 is bigger than .1<\\/p>\\n<p><strong>46.10<\\/strong> 20200714<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/parent-pull\\/\\\">Parent Pull<\\/a> allows content to be pulled from (parent) blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Add support for repeaters and conditionals.<\\/p>\\n<p><strong>46.09<\\/strong> 20200708<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/category-order-and-taxonomy-terms-order\\/\\\">Category Order and Taxonomy Terms Order<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/taxonomy-terms-order\\/\\\">Category Order and Taxonomy Terms Order plugin<\\/a>.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/unlink-on-edit-checkbox\\/\\\">Unlink On Edit Checkbox<\\/a>: Unlinks child posts when they are modified.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Image Carousels.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Allow support for Gravity Views.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for lessons that can be assigned to multiple courses.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Allow custom menu items to be manipulated.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Hook into the wp_initialize_site action instead.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/page-content-shortcode\\/\\\">Page Content Shortcode<\\/a>: Better searching for content. Ignore nav_menu_items.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Add support for taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Automatically broadcast related posts if necessary.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-access-manager\\/\\\">User Access Manager<\\/a>: Add support for restricting attachments.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Fix term languages being set in wrong language.<\\/p>\\n<p><strong>46.08<\\/strong> 20200608<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-rocket\\/\\\">WP Rocket<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wp-rocket.me\\/\\\">WP Rocket<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix quizzes not being properly broadcasted due to new database table names.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Replacing the URL will not convert the items to custom items.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Add support for multiple post selections.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix warning about AUTH_KEY, by using wp_salt().<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Fix the blog name being incorrectly displayed when using post actions together with the String Translation plugin.<\\/p>\\n<p><strong>46.07<\\/strong> 20200512<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix cloned fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix group fields for non-pro users.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Added wizard for the <a href=\\\"&lt;a href=\\\">\\\"&gt;PHP Code add-on<\\/a> that copies Jet Engine custom post types and taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Better compatibility with User &amp; Blog Settings add-on regarding \\\"Only if modified\\\" checkbox.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/social-networks-auto-poster\\/\\\">SNAP<\\/a>: Add-on is now obsolete. This is due to changes in the plugin and the most <a href=\\\"https:\\/\\/wordpress.org\\/support\\/plugin\\/social-networks-auto-poster-facebook-twitter-g\\/reviews\\/\\\">recent reviews<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Added support OpenGraph \\/ Facebook image and URL custom field.<\\/p>\\n<p><strong>46.06<\\/strong> 20200429<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/blog-groups-2\\/\\\">Blog Groups 2<\\/a>: Fix double creation of groups found in Bulk Cloner spreadsheets.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Options modifications can now handle options with dashes in them. Please double check any existing modifications you have.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: When creating a menu item during manipulation, if the parent menu item is not a post but a custom link, try to find the equivalent custom link.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Fixed images not being found.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-terms\\/\\\">Shortcode Terms<\\/a>: Better syncing on taxonomies not related to the post using the shortcode.<\\/p>\\n<p><strong>46.05<\\/strong> 20200324<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix queue unlocking function.<\\/p>\\n<p><strong>46.04<\\/strong> 20200323<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-protect\\/\\\">Gutenberg Protect<\\/a>: Protects specific Gutenberg blocks from being overwritten during broadcasting.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/translatepress\\/\\\">TranslatePress<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/translatepress-multilingual\\/\\\">TranslatePress<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Added ability to clone to a specific blog ID if the ID is free. Specify the ID in the blog_id column.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/copy-options\\/\\\">Copy options<\\/a>: Add function to call the add-on programmatically. See <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/snippet\\/copy-options-automatically-copy-when-options-are-updated\\/\\\">this snippet<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-posts\\/\\\">Gutenberg Posts<\\/a>: Ignore empty post IDs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ns-cloner\\/\\\">NS Cloner<\\/a>: Add support for clones during registration \\/ signup.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Apply queue locking during ajax processing, not only during http processing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-posts\\/\\\">Shortcode Posts<\\/a>: Ignore empty post IDs.<\\/p>\\n<p><strong>46.03<\\/strong> 20200224<\\/p>\\n<p>Gutenberg add-ons: Fix IDs only being replaced on the first blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Fix terms criterion not being applied when editing posts.<\\/p>\\n<p><strong>46.02<\\/strong> 20200212<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/vimeography\\/\\\">Vimeography<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/vimeography\\/\\\">Vimeography<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Add queue functionality for comments. Useful for those with 500+ comments per post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Fix ordering of comments, syncing those comments without replies first.<br \\/>\\nCustom Field add-ons: Fixed better matching of wildcards for arrays. Prevents various PHP warnings from preg_split.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-manager\\/\\\">Download Manager<\\/a>: Automatically copy files in the download when using the new site-specific storage.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Allow for forms with apostrophes in the title.<br \\/>\\nGutenberg add-ons: Allow GB Attachments and GB Posts to modify the same block at the same time, if it contains both attachments and posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for the LDAdvQuiz and LDAdvQuiz_toplist shortcodes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcodes\\/\\\">Shortcodes<\\/a>: Add setting (and filter: broadcast_shortcodes_access) to allow non-superadmin users to access the shortcodes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/atum-stock-manager-for-woocommerce\\/\\\">ATUM Inventory Management<\\/a> product data and suppliers.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add automatic parsing of add_to_cart shortcode.<\\/p>\\n<p><strong>46.01<\\/strong> 20200116<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Also sync taxonomies when possible. Requires v46 of Broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Added ability to modify options during cloning with new option modifications function.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Sync comments after the new comment is fully inserted. Fixes bug of WooCommerce review ratings not being synced.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/event-organiser\\/\\\">Event Organiser<\\/a>: Fix fatal error when venues are broadcasted.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Update course link in topics on some installs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Add support for multiple images in image fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix retry \\/ attempt counter for partially broadcasted WooCommerce variations. Affects those with products that have more variations than the queue retry limit.<\\/p>\\n<p><strong>45.06<\\/strong> 20191116<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-family\\/\\\">Update Family<\\/a>: Update the parent post and siblings when editing a child post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix relationship fields when broadcasting taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/blog-groups-2\\/\\\">Blog Groups 2<\\/a>: Add support for assigning groups in the Bulk Cloner.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for gallery widgets, vt-saaspot_agency and vt-saaspot_resource widgets.<\\/p>\\n<p><strong>45.05<\\/strong> 20191022<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-posts\\/\\\">Custom Field Posts<\\/a>: Save values in arrays properly.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix archives without taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix draft pages showing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Add support for posts in different languages sharing the same slug, WooCommerce products for example.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Fix terms being in incorrect language when processing the posts using the Queue HTTP command.<\\/p>\\n<p><strong>45.02<\\/strong> 201909225<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/fliphtml5\\/\\\">Flip HTML5<\\/a>: Adds support for <a href=\\\"http:\\/\\/fliphtml5.com\\/\\\">Flip HTML5<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Properly sync taxonomies that are not in the same post type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/calendarize-it\\/\\\">Calendarize It<\\/a>: Fix custom post info box content.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix number being shown for x-default blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/sensei\\/\\\">Sensei<\\/a>: Add support for quiz category questions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Ignore the post if it does not have a content template assigned.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Fix \\\"incorrect post type\\\" fatal error.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix bulk actions not working the first time. This is due to the internal Wordpress post cache not being flushed by WooCommerce as it should.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-all-import\\/\\\">WP All Import<\\/a>: Enable term counting after import but before broadcast.<\\/p>\\n<p><strong>45.01<\\/strong> 20190828<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-attachments\\/\\\">Gutenberg Attachments<\\/a>: Modify attachment IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-menus\\/\\\">Gutenberg Menus<\\/a>: Modify menu IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-posts\\/\\\">Gutenberg Posts<\\/a>: Modify post IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-terms\\/\\\">Gutenberg Terms<\\/a>: Modify taxonomy term IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-ultimo\\/\\\">WP Ultimo<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wpultimo.com\\/\\\">WP Ultimo<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/avia-layout-builder\\/\\\">Avia Layout Builder<\\/a>: Use standard preparse and parse actions to run all Avia content through all of the other add-ons.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-posts\\/\\\">Custom Field Posts<\\/a>: Fix fatal error when trying to look for a link where there isn\'t one.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for devices-extended widgets.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Allow for multiple course prerequisites.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ns-cloner\\/\\\">NS Cloner<\\/a>: Add support for v4.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Use file locking to prevent cron processing from being run multiple times.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/redirect-all-children\\/\\\">Redirect All Children<\\/a>: Use code 301 on redirects.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/redirect-parent\\/\\\">Redirect Parent<\\/a>: Use code 301 on redirects.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcodes\\/\\\">Shortcodes<\\/a>: Remove extra slashes from the shortcodes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-access-manager\\/\\\">User Access Manager<\\/a>: Fix bug when groups not being assigned when broadcasting to more than one blog at a time.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for multiple Yith badges per product.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Check if WPML is active on the blog at all before starting the add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Help the HREFLANG add-on generate links to all languages of the current page.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Use API for setting term languages, instead of direct database queries.<\\/p>\\n<p><strong>44.05<\\/strong> 20190715<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpforms\\/\\\">WPForms<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wpforms.com\\/\\\">WPForms<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Remove page argument when adding links to taxonomy archives.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix questions on front-end not displaying properly. Rebroadcast your quizzes if the questions on the front-end look weird.<\\/p>\\n<p><strong>44.04<\\/strong> 20190621<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-terms\\/\\\">Custom Field Terms<\\/a>: Allow post custom field containing taxonomy term IDs to be broadcasted correctly.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-manager\\/\\\">Download Manager<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/download-manager\\/\\\">Download Manager<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for parsing content in text fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/manual-post-actions\\/\\\">Manual Post Actions<\\/a>: Fix warning when \\\"Find Some Unlinked Children\\\" or \\\"Send To Many\\\" add-ons active.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: When creating terms, assign the correct languages.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Post excerpt can also be protected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add broadcast_queue_menu_access filter to allow non-super admins access to the settings.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/woocommerce.com\\/products\\/composite-products\\/\\\">composite products<\\/a>.<\\/p>\\n<p><strong>44.03<\\/strong> 20190515<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Link only post types that we know about, ignoring attachments and menu items.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Add support for form views.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Try to fetch linked posts when making the hreflang tags for a single post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add broadcast_learndash_menu_access filter to allow non-super admins access to the tools.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add workaround for broken lessons having more than one course reference.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Add support for image fields.<\\/p>\\n<p><strong>44.02<\\/strong> 20190423<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix queue not working due to the upgrade process not upgrading the add-on\'s tables.<\\/p>\\n<p><strong>44.01<\\/strong> 20190415<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cdn-workaround\\/\\\">CDN Workaround<\\/a>: Added option to locally download remote files, in order to upload them on each blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/global-blocks-for-cornerstone\\/\\\">Global Blocks For Cornerstone<\\/a>: Added support for new v3 [cs_gb] shortcode.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Global elements.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Image Box elements.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: Add new __BLOG_PATH__ and __BLOG_PATH_WITHOUT_RSLASH__ keywords.<\\/p>\\n<p><strong>43.17<\\/strong> 20190402<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support for Themer Layouts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Fix cloning. Some WP version introduced a bug that preventing the complete cloning of blog options.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Force new siteurl and home options for clones, to fix weirdness with some installs that create dupes in the url.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/caldera-forms\\/\\\">Caldera Forms<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/caldera-forms\\/\\\">Caldera Forms<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Caldera Forms elements.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Do not abort broadcasting is a missing background image is found, just continue normally.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Added course tool to do actions on the WHOLE course at the same time: delete, trash, restore, unlink and find unlinked children.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/manual-post-actions\\/\\\">Manual Post Actions<\\/a>: Manually run bulk post actions on posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: For developers, queue items now have priorities assigned, allowing for faster processing of specific queue item types.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Do not overwrite the file path for those files that have been uploaded at different times. Fixes problem of thumbnails for differently-aged images not working.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: Create role is it doesn\'t exist on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: Also sync data for Ultimate Member custom roles.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/yith-woocommerce-badges-management\\/\\\">YITH WooCommerce Badge Management plugin<\\/a>.<\\/p>\\n<p><strong>43.16<\\/strong> 20190222<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add support for the Clone field type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/acf-image-crop-add-on\\/\\\">Image Crop Add-on<\\/a><br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/calendarize-it\\/\\\">Calendarize It<\\/a>: Fix vendors and organizers not being saved to child post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-posts\\/\\\">Custom Field Posts<\\/a>: Fix to allow multiple IDs in field.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Smartslider3 widget type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/events-manager\\/\\\">Events Manager<\\/a>: Add support for recurring events. Seems to work best publishing the events locally before broadcasting them.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Update existing form settings. Also broadcast form actions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Added preliminary support for v2.6 quizzes. The old 2.5 version of LD can still be used.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Dev: Added static::$keep_sfwd_courses_course_access_list property which allows the course access list to be overwritten during broadcast.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/link-before-broadcast\\/\\\">Link Before Broadcast<\\/a>: Attempts to find unlinked children on each child blog during broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Broadcast ALL variations, even those that are out of stock and hidden.<\\/p>\\n<p><strong>43.14<\\/strong> 20190102<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Fix rare fatal error on _some_ installs that result from the capabilities.php not having been loaded.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Added BROADCAST_BEAVER_BUILDER_NO_UPDATE_ON_SAVE define to prevent automatic updating of child posts when saving the layout on the front-end.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Automatic parsing of serialized options that contain the old blog URL. Can fix widgets that contain links to the source blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Allow button URLs to be parsed in order to work with Local Items add-ons.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Also parse shortcode widgets.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix courses that have apostrophes in them.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/no-new-terms\\/\\\">No New Terms<\\/a>: Fix terms being created with newer versions of Broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/per-blog-taxonomies\\/\\\">Per Blog Taxonomies<\\/a>: Fix to allow for hiding of term fieldsets using UBS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Add filter to allow for special processing of attributes. See this <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/snippet\\/shortcode-items-parse_find-and-replace_id-actions\\/\\\">snippet for handling image IDs embedded in a json-encoded attribute<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/smart-slider-3\\/\\\">Smart Slider 3<\\/a>: Update the slider properties when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/widgets\\/\\\">Widgets<\\/a>: Add more debug info.<\\/p>\\n<p><strong>43.12<\\/strong> 20181127<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Fix fields not appearing due to field cache.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Add entry migration so that forms that are updated keep their entries.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Update the form title. Only affects those using the BROADCAST_GRAVITY_FORMS_USE_ID define.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Added tool to broadcast a whole course at once.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add broadcast_queue_clean_queue filter to prevent database cleanup.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Do not create terms on child blogs that are in other languages.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-posts\\/\\\">Shortcode Posts<\\/a>: Added Avada Global Containers wizard.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/siteorigin-page-builder\\/\\\">SiteOrigin Page Builder<\\/a>: Parse the text and content widget fields, allowing other Broadcast add-ons to detect their shortcodes in the widgets.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Fix visual modifications being applied when they shouldn\'t.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Fix duplication bug where terms are created in the wrong language.<\\/p>\\n<p><strong>43.11<\\/strong> 20181018<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Add broadcast_geodirectory_sync_table_structure_columns filter.<br \\/>\\nFixes the plugin upgrade notice not disappearing due to \\\"43.10\\\" being treated as \\\"43.1\\\".<\\/p>\\n<p><strong>43.10<\\/strong> 20181018<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/simple-custom-post-order\\/\\\">Simple Custom Post Order<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/simple-custom-post-order\\/\\\">Simple Custom Post Order<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add support for the Component Fields plugin \\/ field type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Add broadcast_geodirectory_insert_place_detail filter.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings-post\\/\\\">User &amp; Blog Settings Post<\\/a>: Fix _and_ criteria not being correctly applied.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Allow order syncing without Back2Parent add-on, which means orders can only be synced to child blogs and not back.<\\/p>\\n<p><strong>43.9<\\/strong> 20180922<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-posts\\/\\\">Custom Field Posts<\\/a>: Allow post custom field containing post IDs to be broadcasted correctly.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/formidable\\/\\\">Formidable<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/unlink-on-edit\\/\\\">Unlink On Edit<\\/a>: Unlinks child posts when they are modified.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Parse text fields, allowing other add-ons to modify their content also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Parse post carousels also, modifying the post IDs so that they match those on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Only sync taxonomies that are used in the post. This is an optimization for those that have thousands of taxonomy terms.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: Add new __BLOG_URL_ESCAPED__ keyword.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-posts\\/\\\">Shortcode Posts<\\/a>: Added uncode blocks to the wizard.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-access-manager\\/\\\">User Access Manager<\\/a>: Also sync taxonomies.<\\/p>\\n<p><strong>43.8<\\/strong> 20180821<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support for photo and photos components.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/delete-before-broadcast\\/\\\">Delete Before Broadcast<\\/a>: Fix error on unlinking.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Fix FILE_BASE_DIR error.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Add BROADCAST_GRAVITY_FORMS_USE_ID define that forces syncs according to form ID, instead of form title.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-access-manager\\/\\\">User Access Manager<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/user-access-manager\\/\\\">User Access Manager<\\/a> plugin.<\\/p>\\n<p><strong>43.7<\\/strong> 20180724<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support post modules, which will translate category and post tag IDs on each child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Fix fatal error during activation when only the utilities pack is installed.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/h5p\\/\\\">H5P<\\/a>: Fix. Try to update the H5P content on each child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Also copy menu item custom fields, which adds support for some UberMenu types: section and custom content.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Modify Gravity Forms Rename example to use new GF table prefix (gf_).<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ubermenu\\/\\\">UberMenu<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wpmegamenu.com\\/\\\">UberMenu<\\/a> menu plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings-post\\/\\\">User &amp; Blog Settings Post<\\/a>: Fix to show the dropdown again.<\\/p>\\n<p><strong>43.6<\\/strong> 20180625<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix. Obey the custom field whitelist also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support for Themer Layout locations (posts and taxonomies).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/h5p\\/\\\">H5P<\\/a>: Fix. Copy all found files to correct ID subdirectory on child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/send-to-many\\/\\\">Send To Many<\\/a>: Update to work with fixed Broadcast roles.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Post type criteria will work more often now, generally whenever the Broadcast meta box is being prepared.<\\/p>\\n<p><strong>43.5<\\/strong> 20180530<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Sync taxonomies automatically when a taxonomy field has specified a taxonomy that is for a different post type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Fix: When cloning already linked posts, their parent post will link to the newly-cloned site.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cdn-workaround\\/\\\">CDN Workaround<\\/a>: Fix: Override broken filename with Cloudinary URL if found in the filename.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cm-tooltip-glossary\\/\\\">CM Tooltip Glossary<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/enhanced-tooltipglossary\\/\\\">CM Tooltip Glossary<\\/a> plugin.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/copy-options\\/\\\">Copy options<\\/a>: Copies blog options \\/ settings between blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geo-my-wp\\/\\\">GEO My WP<\\/a>: Add support for posts locator database table.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix: Added support for the new v2.3+ database schema. v2.2 install will continue to work also.<\\/p>\\n<p><strong>43.4<\\/strong> 20180506<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Parse link fields also, allowing other add-ons like Local Links, to modify the links during broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Fix categories not working for other types of post types.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/h5p\\/\\\">H5P<\\/a>: Copy images from H5P content directories between blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix to allow for several blogs sharing the same language (but not shown simultaneously). If you have custom code built on hreflang, check that it still works.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add developer actions for adding and removing items from the queue.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcodes\\/\\\">Shortcodes<\\/a>: Fix duplicating shortcodes when broadcasting them and some of them already exist.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Updated support for posts submitted using WP User Frontend. Now uses the new API actions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix order syncing. Fixed missing order items by fetching the items manually using SQL, bypassing WooCommerce\'s unreliable functions.<\\/p>\\n<p><strong>43.2<\\/strong> 20180403<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Fix SQL error when looking for blog 1\'s blogname.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/google-maps-pro\\/\\\">Google Maps Pro<\\/a>: Adds support for the <a href=\\\"https:\\/\\/premium.wpmudev.org\\/project\\/wordpress-google-maps-plugin\\\">Google Maps Pro<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/inboundnow\\/\\\">Inbound Now<\\/a>: Adds support for the <a href=\\\"https:\\/\\/www.inboundnow.com\\/\\\">Inboundnow Marketing Suite<\\/a>.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/onesignal\\/\\\">OneSignal<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/onesignal-free-web-push-notifications\\/\\\">OneSignal \\u2013 Free Web Push Notifications<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-posts\\/\\\">Shortcode Posts<\\/a>: Modifies post IDs found in shortcodes to match their equivalent posts on each blog.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/sitemaps\\/\\\">Sitemaps<\\/a>: Generates network-aware sitemaps and robots.txt.<\\/p>\\n<p><strong>43.1<\\/strong> 20180227<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix confirmation-actions not being properly broadcast. Also removed unnecessary SQL warnings in error log.<\\/p>\\n<p><strong>43<\\/strong> 20180226<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fixed acf_disable_cache fatal error for older (&lt;5.6) versions of ACF.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Added support for Group fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: To save a lot of memory, query the blog name using SQL instead of asking Wordpress for it.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Create clones of existing blogs on the network.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: Added support for global modules. [et_pb_section] shortcodes with the global_module attribute are correctly detected and the global module is also broadcast together with the post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Added support for broadcasting \\/ updating of form feeds (as per the gf_addon_feed table).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix warning when form does not have valid confirmation or display metadata.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Added a Wizard for renaming Gravity Forms.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Protect featured image also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix support for queue on newer MariaDB databases. ROWS is apparently a reserved word.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: For content that has no set language (ACF fields, for example) just allow normal broadcasting without checking or setting the language.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Added support for setting the primary category of a post.<\\/p>\\n<p><strong>42.4<\\/strong> 20180129<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/h5p\\/\\\">H5P<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/h5p\\/\\\">H5P Interactive Content<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix blog names not showing for queued posts in overview.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added support for <a href=\\\"http:\\/\\/yithemes.com\\/themes\\/plugins\\/yith-woocommerce-tab-manager\\/\\\">YITH WooCommerce Tab Manager<\\/a> tabs. Broadcast the tabs first before broadcasting the product.<\\/p>\\n<p><strong>42.3<\\/strong> 20180115<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for course builder data, allowing lessons and quizzes to be shared.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Automatically broadcast the pods that posts are using.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Add setting to allow all translations to be broadcasted automatically after broadcasting a translation.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Added setting to prevent the queue from being trimmed when rebroadcasting a post that is already in the queue.<\\/p>\\n<p><strong>42.2<\\/strong> 20171213<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/goodlayers\\/\\\">GoodLayers<\\/a>: Adds support for the <a href=\\\"https:\\/\\/goodlayers.com\\/\\\">GoodLayers family of themes<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Added cleanup tools.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Fix page languages not being saved correctly.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix race condition fatal error where trying to delete non-existing data.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/social-networks-auto-poster\\/\\\">SNAP<\\/a>: Fix dupe Facebook posting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Fix fatal error by disabling the Link Watcher during broadcasting.<\\/p>\\n<p><strong>42<\\/strong> 20171130<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Disable field caching during broadcast. This fixes a bug in ACF where the values of fields were sometimes not reported to Broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Fixed a PHP warning due to spelling mistake.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Apply correct confirmation redirect page on each child blog. The page will be broadcasted to the child if necessary.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/media-cleanup\\/\\\">Media Cleanup<\\/a>: cleans up unused media by looking for unused items in the database and on disk.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Added support for Polylang Pro. Tested with v2.2.6<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Translated terms retain their linking on child blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Allow non-translatable post types to be broadcasted. Fixes error where ACF fields were not broadcastable.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/post-expirator\\/\\\">Post Expirator<\\/a>: Added support for category expiration.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Please test your queue after updating. If it doesn\'t work, deactivate and reactivate the add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Trim off existing queued items when requeuing posts. This stops the post from being doubly broadcasted, the first time unnecessarily.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Save serialized postmeta data as serialized postmeta data.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Try to create upload directories if they don\'t already exist. Workaround for broken installs where old upload directories have disappeared.<\\/p>\\n<p>The curious can try out the beta version of the Bulk Cloner add-on, found in the utilities pack.<\\/p>\\n<p><strong>41<\\/strong> 20171030<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Added support for template widgets. Ensure that your template is broadcasted before trying to use it.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/image-map-pro\\/\\\">Image Map Pro<\\/a> adds support for the <a href=\\\"https:\\/\\/codecanyon.net\\/item\\/image-map-pro-for-wordpress-interactive-image-map-builder\\/2826664\\\">Image Map Pro<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix quizzes getting the correct course \\/ lesson \\/ certificate associations.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Question categories are now synced.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Add option to automatically create locations that don\'t exist on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix form ID being displayed incorrectly in the editor.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Try to avoid packet size errors by compressing the data stored in the database.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/slider-revolution\\/\\\">Slider Revolution<\\/a>: Fix slider dupes being created because the alias wasn\'t being found properly.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: Fix bug where terms were not editable due to some conflict with other plugins. Now the edit link refers to term_id= instead of id=.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: Strip the slashes in the text inputs.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/sensei\\/\\\">Sensei<\\/a> adds support for the <a href=\\\"https:\\/\\/woocommerce.com\\/products\\/sensei\\/\\\">Sensei<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcodes\\/\\\">Shortcodes<\\/a> provides arbitrary admin-defined global or local shortcodes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Translate association to associated view, if any, when broadcasting content templates.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Moved all of the various Broadcast options into a tabbed interface under the Toolset &gt; Broadcast menu item.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/unyson\\/\\\">Unyson<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/unyson\\/\\\">Unyson page builder plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Force overwriting of the attachment postmeta on the child blog.<\\/p>\\n<p><strong>40.1<\\/strong> 20171004<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add question and answer search &amp; replace function to easily make changes to your questions. Include automatic quiz broadcast functionality.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Added favorites and review syncing capability.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/redirect-parent\\/\\\">Redirect Parent<\\/a> redirects all views of a parent post to the first child post.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpcustom-category-image\\/\\\">WPCustom Category Image<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/wpcustom-category-image\\/\\\">WPCustom Category Image<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/widgets\\/\\\">Widgets<\\/a> copies widget and sidebar settings between blogs.<\\/p>\\n<p><strong>40<\\/strong> 20170922<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/back-to-parent\\/\\\">Back To Parent<\\/a>: Extra check that we are back-to-parenting the correct post. Fixes a bug when complicated broadcasts (for example WooCommerce bookings, that simultaneously broadcast products and orders, are all back-to-parented unnecessarily).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/delete-before-broadcast\\/\\\">Delete Before Broadcast<\\/a>: Don\'t show options on child posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix. Prevent overwriting of enrolled users when broadcasting courses.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a> adds support for the <a href=\\\"https:\\/\\/www.pods.io\\/\\\">Pods - Custom Content Types and Fields<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Developer update. Dynamic loading of wizards and added actions to run the code programatically.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Show an error if the queue fails to add the original data item.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: If using PHP Code add-on, allow automatic finding of unlinked Toolset post types on the child blog to link existing types, avoiding dupes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings-post\\/\\\">User &amp; Blog Settings Post<\\/a>: Added custom field matching criterion.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Force overwriting of order items, now also overwriting all order item meta values to ensure that the order is completely synced.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added support for refunds in orders.<\\/p>\\n<p><strong>39.1<\\/strong> 20170903<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Added support for background images, templates and template shortcodes.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/attachment-control\\/\\\">Attachment Control<\\/a> allows better control of how attachments are handled during broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-attachments\\/\\\">Custom Field Attachments<\\/a>: Also process values found in custom field subarrays.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix. Update base quiz data in the quiz table when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix. Automatically increase Broadcast\'s save_post priority to higher than LearnDash\'s (2000) in order to broadcast the changes directly, instead of needing a double-update.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Disable time limit during menu copying.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/slider-revolution\\/\\\">Slider Revolution<\\/a>: Added support for static layers.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add ability to broadcast taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ultimate-member\\/\\\">Ultimate Member<\\/a>: Display Broadcasted column for UM forms.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings-post\\/\\\">User &amp; Blog Settings Post<\\/a>: Fix bug that only broadcasted every other post in a selection.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Remember taxonomy term translations between blogs.<\\/p>\\n<p><strong>39<\\/strong> 20170802<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Added support for Broadcast\'s new taxonomy term handling code. This allows blacklisting and protecting of taxonomy term meta.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix for paging in URLs. Will now append paged parameter depending on the current page of archives or the single post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/intagrate\\/\\\">Intagrate<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/intagrate.io\\/\\\">Intagrate<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: New: Added support for autoresponders.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: Fix: List assignments are copied and assigned when broadcasting newsletters and autoresponders on each child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: New-addon. Find and replace texts in posts during broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: Allow selection of roles and specific users when syncing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wplms\\/\\\">WPLMS<\\/a>: New add-on. Adds support for Vibethemes\' <a href=\\\"https:\\/\\/themeforest.net\\/item\\/wplms-learning-management-system\\/6780226\\\">WPLMS theme<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Added support for Broadcast\'s new taxonomy term handling code. This allows blacklisting and protecting of taxonomy term meta.<\\/p>\\n<p><strong>38.6<\\/strong> 20170703<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Separate handling of flexible fields so that ACF v4 flex fields can work at the same time as v5.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Parse all text fields individually, allowing for shortcodes to be found and processed.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/elementor\\/\\\">Elementor Page Builder plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/foogallery\\/\\\">FooGallery<\\/a>: Added broadcast meta box for individual galleries.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/global-blocks-for-cornerstone\\/\\\">Global Blocks For Cornerstone<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/global-blocks-for-cornerstone\\/\\\">Global Blocks for Cornerstone<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: New add-on. Adds support for the <a href=\\\"http:\\/\\/www.gravityforms.com\\/\\\">Gravity Forms<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Added support for quiz questions and answers, not just the quiz post type itself.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/codecanyon.net\\/item\\/mailster-email-newsletter-plugin-for-wordpress\\/3078294\\\">Mailster<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ns-cloner\\/\\\">NS Cloner<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/ns-cloner-site-copier\\/\\\">NS Cloner<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/slider-revolution\\/\\\">Slider Revolution<\\/a>: Added support for sliders in the <a href=\\\"https:\\/\\/themeforest.net\\/item\\/envision-responsive-retina-multipurpose-theme\\/5928018\\\">Envision theme<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Hide notification about changed slug (which is perfectly normal when broadcasting).<\\/p>\\n<p><strong>38.4<\\/strong> 20170605<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Add RSVP broadcast and syncing. If the event is broadcasted, the attendees will be broadcasted from the event\'s parent blog as the source. Requires Broadcast v38.4.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Add support for <a href=\\\"http:\\/\\/myeventon.com\\/addons\\/action-user\\/\\\">Action User<\\/a> add-on in order to give <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a> a chance to broadcast form submissions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Fix fatal error when the link checkbox is not checked.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ultimate-member\\/\\\">Ultimate Member<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/ultimate-member\\/\\\">Ultimate Member<\\/a> plugin.<\\/p>\\n<p><strong>38.3<\\/strong> 20170523<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Added BB settings copy function under the Broadcast menu.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/jetpack\\/\\\">Jetpack<\\/a>: New addon. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/jetpack\\/\\\">Automattic\'s Jetpack plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/slider-revolution\\/\\\">Slider Revolution<\\/a>: New addon. Adds support for the <a href=\\\"https:\\/\\/revolution.themepunch.com\\/\\\">Slider Revolution<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/the-events-calendar\\/\\\"> The Events Calendar<\\/a>: Use API to broadcast venues and events.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: New addon. Copy user roles between blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix variation broadcasting to multiple blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/www.woothemes.com\\/products\\/product-vendors\\/\\\"> plugin.<\\/a><\\/p>\\n<p><strong>38.2<\\/strong> 20170428<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Add extra check for missing database tables on the child blogs, which should prevent a lot of headaches when attachments aren\'t being correctly copied.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ninja-forms\\/\\\">Ninja Forms<\\/a>: Added menu item for copying Ninja Form settings between blogs, like WooCommerce has.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/page-content-shortcode\\/\\\">Page Content Shortcode<\\/a>: New addon. Provides a [bc_page_content slug=\\\"pageslug\\\"] shortcode to display the contents of a page.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Fix translations not being linked for some people since v35.x.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Better criterion editing UI.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: AutomateWoo: retrieve the parent product link data for triggers. Fixes wrong product triggers when using child products.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Disable v3 save_post workaround for WooCommerce v3.0.4+. Apparently they fixed whatever they broke in v3.<\\/p>\\n<p><strong>38.1<\\/strong> 20170410<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Fix fatal error when editing a broadcast. This appeared when the code was converted to using the new Wordpress translation functions.<\\/p>\\n<p><strong>38<\\/strong> 20170406<\\/p>\\n<p>Finally dropped the \\\"ThreeWP\\\" prefix from the plugin name! The code remains the same, just the name has become simpler: Broadcast...<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/rebroadcast\\/\\\">Rebroadcast<\\/a>: Allow posts to be queued when rebroadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add product image gallery handler, so no more need for the Custom Field Attachments add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Also sync variations stock, not just normal products.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix. Add workaround for how WooCommerce v3.0 saves products. This prevented the image gallery from being correctly broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Ignore content that has no translations. Fixes bug where content without translations that should be broadcasted (EventOn events, for example) was not broadcasted.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Add menu item to force broadcast of content to blogs whithout the language. Fixes a weird bug for some installations that had hidden languages which, for some installations, regarded the language as inactive and would therefore not broadcast the content there.<\\/p>\\n<p><strong>37.2<\\/strong> 20170326<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Deeper revision checking to better detect whether the child post was modified.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Allow custom fields to be protected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Fix fatal error upon viewing available shortcodes. Related to fix below.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Use new data format. Deactivate and reactivate the add-on to convert the old Attachment Shortcodes data to the new format.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add option to disable HTTP processing, so that you don\'t have to disable the cron line.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add settings copy feature, to quickly duplicate (overwrite) WC settings between blogs. See add-on page for more details.<\\/p>\\n<p><strong>37.1<\\/strong> 20170322<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Also copy location images.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Add support for v2.5.1 locations.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/find-some-unlinked-children\\/\\\">Find Some Unlinked Children<\\/a>: Add menu option to ignore post status when finding unlinked children.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix fatal error due to translation: is_wp_error_message_box().<\\/p>\\n<p>Obsolete add-ons removed: Attachment Shortcodes, Types, Views<\\/p>\\n<p><strong>37<\\/strong> 20170316<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/contact-form-7\\/\\\">Contact Form 7<\\/a>: Attempt to link existing forms using their title, else broadcast a new one. Requires that forms have exacty the same title in the shortcode as they are called in the form list.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/events-manager\\/\\\">Events Manager<\\/a>: Fix new location ID not being correctly set on the child blog. Also use $wpdb to insert event and location data instead of using raw SQL. Read the Events Manager page for info about how badly the EM plugin is written.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix items per process setting not being saved.<\\/p>\\n<p><strong>36.2<\\/strong> 20170307<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Location rules fix. If set to a post that is not broadcasted, leave the post ID alone instead of setting it to 0.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Prevent looping when post object fields point back to the same post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-images\\/\\\">All Images<\\/a>: New addon. Detects all referenced local images in post text fields and adds them to the broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Added maximum queue items per process setting that defines how many items to process during a HTTP process event. Also added smarter queue handling that now takes the following into account: the previously mentioned items per process event setting, the PHP time limit and how long, on average, each queue item takes to process. The processing rules are detailed on the queue add-on\'s page.<\\/p>\\n<p><strong>36.1<\\/strong> 20170305<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Better handling of repeater fields in ACF5, and more workarounds added for repeater fields in ACF4.<\\/p>\\n<p><strong>36<\\/strong> 20170303<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: For text values, use the values that ACF reports, not the raw values. Addition to the ACF fix below.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: ACF fields for taxonomies obey the custom field black\\/protect lists.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/find-some-unlinked-children\\/\\\">Find Some Unlinked Children<\\/a>: Like the normal Find Unlinked Children bulk action, find children that have the same status.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/www.learndash.com\\/\\\">LearnDash LMS<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Added \\\"show blog language\\\" wizard.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Added function to only protect child properties if the post was modified. Allows some child posts to be updated with own content, while other child posts are overwritten with new content. Requires post revision support.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix incorrect variation post title (that is never seen).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-all-import\\/\\\">WP All Import<\\/a>: New add-on. Adds support for post updates from Soffly\'s <a href=\\\"http:\\/\\/www.wpallimport.com\\/\\\">WP All Import Pro<\\/a>.<\\/p>\\n<p>Obsolete add-ons: The next version of the pack will disable the following add-ons, so please enable their replacements:<\\/p>\\n<p>Attachment Shortcodes has been replaced by <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>.<br \\/>\\nTypes has been replaced by <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>.<br \\/>\\nViews has been replaced by <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>.<\\/p>\\n<p><strong>35.8<\\/strong> 20170130<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Do not allow ACF to process text fields before broadcasting them (= return the values completely raw).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Fix forcing on of checkboxes when not directly broadcasting (like in queues, for example).<\\/p>\\n<p><strong>35.7<\\/strong> 20170127<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix 1 values when retrieving text values from non-post text fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/duplicate-attachments\\/\\\">Duplicate Attachments<\\/a>: Fix setting of attached filename on some hosts, which caused problems with returning of the image filename on disk (especially with Update Attachments).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Fix broken featured image URL. GD, unlike Wordpress, likes to have a forward slash at the beginning of the URL.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ninja-forms\\/\\\">Ninja Forms<\\/a>: Added form action syncing.<\\/p>\\n<p><strong>35.6<\\/strong> 20170117<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Fix to allow for broadcasting without linking to a blog without the same language.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix fatal error after HTTP process call. The error is harmless but results in an unnecessary entry in the webserver error log.<\\/p>\\n<p><strong>35.5<\\/strong> 20170113<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ninja-forms\\/\\\">Ninja Forms<\\/a>: New add-on: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/ninja-forms\\/\\\">Ninja Forms<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Only process one item at a time. This is because some posts are really, really large and can cause timeouts getting caught just above the 25% time limit. Safer to not try to guess how long a post will take to broadcast.<\\/p>\\n<p><strong>35.4<\\/strong> 20170109<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Comment meta is now also synced. This enables, among other things, WooCommerce product reviews to be synced between blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix overwriting of the global $post variable. This caused a fatal error when using it with the Google Tag Manager plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Product reviews can now be synced (with ratings) thanks to updates in the Comments add-on.<\\/p>\\n<p><strong>35.3<\\/strong> 20170106<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/aqua-page-builder\\/\\\">Aqua Page Builder<\\/a>: New add-on: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/aqua-page-builder\\/\\\">Aqua Page Builder plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Only clean the queue 1 in 10 times. This alleviates problems with slow SQL servers.<\\/p>\\n<p><strong>35.2<\\/strong> 20161223<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Added Elegant Themes Page Builder gallery shortcode in the wizard.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-terms\\/\\\">Shortcode Terms<\\/a>: New add-on. Automatically translates taxonomy term IDs found in shortcodes when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Fix forcing off of hidden checkboxes. This happens when javascript modifies the checked status of the checkboxes.<\\/p>\\n<p><strong>35.1<\\/strong> 20161220<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Added item manipulation function.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Added menu item where one can now select the action if the language does not exist on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix renaming of variation post names.<\\/p>\\n<p><strong>35<\\/strong> 20161206<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Show the Broadcasted column in the field group overview.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Clear cache when creating blogs programatically.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Clear cache when creating deleting blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/\\\">Download Monitor<\\/a>: Replace the URL in the download version with the attachment\'s URL on each blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Added support for partial broadcasts. Currently only the WooCommerce add-on uses this functionality.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added support for partial broadcasts, together with the queue add-on. See the WC settings tab. Use this function if your products has many variations that cause PHP timeouts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Added support for forced broadcasting when using <a href=\\\"https:\\/\\/wedevs.com\\/products\\/plugins\\/wp-user-frontend-pro\\/\\\">WP User Frontend Pro<\\/a> forms.<\\/p>\\n<p><strong>34.5<\\/strong> 20161111<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: New add-on. Adds support for <a href=\\\"https:\\/\\/www.elegantthemes.com\\/plugins\\/divi-builder\\/\\\">Divi Builder<\\/a> and themes using it.<\\/p>\\n<p><strong>34.4<\\/strong> 20161107<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Check for valid posts when adding relationship posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Also listen to gform_site_created actions sent from Gravity Forms to detect when a new blog has been created.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: When using the duplicating translation button, Broadcast will only broadcast parent posts, not child posts also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Add menu option to allow taxonomy term canonical URLs to be ignored \\/ protected. This is for users who do not want the canonical URL of terms to be broadcasted to child blogs.<\\/p>\\n<p><strong>34.3<\\/strong> 20161027<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add workaround for incorrect detection of post number in post fields. This caused fatal errors when ACF fields for taxonomies were created and used within the post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: New add-on: Adds support for the <a href=\\\"https:\\/\\/www.wpbeaverbuilder.com\\/\\\">Beaver Builder page builder plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-links\\/\\\">Local Links<\\/a>: Allow links with parameters to be modified, keeping the parameters. https:\\/\\/blog1.test.com\\/contactus?parameter will become https:\\/\\/blog2.test.com\\/contactus?parameter can become<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/lock-post\\/\\\">Lock Post<\\/a>: Added global lock override roles, to allow specific roles to ignore lock status of posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/lock-post\\/\\\">Lock Post<\\/a>: Added filterable action to allow developers to override post locking.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Integrate blog selection with Blog Groups 2 add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Allow broadcasting of disabled AutomateWoo workflows.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Better detection of network-activated WPML.<\\/p>\\n<p><strong>34.2<\\/strong> 20161006<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-attachments\\/\\\">Custom Field Attachments<\\/a>: Fixed warning when no meta is available (usually from using the Sync Taxonomies add-on).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/\\\"> Download Monitor<\\/a>: Put only download version attachments into the dlm_uploads directory, not attachments for the download itself.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-files\\/\\\">Local Files<\\/a>: New add-on: automatically copies local files to each blog and updates the links in the content.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Optimize tables after cleaning to reduce fragmentation.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add ability to broadcast content templates.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for AutomateWoo workflows.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add category thumbnail and display type support.<\\/p>\\n<p><strong>34.1<\\/strong> 20160927<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add wildcard support for checking the ACF field names against the custom field protect list. And blacklist checking also supports wildcards now.<\\/p>\\n<p><strong>34<\\/strong> 20160925<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a> and <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Code change. Use new -&gt;copy_attachment_to_blog() function to prevent double copying of images attached to [taxonomy] meta.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Add backwards compatibility for Wordpress &lt; 4.6<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/contact-form-7\\/\\\">Contact Form 7<\\/a>: Remove unused code warning.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/duplicate-attachments\\/\\\">Duplicate Attachments<\\/a>: Force renaming of attachment post_names to coincide with the attachment fix in the base version of Broadcast. This fixes the attachment duplication bug\\/feature in Wordpress.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Allow queuing of posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Workaround for old versions of WooCommerce that don\'t have the get_woocommerce_term_meta function.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Include temporary fix for Wordpress action\\/filter bug that prevents the editor language of duplicated posts from being updated on the child. Requires a patched WPML. This fix will become obsolete when Wordpress 4.7 is released, due to the *5 year old* bug being finally fixed.<\\/p>\\n<p><strong>33.1<\\/strong> 20160913<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Fix blog limit. Due to incorrect documentation, only 100 blogs are returned at a time.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/social-networks-auto-poster\\/\\\">SNAP<\\/a>: Better support for [featured] images in posts. It does this by SNAPping only after all images have been attached.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Allow broadcasting to blogs on which WPML is not active. This will result in just normal broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added support for the WooCommerce Variation Swatches and Photos plugin.<\\/p>\\n<p><strong>33<\\/strong> 20160817<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Code change - use get_sites() instead of deprecated wp_get_sites().<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Sync ACF fields in taxonomies during broadcasting and during manual taxonomy sync.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/avia-layout-builder\\/\\\">Avia Layout Builder<\\/a>: Use new Shortcode Attachments and Shortcode Menus add-ons to parse the builder content, which now allows you to use menu shortcodes in your Avia content also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/contact-form-7\\/\\\">Contact Form 7<\\/a>: New add-on. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/contact-form-7\\/\\\">Takayuki Miyoshi\'s Contact Form 7<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/events-manager\\/\\\">Events Manager<\\/a>: Fix broadcasted events not showing in the location\'s overview page.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-links\\/\\\">Local Links<\\/a>: Extra check for valid URLs. The Wordpress function url_to_postid() seems to think that anything with a question mark is a valid URL.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Duplicate Content button automatically broadcasts post to all child blogs. Those child blogs without the duplicated language are ignored, as per normal WPML broadcasting rules.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-ultimate-recipe\\/\\\">WP Ultimate Recipe<\\/a>: Now supports meal plans. The recipes in the meals must already exist on each child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/wordpress-seo\\/\\\">Yoast SEO<\\/a> plugin. Only needed if you want taxonomy SEO data synced when broadcasting.<\\/p>\\n<p><strong>32.2<\\/strong> 20160719<\\/p>\\n<p>Attachment Shortcodes: Obsolete. Please use the Shortcode Attachments plugin instead. It\'s the same thing (your shortcode settings are kept) but this add-on will be phased out in the future. The reason being that the new Shortcode Attachments and Shortcode Menus add-ons share the same base code, making development easier.<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: New add-on. Automatically translate attachment IDs found in shortcodes when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-menus\\/\\\"> Shortcode Menus<\\/a>: New add-on. Automatically translate menu IDs found in shortcodes when broadcasting.<\\/p>\\n<p><strong>32<\\/strong> 20160715<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Allow settings to be modified by UBS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Added experimental ticket syncing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/per-blog-taxonomies\\/\\\">Per Blog Taxonomies<\\/a>: Allow settings to be modified by UBS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Obey broadcasting_data-&gt;high_priority property from BC v32. This will solve problems with complicated broadcasts that subbroadcast things (like ACF post relations and Download Monitor shortcodes).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix allowing normal users to ajax process posts on the post overview screen.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Merged the Types and Views plugins. Now broadcast CRED forms, types and views.<br \\/>\\nTypes: Obsolete. Please use Toolset add-on instead.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Use better descriptions when editing meta boxes.<br \\/>\\nViews: Obsolete. Please use Toolset add-on instead.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Can now stock sync on its own. Extra removed.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added experimental order syncing.<\\/p>\\n<p><strong>31<\\/strong> 20160705<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Added support for content preparsing on textarea fields also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/calendarize-it\\/\\\">Calendarize It<\\/a>: New add-on. Adds support for <a href=\\\"http:\\/\\/codecanyon.net\\/item\\/calendarize-it-for-wordpress\\/2568439\\\">Calendarize It!<\\/a> events.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/delete-before-broadcast\\/\\\">Delete Before Broadcast<\\/a>: Fixed bug which prevented more than one post from being deleted.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/\\\"> Download Monitor<\\/a>: Use the preparse actions to parse download shortcodes everywhere (like in ACF text fields, for example).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/events-manager\\/\\\">Events Manager<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/events-manager\\/\\\">Events Manager<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-links\\/\\\">Local Links<\\/a>: Tell the DOMDocument parser to use the utf8 charset - more hardy parsing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Assume a max execution time of 30s when a max time of -1 is encountered. Workaround for bug in wpallexport pro.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/the-events-calendar\\/\\\"> The Events Calendar<\\/a>: Bulk post actions are applied to all recurring events when modifying the main \\/ root event. See the TEC page for details on how to disable this feature. Depending on feedback, this feature can be turned into a menu item.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/types\\/\\\"> Types<\\/a>: Add support for manual broadcast of post types to other blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/views\\/\\\">Views<\\/a>: Add support for manual broadcast of views to other blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add ability to broadcast membership plans.<\\/p>\\n<p><strong>30<\\/strong> 20160606<\\/p>\\n<p>ACF: Extended support for conditional gallery local \\/ global images.<br \\/>\\nACF: Added support for the link field type.<br \\/>\\nACF: Added support for content preparsing, therefore requiring v30 of Broadcast. This will parse links and gallery shortcodes in text, url, link and wysiwyg fields.<br \\/>\\nDownload Monitor: Allow download attachments to be copied to the dlm_uploads subdirectory - the file URL in the version remains unchanged, though.<br \\/>\\nLocal Links: Now uses content preparsing to translate local links in everything that is preparsed, like the text-related ACF field types.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/tao-schedule-update\\/\\\">Tao Schedule Update<\\/a>: Plugin added. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/tao-schedule-update\\/\\\">Tao Schedule Update<\\/a> plugin.<br \\/>\\nThe Events Calendar: Better saving of custom fields upon intial broadcast (instead of having to double publish to get the custom fields to show).<br \\/>\\nUpdate Attachments: Also update the description, alt and caption of the image, not only the file.<\\/p>\\n<p><strong>29.1<\\/strong> 20160418<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/back-to-parent\\/\\\">Back To Parent<\\/a>: More robust handling, now including related posts (for example Download Monitor download versions).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/\\\"> Download Monitor<\\/a>: New plugin. Adds support for downloads and shortcodes from <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/download-monitor\\/\\\">Never5\'s Download Monitor<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Allow appending of languages. If you manually add languages to the child posts, they will be preserved when the parent post rebroadcasts.<br \\/>\\nPolylang: Prevent language and flag data in the language taxonomy of the child blogs from being overwritten. Now en (US) will not overwrite en (GB) for example.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\"> Protect Child Properties<\\/a>: Permalink (post_name) can also be protected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-ultimate-recipe\\/\\\"> WP Ultimate Recipe<\\/a>: Remove debug info.<\\/p>\\n<p><strong>29<\\/strong> 20160405<\\/p>\\n<p>ACF: Added support for the Conditional Gallery field type. See the ACF page for notes on this.<br \\/>\\nACF: Added support for parsing of image links in text and wysiwyg content.<br \\/>\\nAll Blogs: Make superadmin version also clear the cache upon creating new blogs.<br \\/>\\nHreflang: Catchable fatal error fixed when not using any settings.<br \\/>\\nProtect Child Properties: Modification date can be protected also.<br \\/>\\nQueue: During broadcasting, don\'t queue any broadcast requests, to prevent some add-ons from not being able to receive new post numbers during broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-ultimate-recipe\\/\\\">WP Ultimate Recipe<\\/a>: Plugin has been moved into 3rd party pack.<br \\/>\\nWP Ultimate Recipe: Added support for recipe instruction images.<\\/p>\\n<p>All packs now have RedHat \\/ CentOS SSL workaround for updates automatically enabled.<\\/p>\\n<p><strong>28.4<\\/strong> 20160317<\\/p>\\n<p><a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/hreflang-broadcast-plugin\\/\\\">Hreflang<\\/a>: Plugin added. Adds support for <a href=\\\"https:\\/\\/en.wikipedia.org\\/wiki\\/Hreflang\\\">SEO-friendly hreflang html tags<\\/a>.<\\/p>\\n<p><strong>28.3<\\/strong> 20160309<\\/p>\\n<p><a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/rebroadcast-broadcast-plugin\\/\\\">Rebroadcast<\\/a>: Plugin added. Rebroadcast \\/ update selected parent posts by using a bulk action.<br \\/>\\nUBS: Escape the blog names in the meta box settings.<\\/p>\\n<p><strong>28.2<\\/strong> 20160301<\\/p>\\n<p>ACF: Fix warning when trying to parse fields without values.<br \\/>\\nComments: Fixed bug where comments are blocked on unlinked posts, but with syncing enabled.<br \\/>\\nEventOn: Fix error by checking that the event is using tickets.<br \\/>\\nEventOn: Add support for proper broadcasting of the location and organizer.<br \\/>\\nGeoDirectory: Code fix: Use terms() instead of obsolete equivalent_terms() method.<br \\/>\\nThumbnail Sizes: Fix error when no sizes are set.<\\/p>\\n<p><strong>28.1<\\/strong> 20160208<\\/p>\\n<p><a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/activity-monitor-broadcast-plugin\\/\\\">Activity Monitor<\\/a>: Update compatability with hook class.<br \\/>\\n<a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/post-expirator-broadcast-plugin\\/\\\">Post Expirator<\\/a>: Plugin added. Adds support for Aaron Axelsen\'s <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/post-expirator\\/\\\">Post Expirator<\\/a> plugin.<\\/p>\\n<p><strong>28<\\/strong> 20160118<\\/p>\\n<p>EventON: Plugin added. Adds support for Ashan Jay\'s <a href=\\\"http:\\/\\/www.myeventon.com\\/\\\">EventON<\\/a> plugin with tickets.<\\/p>\\n<p><strong>27.2<\\/strong> 20151215<\\/p>\\n<p>SiteOrigin Page Builder: Plugin added. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/siteorigin-panels\\/\\\">SiteOrigin\'s Page Builder plugin<\\/a>.<br \\/>\\nUser &amp; Blog Settings Post: Fix fatal error.<\\/p>\\n<p><strong>27.1<\\/strong> 20151209<\\/p>\\n<p>ACF: Fix flexible field images for ACF v4. Apparently images in flexfields did not work correctly. ACF v5 untouched.<br \\/>\\nProtect Child Properties: Allow protection for post parent.<\\/p>\\n<p><strong>27<\\/strong> 20151124<\\/p>\\n<p>Avia Layout Builder: Plugin added.<\\/p>\\n<p><strong>26.2<\\/strong> 20151104<\\/p>\\n<p>ACF: Removed taxonomy fields support for non-pro versions of ACF.<\\/p>\\n<p><strong>26.1<\\/strong> 20151103<\\/p>\\n<p>Back To Parent: Fix warning about fake variable.<br \\/>\\nProtect Child Properties: Fix string warnings.<br \\/>\\nWooCommerce: Fix broadcasting products. Asking WooCommerce to return a product is not a good enough check, it has to be checked manually.<\\/p>\\n<p><strong>26<\\/strong> 20151102<\\/p>\\n<p>Update Broadcast before updating this pack. After updating the pack, check that all your normal pack plugins are still activated. I\'ve tested this upgrade myself and for it remembers which plugins were activated, but you never know.<\\/p>\\n<p><a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/bbpress-broadcast-plugin\\/\\\">bbPress<\\/a>: Plugin added. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/bbpress\\/\\\">BBPress<\\/a> forums, topics and replies.<br \\/>\\nProtect Child Attachments \\/ Author \\/ Content \\/ Status: This is the last time these obsolete plugins will be seen in the pack. Use Protect Child Properties instead.<br \\/>\\n<a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/thumbnail-sizes-broadcast-plugin\\/\\\"> Thumbnail Sizes<\\/a>: Plugin added. The plugin allows for different additional thumbnail sizes on a per-blog basis.<br \\/>\\nUser &amp; Blog Settings: Fix harmless error_log warnings when creating or removing a modification.<\\/p>\\n<p><strong>25<\\/strong> 20151024<\\/p>\\n<p>ACF: Check for empty repeater values.<br \\/>\\nACF: Do not broadcast empty relations.<br \\/>\\nSync Taxonomies: Recorder added. Record taxonomy changes and replay them on other blogs in order to mass-create \\/ edit \\/ delete terms with just a few clicks.<br \\/>\\nWooCommerce: Completely ignore all non-products, minimizing risk for unneccessary warnings.<\\/p>\\n<p><strong>24<\\/strong> 20151009<\\/p>\\n<p>ACF: Simplified repeater field handling.<br \\/>\\nGeoDirectory: Plugin added.<\\/p>\\n<p><strong>23.4<\\/strong> 20151003<\\/p>\\n<p>FooGallery: Plugin added.<br \\/>\\nTEC: Support for Additional Fields.<\\/p>\\n<p><strong>23.3<\\/strong> 20150909<\\/p>\\n<p>Blog Groups 2: Clone fatal error fixed.<br \\/>\\nBlog Groups 2: Fixed bug where only the first group was displayed when several groups had the same blogs selected.<br \\/>\\nDuplicate Attachments: Fix file path when duplicating.<br \\/>\\nGEO My WP: Plugin added.<\\/p>\\n<p><strong>23.2<\\/strong> 20150901<\\/p>\\n<p>ACF: Fix warning when encountering empty repeaters in repeaters.<br \\/>\\nACF: Allow using taxonomy term objects as well as term IDs.<br \\/>\\nTablePress: Add support for tables with non-integer IDs.<br \\/>\\nTEC: Remove unneccessary meta box info.<br \\/>\\nWooCommerce: Add support for \\\"German Market\\\" plugin delivery times.<br \\/>\\nWooCommerce: Add support for cross-sells and upsells. The product(s) have to already exist on the child blog and be linked in order to be detected.<br \\/>\\nWooCommerce: Stock status is better updated on broadcasting due to clearing of WooCommerce transients.<\\/p>\\n<p><strong>23.1<\\/strong> 20150804<\\/p>\\n<p>Views: Fix fatal error trying to call non-object custom_fields.<\\/p>\\n<p><strong>23<\\/strong> 20150803<\\/p>\\n<p>All In One Event Calendar: Removed text at the bottom of the meta box.<br \\/>\\nBack To Parent: Fix duplicate posts by using the new *_post_broadcast_data actions.<br \\/>\\nEvent Organiser: Removed text at the bottom of the meta box.<br \\/>\\nGlobal Content Blocks: Plugin added.<br \\/>\\nMetaslider: Plugin added.<br \\/>\\nViews: Removed text at the bottom of the meta box.<br \\/>\\nWPML: Updated plugin to be able to broadcast translations with unpatched WPML v3.1.9.7. Working with the translation manager still requires a patch.<br \\/>\\nWPML: Force same slug for child posts in different languages.<\\/p>\\n<p><strong>22.1<\\/strong> 20150724<\\/p>\\n<p>ACF: Fix add_attachment fatal error.<br \\/>\\nPermlinks: Fix continue error during broadcasting.<\\/p>\\n<p><strong>22<\\/strong> 20150721<\\/p>\\n<p>All In One Event Calendar: Remove unnecessary warning about return_registry().<br \\/>\\nNew Blog Broadcast: Plugin added.<br \\/>\\nPer Blog Taxonomies: Fixed \\\"too much memory\\\" error on some installs when saving the settings.<br \\/>\\nSync Taxonomies: Fix fatal error caused by not updating ST to use the new API.<br \\/>\\nTablePress: Plugin added.<br \\/>\\nThe Events Calendar: Updated to support v3.10.1<br \\/>\\nWooCommerce: Add support for product category images. The images are updated only when broadcasting a product with those product categories set.<br \\/>\\nWooCommerce: Add support for attribute images, as provided by Variation Swatches and Photos.<br \\/>\\nWooCommerce: Force term recount after Broadcast. This fixes the problem of product categories not being visible sometimes.<\\/p>\\n<p><strong>21<\\/strong> 20150705<br \\/>\\nAll Blogs: Cache is now cleared upon creating new blogs. No more need for the cache clearing extra.<br \\/>\\nQueue: Manual processing of queue in debug mode forces broadcast of the item. Time limits are ignored.<br \\/>\\nViews: More debug info.<\\/p>\\n<p><strong>20.1<\\/strong> 20150614<br \\/>\\nDelete Before Broadcast: Added option to unlink children.<br \\/>\\nProtect Child Author \\/ Attachments \\/ Content \\/ Status: Marked as obsolete. Use Protect Child Properties instead.<br \\/>\\nProtect Child Properties: Fix bug when no properties are selected and queue is used.<\\/p>\\n<p><strong>20<\\/strong> 20150609<br \\/>\\nACF: Delete blacklisted custom fields, and those fields in repeaters.<br \\/>\\nACF: Handle single taxonomy values also.<br \\/>\\nACF: Ignore repeater fields that have no values.<br \\/>\\nACF: Ignore taxonomy fields that have no values.<br \\/>\\nBlog Groups 2: Select All \\/ Invert \\/ None functionality added.<br \\/>\\nDelete Before Broadcast: Add \\\"delete same slug\\\" and \\\"delete similar slugs\\\" options.<br \\/>\\nUser &amp; Blog Settings: Fix error on line 155 when saving modifications.<\\/p>\\n<p><strong>19.3<\\/strong> 20150524<br \\/>\\nFind Some Unlinked Children: Exclude presumtive children that have parents or children.<\\/p>\\n<p><strong>19.2<\\/strong> 20150522<br \\/>\\nACF: Fix fatal error message when using taxonomy terms that aren\'t set in the post itself.<\\/p>\\n<p><strong>19.1<\\/strong> 20150521<br \\/>\\nFix error message in Local Links and Keep Child Status.<\\/p>\\n<p><strong>19<\\/strong> 20150519<br \\/>\\nACF: Skip fields that are in the custom field blacklist and the protect list.<br \\/>\\nAll Blogs: New extra: Clear All Blogs Cache plugin to clear the all blogs cache when creating new sites.<br \\/>\\nAttachment Shortcodes: Better handling of nested shortcodes. More robust shortcode handling.<br \\/>\\nDelete Before Broadcast: Plugin added.<br \\/>\\nProtect Child Properties: Plugin added.<br \\/>\\nProtect Child Attachments: Obsolete due to Protect Child Properties plugin.<br \\/>\\nProtect Child Author: Obsolete due to Protect Child Properties plugin.<br \\/>\\nProtect Child Content: Obsolete due to Protect Child Properties plugin.<br \\/>\\nProtect Child Status: Obsolete due to Protect Child Properties plugin.<br \\/>\\nUser &amp; Blog Settings: Better cleaning up of criteria after modification deletion.<br \\/>\\nWooCommerce: Two new extras: stock and PDF vouchers can be automatically synced between parents \\/ children upon each purchase. See the extras directory.<\\/p>\\n<p><strong>18.1<\\/strong> 20150414<br \\/>\\nACF: Fix fatal error when using relationships.<br \\/>\\nPolylang: Pre-emptive fix: Clear language cache after finish broadcasting.<\\/p>\\n<p><strong>18<\\/strong> 20150412<br \\/>\\nACF: Repeater fields can contain repeater fields.<br \\/>\\nACF: Fix for empty flexible layouts.<br \\/>\\nACF: Add support for ACF Pro v5 field groups.<br \\/>\\nAll Blogs: Cache is updated when blogs are created \\/ deleted \\/ undeleted.<br \\/>\\nBlog Groups 2: Plugin added.<br \\/>\\nProtect Child Author: Plugin added.<br \\/>\\nQueue: HTTP processing now allows to processing of queue via cron job.<br \\/>\\nThe Events Calendar: Syncing of calendar events enabled again.<br \\/>\\nNew extra: WP Ultimate Recipe compatability plugin. See extras directory.<br \\/>\\nWooCommerce: More efficient variation handling - they are no longer automatically deleted upon broadcast.<\\/p>\\n<p><strong>17.1<\\/strong> 20150219<br \\/>\\nACF: Add page link type.<br \\/>\\nACF: Fix gallery, relationship, post object types not being handled correctly.<\\/p>\\n<p><strong>17<\\/strong> 20150216<br \\/>\\nACF: File \\/ image fields with URLs now work.<br \\/>\\nACF: Plugin offers lots of hookable actions.<br \\/>\\nFind Some Unlinked Children: Plugin added.<br \\/>\\nQueue: More debug info when queueing posts.<br \\/>\\nSocial Networks Auto Poster: Plugin added.<br \\/>\\nUser Blog Settings: Fix upgrade path: the new criteria table is created before trying to convert old criteria.<br \\/>\\nUser Blog Settings: New UI for modification editing.<br \\/>\\nUser Blog Settings: Post bulk actions can now be hidden in modifications.<br \\/>\\nUser Blog Settings: Summary view gives an overview of all of the modifications made.<\\/p>\\n<p><strong>16<\\/strong> 20150116<br \\/>\\nComments: Hierarchy is preserved.<br \\/>\\nComments: Automatic syncing of linked posts.<br \\/>\\nDuplicate Attachments: Plugin added. Copying of attachments can be exponentially speeded up by using this plugin, which duplicates attachment and thumbnails from the parent blog instead of regenerating them.<br \\/>\\nUser &amp; Blog Settings: Automatically clean up orphaned criteria.<br \\/>\\nUser &amp; Blog Settings: More robust detection of post types.<br \\/>\\nUser &amp; Blog Settings: \\\"On\\\" for checkboxes no longer forces the checkbox to be ticked.<\\/p>\\n<p><strong>15<\\/strong> 20141218<br \\/>\\nNo New Terms: Plugin added.<br \\/>\\nQueue: Add conflict check when marking queue as finished.<br \\/>\\nSend To Many: Remove reference to obsolete js.js<br \\/>\\nUser Blog Settings: Fix display of selected users.<\\/p>\\n<p><strong>14<\\/strong> 20141210<br \\/>\\nLock Posts: Plugin added.<br \\/>\\nMenus: Add option to replace domain URL with that of child blog.<br \\/>\\nBack To Parent: Ignore revision post type.<\\/p>\\n<p><strong>13.1<\\/strong> 20141202<br \\/>\\nQueue: Fixed debugging() error.<br \\/>\\nUser &amp; Blog Settings: Major update with far superior criteria control such as post types and taxonomy terms (specific categories, for example). See new, detailed manual here: <a href=\\\"http:\\/\\/plugins.plainview.se\\/threewp-broadcast-premium-pack\\/user-blog-settings-broadcast-plugin\\/\\\">http:\\/\\/plugins.plainview.se\\/threewp-broadcast-premium-pack\\/user-blog-settings-broadcast-plugin\\/<\\/a><\\/p>\\n<p><strong>13<\\/strong> 20141201<br \\/>\\nPolylang: Plugin added.<br \\/>\\nAll Blogs Superadmin: Plugin added. Allows only superadmins broadcast access to all blogs.<br \\/>\\nACF: Flexible fields can handle more complicated layouts now. Credit tobias@bombayworks.se<br \\/>\\nCustom Field Attachments: Find IDs in all fields and try to unserialize fields.<br \\/>\\nPer Blog Taxonomies: Fix javascript.<br \\/>\\nPermalinks: Fix javascript.<\\/p>\\n<p><strong>12<\\/strong> 20141109<br \\/>\\nSend To Many supports new bulk actions<br \\/>\\nPurge Children supports new post and bulk actions<\\/p>\\n<p><strong>11<\\/strong> 20141029<br \\/>\\nACF: Taxonomy fields are now supported.<br \\/>\\nThe Events Calendar: Plugin added.<br \\/>\\nWooCommerce: Code fix: Use generic way of creating new broadcasting data when broadcasting variations.<\\/p>\\n<p><strong>10<\\/strong> 20141020<br \\/>\\nMenus: Plugin added.<\\/p>\\n<p><strong>9<\\/strong> 20141017<br \\/>\\nACF: Fix fatal error for post objects.<\\/p>\\n<p><strong>8<\\/strong> 20141013<br \\/>\\nPlugins are loaded by classnames instead of exact filenames. Check that your plugins are activated after the upgrade.<br \\/>\\nPermalink settings are clearer (separated fieldsets for global and local).<br \\/>\\nACF: Repeater field supports galleries and relationships.<br \\/>\\nProtect Child Status: Plugin added.<br \\/>\\nWPML: Do not broadcast to blogs that do not have the post\'s language enabled.<br \\/>\\nComments, Protect Child Attachments \\/ Content \\/ Status: fixed fatal error when plugin is enabled with items in the queue.<\\/p>\\n<p><strong>7<\\/strong> 20140923<br \\/>\\nACF: Relationship \\/ object loop prevention.<br \\/>\\nACF: Extra checking for relationships.<br \\/>\\nACF: Add ACF to custom post types automatically.<\\/p>\\n<p><strong>6<\\/strong> 20140909<br \\/>\\nBack To Parent: Plugin added.<br \\/>\\nWooCommerce: Attribute taxonomies are created \\/ updated on each child blog.<\\/p>\\n<p><strong>5<\\/strong> 20140830<br \\/>\\nHide information from non-network admins.<br \\/>\\nQueue: More debug information.<br \\/>\\nQueue: Whole posts can be deleted from the queue, instead of just single items.<br \\/>\\nAll Blogs: Speeup using caching.<br \\/>\\nUser &amp; Blog Settings Post: Speedup using caching.<br \\/>\\nCustom Field Attachments: Better attachment validity checking.<br \\/>\\nWPML: Only broadcast translation manager jobs to those blogs that have the job\'s language.<\\/p>\\n<p><strong>4<\\/strong> 20140814<\\/p>\\n<p>Renamed \\\"Keep Child Attachments\\\" to \\\"Protect Child Attachments\\\"<br \\/>\\nUser &amp; Blog Settings Post: Plugin added.<br \\/>\\nRedirect All Children: Plugin added.<br \\/>\\nProtect Child Content: Plugin added.<br \\/>\\nAll In One Calendar: Plugin added.<\\/p>\\n<p><strong>3<\\/strong> 20140708<\\/p>\\n<p>User &amp; Blog Settings: Select boxes can now just have their values set.<br \\/>\\nKeep Child Attachments: Plugin added.<br \\/>\\nLocalLinks: Disable warnings when loading incorrect HTML.<\\/p>\\n<p><strong>2.24<\\/strong> 20140615<\\/p>\\n<p>Better support for Windows servers.<br \\/>\\nACF: Added support for galleries.<br \\/>\\nWooCommerce: Variation pricing correctly broadcasted.<br \\/>\\nACF: Added support for relationships.<\\/p>\\n<p><strong>2.23<\\/strong> 20140520<br \\/>\\nComments: Plugin added.<br \\/>\\nActivity Monitor: Plugin added.<\\/p>\\n<p><strong>2.21<\\/strong> 20140422<br \\/>\\nCustom Field Attachments: Automatically parses multiple attachment IDs in the same custom field, using non-numbers as separators.<br \\/>\\nPurge Children: Plugin added.<br \\/>\\nQueue: Fix bug where the last items are sometimes not queued.<br \\/>\\nLocal Links: Fixed incompatability with Queue.<\\/p>\\n<p><strong>2.20<\\/strong> 20140412<br \\/>\\nEvent Organiser: Can update event venues when syncing using Sync Taxonomies.<br \\/>\\nSync Taxonomies: Plugin added.<br \\/>\\nNew: Plugins combined into one big premium plugin that enables the various speciality plugins.<br \\/>\\nCustom Field Attachments: Plugin added.<\\/p>\\n<p><strong>2.19<\\/strong> 20140402<br \\/>\\nACF: Support for post objects and files.<br \\/>\\nEvent Organiser: Fix broadcast of event date.<\\/p>\\n<p><strong>2.18<\\/strong> 20140314<br \\/>\\nAttachment Shortcodes: Plugin added.<br \\/>\\nEvent Organiser: Plugin added.<br \\/>\\nACF: New: \\\"Flexible content\\\" field images are correctly copied.<\\/p>\\n<p><strong>2.15<\\/strong> 20140123<br \\/>\\nACF: Fix: same attachment can be used in several image fields.<br \\/>\\nACF: Also handles images in repeater fields.<br \\/>\\nACF: Added compatability with newer versions of ACF that return arrays instead of values.<\\/p>\\n<p><strong>2.14<\\/strong> 20140117<br \\/>\\nQueue: Requires even less memory due to optimizations.<br \\/>\\nUser Blog Settings: Increased compatability with Keep Child Status<\\/p>\\n<p><strong>2.12<\\/strong> 20140112<br \\/>\\nAll Blogs: Plugin added.<br \\/>\\nSend To Many: Compatability with new Broadcast version, fixed missing HTML file.<br \\/>\\nKeep Child Status: Fatal error line 209 fixed.<br \\/>\\nQueue: Round robin, more robustness, fatal errors are displayed.<\\/p>\\n<p><strong>2.11<\\/strong> 20131218<br \\/>\\nQueue: Retry countdown. Better retry handling.<br \\/>\\nQueue: More reliable javascript queuing (ignore unnecessary warnings from other plugins).<br \\/>\\nPer Blog Taxonomies: Plugin added.<br \\/>\\nPermalinks: Plugin added.<br \\/>\\nQueue: Javascripts informs of errors.<\\/p>\\n<p><strong>2.10<\\/strong> 20131121<\\/p>\\n<p>WooCommerce: Plugin added.<br \\/>\\nAdded \\\"Premium\\\" to plugin names.<\\/p>\\n<p><strong>2.9<\\/strong> 20131113<br \\/>\\nKeepChildStatus: Plugin added.<br \\/>\\nUserBlogSettings: Fixed CSS display when testing.<br \\/>\\nUserBlogSettings: Stricter application of criteria.<br \\/>\\nUserBlogSettings: Nicer display of blog names with special characters.<br \\/>\\nUserBlogSettings: Apply JS in the preview box.<br \\/>\\nViews: Fix for removed added_meta_box action.<br \\/>\\nUserBlogSettings: Added support for select modifications.<br \\/>\\nUserBlogSettings: Note about current blog not being visible.<\\/p>\\n<p><strong>2.7<\\/strong> 20131101<br \\/>\\nAdvanced Custom Fields: Plugin added.<br \\/>\\nSendToMany: Fixed send to many button - using new prepare action.<\\/p>\\n<p><strong>2.6<\\/strong> 20131028<br \\/>\\nLocal Links: Plugin added.<\\/p>\\n<p><strong>2.4<\\/strong> 20131018<br \\/>\\nUser &amp; Blog Settings: Plugin added.<\\/p>\\n<p><strong>2.3<\\/strong> 20131011<br \\/>\\nSend To Many: Plugin added.<br \\/>\\nQueue: Added process data caching.<\\/p>\\n<p><strong>2.2<\\/strong> 20131007<br \\/>\\nViews: Plugin added.<\\/p>\\n<p><strong>2.0<\\/strong> 20131006<br \\/>\\nInitial release to coincide with Broadcast 2.0.<br \\/>\\nQueue: Plugin added.<\\/p>\\n\"},\"banners\":{\"high\":\"\",\"low\":\"\"},\"icons\":[],\"description\":[\"<p>The premium pack contains all of the Broadcast plugin packs.<\\/p>\\n\"],\"changelog\":[\"<p><strong>48.09<\\/strong> 20220418<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Add support for partial export of spreadsheets for sites with more than 100 sites. This allows for sites of almost unlimited size.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Fix warning for elements that sometimes don\'t have links set.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Automatically create the CSS directory for each blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix course post not having the _sfwd-courses custom field.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Add support for broadcasting of groups and fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for the variation image gallery.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for term product_attribute_image.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for composite products.<\\/p>\\n<p><strong>48.08<\\/strong> 20220312<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/blog-groups-2\\/\\\">Blog Groups 2<\\/a>: Add broadcast_blog_groups_2_access filter to allow code access to the add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: Parse the encoded links in buttons.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Handle bg_image, background_image and image settings more generically.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Add broadcast_menus_access filter to allow code access to the add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add broadcast_queue_access filter to allow code access to the add-on.<\\/p>\\n<p><strong>48.07<\\/strong> 20220226<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cornerstone\\/\\\">Cornerstone<\\/a>: Add support for broadcasting layouts, templates and user templates.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cornerstone\\/\\\">Cornerstone<\\/a>: Merge Global Blocks For Cornerstone add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for button, header and call-to-action links.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Media Carousel images and links.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for JetPopups.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for the Jet Listing Grid, Jet Smart Filters Checkboxes and Jet Smart Filters Range elements.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for the Jet Listing Grid, Jet Smart Filters Checkboxes and Jet Smart Filters Range elements.<br \\/>\\nGlobal Blocks For Cornerstone: Add-on is obsolete. Replaced by Cornerstone add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-links\\/\\\">Local Links<\\/a>: Fix finding links Gutenberg blocks - don\'t look again if the link is already found.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/post-expirator\\/\\\">Post Expirator<\\/a>: Mark categories as used, for compatibility with v48 of Broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/rebroadcaster\\/\\\">Rebroadcaster<\\/a>: Allow for low priority rebroadcasting so that it works with the queue add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/rebroadcaster\\/\\\">Rebroadcaster<\\/a>: Remember the rebroadcast schedule when using the \\\"Rebroadcast\\\" bulk post action.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/unlink-on-edit-checkbox\\/\\\">Unlink On Edit Checkbox<\\/a>: Fix the checkbox not being obeyed.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Allow the _yoast_wpseo_meta-robots-nofollow and _yoast_wpseo_meta-robots-noindex custom fields to be protected.<\\/p>\\n<p><strong>48.01<\\/strong> 20211105<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/code-snippets\\/\\\">Code Snippets<\\/a>: Run code snippets on specific blogs.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cron-everywhere\\/\\\">Cron Everywhere<\\/a>: Runs WordPress cron periodically on all sites of the network.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/rebroadcaster\\/\\\">Rebroadcaster<\\/a>: Periodically and automatically rebroadcast specific posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-attachments\\/\\\">Gutenberg Attachments<\\/a>: Better support for image IDs that are part of arrays.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Clear the cache when pods are deleted on the parent blog, so that they are also shown as deleted on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Fix incorrectly protecting custom fields with taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/the-events-calendar\\/\\\">The Events Calendar<\\/a>: Allow several organisers per event.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Fix recursion when broadcasting relationships again. Use new broadcast_once() functionality.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: More fixing of featured images not broadcasting when processing via cron with the Publishpress Revisions plugin active.<\\/p>\\n<p><strong>47.13<\\/strong> 20211007<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/copy-options\\/\\\">Copy options<\\/a>: Translate the page_on_front option when copying the reading *_on_front options.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Delete existing add-on feeds on child blogs before adding the parent ones.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-attachments\\/\\\">Gutenberg Attachments<\\/a>: Add wizard for ACF Gallery Masonry block.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/per-blog-author\\/\\\">Per Blog Author<\\/a>: Fix blog name html.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Parse errors are displayed when running the code.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Allow taxonomies to be protected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix featured images not broadcasting when processing via cron with the Publishpress Revisions plugin active.<\\/p>\\n<p><strong>47.12<\\/strong> 20210923<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-filter\\/\\\">Search And Filter<\\/a>: Adds support for the <a href=\\\"https:\\/\\/searchandfilter.com\\/\\\">Search And Filter<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Force better selection of database tables to be cloned. This should prevent _60_ _61_ etc from being cloned when only _6_ is going to be cloned.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Allow handling of non-pro ACF5 fields with add-ons (repeater) as pro.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for ProductIntroFullDetail element type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for syncing shipping and coupon info when syncing orders.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for the <a href=\\\"https:\\/\\/wclovers.com\\/\\\">WCFM - WooCommerce Multivendor Marketplace<\\/a> plugin.<\\/p>\\n<p><strong>47.11<\\/strong> 20210815<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/scheduler\\/\\\">Scheduler<\\/a>: Automatically change the publish date of child posts during broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/woocommerce.com\\/products\\/product-bundles\\/\\\">product bundles<\\/a>.<\\/p>\\n<p><strong>47.09<\\/strong> 20210706<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Allow setting of blog archived \\/ deleted \\/ mature \\/ spam status.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Fix warning when no conditions are to be restored.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Fix warning when a gallery is empty.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Broadcast associated posts when broadcasting entries.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Better PHP8 compatability.<\\/p>\\n<p><strong>47.08<\\/strong> 20210613<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/more-children\\/\\\">More Children<\\/a>: Allows children to create more children of the parent.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for new widgets: avante-portfolio-grid and dyxnet-testimonial-card<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Allow for non-standard upload directories.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-files\\/\\\">Local Files<\\/a>: Use the link data of the parent, if possible. Allows for linking to posts that are broadcasted from other blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-links\\/\\\">Local Links<\\/a>: Try to find the page twice. This is a workaround for an unexplained bug with WPML that never finds the first link on a page.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Fix fatal error when broadcasting manually.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/parent-pull\\/\\\">Parent Pull<\\/a>: Fix warning about custom fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Don\'t protect the featured image if the custom fields are protected.<\\/p>\\n<p><strong>47.07<\\/strong> 20210513<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/imagify\\/\\\">Imagify<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/imagify\\/\\\">Imagify<\\/a> plugin \\/ service.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-cleanup\\/\\\">Custom Field Cleanup<\\/a>: Cleans up the custom fields of a post.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/term-meta-attachments\\/\\\">Term Meta Attachments<\\/a>: Allow taxonomy term meta containing attachment IDs to be broadcasted correctly.<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/category-order-and-taxonomy-terms-order\\/\\\">Category Order and Taxonomy Terms Order<\\/a>: Also set the term order during broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Fix fatal error if menu icons plugin is not active.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Fix recursion when broadcasting relationships.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: Allow syncing of roles and users separately.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Also broadcast new coupon amount when a coupon is used, not just usage count.<\\/p>\\n<p><strong>47.06<\\/strong> 20210412<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/rank-math-seo\\/\\\">Rank Math SEO<\\/a>: Add support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/seo-by-rank-math\\/\\\">Rank Math SEO<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Comment meta is updated during syncing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cornerstone\\/\\\">Cornerstone<\\/a>: Add support for toggle_anchor_graphic_image_src<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for course builder data stored in \\\"steps\\\" instead of \\\"hrt\\\" data.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for either overwriting or keeping the groups of a course.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add CLI command: broadcast_queue process<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add support for relationships with intermediaries.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Allow broadcasting of coupons and broadcasting of usage count when the coupon is used.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Ignore taxonomies that are not translatable.<\\/p>\\n<p><strong>47.05<\\/strong> 20210325<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add option to enable queue locking, which only the largest networks might need. Queue locking is disabled per default.<\\/p>\\n<p><strong>47.04<\\/strong> 20210318<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for display conditions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Add support for parsing Advanced Post Creation content in order to get shortcodes parsed.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix unlocking of the queue.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/tablepress\\/\\\">Tablepress<\\/a>: Modernize add-on to parse Tablepress shortcodes everywhere Broadcast processes texts (Elementor widgets, ACF text fields, etc), not just the post content.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for chained products.<\\/p>\\n<p><strong>47.03<\\/strong> 20210308<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-in-one-seo\\/\\\">All In One SEO<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/all-in-one-seo-pack\\/\\\">All in One SEO<\\/a> plugin.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/generatepress\\/\\\">GeneratePress<\\/a> adds support for the <a href=\\\"https:\\/\\/generatepress.com\\/\\\">GeneratePress<\\/a> theme \\/ plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add support for term protect list.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Comments are now merged instead of overwritten.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Fix restoring of serialized custom fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Fix the SEO data cache for terms not being emptied.<\\/p>\\n<p><strong>47.02<\\/strong> 20210216<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/back-to-parent\\/\\\">Back To Parent<\\/a>: Do not do anything if the Update Family checkbox is selected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix posts not being queued.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Check that the files exist at the source before updating. Fixes conflicts with CDN plugins that remove the files from disk.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-family\\/\\\">Update Family<\\/a>: Make the sibling broadcast low priority so that they can be queued.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/bookingwp.com\\/plugins\\/woocommerce-appointments\\/\\\">Appointments<\\/a>.<\\/p>\\n<p><strong>47.01<\\/strong> 20210210<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/permalink-manager\\/\\\">Permalink Manager<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/permalink-manager\\/\\\">Permalink Manager<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Fix copying of site files.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: Add support for Theme Builder usage restrictions based on pages and term IDs.<br \\/>\\nShortcode Items: Fix the parse_find and replace_id action names.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add support for WPML in relationships.<\\/p>\\n<p><strong>46.19<\\/strong> 20210127<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/litespeed-cache\\/\\\">LiteSpeed Cache<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/litespeed-cache\\/\\\">LiteSpeed Cache<\\/a> plugin.<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Do not copy the files in the sites directory when cloning blog 1.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: Prevent theme overwrites when using the <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/sync-taxonomies\\/\\\">Sync Taxonomies<\\/a> add-on, in addition to when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cornerstone\\/\\\">Cornerstone<\\/a>: Add support for images.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Added more support for Workflows.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Force WPML to recount the taxonomy term stats after taxonomy sync.<\\/p>\\n<p><strong>46.18<\\/strong> 20201229<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Add support for later linking using the queue add-on, which allows for big clones.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: Added support for global modules in rows also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ns-cloner\\/\\\">NS Cloner<\\/a>: Add support for later linking using the queue add-on, which allows for big imports.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/woocommerce.com\\/products\\/woocommerce-bookings\\/\\\">Bookings<\\/a> resources and people.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Fix the SEO data cache not being emptied.<\\/p>\\n<p><strong>46.17<\\/strong> 20201215<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cornerstone\\/\\\">Cornerstone<\\/a> adds support for the <a href=\\\"http:\\/\\/theme.co\\/cornerstone\\\">Cornerstone Page Builder<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add action to allow for merging of existing course data, for example <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/snippet\\/learndash-preserve-the-registration-button-url\\/\\\">the registration button URL (snippet)<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for broadcasting Uncanny Content via GB blocks.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: New: Force showing of the Broadcast meta box, which is normally hidden due to broken Mailster CSS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: Add PHP Code wizard for copying templates between blogs.<\\/p>\\n<p><strong>46.16<\\/strong> 20201116<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/per-blog-author\\/\\\">Per Blog Author<\\/a> allows for individual control of the author for each child post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Add support for the WooCommerce Multilingual plugin. This prevents translated child products from losing their custom fields when updating the parent language.<\\/p>\\n<p><strong>46.15<\\/strong> 20201111<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support for parsing links.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for AE Post Blocks manual selections.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: When broadcasting a course in groups, broadcast the groups automatically if they do not exist on the child.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: New: Force showing of the Broadcast meta box, which is normally hidden due to broken Mailster CSS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: Add support for forms and lists in conditions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Add support for broadcasting string translations.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add support for v3.4 relationships.<\\/p>\\n<p><strong>46.14<\\/strong> 20201002<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for AE Post Blocks relationships.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Add support for event speakers.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Fix support for v2.0.0.101 - images, logos and categories broadcast correctly again.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ninja-forms\\/\\\">Ninja Forms<\\/a>: Clear form cache after broadcasting. Tested with 3.4.30<\\/p>\\n<p><strong>46.13<\\/strong> 20200922<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/modern-events\\/\\\">Modern Events<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/modern-events-calendar-lite\\/\\\">Modern Events plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Add support for broadcasting entries via the Broadcast &gt; Formidable menu item.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Add support for Gravityflow workflows.<\\/p>\\n<p><strong>46.12<\\/strong> 20200810<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/create\\/\\\">Create<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/mediavine-create\\/\\\">Create<\\/a> plugin from Mediavine.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/soliloquy\\/\\\">Soliloquy<\\/a> adds support for the <a href=\\\"https:\\/\\/soliloquywp.com\\/\\\">Soliloquy plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add ability to copy option field groups.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for updating the linked children when the parent post is saved in Elementor (not just the normal editor).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix field ID in view not matching.<\\/p>\\n<p><strong>46.11<\\/strong> 20200715<\\/p>\\n<p>Version bump, because Wordpress doesn\'t understand that .10 is bigger than .1<\\/p>\\n<p><strong>46.10<\\/strong> 20200714<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/parent-pull\\/\\\">Parent Pull<\\/a> allows content to be pulled from (parent) blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Add support for repeaters and conditionals.<\\/p>\\n<p><strong>46.09<\\/strong> 20200708<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/category-order-and-taxonomy-terms-order\\/\\\">Category Order and Taxonomy Terms Order<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/taxonomy-terms-order\\/\\\">Category Order and Taxonomy Terms Order plugin<\\/a>.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/unlink-on-edit-checkbox\\/\\\">Unlink On Edit Checkbox<\\/a>: Unlinks child posts when they are modified.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Image Carousels.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Allow support for Gravity Views.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for lessons that can be assigned to multiple courses.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Allow custom menu items to be manipulated.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Hook into the wp_initialize_site action instead.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/page-content-shortcode\\/\\\">Page Content Shortcode<\\/a>: Better searching for content. Ignore nav_menu_items.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Add support for taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Automatically broadcast related posts if necessary.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-access-manager\\/\\\">User Access Manager<\\/a>: Add support for restricting attachments.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Fix term languages being set in wrong language.<\\/p>\\n<p><strong>46.08<\\/strong> 20200608<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-rocket\\/\\\">WP Rocket<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wp-rocket.me\\/\\\">WP Rocket<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix quizzes not being properly broadcasted due to new database table names.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Replacing the URL will not convert the items to custom items.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Add support for multiple post selections.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix warning about AUTH_KEY, by using wp_salt().<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Fix the blog name being incorrectly displayed when using post actions together with the String Translation plugin.<\\/p>\\n<p><strong>46.07<\\/strong> 20200512<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix cloned fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix group fields for non-pro users.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Added wizard for the <a href=\\\"&lt;a href=\\\">\\\"&gt;PHP Code add-on<\\/a> that copies Jet Engine custom post types and taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Better compatibility with User &amp; Blog Settings add-on regarding \\\"Only if modified\\\" checkbox.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/social-networks-auto-poster\\/\\\">SNAP<\\/a>: Add-on is now obsolete. This is due to changes in the plugin and the most <a href=\\\"https:\\/\\/wordpress.org\\/support\\/plugin\\/social-networks-auto-poster-facebook-twitter-g\\/reviews\\/\\\">recent reviews<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Added support OpenGraph \\/ Facebook image and URL custom field.<\\/p>\\n<p><strong>46.06<\\/strong> 20200429<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/blog-groups-2\\/\\\">Blog Groups 2<\\/a>: Fix double creation of groups found in Bulk Cloner spreadsheets.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Options modifications can now handle options with dashes in them. Please double check any existing modifications you have.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: When creating a menu item during manipulation, if the parent menu item is not a post but a custom link, try to find the equivalent custom link.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Fixed images not being found.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-terms\\/\\\">Shortcode Terms<\\/a>: Better syncing on taxonomies not related to the post using the shortcode.<\\/p>\\n<p><strong>46.05<\\/strong> 20200324<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix queue unlocking function.<\\/p>\\n<p><strong>46.04<\\/strong> 20200323<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-protect\\/\\\">Gutenberg Protect<\\/a>: Protects specific Gutenberg blocks from being overwritten during broadcasting.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/translatepress\\/\\\">TranslatePress<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/translatepress-multilingual\\/\\\">TranslatePress<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Added ability to clone to a specific blog ID if the ID is free. Specify the ID in the blog_id column.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/copy-options\\/\\\">Copy options<\\/a>: Add function to call the add-on programmatically. See <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/snippet\\/copy-options-automatically-copy-when-options-are-updated\\/\\\">this snippet<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-posts\\/\\\">Gutenberg Posts<\\/a>: Ignore empty post IDs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ns-cloner\\/\\\">NS Cloner<\\/a>: Add support for clones during registration \\/ signup.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Apply queue locking during ajax processing, not only during http processing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-posts\\/\\\">Shortcode Posts<\\/a>: Ignore empty post IDs.<\\/p>\\n<p><strong>46.03<\\/strong> 20200224<\\/p>\\n<p>Gutenberg add-ons: Fix IDs only being replaced on the first blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Fix terms criterion not being applied when editing posts.<\\/p>\\n<p><strong>46.02<\\/strong> 20200212<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/vimeography\\/\\\">Vimeography<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/vimeography\\/\\\">Vimeography<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Add queue functionality for comments. Useful for those with 500+ comments per post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Fix ordering of comments, syncing those comments without replies first.<br \\/>\\nCustom Field add-ons: Fixed better matching of wildcards for arrays. Prevents various PHP warnings from preg_split.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-manager\\/\\\">Download Manager<\\/a>: Automatically copy files in the download when using the new site-specific storage.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Allow for forms with apostrophes in the title.<br \\/>\\nGutenberg add-ons: Allow GB Attachments and GB Posts to modify the same block at the same time, if it contains both attachments and posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for the LDAdvQuiz and LDAdvQuiz_toplist shortcodes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcodes\\/\\\">Shortcodes<\\/a>: Add setting (and filter: broadcast_shortcodes_access) to allow non-superadmin users to access the shortcodes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/atum-stock-manager-for-woocommerce\\/\\\">ATUM Inventory Management<\\/a> product data and suppliers.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add automatic parsing of add_to_cart shortcode.<\\/p>\\n<p><strong>46.01<\\/strong> 20200116<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Also sync taxonomies when possible. Requires v46 of Broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Added ability to modify options during cloning with new option modifications function.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Sync comments after the new comment is fully inserted. Fixes bug of WooCommerce review ratings not being synced.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/event-organiser\\/\\\">Event Organiser<\\/a>: Fix fatal error when venues are broadcasted.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Update course link in topics on some installs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Add support for multiple images in image fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix retry \\/ attempt counter for partially broadcasted WooCommerce variations. Affects those with products that have more variations than the queue retry limit.<\\/p>\\n<p><strong>45.06<\\/strong> 20191116<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-family\\/\\\">Update Family<\\/a>: Update the parent post and siblings when editing a child post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix relationship fields when broadcasting taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/blog-groups-2\\/\\\">Blog Groups 2<\\/a>: Add support for assigning groups in the Bulk Cloner.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for gallery widgets, vt-saaspot_agency and vt-saaspot_resource widgets.<\\/p>\\n<p><strong>45.05<\\/strong> 20191022<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-posts\\/\\\">Custom Field Posts<\\/a>: Save values in arrays properly.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix archives without taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix draft pages showing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Add support for posts in different languages sharing the same slug, WooCommerce products for example.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Fix terms being in incorrect language when processing the posts using the Queue HTTP command.<\\/p>\\n<p><strong>45.02<\\/strong> 201909225<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/fliphtml5\\/\\\">Flip HTML5<\\/a>: Adds support for <a href=\\\"http:\\/\\/fliphtml5.com\\/\\\">Flip HTML5<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Properly sync taxonomies that are not in the same post type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/calendarize-it\\/\\\">Calendarize It<\\/a>: Fix custom post info box content.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix number being shown for x-default blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/sensei\\/\\\">Sensei<\\/a>: Add support for quiz category questions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Ignore the post if it does not have a content template assigned.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Fix \\\"incorrect post type\\\" fatal error.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix bulk actions not working the first time. This is due to the internal Wordpress post cache not being flushed by WooCommerce as it should.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-all-import\\/\\\">WP All Import<\\/a>: Enable term counting after import but before broadcast.<\\/p>\\n<p><strong>45.01<\\/strong> 20190828<\\/p>\\n<p>New add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-attachments\\/\\\">Gutenberg Attachments<\\/a>: Modify attachment IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-menus\\/\\\">Gutenberg Menus<\\/a>: Modify menu IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-posts\\/\\\">Gutenberg Posts<\\/a>: Modify post IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gutenberg-terms\\/\\\">Gutenberg Terms<\\/a>: Modify taxonomy term IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-ultimo\\/\\\">WP Ultimo<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wpultimo.com\\/\\\">WP Ultimo<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/avia-layout-builder\\/\\\">Avia Layout Builder<\\/a>: Use standard preparse and parse actions to run all Avia content through all of the other add-ons.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-posts\\/\\\">Custom Field Posts<\\/a>: Fix fatal error when trying to look for a link where there isn\'t one.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for devices-extended widgets.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Allow for multiple course prerequisites.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ns-cloner\\/\\\">NS Cloner<\\/a>: Add support for v4.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Use file locking to prevent cron processing from being run multiple times.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/redirect-all-children\\/\\\">Redirect All Children<\\/a>: Use code 301 on redirects.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/redirect-parent\\/\\\">Redirect Parent<\\/a>: Use code 301 on redirects.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcodes\\/\\\">Shortcodes<\\/a>: Remove extra slashes from the shortcodes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-access-manager\\/\\\">User Access Manager<\\/a>: Fix bug when groups not being assigned when broadcasting to more than one blog at a time.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for multiple Yith badges per product.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Check if WPML is active on the blog at all before starting the add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Help the HREFLANG add-on generate links to all languages of the current page.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Use API for setting term languages, instead of direct database queries.<\\/p>\\n<p><strong>44.05<\\/strong> 20190715<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpforms\\/\\\">WPForms<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wpforms.com\\/\\\">WPForms<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Remove page argument when adding links to taxonomy archives.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix questions on front-end not displaying properly. Rebroadcast your quizzes if the questions on the front-end look weird.<\\/p>\\n<p><strong>44.04<\\/strong> 20190621<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-terms\\/\\\">Custom Field Terms<\\/a>: Allow post custom field containing taxonomy term IDs to be broadcasted correctly.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-manager\\/\\\">Download Manager<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/download-manager\\/\\\">Download Manager<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for parsing content in text fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/manual-post-actions\\/\\\">Manual Post Actions<\\/a>: Fix warning when \\\"Find Some Unlinked Children\\\" or \\\"Send To Many\\\" add-ons active.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: When creating terms, assign the correct languages.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Post excerpt can also be protected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add broadcast_queue_menu_access filter to allow non-super admins access to the settings.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/woocommerce.com\\/products\\/composite-products\\/\\\">composite products<\\/a>.<\\/p>\\n<p><strong>44.03<\\/strong> 20190515<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Link only post types that we know about, ignoring attachments and menu items.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Add support for form views.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Try to fetch linked posts when making the hreflang tags for a single post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add broadcast_learndash_menu_access filter to allow non-super admins access to the tools.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add workaround for broken lessons having more than one course reference.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Add support for image fields.<\\/p>\\n<p><strong>44.02<\\/strong> 20190423<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix queue not working due to the upgrade process not upgrading the add-on\'s tables.<\\/p>\\n<p><strong>44.01<\\/strong> 20190415<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cdn-workaround\\/\\\">CDN Workaround<\\/a>: Added option to locally download remote files, in order to upload them on each blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/global-blocks-for-cornerstone\\/\\\">Global Blocks For Cornerstone<\\/a>: Added support for new v3 [cs_gb] shortcode.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Global elements.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Image Box elements.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: Add new __BLOG_PATH__ and __BLOG_PATH_WITHOUT_RSLASH__ keywords.<\\/p>\\n<p><strong>43.17<\\/strong> 20190402<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support for Themer Layouts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Fix cloning. Some WP version introduced a bug that preventing the complete cloning of blog options.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Force new siteurl and home options for clones, to fix weirdness with some installs that create dupes in the url.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/caldera-forms\\/\\\">Caldera Forms<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/caldera-forms\\/\\\">Caldera Forms<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Caldera Forms elements.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Do not abort broadcasting is a missing background image is found, just continue normally.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Added course tool to do actions on the WHOLE course at the same time: delete, trash, restore, unlink and find unlinked children.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/manual-post-actions\\/\\\">Manual Post Actions<\\/a>: Manually run bulk post actions on posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: For developers, queue items now have priorities assigned, allowing for faster processing of specific queue item types.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Do not overwrite the file path for those files that have been uploaded at different times. Fixes problem of thumbnails for differently-aged images not working.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: Create role is it doesn\'t exist on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: Also sync data for Ultimate Member custom roles.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/yith-woocommerce-badges-management\\/\\\">YITH WooCommerce Badge Management plugin<\\/a>.<\\/p>\\n<p><strong>43.16<\\/strong> 20190222<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add support for the Clone field type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/acf-image-crop-add-on\\/\\\">Image Crop Add-on<\\/a><br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/calendarize-it\\/\\\">Calendarize It<\\/a>: Fix vendors and organizers not being saved to child post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-posts\\/\\\">Custom Field Posts<\\/a>: Fix to allow multiple IDs in field.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Add support for Smartslider3 widget type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/events-manager\\/\\\">Events Manager<\\/a>: Add support for recurring events. Seems to work best publishing the events locally before broadcasting them.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Update existing form settings. Also broadcast form actions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Added preliminary support for v2.6 quizzes. The old 2.5 version of LD can still be used.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Dev: Added static::$keep_sfwd_courses_course_access_list property which allows the course access list to be overwritten during broadcast.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/link-before-broadcast\\/\\\">Link Before Broadcast<\\/a>: Attempts to find unlinked children on each child blog during broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Broadcast ALL variations, even those that are out of stock and hidden.<\\/p>\\n<p><strong>43.14<\\/strong> 20190102<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Fix rare fatal error on _some_ installs that result from the capabilities.php not having been loaded.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Added BROADCAST_BEAVER_BUILDER_NO_UPDATE_ON_SAVE define to prevent automatic updating of child posts when saving the layout on the front-end.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Automatic parsing of serialized options that contain the old blog URL. Can fix widgets that contain links to the source blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Allow button URLs to be parsed in order to work with Local Items add-ons.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Also parse shortcode widgets.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix courses that have apostrophes in them.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/no-new-terms\\/\\\">No New Terms<\\/a>: Fix terms being created with newer versions of Broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/per-blog-taxonomies\\/\\\">Per Blog Taxonomies<\\/a>: Fix to allow for hiding of term fieldsets using UBS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Add filter to allow for special processing of attributes. See this <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/snippet\\/shortcode-items-parse_find-and-replace_id-actions\\/\\\">snippet for handling image IDs embedded in a json-encoded attribute<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/smart-slider-3\\/\\\">Smart Slider 3<\\/a>: Update the slider properties when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/widgets\\/\\\">Widgets<\\/a>: Add more debug info.<\\/p>\\n<p><strong>43.12<\\/strong> 20181127<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Fix fields not appearing due to field cache.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Add entry migration so that forms that are updated keep their entries.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Update the form title. Only affects those using the BROADCAST_GRAVITY_FORMS_USE_ID define.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Added tool to broadcast a whole course at once.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add broadcast_queue_clean_queue filter to prevent database cleanup.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Do not create terms on child blogs that are in other languages.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-posts\\/\\\">Shortcode Posts<\\/a>: Added Avada Global Containers wizard.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/siteorigin-page-builder\\/\\\">SiteOrigin Page Builder<\\/a>: Parse the text and content widget fields, allowing other Broadcast add-ons to detect their shortcodes in the widgets.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Fix visual modifications being applied when they shouldn\'t.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Fix duplication bug where terms are created in the wrong language.<\\/p>\\n<p><strong>43.11<\\/strong> 20181018<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Add broadcast_geodirectory_sync_table_structure_columns filter.<br \\/>\\nFixes the plugin upgrade notice not disappearing due to \\\"43.10\\\" being treated as \\\"43.1\\\".<\\/p>\\n<p><strong>43.10<\\/strong> 20181018<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/simple-custom-post-order\\/\\\">Simple Custom Post Order<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/simple-custom-post-order\\/\\\">Simple Custom Post Order<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add support for the Component Fields plugin \\/ field type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Add broadcast_geodirectory_insert_place_detail filter.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings-post\\/\\\">User &amp; Blog Settings Post<\\/a>: Fix _and_ criteria not being correctly applied.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Allow order syncing without Back2Parent add-on, which means orders can only be synced to child blogs and not back.<\\/p>\\n<p><strong>43.9<\\/strong> 20180922<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-posts\\/\\\">Custom Field Posts<\\/a>: Allow post custom field containing post IDs to be broadcasted correctly.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/formidable-forms\\/\\\">Formidable Forms<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/formidable\\/\\\">Formidable<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/unlink-on-edit\\/\\\">Unlink On Edit<\\/a>: Unlinks child posts when they are modified.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Parse text fields, allowing other add-ons to modify their content also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Parse post carousels also, modifying the post IDs so that they match those on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Only sync taxonomies that are used in the post. This is an optimization for those that have thousands of taxonomy terms.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: Add new __BLOG_URL_ESCAPED__ keyword.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-posts\\/\\\">Shortcode Posts<\\/a>: Added uncode blocks to the wizard.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-access-manager\\/\\\">User Access Manager<\\/a>: Also sync taxonomies.<\\/p>\\n<p><strong>43.8<\\/strong> 20180821<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support for photo and photos components.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/delete-before-broadcast\\/\\\">Delete Before Broadcast<\\/a>: Fix error on unlinking.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Fix FILE_BASE_DIR error.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Add BROADCAST_GRAVITY_FORMS_USE_ID define that forces syncs according to form ID, instead of form title.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-access-manager\\/\\\">User Access Manager<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/user-access-manager\\/\\\">User Access Manager<\\/a> plugin.<\\/p>\\n<p><strong>43.7<\\/strong> 20180724<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support post modules, which will translate category and post tag IDs on each child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Fix fatal error during activation when only the utilities pack is installed.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/h5p\\/\\\">H5P<\\/a>: Fix. Try to update the H5P content on each child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Also copy menu item custom fields, which adds support for some UberMenu types: section and custom content.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Modify Gravity Forms Rename example to use new GF table prefix (gf_).<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ubermenu\\/\\\">UberMenu<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wpmegamenu.com\\/\\\">UberMenu<\\/a> menu plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings-post\\/\\\">User &amp; Blog Settings Post<\\/a>: Fix to show the dropdown again.<\\/p>\\n<p><strong>43.6<\\/strong> 20180625<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix. Obey the custom field whitelist also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Add support for Themer Layout locations (posts and taxonomies).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/h5p\\/\\\">H5P<\\/a>: Fix. Copy all found files to correct ID subdirectory on child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/send-to-many\\/\\\">Send To Many<\\/a>: Update to work with fixed Broadcast roles.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Post type criteria will work more often now, generally whenever the Broadcast meta box is being prepared.<\\/p>\\n<p><strong>43.5<\\/strong> 20180530<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Sync taxonomies automatically when a taxonomy field has specified a taxonomy that is for a different post type.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Fix: When cloning already linked posts, their parent post will link to the newly-cloned site.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cdn-workaround\\/\\\">CDN Workaround<\\/a>: Fix: Override broken filename with Cloudinary URL if found in the filename.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/cm-tooltip-glossary\\/\\\">CM Tooltip Glossary<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/enhanced-tooltipglossary\\/\\\">CM Tooltip Glossary<\\/a> plugin.<br \\/>\\nNew add-on: <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/copy-options\\/\\\">Copy options<\\/a>: Copies blog options \\/ settings between blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geo-my-wp\\/\\\">GEO My WP<\\/a>: Add support for posts locator database table.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix: Added support for the new v2.3+ database schema. v2.2 install will continue to work also.<\\/p>\\n<p><strong>43.4<\\/strong> 20180506<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Parse link fields also, allowing other add-ons like Local Links, to modify the links during broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Fix categories not working for other types of post types.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/h5p\\/\\\">H5P<\\/a>: Copy images from H5P content directories between blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix to allow for several blogs sharing the same language (but not shown simultaneously). If you have custom code built on hreflang, check that it still works.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add developer actions for adding and removing items from the queue.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcodes\\/\\\">Shortcodes<\\/a>: Fix duplicating shortcodes when broadcasting them and some of them already exist.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Updated support for posts submitted using WP User Frontend. Now uses the new API actions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix order syncing. Fixed missing order items by fetching the items manually using SQL, bypassing WooCommerce\'s unreliable functions.<\\/p>\\n<p><strong>43.2<\\/strong> 20180403<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Fix SQL error when looking for blog 1\'s blogname.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/google-maps-pro\\/\\\">Google Maps Pro<\\/a>: Adds support for the <a href=\\\"https:\\/\\/premium.wpmudev.org\\/project\\/wordpress-google-maps-plugin\\\">Google Maps Pro<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/inboundnow\\/\\\">Inbound Now<\\/a>: Adds support for the <a href=\\\"https:\\/\\/www.inboundnow.com\\/\\\">Inboundnow Marketing Suite<\\/a>.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/onesignal\\/\\\">OneSignal<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/onesignal-free-web-push-notifications\\/\\\">OneSignal \\u2013 Free Web Push Notifications<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-posts\\/\\\">Shortcode Posts<\\/a>: Modifies post IDs found in shortcodes to match their equivalent posts on each blog.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/sitemaps\\/\\\">Sitemaps<\\/a>: Generates network-aware sitemaps and robots.txt.<\\/p>\\n<p><strong>43.1<\\/strong> 20180227<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix confirmation-actions not being properly broadcast. Also removed unnecessary SQL warnings in error log.<\\/p>\\n<p><strong>43<\\/strong> 20180226<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fixed acf_disable_cache fatal error for older (&lt;5.6) versions of ACF.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Added support for Group fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: To save a lot of memory, query the blog name using SQL instead of asking Wordpress for it.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/bulk-cloner\\/\\\">Bulk Cloner<\\/a>: Create clones of existing blogs on the network.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: Added support for global modules. [et_pb_section] shortcodes with the global_module attribute are correctly detected and the global module is also broadcast together with the post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Added support for broadcasting \\/ updating of form feeds (as per the gf_addon_feed table).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix warning when form does not have valid confirmation or display metadata.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Added a Wizard for renaming Gravity Forms.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Protect featured image also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix support for queue on newer MariaDB databases. ROWS is apparently a reserved word.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: For content that has no set language (ACF fields, for example) just allow normal broadcasting without checking or setting the language.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Added support for setting the primary category of a post.<\\/p>\\n<p><strong>42.4<\\/strong> 20180129<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/h5p\\/\\\">H5P<\\/a>: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/h5p\\/\\\">H5P Interactive Content<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix blog names not showing for queued posts in overview.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added support for <a href=\\\"http:\\/\\/yithemes.com\\/themes\\/plugins\\/yith-woocommerce-tab-manager\\/\\\">YITH WooCommerce Tab Manager<\\/a> tabs. Broadcast the tabs first before broadcasting the product.<\\/p>\\n<p><strong>42.3<\\/strong> 20180115<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add support for course builder data, allowing lessons and quizzes to be shared.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a>: Automatically broadcast the pods that posts are using.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Add setting to allow all translations to be broadcasted automatically after broadcasting a translation.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Added setting to prevent the queue from being trimmed when rebroadcasting a post that is already in the queue.<\\/p>\\n<p><strong>42.2<\\/strong> 20171213<\\/p>\\n<p>New add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/goodlayers\\/\\\">GoodLayers<\\/a>: Adds support for the <a href=\\\"https:\\/\\/goodlayers.com\\/\\\">GoodLayers family of themes<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Added cleanup tools.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Fix page languages not being saved correctly.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix race condition fatal error where trying to delete non-existing data.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/social-networks-auto-poster\\/\\\">SNAP<\\/a>: Fix dupe Facebook posting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Fix fatal error by disabling the Link Watcher during broadcasting.<\\/p>\\n<p><strong>42<\\/strong> 20171130<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Disable field caching during broadcast. This fixes a bug in ACF where the values of fields were sometimes not reported to Broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Fixed a PHP warning due to spelling mistake.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Apply correct confirmation redirect page on each child blog. The page will be broadcasted to the child if necessary.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/media-cleanup\\/\\\">Media Cleanup<\\/a>: cleans up unused media by looking for unused items in the database and on disk.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Added support for Polylang Pro. Tested with v2.2.6<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Translated terms retain their linking on child blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Allow non-translatable post types to be broadcasted. Fixes error where ACF fields were not broadcastable.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/post-expirator\\/\\\">Post Expirator<\\/a>: Added support for category expiration.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Please test your queue after updating. If it doesn\'t work, deactivate and reactivate the add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Trim off existing queued items when requeuing posts. This stops the post from being doubly broadcasted, the first time unnecessarily.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Save serialized postmeta data as serialized postmeta data.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Try to create upload directories if they don\'t already exist. Workaround for broken installs where old upload directories have disappeared.<\\/p>\\n<p>The curious can try out the beta version of the Bulk Cloner add-on, found in the utilities pack.<\\/p>\\n<p><strong>41<\\/strong> 20171030<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Added support for template widgets. Ensure that your template is broadcasted before trying to use it.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/image-map-pro\\/\\\">Image Map Pro<\\/a> adds support for the <a href=\\\"https:\\/\\/codecanyon.net\\/item\\/image-map-pro-for-wordpress-interactive-image-map-builder\\/2826664\\\">Image Map Pro<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix quizzes getting the correct course \\/ lesson \\/ certificate associations.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Question categories are now synced.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Add option to automatically create locations that don\'t exist on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: Fix form ID being displayed incorrectly in the editor.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Try to avoid packet size errors by compressing the data stored in the database.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/slider-revolution\\/\\\">Slider Revolution<\\/a>: Fix slider dupes being created because the alias wasn\'t being found properly.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: Fix bug where terms were not editable due to some conflict with other plugins. Now the edit link refers to term_id= instead of id=.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: Strip the slashes in the text inputs.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/sensei\\/\\\">Sensei<\\/a> adds support for the <a href=\\\"https:\\/\\/woocommerce.com\\/products\\/sensei\\/\\\">Sensei<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcodes\\/\\\">Shortcodes<\\/a> provides arbitrary admin-defined global or local shortcodes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Translate association to associated view, if any, when broadcasting content templates.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Moved all of the various Broadcast options into a tabbed interface under the Toolset &gt; Broadcast menu item.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/unyson\\/\\\">Unyson<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/unyson\\/\\\">Unyson page builder plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/update-attachments\\/\\\">Update Attachments<\\/a>: Force overwriting of the attachment postmeta on the child blog.<\\/p>\\n<p><strong>40.1<\\/strong> 20171004<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Add question and answer search &amp; replace function to easily make changes to your questions. Include automatic quiz broadcast functionality.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Added favorites and review syncing capability.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/redirect-parent\\/\\\">Redirect Parent<\\/a> redirects all views of a parent post to the first child post.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpcustom-category-image\\/\\\">WPCustom Category Image<\\/a> adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/wpcustom-category-image\\/\\\">WPCustom Category Image<\\/a> plugin.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/widgets\\/\\\">Widgets<\\/a> copies widget and sidebar settings between blogs.<\\/p>\\n<p><strong>40<\\/strong> 20170922<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/back-to-parent\\/\\\">Back To Parent<\\/a>: Extra check that we are back-to-parenting the correct post. Fixes a bug when complicated broadcasts (for example WooCommerce bookings, that simultaneously broadcast products and orders, are all back-to-parented unnecessarily).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/delete-before-broadcast\\/\\\">Delete Before Broadcast<\\/a>: Don\'t show options on child posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix. Prevent overwriting of enrolled users when broadcasting courses.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/pods\\/\\\">Pods<\\/a> adds support for the <a href=\\\"https:\\/\\/www.pods.io\\/\\\">Pods - Custom Content Types and Fields<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Developer update. Dynamic loading of wizards and added actions to run the code programatically.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Show an error if the queue fails to add the original data item.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: If using PHP Code add-on, allow automatic finding of unlinked Toolset post types on the child blog to link existing types, avoiding dupes.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings-post\\/\\\">User &amp; Blog Settings Post<\\/a>: Added custom field matching criterion.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Force overwriting of order items, now also overwriting all order item meta values to ensure that the order is completely synced.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added support for refunds in orders.<\\/p>\\n<p><strong>39.1<\\/strong> 20170903<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: Added support for background images, templates and template shortcodes.<br \\/>\\nNew add-on. <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/attachment-control\\/\\\">Attachment Control<\\/a> allows better control of how attachments are handled during broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-attachments\\/\\\">Custom Field Attachments<\\/a>: Also process values found in custom field subarrays.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix. Update base quiz data in the quiz table when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Fix. Automatically increase Broadcast\'s save_post priority to higher than LearnDash\'s (2000) in order to broadcast the changes directly, instead of needing a double-update.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Disable time limit during menu copying.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/slider-revolution\\/\\\">Slider Revolution<\\/a>: Added support for static layers.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add ability to broadcast taxonomies.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ultimate-member\\/\\\">Ultimate Member<\\/a>: Display Broadcasted column for UM forms.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings-post\\/\\\">User &amp; Blog Settings Post<\\/a>: Fix bug that only broadcasted every other post in a selection.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Remember taxonomy term translations between blogs.<\\/p>\\n<p><strong>39<\\/strong> 20170802<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Added support for Broadcast\'s new taxonomy term handling code. This allows blacklisting and protecting of taxonomy term meta.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix for paging in URLs. Will now append paged parameter depending on the current page of archives or the single post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/intagrate\\/\\\">Intagrate<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/intagrate.io\\/\\\">Intagrate<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: New: Added support for autoresponders.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: Fix: List assignments are copied and assigned when broadcasting newsletters and autoresponders on each child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/search-and-replace\\/\\\">Search And Replace<\\/a>: New-addon. Find and replace texts in posts during broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: Allow selection of roles and specific users when syncing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wplms\\/\\\">WPLMS<\\/a>: New add-on. Adds support for Vibethemes\' <a href=\\\"https:\\/\\/themeforest.net\\/item\\/wplms-learning-management-system\\/6780226\\\">WPLMS theme<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Added support for Broadcast\'s new taxonomy term handling code. This allows blacklisting and protecting of taxonomy term meta.<\\/p>\\n<p><strong>38.6<\\/strong> 20170703<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Separate handling of flexible fields so that ACF v4 flex fields can work at the same time as v5.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Parse all text fields individually, allowing for shortcodes to be found and processed.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/elementor\\/\\\">Elementor<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/elementor\\/\\\">Elementor Page Builder plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/foogallery\\/\\\">FooGallery<\\/a>: Added broadcast meta box for individual galleries.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/global-blocks-for-cornerstone\\/\\\">Global Blocks For Cornerstone<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/global-blocks-for-cornerstone\\/\\\">Global Blocks for Cornerstone<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/gravity-forms\\/\\\">Gravity Forms<\\/a>: New add-on. Adds support for the <a href=\\\"http:\\/\\/www.gravityforms.com\\/\\\">Gravity Forms<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: Added support for quiz questions and answers, not just the quiz post type itself.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/mailster\\/\\\">Mailster<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/codecanyon.net\\/item\\/mailster-email-newsletter-plugin-for-wordpress\\/3078294\\\">Mailster<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ns-cloner\\/\\\">NS Cloner<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/ns-cloner-site-copier\\/\\\">NS Cloner<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/slider-revolution\\/\\\">Slider Revolution<\\/a>: Added support for sliders in the <a href=\\\"https:\\/\\/themeforest.net\\/item\\/envision-responsive-retina-multipurpose-theme\\/5928018\\\">Envision theme<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Hide notification about changed slug (which is perfectly normal when broadcasting).<\\/p>\\n<p><strong>38.4<\\/strong> 20170605<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Add RSVP broadcast and syncing. If the event is broadcasted, the attendees will be broadcasted from the event\'s parent blog as the source. Requires Broadcast v38.4.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Add support for <a href=\\\"http:\\/\\/myeventon.com\\/addons\\/action-user\\/\\\">Action User<\\/a> add-on in order to give <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a> a chance to broadcast form submissions.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Fix fatal error when the link checkbox is not checked.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ultimate-member\\/\\\">Ultimate Member<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/ultimate-member\\/\\\">Ultimate Member<\\/a> plugin.<\\/p>\\n<p><strong>38.3<\\/strong> 20170523<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: Added BB settings copy function under the Broadcast menu.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/jetpack\\/\\\">Jetpack<\\/a>: New addon. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/jetpack\\/\\\">Automattic\'s Jetpack plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/slider-revolution\\/\\\">Slider Revolution<\\/a>: New addon. Adds support for the <a href=\\\"https:\\/\\/revolution.themepunch.com\\/\\\">Slider Revolution<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/the-events-calendar\\/\\\"> The Events Calendar<\\/a>: Use API to broadcast venues and events.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-role-sync\\/\\\">User Role Sync<\\/a>: New addon. Copy user roles between blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix variation broadcasting to multiple blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for <a href=\\\"https:\\/\\/www.woothemes.com\\/products\\/product-vendors\\/\\\"> plugin.<\\/a><\\/p>\\n<p><strong>38.2<\\/strong> 20170428<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Add extra check for missing database tables on the child blogs, which should prevent a lot of headaches when attachments aren\'t being correctly copied.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ninja-forms\\/\\\">Ninja Forms<\\/a>: Added menu item for copying Ninja Form settings between blogs, like WooCommerce has.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/page-content-shortcode\\/\\\">Page Content Shortcode<\\/a>: New addon. Provides a [bc_page_content slug=\\\"pageslug\\\"] shortcode to display the contents of a page.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Fix translations not being linked for some people since v35.x.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Better criterion editing UI.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: AutomateWoo: retrieve the parent product link data for triggers. Fixes wrong product triggers when using child products.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Disable v3 save_post workaround for WooCommerce v3.0.4+. Apparently they fixed whatever they broke in v3.<\\/p>\\n<p><strong>38.1<\\/strong> 20170410<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Fix fatal error when editing a broadcast. This appeared when the code was converted to using the new Wordpress translation functions.<\\/p>\\n<p><strong>38<\\/strong> 20170406<\\/p>\\n<p>Finally dropped the \\\"ThreeWP\\\" prefix from the plugin name! The code remains the same, just the name has become simpler: Broadcast...<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/rebroadcast\\/\\\">Rebroadcast<\\/a>: Allow posts to be queued when rebroadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add product image gallery handler, so no more need for the Custom Field Attachments add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Also sync variations stock, not just normal products.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix. Add workaround for how WooCommerce v3.0 saves products. This prevented the image gallery from being correctly broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Ignore content that has no translations. Fixes bug where content without translations that should be broadcasted (EventOn events, for example) was not broadcasted.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Add menu item to force broadcast of content to blogs whithout the language. Fixes a weird bug for some installations that had hidden languages which, for some installations, regarded the language as inactive and would therefore not broadcast the content there.<\\/p>\\n<p><strong>37.2<\\/strong> 20170326<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Deeper revision checking to better detect whether the child post was modified.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Allow custom fields to be protected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Fix fatal error upon viewing available shortcodes. Related to fix below.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Use new data format. Deactivate and reactivate the add-on to convert the old Attachment Shortcodes data to the new format.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Add option to disable HTTP processing, so that you don\'t have to disable the cron line.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add settings copy feature, to quickly duplicate (overwrite) WC settings between blogs. See add-on page for more details.<\\/p>\\n<p><strong>37.1<\\/strong> 20170322<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Also copy location images.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Add support for v2.5.1 locations.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/find-some-unlinked-children\\/\\\">Find Some Unlinked Children<\\/a>: Add menu option to ignore post status when finding unlinked children.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix fatal error due to translation: is_wp_error_message_box().<\\/p>\\n<p>Obsolete add-ons removed: Attachment Shortcodes, Types, Views<\\/p>\\n<p><strong>37<\\/strong> 20170316<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/contact-form-7\\/\\\">Contact Form 7<\\/a>: Attempt to link existing forms using their title, else broadcast a new one. Requires that forms have exacty the same title in the shortcode as they are called in the form list.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/events-manager\\/\\\">Events Manager<\\/a>: Fix new location ID not being correctly set on the child blog. Also use $wpdb to insert event and location data instead of using raw SQL. Read the Events Manager page for info about how badly the EM plugin is written.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix items per process setting not being saved.<\\/p>\\n<p><strong>36.2<\\/strong> 20170307<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Location rules fix. If set to a post that is not broadcasted, leave the post ID alone instead of setting it to 0.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Prevent looping when post object fields point back to the same post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-images\\/\\\">All Images<\\/a>: New addon. Detects all referenced local images in post text fields and adds them to the broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Added maximum queue items per process setting that defines how many items to process during a HTTP process event. Also added smarter queue handling that now takes the following into account: the previously mentioned items per process event setting, the PHP time limit and how long, on average, each queue item takes to process. The processing rules are detailed on the queue add-on\'s page.<\\/p>\\n<p><strong>36.1<\\/strong> 20170305<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Better handling of repeater fields in ACF5, and more workarounds added for repeater fields in ACF4.<\\/p>\\n<p><strong>36<\\/strong> 20170303<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: For text values, use the values that ACF reports, not the raw values. Addition to the ACF fix below.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: ACF fields for taxonomies obey the custom field black\\/protect lists.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/find-some-unlinked-children\\/\\\">Find Some Unlinked Children<\\/a>: Like the normal Find Unlinked Children bulk action, find children that have the same status.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/learndash\\\">LearnDash<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/www.learndash.com\\/\\\">LearnDash LMS<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/php-code\\/\\\">PHP Code<\\/a>: Added \\\"show blog language\\\" wizard.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\">Protect Child Properties<\\/a>: Added function to only protect child properties if the post was modified. Allows some child posts to be updated with own content, while other child posts are overwritten with new content. Requires post revision support.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix incorrect variation post title (that is never seen).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-all-import\\/\\\">WP All Import<\\/a>: New add-on. Adds support for post updates from Soffly\'s <a href=\\\"http:\\/\\/www.wpallimport.com\\/\\\">WP All Import Pro<\\/a>.<\\/p>\\n<p>Obsolete add-ons: The next version of the pack will disable the following add-ons, so please enable their replacements:<\\/p>\\n<p>Attachment Shortcodes has been replaced by <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>.<br \\/>\\nTypes has been replaced by <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>.<br \\/>\\nViews has been replaced by <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>.<\\/p>\\n<p><strong>35.8<\\/strong> 20170130<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Do not allow ACF to process text fields before broadcasting them (= return the values completely raw).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Fix forcing on of checkboxes when not directly broadcasting (like in queues, for example).<\\/p>\\n<p><strong>35.7<\\/strong> 20170127<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Fix 1 values when retrieving text values from non-post text fields.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/duplicate-attachments\\/\\\">Duplicate Attachments<\\/a>: Fix setting of attached filename on some hosts, which caused problems with returning of the image filename on disk (especially with Update Attachments).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/geodirectory\\/\\\">GeoDirectory<\\/a>: Fix broken featured image URL. GD, unlike Wordpress, likes to have a forward slash at the beginning of the URL.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ninja-forms\\/\\\">Ninja Forms<\\/a>: Added form action syncing.<\\/p>\\n<p><strong>35.6<\\/strong> 20170117<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Fix to allow for broadcasting without linking to a blog without the same language.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix fatal error after HTTP process call. The error is harmless but results in an unnecessary entry in the webserver error log.<\\/p>\\n<p><strong>35.5<\\/strong> 20170113<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/ninja-forms\\/\\\">Ninja Forms<\\/a>: New add-on: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/ninja-forms\\/\\\">Ninja Forms<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Only process one item at a time. This is because some posts are really, really large and can cause timeouts getting caught just above the 25% time limit. Safer to not try to guess how long a post will take to broadcast.<\\/p>\\n<p><strong>35.4<\\/strong> 20170109<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Comment meta is now also synced. This enables, among other things, WooCommerce product reviews to be synced between blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/hreflang\\/\\\">Hreflang<\\/a>: Fix overwriting of the global $post variable. This caused a fatal error when using it with the Google Tag Manager plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Product reviews can now be synced (with ratings) thanks to updates in the Comments add-on.<\\/p>\\n<p><strong>35.3<\\/strong> 20170106<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/aqua-page-builder\\/\\\">Aqua Page Builder<\\/a>: New add-on: Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/aqua-page-builder\\/\\\">Aqua Page Builder plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Only clean the queue 1 in 10 times. This alleviates problems with slow SQL servers.<\\/p>\\n<p><strong>35.2<\\/strong> 20161223<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: Added Elegant Themes Page Builder gallery shortcode in the wizard.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-terms\\/\\\">Shortcode Terms<\\/a>: New add-on. Automatically translates taxonomy term IDs found in shortcodes when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Fix forcing off of hidden checkboxes. This happens when javascript modifies the checked status of the checkboxes.<\\/p>\\n<p><strong>35.1<\\/strong> 20161220<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Added item manipulation function.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Added menu item where one can now select the action if the language does not exist on the child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Fix renaming of variation post names.<\\/p>\\n<p><strong>35<\\/strong> 20161206<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Show the Broadcasted column in the field group overview.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Clear cache when creating blogs programatically.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Clear cache when creating deleting blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/\\\">Download Monitor<\\/a>: Replace the URL in the download version with the attachment\'s URL on each blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Added support for partial broadcasts. Currently only the WooCommerce add-on uses this functionality.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added support for partial broadcasts, together with the queue add-on. See the WC settings tab. Use this function if your products has many variations that cause PHP timeouts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Added support for forced broadcasting when using <a href=\\\"https:\\/\\/wedevs.com\\/products\\/plugins\\/wp-user-frontend-pro\\/\\\">WP User Frontend Pro<\\/a> forms.<\\/p>\\n<p><strong>34.5<\\/strong> 20161111<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/divi-builder\\/\\\">Divi Builder<\\/a>: New add-on. Adds support for <a href=\\\"https:\\/\\/www.elegantthemes.com\\/plugins\\/divi-builder\\/\\\">Divi Builder<\\/a> and themes using it.<\\/p>\\n<p><strong>34.4<\\/strong> 20161107<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Check for valid posts when adding relationship posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Also listen to gform_site_created actions sent from Gravity Forms to detect when a new blog has been created.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: When using the duplicating translation button, Broadcast will only broadcast parent posts, not child posts also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: Add menu option to allow taxonomy term canonical URLs to be ignored \\/ protected. This is for users who do not want the canonical URL of terms to be broadcasted to child blogs.<\\/p>\\n<p><strong>34.3<\\/strong> 20161027<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add workaround for incorrect detection of post number in post fields. This caused fatal errors when ACF fields for taxonomies were created and used within the post.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/beaver-builder\\/\\\">Beaver Builder<\\/a>: New add-on: Adds support for the <a href=\\\"https:\\/\\/www.wpbeaverbuilder.com\\/\\\">Beaver Builder page builder plugin<\\/a>.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-links\\/\\\">Local Links<\\/a>: Allow links with parameters to be modified, keeping the parameters. https:\\/\\/blog1.test.com\\/contactus?parameter will become https:\\/\\/blog2.test.com\\/contactus?parameter can become<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/lock-post\\/\\\">Lock Post<\\/a>: Added global lock override roles, to allow specific roles to ignore lock status of posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/lock-post\\/\\\">Lock Post<\\/a>: Added filterable action to allow developers to override post locking.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/menus\\/\\\">Menus<\\/a>: Integrate blog selection with Blog Groups 2 add-on.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Allow broadcasting of disabled AutomateWoo workflows.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Better detection of network-activated WPML.<\\/p>\\n<p><strong>34.2<\\/strong> 20161006<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/custom-field-attachments\\/\\\">Custom Field Attachments<\\/a>: Fixed warning when no meta is available (usually from using the Sync Taxonomies add-on).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/\\\"> Download Monitor<\\/a>: Put only download version attachments into the dlm_uploads directory, not attachments for the download itself.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-files\\/\\\">Local Files<\\/a>: New add-on: automatically copies local files to each blog and updates the links in the content.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Optimize tables after cleaning to reduce fragmentation.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Add ability to broadcast content templates.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add support for AutomateWoo workflows.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add category thumbnail and display type support.<\\/p>\\n<p><strong>34.1<\\/strong> 20160927<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Add wildcard support for checking the ACF field names against the custom field protect list. And blacklist checking also supports wildcards now.<\\/p>\\n<p><strong>34<\\/strong> 20160925<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a> and <a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Code change. Use new -&gt;copy_attachment_to_blog() function to prevent double copying of images attached to [taxonomy] meta.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Add backwards compatibility for Wordpress &lt; 4.6<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/contact-form-7\\/\\\">Contact Form 7<\\/a>: Remove unused code warning.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/duplicate-attachments\\/\\\">Duplicate Attachments<\\/a>: Force renaming of attachment post_names to coincide with the attachment fix in the base version of Broadcast. This fixes the attachment duplication bug\\/feature in Wordpress.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/new-blog-broadcast\\/\\\">New Blog Broadcast<\\/a>: Allow queuing of posts.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Workaround for old versions of WooCommerce that don\'t have the get_woocommerce_term_meta function.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Include temporary fix for Wordpress action\\/filter bug that prevents the editor language of duplicated posts from being updated on the child. Requires a patched WPML. This fix will become obsolete when Wordpress 4.7 is released, due to the *5 year old* bug being finally fixed.<\\/p>\\n<p><strong>33.1<\\/strong> 20160913<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Fix blog limit. Due to incorrect documentation, only 100 blogs are returned at a time.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/social-networks-auto-poster\\/\\\">SNAP<\\/a>: Better support for [featured] images in posts. It does this by SNAPping only after all images have been attached.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Allow broadcasting to blogs on which WPML is not active. This will result in just normal broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added support for the WooCommerce Variation Swatches and Photos plugin.<\\/p>\\n<p><strong>33<\\/strong> 20160817<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/all-blogs\\/\\\">All Blogs<\\/a>: Code change - use get_sites() instead of deprecated wp_get_sites().<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Sync ACF fields in taxonomies during broadcasting and during manual taxonomy sync.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/avia-layout-builder\\/\\\">Avia Layout Builder<\\/a>: Use new Shortcode Attachments and Shortcode Menus add-ons to parse the builder content, which now allows you to use menu shortcodes in your Avia content also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/contact-form-7\\/\\\">Contact Form 7<\\/a>: New add-on. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/contact-form-7\\/\\\">Takayuki Miyoshi\'s Contact Form 7<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/events-manager\\/\\\">Events Manager<\\/a>: Fix broadcasted events not showing in the location\'s overview page.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-links\\/\\\">Local Links<\\/a>: Extra check for valid URLs. The Wordpress function url_to_postid() seems to think that anything with a question mark is a valid URL.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wpml\\/\\\">WPML<\\/a>: Duplicate Content button automatically broadcasts post to all child blogs. Those child blogs without the duplicated language are ignored, as per normal WPML broadcasting rules.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-ultimate-recipe\\/\\\">WP Ultimate Recipe<\\/a>: Now supports meal plans. The recipes in the meals must already exist on each child blog.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/yoast-seo\\/\\\">Yoast SEO<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/wordpress-seo\\/\\\">Yoast SEO<\\/a> plugin. Only needed if you want taxonomy SEO data synced when broadcasting.<\\/p>\\n<p><strong>32.2<\\/strong> 20160719<\\/p>\\n<p>Attachment Shortcodes: Obsolete. Please use the Shortcode Attachments plugin instead. It\'s the same thing (your shortcode settings are kept) but this add-on will be phased out in the future. The reason being that the new Shortcode Attachments and Shortcode Menus add-ons share the same base code, making development easier.<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-attachments\\/\\\">Shortcode Attachments<\\/a>: New add-on. Automatically translate attachment IDs found in shortcodes when broadcasting.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/shortcode-menus\\/\\\"> Shortcode Menus<\\/a>: New add-on. Automatically translate menu IDs found in shortcodes when broadcasting.<\\/p>\\n<p><strong>32<\\/strong> 20160715<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/comments\\/\\\">Comments<\\/a>: Allow settings to be modified by UBS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/eventon\\/\\\">EventON<\\/a>: Added experimental ticket syncing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/per-blog-taxonomies\\/\\\">Per Blog Taxonomies<\\/a>: Allow settings to be modified by UBS.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Obey broadcasting_data-&gt;high_priority property from BC v32. This will solve problems with complicated broadcasts that subbroadcast things (like ACF post relations and Download Monitor shortcodes).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Fix allowing normal users to ajax process posts on the post overview screen.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/toolset\\/\\\">Toolset<\\/a>: Merged the Types and Views plugins. Now broadcast CRED forms, types and views.<br \\/>\\nTypes: Obsolete. Please use Toolset add-on instead.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/user-blog-settings\\/\\\">User &amp; Blog Settings<\\/a>: Use better descriptions when editing meta boxes.<br \\/>\\nViews: Obsolete. Please use Toolset add-on instead.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Can now stock sync on its own. Extra removed.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Added experimental order syncing.<\\/p>\\n<p><strong>31<\\/strong> 20160705<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/advanced-custom-fields\\/\\\">ACF<\\/a>: Added support for content preparsing on textarea fields also.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/calendarize-it\\/\\\">Calendarize It<\\/a>: New add-on. Adds support for <a href=\\\"http:\\/\\/codecanyon.net\\/item\\/calendarize-it-for-wordpress\\/2568439\\\">Calendarize It!<\\/a> events.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/delete-before-broadcast\\/\\\">Delete Before Broadcast<\\/a>: Fixed bug which prevented more than one post from being deleted.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/\\\"> Download Monitor<\\/a>: Use the preparse actions to parse download shortcodes everywhere (like in ACF text fields, for example).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/events-manager\\/\\\">Events Manager<\\/a>: New add-on. Adds support for the <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/events-manager\\/\\\">Events Manager<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/local-links\\/\\\">Local Links<\\/a>: Tell the DOMDocument parser to use the utf8 charset - more hardy parsing.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/queue\\/\\\">Queue<\\/a>: Assume a max execution time of 30s when a max time of -1 is encountered. Workaround for bug in wpallexport pro.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/the-events-calendar\\/\\\"> The Events Calendar<\\/a>: Bulk post actions are applied to all recurring events when modifying the main \\/ root event. See the TEC page for details on how to disable this feature. Depending on feedback, this feature can be turned into a menu item.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/types\\/\\\"> Types<\\/a>: Add support for manual broadcast of post types to other blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/views\\/\\\">Views<\\/a>: Add support for manual broadcast of views to other blogs.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/woocommerce\\/\\\">WooCommerce<\\/a>: Add ability to broadcast membership plans.<\\/p>\\n<p><strong>30<\\/strong> 20160606<\\/p>\\n<p>ACF: Extended support for conditional gallery local \\/ global images.<br \\/>\\nACF: Added support for the link field type.<br \\/>\\nACF: Added support for content preparsing, therefore requiring v30 of Broadcast. This will parse links and gallery shortcodes in text, url, link and wysiwyg fields.<br \\/>\\nDownload Monitor: Allow download attachments to be copied to the dlm_uploads subdirectory - the file URL in the version remains unchanged, though.<br \\/>\\nLocal Links: Now uses content preparsing to translate local links in everything that is preparsed, like the text-related ACF field types.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/tao-schedule-update\\/\\\">Tao Schedule Update<\\/a>: Plugin added. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/tao-schedule-update\\/\\\">Tao Schedule Update<\\/a> plugin.<br \\/>\\nThe Events Calendar: Better saving of custom fields upon intial broadcast (instead of having to double publish to get the custom fields to show).<br \\/>\\nUpdate Attachments: Also update the description, alt and caption of the image, not only the file.<\\/p>\\n<p><strong>29.1<\\/strong> 20160418<\\/p>\\n<p><a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/back-to-parent\\/\\\">Back To Parent<\\/a>: More robust handling, now including related posts (for example Download Monitor download versions).<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/download-monitor\\/\\\"> Download Monitor<\\/a>: New plugin. Adds support for downloads and shortcodes from <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/download-monitor\\/\\\">Never5\'s Download Monitor<\\/a> plugin.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/polylang\\/\\\">Polylang<\\/a>: Allow appending of languages. If you manually add languages to the child posts, they will be preserved when the parent post rebroadcasts.<br \\/>\\nPolylang: Prevent language and flag data in the language taxonomy of the child blogs from being overwritten. Now en (US) will not overwrite en (GB) for example.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/protect-child-properties\\/\\\"> Protect Child Properties<\\/a>: Permalink (post_name) can also be protected.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-ultimate-recipe\\/\\\"> WP Ultimate Recipe<\\/a>: Remove debug info.<\\/p>\\n<p><strong>29<\\/strong> 20160405<\\/p>\\n<p>ACF: Added support for the Conditional Gallery field type. See the ACF page for notes on this.<br \\/>\\nACF: Added support for parsing of image links in text and wysiwyg content.<br \\/>\\nAll Blogs: Make superadmin version also clear the cache upon creating new blogs.<br \\/>\\nHreflang: Catchable fatal error fixed when not using any settings.<br \\/>\\nProtect Child Properties: Modification date can be protected also.<br \\/>\\nQueue: During broadcasting, don\'t queue any broadcast requests, to prevent some add-ons from not being able to receive new post numbers during broadcast.<br \\/>\\n<a href=\\\"https:\\/\\/broadcast.plainviewplugins.com\\/addon\\/wp-ultimate-recipe\\/\\\">WP Ultimate Recipe<\\/a>: Plugin has been moved into 3rd party pack.<br \\/>\\nWP Ultimate Recipe: Added support for recipe instruction images.<\\/p>\\n<p>All packs now have RedHat \\/ CentOS SSL workaround for updates automatically enabled.<\\/p>\\n<p><strong>28.4<\\/strong> 20160317<\\/p>\\n<p><a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/hreflang-broadcast-plugin\\/\\\">Hreflang<\\/a>: Plugin added. Adds support for <a href=\\\"https:\\/\\/en.wikipedia.org\\/wiki\\/Hreflang\\\">SEO-friendly hreflang html tags<\\/a>.<\\/p>\\n<p><strong>28.3<\\/strong> 20160309<\\/p>\\n<p><a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/rebroadcast-broadcast-plugin\\/\\\">Rebroadcast<\\/a>: Plugin added. Rebroadcast \\/ update selected parent posts by using a bulk action.<br \\/>\\nUBS: Escape the blog names in the meta box settings.<\\/p>\\n<p><strong>28.2<\\/strong> 20160301<\\/p>\\n<p>ACF: Fix warning when trying to parse fields without values.<br \\/>\\nComments: Fixed bug where comments are blocked on unlinked posts, but with syncing enabled.<br \\/>\\nEventOn: Fix error by checking that the event is using tickets.<br \\/>\\nEventOn: Add support for proper broadcasting of the location and organizer.<br \\/>\\nGeoDirectory: Code fix: Use terms() instead of obsolete equivalent_terms() method.<br \\/>\\nThumbnail Sizes: Fix error when no sizes are set.<\\/p>\\n<p><strong>28.1<\\/strong> 20160208<\\/p>\\n<p><a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/activity-monitor-broadcast-plugin\\/\\\">Activity Monitor<\\/a>: Update compatability with hook class.<br \\/>\\n<a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/post-expirator-broadcast-plugin\\/\\\">Post Expirator<\\/a>: Plugin added. Adds support for Aaron Axelsen\'s <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/post-expirator\\/\\\">Post Expirator<\\/a> plugin.<\\/p>\\n<p><strong>28<\\/strong> 20160118<\\/p>\\n<p>EventON: Plugin added. Adds support for Ashan Jay\'s <a href=\\\"http:\\/\\/www.myeventon.com\\/\\\">EventON<\\/a> plugin with tickets.<\\/p>\\n<p><strong>27.2<\\/strong> 20151215<\\/p>\\n<p>SiteOrigin Page Builder: Plugin added. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/siteorigin-panels\\/\\\">SiteOrigin\'s Page Builder plugin<\\/a>.<br \\/>\\nUser &amp; Blog Settings Post: Fix fatal error.<\\/p>\\n<p><strong>27.1<\\/strong> 20151209<\\/p>\\n<p>ACF: Fix flexible field images for ACF v4. Apparently images in flexfields did not work correctly. ACF v5 untouched.<br \\/>\\nProtect Child Properties: Allow protection for post parent.<\\/p>\\n<p><strong>27<\\/strong> 20151124<\\/p>\\n<p>Avia Layout Builder: Plugin added.<\\/p>\\n<p><strong>26.2<\\/strong> 20151104<\\/p>\\n<p>ACF: Removed taxonomy fields support for non-pro versions of ACF.<\\/p>\\n<p><strong>26.1<\\/strong> 20151103<\\/p>\\n<p>Back To Parent: Fix warning about fake variable.<br \\/>\\nProtect Child Properties: Fix string warnings.<br \\/>\\nWooCommerce: Fix broadcasting products. Asking WooCommerce to return a product is not a good enough check, it has to be checked manually.<\\/p>\\n<p><strong>26<\\/strong> 20151102<\\/p>\\n<p>Update Broadcast before updating this pack. After updating the pack, check that all your normal pack plugins are still activated. I\'ve tested this upgrade myself and for it remembers which plugins were activated, but you never know.<\\/p>\\n<p><a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/bbpress-broadcast-plugin\\/\\\">bbPress<\\/a>: Plugin added. Adds support for <a href=\\\"https:\\/\\/wordpress.org\\/plugins\\/bbpress\\/\\\">BBPress<\\/a> forums, topics and replies.<br \\/>\\nProtect Child Attachments \\/ Author \\/ Content \\/ Status: This is the last time these obsolete plugins will be seen in the pack. Use Protect Child Properties instead.<br \\/>\\n<a href=\\\"https:\\/\\/plainviewplugins.com\\/threewp-broadcast-premium-pack\\/thumbnail-sizes-broadcast-plugin\\/\\\"> Thumbnail Sizes<\\/a>: Plugin added. The plugin allows for different additional thumbnail sizes on a per-blog basis.<br \\/>\\nUser &amp; Blog Settings: Fix harmless error_log warnings when creating or removing a modification.<\\/p>\\n<p><strong>25<\\/strong> 20151024<\\/p>\\n<p>ACF: Check for empty repeater values.<br \\/>\\nACF: Do not broadcast empty relations.<br \\/>\\nSync Taxonomies: Recorder added. Record taxonomy changes and replay them on other blogs in order to mass-create \\/ edit \\/ delete terms with just a few clicks.<br \\/>\\nWooCommerce: Completely ignore all non-products, minimizing risk for unneccessary warnings.<\\/p>\\n<p><strong>24<\\/strong> 20151009<\\/p>\\n<p>ACF: Simplified repeater field handling.<br \\/>\\nGeoDirectory: Plugin added.<\\/p>\\n<p><strong>23.4<\\/strong> 20151003<\\/p>\\n<p>FooGallery: Plugin added.<br \\/>\\nTEC: Support for Additional Fields.<\\/p>\\n<p><strong>23.3<\\/strong> 20150909<\\/p>\\n<p>Blog Groups 2: Clone fatal error fixed.<br \\/>\\nBlog Groups 2: Fixed bug where only the first group was displayed when several groups had the same blogs selected.<br \\/>\\nDuplicate Attachments: Fix file path when duplicating.<br \\/>\\nGEO My WP: Plugin added.<\\/p>\\n<p><strong>23.2<\\/strong> 20150901<\\/p>\\n<p>ACF: Fix warning when encountering empty repeaters in repeaters.<br \\/>\\nACF: Allow using taxonomy term objects as well as term IDs.<br \\/>\\nTablePress: Add support for tables with non-integer IDs.<br \\/>\\nTEC: Remove unneccessary meta box info.<br \\/>\\nWooCommerce: Add support for \\\"German Market\\\" plugin delivery times.<br \\/>\\nWooCommerce: Add support for cross-sells and upsells. The product(s) have to already exist on the child blog and be linked in order to be detected.<br \\/>\\nWooCommerce: Stock status is better updated on broadcasting due to clearing of WooCommerce transients.<\\/p>\\n<p><strong>23.1<\\/strong> 20150804<\\/p>\\n<p>Views: Fix fatal error trying to call non-object custom_fields.<\\/p>\\n<p><strong>23<\\/strong> 20150803<\\/p>\\n<p>All In One Event Calendar: Removed text at the bottom of the meta box.<br \\/>\\nBack To Parent: Fix duplicate posts by using the new *_post_broadcast_data actions.<br \\/>\\nEvent Organiser: Removed text at the bottom of the meta box.<br \\/>\\nGlobal Content Blocks: Plugin added.<br \\/>\\nMetaslider: Plugin added.<br \\/>\\nViews: Removed text at the bottom of the meta box.<br \\/>\\nWPML: Updated plugin to be able to broadcast translations with unpatched WPML v3.1.9.7. Working with the translation manager still requires a patch.<br \\/>\\nWPML: Force same slug for child posts in different languages.<\\/p>\\n<p><strong>22.1<\\/strong> 20150724<\\/p>\\n<p>ACF: Fix add_attachment fatal error.<br \\/>\\nPermlinks: Fix continue error during broadcasting.<\\/p>\\n<p><strong>22<\\/strong> 20150721<\\/p>\\n<p>All In One Event Calendar: Remove unnecessary warning about return_registry().<br \\/>\\nNew Blog Broadcast: Plugin added.<br \\/>\\nPer Blog Taxonomies: Fixed \\\"too much memory\\\" error on some installs when saving the settings.<br \\/>\\nSync Taxonomies: Fix fatal error caused by not updating ST to use the new API.<br \\/>\\nTablePress: Plugin added.<br \\/>\\nThe Events Calendar: Updated to support v3.10.1<br \\/>\\nWooCommerce: Add support for product category images. The images are updated only when broadcasting a product with those product categories set.<br \\/>\\nWooCommerce: Add support for attribute images, as provided by Variation Swatches and Photos.<br \\/>\\nWooCommerce: Force term recount after Broadcast. This fixes the problem of product categories not being visible sometimes.<\\/p>\\n<p><strong>21<\\/strong> 20150705<br \\/>\\nAll Blogs: Cache is now cleared upon creating new blogs. No more need for the cache clearing extra.<br \\/>\\nQueue: Manual processing of queue in debug mode forces broadcast of the item. Time limits are ignored.<br \\/>\\nViews: More debug info.<\\/p>\\n<p><strong>20.1<\\/strong> 20150614<br \\/>\\nDelete Before Broadcast: Added option to unlink children.<br \\/>\\nProtect Child Author \\/ Attachments \\/ Content \\/ Status: Marked as obsolete. Use Protect Child Properties instead.<br \\/>\\nProtect Child Properties: Fix bug when no properties are selected and queue is used.<\\/p>\\n<p><strong>20<\\/strong> 20150609<br \\/>\\nACF: Delete blacklisted custom fields, and those fields in repeaters.<br \\/>\\nACF: Handle single taxonomy values also.<br \\/>\\nACF: Ignore repeater fields that have no values.<br \\/>\\nACF: Ignore taxonomy fields that have no values.<br \\/>\\nBlog Groups 2: Select All \\/ Invert \\/ None functionality added.<br \\/>\\nDelete Before Broadcast: Add \\\"delete same slug\\\" and \\\"delete similar slugs\\\" options.<br \\/>\\nUser &amp; Blog Settings: Fix error on line 155 when saving modifications.<\\/p>\\n<p><strong>19.3<\\/strong> 20150524<br \\/>\\nFind Some Unlinked Children: Exclude presumtive children that have parents or children.<\\/p>\\n<p><strong>19.2<\\/strong> 20150522<br \\/>\\nACF: Fix fatal error message when using taxonomy terms that aren\'t set in the post itself.<\\/p>\\n<p><strong>19.1<\\/strong> 20150521<br \\/>\\nFix error message in Local Links and Keep Child Status.<\\/p>\\n<p><strong>19<\\/strong> 20150519<br \\/>\\nACF: Skip fields that are in the custom field blacklist and the protect list.<br \\/>\\nAll Blogs: New extra: Clear All Blogs Cache plugin to clear the all blogs cache when creating new sites.<br \\/>\\nAttachment Shortcodes: Better handling of nested shortcodes. More robust shortcode handling.<br \\/>\\nDelete Before Broadcast: Plugin added.<br \\/>\\nProtect Child Properties: Plugin added.<br \\/>\\nProtect Child Attachments: Obsolete due to Protect Child Properties plugin.<br \\/>\\nProtect Child Author: Obsolete due to Protect Child Properties plugin.<br \\/>\\nProtect Child Content: Obsolete due to Protect Child Properties plugin.<br \\/>\\nProtect Child Status: Obsolete due to Protect Child Properties plugin.<br \\/>\\nUser &amp; Blog Settings: Better cleaning up of criteria after modification deletion.<br \\/>\\nWooCommerce: Two new extras: stock and PDF vouchers can be automatically synced between parents \\/ children upon each purchase. See the extras directory.<\\/p>\\n<p><strong>18.1<\\/strong> 20150414<br \\/>\\nACF: Fix fatal error when using relationships.<br \\/>\\nPolylang: Pre-emptive fix: Clear language cache after finish broadcasting.<\\/p>\\n<p><strong>18<\\/strong> 20150412<br \\/>\\nACF: Repeater fields can contain repeater fields.<br \\/>\\nACF: Fix for empty flexible layouts.<br \\/>\\nACF: Add support for ACF Pro v5 field groups.<br \\/>\\nAll Blogs: Cache is updated when blogs are created \\/ deleted \\/ undeleted.<br \\/>\\nBlog Groups 2: Plugin added.<br \\/>\\nProtect Child Author: Plugin added.<br \\/>\\nQueue: HTTP processing now allows to processing of queue via cron job.<br \\/>\\nThe Events Calendar: Syncing of calendar events enabled again.<br \\/>\\nNew extra: WP Ultimate Recipe compatability plugin. See extras directory.<br \\/>\\nWooCommerce: More efficient variation handling - they are no longer automatically deleted upon broadcast.<\\/p>\\n<p><strong>17.1<\\/strong> 20150219<br \\/>\\nACF: Add page link type.<br \\/>\\nACF: Fix gallery, relationship, post object types not being handled correctly.<\\/p>\\n<p><strong>17<\\/strong> 20150216<br \\/>\\nACF: File \\/ image fields with URLs now work.<br \\/>\\nACF: Plugin offers lots of hookable actions.<br \\/>\\nFind Some Unlinked Children: Plugin added.<br \\/>\\nQueue: More debug info when queueing posts.<br \\/>\\nSocial Networks Auto Poster: Plugin added.<br \\/>\\nUser Blog Settings: Fix upgrade path: the new criteria table is created before trying to convert old criteria.<br \\/>\\nUser Blog Settings: New UI for modification editing.<br \\/>\\nUser Blog Settings: Post bulk actions can now be hidden in modifications.<br \\/>\\nUser Blog Settings: Summary view gives an overview of all of the modifications made.<\\/p>\\n<p><strong>16<\\/strong> 20150116<br \\/>\\nComments: Hierarchy is preserved.<br \\/>\\nComments: Automatic syncing of linked posts.<br \\/>\\nDuplicate Attachments: Plugin added. Copying of attachments can be exponentially speeded up by using this plugin, which duplicates attachment and thumbnails from the parent blog instead of regenerating them.<br \\/>\\nUser &amp; Blog Settings: Automatically clean up orphaned criteria.<br \\/>\\nUser &amp; Blog Settings: More robust detection of post types.<br \\/>\\nUser &amp; Blog Settings: \\\"On\\\" for checkboxes no longer forces the checkbox to be ticked.<\\/p>\\n<p><strong>15<\\/strong> 20141218<br \\/>\\nNo New Terms: Plugin added.<br \\/>\\nQueue: Add conflict check when marking queue as finished.<br \\/>\\nSend To Many: Remove reference to obsolete js.js<br \\/>\\nUser Blog Settings: Fix display of selected users.<\\/p>\\n<p><strong>14<\\/strong> 20141210<br \\/>\\nLock Posts: Plugin added.<br \\/>\\nMenus: Add option to replace domain URL with that of child blog.<br \\/>\\nBack To Parent: Ignore revision post type.<\\/p>\\n<p><strong>13.1<\\/strong> 20141202<br \\/>\\nQueue: Fixed debugging() error.<br \\/>\\nUser &amp; Blog Settings: Major update with far superior criteria control such as post types and taxonomy terms (specific categories, for example). See new, detailed manual here: <a href=\\\"http:\\/\\/plugins.plainview.se\\/threewp-broadcast-premium-pack\\/user-blog-settings-broadcast-plugin\\/\\\">http:\\/\\/plugins.plainview.se\\/threewp-broadcast-premium-pack\\/user-blog-settings-broadcast-plugin\\/<\\/a><\\/p>\\n<p><strong>13<\\/strong> 20141201<br \\/>\\nPolylang: Plugin added.<br \\/>\\nAll Blogs Superadmin: Plugin added. Allows only superadmins broadcast access to all blogs.<br \\/>\\nACF: Flexible fields can handle more complicated layouts now. Credit tobias@bombayworks.se<br \\/>\\nCustom Field Attachments: Find IDs in all fields and try to unserialize fields.<br \\/>\\nPer Blog Taxonomies: Fix javascript.<br \\/>\\nPermalinks: Fix javascript.<\\/p>\\n<p><strong>12<\\/strong> 20141109<br \\/>\\nSend To Many supports new bulk actions<br \\/>\\nPurge Children supports new post and bulk actions<\\/p>\\n<p><strong>11<\\/strong> 20141029<br \\/>\\nACF: Taxonomy fields are now supported.<br \\/>\\nThe Events Calendar: Plugin added.<br \\/>\\nWooCommerce: Code fix: Use generic way of creating new broadcasting data when broadcasting variations.<\\/p>\\n<p><strong>10<\\/strong> 20141020<br \\/>\\nMenus: Plugin added.<\\/p>\\n<p><strong>9<\\/strong> 20141017<br \\/>\\nACF: Fix fatal error for post objects.<\\/p>\\n<p><strong>8<\\/strong> 20141013<br \\/>\\nPlugins are loaded by classnames instead of exact filenames. Check that your plugins are activated after the upgrade.<br \\/>\\nPermalink settings are clearer (separated fieldsets for global and local).<br \\/>\\nACF: Repeater field supports galleries and relationships.<br \\/>\\nProtect Child Status: Plugin added.<br \\/>\\nWPML: Do not broadcast to blogs that do not have the post\'s language enabled.<br \\/>\\nComments, Protect Child Attachments \\/ Content \\/ Status: fixed fatal error when plugin is enabled with items in the queue.<\\/p>\\n<p><strong>7<\\/strong> 20140923<br \\/>\\nACF: Relationship \\/ object loop prevention.<br \\/>\\nACF: Extra checking for relationships.<br \\/>\\nACF: Add ACF to custom post types automatically.<\\/p>\\n<p><strong>6<\\/strong> 20140909<br \\/>\\nBack To Parent: Plugin added.<br \\/>\\nWooCommerce: Attribute taxonomies are created \\/ updated on each child blog.<\\/p>\\n<p><strong>5<\\/strong> 20140830<br \\/>\\nHide information from non-network admins.<br \\/>\\nQueue: More debug information.<br \\/>\\nQueue: Whole posts can be deleted from the queue, instead of just single items.<br \\/>\\nAll Blogs: Speeup using caching.<br \\/>\\nUser &amp; Blog Settings Post: Speedup using caching.<br \\/>\\nCustom Field Attachments: Better attachment validity checking.<br \\/>\\nWPML: Only broadcast translation manager jobs to those blogs that have the job\'s language.<\\/p>\\n<p><strong>4<\\/strong> 20140814<\\/p>\\n<p>Renamed \\\"Keep Child Attachments\\\" to \\\"Protect Child Attachments\\\"<br \\/>\\nUser &amp; Blog Settings Post: Plugin added.<br \\/>\\nRedirect All Children: Plugin added.<br \\/>\\nProtect Child Content: Plugin added.<br \\/>\\nAll In One Calendar: Plugin added.<\\/p>\\n<p><strong>3<\\/strong> 20140708<\\/p>\\n<p>User &amp; Blog Settings: Select boxes can now just have their values set.<br \\/>\\nKeep Child Attachments: Plugin added.<br \\/>\\nLocalLinks: Disable warnings when loading incorrect HTML.<\\/p>\\n<p><strong>2.24<\\/strong> 20140615<\\/p>\\n<p>Better support for Windows servers.<br \\/>\\nACF: Added support for galleries.<br \\/>\\nWooCommerce: Variation pricing correctly broadcasted.<br \\/>\\nACF: Added support for relationships.<\\/p>\\n<p><strong>2.23<\\/strong> 20140520<br \\/>\\nComments: Plugin added.<br \\/>\\nActivity Monitor: Plugin added.<\\/p>\\n<p><strong>2.21<\\/strong> 20140422<br \\/>\\nCustom Field Attachments: Automatically parses multiple attachment IDs in the same custom field, using non-numbers as separators.<br \\/>\\nPurge Children: Plugin added.<br \\/>\\nQueue: Fix bug where the last items are sometimes not queued.<br \\/>\\nLocal Links: Fixed incompatability with Queue.<\\/p>\\n<p><strong>2.20<\\/strong> 20140412<br \\/>\\nEvent Organiser: Can update event venues when syncing using Sync Taxonomies.<br \\/>\\nSync Taxonomies: Plugin added.<br \\/>\\nNew: Plugins combined into one big premium plugin that enables the various speciality plugins.<br \\/>\\nCustom Field Attachments: Plugin added.<\\/p>\\n<p><strong>2.19<\\/strong> 20140402<br \\/>\\nACF: Support for post objects and files.<br \\/>\\nEvent Organiser: Fix broadcast of event date.<\\/p>\\n<p><strong>2.18<\\/strong> 20140314<br \\/>\\nAttachment Shortcodes: Plugin added.<br \\/>\\nEvent Organiser: Plugin added.<br \\/>\\nACF: New: \\\"Flexible content\\\" field images are correctly copied.<\\/p>\\n<p><strong>2.15<\\/strong> 20140123<br \\/>\\nACF: Fix: same attachment can be used in several image fields.<br \\/>\\nACF: Also handles images in repeater fields.<br \\/>\\nACF: Added compatability with newer versions of ACF that return arrays instead of values.<\\/p>\\n<p><strong>2.14<\\/strong> 20140117<br \\/>\\nQueue: Requires even less memory due to optimizations.<br \\/>\\nUser Blog Settings: Increased compatability with Keep Child Status<\\/p>\\n<p><strong>2.12<\\/strong> 20140112<br \\/>\\nAll Blogs: Plugin added.<br \\/>\\nSend To Many: Compatability with new Broadcast version, fixed missing HTML file.<br \\/>\\nKeep Child Status: Fatal error line 209 fixed.<br \\/>\\nQueue: Round robin, more robustness, fatal errors are displayed.<\\/p>\\n<p><strong>2.11<\\/strong> 20131218<br \\/>\\nQueue: Retry countdown. Better retry handling.<br \\/>\\nQueue: More reliable javascript queuing (ignore unnecessary warnings from other plugins).<br \\/>\\nPer Blog Taxonomies: Plugin added.<br \\/>\\nPermalinks: Plugin added.<br \\/>\\nQueue: Javascripts informs of errors.<\\/p>\\n<p><strong>2.10<\\/strong> 20131121<\\/p>\\n<p>WooCommerce: Plugin added.<br \\/>\\nAdded \\\"Premium\\\" to plugin names.<\\/p>\\n<p><strong>2.9<\\/strong> 20131113<br \\/>\\nKeepChildStatus: Plugin added.<br \\/>\\nUserBlogSettings: Fixed CSS display when testing.<br \\/>\\nUserBlogSettings: Stricter application of criteria.<br \\/>\\nUserBlogSettings: Nicer display of blog names with special characters.<br \\/>\\nUserBlogSettings: Apply JS in the preview box.<br \\/>\\nViews: Fix for removed added_meta_box action.<br \\/>\\nUserBlogSettings: Added support for select modifications.<br \\/>\\nUserBlogSettings: Note about current blog not being visible.<\\/p>\\n<p><strong>2.7<\\/strong> 20131101<br \\/>\\nAdvanced Custom Fields: Plugin added.<br \\/>\\nSendToMany: Fixed send to many button - using new prepare action.<\\/p>\\n<p><strong>2.6<\\/strong> 20131028<br \\/>\\nLocal Links: Plugin added.<\\/p>\\n<p><strong>2.4<\\/strong> 20131018<br \\/>\\nUser &amp; Blog Settings: Plugin added.<\\/p>\\n<p><strong>2.3<\\/strong> 20131011<br \\/>\\nSend To Many: Plugin added.<br \\/>\\nQueue: Added process data caching.<\\/p>\\n<p><strong>2.2<\\/strong> 20131007<br \\/>\\nViews: Plugin added.<\\/p>\\n<p><strong>2.0<\\/strong> 20131006<br \\/>\\nInitial release to coincide with Broadcast 2.0.<br \\/>\\nQueue: Plugin added.<\\/p>\\n\"],\"plugin\":\"threewp-broadcast-premium-pack\\/ThreeWP_Broadcast_Premium_Pack.php\",\"id\":\"threewp-broadcast-premium-pack\\/ThreeWP_Broadcast_Premium_Pack.php\"}\";}','no');
INSERT INTO `wp_options` VALUES (345881,'new_user_7jH68jNAItbA9oKhD4Vq','a:3:{s:7:\"user_id\";i:15;s:5:\"email\";s:20:\"lance@reachagency.co\";s:4:\"role\";s:13:\"administrator\";}','yes'),(35414,'admin_email_lifespan','1670456131','yes'),(35429,'user_role_editor','a:35:{s:11:\"ure_version\";s:6:\"4.62.1\";s:15:\"show_admin_role\";s:1:\"1\";s:17:\"ure_caps_readable\";s:1:\"1\";s:24:\"ure_show_deprecated_caps\";i:0;s:23:\"ure_confirm_role_update\";s:1:\"1\";s:14:\"edit_user_caps\";s:1:\"1\";s:18:\"caps_columns_quant\";i:3;s:26:\"show_notices_to_admin_only\";s:1:\"1\";s:11:\"license_key\";s:64:\"ef315a4ac8b29ec482071c13c80b05d0c48c8e65e5794d8e04cf60e2341b650c\";s:33:\"activate_admin_menu_access_module\";s:1:\"1\";s:37:\"activate_front_end_menu_access_module\";s:1:\"1\";s:30:\"activate_widgets_access_module\";i:0;s:35:\"activate_widgets_show_access_module\";i:0;s:33:\"activate_meta_boxes_access_module\";s:1:\"1\";s:34:\"activate_other_roles_access_module\";i:0;s:31:\"manage_plugin_activation_access\";s:1:\"1\";s:32:\"activate_page_permissions_viewer\";i:0;s:25:\"activate_export_roles_csv\";s:1:\"1\";s:24:\"manage_posts_edit_access\";s:1:\"1\";s:31:\"activate_create_post_capability\";i:1;s:36:\"force_custom_post_types_capabilities\";s:1:\"1\";s:36:\"activate_content_for_roles_shortcode\";i:0;s:26:\"activate_content_for_roles\";i:0;s:20:\"cvr_defaults_visible\";s:1:\"0\";s:29:\"activate_add_caps_for_plugins\";i:0;s:31:\"activate_add_caps_for_languages\";i:0;s:29:\"activate_add_caps_for_privacy\";i:0;s:35:\"allow_edit_users_to_not_super_admin\";i:0;s:33:\"enable_simple_admin_for_multisite\";i:0;s:25:\"enable_unfiltered_html_ms\";s:1:\"1\";s:20:\"manage_themes_access\";i:0;s:37:\"caps_access_restrict_for_simple_admin\";i:0;s:29:\"add_del_role_for_simple_admin\";i:1;s:29:\"caps_allowed_for_single_admin\";a:0:{}s:28:\"force_admin_menu_copy_update\";i:0;}','yes'),(35430,'wp_backup_user_roles','a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:61:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:34:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}','no'),(35431,'ure_tasks_queue','a:0:{}','yes'),(35444,'ure_admin_menu_copy','a:22:{i:1;a:4:{i:0;s:12:\"CLICKS Pages\";i:1;s:8:\"edit_lps\";i:2;s:21:\"edit.php?post_type=lp\";i:3;s:21:\"edit.php?post_type=lp\";}s:7:\"1.04602\";a:4:{i:0;s:15:\"Global Settings\";i:1;s:10:\"edit_posts\";i:2;s:17:\"acf-options-logos\";i:3;s:32:\"admin.php?page=acf-options-logos\";}s:6:\"1.4022\";a:4:{i:0;s:12:\"CLICKS Forms\";i:1;s:10:\"edit_posts\";i:2;s:32:\"acf-options-clicks-form-settings\";i:3;s:47:\"admin.php?page=acf-options-clicks-form-settings\";}s:7:\"1.22602\";a:4:{i:0;s:13:\"Location Info\";i:1;s:14:\"manage_options\";i:2;s:20:\"update-location-info\";i:3;s:35:\"admin.php?page=update-location-info\";}s:7:\"1.42668\";a:4:{i:0;s:14:\"Style Settings\";i:1;s:10:\"edit_posts\";i:2;s:17:\"acf-options-fonts\";i:3;s:32:\"admin.php?page=acf-options-fonts\";}s:7:\"1.88064\";a:4:{i:0;s:9:\"ClubReady\";i:1;s:10:\"edit_posts\";i:2;s:29:\"acf-options-cr-field-settings\";i:3;s:44:\"admin.php?page=acf-options-cr-field-settings\";}i:2;a:4:{i:0;s:9:\"Dashboard\";i:1;s:4:\"read\";i:2;s:9:\"index.php\";i:3;s:9:\"index.php\";}i:5;a:4:{i:0;s:5:\"Posts\";i:1;s:10:\"edit_posts\";i:2;s:8:\"edit.php\";i:3;s:8:\"edit.php\";}i:10;a:4:{i:0;s:5:\"Media\";i:1;s:12:\"upload_files\";i:2;s:10:\"upload.php\";i:3;s:10:\"upload.php\";}i:15;a:4:{i:0;s:5:\"Links\";i:1;s:12:\"manage_links\";i:2;s:36:\"edit-tags.php?taxonomy=link_category\";i:3;s:36:\"edit-tags.php?taxonomy=link_category\";}i:20;a:4:{i:0;s:5:\"Pages\";i:1;s:10:\"edit_pages\";i:2;s:23:\"edit.php?post_type=page\";i:3;s:23:\"edit.php?post_type=page\";}i:21;a:4:{i:0;s:12:\"Testimonials\";i:1;s:17:\"edit_testimonials\";i:2;s:30:\"edit.php?post_type=testimonial\";i:3;s:30:\"edit.php?post_type=testimonial\";}i:22;a:4:{i:0;s:4:\"FAQs\";i:1;s:9:\"edit_faqs\";i:2;s:22:\"edit.php?post_type=faq\";i:3;s:22:\"edit.php?post_type=faq\";}i:25;a:4:{i:0;s:198:\"Comments <span class=\"awaiting-mod count-0\"><span class=\"pending-count\" aria-hidden=\"true\">0</span><span class=\"comments-in-moderation-text screen-reader-text\">0 Comments in moderation</span></span>\";i:1;s:10:\"edit_posts\";i:2;s:17:\"edit-comments.php\";i:3;s:17:\"edit-comments.php\";}i:60;a:4:{i:0;s:10:\"Appearance\";i:1;s:13:\"switch_themes\";i:2;s:10:\"themes.php\";i:3;s:10:\"themes.php\";}i:65;a:4:{i:0;s:8:\"Plugins \";i:1;s:16:\"activate_plugins\";i:2;s:11:\"plugins.php\";i:3;s:11:\"plugins.php\";}i:70;a:4:{i:0;s:5:\"Users\";i:1;s:10:\"list_users\";i:2;s:9:\"users.php\";i:3;s:9:\"users.php\";}i:75;a:4:{i:0;s:5:\"Tools\";i:1;s:10:\"edit_posts\";i:2;s:9:\"tools.php\";i:3;s:9:\"tools.php\";}i:80;a:4:{i:0;s:8:\"Settings\";i:1;s:14:\"manage_options\";i:2;s:19:\"options-general.php\";i:3;s:19:\"options-general.php\";}s:7:\"80.2686\";a:4:{i:0;s:13:\"Custom Fields\";i:1;s:14:\"manage_options\";i:2;s:34:\"edit.php?post_type=acf-field-group\";i:3;s:34:\"edit.php?post_type=acf-field-group\";}i:98;a:4:{i:0;s:12:\"WP Mail SMTP\";i:1;s:14:\"manage_options\";i:2;s:12:\"wp-mail-smtp\";i:3;s:27:\"admin.php?page=wp-mail-smtp\";}i:100;a:4:{i:0;s:9:\"Broadcast\";i:1;s:10:\"edit_posts\";i:2;s:17:\"threewp-broadcast\";i:3;s:32:\"admin.php?page=threewp-broadcast\";}}','no'),(35445,'ure_admin_sub_menu_copy','a:21:{s:9:\"index.php\";a:2:{i:0;a:4:{i:0;s:4:\"Home\";i:1;s:4:\"read\";i:2;s:9:\"index.php\";i:3;s:9:\"index.php\";}i:5;a:4:{i:0;s:8:\"My Sites\";i:1;s:4:\"read\";i:2;s:12:\"my-sites.php\";i:3;s:12:\"my-sites.php\";}}s:10:\"upload.php\";a:2:{i:5;a:4:{i:0;s:7:\"Library\";i:1;s:12:\"upload_files\";i:2;s:10:\"upload.php\";i:3;s:10:\"upload.php\";}i:10;a:4:{i:0;s:7:\"Add New\";i:1;s:12:\"upload_files\";i:2;s:13:\"media-new.php\";i:3;s:13:\"media-new.php\";}}s:17:\"edit-comments.php\";a:1:{i:0;a:4:{i:0;s:12:\"All Comments\";i:1;s:10:\"edit_posts\";i:2;s:17:\"edit-comments.php\";i:3;s:17:\"edit-comments.php\";}}s:8:\"edit.php\";a:4:{i:5;a:4:{i:0;s:9:\"All Posts\";i:1;s:10:\"edit_posts\";i:2;s:8:\"edit.php\";i:3;s:8:\"edit.php\";}i:10;a:4:{i:0;s:7:\"Add New\";i:1;s:12:\"create_posts\";i:2;s:12:\"post-new.php\";i:3;s:12:\"post-new.php\";}i:15;a:4:{i:0;s:10:\"Categories\";i:1;s:17:\"manage_categories\";i:2;s:31:\"edit-tags.php?taxonomy=category\";i:3;s:31:\"edit-tags.php?taxonomy=category\";}i:16;a:4:{i:0;s:4:\"Tags\";i:1;s:16:\"manage_post_tags\";i:2;s:31:\"edit-tags.php?taxonomy=post_tag\";i:3;s:31:\"edit-tags.php?taxonomy=post_tag\";}}s:23:\"edit.php?post_type=page\";a:2:{i:5;a:4:{i:0;s:9:\"All Pages\";i:1;s:10:\"edit_pages\";i:2;s:23:\"edit.php?post_type=page\";i:3;s:23:\"edit.php?post_type=page\";}i:10;a:4:{i:0;s:7:\"Add New\";i:1;s:12:\"create_pages\";i:2;s:27:\"post-new.php?post_type=page\";i:3;s:27:\"post-new.php?post_type=page\";}}s:21:\"edit.php?post_type=lp\";a:2:{i:5;a:4:{i:0;s:12:\"CLICKS Pages\";i:1;s:8:\"edit_lps\";i:2;s:21:\"edit.php?post_type=lp\";i:3;s:21:\"edit.php?post_type=lp\";}i:10;a:4:{i:0;s:7:\"Add New\";i:1;s:10:\"create_lps\";i:2;s:25:\"post-new.php?post_type=lp\";i:3;s:25:\"post-new.php?post_type=lp\";}}s:30:\"edit.php?post_type=testimonial\";a:3:{i:5;a:4:{i:0;s:12:\"Testimonials\";i:1;s:17:\"edit_testimonials\";i:2;s:30:\"edit.php?post_type=testimonial\";i:3;s:30:\"edit.php?post_type=testimonial\";}i:10;a:4:{i:0;s:7:\"Add New\";i:1;s:19:\"create_testimonials\";i:2;s:34:\"post-new.php?post_type=testimonial\";i:3;s:34:\"post-new.php?post_type=testimonial\";}i:15;a:4:{i:0;s:10:\"Categories\";i:1;s:17:\"manage_categories\";i:2;s:57:\"edit-tags.php?taxonomy=category&amp;post_type=testimonial\";i:3;s:57:\"edit-tags.php?taxonomy=category&amp;post_type=testimonial\";}}s:22:\"edit.php?post_type=faq\";a:3:{i:5;a:4:{i:0;s:4:\"FAQs\";i:1;s:9:\"edit_faqs\";i:2;s:22:\"edit.php?post_type=faq\";i:3;s:22:\"edit.php?post_type=faq\";}i:10;a:4:{i:0;s:7:\"Add New\";i:1;s:11:\"create_faqs\";i:2;s:26:\"post-new.php?post_type=faq\";i:3;s:26:\"post-new.php?post_type=faq\";}i:15;a:4:{i:0;s:10:\"Categories\";i:1;s:17:\"manage_categories\";i:2;s:49:\"edit-tags.php?taxonomy=category&amp;post_type=faq\";i:3;s:49:\"edit-tags.php?taxonomy=category&amp;post_type=faq\";}}s:10:\"themes.php\";a:2:{i:5;a:4:{i:0;s:7:\"Themes \";i:1;s:13:\"switch_themes\";i:2;s:10:\"themes.php\";i:3;s:10:\"themes.php\";}i:6;a:5:{i:0;s:9:\"Customize\";i:1;s:9:\"customize\";i:2;s:35:\"customize.php?return=%2Fwp-admin%2F\";i:3;s:13:\"customize.php\";i:4;s:20:\"hide-if-no-customize\";}}s:11:\"plugins.php\";a:1:{i:5;a:4:{i:0;s:17:\"Installed Plugins\";i:1;s:16:\"activate_plugins\";i:2;s:11:\"plugins.php\";i:3;s:11:\"plugins.php\";}}s:9:\"users.php\";a:4:{i:5;a:4:{i:0;s:9:\"All Users\";i:1;s:10:\"list_users\";i:2;s:9:\"users.php\";i:3;s:9:\"users.php\";}i:10;a:4:{i:0;s:7:\"Add New\";i:1;s:12:\"create_users\";i:2;s:12:\"user-new.php\";i:3;s:12:\"user-new.php\";}i:15;a:4:{i:0;s:7:\"Profile\";i:1;s:4:\"read\";i:2;s:11:\"profile.php\";i:3;s:11:\"profile.php\";}i:16;a:4:{i:0;s:16:\"User Role Editor\";i:1;s:14:\"ure_edit_roles\";i:2;s:30:\"users-user-role-editor-pro.php\";i:3;s:45:\"users.php?page=users-user-role-editor-pro.php\";}}s:9:\"tools.php\";a:9:{i:5;a:4:{i:0;s:15:\"Available Tools\";i:1;s:10:\"edit_posts\";i:2;s:9:\"tools.php\";i:3;s:9:\"tools.php\";}i:10;a:4:{i:0;s:6:\"Import\";i:1;s:6:\"import\";i:2;s:10:\"import.php\";i:3;s:10:\"import.php\";}i:15;a:4:{i:0;s:6:\"Export\";i:1;s:6:\"export\";i:2;s:10:\"export.php\";i:3;s:10:\"export.php\";}i:20;a:4:{i:0;s:11:\"Site Health\";i:1;s:23:\"view_site_health_checks\";i:2;s:15:\"site-health.php\";i:3;s:15:\"site-health.php\";}i:25;a:4:{i:0;s:20:\"Export Personal Data\";i:1;s:27:\"export_others_personal_data\";i:2;s:24:\"export-personal-data.php\";i:3;s:24:\"export-personal-data.php\";}i:30;a:4:{i:0;s:19:\"Erase Personal Data\";i:1;s:26:\"erase_others_personal_data\";i:2;s:23:\"erase-personal-data.php\";i:3;s:23:\"erase-personal-data.php\";}i:31;a:4:{i:0;s:11:\"Cron Events\";i:1;s:14:\"manage_options\";i:2;s:26:\"crontrol_admin_manage_page\";i:3;s:41:\"tools.php?page=crontrol_admin_manage_page\";}i:32;a:4:{i:0;s:17:\"Scheduled Actions\";i:1;s:14:\"manage_options\";i:2;s:16:\"action-scheduler\";i:3;s:31:\"tools.php?page=action-scheduler\";}i:33;a:4:{i:0;s:11:\"Redirection\";i:1;s:14:\"manage_options\";i:2;s:15:\"redirection.php\";i:3;s:30:\"tools.php?page=redirection.php\";}}s:19:\"options-general.php\";a:11:{i:10;a:4:{i:0;s:7:\"General\";i:1;s:14:\"manage_options\";i:2;s:19:\"options-general.php\";i:3;s:19:\"options-general.php\";}i:15;a:4:{i:0;s:7:\"Writing\";i:1;s:14:\"manage_options\";i:2;s:19:\"options-writing.php\";i:3;s:19:\"options-writing.php\";}i:20;a:4:{i:0;s:7:\"Reading\";i:1;s:14:\"manage_options\";i:2;s:19:\"options-reading.php\";i:3;s:19:\"options-reading.php\";}i:25;a:4:{i:0;s:10:\"Discussion\";i:1;s:14:\"manage_options\";i:2;s:22:\"options-discussion.php\";i:3;s:22:\"options-discussion.php\";}i:30;a:4:{i:0;s:5:\"Media\";i:1;s:14:\"manage_options\";i:2;s:17:\"options-media.php\";i:3;s:17:\"options-media.php\";}i:40;a:4:{i:0;s:10:\"Permalinks\";i:1;s:14:\"manage_options\";i:2;s:21:\"options-permalink.php\";i:3;s:21:\"options-permalink.php\";}i:45;a:4:{i:0;s:7:\"Privacy\";i:1;s:22:\"manage_privacy_options\";i:2;s:19:\"options-privacy.php\";i:3;s:19:\"options-privacy.php\";}i:46;a:4:{i:0;s:14:\"Duplicate Page\";i:1;s:14:\"manage_options\";i:2;s:23:\"duplicate_page_settings\";i:3;s:48:\"options-general.php?page=duplicate_page_settings\";}i:47;a:4:{i:0;s:8:\"SCPOrder\";i:1;s:14:\"manage_options\";i:2;s:17:\"scporder-settings\";i:3;s:42:\"options-general.php?page=scporder-settings\";}i:48;a:4:{i:0;s:40:\"Advanced Editor Tools (TinyMCE Advanced)\";i:1;s:14:\"manage_options\";i:2;s:16:\"tinymce-advanced\";i:3;s:41:\"options-general.php?page=tinymce-advanced\";}i:49;a:4:{i:0;s:14:\"Cron Schedules\";i:1;s:14:\"manage_options\";i:2;s:27:\"crontrol_admin_options_page\";i:3;s:52:\"options-general.php?page=crontrol_admin_options_page\";}}s:36:\"edit-tags.php?taxonomy=link_category\";a:1:{i:15;a:4:{i:0;s:15:\"Link Categories\";i:1;s:17:\"manage_categories\";i:2;s:36:\"edit-tags.php?taxonomy=link_category\";i:3;s:36:\"edit-tags.php?taxonomy=link_category\";}}s:34:\"edit.php?post_type=acf-field-group\";a:4:{i:0;a:4:{i:0;s:12:\"Field Groups\";i:1;s:14:\"manage_options\";i:2;s:34:\"edit.php?post_type=acf-field-group\";i:3;s:34:\"edit.php?post_type=acf-field-group\";}i:1;a:4:{i:0;s:7:\"Add New\";i:1;s:14:\"manage_options\";i:2;s:38:\"post-new.php?post_type=acf-field-group\";i:3;s:38:\"post-new.php?post_type=acf-field-group\";}i:2;a:4:{i:0;s:5:\"Tools\";i:1;s:14:\"manage_options\";i:2;s:9:\"acf-tools\";i:3;s:53:\"edit.php?post_type=acf-field-group&amp;page=acf-tools\";}i:3;a:4:{i:0;s:7:\"Updates\";i:1;s:14:\"manage_options\";i:2;s:20:\"acf-settings-updates\";i:3;s:64:\"edit.php?post_type=acf-field-group&amp;page=acf-settings-updates\";}}s:17:\"threewp-broadcast\";a:7:{i:0;a:4:{i:0;s:9:\"Broadcast\";i:1;s:10:\"edit_posts\";i:2;s:17:\"threewp-broadcast\";i:3;s:32:\"admin.php?page=threewp-broadcast\";}i:1;a:4:{i:0;s:7:\"Add-ons\";i:1;s:10:\"edit_posts\";i:2;s:5:\"bc_pp\";i:3;s:20:\"admin.php?page=bc_pp\";}i:2;a:4:{i:0;s:3:\"ACF\";i:1;s:10:\"edit_posts\";i:2;s:13:\"broadcast_acf\";i:3;s:28:\"admin.php?page=broadcast_acf\";}i:3;a:4:{i:0;s:11:\"Bulk Cloner\";i:1;s:10:\"edit_posts\";i:2;s:14:\"bc_bulk_cloner\";i:3;s:29:\"admin.php?page=bc_bulk_cloner\";}i:4;a:4:{i:0;s:12:\"Copy options\";i:1;s:10:\"edit_posts\";i:2;s:22:\"broadcast_copy_options\";i:3;s:37:\"admin.php?page=broadcast_copy_options\";}i:5;a:4:{i:0;s:5:\"Queue\";i:1;s:10:\"edit_posts\";i:2;s:23:\"threewp_broadcast_queue\";i:3;s:38:\"admin.php?page=threewp_broadcast_queue\";}i:6;a:4:{i:0;s:14:\"User Role Sync\";i:1;s:10:\"edit_posts\";i:2;s:32:\"threewp_broadcast_user_role_sync\";i:3;s:47:\"admin.php?page=threewp_broadcast_user_role_sync\";}}s:12:\"wp-mail-smtp\";a:5:{i:0;a:4:{i:0;s:8:\"Settings\";i:1;s:14:\"manage_options\";i:2;s:12:\"wp-mail-smtp\";i:3;s:27:\"admin.php?page=wp-mail-smtp\";}i:1;a:4:{i:0;s:9:\"Email Log\";i:1;s:14:\"manage_options\";i:2;s:17:\"wp-mail-smtp-logs\";i:3;s:32:\"admin.php?page=wp-mail-smtp-logs\";}i:2;a:4:{i:0;s:13:\"Email Reports\";i:1;s:14:\"manage_options\";i:2;s:20:\"wp-mail-smtp-reports\";i:3;s:35:\"admin.php?page=wp-mail-smtp-reports\";}i:3;a:4:{i:0;s:5:\"Tools\";i:1;s:14:\"manage_options\";i:2;s:18:\"wp-mail-smtp-tools\";i:3;s:33:\"admin.php?page=wp-mail-smtp-tools\";}i:4;a:4:{i:0;s:8:\"About Us\";i:1;s:14:\"manage_options\";i:2;s:18:\"wp-mail-smtp-about\";i:3;s:33:\"admin.php?page=wp-mail-smtp-about\";}}s:29:\"acf-options-cr-field-settings\";a:2:{i:0;a:4:{i:0;s:17:\"CR Field Settings\";i:1;s:10:\"edit_posts\";i:2;s:29:\"acf-options-cr-field-settings\";i:3;s:44:\"admin.php?page=acf-options-cr-field-settings\";}i:1;a:4:{i:0;s:16:\"CR Form Settings\";i:1;s:10:\"edit_posts\";i:2;s:28:\"acf-options-cr-form-settings\";i:3;s:43:\"admin.php?page=acf-options-cr-form-settings\";}}s:17:\"acf-options-logos\";a:3:{i:0;a:4:{i:0;s:5:\"Logos\";i:1;s:10:\"edit_posts\";i:2;s:17:\"acf-options-logos\";i:3;s:32:\"admin.php?page=acf-options-logos\";}i:1;a:4:{i:0;s:12:\"Contact Info\";i:1;s:10:\"edit_posts\";i:2;s:24:\"acf-options-contact-info\";i:3;s:39:\"admin.php?page=acf-options-contact-info\";}i:2;a:4:{i:0;s:13:\"Tracking Info\";i:1;s:10:\"edit_posts\";i:2;s:25:\"acf-options-tracking-info\";i:3;s:40:\"admin.php?page=acf-options-tracking-info\";}}s:17:\"acf-options-fonts\";a:3:{i:0;a:4:{i:0;s:5:\"Fonts\";i:1;s:10:\"edit_posts\";i:2;s:17:\"acf-options-fonts\";i:3;s:32:\"admin.php?page=acf-options-fonts\";}i:1;a:4:{i:0;s:6:\"Colors\";i:1;s:10:\"edit_posts\";i:2;s:18:\"acf-options-colors\";i:3;s:33:\"admin.php?page=acf-options-colors\";}i:2;a:4:{i:0;s:10:\"Animations\";i:1;s:10:\"edit_posts\";i:2;s:22:\"acf-options-animations\";i:3;s:37:\"admin.php?page=acf-options-animations\";}}s:32:\"acf-options-clicks-form-settings\";a:1:{i:0;a:4:{i:0;s:20:\"CLICKS Form Settings\";i:1;s:10:\"edit_posts\";i:2;s:32:\"acf-options-clicks-form-settings\";i:3;s:47:\"admin.php?page=acf-options-clicks-form-settings\";}}}','no'),(35446,'ure_admin_menu_hashes','a:73:{s:9:\"index.php\";i:1;s:12:\"my-sites.php\";i:1;s:10:\"upload.php\";i:1;s:13:\"media-new.php\";i:1;s:36:\"edit-tags.php?taxonomy=link_category\";i:1;s:17:\"edit-comments.php\";i:1;s:8:\"edit.php\";i:1;s:12:\"post-new.php\";i:1;s:31:\"edit-tags.php?taxonomy=category\";i:1;s:31:\"edit-tags.php?taxonomy=post_tag\";i:1;s:23:\"edit.php?post_type=page\";i:1;s:27:\"post-new.php?post_type=page\";i:1;s:21:\"edit.php?post_type=lp\";i:1;s:25:\"post-new.php?post_type=lp\";i:1;s:30:\"edit.php?post_type=testimonial\";i:1;s:34:\"post-new.php?post_type=testimonial\";i:1;s:57:\"edit-tags.php?taxonomy=category&amp;post_type=testimonial\";i:1;s:22:\"edit.php?post_type=faq\";i:1;s:26:\"post-new.php?post_type=faq\";i:1;s:49:\"edit-tags.php?taxonomy=category&amp;post_type=faq\";i:1;s:10:\"themes.php\";i:1;s:13:\"customize.php\";i:1;s:11:\"plugins.php\";i:1;s:9:\"users.php\";i:1;s:12:\"user-new.php\";i:1;s:11:\"profile.php\";i:1;s:45:\"users.php?page=users-user-role-editor-pro.php\";i:1;s:9:\"tools.php\";i:1;s:10:\"import.php\";i:1;s:10:\"export.php\";i:1;s:15:\"site-health.php\";i:1;s:24:\"export-personal-data.php\";i:1;s:23:\"erase-personal-data.php\";i:1;s:41:\"tools.php?page=crontrol_admin_manage_page\";i:1;s:31:\"tools.php?page=action-scheduler\";i:1;s:30:\"tools.php?page=redirection.php\";i:1;s:19:\"options-general.php\";i:1;s:19:\"options-writing.php\";i:1;s:19:\"options-reading.php\";i:1;s:22:\"options-discussion.php\";i:1;s:17:\"options-media.php\";i:1;s:21:\"options-permalink.php\";i:1;s:19:\"options-privacy.php\";i:1;s:48:\"options-general.php?page=duplicate_page_settings\";i:1;s:42:\"options-general.php?page=scporder-settings\";i:1;s:41:\"options-general.php?page=tinymce-advanced\";i:1;s:52:\"options-general.php?page=crontrol_admin_options_page\";i:1;s:34:\"edit.php?post_type=acf-field-group\";i:1;s:38:\"post-new.php?post_type=acf-field-group\";i:1;s:53:\"edit.php?post_type=acf-field-group&amp;page=acf-tools\";i:1;s:64:\"edit.php?post_type=acf-field-group&amp;page=acf-settings-updates\";i:1;s:35:\"admin.php?page=update-location-info\";i:1;s:32:\"admin.php?page=threewp-broadcast\";i:1;s:20:\"admin.php?page=bc_pp\";i:1;s:28:\"admin.php?page=broadcast_acf\";i:1;s:29:\"admin.php?page=bc_bulk_cloner\";i:1;s:37:\"admin.php?page=broadcast_copy_options\";i:1;s:38:\"admin.php?page=threewp_broadcast_queue\";i:1;s:47:\"admin.php?page=threewp_broadcast_user_role_sync\";i:1;s:27:\"admin.php?page=wp-mail-smtp\";i:1;s:32:\"admin.php?page=wp-mail-smtp-logs\";i:1;s:35:\"admin.php?page=wp-mail-smtp-reports\";i:1;s:33:\"admin.php?page=wp-mail-smtp-tools\";i:1;s:33:\"admin.php?page=wp-mail-smtp-about\";i:1;s:44:\"admin.php?page=acf-options-cr-field-settings\";i:1;s:43:\"admin.php?page=acf-options-cr-form-settings\";i:1;s:32:\"admin.php?page=acf-options-logos\";i:1;s:39:\"admin.php?page=acf-options-contact-info\";i:1;s:40:\"admin.php?page=acf-options-tracking-info\";i:1;s:32:\"admin.php?page=acf-options-fonts\";i:1;s:33:\"admin.php?page=acf-options-colors\";i:1;s:37:\"admin.php?page=acf-options-animations\";i:1;s:47:\"admin.php?page=acf-options-clicks-form-settings\";i:1;}','yes'),(35447,'ure_meta_boxes_list_copy','a:45:{s:32:\"0071385066f0d48b8d21228663e9f796\";O:8:\"stdClass\":5:{s:2:\"id\";s:19:\"dashboard_right_now\";s:5:\"title\";s:11:\"At a Glance\";s:6:\"screen\";s:9:\"dashboard\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"a65f4266e6104b3d607700c0a96c4c21\";O:8:\"stdClass\":5:{s:2:\"id\";s:18:\"dashboard_activity\";s:5:\"title\";s:8:\"Activity\";s:6:\"screen\";s:9:\"dashboard\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"b13242c3736327cd02513a614e461ad5\";O:8:\"stdClass\":5:{s:2:\"id\";s:21:\"dashboard_quick_press\";s:5:\"title\";s:97:\"<span class=\"hide-if-no-js\">Quick Draft</span> <span class=\"hide-if-js\">Your Recent Drafts</span>\";s:6:\"screen\";s:9:\"dashboard\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"1927cd2186cfb51d911228623e25bea5\";O:8:\"stdClass\":5:{s:2:\"id\";s:17:\"dashboard_primary\";s:5:\"title\";s:25:\"WordPress Events and News\";s:6:\"screen\";s:9:\"dashboard\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"fb544f36f2162c7e77a07475fc838871\";O:8:\"stdClass\":5:{s:2:\"id\";s:9:\"submitdiv\";s:5:\"title\";s:7:\"Publish\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"7caf7193185b0360dad89c59ff7709e4\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5c804db294dc8\";s:5:\"title\";s:24:\"ClubReady Field Override\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"f85aed491228da354654043313485692\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5c840bb23ecc1\";s:5:\"title\";s:24:\"ClubReady Form Shortcode\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"a3e1025494444877bb1076f35fd7154e\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5c896336d2e31\";s:5:\"title\";s:15:\"Countdown Timer\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"dc323891b7ab5fb0907c41ebe4c75a53\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5d0d36d939421\";s:5:\"title\";s:16:\"Page Description\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"1ece4d5dc78bdb2a082954c61e82dcec\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5cc1fc60cfc22\";s:5:\"title\";s:10:\"Shortcodes\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"5185b6dfc2e188ecccd872b7317c0102\";O:8:\"stdClass\":5:{s:2:\"id\";s:17:\"threewp_broadcast\";s:5:\"title\";s:9:\"Broadcast\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:3:\"low\";}s:32:\"ea5426830f7c8a7c92c13416b8dac2e2\";O:8:\"stdClass\":5:{s:2:\"id\";s:7:\"slugdiv\";s:5:\"title\";s:4:\"Slug\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"1c9de5b4c462e90b1775e2ccde19f014\";O:8:\"stdClass\":5:{s:2:\"id\";s:9:\"authordiv\";s:5:\"title\";s:6:\"Author\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"a31e6d30e5d6638718aecc05897797d2\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5c5a12126ead9\";s:5:\"title\";s:11:\"Hero Panels\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"high\";}s:32:\"a2832b4ef232600a6e06483710763e80\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5c4ca5d69087e\";s:5:\"title\";s:14:\"Content Panels\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"high\";}s:32:\"4df77f072b4fed78a92ae0b77fb8832f\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5c74278b10ebf\";s:5:\"title\";s:13:\"Footer Panels\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"high\";}s:32:\"0c20426d4e090ab05a4d89f67d0a88d5\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5c8ab548d9c40\";s:5:\"title\";s:24:\"ClubReady Form Overrides\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"high\";}s:32:\"a41a432f5ec5e5cd8b8e38e3cd12cf1b\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5c8ac5e7c3cb5\";s:5:\"title\";s:23:\"Tracking Info Overrides\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"high\";}s:32:\"95b8afbb541e2df1f0d65b4f1c2550ec\";O:8:\"stdClass\":5:{s:2:\"id\";s:17:\"threewp_broadcast\";s:5:\"title\";s:9:\"Broadcast\";s:6:\"screen\";s:3:\"acf\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:3:\"low\";}s:32:\"8580f26881b37162afdb3c421e4c77e9\";O:8:\"stdClass\":5:{s:2:\"id\";s:17:\"threewp_broadcast\";s:5:\"title\";s:9:\"Broadcast\";s:6:\"screen\";s:15:\"acf-field-group\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:3:\"low\";}s:32:\"2fceabe8eba2ea12072230e103e3e37e\";O:8:\"stdClass\":5:{s:2:\"id\";s:17:\"threewp_broadcast\";s:5:\"title\";s:9:\"Broadcast\";s:6:\"screen\";s:9:\"wpcf7-new\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:3:\"low\";}s:32:\"f3eb12896c7e9ca987e91546c900efe8\";O:8:\"stdClass\":5:{s:2:\"id\";s:12:\"revisionsdiv\";s:5:\"title\";s:9:\"Revisions\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"9c0aa5951040ea0368c3f9bedee89ea2\";O:8:\"stdClass\":5:{s:2:\"id\";s:27:\"network_dashboard_right_now\";s:5:\"title\";s:9:\"Right Now\";s:6:\"screen\";s:17:\"dashboard-network\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"055c223c0b79e4ab7f41a4ed6fa8f418\";O:8:\"stdClass\":5:{s:2:\"id\";s:17:\"dashboard_primary\";s:5:\"title\";s:25:\"WordPress Events and News\";s:6:\"screen\";s:17:\"dashboard-network\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"02885890876e2b9303de15640a4599e4\";O:8:\"stdClass\":5:{s:2:\"id\";s:9:\"submitdiv\";s:5:\"title\";s:7:\"Publish\";s:6:\"screen\";s:4:\"page\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"cd3509b6d703d898f4928ef3aa70b500\";O:8:\"stdClass\":5:{s:2:\"id\";s:13:\"pageparentdiv\";s:5:\"title\";s:15:\"Page Attributes\";s:6:\"screen\";s:4:\"page\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"e2407997ea7b2eb2fa4009b99ad56e10\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5c840bb23ecc1\";s:5:\"title\";s:24:\"ClubReady Form Shortcode\";s:6:\"screen\";s:4:\"page\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"789bbd3c3eeb91415472b6b30b824e1d\";O:8:\"stdClass\":5:{s:2:\"id\";s:16:\"commentstatusdiv\";s:5:\"title\";s:10:\"Discussion\";s:6:\"screen\";s:4:\"page\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"63f7c9fb5d76764fd6ec343752e4f860\";O:8:\"stdClass\":5:{s:2:\"id\";s:11:\"commentsdiv\";s:5:\"title\";s:8:\"Comments\";s:6:\"screen\";s:4:\"page\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"beb6280a49785eb20210205b6cb4feb3\";O:8:\"stdClass\":5:{s:2:\"id\";s:7:\"slugdiv\";s:5:\"title\";s:4:\"Slug\";s:6:\"screen\";s:4:\"page\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"afb87379f93c93ffc6063e16cc35f35d\";O:8:\"stdClass\":5:{s:2:\"id\";s:9:\"authordiv\";s:5:\"title\";s:6:\"Author\";s:6:\"screen\";s:4:\"page\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"1542b387cb591f8c5ba78a59db1ee381\";O:8:\"stdClass\":5:{s:2:\"id\";s:17:\"dashboard_primary\";s:5:\"title\";s:25:\"WordPress Events and News\";s:6:\"screen\";s:14:\"dashboard-user\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"9d4205cf9a384aa0b84d931d7a69e1fd\";O:8:\"stdClass\":5:{s:2:\"id\";s:21:\"dashboard_site_health\";s:5:\"title\";s:18:\"Site Health Status\";s:6:\"screen\";s:9:\"dashboard\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"13f7673d4e17d0068494b91d9181e758\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5cc763566ccea\";s:5:\"title\";s:23:\"MindBody Form Overrides\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"high\";}s:32:\"f693550da4009ea1e572ee6cb35c32f1\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5cc762e2979de\";s:5:\"title\";s:23:\"MindBody Field Override\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"b9abde61535f8b130fbd10b897695f2b\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5cc7644d1e818\";s:5:\"title\";s:23:\"MindBody Form Shortcode\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"1753d79881ad89d7b590908abe650ffa\";O:8:\"stdClass\":5:{s:2:\"id\";s:9:\"submitdiv\";s:5:\"title\";s:7:\"Publish\";s:6:\"screen\";s:11:\"testimonial\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"6ab8c07e536852257c13e9be551410fe\";O:8:\"stdClass\":5:{s:2:\"id\";s:11:\"categorydiv\";s:5:\"title\";s:10:\"Categories\";s:6:\"screen\";s:11:\"testimonial\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"ebff9cbb8ab8f4c7d10c8211a797f790\";O:8:\"stdClass\":5:{s:2:\"id\";s:13:\"pageparentdiv\";s:5:\"title\";s:15:\"Post Attributes\";s:6:\"screen\";s:11:\"testimonial\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"297f0dd7f292deaaa2f4d91e82935c5e\";O:8:\"stdClass\":5:{s:2:\"id\";s:7:\"slugdiv\";s:5:\"title\";s:4:\"Slug\";s:6:\"screen\";s:11:\"testimonial\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"955fb830bc19cf63a1aef7d7524b3aa5\";O:8:\"stdClass\":5:{s:2:\"id\";s:9:\"authordiv\";s:5:\"title\";s:6:\"Author\";s:6:\"screen\";s:11:\"testimonial\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}s:32:\"0aeba064d15fc1a8c6dddef41ce1b45d\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5983f0161dee6\";s:5:\"title\";s:16:\"Testimonial Info\";s:6:\"screen\";s:11:\"testimonial\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"high\";}s:32:\"e2420fe0aec08a1b71c55d6e37b6426c\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_5d251abf6e4fd\";s:5:\"title\";s:21:\"CLICKS Form Shortcode\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:4:\"side\";s:8:\"priority\";s:4:\"core\";}s:32:\"40d053249e57d3dc297c546e387930f4\";O:8:\"stdClass\":5:{s:2:\"id\";s:23:\"acf-group_7d251dc7903ca\";s:5:\"title\";s:21:\"CLICKS Form Overrides\";s:6:\"screen\";s:2:\"lp\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"high\";}s:32:\"d375320c6fefa1f1ce8c5a119d149f7f\";O:8:\"stdClass\":5:{s:2:\"id\";s:32:\"wp_mail_smtp_reports_widget_lite\";s:5:\"title\";s:12:\"WP Mail SMTP\";s:6:\"screen\";s:9:\"dashboard\";s:7:\"context\";s:6:\"normal\";s:8:\"priority\";s:4:\"core\";}}','no'),(185137,'options_head_area_embed','','no'),(185138,'_options_head_area_embed','field_5c89355809296','no'),(185139,'options_body_area_embed','','no'),(185140,'_options_body_area_embed','field_5c8935a209297','no'),(185141,'options_footer_area_embed','','no'),(185142,'_options_footer_area_embed','field_5c9d107202a39','no'),(357591,'action_scheduler_hybrid_store_demarkation','216','yes'),(210179,'fresh_site','0','yes'),(357592,'schema-ActionScheduler_StoreSchema','6.0.1647908000','yes'),(357597,'simple-rate-time','1776282516','yes'),(357598,'wp_mail_smtp_migration_version','4','yes'),(357599,'action_scheduler_lock_async-request-runner','1660011033','yes'),(357609,'disallowed_keys','','no'),(357610,'comment_previously_approved','','yes'),(357611,'auto_plugin_theme_update_emails','a:0:{}','no'),(357607,'https_detection_errors','a:0:{}','yes'),(357612,'auto_update_core_dev','enabled','yes'),(357613,'auto_update_core_minor','enabled','yes'),(357614,'auto_update_core_major','unset','yes'),(357652,'theme_mods_clicks_3','a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1619114258;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}}}}','yes'),(357618,'wp_mail_smtp_notifications','a:4:{s:6:\"update\";i:1654904133;s:4:\"feed\";a:0:{}s:6:\"events\";a:0:{}s:9:\"dismissed\";a:0:{}}','yes'),(359689,'blog_upload_space','','yes'),(359746,'post_count','0','yes'),(359845,'_options_header_line_height','field_5cb78f021d274','no'),(359715,'_transient_health-check-site-status-result','{\"good\":15,\"recommended\":2,\"critical\":1}','yes'),(359842,'_options_header_font','field_5cacd69fa523a','no'),(359843,'_options_header_font_weight','field_5cb78e861d272','no'),(359844,'options_header_line_height','normal','no'),(359846,'_options_body_font','field_5cacd761a523b','no'),(359847,'_options_body_font_weight','field_5cb78f021d273','no'),(359848,'options_body_line_height','1.5rem','no'),(359849,'_options_body_line_height','field_5cb78f021d275','no'),(359850,'options_button_font','oswald','no'),(359851,'_options_button_font','field_5cacd761a523c','no'),(359852,'options_button_font_weight','bold','no'),(359853,'_options_button_font_weight','field_5cb78e861d276','no'),(359859,'_options_overlay_dark','field_5cace12b7b2ce','no'),(359860,'_options_overlay_light','field_5cace1417b2cf','no'),(359861,'_options_link_color','field_5cace1727b2d0','no'),(359862,'_options_link_hover','field_5cace1997b2d1','no'),(359863,'_options_light_btn_bg','field_5cace1fd7b2d5','no'),(359864,'_options_light_btn_hover','field_5cace30a7b2d6','no'),(359865,'_options_dark_btn_bg','field_5cace3ff7b2d7','no'),(359866,'_options_dark_btn_hover','field_5cace42a7b2d8','no'),(359867,'_options_hero_headers','field_5cae80e2fac9d','no'),(359868,'_options_content_panel_headers','field_5cd0c36ce7b5c','no'),(359869,'_options_footer_headers','field_5cc232dbdd54e','no'),(359870,'_options_border_radius','field_5ce5b3ac97e94','no'),(359871,'_options_border_color','field_5cae1e7626343','no'),(359872,'_options_border_focus','field_5cae77dae2278','no'),(359873,'_options_border_buttons','field_5ce5bfaafcc6f','no'),(359874,'_options_border_forms','field_5ce5bfe1fcc70','no'),(359875,'_options_box_shadow_color','field_5ce5b34297e92','no'),(359876,'_options_shadow_content_images','field_5ce5bd219906f','no'),(359877,'_options_shadow_gallery_images','field_5ce5bd5099070','no'),(359878,'_options_shadow_small_blocks','field_5ce5bd6699071','no'),(359879,'_options_shadow_buttons','field_5ce5bda199072','no'),(359880,'_options_text_shadow_color','field_5ce5b38597e93','no'),(359881,'_options_hero_panel_text','field_5ce5c97394304','no'),(359882,'_options_footer_panel_text','field_5ce5c99394305','no'),(359883,'_options_feature_panels','field_5ce5c9a394306','no'),(359884,'_options_feature_boxes','field_5ce5c9ae94307','no'),(359885,'_options_line_color','field_5cae1e2b26342','no'),(359894,'_options_content_panels','field_5cedbb4cfcdc6','no'),(359895,'_options_image_panels','field_5cedbb19fcdc5','no'),(359896,'_options_content_panels_mobile','field_5cedc1c66adbe','no'),(359897,'_options_image_panels_mobile','field_5cedc1cc6adbf','no'),(359898,'_options_feature_panels_mobile','field_5cedc1d36adc0','no'),(359899,'_options_feature_boxes_mobile','field_5cedc1db6adc1','no'),(359930,'_options_global_cr_submit_btn','field_5c818a69d2dd4','no'),(359931,'_options_global_cr_btn_style','field_5c8aeac2dd196','no'),(359933,'_options_global_cr_btn_align','field_5c8acf0218cda','no'),(359934,'_options_global_cr_btn_onclick','field_5c8aeb09dd197','no'),(359935,'_options_global_cr_send_to','field_5c818a69d2dd5','no'),(359936,'_options_global_cr_cc','field_5c818a69d2dd6','no'),(359937,'_options_global_cr_show_locations','field_5c818b2bd2ddb','no'),(359938,'_options_global_cr_campaign_name','field_5c818aedd2dd9','no'),(359939,'_options_global_cr_tt_store_id','field_5c819e0cd2df4','no'),(359940,'_options_global_cr_template_id','field_5c81a9463e34d','no'),(359941,'_options_global_cr_success','field_5c818a69d2dd8','no'),(359942,'_options_global_cr_share_align','field_5c902410ad3ef','no'),(359943,'_options_global_cr_booking_msg','field_5c8aed8e6b532','no'),(359944,'_options_global_cr_booking_btn','field_5ce4393f77184','no'),(359945,'_options_global_cr_booking_success','field_5c901a0706f01','no'),(394941,'wp_mail_smtp_lite_sent_email_counter','6','yes'),(394942,'wp_mail_smtp_lite_weekly_sent_email_counter','a:3:{i:52;i:4;i:16;i:1;i:17;i:1;}','yes'),(419643,'_transient_timeout_global_styles_clicks_3','1660238992','no'),(419644,'_transient_global_styles_clicks_3','body{--wp--preset--color--black: #000000;--wp--preset--color--cyan-bluish-gray: #abb8c3;--wp--preset--color--white: #ffffff;--wp--preset--color--pale-pink: #f78da7;--wp--preset--color--vivid-red: #cf2e2e;--wp--preset--color--luminous-vivid-orange: #ff6900;--wp--preset--color--luminous-vivid-amber: #fcb900;--wp--preset--color--light-green-cyan: #7bdcb5;--wp--preset--color--vivid-green-cyan: #00d084;--wp--preset--color--pale-cyan-blue: #8ed1fc;--wp--preset--color--vivid-cyan-blue: #0693e3;--wp--preset--color--vivid-purple: #9b51e0;--wp--preset--gradient--vivid-cyan-blue-to-vivid-purple: linear-gradient(135deg,rgba(6,147,227,1) 0%,rgb(155,81,224) 100%);--wp--preset--gradient--light-green-cyan-to-vivid-green-cyan: linear-gradient(135deg,rgb(122,220,180) 0%,rgb(0,208,130) 100%);--wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange: linear-gradient(135deg,rgba(252,185,0,1) 0%,rgba(255,105,0,1) 100%);--wp--preset--gradient--luminous-vivid-orange-to-vivid-red: linear-gradient(135deg,rgba(255,105,0,1) 0%,rgb(207,46,46) 100%);--wp--preset--gradient--very-light-gray-to-cyan-bluish-gray: linear-gradient(135deg,rgb(238,238,238) 0%,rgb(169,184,195) 100%);--wp--preset--gradient--cool-to-warm-spectrum: linear-gradient(135deg,rgb(74,234,220) 0%,rgb(151,120,209) 20%,rgb(207,42,186) 40%,rgb(238,44,130) 60%,rgb(251,105,98) 80%,rgb(254,248,76) 100%);--wp--preset--gradient--blush-light-purple: linear-gradient(135deg,rgb(255,206,236) 0%,rgb(152,150,240) 100%);--wp--preset--gradient--blush-bordeaux: linear-gradient(135deg,rgb(254,205,165) 0%,rgb(254,45,45) 50%,rgb(107,0,62) 100%);--wp--preset--gradient--luminous-dusk: linear-gradient(135deg,rgb(255,203,112) 0%,rgb(199,81,192) 50%,rgb(65,88,208) 100%);--wp--preset--gradient--pale-ocean: linear-gradient(135deg,rgb(255,245,203) 0%,rgb(182,227,212) 50%,rgb(51,167,181) 100%);--wp--preset--gradient--electric-grass: linear-gradient(135deg,rgb(202,248,128) 0%,rgb(113,206,126) 100%);--wp--preset--gradient--midnight: linear-gradient(135deg,rgb(2,3,129) 0%,rgb(40,116,252) 100%);--wp--preset--duotone--dark-grayscale: url(\'#wp-duotone-dark-grayscale\');--wp--preset--duotone--grayscale: url(\'#wp-duotone-grayscale\');--wp--preset--duotone--purple-yellow: url(\'#wp-duotone-purple-yellow\');--wp--preset--duotone--blue-red: url(\'#wp-duotone-blue-red\');--wp--preset--duotone--midnight: url(\'#wp-duotone-midnight\');--wp--preset--duotone--magenta-yellow: url(\'#wp-duotone-magenta-yellow\');--wp--preset--duotone--purple-green: url(\'#wp-duotone-purple-green\');--wp--preset--duotone--blue-orange: url(\'#wp-duotone-blue-orange\');--wp--preset--font-size--small: 13px;--wp--preset--font-size--medium: 20px;--wp--preset--font-size--large: 36px;--wp--preset--font-size--x-large: 42px;}.has-black-color{color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-color{color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-color{color: var(--wp--preset--color--white) !important;}.has-pale-pink-color{color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-color{color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-color{color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-color{color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-color{color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-color{color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-color{color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-color{color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-color{color: var(--wp--preset--color--vivid-purple) !important;}.has-black-background-color{background-color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-background-color{background-color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-background-color{background-color: var(--wp--preset--color--white) !important;}.has-pale-pink-background-color{background-color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-background-color{background-color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-background-color{background-color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-background-color{background-color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-background-color{background-color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-background-color{background-color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-background-color{background-color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-background-color{background-color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-background-color{background-color: var(--wp--preset--color--vivid-purple) !important;}.has-black-border-color{border-color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-border-color{border-color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-border-color{border-color: var(--wp--preset--color--white) !important;}.has-pale-pink-border-color{border-color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-border-color{border-color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-border-color{border-color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-border-color{border-color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-border-color{border-color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-border-color{border-color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-border-color{border-color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-border-color{border-color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-border-color{border-color: var(--wp--preset--color--vivid-purple) !important;}.has-vivid-cyan-blue-to-vivid-purple-gradient-background{background: var(--wp--preset--gradient--vivid-cyan-blue-to-vivid-purple) !important;}.has-light-green-cyan-to-vivid-green-cyan-gradient-background{background: var(--wp--preset--gradient--light-green-cyan-to-vivid-green-cyan) !important;}.has-luminous-vivid-amber-to-luminous-vivid-orange-gradient-background{background: var(--wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange) !important;}.has-luminous-vivid-orange-to-vivid-red-gradient-background{background: var(--wp--preset--gradient--luminous-vivid-orange-to-vivid-red) !important;}.has-very-light-gray-to-cyan-bluish-gray-gradient-background{background: var(--wp--preset--gradient--very-light-gray-to-cyan-bluish-gray) !important;}.has-cool-to-warm-spectrum-gradient-background{background: var(--wp--preset--gradient--cool-to-warm-spectrum) !important;}.has-blush-light-purple-gradient-background{background: var(--wp--preset--gradient--blush-light-purple) !important;}.has-blush-bordeaux-gradient-background{background: var(--wp--preset--gradient--blush-bordeaux) !important;}.has-luminous-dusk-gradient-background{background: var(--wp--preset--gradient--luminous-dusk) !important;}.has-pale-ocean-gradient-background{background: var(--wp--preset--gradient--pale-ocean) !important;}.has-electric-grass-gradient-background{background: var(--wp--preset--gradient--electric-grass) !important;}.has-midnight-gradient-background{background: var(--wp--preset--gradient--midnight) !important;}.has-small-font-size{font-size: var(--wp--preset--font-size--small) !important;}.has-medium-font-size{font-size: var(--wp--preset--font-size--medium) !important;}.has-large-font-size{font-size: var(--wp--preset--font-size--large) !important;}.has-x-large-font-size{font-size: var(--wp--preset--font-size--x-large) !important;}','no'),(361636,'options_global_mbo_site_id','','no'),(361637,'_options_global_mbo_site_id','field_5cc763247dede','no'),(361638,'options_global_mbo_location_id','','no'),(361639,'_options_global_mbo_location_id','field_5cc76e9465c1a','no'),(361640,'options_global_mbo_referred_by','','no'),(361641,'_options_global_mbo_referred_by','field_5cc763247df23','no'),(361642,'options_global_mbo_radius','15','no'),(361643,'_options_global_mbo_radius','field_5cc763247df68','no'),(361644,'options_global_mbo_class_days','14','no'),(361645,'_options_global_mbo_class_days','field_5cc763247dfa6','no'),(361646,'options_global_mbo_class_id','','no'),(361647,'_options_global_mbo_class_id','field_5cc763247e06d','no'),(361682,'theme_mods_clicks_3_child_f45','a:3:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;}','yes'),(361407,'options_phone','','no'),(361408,'_options_phone','field_5c58b9873617c','no'),(361403,'options_name','F45 Offers','no'),(361404,'_options_name','field_5c893383acaf4','no'),(361405,'options_email','','no'),(361406,'_options_email','field_5c58b96d3617b','no'),(361409,'options_address_one','','no'),(361410,'_options_address_one','field_5c58b9a13617d','no'),(361411,'options_address_two','','no'),(361412,'_options_address_two','field_5c58bbed3617e','no'),(361413,'options_city','','no'),(361414,'_options_city','field_5c58bc0c3617f','no'),(361415,'options_state','','no'),(361416,'_options_state','field_5c58bc3836180','no'),(361417,'options_zip','','no'),(361418,'_options_zip','field_5c58bc4f36181','no'),(361419,'options_country','usa','no'),(361420,'_options_country','field_5c58bc5f36182','no'),(361421,'_options_google_map','field_5c58bc6d36183','no'),(365926,'theme_mods_clicks_3_child_jabz','a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1620855707;s:4:\"data\";a:1:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}}}}','yes'),(365922,'theme_mods_twentytwentyone','a:3:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1620855709;s:4:\"data\";a:2:{s:19:\"wp_inactive_widgets\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:9:\"sidebar-1\";a:0:{}}}}','yes'),(366032,'new_admin_email','webmaster@reachagency.co','yes'),(416481,'WPLANG','en','yes'),(366599,'action_scheduler_migration_status','complete','yes'),(406215,'upload_path','','yes'),(392357,'wp_force_deactivated_plugins','a:0:{}','yes'),(391891,'widget_block','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),(391885,'wp_mail_smtp_debug_events_db_version','1','yes');
DROP TABLE IF EXISTS `wp_postmeta`;
CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM AUTO_INCREMENT=11425 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_postmeta` VALUES (10859,282,'_page_mbo_location_id','field_5cc762e29e383'),(10858,282,'page_mbo_location_id',''),(10857,282,'_oembed_time_8cc69872439a32fc92f12601d8dc8cae','1618612145'),(10856,282,'_oembed_8cc69872439a32fc92f12601d8dc8cae','<iframe title=\"C0110_2\" src=\"https://player.vimeo.com/video/422877899?dnt=1&amp;app_id=122963\" width=\"500\" height=\"281\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(10855,282,'_oembed_time_87de3f02b9aa459e35002ff6a26e6d0a','1618612140'),(10245,292,'_wp_attached_file','2021/05/website_header_setting-desktop_logo-3-v9.png'),(10246,292,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1049;s:6:\"height\";i:1049;s:4:\"file\";s:52:\"2021/05/website_header_setting-desktop_logo-3-v9.png\";s:5:\"sizes\";a:3:{s:6:\"medium\";a:4:{s:4:\"file\";s:52:\"website_header_setting-desktop_logo-3-v9-600x600.png\";s:5:\"width\";i:600;s:6:\"height\";i:600;s:9:\"mime-type\";s:9:\"image/png\";}s:9:\"thumbnail\";a:4:{s:4:\"file\";s:52:\"website_header_setting-desktop_logo-3-v9-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:52:\"website_header_setting-desktop_logo-3-v9-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(10247,293,'_wp_attached_file','2021/05/cropped-website_header_setting-desktop_logo-3-v9.png'),(10248,293,'_wp_attachment_context','site-icon'),(10249,293,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:512;s:6:\"height\";i:512;s:4:\"file\";s:60:\"2021/05/cropped-website_header_setting-desktop_logo-3-v9.png\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:60:\"cropped-website_header_setting-desktop_logo-3-v9-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";}s:13:\"site_icon-270\";a:4:{s:4:\"file\";s:60:\"cropped-website_header_setting-desktop_logo-3-v9-270x270.png\";s:5:\"width\";i:270;s:6:\"height\";i:270;s:9:\"mime-type\";s:9:\"image/png\";}s:13:\"site_icon-192\";a:4:{s:4:\"file\";s:60:\"cropped-website_header_setting-desktop_logo-3-v9-192x192.png\";s:5:\"width\";i:192;s:6:\"height\";i:192;s:9:\"mime-type\";s:9:\"image/png\";}s:13:\"site_icon-180\";a:4:{s:4:\"file\";s:60:\"cropped-website_header_setting-desktop_logo-3-v9-180x180.png\";s:5:\"width\";i:180;s:6:\"height\";i:180;s:9:\"mime-type\";s:9:\"image/png\";}s:12:\"site_icon-32\";a:4:{s:4:\"file\";s:58:\"cropped-website_header_setting-desktop_logo-3-v9-32x32.png\";s:5:\"width\";i:32;s:6:\"height\";i:32;s:9:\"mime-type\";s:9:\"image/png\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),(7716,269,'_edit_lock','1619031935:14'),(7717,269,'_edit_last','14'),(7718,269,'testimonial_text','<h4>I love that they have a consistent group of quality and qualified trainers that are there to personally get to know you and push you in the right way based on your individual goals.</h4>'),(7719,269,'_testimonial_text','field_5983f040789a4'),(7720,269,'testimonial_author','Stacy'),(7721,269,'_testimonial_author','field_5983f0b901c1d'),(7722,270,'testimonial_text','<h4>I love that they have a consistent group of quality and qualified trainers that are there to personally get to know you and push you in the right way based on your individual goals.</h4>'),(7723,270,'_testimonial_text','field_5983f040789a4'),(7724,270,'testimonial_author','Stacy'),(7725,270,'_testimonial_author','field_5983f0b901c1d'),(7726,271,'_edit_lock','1619031961:14'),(7727,271,'_edit_last','14'),(7728,271,'testimonial_text','<h4>I\'ve tried every form of training from CrossFit to Orangetheory Fitness (bored out of my mind running on treadmills). Take advantage of their FREE trial, after a few sessions you\'ll be hooked!</h4>'),(7729,271,'_testimonial_text','field_5983f040789a4'),(7730,271,'testimonial_author','Evan'),(7731,271,'_testimonial_author','field_5983f0b901c1d'),(7732,272,'testimonial_text','<h4>I\'ve tried every form of training from CrossFit to Orangetheory Fitness (bored out of my mind running on treadmills). Take advantage of their FREE trial, after a few sessions you\'ll be hooked!</h4>'),(7733,272,'_testimonial_text','field_5983f040789a4'),(7734,272,'testimonial_author','Evan'),(7735,272,'_testimonial_author','field_5983f0b901c1d'),(7736,273,'_edit_lock','1619031992:14'),(7737,273,'_edit_last','14'),(7738,273,'testimonial_text','<h4>The workouts will kick your butt every time, plus they can be modified for beginners and those with more experience. It\'s for everyone and I love it!</h4>'),(7739,273,'_testimonial_text','field_5983f040789a4'),(7740,273,'testimonial_author','Amiee'),(7741,273,'_testimonial_author','field_5983f0b901c1d'),(7742,274,'testimonial_text','<h4>The workouts will kick your butt every time, plus they can be modified for beginners and those with more experience. It\'s for everyone and I love it!</h4>'),(7743,274,'_testimonial_text','field_5983f040789a4'),(7744,274,'testimonial_author','Amiee'),(7745,274,'_testimonial_author','field_5983f0b901c1d'),(7746,275,'_edit_lock','1619032011:14'),(7747,275,'_edit_last','14'),(7748,275,'testimonial_text','<h4>F45 is the most dynamic, efficient and enjoyable workout I have ever done! The sense of community here is so very special. I absolutely love it.</h4>'),(7749,275,'_testimonial_text','field_5983f040789a4'),(7750,275,'testimonial_author','John'),(7751,275,'_testimonial_author','field_5983f0b901c1d'),(7752,276,'testimonial_text','<h4>F45 is the most dynamic, efficient and enjoyable workout I have ever done! The sense of community here is so very special. I absolutely love it.</h4>'),(7753,276,'_testimonial_text','field_5983f040789a4'),(7754,276,'testimonial_author','John'),(7755,276,'_testimonial_author','field_5983f0b901c1d'),(7756,277,'_edit_lock','1619032030:14'),(7757,277,'_edit_last','14'),(7758,277,'testimonial_text','<h4>LITERALLY THE ABSOLUTE BEST! The workouts are very challenging and I always leave feeling like I did some serious work. The trainers are AWESOME!</h4>'),(7759,277,'_testimonial_text','field_5983f040789a4'),(7760,277,'testimonial_author','Lauren'),(7761,277,'_testimonial_author','field_5983f0b901c1d'),(7762,278,'testimonial_text','<h4>LITERALLY THE ABSOLUTE BEST! The workouts are very challenging and I always leave feeling like I did some serious work. The trainers are AWESOME!</h4>'),(7763,278,'_testimonial_text','field_5983f040789a4'),(7764,278,'testimonial_author','Lauren'),(7765,278,'_testimonial_author','field_5983f0b901c1d'),(10860,282,'page_mbo_referred_by',''),(10861,282,'_page_mbo_referred_by','field_5cc762e29e3ce'),(10862,282,'page_mbo_radius',''),(10863,282,'_page_mbo_radius','field_5cc762e29e444'),(10864,282,'mbo_shortcode_generator_0_signup','0'),(10865,282,'_mbo_shortcode_generator_0_signup','field_5daf3d0e5b13a'),(10866,282,'mbo_shortcode_generator','a:1:{i:0;s:20:\"single_mindbody_form\";}'),(10867,282,'_mbo_shortcode_generator','field_5cc7644d20afb'),(10868,282,'clicks_panels_2_content','<h3>MOTIVATION.</h3>\r\n&nbsp;\r\n\r\nThe motivation and encouragement in a group training facility creates a pulsing, upbeat environment where goals are met and exceeded.\r\n\r\n&nbsp;'),(10869,282,'_clicks_panels_2_content','field_59824ac3a4240'),(10870,282,'clicks_panels_2_image',''),(10871,282,'_clicks_panels_2_image','field_59824af3a4241'),(10872,282,'clicks_panels_2_layout','order-1 order-md-12'),(10873,282,'_clicks_panels_2_layout','field_59824b08a4242'),(10874,282,'clicks_panels_2_type','full'),(10875,282,'_clicks_panels_2_type','field_5ce5ad7b86b1e'),(10876,282,'clicks_panels_2_vertical_alignment','center'),(10877,282,'_clicks_panels_2_vertical_alignment','field_5cd09ecd16d21'),(10878,282,'clicks_panels_2_button_text','GET STARTED!'),(10879,282,'_clicks_panels_2_button_text','field_5c4cb9e488fed'),(10880,282,'clicks_panels_2_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(10881,282,'_clicks_panels_2_button_link','field_5c4cb9e488fee'),(10882,282,'clicks_panels_2_button_style','hollow'),(10883,282,'_clicks_panels_2_button_style','field_5c4cb9e488fef'),(10884,282,'clicks_panels_2_button_color','dark'),(10885,282,'_clicks_panels_2_button_color','field_5c75ca9870d43'),(10886,282,'clicks_panels_2_button_alignment','text-left'),(10887,282,'_clicks_panels_2_button_alignment','field_5c6df75dac064'),(10888,282,'clicks_panels_2_button',''),(10889,282,'_clicks_panels_2_button','field_5c4cb9e488fec'),(10890,282,'clicks_panels_2_bg_color','#f2f2f2'),(10891,282,'_clicks_panels_2_bg_color','field_5c4cb79c1cfcf'),(10892,282,'clicks_panels_2_text_color','#000000'),(10893,282,'_clicks_panels_2_text_color','field_5c6e064d1f0cc'),(10894,282,'clicks_panels_3_content','<h3>RESULTS.</h3>\r\n&nbsp;\r\n\r\nWhen it comes to weight management, good nutrition is vital. [name] gives all members access to their own free personal nutrition program to achieve health objectives with daily meal plans, tracking, and community support. Welcome to the [name] Challenge.\r\n\r\n&nbsp;'),(10895,282,'_clicks_panels_3_content','field_59824ac3a4240'),(10896,282,'clicks_panels_3_image',''),(10897,282,'_clicks_panels_3_image','field_59824af3a4241'),(10898,282,'clicks_panels_3_layout','order-1'),(10899,282,'_clicks_panels_3_layout','field_59824b08a4242'),(10900,282,'clicks_panels_3_type','full'),(10901,282,'_clicks_panels_3_type','field_5ce5ad7b86b1e'),(10902,282,'clicks_panels_3_vertical_alignment','center'),(10903,282,'_clicks_panels_3_vertical_alignment','field_5cd09ecd16d21'),(10904,282,'clicks_panels_3_button_text','GET STARTED!'),(10905,282,'_clicks_panels_3_button_text','field_5c4cb9e488fed'),(10906,282,'clicks_panels_3_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(10907,282,'_clicks_panels_3_button_link','field_5c4cb9e488fee'),(10908,282,'clicks_panels_3_button_style','hollow'),(10909,282,'_clicks_panels_3_button_style','field_5c4cb9e488fef'),(10910,282,'clicks_panels_3_button_color','dark'),(10911,282,'_clicks_panels_3_button_color','field_5c75ca9870d43'),(10912,282,'clicks_panels_3_button_alignment','text-left'),(10913,282,'_clicks_panels_3_button_alignment','field_5c6df75dac064'),(10914,282,'clicks_panels_3_button',''),(10915,282,'_clicks_panels_3_button','field_5c4cb9e488fec'),(10916,282,'clicks_panels_3_bg_color','#f2f2f2'),(10917,282,'_clicks_panels_3_bg_color','field_5c4cb79c1cfcf'),(10918,282,'clicks_panels_3_text_color','#000000'),(10919,282,'_clicks_panels_3_text_color','field_5c6e064d1f0cc'),(10920,282,'clicks_panels_4_main_text','<h3>[name] IS A COMMUNITY!</h3>\r\n&nbsp;\r\n<h6>Every member is on their own fitness journey. Whether it\'s to lose weight, build muscle or to unwind after a stressful day, everyone has their own reasons for being here. The [name] community will rally behind you to help you achieve whatever your fitness goals are!</h6>\r\n&nbsp;\r\n\r\n&nbsp;'),(10921,282,'_clicks_panels_4_main_text','field_5c9e9b1a1619d'),(10922,282,'clicks_panels_4_alignment','justify-content-start'),(10923,282,'_clicks_panels_4_alignment','field_5c9e9b401619e'),(10924,282,'clicks_panels_4_button_text','GET STARTED!'),(10925,282,'_clicks_panels_4_button_text','field_5c9e9bba161a0'),(10926,282,'clicks_panels_4_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(10927,282,'_clicks_panels_4_button_link','field_5c9e9bcf161a1'),(10928,282,'clicks_panels_4_button_style','solid'),(10929,282,'_clicks_panels_4_button_style','field_5c9e9c0c161a2'),(10930,282,'clicks_panels_4_button_color','dark'),(10931,282,'_clicks_panels_4_button_color','field_5c9e9cae161a3'),(10932,282,'clicks_panels_4_button_alignment','text-left'),(10933,282,'_clicks_panels_4_button_alignment','field_5c9e9cf9161a4'),(10934,282,'clicks_panels_4_button',''),(10935,282,'_clicks_panels_4_button','field_5c9e9b951619f'),(10936,282,'clicks_panels_4_bg_type','image'),(10937,282,'_clicks_panels_4_bg_type','field_5cbe21c7dbf3e'),(10938,282,'clicks_panels_4_panel_height','auto'),(10939,282,'_clicks_panels_4_panel_height','field_5cd1d3dab69ad'),(10940,282,'clicks_panels_4_bg_desk',''),(10941,282,'_clicks_panels_4_bg_desk','field_5c9ea0972a746'),(10942,282,'clicks_panels_4_bg_mobile',''),(10943,282,'_clicks_panels_4_bg_mobile','field_5d1f80086362f'),(10944,282,'clicks_panels_4_horz_align_desk','center'),(10945,282,'_clicks_panels_4_horz_align_desk','field_5c9ea1dd2a74a'),(10946,282,'clicks_panels_4_horz_align_mob','center'),(10947,282,'_clicks_panels_4_horz_align_mob','field_5c9ea2312a74b'),(10948,282,'clicks_panels_4_vert_align_desk','center'),(10949,282,'_clicks_panels_4_vert_align_desk','field_5c9ea3172a74d'),(10950,282,'clicks_panels_4_vert_align_mob','center'),(10951,282,'_clicks_panels_4_vert_align_mob','field_5c9ea2d82a74c'),(10952,282,'clicks_panels_4_overlay_color','#1e1547'),(10953,282,'_clicks_panels_4_overlay_color','field_5cd1c164de92f'),(10954,282,'clicks_panels_4_text_color','#FFF'),(10955,282,'_clicks_panels_4_text_color','field_5cd1d304b69ac'),(10956,282,'clicks_panels_4_overlay_opacity_desk','0.6'),(10957,282,'_clicks_panels_4_overlay_opacity_desk','field_5c9ea48d144e3'),(10958,282,'clicks_panels_4_overlay_opacity_mob','0.5'),(10959,282,'_clicks_panels_4_overlay_opacity_mob','field_5c9ea509144e5'),(10960,282,'clicks_panels_5_intro',''),(10961,282,'_clicks_panels_5_intro','field_5c75d8409f209'),(10962,282,'clicks_panels_5_category',''),(10963,282,'_clicks_panels_5_category','field_5c588fe3ce75d'),(10964,282,'clicks_panels_5_bg_color','#F7F7F7'),(10965,282,'_clicks_panels_5_bg_color','field_5c589033ce75e'),(10966,282,'clicks_panels_5_text_color','#000'),(10967,282,'_clicks_panels_5_text_color','field_5c58904ace75f'),(10968,282,'footer_panels_0_content','<h3 style=\"text-align: center;\">GET STARTED TODAY!</h3>\r\n&nbsp;'),(10969,282,'_footer_panels_0_content','field_5c6c9f39ba7aa'),(10970,282,'footer_panels_0_button_alignment','center'),(10971,282,'_footer_panels_0_button_alignment','field_5c770495b0d55'),(10972,282,'footer_panels_0_buttons_0_text','SIGN UP!'),(10973,282,'_footer_panels_0_buttons_0_text','field_5c6c9fa3ba7ad'),(10974,282,'footer_panels_0_buttons_0_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#top\";s:6:\"target\";s:0:\"\";}'),(10975,282,'_footer_panels_0_buttons_0_link','field_5c6c9facba7ae'),(10976,282,'footer_panels_0_buttons_0_style','solid'),(10977,282,'_footer_panels_0_buttons_0_style','field_5c6c9fc4ba7af'),(10978,282,'footer_panels_0_buttons_0_color','dark'),(10979,282,'_footer_panels_0_buttons_0_color','field_5c77013805894'),(10980,282,'footer_panels_0_buttons','1'),(10981,282,'_footer_panels_0_buttons','field_5c6c9f88ba7ac'),(10982,282,'footer_panels_0_desk_bg_img',''),(10983,282,'_footer_panels_0_desk_bg_img','field_5c6c9eb1ba7a7'),(10984,282,'footer_panels_0_mob_bg_img',''),(10985,282,'_footer_panels_0_mob_bg_img','field_5d1f8056df761'),(10986,282,'footer_panels_0_horz_align_desk','center'),(10987,282,'_footer_panels_0_horz_align_desk','field_5c6d973489804'),(10988,282,'footer_panels_0_horz_align_mob','center'),(10989,282,'_footer_panels_0_horz_align_mob','field_5c6d984789806'),(10990,282,'footer_panels_0_vert_align_desk','center'),(10991,282,'_footer_panels_0_vert_align_desk','field_5c6d978c89805'),(10992,282,'footer_panels_0_vert_align_mob','center'),(10993,282,'_footer_panels_0_vert_align_mob','field_5c6d986589807'),(10994,282,'footer_panels_0_overlay_type','dark'),(10995,282,'_footer_panels_0_overlay_type','field_5c6c9ee1ba7a8'),(10996,282,'footer_panels_0_overlay_opacity','0.4'),(10997,282,'_footer_panels_0_overlay_opacity','field_5c6c9f09ba7a9'),(10998,282,'footer_panels_0_text_color','#ffffff'),(10999,282,'_footer_panels_0_text_color','field_5c6d94a160bed'),(11000,282,'footer_panels_0_alignment','justify-content-center'),(11001,282,'_footer_panels_0_alignment','field_5c6d94b560bee'),(11002,282,'page_mbo_submit_btn',''),(11003,282,'_page_mbo_submit_btn','field_5cc7635670181'),(11004,282,'page_mbo_btn_style','solid'),(11005,282,'_page_mbo_btn_style','field_5cc76356701bf'),(11006,282,'page_mbo_btn_color','dark'),(11007,282,'_page_mbo_btn_color','field_5cc76356701fc'),(11008,282,'page_mbo_btn_align','text-center'),(11009,282,'_page_mbo_btn_align','field_5cc763567023c'),(11010,282,'page_mbo_btn_onclick',''),(11011,282,'_page_mbo_btn_onclick','field_5cc763567027a'),(11012,282,'page_mbo_send_to',''),(11013,282,'_page_mbo_send_to','field_5cc763567030a'),(11014,282,'page_mbo_cc',''),(11015,282,'_page_mbo_cc','field_5cc763567034b'),(11016,282,'page_mbo_show_locations','0'),(11017,282,'_page_mbo_show_locations','field_5cc763567c799'),(11018,282,'page_mbo_campaign_name',''),(11019,282,'_page_mbo_campaign_name','field_5cc763567d8bb'),(11020,282,'page_mbo_success',''),(11021,282,'_page_mbo_success','field_5cc7635682baa'),(11022,282,'page_mbo_share_align','text-center'),(11023,282,'_page_mbo_share_align','field_5cc76356851e1'),(11024,282,'page_mbo_booking_msg',''),(11025,282,'_page_mbo_booking_msg','field_5cc7635686ed4'),(11026,282,'page_mbo_booking_btn',''),(11027,282,'_page_mbo_booking_btn','field_5ce44499cd167'),(11028,282,'page_mbo_booking_success',''),(11029,282,'_page_mbo_booking_success','field_5cc7635683f38'),(11030,282,'_oembed_07b4c127826a23f26046cfbeb7fef3c3','<iframe title=\"What Is F45\" src=\"https://player.vimeo.com/video/489588216?dnt=1&amp;app_id=122963\" width=\"1252\" height=\"704\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(11031,282,'_oembed_time_07b4c127826a23f26046cfbeb7fef3c3','1619032200'),(11032,282,'_oembed_e99c40212d9198ef4b60e90bdc5671d9','<iframe title=\"What Is F45\" src=\"https://player.vimeo.com/video/489588216?dnt=1&amp;app_id=122963\" width=\"1256\" height=\"707\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(11033,282,'_oembed_time_e99c40212d9198ef4b60e90bdc5671d9','1619032251'),(11034,282,'_oembed_b91ef98e7aeefee782fb0ec39adca733','<iframe title=\"What Is F45\" src=\"https://player.vimeo.com/video/489588216?dnt=1&amp;app_id=122963\" width=\"500\" height=\"281\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(11035,282,'_oembed_time_b91ef98e7aeefee782fb0ec39adca733','1619032260'),(11036,282,'_oembed_dcd4de7e68eb21b233c118151821fbaf','<iframe title=\"What Is F45\" src=\"https://player.vimeo.com/video/489588216?dnt=1&amp;app_id=122963\" width=\"706\" height=\"397\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(11037,282,'_oembed_time_dcd4de7e68eb21b233c118151821fbaf','1619033171'),(11038,282,'_oembed_03ce096a23d7d2efc626bf9e31640caa','<iframe title=\"What Is F45\" src=\"https://player.vimeo.com/video/489588216?dnt=1&amp;app_id=122963\" width=\"761\" height=\"428\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(11039,282,'_oembed_time_03ce096a23d7d2efc626bf9e31640caa','1620853643'),(10649,282,'_edit_lock','1620930197:1'),(10650,282,'_edit_last','1'),(10651,282,'countdown_end_date',''),(10652,282,'_countdown_end_date','field_5c8963467234d'),(10653,282,'countdown_inline_text',''),(10654,282,'_countdown_inline_text','field_5ce86808cb169'),(10655,282,'countdown_align','justify-content-start'),(10656,282,'_countdown_align','field_5ce86828cb16a'),(10657,282,'page_description',''),(10658,282,'_page_description','field_5d0d36e3a4650'),(10659,282,'hero_panels','a:1:{i:0;s:8:\"image_bg\";}'),(10660,282,'_hero_panels','field_5c5a122054b69'),(10661,282,'clicks_panels','a:6:{i:0;s:13:\"content_panel\";i:1;s:19:\"content_image_panel\";i:2;s:19:\"content_image_panel\";i:3;s:19:\"content_image_panel\";i:4;s:13:\"feature_panel\";i:5;s:18:\"testimonial_slider\";}'),(10662,282,'_clicks_panels','field_598249dea423d'),(10663,282,'footer_panels','a:1:{i:0;s:10:\"full_width\";}'),(10664,282,'_footer_panels','field_5c6c9e7eba7a6'),(10665,282,'google_conversion_id',''),(10666,282,'_google_conversion_id','field_5c8ac5e7c5da3'),(10667,282,'google_conversion_label',''),(10668,282,'_google_conversion_label','field_5c8ac5e7c5dea'),(10669,282,'head_area_embed',''),(10670,282,'_head_area_embed','field_5c8ac5e7c5e35'),(10671,282,'body_area_embed',''),(10672,282,'_body_area_embed','field_5c8ac5e7c5e79'),(10673,282,'footer_area_embed',''),(10674,282,'_footer_area_embed','field_5c9d110ffa064'),(10675,282,'page_cr_referral_id',''),(10676,282,'_page_cr_referral_id','field_5c804db29810f'),(10677,282,'page_cr_prospect_id',''),(10678,282,'_page_cr_prospect_id','field_5c8063e1fa49e'),(10679,282,'page_cr_user_id',''),(10680,282,'_page_cr_user_id','field_5cc770c9ef77c'),(10681,282,'page_cr_radius',''),(10682,282,'_page_cr_radius','field_5c804db2981e0'),(10683,282,'cr_shortcode_generator',''),(10684,282,'_cr_shortcode_generator','field_5c83e2ef816ab'),(10685,282,'page_cr_submit_btn',''),(10686,282,'_page_cr_submit_btn','field_5c8ab548ea23d'),(10687,282,'page_cr_btn_style',''),(10688,282,'_page_cr_btn_style','field_5c8aeb34680ab'),(10689,282,'page_cr_btn_color',''),(10690,282,'_page_cr_btn_color','field_5cae428b706b5'),(10691,282,'page_cr_btn_align',''),(10692,282,'_page_cr_btn_align','field_5c8acf72c171d'),(10693,282,'page_cr_btn_onclick',''),(10694,282,'_page_cr_btn_onclick','field_5c8aeb5b680ac'),(10695,282,'page_cr_send_to',''),(10696,282,'_page_cr_send_to','field_5c8ab548ea28b'),(10697,282,'page_cr_cc',''),(10698,282,'_page_cr_cc','field_5c8ab548ea2d1'),(10699,282,'page_cr_show_locations','0'),(10700,282,'_page_cr_show_locations','field_5c8ab548eedde'),(10701,282,'page_cr_campaign_name',''),(10702,282,'_page_cr_campaign_name','field_5c8ab548efc68'),(10703,282,'page_cr_tt_store_id',''),(10704,282,'_page_cr_tt_store_id','field_5c8ab548f0afc'),(10705,282,'page_cr_template_id',''),(10706,282,'_page_cr_template_id','field_5c8ab548f1b68'),(10707,282,'page_cr_success',''),(10708,282,'_page_cr_success','field_5c8ab548f325a'),(10709,282,'page_cr_share_align',''),(10710,282,'_page_cr_share_align','field_5c9024916a377'),(10711,282,'page_cr_booking_msg',''),(10712,282,'_page_cr_booking_msg','field_5c8aeddca1987'),(10713,282,'page_cr_booking_btn',''),(10714,282,'_page_cr_booking_btn','field_5ce43a4152682'),(10715,282,'page_cr_booking_success',''),(10716,282,'_page_cr_booking_success','field_5c901deb14a3b'),(10717,282,'_oembed_fb0efd6fafdf5f4e5225d5cc5c51831c','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"555\" height=\"312\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(10718,282,'_oembed_time_fb0efd6fafdf5f4e5225d5cc5c51831c','1563308253'),(10719,282,'_oembed_cff9c6f12360c4e21478eaaf51f9fb36','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"559\" height=\"314\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(10720,282,'_oembed_time_cff9c6f12360c4e21478eaaf51f9fb36','1563308267'),(10721,282,'_oembed_af682eeae9e705adfe348becc8983d24','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"500\" height=\"281\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(10722,282,'_oembed_time_af682eeae9e705adfe348becc8983d24','1563308268'),(10723,282,'_oembed_f05b77ece217caf5615e2207e8d0ba5b','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"577\" height=\"325\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(10724,282,'_oembed_time_f05b77ece217caf5615e2207e8d0ba5b','1563308309'),(10725,282,'_oembed_cc18d5a4cce763b3dac3ea97c2a84834','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"439\" height=\"247\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(10726,282,'_oembed_time_cc18d5a4cce763b3dac3ea97c2a84834','1563308891'),(10727,282,'_oembed_4062a592da985942d3784a55b8780112','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"626\" height=\"352\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(10728,282,'_oembed_time_4062a592da985942d3784a55b8780112','1563309094'),(10729,282,'_oembed_c2394a7af490c618f9f4dfad9b3b5898','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"738\" height=\"415\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(10730,282,'_oembed_time_c2394a7af490c618f9f4dfad9b3b5898','1563309323'),(10731,282,'_oembed_866d896bfce881ecff3359d8260279f9','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"600\" height=\"338\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(10732,282,'_oembed_time_866d896bfce881ecff3359d8260279f9','1563310025'),(10733,282,'_oembed_81decae04caa6dc515d07b7bf6ca8efd','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"782\" height=\"440\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(10734,282,'_oembed_time_81decae04caa6dc515d07b7bf6ca8efd','1563310812'),(10735,282,'_oembed_e224d9f49641180719806f1966745731','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"653\" height=\"367\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(10736,282,'_oembed_time_e224d9f49641180719806f1966745731','1563383179'),(10737,282,'_oembed_37850f79b2a0969df207e29834b07ccb','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"567\" height=\"319\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(10738,282,'_oembed_time_37850f79b2a0969df207e29834b07ccb','1563561648'),(10739,282,'_oembed_33df19d31dd2f95272a94d74d46c55ec','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"691\" height=\"389\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(10740,282,'_oembed_time_33df19d31dd2f95272a94d74d46c55ec','1563561800'),(10741,282,'_oembed_047cd377621d179552ee456bea33c753','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&app_id=122963\" width=\"589\" height=\"331\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(10742,282,'_oembed_time_047cd377621d179552ee456bea33c753','1563561888'),(10743,282,'_oembed_73a89bb5056e84f751c8554577d35b54','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp;amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&amp;app_id=122963\" width=\"1258\" height=\"708\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(10744,282,'_oembed_time_73a89bb5056e84f751c8554577d35b54','1566939700'),(10745,282,'_oembed_19325e6f2d5380772bb3190970863e76','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp;amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&amp;app_id=122963\" width=\"956\" height=\"538\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(10746,282,'_oembed_time_19325e6f2d5380772bb3190970863e76','1570146115'),(10747,282,'_oembed_09375217a2140648c6a3e09ff7ee7682','{{unknown}}'),(10748,282,'_oembed_a84499f5ce67dc4b30e11744f22c4656','{{unknown}}'),(10749,282,'_oembed_bfc936fe13169ff6b7b6a19a490ca173','{{unknown}}'),(10750,282,'_oembed_6cd64192a9d754ba6aa71432a1cdda42','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp;amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&amp;app_id=122963\" width=\"798\" height=\"449\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(10751,282,'_oembed_time_6cd64192a9d754ba6aa71432a1cdda42','1579649389'),(10752,282,'_oembed_4a887a91479f8cd367274c7345d78ada','<iframe title=\"What You Can Expect in a Mayweather Boxing &amp;amp; Fitness\" src=\"https://player.vimeo.com/video/348456183?dnt=1&amp;app_id=122963\" width=\"903\" height=\"508\" frameborder=\"0\" allow=\"autoplay; fullscreen\" allowfullscreen></iframe>'),(10753,282,'_oembed_time_4a887a91479f8cd367274c7345d78ada','1579649560'),(10754,282,'page_cr_payments_url',''),(10755,282,'_page_cr_payments_url','field_5dc31fc6af861'),(10756,282,'hero_panels_0_hero_type','fixed'),(10757,282,'_hero_panels_0_hero_type','field_5c5c6593013b2'),(10758,282,'hero_panels_0_content_0_content','<h2>FREE 7-DAY\r\nTRIAL!</h2>\r\n<strong>[name] is fitness community specializing in innovative, high-intensity group workouts that are fast, fun, and results-driven. Experience one of the most time-efficient ways to train with a FREE 7-day trial! Sign up to get started today!</strong>'),(10759,282,'_hero_panels_0_content_0_content','field_5c5a253154b6e'),(10760,282,'hero_panels_0_content_0_button_alignment','text-left'),(10761,282,'_hero_panels_0_content_0_button_alignment','field_5c76fad1e6aa6'),(10762,282,'hero_panels_0_content_0_buttons',''),(10763,282,'_hero_panels_0_content_0_buttons','field_5c5a255454b6f'),(10764,282,'hero_panels_0_content_1_content','<h3 style=\"text-align: center;\">CLAIM YOUR FREE TRIAL!</h3>\r\n<p style=\"text-align: center;\">[single_clicks_form]</p>'),(10765,282,'_hero_panels_0_content_1_content','field_5c5a253154b6e'),(10766,282,'hero_panels_0_content_1_button_alignment','text-left'),(10767,282,'_hero_panels_0_content_1_button_alignment','field_5c76fad1e6aa6'),(10768,282,'hero_panels_0_content_1_buttons',''),(10769,282,'_hero_panels_0_content_1_buttons','field_5c5a255454b6f'),(10770,282,'hero_panels_0_content','2'),(10771,282,'_hero_panels_0_content','field_5c86d128b1d24'),(10772,282,'hero_panels_0_desk_bg_img',''),(10773,282,'_hero_panels_0_desk_bg_img','field_5c5a24e254b6c'),(10774,282,'hero_panels_0_mob_bg_img',''),(10775,282,'_hero_panels_0_mob_bg_img','field_5d1f7f8a74259'),(10776,282,'hero_panels_0_horz_align_desk','center'),(10777,282,'_hero_panels_0_horz_align_desk','field_5c8aacf58fa29'),(10778,282,'hero_panels_0_horz_align_mob','center'),(10779,282,'_hero_panels_0_horz_align_mob','field_5c8aaf79121c0'),(10780,282,'hero_panels_0_vert_align_desk','center'),(10781,282,'_hero_panels_0_vert_align_desk','field_5c8aaf8a121c1'),(10782,282,'hero_panels_0_vert_align_mob','center'),(10783,282,'_hero_panels_0_vert_align_mob','field_5c8aafa0121c2'),(10784,282,'hero_panels_0_overlay_type','dark'),(10785,282,'_hero_panels_0_overlay_type','field_5c5a247654b6a'),(10786,282,'hero_panels_0_overlay_opacity','0.5'),(10787,282,'_hero_panels_0_overlay_opacity','field_5c5a24a354b6b'),(10788,282,'hero_panels_0_alignment','justify-content-start'),(10789,282,'_hero_panels_0_alignment','field_5c65d2663c716'),(10790,282,'clicks_panels_0_content_box_0_content','<h3>WHAT IS\r\nF45 TRAINING?</h3>\r\n&nbsp;\r\n\r\nThe F stands for Functional Training, a mix of circuit and High Intensity Interval Training (HIIT) style workouts geared towards everyday movement. 45 is the total amount of time for sweat-dripping heart-pumping fun.\r\n\r\n&nbsp;'),(10791,282,'_clicks_panels_0_content_box_0_content','field_59824a06a423e'),(10792,282,'clicks_panels_0_content_box_0_vertical_alignment','center'),(10793,282,'_clicks_panels_0_content_box_0_vertical_alignment','field_5cd09e2416d20'),(10794,282,'clicks_panels_0_content_box_0_button_text','GET STARTED'),(10795,282,'_clicks_panels_0_content_box_0_button_text','field_5c4cb9a588fe9'),(10796,282,'clicks_panels_0_content_box_0_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(10797,282,'_clicks_panels_0_content_box_0_button_link','field_5c4cb9ad88fea'),(10798,282,'clicks_panels_0_content_box_0_button_style','hollow'),(10799,282,'_clicks_panels_0_content_box_0_button_style','field_5c4cb9c388feb'),(10800,282,'clicks_panels_0_content_box_0_button_color','dark'),(10801,282,'_clicks_panels_0_content_box_0_button_color','field_5c75e256ce6d1'),(10802,282,'clicks_panels_0_content_box_0_button_alignment','text-left'),(10803,282,'_clicks_panels_0_content_box_0_button_alignment','field_5c6df6e3ac062'),(10804,282,'clicks_panels_0_content_box_0_button',''),(10805,282,'_clicks_panels_0_content_box_0_button','field_5c4cb99788fe8'),(10806,282,'clicks_panels_0_content_box_1_content','https://vimeo.com/489588216'),(10807,282,'_clicks_panels_0_content_box_1_content','field_59824a06a423e'),(10808,282,'clicks_panels_0_content_box_1_vertical_alignment','center'),(10809,282,'_clicks_panels_0_content_box_1_vertical_alignment','field_5cd09e2416d20'),(10810,282,'clicks_panels_0_content_box_1_button_text',''),(10811,282,'_clicks_panels_0_content_box_1_button_text','field_5c4cb9a588fe9'),(10812,282,'clicks_panels_0_content_box_1_button_link',''),(10813,282,'_clicks_panels_0_content_box_1_button_link','field_5c4cb9ad88fea'),(10814,282,'clicks_panels_0_content_box_1_button_style','hollow'),(10815,282,'_clicks_panels_0_content_box_1_button_style','field_5c4cb9c388feb'),(10816,282,'clicks_panels_0_content_box_1_button_color','dark'),(10817,282,'_clicks_panels_0_content_box_1_button_color','field_5c75e256ce6d1'),(10818,282,'clicks_panels_0_content_box_1_button_alignment','text-left'),(10819,282,'_clicks_panels_0_content_box_1_button_alignment','field_5c6df6e3ac062'),(10820,282,'clicks_panels_0_content_box_1_button',''),(10821,282,'_clicks_panels_0_content_box_1_button','field_5c4cb99788fe8'),(10822,282,'clicks_panels_0_content_box','2'),(10823,282,'_clicks_panels_0_content_box','field_5c749908df8b2'),(10824,282,'clicks_panels_0_bg_color','#ffffff'),(10825,282,'_clicks_panels_0_bg_color','field_5c4cb7651cfce'),(10826,282,'clicks_panels_0_text_color','#000000'),(10827,282,'_clicks_panels_0_text_color','field_5c6e06291f0cb'),(10828,282,'clicks_panels_1_content','<h3>INNOVATION.</h3>\r\n&nbsp;\r\n\r\nOur functional training classes continuously evolve so virtually no two workouts are ever the same!\r\n\r\n&nbsp;'),(10829,282,'_clicks_panels_1_content','field_59824ac3a4240'),(10830,282,'clicks_panels_1_image',''),(10831,282,'_clicks_panels_1_image','field_59824af3a4241'),(10832,282,'clicks_panels_1_layout','order-1'),(10833,282,'_clicks_panels_1_layout','field_59824b08a4242'),(10834,282,'clicks_panels_1_type','full'),(10835,282,'_clicks_panels_1_type','field_5ce5ad7b86b1e'),(10836,282,'clicks_panels_1_vertical_alignment','center'),(10837,282,'_clicks_panels_1_vertical_alignment','field_5cd09ecd16d21'),(10838,282,'clicks_panels_1_button_text','GET STARTED!'),(10839,282,'_clicks_panels_1_button_text','field_5c4cb9e488fed'),(10840,282,'clicks_panels_1_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(10841,282,'_clicks_panels_1_button_link','field_5c4cb9e488fee'),(10842,282,'clicks_panels_1_button_style','hollow'),(10843,282,'_clicks_panels_1_button_style','field_5c4cb9e488fef'),(10844,282,'clicks_panels_1_button_color','dark'),(10845,282,'_clicks_panels_1_button_color','field_5c75ca9870d43'),(10846,282,'clicks_panels_1_button_alignment','text-left'),(10847,282,'_clicks_panels_1_button_alignment','field_5c6df75dac064'),(10848,282,'clicks_panels_1_button',''),(10849,282,'_clicks_panels_1_button','field_5c4cb9e488fec'),(10850,282,'clicks_panels_1_bg_color','#f2f2f2'),(10851,282,'_clicks_panels_1_bg_color','field_5c4cb79c1cfcf'),(10852,282,'clicks_panels_1_text_color','#000000'),(10853,282,'_clicks_panels_1_text_color','field_5c6e064d1f0cc'),(10854,282,'_oembed_87de3f02b9aa459e35002ff6a26e6d0a','<iframe title=\"C0110_2\" src=\"https://player.vimeo.com/video/422877899?dnt=1&amp;app_id=122963\" width=\"706\" height=\"397\" frameborder=\"0\" allow=\"autoplay; fullscreen; picture-in-picture\" allowfullscreen></iframe>'),(11424,293,'_oembed_f89093a040ca1b33ae0eb5c370bf7419','{{unknown}}'),(11042,282,'forms_shortcode_generator',''),(11043,282,'_forms_shortcode_generator','field_5d251abf7f8ce'),(11044,282,'page_forms_submit_btn',''),(11045,282,'_page_forms_submit_btn','field_7d251f4544683'),(11046,282,'page_forms_btn_style',''),(11047,282,'_page_forms_btn_style','field_7d251f6644685'),(11048,282,'page_forms_btn_color',''),(11049,282,'_page_forms_btn_color','field_7d251f6944686'),(11050,282,'page_forms_btn_align',''),(11051,282,'_page_forms_btn_align','field_7d251f6c44687'),(11052,282,'page_forms_btn_onclick',''),(11053,282,'_page_forms_btn_onclick','field_7d251f6f44688'),(11054,282,'page_forms_send_to',''),(11055,282,'_page_forms_send_to','field_7d251fc0bef5e'),(11056,282,'page_forms_cc',''),(11057,282,'_page_forms_cc','field_7d251fc2bef5f'),(11058,282,'page_forms_campaign_name',''),(11059,282,'_page_forms_campaign_name','field_7d252480c53a2'),(11060,282,'page_forms_success',''),(11061,282,'_page_forms_success','field_7d252499c53a4'),(11062,282,'page_forms_share_align',''),(11063,282,'_page_forms_share_align','field_7d25249cc53a5'),(11064,297,'countdown_end_date',''),(11065,297,'_countdown_end_date','field_5c8963467234d'),(11066,297,'countdown_inline_text',''),(11067,297,'_countdown_inline_text','field_5ce86808cb169'),(11068,297,'countdown_align','justify-content-start'),(11069,297,'_countdown_align','field_5ce86828cb16a'),(11070,297,'page_description',''),(11071,297,'_page_description','field_5d0d36e3a4650'),(11072,297,'hero_panels','a:1:{i:0;s:8:\"image_bg\";}'),(11073,297,'_hero_panels','field_5c5a122054b69'),(11074,297,'clicks_panels','a:6:{i:0;s:13:\"content_panel\";i:1;s:19:\"content_image_panel\";i:2;s:19:\"content_image_panel\";i:3;s:19:\"content_image_panel\";i:4;s:13:\"feature_panel\";i:5;s:18:\"testimonial_slider\";}'),(11075,297,'_clicks_panels','field_598249dea423d'),(11076,297,'footer_panels','a:1:{i:0;s:10:\"full_width\";}'),(11077,297,'_footer_panels','field_5c6c9e7eba7a6'),(11078,297,'google_conversion_id',''),(11079,297,'_google_conversion_id','field_5c8ac5e7c5da3'),(11080,297,'google_conversion_label',''),(11081,297,'_google_conversion_label','field_5c8ac5e7c5dea'),(11082,297,'head_area_embed',''),(11083,297,'_head_area_embed','field_5c8ac5e7c5e35'),(11084,297,'body_area_embed',''),(11085,297,'_body_area_embed','field_5c8ac5e7c5e79'),(11086,297,'footer_area_embed',''),(11087,297,'_footer_area_embed','field_5c9d110ffa064'),(11088,297,'page_cr_referral_id',''),(11089,297,'_page_cr_referral_id','field_5c804db29810f'),(11090,297,'page_cr_prospect_id',''),(11091,297,'_page_cr_prospect_id','field_5c8063e1fa49e'),(11092,297,'page_cr_user_id',''),(11093,297,'_page_cr_user_id','field_5cc770c9ef77c'),(11094,297,'page_cr_radius',''),(11095,297,'_page_cr_radius','field_5c804db2981e0'),(11096,297,'cr_shortcode_generator',''),(11097,297,'_cr_shortcode_generator','field_5c83e2ef816ab'),(11098,297,'page_cr_submit_btn',''),(11099,297,'_page_cr_submit_btn','field_5c8ab548ea23d'),(11100,297,'page_cr_btn_style',''),(11101,297,'_page_cr_btn_style','field_5c8aeb34680ab'),(11102,297,'page_cr_btn_color',''),(11103,297,'_page_cr_btn_color','field_5cae428b706b5'),(11104,297,'page_cr_btn_align',''),(11105,297,'_page_cr_btn_align','field_5c8acf72c171d'),(11106,297,'page_cr_btn_onclick',''),(11107,297,'_page_cr_btn_onclick','field_5c8aeb5b680ac'),(11108,297,'page_cr_send_to',''),(11109,297,'_page_cr_send_to','field_5c8ab548ea28b'),(11110,297,'page_cr_cc',''),(11111,297,'_page_cr_cc','field_5c8ab548ea2d1'),(11112,297,'page_cr_show_locations','0'),(11113,297,'_page_cr_show_locations','field_5c8ab548eedde'),(11114,297,'page_cr_campaign_name',''),(11115,297,'_page_cr_campaign_name','field_5c8ab548efc68'),(11116,297,'page_cr_tt_store_id',''),(11117,297,'_page_cr_tt_store_id','field_5c8ab548f0afc'),(11118,297,'page_cr_template_id',''),(11119,297,'_page_cr_template_id','field_5c8ab548f1b68'),(11120,297,'page_cr_success',''),(11121,297,'_page_cr_success','field_5c8ab548f325a'),(11122,297,'page_cr_share_align',''),(11123,297,'_page_cr_share_align','field_5c9024916a377'),(11124,297,'page_cr_booking_msg',''),(11125,297,'_page_cr_booking_msg','field_5c8aeddca1987'),(11126,297,'page_cr_booking_btn',''),(11127,297,'_page_cr_booking_btn','field_5ce43a4152682'),(11128,297,'page_cr_booking_success',''),(11129,297,'_page_cr_booking_success','field_5c901deb14a3b'),(11130,297,'page_cr_payments_url',''),(11131,297,'_page_cr_payments_url','field_5dc31fc6af861'),(11132,297,'hero_panels_0_hero_type','fixed'),(11133,297,'_hero_panels_0_hero_type','field_5c5c6593013b2'),(11134,297,'hero_panels_0_content_0_content','<h2>FREE 7-DAY\r\nTRIAL!</h2>\r\n<strong>[name] is fitness community specializing in innovative, high-intensity group workouts that are fast, fun, and results-driven. Experience one of the most time-efficient ways to train with a FREE 7-day trial! Sign up to get started today!</strong>'),(11135,297,'_hero_panels_0_content_0_content','field_5c5a253154b6e'),(11136,297,'hero_panels_0_content_0_button_alignment','text-left'),(11137,297,'_hero_panels_0_content_0_button_alignment','field_5c76fad1e6aa6'),(11138,297,'hero_panels_0_content_0_buttons',''),(11139,297,'_hero_panels_0_content_0_buttons','field_5c5a255454b6f'),(11140,297,'hero_panels_0_content_1_content','<h3 style=\"text-align: center;\">CLAIM YOUR FREE TRIAL!</h3>\r\n<p style=\"text-align: center;\">[single_clicks_form]</p>'),(11141,297,'_hero_panels_0_content_1_content','field_5c5a253154b6e'),(11142,297,'hero_panels_0_content_1_button_alignment','text-left'),(11143,297,'_hero_panels_0_content_1_button_alignment','field_5c76fad1e6aa6'),(11144,297,'hero_panels_0_content_1_buttons',''),(11145,297,'_hero_panels_0_content_1_buttons','field_5c5a255454b6f'),(11146,297,'hero_panels_0_content','2'),(11147,297,'_hero_panels_0_content','field_5c86d128b1d24'),(11148,297,'hero_panels_0_desk_bg_img',''),(11149,297,'_hero_panels_0_desk_bg_img','field_5c5a24e254b6c'),(11150,297,'hero_panels_0_mob_bg_img',''),(11151,297,'_hero_panels_0_mob_bg_img','field_5d1f7f8a74259'),(11152,297,'hero_panels_0_horz_align_desk','center'),(11153,297,'_hero_panels_0_horz_align_desk','field_5c8aacf58fa29'),(11154,297,'hero_panels_0_horz_align_mob','center'),(11155,297,'_hero_panels_0_horz_align_mob','field_5c8aaf79121c0'),(11156,297,'hero_panels_0_vert_align_desk','center'),(11157,297,'_hero_panels_0_vert_align_desk','field_5c8aaf8a121c1'),(11158,297,'hero_panels_0_vert_align_mob','center'),(11159,297,'_hero_panels_0_vert_align_mob','field_5c8aafa0121c2'),(11160,297,'hero_panels_0_overlay_type','dark'),(11161,297,'_hero_panels_0_overlay_type','field_5c5a247654b6a'),(11162,297,'hero_panels_0_overlay_opacity','0.5'),(11163,297,'_hero_panels_0_overlay_opacity','field_5c5a24a354b6b'),(11164,297,'hero_panels_0_alignment','justify-content-start'),(11165,297,'_hero_panels_0_alignment','field_5c65d2663c716'),(11166,297,'clicks_panels_0_content_box_0_content','<h3>WHAT IS\r\nF45 TRAINING?</h3>\r\n&nbsp;\r\n\r\nThe F stands for Functional Training, a mix of circuit and High Intensity Interval Training (HIIT) style workouts geared towards everyday movement. 45 is the total amount of time for sweat-dripping heart-pumping fun.\r\n\r\n&nbsp;'),(11167,297,'_clicks_panels_0_content_box_0_content','field_59824a06a423e'),(11168,297,'clicks_panels_0_content_box_0_vertical_alignment','center'),(11169,297,'_clicks_panels_0_content_box_0_vertical_alignment','field_5cd09e2416d20'),(11170,297,'clicks_panels_0_content_box_0_button_text','GET STARTED'),(11171,297,'_clicks_panels_0_content_box_0_button_text','field_5c4cb9a588fe9'),(11172,297,'clicks_panels_0_content_box_0_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(11173,297,'_clicks_panels_0_content_box_0_button_link','field_5c4cb9ad88fea'),(11174,297,'clicks_panels_0_content_box_0_button_style','hollow'),(11175,297,'_clicks_panels_0_content_box_0_button_style','field_5c4cb9c388feb'),(11176,297,'clicks_panels_0_content_box_0_button_color','dark'),(11177,297,'_clicks_panels_0_content_box_0_button_color','field_5c75e256ce6d1'),(11178,297,'clicks_panels_0_content_box_0_button_alignment','text-left'),(11179,297,'_clicks_panels_0_content_box_0_button_alignment','field_5c6df6e3ac062'),(11180,297,'clicks_panels_0_content_box_0_button',''),(11181,297,'_clicks_panels_0_content_box_0_button','field_5c4cb99788fe8'),(11182,297,'clicks_panels_0_content_box_1_content','https://vimeo.com/489588216'),(11183,297,'_clicks_panels_0_content_box_1_content','field_59824a06a423e'),(11184,297,'clicks_panels_0_content_box_1_vertical_alignment','center'),(11185,297,'_clicks_panels_0_content_box_1_vertical_alignment','field_5cd09e2416d20'),(11186,297,'clicks_panels_0_content_box_1_button_text',''),(11187,297,'_clicks_panels_0_content_box_1_button_text','field_5c4cb9a588fe9'),(11188,297,'clicks_panels_0_content_box_1_button_link',''),(11189,297,'_clicks_panels_0_content_box_1_button_link','field_5c4cb9ad88fea'),(11190,297,'clicks_panels_0_content_box_1_button_style','hollow'),(11191,297,'_clicks_panels_0_content_box_1_button_style','field_5c4cb9c388feb'),(11192,297,'clicks_panels_0_content_box_1_button_color','dark'),(11193,297,'_clicks_panels_0_content_box_1_button_color','field_5c75e256ce6d1'),(11194,297,'clicks_panels_0_content_box_1_button_alignment','text-left'),(11195,297,'_clicks_panels_0_content_box_1_button_alignment','field_5c6df6e3ac062'),(11196,297,'clicks_panels_0_content_box_1_button',''),(11197,297,'_clicks_panels_0_content_box_1_button','field_5c4cb99788fe8'),(11198,297,'clicks_panels_0_content_box','2'),(11199,297,'_clicks_panels_0_content_box','field_5c749908df8b2'),(11200,297,'clicks_panels_0_bg_color','#ffffff'),(11201,297,'_clicks_panels_0_bg_color','field_5c4cb7651cfce'),(11202,297,'clicks_panels_0_text_color','#000000'),(11203,297,'_clicks_panels_0_text_color','field_5c6e06291f0cb'),(11204,297,'clicks_panels_1_content','<h3>INNOVATION.</h3>\r\n&nbsp;\r\n\r\nOur functional training classes continuously evolve so virtually no two workouts are ever the same!\r\n\r\n&nbsp;'),(11205,297,'_clicks_panels_1_content','field_59824ac3a4240'),(11206,297,'clicks_panels_1_image',''),(11207,297,'_clicks_panels_1_image','field_59824af3a4241'),(11208,297,'clicks_panels_1_layout','order-1'),(11209,297,'_clicks_panels_1_layout','field_59824b08a4242'),(11210,297,'clicks_panels_1_type','full'),(11211,297,'_clicks_panels_1_type','field_5ce5ad7b86b1e'),(11212,297,'clicks_panels_1_vertical_alignment','center'),(11213,297,'_clicks_panels_1_vertical_alignment','field_5cd09ecd16d21'),(11214,297,'clicks_panels_1_button_text','GET STARTED!'),(11215,297,'_clicks_panels_1_button_text','field_5c4cb9e488fed'),(11216,297,'clicks_panels_1_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(11217,297,'_clicks_panels_1_button_link','field_5c4cb9e488fee'),(11218,297,'clicks_panels_1_button_style','hollow'),(11219,297,'_clicks_panels_1_button_style','field_5c4cb9e488fef'),(11220,297,'clicks_panels_1_button_color','dark'),(11221,297,'_clicks_panels_1_button_color','field_5c75ca9870d43'),(11222,297,'clicks_panels_1_button_alignment','text-left'),(11223,297,'_clicks_panels_1_button_alignment','field_5c6df75dac064'),(11224,297,'clicks_panels_1_button',''),(11225,297,'_clicks_panels_1_button','field_5c4cb9e488fec'),(11226,297,'clicks_panels_1_bg_color','#f2f2f2'),(11227,297,'_clicks_panels_1_bg_color','field_5c4cb79c1cfcf'),(11228,297,'clicks_panels_1_text_color','#000000'),(11229,297,'_clicks_panels_1_text_color','field_5c6e064d1f0cc'),(11230,297,'page_mbo_location_id',''),(11231,297,'_page_mbo_location_id','field_5cc762e29e383'),(11232,297,'page_mbo_referred_by',''),(11233,297,'_page_mbo_referred_by','field_5cc762e29e3ce'),(11234,297,'page_mbo_radius',''),(11235,297,'_page_mbo_radius','field_5cc762e29e444'),(11236,297,'mbo_shortcode_generator_0_signup','0'),(11237,297,'_mbo_shortcode_generator_0_signup','field_5daf3d0e5b13a'),(11238,297,'mbo_shortcode_generator','a:1:{i:0;s:20:\"single_mindbody_form\";}'),(11239,297,'_mbo_shortcode_generator','field_5cc7644d20afb'),(11240,297,'clicks_panels_2_content','<h3>MOTIVATION.</h3>\r\n&nbsp;\r\n\r\nThe motivation and encouragement in a group training facility creates a pulsing, upbeat environment where goals are met and exceeded.\r\n\r\n&nbsp;'),(11241,297,'_clicks_panels_2_content','field_59824ac3a4240'),(11242,297,'clicks_panels_2_image',''),(11243,297,'_clicks_panels_2_image','field_59824af3a4241'),(11244,297,'clicks_panels_2_layout','order-1 order-md-12'),(11245,297,'_clicks_panels_2_layout','field_59824b08a4242'),(11246,297,'clicks_panels_2_type','full'),(11247,297,'_clicks_panels_2_type','field_5ce5ad7b86b1e'),(11248,297,'clicks_panels_2_vertical_alignment','center'),(11249,297,'_clicks_panels_2_vertical_alignment','field_5cd09ecd16d21'),(11250,297,'clicks_panels_2_button_text','GET STARTED!'),(11251,297,'_clicks_panels_2_button_text','field_5c4cb9e488fed'),(11252,297,'clicks_panels_2_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(11253,297,'_clicks_panels_2_button_link','field_5c4cb9e488fee'),(11254,297,'clicks_panels_2_button_style','hollow'),(11255,297,'_clicks_panels_2_button_style','field_5c4cb9e488fef'),(11256,297,'clicks_panels_2_button_color','dark'),(11257,297,'_clicks_panels_2_button_color','field_5c75ca9870d43'),(11258,297,'clicks_panels_2_button_alignment','text-left'),(11259,297,'_clicks_panels_2_button_alignment','field_5c6df75dac064'),(11260,297,'clicks_panels_2_button',''),(11261,297,'_clicks_panels_2_button','field_5c4cb9e488fec'),(11262,297,'clicks_panels_2_bg_color','#f2f2f2'),(11263,297,'_clicks_panels_2_bg_color','field_5c4cb79c1cfcf'),(11264,297,'clicks_panels_2_text_color','#000000'),(11265,297,'_clicks_panels_2_text_color','field_5c6e064d1f0cc'),(11266,297,'clicks_panels_3_content','<h3>RESULTS.</h3>\r\n&nbsp;\r\n\r\nWhen it comes to weight management, good nutrition is vital. [name] gives all members access to their own free personal nutrition program to achieve health objectives with daily meal plans, tracking, and community support. Welcome to the [name] Challenge.\r\n\r\n&nbsp;'),(11267,297,'_clicks_panels_3_content','field_59824ac3a4240'),(11268,297,'clicks_panels_3_image',''),(11269,297,'_clicks_panels_3_image','field_59824af3a4241'),(11270,297,'clicks_panels_3_layout','order-1'),(11271,297,'_clicks_panels_3_layout','field_59824b08a4242'),(11272,297,'clicks_panels_3_type','full'),(11273,297,'_clicks_panels_3_type','field_5ce5ad7b86b1e'),(11274,297,'clicks_panels_3_vertical_alignment','center'),(11275,297,'_clicks_panels_3_vertical_alignment','field_5cd09ecd16d21'),(11276,297,'clicks_panels_3_button_text','GET STARTED!'),(11277,297,'_clicks_panels_3_button_text','field_5c4cb9e488fed'),(11278,297,'clicks_panels_3_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(11279,297,'_clicks_panels_3_button_link','field_5c4cb9e488fee'),(11280,297,'clicks_panels_3_button_style','hollow'),(11281,297,'_clicks_panels_3_button_style','field_5c4cb9e488fef'),(11282,297,'clicks_panels_3_button_color','dark'),(11283,297,'_clicks_panels_3_button_color','field_5c75ca9870d43'),(11284,297,'clicks_panels_3_button_alignment','text-left'),(11285,297,'_clicks_panels_3_button_alignment','field_5c6df75dac064'),(11286,297,'clicks_panels_3_button',''),(11287,297,'_clicks_panels_3_button','field_5c4cb9e488fec'),(11288,297,'clicks_panels_3_bg_color','#f2f2f2'),(11289,297,'_clicks_panels_3_bg_color','field_5c4cb79c1cfcf'),(11290,297,'clicks_panels_3_text_color','#000000'),(11291,297,'_clicks_panels_3_text_color','field_5c6e064d1f0cc'),(11292,297,'clicks_panels_4_main_text','<h3>[name] IS A COMMUNITY!</h3>\r\n&nbsp;\r\n<h6>Every member is on their own fitness journey. Whether it\'s to lose weight, build muscle or to unwind after a stressful day, everyone has their own reasons for being here. The [name] community will rally behind you to help you achieve whatever your fitness goals are!</h6>\r\n&nbsp;\r\n\r\n&nbsp;'),(11293,297,'_clicks_panels_4_main_text','field_5c9e9b1a1619d'),(11294,297,'clicks_panels_4_alignment','justify-content-start'),(11295,297,'_clicks_panels_4_alignment','field_5c9e9b401619e'),(11296,297,'clicks_panels_4_button_text','GET STARTED!'),(11297,297,'_clicks_panels_4_button_text','field_5c9e9bba161a0'),(11298,297,'clicks_panels_4_button_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#TOP\";s:6:\"target\";s:0:\"\";}'),(11299,297,'_clicks_panels_4_button_link','field_5c9e9bcf161a1'),(11300,297,'clicks_panels_4_button_style','solid'),(11301,297,'_clicks_panels_4_button_style','field_5c9e9c0c161a2'),(11302,297,'clicks_panels_4_button_color','dark'),(11303,297,'_clicks_panels_4_button_color','field_5c9e9cae161a3'),(11304,297,'clicks_panels_4_button_alignment','text-left'),(11305,297,'_clicks_panels_4_button_alignment','field_5c9e9cf9161a4'),(11306,297,'clicks_panels_4_button',''),(11307,297,'_clicks_panels_4_button','field_5c9e9b951619f'),(11308,297,'clicks_panels_4_bg_type','image'),(11309,297,'_clicks_panels_4_bg_type','field_5cbe21c7dbf3e'),(11310,297,'clicks_panels_4_panel_height','auto'),(11311,297,'_clicks_panels_4_panel_height','field_5cd1d3dab69ad'),(11312,297,'clicks_panels_4_bg_desk',''),(11313,297,'_clicks_panels_4_bg_desk','field_5c9ea0972a746'),(11314,297,'clicks_panels_4_bg_mobile',''),(11315,297,'_clicks_panels_4_bg_mobile','field_5d1f80086362f'),(11316,297,'clicks_panels_4_horz_align_desk','center'),(11317,297,'_clicks_panels_4_horz_align_desk','field_5c9ea1dd2a74a'),(11318,297,'clicks_panels_4_horz_align_mob','center'),(11319,297,'_clicks_panels_4_horz_align_mob','field_5c9ea2312a74b'),(11320,297,'clicks_panels_4_vert_align_desk','center'),(11321,297,'_clicks_panels_4_vert_align_desk','field_5c9ea3172a74d'),(11322,297,'clicks_panels_4_vert_align_mob','center'),(11323,297,'_clicks_panels_4_vert_align_mob','field_5c9ea2d82a74c'),(11324,297,'clicks_panels_4_overlay_color','#1e1547'),(11325,297,'_clicks_panels_4_overlay_color','field_5cd1c164de92f'),(11326,297,'clicks_panels_4_text_color','#FFF'),(11327,297,'_clicks_panels_4_text_color','field_5cd1d304b69ac'),(11328,297,'clicks_panels_4_overlay_opacity_desk','0.6'),(11329,297,'_clicks_panels_4_overlay_opacity_desk','field_5c9ea48d144e3'),(11330,297,'clicks_panels_4_overlay_opacity_mob','0.5'),(11331,297,'_clicks_panels_4_overlay_opacity_mob','field_5c9ea509144e5'),(11332,297,'clicks_panels_5_intro',''),(11333,297,'_clicks_panels_5_intro','field_5c75d8409f209'),(11334,297,'clicks_panels_5_category',''),(11335,297,'_clicks_panels_5_category','field_5c588fe3ce75d'),(11336,297,'clicks_panels_5_bg_color','#F7F7F7'),(11337,297,'_clicks_panels_5_bg_color','field_5c589033ce75e'),(11338,297,'clicks_panels_5_text_color','#000'),(11339,297,'_clicks_panels_5_text_color','field_5c58904ace75f'),(11340,297,'footer_panels_0_content','<h3 style=\"text-align: center;\">GET STARTED TODAY!</h3>\r\n&nbsp;'),(11341,297,'_footer_panels_0_content','field_5c6c9f39ba7aa'),(11342,297,'footer_panels_0_button_alignment','center'),(11343,297,'_footer_panels_0_button_alignment','field_5c770495b0d55'),(11344,297,'footer_panels_0_buttons_0_text','SIGN UP!'),(11345,297,'_footer_panels_0_buttons_0_text','field_5c6c9fa3ba7ad'),(11346,297,'footer_panels_0_buttons_0_link','a:3:{s:5:\"title\";s:0:\"\";s:3:\"url\";s:4:\"#top\";s:6:\"target\";s:0:\"\";}'),(11347,297,'_footer_panels_0_buttons_0_link','field_5c6c9facba7ae'),(11348,297,'footer_panels_0_buttons_0_style','solid'),(11349,297,'_footer_panels_0_buttons_0_style','field_5c6c9fc4ba7af'),(11350,297,'footer_panels_0_buttons_0_color','dark'),(11351,297,'_footer_panels_0_buttons_0_color','field_5c77013805894'),(11352,297,'footer_panels_0_buttons','1'),(11353,297,'_footer_panels_0_buttons','field_5c6c9f88ba7ac'),(11354,297,'footer_panels_0_desk_bg_img',''),(11355,297,'_footer_panels_0_desk_bg_img','field_5c6c9eb1ba7a7'),(11356,297,'footer_panels_0_mob_bg_img',''),(11357,297,'_footer_panels_0_mob_bg_img','field_5d1f8056df761'),(11358,297,'footer_panels_0_horz_align_desk','center'),(11359,297,'_footer_panels_0_horz_align_desk','field_5c6d973489804'),(11360,297,'footer_panels_0_horz_align_mob','center'),(11361,297,'_footer_panels_0_horz_align_mob','field_5c6d984789806'),(11362,297,'footer_panels_0_vert_align_desk','center'),(11363,297,'_footer_panels_0_vert_align_desk','field_5c6d978c89805'),(11364,297,'footer_panels_0_vert_align_mob','center'),(11365,297,'_footer_panels_0_vert_align_mob','field_5c6d986589807'),(11366,297,'footer_panels_0_overlay_type','dark'),(11367,297,'_footer_panels_0_overlay_type','field_5c6c9ee1ba7a8'),(11368,297,'footer_panels_0_overlay_opacity','0.4'),(11369,297,'_footer_panels_0_overlay_opacity','field_5c6c9f09ba7a9'),(11370,297,'footer_panels_0_text_color','#ffffff'),(11371,297,'_footer_panels_0_text_color','field_5c6d94a160bed'),(11372,297,'footer_panels_0_alignment','justify-content-center'),(11373,297,'_footer_panels_0_alignment','field_5c6d94b560bee'),(11374,297,'page_mbo_submit_btn',''),(11375,297,'_page_mbo_submit_btn','field_5cc7635670181'),(11376,297,'page_mbo_btn_style','solid'),(11377,297,'_page_mbo_btn_style','field_5cc76356701bf'),(11378,297,'page_mbo_btn_color','dark'),(11379,297,'_page_mbo_btn_color','field_5cc76356701fc'),(11380,297,'page_mbo_btn_align','text-center'),(11381,297,'_page_mbo_btn_align','field_5cc763567023c'),(11382,297,'page_mbo_btn_onclick',''),(11383,297,'_page_mbo_btn_onclick','field_5cc763567027a'),(11384,297,'page_mbo_send_to',''),(11385,297,'_page_mbo_send_to','field_5cc763567030a'),(11386,297,'page_mbo_cc',''),(11387,297,'_page_mbo_cc','field_5cc763567034b'),(11388,297,'page_mbo_show_locations','0'),(11389,297,'_page_mbo_show_locations','field_5cc763567c799'),(11390,297,'page_mbo_campaign_name',''),(11391,297,'_page_mbo_campaign_name','field_5cc763567d8bb'),(11392,297,'page_mbo_success',''),(11393,297,'_page_mbo_success','field_5cc7635682baa'),(11394,297,'page_mbo_share_align','text-center'),(11395,297,'_page_mbo_share_align','field_5cc76356851e1'),(11396,297,'page_mbo_booking_msg',''),(11397,297,'_page_mbo_booking_msg','field_5cc7635686ed4'),(11398,297,'page_mbo_booking_btn',''),(11399,297,'_page_mbo_booking_btn','field_5ce44499cd167'),(11400,297,'page_mbo_booking_success',''),(11401,297,'_page_mbo_booking_success','field_5cc7635683f38'),(11402,297,'forms_shortcode_generator',''),(11403,297,'_forms_shortcode_generator','field_5d251abf7f8ce'),(11404,297,'page_forms_submit_btn',''),(11405,297,'_page_forms_submit_btn','field_7d251f4544683'),(11406,297,'page_forms_btn_style',''),(11407,297,'_page_forms_btn_style','field_7d251f6644685'),(11408,297,'page_forms_btn_color',''),(11409,297,'_page_forms_btn_color','field_7d251f6944686'),(11410,297,'page_forms_btn_align',''),(11411,297,'_page_forms_btn_align','field_7d251f6c44687'),(11412,297,'page_forms_btn_onclick',''),(11413,297,'_page_forms_btn_onclick','field_7d251f6f44688'),(11414,297,'page_forms_send_to',''),(11415,297,'_page_forms_send_to','field_7d251fc0bef5e'),(11416,297,'page_forms_cc',''),(11417,297,'_page_forms_cc','field_7d251fc2bef5f'),(11418,297,'page_forms_campaign_name',''),(11419,297,'_page_forms_campaign_name','field_7d252480c53a2'),(11420,297,'page_forms_success',''),(11421,297,'_page_forms_success','field_7d252499c53a4'),(11422,297,'page_forms_share_align',''),(11423,297,'_page_forms_share_align','field_7d25249cc53a5');
DROP TABLE IF EXISTS `wp_posts`;
CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_title` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_excerpt` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `to_ping` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `pinged` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`),
  KEY `post_name` (`post_name`(191))
) ENGINE=MyISAM AUTO_INCREMENT=310 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_posts` VALUES (295,1,'2021-05-12 21:07:58','2021-05-12 21:07:58','','FREE 7-DAY TRIAL','','inherit','closed','closed','','282-revision-v1','','','2021-05-12 21:07:58','2021-05-12 21:07:58','',282,'https://rumbleoffers.com/?p=295',0,'revision','',0),(292,1,'2021-05-12 20:16:36','2021-05-12 20:16:36','','website_header_setting-desktop_logo-3-v9','','inherit','closed','closed','','website_header_setting-desktop_logo-3-v9','','','2021-05-12 20:16:36','2021-05-12 20:16:36','',0,'https://rumbleoffers.com/wp-content/uploads/2021/05/website_header_setting-desktop_logo-3-v9.png',0,'attachment','image/png',0),(293,1,'2021-05-12 20:17:37','2021-05-12 20:17:37','https://rumbleoffers.com/wp-content/uploads/2021/05/cropped-website_header_setting-desktop_logo-3-v9.png','cropped-website_header_setting-desktop_logo-3-v9.png','','inherit','closed','closed','','cropped-website_header_setting-desktop_logo-3-v9-png','','','2021-05-12 20:17:37','2021-05-12 20:17:37','',0,'https://rumbleoffers.com/wp-content/uploads/2021/05/cropped-website_header_setting-desktop_logo-3-v9.png',0,'attachment','image/png',0),(269,14,'2021-04-21 19:07:50','2021-04-21 19:07:50','','Stacy','','publish','closed','closed','','stacy','','','2021-04-21 19:07:50','2021-04-21 19:07:50','',0,'https://rumbleoffers.com/?post_type=testimonial&#038;p=269',0,'testimonial','',0),(270,14,'2021-04-21 19:07:50','2021-04-21 19:07:50','','Stacy','','inherit','closed','closed','','269-revision-v1','','','2021-04-21 19:07:50','2021-04-21 19:07:50','',269,'https://rumbleoffers.com/?p=270',0,'revision','',0),(271,14,'2021-04-21 19:08:19','2021-04-21 19:08:19','','Evan','','publish','closed','closed','','evan','','','2021-04-21 19:08:19','2021-04-21 19:08:19','',0,'https://rumbleoffers.com/?post_type=testimonial&#038;p=271',0,'testimonial','',0),(272,14,'2021-04-21 19:08:19','2021-04-21 19:08:19','','Evan','','inherit','closed','closed','','271-revision-v1','','','2021-04-21 19:08:19','2021-04-21 19:08:19','',271,'https://rumbleoffers.com/?p=272',0,'revision','',0),(273,14,'2021-04-21 19:08:45','2021-04-21 19:08:45','','Amiee','','publish','closed','closed','','amiee','','','2021-04-21 19:08:45','2021-04-21 19:08:45','',0,'https://rumbleoffers.com/?post_type=testimonial&#038;p=273',0,'testimonial','',0),(274,14,'2021-04-21 19:08:45','2021-04-21 19:08:45','','Amiee','','inherit','closed','closed','','273-revision-v1','','','2021-04-21 19:08:45','2021-04-21 19:08:45','',273,'https://rumbleoffers.com/?p=274',0,'revision','',0),(275,14,'2021-04-21 19:09:07','2021-04-21 19:09:07','','John','','publish','closed','closed','','john','','','2021-04-21 19:09:07','2021-04-21 19:09:07','',0,'https://rumbleoffers.com/?post_type=testimonial&#038;p=275',0,'testimonial','',0),(276,14,'2021-04-21 19:09:07','2021-04-21 19:09:07','','John','','inherit','closed','closed','','275-revision-v1','','','2021-04-21 19:09:07','2021-04-21 19:09:07','',275,'https://rumbleoffers.com/?p=276',0,'revision','',0),(277,14,'2021-04-21 19:09:27','2021-04-21 19:09:27','','Lauren','','publish','closed','closed','','lauren','','','2021-04-21 19:09:27','2021-04-21 19:09:27','',0,'https://rumbleoffers.com/?post_type=testimonial&#038;p=277',0,'testimonial','',0),(278,14,'2021-04-21 19:09:27','2021-04-21 19:09:27','','Lauren','','inherit','closed','closed','','277-revision-v1','','','2021-04-21 19:09:27','2021-04-21 19:09:27','',277,'https://rumbleoffers.com/?p=278',0,'revision','',0),(282,14,'2021-04-21 19:53:06','2021-04-21 19:53:06','','FREE 7-DAY TRIAL','','publish','closed','closed','','free-trial','','','2021-05-13 18:23:15','2021-05-13 18:23:15','',0,'https://rumbleoffers.com/lp/free-trial/',0,'lp','',0),(297,1,'2021-05-13 18:23:15','2021-05-13 18:23:15','','FREE 7-DAY TRIAL','','inherit','closed','closed','','282-revision-v1','','','2021-05-13 18:23:15','2021-05-13 18:23:15','',282,'https://rumbleoffers.com/?p=297',0,'revision','',0);
DROP TABLE IF EXISTS `wp_redirection_404`;
CREATE TABLE `wp_redirection_404` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `created` datetime NOT NULL,
  `url` mediumtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `domain` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `agent` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `referrer` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `http_code` int(11) unsigned NOT NULL DEFAULT '0',
  `request_method` varchar(10) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `request_data` mediumtext COLLATE utf8mb4_unicode_520_ci,
  `ip` varchar(45) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `created` (`created`),
  KEY `referrer` (`referrer`(191)),
  KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_redirection_groups`;
CREATE TABLE `wp_redirection_groups` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `tracking` int(11) NOT NULL DEFAULT '1',
  `module_id` int(11) unsigned NOT NULL DEFAULT '0',
  `status` enum('enabled','disabled') COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'enabled',
  `position` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `module_id` (`module_id`),
  KEY `status` (`status`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
INSERT INTO `wp_redirection_groups` VALUES (1,'Redirections',1,1,'enabled',0),(2,'Modified Posts',1,1,'enabled',1);
DROP TABLE IF EXISTS `wp_redirection_items`;
CREATE TABLE `wp_redirection_items` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `url` mediumtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `match_url` varchar(2000) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `match_data` text COLLATE utf8mb4_unicode_520_ci,
  `regex` int(11) unsigned NOT NULL DEFAULT '0',
  `position` int(11) unsigned NOT NULL DEFAULT '0',
  `last_count` int(10) unsigned NOT NULL DEFAULT '0',
  `last_access` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `group_id` int(11) NOT NULL DEFAULT '0',
  `status` enum('enabled','disabled') COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT 'enabled',
  `action_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `action_code` int(11) unsigned NOT NULL,
  `action_data` mediumtext COLLATE utf8mb4_unicode_520_ci,
  `match_type` varchar(20) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `title` text COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`id`),
  KEY `url` (`url`(191)),
  KEY `status` (`status`),
  KEY `regex` (`regex`),
  KEY `group_idpos` (`group_id`,`position`),
  KEY `group` (`group_id`),
  KEY `match_url` (`match_url`(191))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_redirection_logs`;
CREATE TABLE `wp_redirection_logs` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `created` datetime NOT NULL,
  `url` mediumtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `domain` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `sent_to` mediumtext COLLATE utf8mb4_unicode_520_ci,
  `agent` mediumtext COLLATE utf8mb4_unicode_520_ci,
  `referrer` mediumtext COLLATE utf8mb4_unicode_520_ci,
  `http_code` int(11) unsigned NOT NULL DEFAULT '0',
  `request_method` varchar(10) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `request_data` mediumtext COLLATE utf8mb4_unicode_520_ci,
  `redirect_by` varchar(50) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `redirection_id` int(11) unsigned DEFAULT NULL,
  `ip` varchar(45) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `created` (`created`),
  KEY `redirection_id` (`redirection_id`),
  KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_registration_log`;
CREATE TABLE `wp_registration_log` (
  `ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `email` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `IP` varchar(30) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `blog_id` bigint(20) NOT NULL DEFAULT '0',
  `date_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`ID`),
  KEY `IP` (`IP`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_signups`;
CREATE TABLE `wp_signups` (
  `signup_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `domain` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `path` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `title` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `activated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `active` tinyint(1) NOT NULL DEFAULT '0',
  `activation_key` varchar(50) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `meta` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`signup_id`),
  KEY `activation_key` (`activation_key`),
  KEY `user_email` (`user_email`),
  KEY `user_login_email` (`user_login`,`user_email`),
  KEY `domain_path` (`domain`(140),`path`(51))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_site`;
CREATE TABLE `wp_site` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `domain` varchar(200) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  `path` varchar(100) COLLATE utf8mb4_unicode_520_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `domain` (`domain`(140),`path`(51))
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
INSERT INTO `wp_site` VALUES (1,'rumbleoffers.com','/');
DROP TABLE IF EXISTS `wp_sitemeta`;
CREATE TABLE `wp_sitemeta` (
  `meta_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `site_id` bigint(20) NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `meta_key` (`meta_key`(191)),
  KEY `site_id` (`site_id`)
) ENGINE=MyISAM AUTO_INCREMENT=9919 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
INSERT INTO `wp_sitemeta` VALUES (1,1,'site_name','Rumble Offers'),(2,1,'admin_email','webmaster@reachagency.co'),(3,1,'admin_user_id','1'),(4,1,'registration','none'),(5,1,'upload_filetypes','jpg jpeg png gif mov avi mpg 3gp 3g2 midi mid pdf doc ppt odt pptx docx pps ppsx xls xlsx key mp3 ogg flac m4a wav mp4 m4v webm ogv flv'),(6,1,'blog_upload_space','100'),(7,1,'fileupload_maxk','15000'),(8,1,'site_admins','a:6:{i:0;s:9:\"webmaster\";i:5;s:5:\"andre\";i:10;s:5:\"sharp\";i:12;s:7:\"eduardo\";i:13;s:5:\"lance\";i:14;s:4:\"cole\";}'),(9,1,'allowedthemes','a:2:{s:18:\"clicks_3_child_f45\";b:1;s:8:\"clicks_3\";b:1;}'),(10,1,'illegal_names','a:9:{i:0;s:3:\"www\";i:1;s:3:\"web\";i:2;s:4:\"root\";i:3;s:5:\"admin\";i:4;s:4:\"main\";i:5;s:6:\"invite\";i:6;s:13:\"administrator\";i:7;s:5:\"files\";i:8;s:4:\"blog\";}'),(11,1,'wpmu_upgrade_site','51917'),(12,1,'welcome_email','Howdy USERNAME,\r\n\r\nYour new SITE_NAME site has been successfully set up at:\r\nBLOG_URL\r\n\r\nYou can log in to the administrator account with the following information:\r\n\r\nUsername: USERNAME\r\nPassword: PASSWORD\r\nLog in here: BLOG_URLwp-login.php\r\n\r\nWe hope you enjoy your new site. Thanks!\r\n\r\n--The Team @ SITE_NAME'),(13,1,'first_post','Welcome to %s. This is your first post. Edit or delete it, then start writing!'),(14,1,'siteurl','https://rumbleoffers.com/'),(15,1,'add_new_users','0'),(16,1,'upload_space_check_disabled','1'),(17,1,'subdomain_install',''),(18,1,'global_terms_enabled','0'),(19,1,'ms_files_rewriting','0'),(20,1,'initial_db_version','15260'),(21,1,'active_sitewide_plugins','a:13:{s:39:\"threewp-broadcast/ThreeWP_Broadcast.php\";i:1560552887;s:32:\"duplicate-page/duplicatepage.php\";i:1560552899;s:31:\"easy-fancybox/easy-fancybox.php\";i:1560552907;s:42:\"my-sites-search-master/my-sites-search.php\";i:1560552924;s:27:\"redirection/redirection.php\";i:1560552929;s:53:\"simple-custom-post-order/simple-custom-post-order.php\";i:1560552934;s:37:\"tinymce-advanced/tinymce-advanced.php\";i:1560552943;s:34:\"advanced-custom-fields-pro/acf.php\";i:1560553001;s:29:\"wp-mail-smtp/wp_mail_smtp.php\";i:1572548403;s:45:\"user-role-editor-pro/user-role-editor-pro.php\";i:1574381170;s:65:\"threewp-broadcast-premium-pack/ThreeWP_Broadcast_Premium_Pack.php\";i:1574384637;s:42:\"clicks3-integration/clicks_integration.php\";i:1618516337;s:37:\"clicks-clubready/clicks_clubready.php\";i:1650056516;}'),(22,1,'WPLANG',''),(40,1,'registrationnotification','yes'),(41,1,'welcome_user_email','Howdy USERNAME,\r\n\r\nYour new account is set up.\r\n\r\nYou can log in with the following information:\r\nUsername: USERNAME\r\nPassword: PASSWORD\r\nLOGINLINK\r\n\r\nThanks!\r\n\r\n--The Team @ SITE_NAME'),(32,1,'user_count','7'),(33,1,'blog_count','2'),(36,1,'can_compress_scripts','0'),(44,1,'menu_items','a:1:{s:7:\"plugins\";s:1:\"1\";}'),(45,1,'first_page',''),(46,1,'first_comment',''),(47,1,'first_comment_url',''),(48,1,'first_comment_author',''),(49,1,'limited_email_domains',''),(50,1,'banned_email_domains',''),(52,1,'first_comment_email',''),(1478,1,'external_updates-user-role-editor-pro','O:8:\"stdClass\":3:{s:9:\"lastCheck\";i:1660010973;s:14:\"checkedVersion\";s:6:\"4.62.1\";s:6:\"update\";O:8:\"stdClass\":7:{s:2:\"id\";i:0;s:4:\"slug\";s:20:\"user-role-editor-pro\";s:7:\"version\";s:4:\"4.63\";s:8:\"homepage\";s:27:\"https://www.role-editor.com\";s:12:\"download_url\";s:150:\"https://update.role-editor.com/?action=download&slug=user-role-editor-pro&license_key=ef315a4ac8b29ec482071c13c80b05d0c48c8e65e5794d8e04cf60e2341b650c\";s:6:\"tested\";s:5:\"6.0.1\";s:14:\"upgrade_notice\";N;}}'),(1379,1,'clubready_locations','[]'),(53,1,'recently_activated','a:0:{}'),(54,1,'threewp_broadcast\\ThreeWP_Broadcast_blogs_to_hide','5'),(55,1,'threewp_broadcast\\ThreeWP_Broadcast_blogs_hide_overview','5'),(56,1,'threewp_broadcast\\ThreeWP_Broadcast_canonical_url','1'),(57,1,'threewp_broadcast\\ThreeWP_Broadcast_clear_post','1'),(58,1,'threewp_broadcast\\ThreeWP_Broadcast_custom_field_blacklist',''),(59,1,'threewp_broadcast\\ThreeWP_Broadcast_custom_field_protectlist',''),(60,1,'threewp_broadcast\\ThreeWP_Broadcast_custom_field_whitelist',''),(61,1,'threewp_broadcast\\ThreeWP_Broadcast_database_version','8'),(62,1,'threewp_broadcast\\ThreeWP_Broadcast_debug_ips',''),(63,1,'threewp_broadcast\\ThreeWP_Broadcast_keep_attachments','1'),(64,1,'threewp_broadcast\\ThreeWP_Broadcast_save_post_decoys','1'),(65,1,'threewp_broadcast\\ThreeWP_Broadcast_save_post_priority','640'),(66,1,'threewp_broadcast\\ThreeWP_Broadcast_post_types','lp'),(67,1,'threewp_broadcast\\ThreeWP_Broadcast_existing_attachments','use'),(68,1,'threewp_broadcast\\ThreeWP_Broadcast_role_broadcast','a:1:{i:0;s:11:\"super_admin\";}'),(69,1,'threewp_broadcast\\ThreeWP_Broadcast_role_link','a:1:{i:0;s:11:\"super_admin\";}'),(70,1,'threewp_broadcast\\ThreeWP_Broadcast_role_broadcast_as_draft','a:1:{i:0;s:11:\"super_admin\";}'),(71,1,'threewp_broadcast\\ThreeWP_Broadcast_role_broadcast_scheduled_posts','a:1:{i:0;s:11:\"super_admin\";}'),(72,1,'threewp_broadcast\\ThreeWP_Broadcast_role_taxonomies','a:1:{i:0;s:11:\"super_admin\";}'),(73,1,'threewp_broadcast\\ThreeWP_Broadcast_role_custom_fields','a:1:{i:0;s:11:\"super_admin\";}'),(74,1,'threewp_broadcast\\ThreeWP_Broadcast_savings_calculator_data','O:41:\"threewp_broadcast\\savings_calculator\\Data\":1:{s:8:\"\0*\0items\";a:4:{s:5:\"since\";i:1563832355;s:13:\"posts_created\";i:32;s:10:\"time_saved\";d:19719;s:13:\"posts_updated\";i:39;}}'),(75,1,'threewp_broadcast\\ThreeWP_Broadcast_taxonomy_term_blacklist',''),(76,1,'threewp_broadcast\\ThreeWP_Broadcast_taxonomy_term_protectlist',''),(9901,1,'_site_transient_timeout_ThreeWP_Broadcast_Premium_Packedd_license_status','1660737113'),(9902,1,'_site_transient_ThreeWP_Broadcast_Premium_Packedd_license_status','O:8:\"stdClass\":13:{s:7:\"success\";b:1;s:7:\"license\";s:5:\"valid\";s:7:\"item_id\";b:0;s:9:\"item_name\";s:30:\"ThreeWP Broadcast Premium Pack\";s:8:\"checksum\";s:32:\"524c62a826d06e8b9edf6c7a2e17a72e\";s:7:\"expires\";s:19:\"2022-12-02 23:59:59\";s:10:\"payment_id\";i:14164;s:13:\"customer_name\";s:12:\"CODEMAY TEST\";s:14:\"customer_email\";s:21:\"webmaster@codemay.com\";s:13:\"license_limit\";i:0;s:10:\"site_count\";i:20;s:16:\"activations_left\";s:9:\"unlimited\";s:8:\"price_id\";b:0;}'),(84,1,'threewp_broadcast\\premium_pack\\ThreeWP_Broadcast_Premium_Pack_edd_updater_license_key','79e1f5997a9a4c8199230b8815738d73'),(85,1,'threewp_broadcast\\premium_pack\\ThreeWP_Broadcast_Plugin_Pack_enabled_plugins','a:12:{i:0;s:38:\"threewp_broadcast\\premium_pack\\acf\\ACF\";i:1;s:52:\"threewp_broadcast\\premium_pack\\all_images\\All_Images\";i:2;s:60:\"threewp_broadcast\\premium_pack\\contact_form_7\\Contact_Form_7\";i:3;s:56:\"threewp_broadcast\\premium_pack\\copy_options\\Copy_Options\";i:4;s:74:\"threewp_broadcast\\premium_pack\\duplicate_attachments\\Duplicate_Attachments\";i:5;s:54:\"threewp_broadcast\\premium_pack\\local_files\\Local_Files\";i:6;s:54:\"threewp_broadcast\\premium_pack\\rebroadcast\\Rebroadcast\";i:7;s:60:\"threewp_broadcast\\premium_pack\\unlink_on_edit\\Unlink_On_Edit\";i:8;s:68:\"threewp_broadcast\\premium_pack\\update_attachments\\Update_Attachments\";i:9;s:60:\"threewp_broadcast\\premium_pack\\user_role_sync\\User_Role_Sync\";i:10;s:42:\"threewp_broadcast\\premium_pack\\queue\\Queue\";i:11;s:54:\"threewp_broadcast\\premium_pack\\bulk_cloner\\Bulk_Cloner\";}'),(7939,1,'threewp_broadcast\\premium_pack\\queue\\Queue_database_version','3'),(7943,1,'threewp_broadcast\\premium_pack\\queue\\Queue_process_http','1'),(7942,1,'threewp_broadcast\\premium_pack\\queue\\Queue_maximum_attempts','0'),(7941,1,'threewp_broadcast\\premium_pack\\queue\\Queue_items_per_page','250'),(7940,1,'threewp_broadcast\\premium_pack\\queue\\Queue_enabled','1'),(95,1,'site_meta_supported','1'),(5936,1,'new_admin_email','webmaster@reachagency.co'),(9474,1,'_site_transient_update_themes','O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1660224169;s:7:\"checked\";a:2:{s:8:\"clicks_3\";s:3:\"1.1\";s:15:\"twentytwentytwo\";s:3:\"1.2\";}s:8:\"response\";a:0:{}s:9:\"no_update\";a:1:{s:15:\"twentytwentytwo\";a:6:{s:5:\"theme\";s:15:\"twentytwentytwo\";s:11:\"new_version\";s:3:\"1.2\";s:3:\"url\";s:45:\"https://wordpress.org/themes/twentytwentytwo/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/theme/twentytwentytwo.1.2.zip\";s:8:\"requires\";s:3:\"5.9\";s:12:\"requires_php\";s:3:\"5.6\";}}s:12:\"translations\";a:0:{}}'),(9468,1,'_site_transient_update_plugins','O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1660241836;s:8:\"response\";a:7:{s:39:\"threewp-broadcast/ThreeWP_Broadcast.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:31:\"w.org/plugins/threewp-broadcast\";s:4:\"slug\";s:17:\"threewp-broadcast\";s:6:\"plugin\";s:39:\"threewp-broadcast/ThreeWP_Broadcast.php\";s:11:\"new_version\";s:5:\"48.12\";s:3:\"url\";s:48:\"https://wordpress.org/plugins/threewp-broadcast/\";s:7:\"package\";s:66:\"https://downloads.wordpress.org/plugin/threewp-broadcast.48.12.zip\";s:5:\"icons\";a:2:{s:2:\"1x\";s:62:\"https://ps.w.org/threewp-broadcast/assets/icon.svg?rev=1013783\";s:3:\"svg\";s:62:\"https://ps.w.org/threewp-broadcast/assets/icon.svg?rev=1013783\";}s:7:\"banners\";a:0:{}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.6\";s:6:\"tested\";s:5:\"6.0.1\";s:12:\"requires_php\";s:3:\"7.2\";}s:36:\"contact-form-7/wp-contact-form-7.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:28:\"w.org/plugins/contact-form-7\";s:4:\"slug\";s:14:\"contact-form-7\";s:6:\"plugin\";s:36:\"contact-form-7/wp-contact-form-7.php\";s:11:\"new_version\";s:5:\"5.6.2\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/contact-form-7/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/plugin/contact-form-7.5.6.2.zip\";s:5:\"icons\";a:3:{s:2:\"2x\";s:67:\"https://ps.w.org/contact-form-7/assets/icon-256x256.png?rev=2279696\";s:2:\"1x\";s:59:\"https://ps.w.org/contact-form-7/assets/icon.svg?rev=2339255\";s:3:\"svg\";s:59:\"https://ps.w.org/contact-form-7/assets/icon.svg?rev=2339255\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:69:\"https://ps.w.org/contact-form-7/assets/banner-1544x500.png?rev=860901\";s:2:\"1x\";s:68:\"https://ps.w.org/contact-form-7/assets/banner-772x250.png?rev=880427\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.9\";s:6:\"tested\";s:5:\"6.0.1\";s:12:\"requires_php\";b:0;}s:32:\"duplicate-page/duplicatepage.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:28:\"w.org/plugins/duplicate-page\";s:4:\"slug\";s:14:\"duplicate-page\";s:6:\"plugin\";s:32:\"duplicate-page/duplicatepage.php\";s:11:\"new_version\";s:5:\"4.4.9\";s:3:\"url\";s:45:\"https://wordpress.org/plugins/duplicate-page/\";s:7:\"package\";s:57:\"https://downloads.wordpress.org/plugin/duplicate-page.zip\";s:5:\"icons\";a:1:{s:2:\"1x\";s:67:\"https://ps.w.org/duplicate-page/assets/icon-128x128.jpg?rev=1412874\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:69:\"https://ps.w.org/duplicate-page/assets/banner-772x250.jpg?rev=1410328\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"3.4\";s:6:\"tested\";s:5:\"6.0.1\";s:12:\"requires_php\";b:0;}s:27:\"redirection/redirection.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:25:\"w.org/plugins/redirection\";s:4:\"slug\";s:11:\"redirection\";s:6:\"plugin\";s:27:\"redirection/redirection.php\";s:11:\"new_version\";s:5:\"5.3.2\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/redirection/\";s:7:\"package\";s:54:\"https://downloads.wordpress.org/plugin/redirection.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/redirection/assets/icon-256x256.jpg?rev=983639\";s:2:\"1x\";s:63:\"https://ps.w.org/redirection/assets/icon-128x128.jpg?rev=983640\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:66:\"https://ps.w.org/redirection/assets/banner-1544x500.jpg?rev=983641\";s:2:\"1x\";s:65:\"https://ps.w.org/redirection/assets/banner-772x250.jpg?rev=983642\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.4\";s:6:\"tested\";s:5:\"6.0.1\";s:12:\"requires_php\";s:3:\"5.6\";}s:27:\"wp-crontrol/wp-crontrol.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:25:\"w.org/plugins/wp-crontrol\";s:4:\"slug\";s:11:\"wp-crontrol\";s:6:\"plugin\";s:27:\"wp-crontrol/wp-crontrol.php\";s:11:\"new_version\";s:6:\"1.14.0\";s:3:\"url\";s:42:\"https://wordpress.org/plugins/wp-crontrol/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/wp-crontrol.1.14.0.zip\";s:5:\"icons\";a:3:{s:2:\"2x\";s:64:\"https://ps.w.org/wp-crontrol/assets/icon-256x256.png?rev=2455895\";s:2:\"1x\";s:56:\"https://ps.w.org/wp-crontrol/assets/icon.svg?rev=2455895\";s:3:\"svg\";s:56:\"https://ps.w.org/wp-crontrol/assets/icon.svg?rev=2455895\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:67:\"https://ps.w.org/wp-crontrol/assets/banner-1544x500.jpg?rev=2455905\";s:2:\"1x\";s:66:\"https://ps.w.org/wp-crontrol/assets/banner-772x250.jpg?rev=2455905\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.2\";s:6:\"tested\";s:5:\"6.0.1\";s:12:\"requires_php\";s:5:\"5.3.6\";}s:29:\"wp-mail-smtp/wp_mail_smtp.php\";O:8:\"stdClass\":12:{s:2:\"id\";s:26:\"w.org/plugins/wp-mail-smtp\";s:4:\"slug\";s:12:\"wp-mail-smtp\";s:6:\"plugin\";s:29:\"wp-mail-smtp/wp_mail_smtp.php\";s:11:\"new_version\";s:5:\"3.5.1\";s:3:\"url\";s:43:\"https://wordpress.org/plugins/wp-mail-smtp/\";s:7:\"package\";s:61:\"https://downloads.wordpress.org/plugin/wp-mail-smtp.3.5.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/wp-mail-smtp/assets/icon-256x256.png?rev=1755440\";s:2:\"1x\";s:65:\"https://ps.w.org/wp-mail-smtp/assets/icon-128x128.png?rev=1755440\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:68:\"https://ps.w.org/wp-mail-smtp/assets/banner-1544x500.png?rev=2468655\";s:2:\"1x\";s:67:\"https://ps.w.org/wp-mail-smtp/assets/banner-772x250.png?rev=2468655\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.2\";s:6:\"tested\";s:5:\"6.0.1\";s:12:\"requires_php\";s:6:\"5.6.20\";}s:34:\"advanced-custom-fields-pro/acf.php\";O:8:\"stdClass\":8:{s:4:\"slug\";s:26:\"advanced-custom-fields-pro\";s:6:\"plugin\";s:34:\"advanced-custom-fields-pro/acf.php\";s:11:\"new_version\";s:6:\"5.12.3\";s:3:\"url\";s:36:\"https://www.advancedcustomfields.com\";s:6:\"tested\";s:5:\"6.0.1\";s:7:\"package\";s:323:\"https://connect.advancedcustomfields.com/v2/plugins/download?token=eyJwIjoicHJvIiwiayI6ImIzSmtaWEpmYVdROU1UQXpNREV6ZkhSNWNHVTlaR1YyWld4dmNHVnlmR1JoZEdVOU1qQXhOeTB3TXkweU9TQXdOVG95Tmpvd01RPT0iLCJ3cF91cmwiOiJodHRwczpcL1wvcnVtYmxlb2ZmZXJzLmNvbSIsIndwX3ZlcnNpb24iOiI2LjAuMSIsInBocF92ZXJzaW9uIjoiNy4zLjMzIiwiYmxvY2tfY291bnQiOjB9\";s:5:\"icons\";a:1:{s:7:\"default\";s:63:\"https://ps.w.org/advanced-custom-fields/assets/icon-256x256.png\";}s:7:\"banners\";a:2:{s:3:\"low\";s:77:\"https://ps.w.org/advanced-custom-fields/assets/banner-772x250.jpg?rev=1729102\";s:4:\"high\";s:78:\"https://ps.w.org/advanced-custom-fields/assets/banner-1544x500.jpg?rev=1729099\";}}}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:4:{s:37:\"tinymce-advanced/tinymce-advanced.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:30:\"w.org/plugins/tinymce-advanced\";s:4:\"slug\";s:16:\"tinymce-advanced\";s:6:\"plugin\";s:37:\"tinymce-advanced/tinymce-advanced.php\";s:11:\"new_version\";s:5:\"5.6.0\";s:3:\"url\";s:47:\"https://wordpress.org/plugins/tinymce-advanced/\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/plugin/tinymce-advanced.5.6.0.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:68:\"https://ps.w.org/tinymce-advanced/assets/icon-256x256.png?rev=971511\";s:2:\"1x\";s:68:\"https://ps.w.org/tinymce-advanced/assets/icon-128x128.png?rev=971511\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:72:\"https://ps.w.org/tinymce-advanced/assets/banner-1544x500.png?rev=2390186\";s:2:\"1x\";s:71:\"https://ps.w.org/tinymce-advanced/assets/banner-772x250.png?rev=2390186\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"5.6\";}s:31:\"easy-fancybox/easy-fancybox.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:27:\"w.org/plugins/easy-fancybox\";s:4:\"slug\";s:13:\"easy-fancybox\";s:6:\"plugin\";s:31:\"easy-fancybox/easy-fancybox.php\";s:11:\"new_version\";s:6:\"1.8.18\";s:3:\"url\";s:44:\"https://wordpress.org/plugins/easy-fancybox/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/plugin/easy-fancybox.1.8.18.zip\";s:5:\"icons\";a:1:{s:2:\"1x\";s:66:\"https://ps.w.org/easy-fancybox/assets/icon-128x128.png?rev=1112136\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:68:\"https://ps.w.org/easy-fancybox/assets/banner-772x250.jpg?rev=1112136\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"3.3\";}s:53:\"simple-custom-post-order/simple-custom-post-order.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:38:\"w.org/plugins/simple-custom-post-order\";s:4:\"slug\";s:24:\"simple-custom-post-order\";s:6:\"plugin\";s:53:\"simple-custom-post-order/simple-custom-post-order.php\";s:11:\"new_version\";s:5:\"2.5.6\";s:3:\"url\";s:55:\"https://wordpress.org/plugins/simple-custom-post-order/\";s:7:\"package\";s:73:\"https://downloads.wordpress.org/plugin/simple-custom-post-order.2.5.6.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:77:\"https://ps.w.org/simple-custom-post-order/assets/icon-256x256.jpg?rev=1859717\";s:2:\"1x\";s:77:\"https://ps.w.org/simple-custom-post-order/assets/icon-256x256.jpg?rev=1859717\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:79:\"https://ps.w.org/simple-custom-post-order/assets/banner-772x250.jpg?rev=1859717\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.6\";}s:65:\"threewp-broadcast-premium-pack/ThreeWP_Broadcast_Premium_Pack.php\";O:8:\"stdClass\":16:{s:11:\"new_version\";s:5:\"48.09\";s:14:\"stable_version\";s:5:\"48.09\";s:4:\"name\";s:30:\"ThreeWP Broadcast Premium Pack\";s:4:\"slug\";s:30:\"ThreeWP_Broadcast_Premium_Pack\";s:3:\"url\";s:92:\"https://broadcast.plainviewplugins.com/downloads/threewp-broadcast-premium-pack/?changelog=1\";s:12:\"last_updated\";s:19:\"2022-04-18 17:44:12\";s:8:\"homepage\";s:80:\"https://broadcast.plainviewplugins.com/downloads/threewp-broadcast-premium-pack/\";s:7:\"package\";s:207:\"https://broadcast.plainviewplugins.com/edd-sl/package_download/MTY5MTc4NTAzNjo3OWUxZjU5OTdhOWE0YzgxOTkyMzBiODgxNTczOGQ3Mzo0NDM6MjQzMGE3MWZlOTViMTYwNWM0ZjQyYzUzYWMwYjczZjI6aHR0cHNALy9ydW1ibGVvZmZlcnMuY29tOjA=\";s:13:\"download_link\";s:207:\"https://broadcast.plainviewplugins.com/edd-sl/package_download/MTY5MTc4NTAzNjo3OWUxZjU5OTdhOWE0YzgxOTkyMzBiODgxNTczOGQ3Mzo0NDM6MjQzMGE3MWZlOTViMTYwNWM0ZjQyYzUzYWMwYjczZjI6aHR0cHNALy9ydW1ibGVvZmZlcnMuY29tOjA=\";s:8:\"sections\";a:2:{s:11:\"description\";s:68:\"<p>The premium pack contains all of the Broadcast plugin packs.</p>\n\";s:9:\"changelog\";s:132023:\"<p><strong>48.09</strong> 20220418</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Add support for partial export of spreadsheets for sites with more than 100 sites. This allows for sites of almost unlimited size.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Fix warning for elements that sometimes don\'t have links set.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Automatically create the CSS directory for each blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Fix course post not having the _sfwd-courses custom field.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/pods/\">Pods</a>: Add support for broadcasting of groups and fields.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for the variation image gallery.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for term product_attribute_image.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for composite products.</p>\n<p><strong>48.08</strong> 20220312</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/blog-groups-2/\">Blog Groups 2</a>: Add broadcast_blog_groups_2_access filter to allow code access to the add-on.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/divi-builder/\">Divi Builder</a>: Parse the encoded links in buttons.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Handle bg_image, background_image and image settings more generically.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: Add broadcast_menus_access filter to allow code access to the add-on.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Add broadcast_queue_access filter to allow code access to the add-on.</p>\n<p><strong>48.07</strong> 20220226</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/cornerstone/\">Cornerstone</a>: Add support for broadcasting layouts, templates and user templates.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/cornerstone/\">Cornerstone</a>: Merge Global Blocks For Cornerstone add-on.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for button, header and call-to-action links.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for Media Carousel images and links.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for JetPopups.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for the Jet Listing Grid, Jet Smart Filters Checkboxes and Jet Smart Filters Range elements.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for the Jet Listing Grid, Jet Smart Filters Checkboxes and Jet Smart Filters Range elements.<br />\nGlobal Blocks For Cornerstone: Add-on is obsolete. Replaced by Cornerstone add-on.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/local-links/\">Local Links</a>: Fix finding links Gutenberg blocks - don\'t look again if the link is already found.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/post-expirator/\">Post Expirator</a>: Mark categories as used, for compatibility with v48 of Broadcast.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/rebroadcaster/\">Rebroadcaster</a>: Allow for low priority rebroadcasting so that it works with the queue add-on.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/rebroadcaster/\">Rebroadcaster</a>: Remember the rebroadcast schedule when using the \"Rebroadcast\" bulk post action.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/unlink-on-edit-checkbox/\">Unlink On Edit Checkbox</a>: Fix the checkbox not being obeyed.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: Allow the _yoast_wpseo_meta-robots-nofollow and _yoast_wpseo_meta-robots-noindex custom fields to be protected.</p>\n<p><strong>48.01</strong> 20211105</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/code-snippets/\">Code Snippets</a>: Run code snippets on specific blogs.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/cron-everywhere/\">Cron Everywhere</a>: Runs WordPress cron periodically on all sites of the network.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/rebroadcaster/\">Rebroadcaster</a>: Periodically and automatically rebroadcast specific posts.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gutenberg-attachments/\">Gutenberg Attachments</a>: Better support for image IDs that are part of arrays.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/pods/\">Pods</a>: Clear the cache when pods are deleted on the parent blog, so that they are also shown as deleted on the child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Fix incorrectly protecting custom fields with taxonomies.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/the-events-calendar/\">The Events Calendar</a>: Allow several organisers per event.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Fix recursion when broadcasting relationships again. Use new broadcast_once() functionality.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: More fixing of featured images not broadcasting when processing via cron with the Publishpress Revisions plugin active.</p>\n<p><strong>47.13</strong> 20211007</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/copy-options/\">Copy options</a>: Translate the page_on_front option when copying the reading *_on_front options.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Delete existing add-on feeds on child blogs before adding the parent ones.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gutenberg-attachments/\">Gutenberg Attachments</a>: Add wizard for ACF Gallery Masonry block.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/per-blog-author/\">Per Blog Author</a>: Fix blog name html.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/php-code/\">PHP Code</a>: Parse errors are displayed when running the code.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Allow taxonomies to be protected.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix featured images not broadcasting when processing via cron with the Publishpress Revisions plugin active.</p>\n<p><strong>47.12</strong> 20210923</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/search-and-filter/\">Search And Filter</a>: Adds support for the <a href=\"https://searchandfilter.com/\">Search And Filter</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Force better selection of database tables to be cloned. This should prevent _60_ _61_ etc from being cloned when only _6_ is going to be cloned.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Allow handling of non-pro ACF5 fields with add-ons (repeater) as pro.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for ProductIntroFullDetail element type.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for syncing shipping and coupon info when syncing orders.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for the <a href=\"https://wclovers.com/\">WCFM - WooCommerce Multivendor Marketplace</a> plugin.</p>\n<p><strong>47.11</strong> 20210815</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/scheduler/\">Scheduler</a>: Automatically change the publish date of child posts during broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for <a href=\"https://woocommerce.com/products/product-bundles/\">product bundles</a>.</p>\n<p><strong>47.09</strong> 20210706</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Allow setting of blog archived / deleted / mature / spam status.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Fix warning when no conditions are to be restored.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Fix warning when a gallery is empty.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/formidable-forms/\">Formidable Forms</a>: Broadcast associated posts when broadcasting entries.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Better PHP8 compatability.</p>\n<p><strong>47.08</strong> 20210613</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/more-children/\">More Children</a>: Allows children to create more children of the parent.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for new widgets: avante-portfolio-grid and dyxnet-testimonial-card<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Allow for non-standard upload directories.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/local-files/\">Local Files</a>: Use the link data of the parent, if possible. Allows for linking to posts that are broadcasted from other blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/local-links/\">Local Links</a>: Try to find the page twice. This is a workaround for an unexplained bug with WPML that never finds the first link on a page.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/new-blog-broadcast/\">New Blog Broadcast</a>: Fix fatal error when broadcasting manually.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/parent-pull/\">Parent Pull</a>: Fix warning about custom fields.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Don\'t protect the featured image if the custom fields are protected.</p>\n<p><strong>47.07</strong> 20210513</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/imagify/\">Imagify</a>: Adds support for the <a href=\"https://wordpress.org/plugins/imagify/\">Imagify</a> plugin / service.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/custom-field-cleanup/\">Custom Field Cleanup</a>: Cleans up the custom fields of a post.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/term-meta-attachments/\">Term Meta Attachments</a>: Allow taxonomy term meta containing attachment IDs to be broadcasted correctly.</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/category-order-and-taxonomy-terms-order/\">Category Order and Taxonomy Terms Order</a>: Also set the term order during broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: Fix fatal error if menu icons plugin is not active.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Fix recursion when broadcasting relationships.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-role-sync/\">User Role Sync</a>: Allow syncing of roles and users separately.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Also broadcast new coupon amount when a coupon is used, not just usage count.</p>\n<p><strong>47.06</strong> 20210412</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/rank-math-seo/\">Rank Math SEO</a>: Add support for the <a href=\"https://wordpress.org/plugins/seo-by-rank-math/\">Rank Math SEO</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/comments/\">Comments</a>: Comment meta is updated during syncing.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/cornerstone/\">Cornerstone</a>: Add support for toggle_anchor_graphic_image_src<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add support for course builder data stored in \"steps\" instead of \"hrt\" data.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add support for either overwriting or keeping the groups of a course.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Add CLI command: broadcast_queue process<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Add support for relationships with intermediaries.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Allow broadcasting of coupons and broadcasting of usage count when the coupon is used.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Ignore taxonomies that are not translatable.</p>\n<p><strong>47.05</strong> 20210325</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Add option to enable queue locking, which only the largest networks might need. Queue locking is disabled per default.</p>\n<p><strong>47.04</strong> 20210318</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for display conditions.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Add support for parsing Advanced Post Creation content in order to get shortcodes parsed.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix unlocking of the queue.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/tablepress/\">Tablepress</a>: Modernize add-on to parse Tablepress shortcodes everywhere Broadcast processes texts (Elementor widgets, ACF text fields, etc), not just the post content.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for chained products.</p>\n<p><strong>47.03</strong> 20210308</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/all-in-one-seo/\">All In One SEO</a> adds support for the <a href=\"https://wordpress.org/plugins/all-in-one-seo-pack/\">All in One SEO</a> plugin.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/generatepress/\">GeneratePress</a> adds support for the <a href=\"https://generatepress.com/\">GeneratePress</a> theme / plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Add support for term protect list.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/comments/\">Comments</a>: Comments are now merged instead of overwritten.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Fix restoring of serialized custom fields.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: Fix the SEO data cache for terms not being emptied.</p>\n<p><strong>47.02</strong> 20210216</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/back-to-parent/\">Back To Parent</a>: Do not do anything if the Update Family checkbox is selected.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix posts not being queued.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/update-attachments/\">Update Attachments</a>: Check that the files exist at the source before updating. Fixes conflicts with CDN plugins that remove the files from disk.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/update-family/\">Update Family</a>: Make the sibling broadcast low priority so that they can be queued.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for <a href=\"https://bookingwp.com/plugins/woocommerce-appointments/\">Appointments</a>.</p>\n<p><strong>47.01</strong> 20210210</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/permalink-manager/\">Permalink Manager</a>: Adds support for the <a href=\"https://wordpress.org/plugins/permalink-manager/\">Permalink Manager</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Fix copying of site files.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/divi-builder/\">Divi Builder</a>: Add support for Theme Builder usage restrictions based on pages and term IDs.<br />\nShortcode Items: Fix the parse_find and replace_id action names.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Add support for WPML in relationships.</p>\n<p><strong>46.19</strong> 20210127</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/litespeed-cache/\">LiteSpeed Cache</a>: Adds support for the <a href=\"https://wordpress.org/plugins/litespeed-cache/\">LiteSpeed Cache</a> plugin.</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Do not copy the files in the sites directory when cloning blog 1.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/divi-builder/\">Divi Builder</a>: Prevent theme overwrites when using the <a href=\"https://broadcast.plainviewplugins.com/addon/sync-taxonomies/\">Sync Taxonomies</a> add-on, in addition to when broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/cornerstone/\">Cornerstone</a>: Add support for images.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Added more support for Workflows.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Force WPML to recount the taxonomy term stats after taxonomy sync.</p>\n<p><strong>46.18</strong> 20201229</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Add support for later linking using the queue add-on, which allows for big clones.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/divi-builder/\">Divi Builder</a>: Added support for global modules in rows also.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/ns-cloner/\">NS Cloner</a>: Add support for later linking using the queue add-on, which allows for big imports.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for <a href=\"https://woocommerce.com/products/woocommerce-bookings/\">Bookings</a> resources and people.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: Fix the SEO data cache not being emptied.</p>\n<p><strong>46.17</strong> 20201215</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/cornerstone/\">Cornerstone</a> adds support for the <a href=\"http://theme.co/cornerstone\">Cornerstone Page Builder</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add action to allow for merging of existing course data, for example <a href=\"https://broadcast.plainviewplugins.com/snippet/learndash-preserve-the-registration-button-url/\">the registration button URL (snippet)</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add support for broadcasting Uncanny Content via GB blocks.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/mailster/\">Mailster</a>: New: Force showing of the Broadcast meta box, which is normally hidden due to broken Mailster CSS.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/mailster/\">Mailster</a>: Add PHP Code wizard for copying templates between blogs.</p>\n<p><strong>46.16</strong> 20201116</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/per-blog-author/\">Per Blog Author</a> allows for individual control of the author for each child post.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Add support for the WooCommerce Multilingual plugin. This prevents translated child products from losing their custom fields when updating the parent language.</p>\n<p><strong>46.15</strong> 20201111</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Add support for parsing links.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for AE Post Blocks manual selections.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: When broadcasting a course in groups, broadcast the groups automatically if they do not exist on the child.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/mailster/\">Mailster</a>: New: Force showing of the Broadcast meta box, which is normally hidden due to broken Mailster CSS.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/mailster/\">Mailster</a>: Add support for forms and lists in conditions.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Add support for broadcasting string translations.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Add support for v3.4 relationships.</p>\n<p><strong>46.14</strong> 20201002</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for AE Post Blocks relationships.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/eventon/\">EventON</a>: Add support for event speakers.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/geodirectory/\">GeoDirectory</a>: Fix support for v2.0.0.101 - images, logos and categories broadcast correctly again.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/ninja-forms/\">Ninja Forms</a>: Clear form cache after broadcasting. Tested with 3.4.30</p>\n<p><strong>46.13</strong> 20200922</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/modern-events/\">Modern Events</a> adds support for the <a href=\"https://wordpress.org/plugins/modern-events-calendar-lite/\">Modern Events plugin</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/formidable-forms/\">Formidable Forms</a>: Add support for broadcasting entries via the Broadcast &gt; Formidable menu item.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Add support for Gravityflow workflows.</p>\n<p><strong>46.12</strong> 20200810</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/create/\">Create</a> adds support for the <a href=\"https://wordpress.org/plugins/mediavine-create/\">Create</a> plugin from Mediavine.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/soliloquy/\">Soliloquy</a> adds support for the <a href=\"https://soliloquywp.com/\">Soliloquy plugin</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Add ability to copy option field groups.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for updating the linked children when the parent post is saved in Elementor (not just the normal editor).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Fix field ID in view not matching.</p>\n<p><strong>46.11</strong> 20200715</p>\n<p>Version bump, because Wordpress doesn\'t understand that .10 is bigger than .1</p>\n<p><strong>46.10</strong> 20200714</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/parent-pull/\">Parent Pull</a> allows content to be pulled from (parent) blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/formidable-forms/\">Formidable Forms</a>: Add support for repeaters and conditionals.</p>\n<p><strong>46.09</strong> 20200708</p>\n<p>New add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/category-order-and-taxonomy-terms-order/\">Category Order and Taxonomy Terms Order</a>: Adds support for the <a href=\"https://wordpress.org/plugins/taxonomy-terms-order/\">Category Order and Taxonomy Terms Order plugin</a>.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/unlink-on-edit-checkbox/\">Unlink On Edit Checkbox</a>: Unlinks child posts when they are modified.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for Image Carousels.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Allow support for Gravity Views.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add support for lessons that can be assigned to multiple courses.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: Allow custom menu items to be manipulated.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/new-blog-broadcast/\">New Blog Broadcast</a>: Hook into the wp_initialize_site action instead.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/page-content-shortcode/\">Page Content Shortcode</a>: Better searching for content. Ignore nav_menu_items.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/pods/\">Pods</a>: Add support for taxonomies.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/pods/\">Pods</a>: Automatically broadcast related posts if necessary.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-access-manager/\">User Access Manager</a>: Add support for restricting attachments.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Fix term languages being set in wrong language.</p>\n<p><strong>46.08</strong> 20200608</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/wp-rocket/\">WP Rocket</a>: Adds support for the <a href=\"https://wp-rocket.me/\">WP Rocket</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Fix quizzes not being properly broadcasted due to new database table names.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: Replacing the URL will not convert the items to custom items.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/pods/\">Pods</a>: Add support for multiple post selections.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix warning about AUTH_KEY, by using wp_salt().<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Fix the blog name being incorrectly displayed when using post actions together with the String Translation plugin.</p>\n<p><strong>46.07</strong> 20200512</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Fix cloned fields.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Fix group fields for non-pro users.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Added wizard for the <a href=\"&lt;a href=\">\"&gt;PHP Code add-on</a> that copies Jet Engine custom post types and taxonomies.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Better compatibility with User &amp; Blog Settings add-on regarding \"Only if modified\" checkbox.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/social-networks-auto-poster/\">SNAP</a>: Add-on is now obsolete. This is due to changes in the plugin and the most <a href=\"https://wordpress.org/support/plugin/social-networks-auto-poster-facebook-twitter-g/reviews/\">recent reviews</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: Added support OpenGraph / Facebook image and URL custom field.</p>\n<p><strong>46.06</strong> 20200429</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/blog-groups-2/\">Blog Groups 2</a>: Fix double creation of groups found in Bulk Cloner spreadsheets.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Options modifications can now handle options with dashes in them. Please double check any existing modifications you have.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: When creating a menu item during manipulation, if the parent menu item is not a post but a custom link, try to find the equivalent custom link.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-attachments/\">Shortcode Attachments</a>: Fixed images not being found.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-terms/\">Shortcode Terms</a>: Better syncing on taxonomies not related to the post using the shortcode.</p>\n<p><strong>46.05</strong> 20200324</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix queue unlocking function.</p>\n<p><strong>46.04</strong> 20200323</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/gutenberg-protect/\">Gutenberg Protect</a>: Protects specific Gutenberg blocks from being overwritten during broadcasting.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/translatepress/\">TranslatePress</a>: Adds support for the <a href=\"https://wordpress.org/plugins/translatepress-multilingual/\">TranslatePress</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Added ability to clone to a specific blog ID if the ID is free. Specify the ID in the blog_id column.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/copy-options/\">Copy options</a>: Add function to call the add-on programmatically. See <a href=\"https://broadcast.plainviewplugins.com/snippet/copy-options-automatically-copy-when-options-are-updated/\">this snippet</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gutenberg-posts/\">Gutenberg Posts</a>: Ignore empty post IDs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/ns-cloner/\">NS Cloner</a>: Add support for clones during registration / signup.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Apply queue locking during ajax processing, not only during http processing.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-posts/\">Shortcode Posts</a>: Ignore empty post IDs.</p>\n<p><strong>46.03</strong> 20200224</p>\n<p>Gutenberg add-ons: Fix IDs only being replaced on the first blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a>: Fix terms criterion not being applied when editing posts.</p>\n<p><strong>46.02</strong> 20200212</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/vimeography/\">Vimeography</a>: Adds support for the <a href=\"https://wordpress.org/plugins/vimeography/\">Vimeography</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/comments/\">Comments</a>: Add queue functionality for comments. Useful for those with 500+ comments per post.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/comments/\">Comments</a>: Fix ordering of comments, syncing those comments without replies first.<br />\nCustom Field add-ons: Fixed better matching of wildcards for arrays. Prevents various PHP warnings from preg_split.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/download-manager/\">Download Manager</a>: Automatically copy files in the download when using the new site-specific storage.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Allow for forms with apostrophes in the title.<br />\nGutenberg add-ons: Allow GB Attachments and GB Posts to modify the same block at the same time, if it contains both attachments and posts.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add support for the LDAdvQuiz and LDAdvQuiz_toplist shortcodes.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcodes/\">Shortcodes</a>: Add setting (and filter: broadcast_shortcodes_access) to allow non-superadmin users to access the shortcodes.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for <a href=\"https://wordpress.org/plugins/atum-stock-manager-for-woocommerce/\">ATUM Inventory Management</a> product data and suppliers.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add automatic parsing of add_to_cart shortcode.</p>\n<p><strong>46.01</strong> 20200116</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Also sync taxonomies when possible. Requires v46 of Broadcast.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Added ability to modify options during cloning with new option modifications function.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/comments/\">Comments</a>: Sync comments after the new comment is fully inserted. Fixes bug of WooCommerce review ratings not being synced.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/event-organiser/\">Event Organiser</a>: Fix fatal error when venues are broadcasted.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Update course link in topics on some installs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/pods/\">Pods</a>: Add support for multiple images in image fields.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix retry / attempt counter for partially broadcasted WooCommerce variations. Affects those with products that have more variations than the queue retry limit.</p>\n<p><strong>45.06</strong> 20191116</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/update-family/\">Update Family</a>: Update the parent post and siblings when editing a child post.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Fix relationship fields when broadcasting taxonomies.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/blog-groups-2/\">Blog Groups 2</a>: Add support for assigning groups in the Bulk Cloner.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for gallery widgets, vt-saaspot_agency and vt-saaspot_resource widgets.</p>\n<p><strong>45.05</strong> 20191022</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/custom-field-posts/\">Custom Field Posts</a>: Save values in arrays properly.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/hreflang/\">Hreflang</a>: Fix archives without taxonomies.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/hreflang/\">Hreflang</a>: Fix draft pages showing.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Add support for posts in different languages sharing the same slug, WooCommerce products for example.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Fix terms being in incorrect language when processing the posts using the Queue HTTP command.</p>\n<p><strong>45.02</strong> 201909225</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/fliphtml5/\">Flip HTML5</a>: Adds support for <a href=\"http://fliphtml5.com/\">Flip HTML5</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Properly sync taxonomies that are not in the same post type.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/calendarize-it/\">Calendarize It</a>: Fix custom post info box content.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/hreflang/\">Hreflang</a>: Fix number being shown for x-default blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/sensei/\">Sensei</a>: Add support for quiz category questions.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Ignore the post if it does not have a content template assigned.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Fix \"incorrect post type\" fatal error.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Fix bulk actions not working the first time. This is due to the internal Wordpress post cache not being flushed by WooCommerce as it should.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wp-all-import/\">WP All Import</a>: Enable term counting after import but before broadcast.</p>\n<p><strong>45.01</strong> 20190828</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/gutenberg-attachments/\">Gutenberg Attachments</a>: Modify attachment IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/gutenberg-menus/\">Gutenberg Menus</a>: Modify menu IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/gutenberg-posts/\">Gutenberg Posts</a>: Modify post IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/gutenberg-terms/\">Gutenberg Terms</a>: Modify taxonomy term IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/wp-ultimo/\">WP Ultimo</a>: Adds support for the <a href=\"https://wpultimo.com/\">WP Ultimo</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/avia-layout-builder/\">Avia Layout Builder</a>: Use standard preparse and parse actions to run all Avia content through all of the other add-ons.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/custom-field-posts/\">Custom Field Posts</a>: Fix fatal error when trying to look for a link where there isn\'t one.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for devices-extended widgets.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Allow for multiple course prerequisites.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/ns-cloner/\">NS Cloner</a>: Add support for v4.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Use file locking to prevent cron processing from being run multiple times.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/redirect-all-children/\">Redirect All Children</a>: Use code 301 on redirects.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/redirect-parent/\">Redirect Parent</a>: Use code 301 on redirects.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcodes/\">Shortcodes</a>: Remove extra slashes from the shortcodes.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-access-manager/\">User Access Manager</a>: Fix bug when groups not being assigned when broadcasting to more than one blog at a time.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for multiple Yith badges per product.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Check if WPML is active on the blog at all before starting the add-on.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Help the HREFLANG add-on generate links to all languages of the current page.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Use API for setting term languages, instead of direct database queries.</p>\n<p><strong>44.05</strong> 20190715</p>\n<p>New add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/wpforms/\">WPForms</a>: Adds support for the <a href=\"https://wpforms.com/\">WPForms</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/hreflang/\">Hreflang</a>: Remove page argument when adding links to taxonomy archives.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Fix questions on front-end not displaying properly. Rebroadcast your quizzes if the questions on the front-end look weird.</p>\n<p><strong>44.04</strong> 20190621</p>\n<p>New add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/custom-field-terms/\">Custom Field Terms</a>: Allow post custom field containing taxonomy term IDs to be broadcasted correctly.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/download-manager/\">Download Manager</a>: Adds support for the <a href=\"https://wordpress.org/plugins/download-manager/\">Download Manager</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for parsing content in text fields.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/manual-post-actions/\">Manual Post Actions</a>: Fix warning when \"Find Some Unlinked Children\" or \"Send To Many\" add-ons active.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: When creating terms, assign the correct languages.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Post excerpt can also be protected.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Add broadcast_queue_menu_access filter to allow non-super admins access to the settings.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for <a href=\"https://woocommerce.com/products/composite-products/\">composite products</a>.</p>\n<p><strong>44.03</strong> 20190515</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Link only post types that we know about, ignoring attachments and menu items.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/formidable-forms/\">Formidable Forms</a>: Add support for form views.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/hreflang/\">Hreflang</a>: Try to fetch linked posts when making the hreflang tags for a single post.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add broadcast_learndash_menu_access filter to allow non-super admins access to the tools.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add workaround for broken lessons having more than one course reference.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/pods/\">Pods</a>: Add support for image fields.</p>\n<p><strong>44.02</strong> 20190423</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix queue not working due to the upgrade process not upgrading the add-on\'s tables.</p>\n<p><strong>44.01</strong> 20190415</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/cdn-workaround/\">CDN Workaround</a>: Added option to locally download remote files, in order to upload them on each blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/global-blocks-for-cornerstone/\">Global Blocks For Cornerstone</a>: Added support for new v3 [cs_gb] shortcode.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for Global elements.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for Image Box elements.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/search-and-replace/\">Search And Replace</a>: Add new __BLOG_PATH__ and __BLOG_PATH_WITHOUT_RSLASH__ keywords.</p>\n<p><strong>43.17</strong> 20190402</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Add support for Themer Layouts.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Fix cloning. Some WP version introduced a bug that preventing the complete cloning of blog options.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Force new siteurl and home options for clones, to fix weirdness with some installs that create dupes in the url.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/caldera-forms/\">Caldera Forms</a>: Adds support for the <a href=\"https://wordpress.org/plugins/caldera-forms/\">Caldera Forms</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for Caldera Forms elements.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Do not abort broadcasting is a missing background image is found, just continue normally.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Added course tool to do actions on the WHOLE course at the same time: delete, trash, restore, unlink and find unlinked children.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/manual-post-actions/\">Manual Post Actions</a>: Manually run bulk post actions on posts.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: For developers, queue items now have priorities assigned, allowing for faster processing of specific queue item types.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/update-attachments/\">Update Attachments</a>: Do not overwrite the file path for those files that have been uploaded at different times. Fixes problem of thumbnails for differently-aged images not working.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-role-sync/\">User Role Sync</a>: Create role is it doesn\'t exist on the child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-role-sync/\">User Role Sync</a>: Also sync data for Ultimate Member custom roles.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for <a href=\"https://wordpress.org/plugins/yith-woocommerce-badges-management/\">YITH WooCommerce Badge Management plugin</a>.</p>\n<p><strong>43.16</strong> 20190222</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Add support for the Clone field type.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Add support for the <a href=\"https://wordpress.org/plugins/acf-image-crop-add-on/\">Image Crop Add-on</a><br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/calendarize-it/\">Calendarize It</a>: Fix vendors and organizers not being saved to child post.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/custom-field-posts/\">Custom Field Posts</a>: Fix to allow multiple IDs in field.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for Smartslider3 widget type.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/events-manager/\">Events Manager</a>: Add support for recurring events. Seems to work best publishing the events locally before broadcasting them.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/formidable-forms/\">Formidable Forms</a>: Update existing form settings. Also broadcast form actions.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Added preliminary support for v2.6 quizzes. The old 2.5 version of LD can still be used.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Dev: Added static::$keep_sfwd_courses_course_access_list property which allows the course access list to be overwritten during broadcast.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/link-before-broadcast/\">Link Before Broadcast</a>: Attempts to find unlinked children on each child blog during broadcast.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Broadcast ALL variations, even those that are out of stock and hidden.</p>\n<p><strong>43.14</strong> 20190102</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/all-blogs/\">All Blogs</a>: Fix rare fatal error on _some_ installs that result from the capabilities.php not having been loaded.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Added BROADCAST_BEAVER_BUILDER_NO_UPDATE_ON_SAVE define to prevent automatic updating of child posts when saving the layout on the front-end.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Automatic parsing of serialized options that contain the old blog URL. Can fix widgets that contain links to the source blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Allow button URLs to be parsed in order to work with Local Items add-ons.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Also parse shortcode widgets.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Fix courses that have apostrophes in them.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/no-new-terms/\">No New Terms</a>: Fix terms being created with newer versions of Broadcast.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/per-blog-taxonomies/\">Per Blog Taxonomies</a>: Fix to allow for hiding of term fieldsets using UBS.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-attachments/\">Shortcode Attachments</a>: Add filter to allow for special processing of attributes. See this <a href=\"https://broadcast.plainviewplugins.com/snippet/shortcode-items-parse_find-and-replace_id-actions/\">snippet for handling image IDs embedded in a json-encoded attribute</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/smart-slider-3/\">Smart Slider 3</a>: Update the slider properties when broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/widgets/\">Widgets</a>: Add more debug info.</p>\n<p><strong>43.12</strong> 20181127</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/formidable-forms/\">Formidable Forms</a>: Fix fields not appearing due to field cache.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/formidable-forms/\">Formidable Forms</a>: Add entry migration so that forms that are updated keep their entries.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Update the form title. Only affects those using the BROADCAST_GRAVITY_FORMS_USE_ID define.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Added tool to broadcast a whole course at once.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Add broadcast_queue_clean_queue filter to prevent database cleanup.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Do not create terms on child blogs that are in other languages.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-posts/\">Shortcode Posts</a>: Added Avada Global Containers wizard.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/siteorigin-page-builder/\">SiteOrigin Page Builder</a>: Parse the text and content widget fields, allowing other Broadcast add-ons to detect their shortcodes in the widgets.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a>: Fix visual modifications being applied when they shouldn\'t.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Fix duplication bug where terms are created in the wrong language.</p>\n<p><strong>43.11</strong> 20181018</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/geodirectory/\">GeoDirectory</a>: Add broadcast_geodirectory_sync_table_structure_columns filter.<br />\nFixes the plugin upgrade notice not disappearing due to \"43.10\" being treated as \"43.1\".</p>\n<p><strong>43.10</strong> 20181018</p>\n<p>New add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/simple-custom-post-order/\">Simple Custom Post Order</a> adds support for the <a href=\"https://wordpress.org/plugins/simple-custom-post-order/\">Simple Custom Post Order</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Add support for the Component Fields plugin / field type.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/geodirectory/\">GeoDirectory</a>: Add broadcast_geodirectory_insert_place_detail filter.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings-post/\">User &amp; Blog Settings Post</a>: Fix _and_ criteria not being correctly applied.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Allow order syncing without Back2Parent add-on, which means orders can only be synced to child blogs and not back.</p>\n<p><strong>43.9</strong> 20180922</p>\n<p>New add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/custom-field-posts/\">Custom Field Posts</a>: Allow post custom field containing post IDs to be broadcasted correctly.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/formidable-forms/\">Formidable Forms</a>: Adds support for the <a href=\"https://wordpress.org/plugins/formidable/\">Formidable</a> plugin.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/unlink-on-edit/\">Unlink On Edit</a>: Unlinks child posts when they are modified.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Parse text fields, allowing other add-ons to modify their content also.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Parse post carousels also, modifying the post IDs so that they match those on the child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Only sync taxonomies that are used in the post. This is an optimization for those that have thousands of taxonomy terms.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/search-and-replace/\">Search And Replace</a>: Add new __BLOG_URL_ESCAPED__ keyword.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-posts/\">Shortcode Posts</a>: Added uncode blocks to the wizard.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-access-manager/\">User Access Manager</a>: Also sync taxonomies.</p>\n<p><strong>43.8</strong> 20180821</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Add support for photo and photos components.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/delete-before-broadcast/\">Delete Before Broadcast</a>: Fix error on unlinking.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Fix FILE_BASE_DIR error.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Add BROADCAST_GRAVITY_FORMS_USE_ID define that forces syncs according to form ID, instead of form title.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/user-access-manager/\">User Access Manager</a>: Adds support for the <a href=\"https://wordpress.org/plugins/user-access-manager/\">User Access Manager</a> plugin.</p>\n<p><strong>43.7</strong> 20180724</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Add support post modules, which will translate category and post tag IDs on each child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Fix fatal error during activation when only the utilities pack is installed.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/h5p/\">H5P</a>: Fix. Try to update the H5P content on each child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: Also copy menu item custom fields, which adds support for some UberMenu types: section and custom content.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/php-code/\">PHP Code</a>: Modify Gravity Forms Rename example to use new GF table prefix (gf_).<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/ubermenu/\">UberMenu</a>: Adds support for the <a href=\"https://wpmegamenu.com/\">UberMenu</a> menu plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings-post/\">User &amp; Blog Settings Post</a>: Fix to show the dropdown again.</p>\n<p><strong>43.6</strong> 20180625</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Fix. Obey the custom field whitelist also.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Add support for Themer Layout locations (posts and taxonomies).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/h5p/\">H5P</a>: Fix. Copy all found files to correct ID subdirectory on child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/send-to-many/\">Send To Many</a>: Update to work with fixed Broadcast roles.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a>: Post type criteria will work more often now, generally whenever the Broadcast meta box is being prepared.</p>\n<p><strong>43.5</strong> 20180530</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Sync taxonomies automatically when a taxonomy field has specified a taxonomy that is for a different post type.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Fix: When cloning already linked posts, their parent post will link to the newly-cloned site.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/cdn-workaround/\">CDN Workaround</a>: Fix: Override broken filename with Cloudinary URL if found in the filename.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/cm-tooltip-glossary/\">CM Tooltip Glossary</a>: Adds support for the <a href=\"https://wordpress.org/plugins/enhanced-tooltipglossary/\">CM Tooltip Glossary</a> plugin.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/copy-options/\">Copy options</a>: Copies blog options / settings between blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/geo-my-wp/\">GEO My WP</a>: Add support for posts locator database table.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Fix: Added support for the new v2.3+ database schema. v2.2 install will continue to work also.</p>\n<p><strong>43.4</strong> 20180506</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Parse link fields also, allowing other add-ons like Local Links, to modify the links during broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/geodirectory/\">GeoDirectory</a>: Fix categories not working for other types of post types.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/h5p/\">H5P</a>: Copy images from H5P content directories between blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/hreflang/\">Hreflang</a>: Fix to allow for several blogs sharing the same language (but not shown simultaneously). If you have custom code built on hreflang, check that it still works.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Add developer actions for adding and removing items from the queue.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcodes/\">Shortcodes</a>: Fix duplicating shortcodes when broadcasting them and some of them already exist.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a>: Updated support for posts submitted using WP User Frontend. Now uses the new API actions.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Fix order syncing. Fixed missing order items by fetching the items manually using SQL, bypassing WooCommerce\'s unreliable functions.</p>\n<p><strong>43.2</strong> 20180403</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/all-blogs/\">All Blogs</a>: Fix SQL error when looking for blog 1\'s blogname.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/google-maps-pro/\">Google Maps Pro</a>: Adds support for the <a href=\"https://premium.wpmudev.org/project/wordpress-google-maps-plugin\">Google Maps Pro</a> plugin.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/inboundnow/\">Inbound Now</a>: Adds support for the <a href=\"https://www.inboundnow.com/\">Inboundnow Marketing Suite</a>.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/onesignal/\">OneSignal</a>: Adds support for the <a href=\"https://wordpress.org/plugins/onesignal-free-web-push-notifications/\">OneSignal – Free Web Push Notifications</a> plugin.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-posts/\">Shortcode Posts</a>: Modifies post IDs found in shortcodes to match their equivalent posts on each blog.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/sitemaps/\">Sitemaps</a>: Generates network-aware sitemaps and robots.txt.</p>\n<p><strong>43.1</strong> 20180227</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Fix confirmation-actions not being properly broadcast. Also removed unnecessary SQL warnings in error log.</p>\n<p><strong>43</strong> 20180226</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Fixed acf_disable_cache fatal error for older (&lt;5.6) versions of ACF.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Added support for Group fields.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/all-blogs/\">All Blogs</a>: To save a lot of memory, query the blog name using SQL instead of asking Wordpress for it.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Create clones of existing blogs on the network.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/divi-builder/\">Divi Builder</a>: Added support for global modules. [et_pb_section] shortcodes with the global_module attribute are correctly detected and the global module is also broadcast together with the post.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Added support for broadcasting / updating of form feeds (as per the gf_addon_feed table).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Fix warning when form does not have valid confirmation or display metadata.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/php-code/\">PHP Code</a>: Added a Wizard for renaming Gravity Forms.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Protect featured image also.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix support for queue on newer MariaDB databases. ROWS is apparently a reserved word.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: For content that has no set language (ACF fields, for example) just allow normal broadcasting without checking or setting the language.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: Added support for setting the primary category of a post.</p>\n<p><strong>42.4</strong> 20180129</p>\n<p>New add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/h5p/\">H5P</a>: Adds support for the <a href=\"https://wordpress.org/plugins/h5p/\">H5P Interactive Content</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix blog names not showing for queued posts in overview.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Added support for <a href=\"http://yithemes.com/themes/plugins/yith-woocommerce-tab-manager/\">YITH WooCommerce Tab Manager</a> tabs. Broadcast the tabs first before broadcasting the product.</p>\n<p><strong>42.3</strong> 20180115</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add support for course builder data, allowing lessons and quizzes to be shared.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/pods/\">Pods</a>: Automatically broadcast the pods that posts are using.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Add setting to allow all translations to be broadcasted automatically after broadcasting a translation.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Added setting to prevent the queue from being trimmed when rebroadcasting a post that is already in the queue.</p>\n<p><strong>42.2</strong> 20171213</p>\n<p>New add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/goodlayers/\">GoodLayers</a>: Adds support for the <a href=\"https://goodlayers.com/\">GoodLayers family of themes</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: Added cleanup tools.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Fix page languages not being saved correctly.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix race condition fatal error where trying to delete non-existing data.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/social-networks-auto-poster/\">SNAP</a>: Fix dupe Facebook posting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: Fix fatal error by disabling the Link Watcher during broadcasting.</p>\n<p><strong>42</strong> 20171130</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Disable field caching during broadcast. This fixes a bug in ACF where the values of fields were sometimes not reported to Broadcast.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/comments/\">Comments</a>: Fixed a PHP warning due to spelling mistake.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Apply correct confirmation redirect page on each child blog. The page will be broadcasted to the child if necessary.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/media-cleanup/\">Media Cleanup</a>: cleans up unused media by looking for unused items in the database and on disk.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Added support for Polylang Pro. Tested with v2.2.6<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Translated terms retain their linking on child blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Allow non-translatable post types to be broadcasted. Fixes error where ACF fields were not broadcastable.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/post-expirator/\">Post Expirator</a>: Added support for category expiration.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Please test your queue after updating. If it doesn\'t work, deactivate and reactivate the add-on.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Trim off existing queued items when requeuing posts. This stops the post from being doubly broadcasted, the first time unnecessarily.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/update-attachments/\">Update Attachments</a>: Save serialized postmeta data as serialized postmeta data.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/update-attachments/\">Update Attachments</a>: Try to create upload directories if they don\'t already exist. Workaround for broken installs where old upload directories have disappeared.</p>\n<p>The curious can try out the beta version of the Bulk Cloner add-on, found in the utilities pack.</p>\n<p><strong>41</strong> 20171030</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Added support for template widgets. Ensure that your template is broadcasted before trying to use it.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/image-map-pro/\">Image Map Pro</a> adds support for the <a href=\"https://codecanyon.net/item/image-map-pro-for-wordpress-interactive-image-map-builder/2826664\">Image Map Pro</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Fix quizzes getting the correct course / lesson / certificate associations.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Question categories are now synced.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/geodirectory/\">GeoDirectory</a>: Add option to automatically create locations that don\'t exist on the child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Fix form ID being displayed incorrectly in the editor.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Try to avoid packet size errors by compressing the data stored in the database.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/slider-revolution/\">Slider Revolution</a>: Fix slider dupes being created because the alias wasn\'t being found properly.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/search-and-replace/\">Search And Replace</a>: Fix bug where terms were not editable due to some conflict with other plugins. Now the edit link refers to term_id= instead of id=.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/search-and-replace/\">Search And Replace</a>: Strip the slashes in the text inputs.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/sensei/\">Sensei</a> adds support for the <a href=\"https://woocommerce.com/products/sensei/\">Sensei</a> plugin.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/shortcodes/\">Shortcodes</a> provides arbitrary admin-defined global or local shortcodes.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Translate association to associated view, if any, when broadcasting content templates.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Moved all of the various Broadcast options into a tabbed interface under the Toolset &gt; Broadcast menu item.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/unyson/\">Unyson</a> adds support for the <a href=\"https://wordpress.org/plugins/unyson/\">Unyson page builder plugin</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/update-attachments/\">Update Attachments</a>: Force overwriting of the attachment postmeta on the child blog.</p>\n<p><strong>40.1</strong> 20171004</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add question and answer search &amp; replace function to easily make changes to your questions. Include automatic quiz broadcast functionality.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/geodirectory/\">GeoDirectory</a>: Added favorites and review syncing capability.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/redirect-parent/\">Redirect Parent</a> redirects all views of a parent post to the first child post.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/wpcustom-category-image/\">WPCustom Category Image</a> adds support for the <a href=\"https://wordpress.org/plugins/wpcustom-category-image/\">WPCustom Category Image</a> plugin.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/widgets/\">Widgets</a> copies widget and sidebar settings between blogs.</p>\n<p><strong>40</strong> 20170922</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/back-to-parent/\">Back To Parent</a>: Extra check that we are back-to-parenting the correct post. Fixes a bug when complicated broadcasts (for example WooCommerce bookings, that simultaneously broadcast products and orders, are all back-to-parented unnecessarily).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/delete-before-broadcast/\">Delete Before Broadcast</a>: Don\'t show options on child posts.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Fix. Prevent overwriting of enrolled users when broadcasting courses.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/pods/\">Pods</a> adds support for the <a href=\"https://www.pods.io/\">Pods - Custom Content Types and Fields</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/php-code/\">PHP Code</a>: Developer update. Dynamic loading of wizards and added actions to run the code programatically.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Show an error if the queue fails to add the original data item.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: If using PHP Code add-on, allow automatic finding of unlinked Toolset post types on the child blog to link existing types, avoiding dupes.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings-post/\">User &amp; Blog Settings Post</a>: Added custom field matching criterion.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Force overwriting of order items, now also overwriting all order item meta values to ensure that the order is completely synced.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Added support for refunds in orders.</p>\n<p><strong>39.1</strong> 20170903</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Added support for background images, templates and template shortcodes.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/attachment-control/\">Attachment Control</a> allows better control of how attachments are handled during broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/custom-field-attachments/\">Custom Field Attachments</a>: Also process values found in custom field subarrays.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Fix. Update base quiz data in the quiz table when broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Fix. Automatically increase Broadcast\'s save_post priority to higher than LearnDash\'s (2000) in order to broadcast the changes directly, instead of needing a double-update.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: Disable time limit during menu copying.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/slider-revolution/\">Slider Revolution</a>: Added support for static layers.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Add ability to broadcast taxonomies.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/ultimate-member/\">Ultimate Member</a>: Display Broadcasted column for UM forms.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings-post/\">User &amp; Blog Settings Post</a>: Fix bug that only broadcasted every other post in a selection.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Remember taxonomy term translations between blogs.</p>\n<p><strong>39</strong> 20170802</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Added support for Broadcast\'s new taxonomy term handling code. This allows blacklisting and protecting of taxonomy term meta.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/hreflang/\">Hreflang</a>: Fix for paging in URLs. Will now append paged parameter depending on the current page of archives or the single post.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/intagrate/\">Intagrate</a>: New add-on. Adds support for the <a href=\"https://intagrate.io/\">Intagrate</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/mailster/\">Mailster</a>: New: Added support for autoresponders.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/mailster/\">Mailster</a>: Fix: List assignments are copied and assigned when broadcasting newsletters and autoresponders on each child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/search-and-replace/\">Search And Replace</a>: New-addon. Find and replace texts in posts during broadcast.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-role-sync/\">User Role Sync</a>: Allow selection of roles and specific users when syncing.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wplms/\">WPLMS</a>: New add-on. Adds support for Vibethemes\' <a href=\"https://themeforest.net/item/wplms-learning-management-system/6780226\">WPLMS theme</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: Added support for Broadcast\'s new taxonomy term handling code. This allows blacklisting and protecting of taxonomy term meta.</p>\n<p><strong>38.6</strong> 20170703</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Separate handling of flexible fields so that ACF v4 flex fields can work at the same time as v5.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Parse all text fields individually, allowing for shortcodes to be found and processed.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: New add-on. Adds support for the <a href=\"https://wordpress.org/plugins/elementor/\">Elementor Page Builder plugin</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/foogallery/\">FooGallery</a>: Added broadcast meta box for individual galleries.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/global-blocks-for-cornerstone/\">Global Blocks For Cornerstone</a>: New add-on. Adds support for the <a href=\"https://wordpress.org/plugins/global-blocks-for-cornerstone/\">Global Blocks for Cornerstone</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: New add-on. Adds support for the <a href=\"http://www.gravityforms.com/\">Gravity Forms</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Added support for quiz questions and answers, not just the quiz post type itself.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/mailster/\">Mailster</a>: New add-on. Adds support for the <a href=\"https://codecanyon.net/item/mailster-email-newsletter-plugin-for-wordpress/3078294\">Mailster</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/ns-cloner/\">NS Cloner</a>: New add-on. Adds support for the <a href=\"https://wordpress.org/plugins/ns-cloner-site-copier/\">NS Cloner</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/slider-revolution/\">Slider Revolution</a>: Added support for sliders in the <a href=\"https://themeforest.net/item/envision-responsive-retina-multipurpose-theme/5928018\">Envision theme</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: Hide notification about changed slug (which is perfectly normal when broadcasting).</p>\n<p><strong>38.4</strong> 20170605</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/eventon/\">EventON</a>: Add RSVP broadcast and syncing. If the event is broadcasted, the attendees will be broadcasted from the event\'s parent blog as the source. Requires Broadcast v38.4.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/eventon/\">EventON</a>: Add support for <a href=\"http://myeventon.com/addons/action-user/\">Action User</a> add-on in order to give <a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a> a chance to broadcast form submissions.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Fix fatal error when the link checkbox is not checked.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/ultimate-member/\">Ultimate Member</a>: New add-on. Adds support for the <a href=\"https://wordpress.org/plugins/ultimate-member/\">Ultimate Member</a> plugin.</p>\n<p><strong>38.3</strong> 20170523</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Added BB settings copy function under the Broadcast menu.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/jetpack/\">Jetpack</a>: New addon. Adds support for <a href=\"https://wordpress.org/plugins/jetpack/\">Automattic\'s Jetpack plugin</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/slider-revolution/\">Slider Revolution</a>: New addon. Adds support for the <a href=\"https://revolution.themepunch.com/\">Slider Revolution</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/the-events-calendar/\"> The Events Calendar</a>: Use API to broadcast venues and events.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-role-sync/\">User Role Sync</a>: New addon. Copy user roles between blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Fix variation broadcasting to multiple blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for <a href=\"https://www.woothemes.com/products/product-vendors/\"> plugin.</a></p>\n<p><strong>38.2</strong> 20170428</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/geodirectory/\">GeoDirectory</a>: Add extra check for missing database tables on the child blogs, which should prevent a lot of headaches when attachments aren\'t being correctly copied.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/ninja-forms/\">Ninja Forms</a>: Added menu item for copying Ninja Form settings between blogs, like WooCommerce has.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/page-content-shortcode/\">Page Content Shortcode</a>: New addon. Provides a [bc_page_content slug=\"pageslug\"] shortcode to display the contents of a page.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Fix translations not being linked for some people since v35.x.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a>: Better criterion editing UI.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: AutomateWoo: retrieve the parent product link data for triggers. Fixes wrong product triggers when using child products.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Disable v3 save_post workaround for WooCommerce v3.0.4+. Apparently they fixed whatever they broke in v3.</p>\n<p><strong>38.1</strong> 20170410</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/new-blog-broadcast/\">New Blog Broadcast</a>: Fix fatal error when editing a broadcast. This appeared when the code was converted to using the new Wordpress translation functions.</p>\n<p><strong>38</strong> 20170406</p>\n<p>Finally dropped the \"ThreeWP\" prefix from the plugin name! The code remains the same, just the name has become simpler: Broadcast...</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/rebroadcast/\">Rebroadcast</a>: Allow posts to be queued when rebroadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add product image gallery handler, so no more need for the Custom Field Attachments add-on.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Also sync variations stock, not just normal products.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Fix. Add workaround for how WooCommerce v3.0 saves products. This prevented the image gallery from being correctly broadcast.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Ignore content that has no translations. Fixes bug where content without translations that should be broadcasted (EventOn events, for example) was not broadcasted.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Add menu item to force broadcast of content to blogs whithout the language. Fixes a weird bug for some installations that had hidden languages which, for some installations, regarded the language as inactive and would therefore not broadcast the content there.</p>\n<p><strong>37.2</strong> 20170326</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Deeper revision checking to better detect whether the child post was modified.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Allow custom fields to be protected.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-attachments/\">Shortcode Attachments</a>: Fix fatal error upon viewing available shortcodes. Related to fix below.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-attachments/\">Shortcode Attachments</a>: Use new data format. Deactivate and reactivate the add-on to convert the old Attachment Shortcodes data to the new format.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Add option to disable HTTP processing, so that you don\'t have to disable the cron line.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add settings copy feature, to quickly duplicate (overwrite) WC settings between blogs. See add-on page for more details.</p>\n<p><strong>37.1</strong> 20170322</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/eventon/\">EventON</a>: Also copy location images.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/eventon/\">EventON</a>: Add support for v2.5.1 locations.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/find-some-unlinked-children/\">Find Some Unlinked Children</a>: Add menu option to ignore post status when finding unlinked children.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Fix fatal error due to translation: is_wp_error_message_box().</p>\n<p>Obsolete add-ons removed: Attachment Shortcodes, Types, Views</p>\n<p><strong>37</strong> 20170316</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/contact-form-7/\">Contact Form 7</a>: Attempt to link existing forms using their title, else broadcast a new one. Requires that forms have exacty the same title in the shortcode as they are called in the form list.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/events-manager/\">Events Manager</a>: Fix new location ID not being correctly set on the child blog. Also use $wpdb to insert event and location data instead of using raw SQL. Read the Events Manager page for info about how badly the EM plugin is written.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix items per process setting not being saved.</p>\n<p><strong>36.2</strong> 20170307</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Location rules fix. If set to a post that is not broadcasted, leave the post ID alone instead of setting it to 0.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Prevent looping when post object fields point back to the same post.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/all-images/\">All Images</a>: New addon. Detects all referenced local images in post text fields and adds them to the broadcast.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Added maximum queue items per process setting that defines how many items to process during a HTTP process event. Also added smarter queue handling that now takes the following into account: the previously mentioned items per process event setting, the PHP time limit and how long, on average, each queue item takes to process. The processing rules are detailed on the queue add-on\'s page.</p>\n<p><strong>36.1</strong> 20170305</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Better handling of repeater fields in ACF5, and more workarounds added for repeater fields in ACF4.</p>\n<p><strong>36</strong> 20170303</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: For text values, use the values that ACF reports, not the raw values. Addition to the ACF fix below.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: ACF fields for taxonomies obey the custom field black/protect lists.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/find-some-unlinked-children/\">Find Some Unlinked Children</a>: Like the normal Find Unlinked Children bulk action, find children that have the same status.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: New add-on. Adds support for the <a href=\"https://www.learndash.com/\">LearnDash LMS</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/php-code/\">PHP Code</a>: Added \"show blog language\" wizard.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Added function to only protect child properties if the post was modified. Allows some child posts to be updated with own content, while other child posts are overwritten with new content. Requires post revision support.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Fix incorrect variation post title (that is never seen).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wp-all-import/\">WP All Import</a>: New add-on. Adds support for post updates from Soffly\'s <a href=\"http://www.wpallimport.com/\">WP All Import Pro</a>.</p>\n<p>Obsolete add-ons: The next version of the pack will disable the following add-ons, so please enable their replacements:</p>\n<p>Attachment Shortcodes has been replaced by <a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-attachments/\">Shortcode Attachments</a>.<br />\nTypes has been replaced by <a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>.<br />\nViews has been replaced by <a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>.</p>\n<p><strong>35.8</strong> 20170130</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Do not allow ACF to process text fields before broadcasting them (= return the values completely raw).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a>: Fix forcing on of checkboxes when not directly broadcasting (like in queues, for example).</p>\n<p><strong>35.7</strong> 20170127</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Fix 1 values when retrieving text values from non-post text fields.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/duplicate-attachments/\">Duplicate Attachments</a>: Fix setting of attached filename on some hosts, which caused problems with returning of the image filename on disk (especially with Update Attachments).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/geodirectory/\">GeoDirectory</a>: Fix broken featured image URL. GD, unlike Wordpress, likes to have a forward slash at the beginning of the URL.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/ninja-forms/\">Ninja Forms</a>: Added form action syncing.</p>\n<p><strong>35.6</strong> 20170117</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Fix to allow for broadcasting without linking to a blog without the same language.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix fatal error after HTTP process call. The error is harmless but results in an unnecessary entry in the webserver error log.</p>\n<p><strong>35.5</strong> 20170113</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/ninja-forms/\">Ninja Forms</a>: New add-on: Adds support for the <a href=\"https://wordpress.org/plugins/ninja-forms/\">Ninja Forms</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Only process one item at a time. This is because some posts are really, really large and can cause timeouts getting caught just above the 25% time limit. Safer to not try to guess how long a post will take to broadcast.</p>\n<p><strong>35.4</strong> 20170109</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/comments/\">Comments</a>: Comment meta is now also synced. This enables, among other things, WooCommerce product reviews to be synced between blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/hreflang/\">Hreflang</a>: Fix overwriting of the global $post variable. This caused a fatal error when using it with the Google Tag Manager plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Product reviews can now be synced (with ratings) thanks to updates in the Comments add-on.</p>\n<p><strong>35.3</strong> 20170106</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/aqua-page-builder/\">Aqua Page Builder</a>: New add-on: Adds support for the <a href=\"https://wordpress.org/plugins/aqua-page-builder/\">Aqua Page Builder plugin</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Only clean the queue 1 in 10 times. This alleviates problems with slow SQL servers.</p>\n<p><strong>35.2</strong> 20161223</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-attachments/\">Shortcode Attachments</a>: Added Elegant Themes Page Builder gallery shortcode in the wizard.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-terms/\">Shortcode Terms</a>: New add-on. Automatically translates taxonomy term IDs found in shortcodes when broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a>: Fix forcing off of hidden checkboxes. This happens when javascript modifies the checked status of the checkboxes.</p>\n<p><strong>35.1</strong> 20161220</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: Added item manipulation function.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Added menu item where one can now select the action if the language does not exist on the child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Fix renaming of variation post names.</p>\n<p><strong>35</strong> 20161206</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Show the Broadcasted column in the field group overview.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/all-blogs/\">All Blogs</a>: Clear cache when creating blogs programatically.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/all-blogs/\">All Blogs</a>: Clear cache when creating deleting blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/download-monitor/\">Download Monitor</a>: Replace the URL in the download version with the attachment\'s URL on each blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Added support for partial broadcasts. Currently only the WooCommerce add-on uses this functionality.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Added support for partial broadcasts, together with the queue add-on. See the WC settings tab. Use this function if your products has many variations that cause PHP timeouts.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a>: Added support for forced broadcasting when using <a href=\"https://wedevs.com/products/plugins/wp-user-frontend-pro/\">WP User Frontend Pro</a> forms.</p>\n<p><strong>34.5</strong> 20161111</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/divi-builder/\">Divi Builder</a>: New add-on. Adds support for <a href=\"https://www.elegantthemes.com/plugins/divi-builder/\">Divi Builder</a> and themes using it.</p>\n<p><strong>34.4</strong> 20161107</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Check for valid posts when adding relationship posts.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/new-blog-broadcast/\">New Blog Broadcast</a>: Also listen to gform_site_created actions sent from Gravity Forms to detect when a new blog has been created.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: When using the duplicating translation button, Broadcast will only broadcast parent posts, not child posts also.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: Add menu option to allow taxonomy term canonical URLs to be ignored / protected. This is for users who do not want the canonical URL of terms to be broadcasted to child blogs.</p>\n<p><strong>34.3</strong> 20161027</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Add workaround for incorrect detection of post number in post fields. This caused fatal errors when ACF fields for taxonomies were created and used within the post.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: New add-on: Adds support for the <a href=\"https://www.wpbeaverbuilder.com/\">Beaver Builder page builder plugin</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/local-links/\">Local Links</a>: Allow links with parameters to be modified, keeping the parameters. https://blog1.test.com/contactus?parameter will become https://blog2.test.com/contactus?parameter can become<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/lock-post/\">Lock Post</a>: Added global lock override roles, to allow specific roles to ignore lock status of posts.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/lock-post/\">Lock Post</a>: Added filterable action to allow developers to override post locking.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: Integrate blog selection with Blog Groups 2 add-on.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Allow broadcasting of disabled AutomateWoo workflows.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Better detection of network-activated WPML.</p>\n<p><strong>34.2</strong> 20161006</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/custom-field-attachments/\">Custom Field Attachments</a>: Fixed warning when no meta is available (usually from using the Sync Taxonomies add-on).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/download-monitor/\"> Download Monitor</a>: Put only download version attachments into the dlm_uploads directory, not attachments for the download itself.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/local-files/\">Local Files</a>: New add-on: automatically copies local files to each blog and updates the links in the content.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Optimize tables after cleaning to reduce fragmentation.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Add ability to broadcast content templates.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for AutomateWoo workflows.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add category thumbnail and display type support.</p>\n<p><strong>34.1</strong> 20160927</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Add wildcard support for checking the ACF field names against the custom field protect list. And blacklist checking also supports wildcards now.</p>\n<p><strong>34</strong> 20160925</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a> and <a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Code change. Use new -&gt;copy_attachment_to_blog() function to prevent double copying of images attached to [taxonomy] meta.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/all-blogs/\">All Blogs</a>: Add backwards compatibility for Wordpress &lt; 4.6<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/contact-form-7/\">Contact Form 7</a>: Remove unused code warning.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/duplicate-attachments/\">Duplicate Attachments</a>: Force renaming of attachment post_names to coincide with the attachment fix in the base version of Broadcast. This fixes the attachment duplication bug/feature in Wordpress.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/new-blog-broadcast/\">New Blog Broadcast</a>: Allow queuing of posts.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Workaround for old versions of WooCommerce that don\'t have the get_woocommerce_term_meta function.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Include temporary fix for Wordpress action/filter bug that prevents the editor language of duplicated posts from being updated on the child. Requires a patched WPML. This fix will become obsolete when Wordpress 4.7 is released, due to the *5 year old* bug being finally fixed.</p>\n<p><strong>33.1</strong> 20160913</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/all-blogs/\">All Blogs</a>: Fix blog limit. Due to incorrect documentation, only 100 blogs are returned at a time.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/social-networks-auto-poster/\">SNAP</a>: Better support for [featured] images in posts. It does this by SNAPping only after all images have been attached.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Allow broadcasting to blogs on which WPML is not active. This will result in just normal broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Added support for the WooCommerce Variation Swatches and Photos plugin.</p>\n<p><strong>33</strong> 20160817</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/all-blogs/\">All Blogs</a>: Code change - use get_sites() instead of deprecated wp_get_sites().<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Sync ACF fields in taxonomies during broadcasting and during manual taxonomy sync.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/avia-layout-builder/\">Avia Layout Builder</a>: Use new Shortcode Attachments and Shortcode Menus add-ons to parse the builder content, which now allows you to use menu shortcodes in your Avia content also.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/contact-form-7/\">Contact Form 7</a>: New add-on. Adds support for <a href=\"https://wordpress.org/plugins/contact-form-7/\">Takayuki Miyoshi\'s Contact Form 7</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/events-manager/\">Events Manager</a>: Fix broadcasted events not showing in the location\'s overview page.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/local-links/\">Local Links</a>: Extra check for valid URLs. The Wordpress function url_to_postid() seems to think that anything with a question mark is a valid URL.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Duplicate Content button automatically broadcasts post to all child blogs. Those child blogs without the duplicated language are ignored, as per normal WPML broadcasting rules.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wp-ultimate-recipe/\">WP Ultimate Recipe</a>: Now supports meal plans. The recipes in the meals must already exist on each child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: New add-on. Adds support for the <a href=\"https://wordpress.org/plugins/wordpress-seo/\">Yoast SEO</a> plugin. Only needed if you want taxonomy SEO data synced when broadcasting.</p>\n<p><strong>32.2</strong> 20160719</p>\n<p>Attachment Shortcodes: Obsolete. Please use the Shortcode Attachments plugin instead. It\'s the same thing (your shortcode settings are kept) but this add-on will be phased out in the future. The reason being that the new Shortcode Attachments and Shortcode Menus add-ons share the same base code, making development easier.</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-attachments/\">Shortcode Attachments</a>: New add-on. Automatically translate attachment IDs found in shortcodes when broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-menus/\"> Shortcode Menus</a>: New add-on. Automatically translate menu IDs found in shortcodes when broadcasting.</p>\n<p><strong>32</strong> 20160715</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/comments/\">Comments</a>: Allow settings to be modified by UBS.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/eventon/\">EventON</a>: Added experimental ticket syncing.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/per-blog-taxonomies/\">Per Blog Taxonomies</a>: Allow settings to be modified by UBS.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Obey broadcasting_data-&gt;high_priority property from BC v32. This will solve problems with complicated broadcasts that subbroadcast things (like ACF post relations and Download Monitor shortcodes).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix allowing normal users to ajax process posts on the post overview screen.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Merged the Types and Views plugins. Now broadcast CRED forms, types and views.<br />\nTypes: Obsolete. Please use Toolset add-on instead.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a>: Use better descriptions when editing meta boxes.<br />\nViews: Obsolete. Please use Toolset add-on instead.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Can now stock sync on its own. Extra removed.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Added experimental order syncing.</p>\n<p><strong>31</strong> 20160705</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Added support for content preparsing on textarea fields also.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/calendarize-it/\">Calendarize It</a>: New add-on. Adds support for <a href=\"http://codecanyon.net/item/calendarize-it-for-wordpress/2568439\">Calendarize It!</a> events.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/delete-before-broadcast/\">Delete Before Broadcast</a>: Fixed bug which prevented more than one post from being deleted.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/download-monitor/https://broadcast.plainviewplugins.com/addon/download-monitor/\"> Download Monitor</a>: Use the preparse actions to parse download shortcodes everywhere (like in ACF text fields, for example).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/events-manager/\">Events Manager</a>: New add-on. Adds support for the <a href=\"https://wordpress.org/plugins/events-manager/\">Events Manager</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/local-links/\">Local Links</a>: Tell the DOMDocument parser to use the utf8 charset - more hardy parsing.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Assume a max execution time of 30s when a max time of -1 is encountered. Workaround for bug in wpallexport pro.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/the-events-calendar/\"> The Events Calendar</a>: Bulk post actions are applied to all recurring events when modifying the main / root event. See the TEC page for details on how to disable this feature. Depending on feedback, this feature can be turned into a menu item.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/types/\"> Types</a>: Add support for manual broadcast of post types to other blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/views/\">Views</a>: Add support for manual broadcast of views to other blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add ability to broadcast membership plans.</p>\n<p><strong>30</strong> 20160606</p>\n<p>ACF: Extended support for conditional gallery local / global images.<br />\nACF: Added support for the link field type.<br />\nACF: Added support for content preparsing, therefore requiring v30 of Broadcast. This will parse links and gallery shortcodes in text, url, link and wysiwyg fields.<br />\nDownload Monitor: Allow download attachments to be copied to the dlm_uploads subdirectory - the file URL in the version remains unchanged, though.<br />\nLocal Links: Now uses content preparsing to translate local links in everything that is preparsed, like the text-related ACF field types.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/tao-schedule-update/\">Tao Schedule Update</a>: Plugin added. Adds support for <a href=\"https://wordpress.org/plugins/tao-schedule-update/\">Tao Schedule Update</a> plugin.<br />\nThe Events Calendar: Better saving of custom fields upon intial broadcast (instead of having to double publish to get the custom fields to show).<br />\nUpdate Attachments: Also update the description, alt and caption of the image, not only the file.</p>\n<p><strong>29.1</strong> 20160418</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/back-to-parent/\">Back To Parent</a>: More robust handling, now including related posts (for example Download Monitor download versions).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/download-monitor/\"> Download Monitor</a>: New plugin. Adds support for downloads and shortcodes from <a href=\"https://wordpress.org/plugins/download-monitor/\">Never5\'s Download Monitor</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Allow appending of languages. If you manually add languages to the child posts, they will be preserved when the parent post rebroadcasts.<br />\nPolylang: Prevent language and flag data in the language taxonomy of the child blogs from being overwritten. Now en (US) will not overwrite en (GB) for example.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\"> Protect Child Properties</a>: Permalink (post_name) can also be protected.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wp-ultimate-recipe/\"> WP Ultimate Recipe</a>: Remove debug info.</p>\n<p><strong>29</strong> 20160405</p>\n<p>ACF: Added support for the Conditional Gallery field type. See the ACF page for notes on this.<br />\nACF: Added support for parsing of image links in text and wysiwyg content.<br />\nAll Blogs: Make superadmin version also clear the cache upon creating new blogs.<br />\nHreflang: Catchable fatal error fixed when not using any settings.<br />\nProtect Child Properties: Modification date can be protected also.<br />\nQueue: During broadcasting, don\'t queue any broadcast requests, to prevent some add-ons from not being able to receive new post numbers during broadcast.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wp-ultimate-recipe/\">WP Ultimate Recipe</a>: Plugin has been moved into 3rd party pack.<br />\nWP Ultimate Recipe: Added support for recipe instruction images.</p>\n<p>All packs now have RedHat / CentOS SSL workaround for updates automatically enabled.</p>\n<p><strong>28.4</strong> 20160317</p>\n<p><a href=\"https://plainviewplugins.com/threewp-broadcast-premium-pack/hreflang-broadcast-plugin/\">Hreflang</a>: Plugin added. Adds support for <a href=\"https://en.wikipedia.org/wiki/Hreflang\">SEO-friendly hreflang html tags</a>.</p>\n<p><strong>28.3</strong> 20160309</p>\n<p><a href=\"https://plainviewplugins.com/threewp-broadcast-premium-pack/rebroadcast-broadcast-plugin/\">Rebroadcast</a>: Plugin added. Rebroadcast / update selected parent posts by using a bulk action.<br />\nUBS: Escape the blog names in the meta box settings.</p>\n<p><strong>28.2</strong> 20160301</p>\n<p>ACF: Fix warning when trying to parse fields without values.<br />\nComments: Fixed bug where comments are blocked on unlinked posts, but with syncing enabled.<br />\nEventOn: Fix error by checking that the event is using tickets.<br />\nEventOn: Add support for proper broadcasting of the location and organizer.<br />\nGeoDirectory: Code fix: Use terms() instead of obsolete equivalent_terms() method.<br />\nThumbnail Sizes: Fix error when no sizes are set.</p>\n<p><strong>28.1</strong> 20160208</p>\n<p><a href=\"https://plainviewplugins.com/threewp-broadcast-premium-pack/activity-monitor-broadcast-plugin/\">Activity Monitor</a>: Update compatability with hook class.<br />\n<a href=\"https://plainviewplugins.com/threewp-broadcast-premium-pack/post-expirator-broadcast-plugin/\">Post Expirator</a>: Plugin added. Adds support for Aaron Axelsen\'s <a href=\"https://wordpress.org/plugins/post-expirator/\">Post Expirator</a> plugin.</p>\n<p><strong>28</strong> 20160118</p>\n<p>EventON: Plugin added. Adds support for Ashan Jay\'s <a href=\"http://www.myeventon.com/\">EventON</a> plugin with tickets.</p>\n<p><strong>27.2</strong> 20151215</p>\n<p>SiteOrigin Page Builder: Plugin added. Adds support for <a href=\"https://wordpress.org/plugins/siteorigin-panels/\">SiteOrigin\'s Page Builder plugin</a>.<br />\nUser &amp; Blog Settings Post: Fix fatal error.</p>\n<p><strong>27.1</strong> 20151209</p>\n<p>ACF: Fix flexible field images for ACF v4. Apparently images in flexfields did not work correctly. ACF v5 untouched.<br />\nProtect Child Properties: Allow protection for post parent.</p>\n<p><strong>27</strong> 20151124</p>\n<p>Avia Layout Builder: Plugin added.</p>\n<p><strong>26.2</strong> 20151104</p>\n<p>ACF: Removed taxonomy fields support for non-pro versions of ACF.</p>\n<p><strong>26.1</strong> 20151103</p>\n<p>Back To Parent: Fix warning about fake variable.<br />\nProtect Child Properties: Fix string warnings.<br />\nWooCommerce: Fix broadcasting products. Asking WooCommerce to return a product is not a good enough check, it has to be checked manually.</p>\n<p><strong>26</strong> 20151102</p>\n<p>Update Broadcast before updating this pack. After updating the pack, check that all your normal pack plugins are still activated. I\'ve tested this upgrade myself and for it remembers which plugins were activated, but you never know.</p>\n<p><a href=\"https://plainviewplugins.com/threewp-broadcast-premium-pack/bbpress-broadcast-plugin/\">bbPress</a>: Plugin added. Adds support for <a href=\"https://wordpress.org/plugins/bbpress/\">BBPress</a> forums, topics and replies.<br />\nProtect Child Attachments / Author / Content / Status: This is the last time these obsolete plugins will be seen in the pack. Use Protect Child Properties instead.<br />\n<a href=\"https://plainviewplugins.com/threewp-broadcast-premium-pack/thumbnail-sizes-broadcast-plugin/\"> Thumbnail Sizes</a>: Plugin added. The plugin allows for different additional thumbnail sizes on a per-blog basis.<br />\nUser &amp; Blog Settings: Fix harmless error_log warnings when creating or removing a modification.</p>\n<p><strong>25</strong> 20151024</p>\n<p>ACF: Check for empty repeater values.<br />\nACF: Do not broadcast empty relations.<br />\nSync Taxonomies: Recorder added. Record taxonomy changes and replay them on other blogs in order to mass-create / edit / delete terms with just a few clicks.<br />\nWooCommerce: Completely ignore all non-products, minimizing risk for unneccessary warnings.</p>\n<p><strong>24</strong> 20151009</p>\n<p>ACF: Simplified repeater field handling.<br />\nGeoDirectory: Plugin added.</p>\n<p><strong>23.4</strong> 20151003</p>\n<p>FooGallery: Plugin added.<br />\nTEC: Support for Additional Fields.</p>\n<p><strong>23.3</strong> 20150909</p>\n<p>Blog Groups 2: Clone fatal error fixed.<br />\nBlog Groups 2: Fixed bug where only the first group was displayed when several groups had the same blogs selected.<br />\nDuplicate Attachments: Fix file path when duplicating.<br />\nGEO My WP: Plugin added.</p>\n<p><strong>23.2</strong> 20150901</p>\n<p>ACF: Fix warning when encountering empty repeaters in repeaters.<br />\nACF: Allow using taxonomy term objects as well as term IDs.<br />\nTablePress: Add support for tables with non-integer IDs.<br />\nTEC: Remove unneccessary meta box info.<br />\nWooCommerce: Add support for \"German Market\" plugin delivery times.<br />\nWooCommerce: Add support for cross-sells and upsells. The product(s) have to already exist on the child blog and be linked in order to be detected.<br />\nWooCommerce: Stock status is better updated on broadcasting due to clearing of WooCommerce transients.</p>\n<p><strong>23.1</strong> 20150804</p>\n<p>Views: Fix fatal error trying to call non-object custom_fields.</p>\n<p><strong>23</strong> 20150803</p>\n<p>All In One Event Calendar: Removed text at the bottom of the meta box.<br />\nBack To Parent: Fix duplicate posts by using the new *_post_broadcast_data actions.<br />\nEvent Organiser: Removed text at the bottom of the meta box.<br />\nGlobal Content Blocks: Plugin added.<br />\nMetaslider: Plugin added.<br />\nViews: Removed text at the bottom of the meta box.<br />\nWPML: Updated plugin to be able to broadcast translations with unpatched WPML v3.1.9.7. Working with the translation manager still requires a patch.<br />\nWPML: Force same slug for child posts in different languages.</p>\n<p><strong>22.1</strong> 20150724</p>\n<p>ACF: Fix add_attachment fatal error.<br />\nPermlinks: Fix continue error during broadcasting.</p>\n<p><strong>22</strong> 20150721</p>\n<p>All In One Event Calendar: Remove unnecessary warning about return_registry().<br />\nNew Blog Broadcast: Plugin added.<br />\nPer Blog Taxonomies: Fixed \"too much memory\" error on some installs when saving the settings.<br />\nSync Taxonomies: Fix fatal error caused by not updating ST to use the new API.<br />\nTablePress: Plugin added.<br />\nThe Events Calendar: Updated to support v3.10.1<br />\nWooCommerce: Add support for product category images. The images are updated only when broadcasting a product with those product categories set.<br />\nWooCommerce: Add support for attribute images, as provided by Variation Swatches and Photos.<br />\nWooCommerce: Force term recount after Broadcast. This fixes the problem of product categories not being visible sometimes.</p>\n<p><strong>21</strong> 20150705<br />\nAll Blogs: Cache is now cleared upon creating new blogs. No more need for the cache clearing extra.<br />\nQueue: Manual processing of queue in debug mode forces broadcast of the item. Time limits are ignored.<br />\nViews: More debug info.</p>\n<p><strong>20.1</strong> 20150614<br />\nDelete Before Broadcast: Added option to unlink children.<br />\nProtect Child Author / Attachments / Content / Status: Marked as obsolete. Use Protect Child Properties instead.<br />\nProtect Child Properties: Fix bug when no properties are selected and queue is used.</p>\n<p><strong>20</strong> 20150609<br />\nACF: Delete blacklisted custom fields, and those fields in repeaters.<br />\nACF: Handle single taxonomy values also.<br />\nACF: Ignore repeater fields that have no values.<br />\nACF: Ignore taxonomy fields that have no values.<br />\nBlog Groups 2: Select All / Invert / None functionality added.<br />\nDelete Before Broadcast: Add \"delete same slug\" and \"delete similar slugs\" options.<br />\nUser &amp; Blog Settings: Fix error on line 155 when saving modifications.</p>\n<p><strong>19.3</strong> 20150524<br />\nFind Some Unlinked Children: Exclude presumtive children that have parents or children.</p>\n<p><strong>19.2</strong> 20150522<br />\nACF: Fix fatal error message when using taxonomy terms that aren\'t set in the post itself.</p>\n<p><strong>19.1</strong> 20150521<br />\nFix error message in Local Links and Keep Child Status.</p>\n<p><strong>19</strong> 20150519<br />\nACF: Skip fields that are in the custom field blacklist and the protect list.<br />\nAll Blogs: New extra: Clear All Blogs Cache plugin to clear the all blogs cache when creating new sites.<br />\nAttachment Shortcodes: Better handling of nested shortcodes. More robust shortcode handling.<br />\nDelete Before Broadcast: Plugin added.<br />\nProtect Child Properties: Plugin added.<br />\nProtect Child Attachments: Obsolete due to Protect Child Properties plugin.<br />\nProtect Child Author: Obsolete due to Protect Child Properties plugin.<br />\nProtect Child Content: Obsolete due to Protect Child Properties plugin.<br />\nProtect Child Status: Obsolete due to Protect Child Properties plugin.<br />\nUser &amp; Blog Settings: Better cleaning up of criteria after modification deletion.<br />\nWooCommerce: Two new extras: stock and PDF vouchers can be automatically synced between parents / children upon each purchase. See the extras directory.</p>\n<p><strong>18.1</strong> 20150414<br />\nACF: Fix fatal error when using relationships.<br />\nPolylang: Pre-emptive fix: Clear language cache after finish broadcasting.</p>\n<p><strong>18</strong> 20150412<br />\nACF: Repeater fields can contain repeater fields.<br />\nACF: Fix for empty flexible layouts.<br />\nACF: Add support for ACF Pro v5 field groups.<br />\nAll Blogs: Cache is updated when blogs are created / deleted / undeleted.<br />\nBlog Groups 2: Plugin added.<br />\nProtect Child Author: Plugin added.<br />\nQueue: HTTP processing now allows to processing of queue via cron job.<br />\nThe Events Calendar: Syncing of calendar events enabled again.<br />\nNew extra: WP Ultimate Recipe compatability plugin. See extras directory.<br />\nWooCommerce: More efficient variation handling - they are no longer automatically deleted upon broadcast.</p>\n<p><strong>17.1</strong> 20150219<br />\nACF: Add page link type.<br />\nACF: Fix gallery, relationship, post object types not being handled correctly.</p>\n<p><strong>17</strong> 20150216<br />\nACF: File / image fields with URLs now work.<br />\nACF: Plugin offers lots of hookable actions.<br />\nFind Some Unlinked Children: Plugin added.<br />\nQueue: More debug info when queueing posts.<br />\nSocial Networks Auto Poster: Plugin added.<br />\nUser Blog Settings: Fix upgrade path: the new criteria table is created before trying to convert old criteria.<br />\nUser Blog Settings: New UI for modification editing.<br />\nUser Blog Settings: Post bulk actions can now be hidden in modifications.<br />\nUser Blog Settings: Summary view gives an overview of all of the modifications made.</p>\n<p><strong>16</strong> 20150116<br />\nComments: Hierarchy is preserved.<br />\nComments: Automatic syncing of linked posts.<br />\nDuplicate Attachments: Plugin added. Copying of attachments can be exponentially speeded up by using this plugin, which duplicates attachment and thumbnails from the parent blog instead of regenerating them.<br />\nUser &amp; Blog Settings: Automatically clean up orphaned criteria.<br />\nUser &amp; Blog Settings: More robust detection of post types.<br />\nUser &amp; Blog Settings: \"On\" for checkboxes no longer forces the checkbox to be ticked.</p>\n<p><strong>15</strong> 20141218<br />\nNo New Terms: Plugin added.<br />\nQueue: Add conflict check when marking queue as finished.<br />\nSend To Many: Remove reference to obsolete js.js<br />\nUser Blog Settings: Fix display of selected users.</p>\n<p><strong>14</strong> 20141210<br />\nLock Posts: Plugin added.<br />\nMenus: Add option to replace domain URL with that of child blog.<br />\nBack To Parent: Ignore revision post type.</p>\n<p><strong>13.1</strong> 20141202<br />\nQueue: Fixed debugging() error.<br />\nUser &amp; Blog Settings: Major update with far superior criteria control such as post types and taxonomy terms (specific categories, for example). See new, detailed manual here: <a href=\"http://plugins.plainview.se/threewp-broadcast-premium-pack/user-blog-settings-broadcast-plugin/\">http://plugins.plainview.se/threewp-broadcast-premium-pack/user-blog-settings-broadcast-plugin/</a></p>\n<p><strong>13</strong> 20141201<br />\nPolylang: Plugin added.<br />\nAll Blogs Superadmin: Plugin added. Allows only superadmins broadcast access to all blogs.<br />\nACF: Flexible fields can handle more complicated layouts now. Credit tobias@bombayworks.se<br />\nCustom Field Attachments: Find IDs in all fields and try to unserialize fields.<br />\nPer Blog Taxonomies: Fix javascript.<br />\nPermalinks: Fix javascript.</p>\n<p><strong>12</strong> 20141109<br />\nSend To Many supports new bulk actions<br />\nPurge Children supports new post and bulk actions</p>\n<p><strong>11</strong> 20141029<br />\nACF: Taxonomy fields are now supported.<br />\nThe Events Calendar: Plugin added.<br />\nWooCommerce: Code fix: Use generic way of creating new broadcasting data when broadcasting variations.</p>\n<p><strong>10</strong> 20141020<br />\nMenus: Plugin added.</p>\n<p><strong>9</strong> 20141017<br />\nACF: Fix fatal error for post objects.</p>\n<p><strong>8</strong> 20141013<br />\nPlugins are loaded by classnames instead of exact filenames. Check that your plugins are activated after the upgrade.<br />\nPermalink settings are clearer (separated fieldsets for global and local).<br />\nACF: Repeater field supports galleries and relationships.<br />\nProtect Child Status: Plugin added.<br />\nWPML: Do not broadcast to blogs that do not have the post\'s language enabled.<br />\nComments, Protect Child Attachments / Content / Status: fixed fatal error when plugin is enabled with items in the queue.</p>\n<p><strong>7</strong> 20140923<br />\nACF: Relationship / object loop prevention.<br />\nACF: Extra checking for relationships.<br />\nACF: Add ACF to custom post types automatically.</p>\n<p><strong>6</strong> 20140909<br />\nBack To Parent: Plugin added.<br />\nWooCommerce: Attribute taxonomies are created / updated on each child blog.</p>\n<p><strong>5</strong> 20140830<br />\nHide information from non-network admins.<br />\nQueue: More debug information.<br />\nQueue: Whole posts can be deleted from the queue, instead of just single items.<br />\nAll Blogs: Speeup using caching.<br />\nUser &amp; Blog Settings Post: Speedup using caching.<br />\nCustom Field Attachments: Better attachment validity checking.<br />\nWPML: Only broadcast translation manager jobs to those blogs that have the job\'s language.</p>\n<p><strong>4</strong> 20140814</p>\n<p>Renamed \"Keep Child Attachments\" to \"Protect Child Attachments\"<br />\nUser &amp; Blog Settings Post: Plugin added.<br />\nRedirect All Children: Plugin added.<br />\nProtect Child Content: Plugin added.<br />\nAll In One Calendar: Plugin added.</p>\n<p><strong>3</strong> 20140708</p>\n<p>User &amp; Blog Settings: Select boxes can now just have their values set.<br />\nKeep Child Attachments: Plugin added.<br />\nLocalLinks: Disable warnings when loading incorrect HTML.</p>\n<p><strong>2.24</strong> 20140615</p>\n<p>Better support for Windows servers.<br />\nACF: Added support for galleries.<br />\nWooCommerce: Variation pricing correctly broadcasted.<br />\nACF: Added support for relationships.</p>\n<p><strong>2.23</strong> 20140520<br />\nComments: Plugin added.<br />\nActivity Monitor: Plugin added.</p>\n<p><strong>2.21</strong> 20140422<br />\nCustom Field Attachments: Automatically parses multiple attachment IDs in the same custom field, using non-numbers as separators.<br />\nPurge Children: Plugin added.<br />\nQueue: Fix bug where the last items are sometimes not queued.<br />\nLocal Links: Fixed incompatability with Queue.</p>\n<p><strong>2.20</strong> 20140412<br />\nEvent Organiser: Can update event venues when syncing using Sync Taxonomies.<br />\nSync Taxonomies: Plugin added.<br />\nNew: Plugins combined into one big premium plugin that enables the various speciality plugins.<br />\nCustom Field Attachments: Plugin added.</p>\n<p><strong>2.19</strong> 20140402<br />\nACF: Support for post objects and files.<br />\nEvent Organiser: Fix broadcast of event date.</p>\n<p><strong>2.18</strong> 20140314<br />\nAttachment Shortcodes: Plugin added.<br />\nEvent Organiser: Plugin added.<br />\nACF: New: \"Flexible content\" field images are correctly copied.</p>\n<p><strong>2.15</strong> 20140123<br />\nACF: Fix: same attachment can be used in several image fields.<br />\nACF: Also handles images in repeater fields.<br />\nACF: Added compatability with newer versions of ACF that return arrays instead of values.</p>\n<p><strong>2.14</strong> 20140117<br />\nQueue: Requires even less memory due to optimizations.<br />\nUser Blog Settings: Increased compatability with Keep Child Status</p>\n<p><strong>2.12</strong> 20140112<br />\nAll Blogs: Plugin added.<br />\nSend To Many: Compatability with new Broadcast version, fixed missing HTML file.<br />\nKeep Child Status: Fatal error line 209 fixed.<br />\nQueue: Round robin, more robustness, fatal errors are displayed.</p>\n<p><strong>2.11</strong> 20131218<br />\nQueue: Retry countdown. Better retry handling.<br />\nQueue: More reliable javascript queuing (ignore unnecessary warnings from other plugins).<br />\nPer Blog Taxonomies: Plugin added.<br />\nPermalinks: Plugin added.<br />\nQueue: Javascripts informs of errors.</p>\n<p><strong>2.10</strong> 20131121</p>\n<p>WooCommerce: Plugin added.<br />\nAdded \"Premium\" to plugin names.</p>\n<p><strong>2.9</strong> 20131113<br />\nKeepChildStatus: Plugin added.<br />\nUserBlogSettings: Fixed CSS display when testing.<br />\nUserBlogSettings: Stricter application of criteria.<br />\nUserBlogSettings: Nicer display of blog names with special characters.<br />\nUserBlogSettings: Apply JS in the preview box.<br />\nViews: Fix for removed added_meta_box action.<br />\nUserBlogSettings: Added support for select modifications.<br />\nUserBlogSettings: Note about current blog not being visible.</p>\n<p><strong>2.7</strong> 20131101<br />\nAdvanced Custom Fields: Plugin added.<br />\nSendToMany: Fixed send to many button - using new prepare action.</p>\n<p><strong>2.6</strong> 20131028<br />\nLocal Links: Plugin added.</p>\n<p><strong>2.4</strong> 20131018<br />\nUser &amp; Blog Settings: Plugin added.</p>\n<p><strong>2.3</strong> 20131011<br />\nSend To Many: Plugin added.<br />\nQueue: Added process data caching.</p>\n<p><strong>2.2</strong> 20131007<br />\nViews: Plugin added.</p>\n<p><strong>2.0</strong> 20131006<br />\nInitial release to coincide with Broadcast 2.0.<br />\nQueue: Plugin added.</p>\n\";}s:7:\"banners\";a:2:{s:4:\"high\";s:0:\"\";s:3:\"low\";s:0:\"\";}s:5:\"icons\";a:0:{}s:11:\"description\";a:1:{i:0;s:68:\"<p>The premium pack contains all of the Broadcast plugin packs.</p>\n\";}s:9:\"changelog\";a:1:{i:0;s:132023:\"<p><strong>48.09</strong> 20220418</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Add support for partial export of spreadsheets for sites with more than 100 sites. This allows for sites of almost unlimited size.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Fix warning for elements that sometimes don\'t have links set.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Automatically create the CSS directory for each blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Fix course post not having the _sfwd-courses custom field.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/pods/\">Pods</a>: Add support for broadcasting of groups and fields.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for the variation image gallery.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for term product_attribute_image.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for composite products.</p>\n<p><strong>48.08</strong> 20220312</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/blog-groups-2/\">Blog Groups 2</a>: Add broadcast_blog_groups_2_access filter to allow code access to the add-on.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/divi-builder/\">Divi Builder</a>: Parse the encoded links in buttons.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Handle bg_image, background_image and image settings more generically.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: Add broadcast_menus_access filter to allow code access to the add-on.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Add broadcast_queue_access filter to allow code access to the add-on.</p>\n<p><strong>48.07</strong> 20220226</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/cornerstone/\">Cornerstone</a>: Add support for broadcasting layouts, templates and user templates.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/cornerstone/\">Cornerstone</a>: Merge Global Blocks For Cornerstone add-on.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for button, header and call-to-action links.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for Media Carousel images and links.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for JetPopups.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for the Jet Listing Grid, Jet Smart Filters Checkboxes and Jet Smart Filters Range elements.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for the Jet Listing Grid, Jet Smart Filters Checkboxes and Jet Smart Filters Range elements.<br />\nGlobal Blocks For Cornerstone: Add-on is obsolete. Replaced by Cornerstone add-on.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/local-links/\">Local Links</a>: Fix finding links Gutenberg blocks - don\'t look again if the link is already found.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/post-expirator/\">Post Expirator</a>: Mark categories as used, for compatibility with v48 of Broadcast.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/rebroadcaster/\">Rebroadcaster</a>: Allow for low priority rebroadcasting so that it works with the queue add-on.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/rebroadcaster/\">Rebroadcaster</a>: Remember the rebroadcast schedule when using the \"Rebroadcast\" bulk post action.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/unlink-on-edit-checkbox/\">Unlink On Edit Checkbox</a>: Fix the checkbox not being obeyed.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: Allow the _yoast_wpseo_meta-robots-nofollow and _yoast_wpseo_meta-robots-noindex custom fields to be protected.</p>\n<p><strong>48.01</strong> 20211105</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/code-snippets/\">Code Snippets</a>: Run code snippets on specific blogs.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/cron-everywhere/\">Cron Everywhere</a>: Runs WordPress cron periodically on all sites of the network.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/rebroadcaster/\">Rebroadcaster</a>: Periodically and automatically rebroadcast specific posts.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gutenberg-attachments/\">Gutenberg Attachments</a>: Better support for image IDs that are part of arrays.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/pods/\">Pods</a>: Clear the cache when pods are deleted on the parent blog, so that they are also shown as deleted on the child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Fix incorrectly protecting custom fields with taxonomies.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/the-events-calendar/\">The Events Calendar</a>: Allow several organisers per event.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Fix recursion when broadcasting relationships again. Use new broadcast_once() functionality.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: More fixing of featured images not broadcasting when processing via cron with the Publishpress Revisions plugin active.</p>\n<p><strong>47.13</strong> 20211007</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/copy-options/\">Copy options</a>: Translate the page_on_front option when copying the reading *_on_front options.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Delete existing add-on feeds on child blogs before adding the parent ones.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gutenberg-attachments/\">Gutenberg Attachments</a>: Add wizard for ACF Gallery Masonry block.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/per-blog-author/\">Per Blog Author</a>: Fix blog name html.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/php-code/\">PHP Code</a>: Parse errors are displayed when running the code.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Allow taxonomies to be protected.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix featured images not broadcasting when processing via cron with the Publishpress Revisions plugin active.</p>\n<p><strong>47.12</strong> 20210923</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/search-and-filter/\">Search And Filter</a>: Adds support for the <a href=\"https://searchandfilter.com/\">Search And Filter</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Force better selection of database tables to be cloned. This should prevent _60_ _61_ etc from being cloned when only _6_ is going to be cloned.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Allow handling of non-pro ACF5 fields with add-ons (repeater) as pro.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for ProductIntroFullDetail element type.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for syncing shipping and coupon info when syncing orders.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for the <a href=\"https://wclovers.com/\">WCFM - WooCommerce Multivendor Marketplace</a> plugin.</p>\n<p><strong>47.11</strong> 20210815</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/scheduler/\">Scheduler</a>: Automatically change the publish date of child posts during broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for <a href=\"https://woocommerce.com/products/product-bundles/\">product bundles</a>.</p>\n<p><strong>47.09</strong> 20210706</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Allow setting of blog archived / deleted / mature / spam status.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Fix warning when no conditions are to be restored.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Fix warning when a gallery is empty.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/formidable-forms/\">Formidable Forms</a>: Broadcast associated posts when broadcasting entries.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Better PHP8 compatability.</p>\n<p><strong>47.08</strong> 20210613</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/more-children/\">More Children</a>: Allows children to create more children of the parent.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for new widgets: avante-portfolio-grid and dyxnet-testimonial-card<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Allow for non-standard upload directories.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/local-files/\">Local Files</a>: Use the link data of the parent, if possible. Allows for linking to posts that are broadcasted from other blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/local-links/\">Local Links</a>: Try to find the page twice. This is a workaround for an unexplained bug with WPML that never finds the first link on a page.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/new-blog-broadcast/\">New Blog Broadcast</a>: Fix fatal error when broadcasting manually.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/parent-pull/\">Parent Pull</a>: Fix warning about custom fields.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Don\'t protect the featured image if the custom fields are protected.</p>\n<p><strong>47.07</strong> 20210513</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/imagify/\">Imagify</a>: Adds support for the <a href=\"https://wordpress.org/plugins/imagify/\">Imagify</a> plugin / service.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/custom-field-cleanup/\">Custom Field Cleanup</a>: Cleans up the custom fields of a post.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/term-meta-attachments/\">Term Meta Attachments</a>: Allow taxonomy term meta containing attachment IDs to be broadcasted correctly.</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/category-order-and-taxonomy-terms-order/\">Category Order and Taxonomy Terms Order</a>: Also set the term order during broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: Fix fatal error if menu icons plugin is not active.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Fix recursion when broadcasting relationships.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-role-sync/\">User Role Sync</a>: Allow syncing of roles and users separately.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Also broadcast new coupon amount when a coupon is used, not just usage count.</p>\n<p><strong>47.06</strong> 20210412</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/rank-math-seo/\">Rank Math SEO</a>: Add support for the <a href=\"https://wordpress.org/plugins/seo-by-rank-math/\">Rank Math SEO</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/comments/\">Comments</a>: Comment meta is updated during syncing.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/cornerstone/\">Cornerstone</a>: Add support for toggle_anchor_graphic_image_src<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add support for course builder data stored in \"steps\" instead of \"hrt\" data.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add support for either overwriting or keeping the groups of a course.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Add CLI command: broadcast_queue process<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Add support for relationships with intermediaries.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Allow broadcasting of coupons and broadcasting of usage count when the coupon is used.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Ignore taxonomies that are not translatable.</p>\n<p><strong>47.05</strong> 20210325</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Add option to enable queue locking, which only the largest networks might need. Queue locking is disabled per default.</p>\n<p><strong>47.04</strong> 20210318</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for display conditions.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Add support for parsing Advanced Post Creation content in order to get shortcodes parsed.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix unlocking of the queue.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/tablepress/\">Tablepress</a>: Modernize add-on to parse Tablepress shortcodes everywhere Broadcast processes texts (Elementor widgets, ACF text fields, etc), not just the post content.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for chained products.</p>\n<p><strong>47.03</strong> 20210308</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/all-in-one-seo/\">All In One SEO</a> adds support for the <a href=\"https://wordpress.org/plugins/all-in-one-seo-pack/\">All in One SEO</a> plugin.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/generatepress/\">GeneratePress</a> adds support for the <a href=\"https://generatepress.com/\">GeneratePress</a> theme / plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Add support for term protect list.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/comments/\">Comments</a>: Comments are now merged instead of overwritten.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Fix restoring of serialized custom fields.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: Fix the SEO data cache for terms not being emptied.</p>\n<p><strong>47.02</strong> 20210216</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/back-to-parent/\">Back To Parent</a>: Do not do anything if the Update Family checkbox is selected.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix posts not being queued.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/update-attachments/\">Update Attachments</a>: Check that the files exist at the source before updating. Fixes conflicts with CDN plugins that remove the files from disk.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/update-family/\">Update Family</a>: Make the sibling broadcast low priority so that they can be queued.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for <a href=\"https://bookingwp.com/plugins/woocommerce-appointments/\">Appointments</a>.</p>\n<p><strong>47.01</strong> 20210210</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/permalink-manager/\">Permalink Manager</a>: Adds support for the <a href=\"https://wordpress.org/plugins/permalink-manager/\">Permalink Manager</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Fix copying of site files.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/divi-builder/\">Divi Builder</a>: Add support for Theme Builder usage restrictions based on pages and term IDs.<br />\nShortcode Items: Fix the parse_find and replace_id action names.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Add support for WPML in relationships.</p>\n<p><strong>46.19</strong> 20210127</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/litespeed-cache/\">LiteSpeed Cache</a>: Adds support for the <a href=\"https://wordpress.org/plugins/litespeed-cache/\">LiteSpeed Cache</a> plugin.</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Do not copy the files in the sites directory when cloning blog 1.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/divi-builder/\">Divi Builder</a>: Prevent theme overwrites when using the <a href=\"https://broadcast.plainviewplugins.com/addon/sync-taxonomies/\">Sync Taxonomies</a> add-on, in addition to when broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/cornerstone/\">Cornerstone</a>: Add support for images.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Added more support for Workflows.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Force WPML to recount the taxonomy term stats after taxonomy sync.</p>\n<p><strong>46.18</strong> 20201229</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Add support for later linking using the queue add-on, which allows for big clones.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/divi-builder/\">Divi Builder</a>: Added support for global modules in rows also.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/ns-cloner/\">NS Cloner</a>: Add support for later linking using the queue add-on, which allows for big imports.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for <a href=\"https://woocommerce.com/products/woocommerce-bookings/\">Bookings</a> resources and people.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: Fix the SEO data cache not being emptied.</p>\n<p><strong>46.17</strong> 20201215</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/cornerstone/\">Cornerstone</a> adds support for the <a href=\"http://theme.co/cornerstone\">Cornerstone Page Builder</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add action to allow for merging of existing course data, for example <a href=\"https://broadcast.plainviewplugins.com/snippet/learndash-preserve-the-registration-button-url/\">the registration button URL (snippet)</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add support for broadcasting Uncanny Content via GB blocks.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/mailster/\">Mailster</a>: New: Force showing of the Broadcast meta box, which is normally hidden due to broken Mailster CSS.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/mailster/\">Mailster</a>: Add PHP Code wizard for copying templates between blogs.</p>\n<p><strong>46.16</strong> 20201116</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/per-blog-author/\">Per Blog Author</a> allows for individual control of the author for each child post.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Add support for the WooCommerce Multilingual plugin. This prevents translated child products from losing their custom fields when updating the parent language.</p>\n<p><strong>46.15</strong> 20201111</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Add support for parsing links.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for AE Post Blocks manual selections.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: When broadcasting a course in groups, broadcast the groups automatically if they do not exist on the child.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/mailster/\">Mailster</a>: New: Force showing of the Broadcast meta box, which is normally hidden due to broken Mailster CSS.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/mailster/\">Mailster</a>: Add support for forms and lists in conditions.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Add support for broadcasting string translations.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Add support for v3.4 relationships.</p>\n<p><strong>46.14</strong> 20201002</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for AE Post Blocks relationships.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/eventon/\">EventON</a>: Add support for event speakers.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/geodirectory/\">GeoDirectory</a>: Fix support for v2.0.0.101 - images, logos and categories broadcast correctly again.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/ninja-forms/\">Ninja Forms</a>: Clear form cache after broadcasting. Tested with 3.4.30</p>\n<p><strong>46.13</strong> 20200922</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/modern-events/\">Modern Events</a> adds support for the <a href=\"https://wordpress.org/plugins/modern-events-calendar-lite/\">Modern Events plugin</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/formidable-forms/\">Formidable Forms</a>: Add support for broadcasting entries via the Broadcast &gt; Formidable menu item.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Add support for Gravityflow workflows.</p>\n<p><strong>46.12</strong> 20200810</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/create/\">Create</a> adds support for the <a href=\"https://wordpress.org/plugins/mediavine-create/\">Create</a> plugin from Mediavine.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/soliloquy/\">Soliloquy</a> adds support for the <a href=\"https://soliloquywp.com/\">Soliloquy plugin</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Add ability to copy option field groups.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for updating the linked children when the parent post is saved in Elementor (not just the normal editor).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Fix field ID in view not matching.</p>\n<p><strong>46.11</strong> 20200715</p>\n<p>Version bump, because Wordpress doesn\'t understand that .10 is bigger than .1</p>\n<p><strong>46.10</strong> 20200714</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/parent-pull/\">Parent Pull</a> allows content to be pulled from (parent) blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/formidable-forms/\">Formidable Forms</a>: Add support for repeaters and conditionals.</p>\n<p><strong>46.09</strong> 20200708</p>\n<p>New add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/category-order-and-taxonomy-terms-order/\">Category Order and Taxonomy Terms Order</a>: Adds support for the <a href=\"https://wordpress.org/plugins/taxonomy-terms-order/\">Category Order and Taxonomy Terms Order plugin</a>.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/unlink-on-edit-checkbox/\">Unlink On Edit Checkbox</a>: Unlinks child posts when they are modified.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for Image Carousels.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Allow support for Gravity Views.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add support for lessons that can be assigned to multiple courses.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: Allow custom menu items to be manipulated.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/new-blog-broadcast/\">New Blog Broadcast</a>: Hook into the wp_initialize_site action instead.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/page-content-shortcode/\">Page Content Shortcode</a>: Better searching for content. Ignore nav_menu_items.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/pods/\">Pods</a>: Add support for taxonomies.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/pods/\">Pods</a>: Automatically broadcast related posts if necessary.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-access-manager/\">User Access Manager</a>: Add support for restricting attachments.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Fix term languages being set in wrong language.</p>\n<p><strong>46.08</strong> 20200608</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/wp-rocket/\">WP Rocket</a>: Adds support for the <a href=\"https://wp-rocket.me/\">WP Rocket</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Fix quizzes not being properly broadcasted due to new database table names.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: Replacing the URL will not convert the items to custom items.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/pods/\">Pods</a>: Add support for multiple post selections.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix warning about AUTH_KEY, by using wp_salt().<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Fix the blog name being incorrectly displayed when using post actions together with the String Translation plugin.</p>\n<p><strong>46.07</strong> 20200512</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Fix cloned fields.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Fix group fields for non-pro users.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Added wizard for the <a href=\"&lt;a href=\">\"&gt;PHP Code add-on</a> that copies Jet Engine custom post types and taxonomies.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Better compatibility with User &amp; Blog Settings add-on regarding \"Only if modified\" checkbox.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/social-networks-auto-poster/\">SNAP</a>: Add-on is now obsolete. This is due to changes in the plugin and the most <a href=\"https://wordpress.org/support/plugin/social-networks-auto-poster-facebook-twitter-g/reviews/\">recent reviews</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: Added support OpenGraph / Facebook image and URL custom field.</p>\n<p><strong>46.06</strong> 20200429</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/blog-groups-2/\">Blog Groups 2</a>: Fix double creation of groups found in Bulk Cloner spreadsheets.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Options modifications can now handle options with dashes in them. Please double check any existing modifications you have.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: When creating a menu item during manipulation, if the parent menu item is not a post but a custom link, try to find the equivalent custom link.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-attachments/\">Shortcode Attachments</a>: Fixed images not being found.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-terms/\">Shortcode Terms</a>: Better syncing on taxonomies not related to the post using the shortcode.</p>\n<p><strong>46.05</strong> 20200324</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix queue unlocking function.</p>\n<p><strong>46.04</strong> 20200323</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/gutenberg-protect/\">Gutenberg Protect</a>: Protects specific Gutenberg blocks from being overwritten during broadcasting.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/translatepress/\">TranslatePress</a>: Adds support for the <a href=\"https://wordpress.org/plugins/translatepress-multilingual/\">TranslatePress</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Added ability to clone to a specific blog ID if the ID is free. Specify the ID in the blog_id column.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/copy-options/\">Copy options</a>: Add function to call the add-on programmatically. See <a href=\"https://broadcast.plainviewplugins.com/snippet/copy-options-automatically-copy-when-options-are-updated/\">this snippet</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gutenberg-posts/\">Gutenberg Posts</a>: Ignore empty post IDs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/ns-cloner/\">NS Cloner</a>: Add support for clones during registration / signup.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Apply queue locking during ajax processing, not only during http processing.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-posts/\">Shortcode Posts</a>: Ignore empty post IDs.</p>\n<p><strong>46.03</strong> 20200224</p>\n<p>Gutenberg add-ons: Fix IDs only being replaced on the first blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a>: Fix terms criterion not being applied when editing posts.</p>\n<p><strong>46.02</strong> 20200212</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/vimeography/\">Vimeography</a>: Adds support for the <a href=\"https://wordpress.org/plugins/vimeography/\">Vimeography</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/comments/\">Comments</a>: Add queue functionality for comments. Useful for those with 500+ comments per post.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/comments/\">Comments</a>: Fix ordering of comments, syncing those comments without replies first.<br />\nCustom Field add-ons: Fixed better matching of wildcards for arrays. Prevents various PHP warnings from preg_split.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/download-manager/\">Download Manager</a>: Automatically copy files in the download when using the new site-specific storage.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Allow for forms with apostrophes in the title.<br />\nGutenberg add-ons: Allow GB Attachments and GB Posts to modify the same block at the same time, if it contains both attachments and posts.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add support for the LDAdvQuiz and LDAdvQuiz_toplist shortcodes.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcodes/\">Shortcodes</a>: Add setting (and filter: broadcast_shortcodes_access) to allow non-superadmin users to access the shortcodes.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for <a href=\"https://wordpress.org/plugins/atum-stock-manager-for-woocommerce/\">ATUM Inventory Management</a> product data and suppliers.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add automatic parsing of add_to_cart shortcode.</p>\n<p><strong>46.01</strong> 20200116</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Also sync taxonomies when possible. Requires v46 of Broadcast.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Added ability to modify options during cloning with new option modifications function.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/comments/\">Comments</a>: Sync comments after the new comment is fully inserted. Fixes bug of WooCommerce review ratings not being synced.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/event-organiser/\">Event Organiser</a>: Fix fatal error when venues are broadcasted.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Update course link in topics on some installs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/pods/\">Pods</a>: Add support for multiple images in image fields.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix retry / attempt counter for partially broadcasted WooCommerce variations. Affects those with products that have more variations than the queue retry limit.</p>\n<p><strong>45.06</strong> 20191116</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/update-family/\">Update Family</a>: Update the parent post and siblings when editing a child post.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Fix relationship fields when broadcasting taxonomies.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/blog-groups-2/\">Blog Groups 2</a>: Add support for assigning groups in the Bulk Cloner.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for gallery widgets, vt-saaspot_agency and vt-saaspot_resource widgets.</p>\n<p><strong>45.05</strong> 20191022</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/custom-field-posts/\">Custom Field Posts</a>: Save values in arrays properly.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/hreflang/\">Hreflang</a>: Fix archives without taxonomies.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/hreflang/\">Hreflang</a>: Fix draft pages showing.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Add support for posts in different languages sharing the same slug, WooCommerce products for example.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Fix terms being in incorrect language when processing the posts using the Queue HTTP command.</p>\n<p><strong>45.02</strong> 201909225</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/fliphtml5/\">Flip HTML5</a>: Adds support for <a href=\"http://fliphtml5.com/\">Flip HTML5</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Properly sync taxonomies that are not in the same post type.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/calendarize-it/\">Calendarize It</a>: Fix custom post info box content.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/hreflang/\">Hreflang</a>: Fix number being shown for x-default blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/sensei/\">Sensei</a>: Add support for quiz category questions.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Ignore the post if it does not have a content template assigned.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Fix \"incorrect post type\" fatal error.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Fix bulk actions not working the first time. This is due to the internal Wordpress post cache not being flushed by WooCommerce as it should.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wp-all-import/\">WP All Import</a>: Enable term counting after import but before broadcast.</p>\n<p><strong>45.01</strong> 20190828</p>\n<p>New add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/gutenberg-attachments/\">Gutenberg Attachments</a>: Modify attachment IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/gutenberg-menus/\">Gutenberg Menus</a>: Modify menu IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/gutenberg-posts/\">Gutenberg Posts</a>: Modify post IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/gutenberg-terms/\">Gutenberg Terms</a>: Modify taxonomy term IDs found in Gutenberg blocks to match their equivalent attachments on each blog.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/wp-ultimo/\">WP Ultimo</a>: Adds support for the <a href=\"https://wpultimo.com/\">WP Ultimo</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/avia-layout-builder/\">Avia Layout Builder</a>: Use standard preparse and parse actions to run all Avia content through all of the other add-ons.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/custom-field-posts/\">Custom Field Posts</a>: Fix fatal error when trying to look for a link where there isn\'t one.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for devices-extended widgets.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Allow for multiple course prerequisites.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/ns-cloner/\">NS Cloner</a>: Add support for v4.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Use file locking to prevent cron processing from being run multiple times.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/redirect-all-children/\">Redirect All Children</a>: Use code 301 on redirects.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/redirect-parent/\">Redirect Parent</a>: Use code 301 on redirects.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcodes/\">Shortcodes</a>: Remove extra slashes from the shortcodes.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-access-manager/\">User Access Manager</a>: Fix bug when groups not being assigned when broadcasting to more than one blog at a time.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for multiple Yith badges per product.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Check if WPML is active on the blog at all before starting the add-on.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Help the HREFLANG add-on generate links to all languages of the current page.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Use API for setting term languages, instead of direct database queries.</p>\n<p><strong>44.05</strong> 20190715</p>\n<p>New add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/wpforms/\">WPForms</a>: Adds support for the <a href=\"https://wpforms.com/\">WPForms</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/hreflang/\">Hreflang</a>: Remove page argument when adding links to taxonomy archives.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Fix questions on front-end not displaying properly. Rebroadcast your quizzes if the questions on the front-end look weird.</p>\n<p><strong>44.04</strong> 20190621</p>\n<p>New add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/custom-field-terms/\">Custom Field Terms</a>: Allow post custom field containing taxonomy term IDs to be broadcasted correctly.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/download-manager/\">Download Manager</a>: Adds support for the <a href=\"https://wordpress.org/plugins/download-manager/\">Download Manager</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for parsing content in text fields.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/manual-post-actions/\">Manual Post Actions</a>: Fix warning when \"Find Some Unlinked Children\" or \"Send To Many\" add-ons active.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: When creating terms, assign the correct languages.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Post excerpt can also be protected.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Add broadcast_queue_menu_access filter to allow non-super admins access to the settings.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for <a href=\"https://woocommerce.com/products/composite-products/\">composite products</a>.</p>\n<p><strong>44.03</strong> 20190515</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Link only post types that we know about, ignoring attachments and menu items.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/formidable-forms/\">Formidable Forms</a>: Add support for form views.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/hreflang/\">Hreflang</a>: Try to fetch linked posts when making the hreflang tags for a single post.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add broadcast_learndash_menu_access filter to allow non-super admins access to the tools.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add workaround for broken lessons having more than one course reference.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/pods/\">Pods</a>: Add support for image fields.</p>\n<p><strong>44.02</strong> 20190423</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix queue not working due to the upgrade process not upgrading the add-on\'s tables.</p>\n<p><strong>44.01</strong> 20190415</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/cdn-workaround/\">CDN Workaround</a>: Added option to locally download remote files, in order to upload them on each blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/global-blocks-for-cornerstone/\">Global Blocks For Cornerstone</a>: Added support for new v3 [cs_gb] shortcode.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for Global elements.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for Image Box elements.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/search-and-replace/\">Search And Replace</a>: Add new __BLOG_PATH__ and __BLOG_PATH_WITHOUT_RSLASH__ keywords.</p>\n<p><strong>43.17</strong> 20190402</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Add support for Themer Layouts.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Fix cloning. Some WP version introduced a bug that preventing the complete cloning of blog options.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Force new siteurl and home options for clones, to fix weirdness with some installs that create dupes in the url.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/caldera-forms/\">Caldera Forms</a>: Adds support for the <a href=\"https://wordpress.org/plugins/caldera-forms/\">Caldera Forms</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for Caldera Forms elements.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Do not abort broadcasting is a missing background image is found, just continue normally.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Added course tool to do actions on the WHOLE course at the same time: delete, trash, restore, unlink and find unlinked children.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/manual-post-actions/\">Manual Post Actions</a>: Manually run bulk post actions on posts.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: For developers, queue items now have priorities assigned, allowing for faster processing of specific queue item types.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/update-attachments/\">Update Attachments</a>: Do not overwrite the file path for those files that have been uploaded at different times. Fixes problem of thumbnails for differently-aged images not working.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-role-sync/\">User Role Sync</a>: Create role is it doesn\'t exist on the child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-role-sync/\">User Role Sync</a>: Also sync data for Ultimate Member custom roles.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for <a href=\"https://wordpress.org/plugins/yith-woocommerce-badges-management/\">YITH WooCommerce Badge Management plugin</a>.</p>\n<p><strong>43.16</strong> 20190222</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Add support for the Clone field type.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Add support for the <a href=\"https://wordpress.org/plugins/acf-image-crop-add-on/\">Image Crop Add-on</a><br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/calendarize-it/\">Calendarize It</a>: Fix vendors and organizers not being saved to child post.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/custom-field-posts/\">Custom Field Posts</a>: Fix to allow multiple IDs in field.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Add support for Smartslider3 widget type.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/events-manager/\">Events Manager</a>: Add support for recurring events. Seems to work best publishing the events locally before broadcasting them.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/formidable-forms/\">Formidable Forms</a>: Update existing form settings. Also broadcast form actions.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Added preliminary support for v2.6 quizzes. The old 2.5 version of LD can still be used.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Dev: Added static::$keep_sfwd_courses_course_access_list property which allows the course access list to be overwritten during broadcast.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/link-before-broadcast/\">Link Before Broadcast</a>: Attempts to find unlinked children on each child blog during broadcast.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Broadcast ALL variations, even those that are out of stock and hidden.</p>\n<p><strong>43.14</strong> 20190102</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/all-blogs/\">All Blogs</a>: Fix rare fatal error on _some_ installs that result from the capabilities.php not having been loaded.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Added BROADCAST_BEAVER_BUILDER_NO_UPDATE_ON_SAVE define to prevent automatic updating of child posts when saving the layout on the front-end.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Automatic parsing of serialized options that contain the old blog URL. Can fix widgets that contain links to the source blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Allow button URLs to be parsed in order to work with Local Items add-ons.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Also parse shortcode widgets.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Fix courses that have apostrophes in them.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/no-new-terms/\">No New Terms</a>: Fix terms being created with newer versions of Broadcast.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/per-blog-taxonomies/\">Per Blog Taxonomies</a>: Fix to allow for hiding of term fieldsets using UBS.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-attachments/\">Shortcode Attachments</a>: Add filter to allow for special processing of attributes. See this <a href=\"https://broadcast.plainviewplugins.com/snippet/shortcode-items-parse_find-and-replace_id-actions/\">snippet for handling image IDs embedded in a json-encoded attribute</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/smart-slider-3/\">Smart Slider 3</a>: Update the slider properties when broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/widgets/\">Widgets</a>: Add more debug info.</p>\n<p><strong>43.12</strong> 20181127</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/formidable-forms/\">Formidable Forms</a>: Fix fields not appearing due to field cache.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/formidable-forms/\">Formidable Forms</a>: Add entry migration so that forms that are updated keep their entries.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Update the form title. Only affects those using the BROADCAST_GRAVITY_FORMS_USE_ID define.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Added tool to broadcast a whole course at once.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Add broadcast_queue_clean_queue filter to prevent database cleanup.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Do not create terms on child blogs that are in other languages.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-posts/\">Shortcode Posts</a>: Added Avada Global Containers wizard.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/siteorigin-page-builder/\">SiteOrigin Page Builder</a>: Parse the text and content widget fields, allowing other Broadcast add-ons to detect their shortcodes in the widgets.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a>: Fix visual modifications being applied when they shouldn\'t.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Fix duplication bug where terms are created in the wrong language.</p>\n<p><strong>43.11</strong> 20181018</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/geodirectory/\">GeoDirectory</a>: Add broadcast_geodirectory_sync_table_structure_columns filter.<br />\nFixes the plugin upgrade notice not disappearing due to \"43.10\" being treated as \"43.1\".</p>\n<p><strong>43.10</strong> 20181018</p>\n<p>New add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/simple-custom-post-order/\">Simple Custom Post Order</a> adds support for the <a href=\"https://wordpress.org/plugins/simple-custom-post-order/\">Simple Custom Post Order</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Add support for the Component Fields plugin / field type.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/geodirectory/\">GeoDirectory</a>: Add broadcast_geodirectory_insert_place_detail filter.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings-post/\">User &amp; Blog Settings Post</a>: Fix _and_ criteria not being correctly applied.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Allow order syncing without Back2Parent add-on, which means orders can only be synced to child blogs and not back.</p>\n<p><strong>43.9</strong> 20180922</p>\n<p>New add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/custom-field-posts/\">Custom Field Posts</a>: Allow post custom field containing post IDs to be broadcasted correctly.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/formidable-forms/\">Formidable Forms</a>: Adds support for the <a href=\"https://wordpress.org/plugins/formidable/\">Formidable</a> plugin.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/unlink-on-edit/\">Unlink On Edit</a>: Unlinks child posts when they are modified.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Parse text fields, allowing other add-ons to modify their content also.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Parse post carousels also, modifying the post IDs so that they match those on the child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Only sync taxonomies that are used in the post. This is an optimization for those that have thousands of taxonomy terms.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/search-and-replace/\">Search And Replace</a>: Add new __BLOG_URL_ESCAPED__ keyword.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-posts/\">Shortcode Posts</a>: Added uncode blocks to the wizard.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-access-manager/\">User Access Manager</a>: Also sync taxonomies.</p>\n<p><strong>43.8</strong> 20180821</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Add support for photo and photos components.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/delete-before-broadcast/\">Delete Before Broadcast</a>: Fix error on unlinking.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Fix FILE_BASE_DIR error.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Add BROADCAST_GRAVITY_FORMS_USE_ID define that forces syncs according to form ID, instead of form title.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/user-access-manager/\">User Access Manager</a>: Adds support for the <a href=\"https://wordpress.org/plugins/user-access-manager/\">User Access Manager</a> plugin.</p>\n<p><strong>43.7</strong> 20180724</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Add support post modules, which will translate category and post tag IDs on each child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Fix fatal error during activation when only the utilities pack is installed.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/h5p/\">H5P</a>: Fix. Try to update the H5P content on each child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: Also copy menu item custom fields, which adds support for some UberMenu types: section and custom content.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/php-code/\">PHP Code</a>: Modify Gravity Forms Rename example to use new GF table prefix (gf_).<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/ubermenu/\">UberMenu</a>: Adds support for the <a href=\"https://wpmegamenu.com/\">UberMenu</a> menu plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings-post/\">User &amp; Blog Settings Post</a>: Fix to show the dropdown again.</p>\n<p><strong>43.6</strong> 20180625</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Fix. Obey the custom field whitelist also.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Add support for Themer Layout locations (posts and taxonomies).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/h5p/\">H5P</a>: Fix. Copy all found files to correct ID subdirectory on child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/send-to-many/\">Send To Many</a>: Update to work with fixed Broadcast roles.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a>: Post type criteria will work more often now, generally whenever the Broadcast meta box is being prepared.</p>\n<p><strong>43.5</strong> 20180530</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Sync taxonomies automatically when a taxonomy field has specified a taxonomy that is for a different post type.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Fix: When cloning already linked posts, their parent post will link to the newly-cloned site.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/cdn-workaround/\">CDN Workaround</a>: Fix: Override broken filename with Cloudinary URL if found in the filename.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/cm-tooltip-glossary/\">CM Tooltip Glossary</a>: Adds support for the <a href=\"https://wordpress.org/plugins/enhanced-tooltipglossary/\">CM Tooltip Glossary</a> plugin.<br />\nNew add-on: <a href=\"https://broadcast.plainviewplugins.com/addon/copy-options/\">Copy options</a>: Copies blog options / settings between blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/geo-my-wp/\">GEO My WP</a>: Add support for posts locator database table.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Fix: Added support for the new v2.3+ database schema. v2.2 install will continue to work also.</p>\n<p><strong>43.4</strong> 20180506</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Parse link fields also, allowing other add-ons like Local Links, to modify the links during broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/geodirectory/\">GeoDirectory</a>: Fix categories not working for other types of post types.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/h5p/\">H5P</a>: Copy images from H5P content directories between blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/hreflang/\">Hreflang</a>: Fix to allow for several blogs sharing the same language (but not shown simultaneously). If you have custom code built on hreflang, check that it still works.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Add developer actions for adding and removing items from the queue.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcodes/\">Shortcodes</a>: Fix duplicating shortcodes when broadcasting them and some of them already exist.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a>: Updated support for posts submitted using WP User Frontend. Now uses the new API actions.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Fix order syncing. Fixed missing order items by fetching the items manually using SQL, bypassing WooCommerce\'s unreliable functions.</p>\n<p><strong>43.2</strong> 20180403</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/all-blogs/\">All Blogs</a>: Fix SQL error when looking for blog 1\'s blogname.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/google-maps-pro/\">Google Maps Pro</a>: Adds support for the <a href=\"https://premium.wpmudev.org/project/wordpress-google-maps-plugin\">Google Maps Pro</a> plugin.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/inboundnow/\">Inbound Now</a>: Adds support for the <a href=\"https://www.inboundnow.com/\">Inboundnow Marketing Suite</a>.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/onesignal/\">OneSignal</a>: Adds support for the <a href=\"https://wordpress.org/plugins/onesignal-free-web-push-notifications/\">OneSignal – Free Web Push Notifications</a> plugin.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-posts/\">Shortcode Posts</a>: Modifies post IDs found in shortcodes to match their equivalent posts on each blog.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/sitemaps/\">Sitemaps</a>: Generates network-aware sitemaps and robots.txt.</p>\n<p><strong>43.1</strong> 20180227</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Fix confirmation-actions not being properly broadcast. Also removed unnecessary SQL warnings in error log.</p>\n<p><strong>43</strong> 20180226</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Fixed acf_disable_cache fatal error for older (&lt;5.6) versions of ACF.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Added support for Group fields.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/all-blogs/\">All Blogs</a>: To save a lot of memory, query the blog name using SQL instead of asking Wordpress for it.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/bulk-cloner/\">Bulk Cloner</a>: Create clones of existing blogs on the network.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/divi-builder/\">Divi Builder</a>: Added support for global modules. [et_pb_section] shortcodes with the global_module attribute are correctly detected and the global module is also broadcast together with the post.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Added support for broadcasting / updating of form feeds (as per the gf_addon_feed table).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Fix warning when form does not have valid confirmation or display metadata.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/php-code/\">PHP Code</a>: Added a Wizard for renaming Gravity Forms.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Protect featured image also.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix support for queue on newer MariaDB databases. ROWS is apparently a reserved word.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: For content that has no set language (ACF fields, for example) just allow normal broadcasting without checking or setting the language.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: Added support for setting the primary category of a post.</p>\n<p><strong>42.4</strong> 20180129</p>\n<p>New add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/h5p/\">H5P</a>: Adds support for the <a href=\"https://wordpress.org/plugins/h5p/\">H5P Interactive Content</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix blog names not showing for queued posts in overview.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Added support for <a href=\"http://yithemes.com/themes/plugins/yith-woocommerce-tab-manager/\">YITH WooCommerce Tab Manager</a> tabs. Broadcast the tabs first before broadcasting the product.</p>\n<p><strong>42.3</strong> 20180115</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add support for course builder data, allowing lessons and quizzes to be shared.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/pods/\">Pods</a>: Automatically broadcast the pods that posts are using.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Add setting to allow all translations to be broadcasted automatically after broadcasting a translation.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Added setting to prevent the queue from being trimmed when rebroadcasting a post that is already in the queue.</p>\n<p><strong>42.2</strong> 20171213</p>\n<p>New add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/goodlayers/\">GoodLayers</a>: Adds support for the <a href=\"https://goodlayers.com/\">GoodLayers family of themes</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: Added cleanup tools.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Fix page languages not being saved correctly.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix race condition fatal error where trying to delete non-existing data.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/social-networks-auto-poster/\">SNAP</a>: Fix dupe Facebook posting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: Fix fatal error by disabling the Link Watcher during broadcasting.</p>\n<p><strong>42</strong> 20171130</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Disable field caching during broadcast. This fixes a bug in ACF where the values of fields were sometimes not reported to Broadcast.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/comments/\">Comments</a>: Fixed a PHP warning due to spelling mistake.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Apply correct confirmation redirect page on each child blog. The page will be broadcasted to the child if necessary.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/media-cleanup/\">Media Cleanup</a>: cleans up unused media by looking for unused items in the database and on disk.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Added support for Polylang Pro. Tested with v2.2.6<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Translated terms retain their linking on child blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Allow non-translatable post types to be broadcasted. Fixes error where ACF fields were not broadcastable.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/post-expirator/\">Post Expirator</a>: Added support for category expiration.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Please test your queue after updating. If it doesn\'t work, deactivate and reactivate the add-on.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Trim off existing queued items when requeuing posts. This stops the post from being doubly broadcasted, the first time unnecessarily.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/update-attachments/\">Update Attachments</a>: Save serialized postmeta data as serialized postmeta data.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/update-attachments/\">Update Attachments</a>: Try to create upload directories if they don\'t already exist. Workaround for broken installs where old upload directories have disappeared.</p>\n<p>The curious can try out the beta version of the Bulk Cloner add-on, found in the utilities pack.</p>\n<p><strong>41</strong> 20171030</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Added support for template widgets. Ensure that your template is broadcasted before trying to use it.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/image-map-pro/\">Image Map Pro</a> adds support for the <a href=\"https://codecanyon.net/item/image-map-pro-for-wordpress-interactive-image-map-builder/2826664\">Image Map Pro</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Fix quizzes getting the correct course / lesson / certificate associations.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Question categories are now synced.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/geodirectory/\">GeoDirectory</a>: Add option to automatically create locations that don\'t exist on the child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: Fix form ID being displayed incorrectly in the editor.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Try to avoid packet size errors by compressing the data stored in the database.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/slider-revolution/\">Slider Revolution</a>: Fix slider dupes being created because the alias wasn\'t being found properly.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/search-and-replace/\">Search And Replace</a>: Fix bug where terms were not editable due to some conflict with other plugins. Now the edit link refers to term_id= instead of id=.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/search-and-replace/\">Search And Replace</a>: Strip the slashes in the text inputs.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/sensei/\">Sensei</a> adds support for the <a href=\"https://woocommerce.com/products/sensei/\">Sensei</a> plugin.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/shortcodes/\">Shortcodes</a> provides arbitrary admin-defined global or local shortcodes.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Translate association to associated view, if any, when broadcasting content templates.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Moved all of the various Broadcast options into a tabbed interface under the Toolset &gt; Broadcast menu item.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/unyson/\">Unyson</a> adds support for the <a href=\"https://wordpress.org/plugins/unyson/\">Unyson page builder plugin</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/update-attachments/\">Update Attachments</a>: Force overwriting of the attachment postmeta on the child blog.</p>\n<p><strong>40.1</strong> 20171004</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Add question and answer search &amp; replace function to easily make changes to your questions. Include automatic quiz broadcast functionality.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/geodirectory/\">GeoDirectory</a>: Added favorites and review syncing capability.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/redirect-parent/\">Redirect Parent</a> redirects all views of a parent post to the first child post.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/wpcustom-category-image/\">WPCustom Category Image</a> adds support for the <a href=\"https://wordpress.org/plugins/wpcustom-category-image/\">WPCustom Category Image</a> plugin.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/widgets/\">Widgets</a> copies widget and sidebar settings between blogs.</p>\n<p><strong>40</strong> 20170922</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/back-to-parent/\">Back To Parent</a>: Extra check that we are back-to-parenting the correct post. Fixes a bug when complicated broadcasts (for example WooCommerce bookings, that simultaneously broadcast products and orders, are all back-to-parented unnecessarily).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/delete-before-broadcast/\">Delete Before Broadcast</a>: Don\'t show options on child posts.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Fix. Prevent overwriting of enrolled users when broadcasting courses.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/pods/\">Pods</a> adds support for the <a href=\"https://www.pods.io/\">Pods - Custom Content Types and Fields</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/php-code/\">PHP Code</a>: Developer update. Dynamic loading of wizards and added actions to run the code programatically.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Show an error if the queue fails to add the original data item.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: If using PHP Code add-on, allow automatic finding of unlinked Toolset post types on the child blog to link existing types, avoiding dupes.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings-post/\">User &amp; Blog Settings Post</a>: Added custom field matching criterion.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Force overwriting of order items, now also overwriting all order item meta values to ensure that the order is completely synced.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Added support for refunds in orders.</p>\n<p><strong>39.1</strong> 20170903</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: Added support for background images, templates and template shortcodes.<br />\nNew add-on. <a href=\"https://broadcast.plainviewplugins.com/addon/attachment-control/\">Attachment Control</a> allows better control of how attachments are handled during broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/custom-field-attachments/\">Custom Field Attachments</a>: Also process values found in custom field subarrays.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Fix. Update base quiz data in the quiz table when broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Fix. Automatically increase Broadcast\'s save_post priority to higher than LearnDash\'s (2000) in order to broadcast the changes directly, instead of needing a double-update.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: Disable time limit during menu copying.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/slider-revolution/\">Slider Revolution</a>: Added support for static layers.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Add ability to broadcast taxonomies.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/ultimate-member/\">Ultimate Member</a>: Display Broadcasted column for UM forms.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings-post/\">User &amp; Blog Settings Post</a>: Fix bug that only broadcasted every other post in a selection.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Remember taxonomy term translations between blogs.</p>\n<p><strong>39</strong> 20170802</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Added support for Broadcast\'s new taxonomy term handling code. This allows blacklisting and protecting of taxonomy term meta.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/hreflang/\">Hreflang</a>: Fix for paging in URLs. Will now append paged parameter depending on the current page of archives or the single post.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/intagrate/\">Intagrate</a>: New add-on. Adds support for the <a href=\"https://intagrate.io/\">Intagrate</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/mailster/\">Mailster</a>: New: Added support for autoresponders.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/mailster/\">Mailster</a>: Fix: List assignments are copied and assigned when broadcasting newsletters and autoresponders on each child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/search-and-replace/\">Search And Replace</a>: New-addon. Find and replace texts in posts during broadcast.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-role-sync/\">User Role Sync</a>: Allow selection of roles and specific users when syncing.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wplms/\">WPLMS</a>: New add-on. Adds support for Vibethemes\' <a href=\"https://themeforest.net/item/wplms-learning-management-system/6780226\">WPLMS theme</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: Added support for Broadcast\'s new taxonomy term handling code. This allows blacklisting and protecting of taxonomy term meta.</p>\n<p><strong>38.6</strong> 20170703</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Separate handling of flexible fields so that ACF v4 flex fields can work at the same time as v5.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Parse all text fields individually, allowing for shortcodes to be found and processed.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/elementor/\">Elementor</a>: New add-on. Adds support for the <a href=\"https://wordpress.org/plugins/elementor/\">Elementor Page Builder plugin</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/foogallery/\">FooGallery</a>: Added broadcast meta box for individual galleries.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/global-blocks-for-cornerstone/\">Global Blocks For Cornerstone</a>: New add-on. Adds support for the <a href=\"https://wordpress.org/plugins/global-blocks-for-cornerstone/\">Global Blocks for Cornerstone</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/gravity-forms/\">Gravity Forms</a>: New add-on. Adds support for the <a href=\"http://www.gravityforms.com/\">Gravity Forms</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: Added support for quiz questions and answers, not just the quiz post type itself.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/mailster/\">Mailster</a>: New add-on. Adds support for the <a href=\"https://codecanyon.net/item/mailster-email-newsletter-plugin-for-wordpress/3078294\">Mailster</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/ns-cloner/\">NS Cloner</a>: New add-on. Adds support for the <a href=\"https://wordpress.org/plugins/ns-cloner-site-copier/\">NS Cloner</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/slider-revolution/\">Slider Revolution</a>: Added support for sliders in the <a href=\"https://themeforest.net/item/envision-responsive-retina-multipurpose-theme/5928018\">Envision theme</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: Hide notification about changed slug (which is perfectly normal when broadcasting).</p>\n<p><strong>38.4</strong> 20170605</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/eventon/\">EventON</a>: Add RSVP broadcast and syncing. If the event is broadcasted, the attendees will be broadcasted from the event\'s parent blog as the source. Requires Broadcast v38.4.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/eventon/\">EventON</a>: Add support for <a href=\"http://myeventon.com/addons/action-user/\">Action User</a> add-on in order to give <a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a> a chance to broadcast form submissions.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Fix fatal error when the link checkbox is not checked.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/ultimate-member/\">Ultimate Member</a>: New add-on. Adds support for the <a href=\"https://wordpress.org/plugins/ultimate-member/\">Ultimate Member</a> plugin.</p>\n<p><strong>38.3</strong> 20170523</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: Added BB settings copy function under the Broadcast menu.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/jetpack/\">Jetpack</a>: New addon. Adds support for <a href=\"https://wordpress.org/plugins/jetpack/\">Automattic\'s Jetpack plugin</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/slider-revolution/\">Slider Revolution</a>: New addon. Adds support for the <a href=\"https://revolution.themepunch.com/\">Slider Revolution</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/the-events-calendar/\"> The Events Calendar</a>: Use API to broadcast venues and events.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-role-sync/\">User Role Sync</a>: New addon. Copy user roles between blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Fix variation broadcasting to multiple blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for <a href=\"https://www.woothemes.com/products/product-vendors/\"> plugin.</a></p>\n<p><strong>38.2</strong> 20170428</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/geodirectory/\">GeoDirectory</a>: Add extra check for missing database tables on the child blogs, which should prevent a lot of headaches when attachments aren\'t being correctly copied.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/ninja-forms/\">Ninja Forms</a>: Added menu item for copying Ninja Form settings between blogs, like WooCommerce has.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/page-content-shortcode/\">Page Content Shortcode</a>: New addon. Provides a [bc_page_content slug=\"pageslug\"] shortcode to display the contents of a page.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Fix translations not being linked for some people since v35.x.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a>: Better criterion editing UI.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: AutomateWoo: retrieve the parent product link data for triggers. Fixes wrong product triggers when using child products.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Disable v3 save_post workaround for WooCommerce v3.0.4+. Apparently they fixed whatever they broke in v3.</p>\n<p><strong>38.1</strong> 20170410</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/new-blog-broadcast/\">New Blog Broadcast</a>: Fix fatal error when editing a broadcast. This appeared when the code was converted to using the new Wordpress translation functions.</p>\n<p><strong>38</strong> 20170406</p>\n<p>Finally dropped the \"ThreeWP\" prefix from the plugin name! The code remains the same, just the name has become simpler: Broadcast...</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/rebroadcast/\">Rebroadcast</a>: Allow posts to be queued when rebroadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add product image gallery handler, so no more need for the Custom Field Attachments add-on.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Also sync variations stock, not just normal products.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Fix. Add workaround for how WooCommerce v3.0 saves products. This prevented the image gallery from being correctly broadcast.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Ignore content that has no translations. Fixes bug where content without translations that should be broadcasted (EventOn events, for example) was not broadcasted.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Add menu item to force broadcast of content to blogs whithout the language. Fixes a weird bug for some installations that had hidden languages which, for some installations, regarded the language as inactive and would therefore not broadcast the content there.</p>\n<p><strong>37.2</strong> 20170326</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Deeper revision checking to better detect whether the child post was modified.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Allow custom fields to be protected.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-attachments/\">Shortcode Attachments</a>: Fix fatal error upon viewing available shortcodes. Related to fix below.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-attachments/\">Shortcode Attachments</a>: Use new data format. Deactivate and reactivate the add-on to convert the old Attachment Shortcodes data to the new format.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Add option to disable HTTP processing, so that you don\'t have to disable the cron line.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add settings copy feature, to quickly duplicate (overwrite) WC settings between blogs. See add-on page for more details.</p>\n<p><strong>37.1</strong> 20170322</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/eventon/\">EventON</a>: Also copy location images.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/eventon/\">EventON</a>: Add support for v2.5.1 locations.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/find-some-unlinked-children/\">Find Some Unlinked Children</a>: Add menu option to ignore post status when finding unlinked children.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Fix fatal error due to translation: is_wp_error_message_box().</p>\n<p>Obsolete add-ons removed: Attachment Shortcodes, Types, Views</p>\n<p><strong>37</strong> 20170316</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/contact-form-7/\">Contact Form 7</a>: Attempt to link existing forms using their title, else broadcast a new one. Requires that forms have exacty the same title in the shortcode as they are called in the form list.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/events-manager/\">Events Manager</a>: Fix new location ID not being correctly set on the child blog. Also use $wpdb to insert event and location data instead of using raw SQL. Read the Events Manager page for info about how badly the EM plugin is written.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix items per process setting not being saved.</p>\n<p><strong>36.2</strong> 20170307</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Location rules fix. If set to a post that is not broadcasted, leave the post ID alone instead of setting it to 0.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Prevent looping when post object fields point back to the same post.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/all-images/\">All Images</a>: New addon. Detects all referenced local images in post text fields and adds them to the broadcast.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Added maximum queue items per process setting that defines how many items to process during a HTTP process event. Also added smarter queue handling that now takes the following into account: the previously mentioned items per process event setting, the PHP time limit and how long, on average, each queue item takes to process. The processing rules are detailed on the queue add-on\'s page.</p>\n<p><strong>36.1</strong> 20170305</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Better handling of repeater fields in ACF5, and more workarounds added for repeater fields in ACF4.</p>\n<p><strong>36</strong> 20170303</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: For text values, use the values that ACF reports, not the raw values. Addition to the ACF fix below.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: ACF fields for taxonomies obey the custom field black/protect lists.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/find-some-unlinked-children/\">Find Some Unlinked Children</a>: Like the normal Find Unlinked Children bulk action, find children that have the same status.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/learndash\">LearnDash</a>: New add-on. Adds support for the <a href=\"https://www.learndash.com/\">LearnDash LMS</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/php-code/\">PHP Code</a>: Added \"show blog language\" wizard.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\">Protect Child Properties</a>: Added function to only protect child properties if the post was modified. Allows some child posts to be updated with own content, while other child posts are overwritten with new content. Requires post revision support.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Fix incorrect variation post title (that is never seen).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wp-all-import/\">WP All Import</a>: New add-on. Adds support for post updates from Soffly\'s <a href=\"http://www.wpallimport.com/\">WP All Import Pro</a>.</p>\n<p>Obsolete add-ons: The next version of the pack will disable the following add-ons, so please enable their replacements:</p>\n<p>Attachment Shortcodes has been replaced by <a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-attachments/\">Shortcode Attachments</a>.<br />\nTypes has been replaced by <a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>.<br />\nViews has been replaced by <a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>.</p>\n<p><strong>35.8</strong> 20170130</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Do not allow ACF to process text fields before broadcasting them (= return the values completely raw).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a>: Fix forcing on of checkboxes when not directly broadcasting (like in queues, for example).</p>\n<p><strong>35.7</strong> 20170127</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Fix 1 values when retrieving text values from non-post text fields.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/duplicate-attachments/\">Duplicate Attachments</a>: Fix setting of attached filename on some hosts, which caused problems with returning of the image filename on disk (especially with Update Attachments).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/geodirectory/\">GeoDirectory</a>: Fix broken featured image URL. GD, unlike Wordpress, likes to have a forward slash at the beginning of the URL.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/ninja-forms/\">Ninja Forms</a>: Added form action syncing.</p>\n<p><strong>35.6</strong> 20170117</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Fix to allow for broadcasting without linking to a blog without the same language.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix fatal error after HTTP process call. The error is harmless but results in an unnecessary entry in the webserver error log.</p>\n<p><strong>35.5</strong> 20170113</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/ninja-forms/\">Ninja Forms</a>: New add-on: Adds support for the <a href=\"https://wordpress.org/plugins/ninja-forms/\">Ninja Forms</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Only process one item at a time. This is because some posts are really, really large and can cause timeouts getting caught just above the 25% time limit. Safer to not try to guess how long a post will take to broadcast.</p>\n<p><strong>35.4</strong> 20170109</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/comments/\">Comments</a>: Comment meta is now also synced. This enables, among other things, WooCommerce product reviews to be synced between blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/hreflang/\">Hreflang</a>: Fix overwriting of the global $post variable. This caused a fatal error when using it with the Google Tag Manager plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Product reviews can now be synced (with ratings) thanks to updates in the Comments add-on.</p>\n<p><strong>35.3</strong> 20170106</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/aqua-page-builder/\">Aqua Page Builder</a>: New add-on: Adds support for the <a href=\"https://wordpress.org/plugins/aqua-page-builder/\">Aqua Page Builder plugin</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Only clean the queue 1 in 10 times. This alleviates problems with slow SQL servers.</p>\n<p><strong>35.2</strong> 20161223</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-attachments/\">Shortcode Attachments</a>: Added Elegant Themes Page Builder gallery shortcode in the wizard.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-terms/\">Shortcode Terms</a>: New add-on. Automatically translates taxonomy term IDs found in shortcodes when broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a>: Fix forcing off of hidden checkboxes. This happens when javascript modifies the checked status of the checkboxes.</p>\n<p><strong>35.1</strong> 20161220</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: Added item manipulation function.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Added menu item where one can now select the action if the language does not exist on the child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Fix renaming of variation post names.</p>\n<p><strong>35</strong> 20161206</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Show the Broadcasted column in the field group overview.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/all-blogs/\">All Blogs</a>: Clear cache when creating blogs programatically.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/all-blogs/\">All Blogs</a>: Clear cache when creating deleting blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/download-monitor/\">Download Monitor</a>: Replace the URL in the download version with the attachment\'s URL on each blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Added support for partial broadcasts. Currently only the WooCommerce add-on uses this functionality.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Added support for partial broadcasts, together with the queue add-on. See the WC settings tab. Use this function if your products has many variations that cause PHP timeouts.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a>: Added support for forced broadcasting when using <a href=\"https://wedevs.com/products/plugins/wp-user-frontend-pro/\">WP User Frontend Pro</a> forms.</p>\n<p><strong>34.5</strong> 20161111</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/divi-builder/\">Divi Builder</a>: New add-on. Adds support for <a href=\"https://www.elegantthemes.com/plugins/divi-builder/\">Divi Builder</a> and themes using it.</p>\n<p><strong>34.4</strong> 20161107</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Check for valid posts when adding relationship posts.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/new-blog-broadcast/\">New Blog Broadcast</a>: Also listen to gform_site_created actions sent from Gravity Forms to detect when a new blog has been created.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: When using the duplicating translation button, Broadcast will only broadcast parent posts, not child posts also.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: Add menu option to allow taxonomy term canonical URLs to be ignored / protected. This is for users who do not want the canonical URL of terms to be broadcasted to child blogs.</p>\n<p><strong>34.3</strong> 20161027</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Add workaround for incorrect detection of post number in post fields. This caused fatal errors when ACF fields for taxonomies were created and used within the post.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/beaver-builder/\">Beaver Builder</a>: New add-on: Adds support for the <a href=\"https://www.wpbeaverbuilder.com/\">Beaver Builder page builder plugin</a>.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/local-links/\">Local Links</a>: Allow links with parameters to be modified, keeping the parameters. https://blog1.test.com/contactus?parameter will become https://blog2.test.com/contactus?parameter can become<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/lock-post/\">Lock Post</a>: Added global lock override roles, to allow specific roles to ignore lock status of posts.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/lock-post/\">Lock Post</a>: Added filterable action to allow developers to override post locking.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/menus/\">Menus</a>: Integrate blog selection with Blog Groups 2 add-on.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Allow broadcasting of disabled AutomateWoo workflows.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Better detection of network-activated WPML.</p>\n<p><strong>34.2</strong> 20161006</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/custom-field-attachments/\">Custom Field Attachments</a>: Fixed warning when no meta is available (usually from using the Sync Taxonomies add-on).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/download-monitor/\"> Download Monitor</a>: Put only download version attachments into the dlm_uploads directory, not attachments for the download itself.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/local-files/\">Local Files</a>: New add-on: automatically copies local files to each blog and updates the links in the content.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Optimize tables after cleaning to reduce fragmentation.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Add ability to broadcast content templates.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add support for AutomateWoo workflows.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add category thumbnail and display type support.</p>\n<p><strong>34.1</strong> 20160927</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Add wildcard support for checking the ACF field names against the custom field protect list. And blacklist checking also supports wildcards now.</p>\n<p><strong>34</strong> 20160925</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a> and <a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Code change. Use new -&gt;copy_attachment_to_blog() function to prevent double copying of images attached to [taxonomy] meta.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/all-blogs/\">All Blogs</a>: Add backwards compatibility for Wordpress &lt; 4.6<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/contact-form-7/\">Contact Form 7</a>: Remove unused code warning.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/duplicate-attachments/\">Duplicate Attachments</a>: Force renaming of attachment post_names to coincide with the attachment fix in the base version of Broadcast. This fixes the attachment duplication bug/feature in Wordpress.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/new-blog-broadcast/\">New Blog Broadcast</a>: Allow queuing of posts.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Workaround for old versions of WooCommerce that don\'t have the get_woocommerce_term_meta function.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Include temporary fix for Wordpress action/filter bug that prevents the editor language of duplicated posts from being updated on the child. Requires a patched WPML. This fix will become obsolete when Wordpress 4.7 is released, due to the *5 year old* bug being finally fixed.</p>\n<p><strong>33.1</strong> 20160913</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/all-blogs/\">All Blogs</a>: Fix blog limit. Due to incorrect documentation, only 100 blogs are returned at a time.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/social-networks-auto-poster/\">SNAP</a>: Better support for [featured] images in posts. It does this by SNAPping only after all images have been attached.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Allow broadcasting to blogs on which WPML is not active. This will result in just normal broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Added support for the WooCommerce Variation Swatches and Photos plugin.</p>\n<p><strong>33</strong> 20160817</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/all-blogs/\">All Blogs</a>: Code change - use get_sites() instead of deprecated wp_get_sites().<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Sync ACF fields in taxonomies during broadcasting and during manual taxonomy sync.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/avia-layout-builder/\">Avia Layout Builder</a>: Use new Shortcode Attachments and Shortcode Menus add-ons to parse the builder content, which now allows you to use menu shortcodes in your Avia content also.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/contact-form-7/\">Contact Form 7</a>: New add-on. Adds support for <a href=\"https://wordpress.org/plugins/contact-form-7/\">Takayuki Miyoshi\'s Contact Form 7</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/events-manager/\">Events Manager</a>: Fix broadcasted events not showing in the location\'s overview page.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/local-links/\">Local Links</a>: Extra check for valid URLs. The Wordpress function url_to_postid() seems to think that anything with a question mark is a valid URL.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wpml/\">WPML</a>: Duplicate Content button automatically broadcasts post to all child blogs. Those child blogs without the duplicated language are ignored, as per normal WPML broadcasting rules.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wp-ultimate-recipe/\">WP Ultimate Recipe</a>: Now supports meal plans. The recipes in the meals must already exist on each child blog.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/yoast-seo/\">Yoast SEO</a>: New add-on. Adds support for the <a href=\"https://wordpress.org/plugins/wordpress-seo/\">Yoast SEO</a> plugin. Only needed if you want taxonomy SEO data synced when broadcasting.</p>\n<p><strong>32.2</strong> 20160719</p>\n<p>Attachment Shortcodes: Obsolete. Please use the Shortcode Attachments plugin instead. It\'s the same thing (your shortcode settings are kept) but this add-on will be phased out in the future. The reason being that the new Shortcode Attachments and Shortcode Menus add-ons share the same base code, making development easier.</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-attachments/\">Shortcode Attachments</a>: New add-on. Automatically translate attachment IDs found in shortcodes when broadcasting.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/shortcode-menus/\"> Shortcode Menus</a>: New add-on. Automatically translate menu IDs found in shortcodes when broadcasting.</p>\n<p><strong>32</strong> 20160715</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/comments/\">Comments</a>: Allow settings to be modified by UBS.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/eventon/\">EventON</a>: Added experimental ticket syncing.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/per-blog-taxonomies/\">Per Blog Taxonomies</a>: Allow settings to be modified by UBS.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Obey broadcasting_data-&gt;high_priority property from BC v32. This will solve problems with complicated broadcasts that subbroadcast things (like ACF post relations and Download Monitor shortcodes).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Fix allowing normal users to ajax process posts on the post overview screen.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/toolset/\">Toolset</a>: Merged the Types and Views plugins. Now broadcast CRED forms, types and views.<br />\nTypes: Obsolete. Please use Toolset add-on instead.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/user-blog-settings/\">User &amp; Blog Settings</a>: Use better descriptions when editing meta boxes.<br />\nViews: Obsolete. Please use Toolset add-on instead.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Can now stock sync on its own. Extra removed.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Added experimental order syncing.</p>\n<p><strong>31</strong> 20160705</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/advanced-custom-fields/\">ACF</a>: Added support for content preparsing on textarea fields also.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/calendarize-it/\">Calendarize It</a>: New add-on. Adds support for <a href=\"http://codecanyon.net/item/calendarize-it-for-wordpress/2568439\">Calendarize It!</a> events.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/delete-before-broadcast/\">Delete Before Broadcast</a>: Fixed bug which prevented more than one post from being deleted.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/download-monitor/https://broadcast.plainviewplugins.com/addon/download-monitor/\"> Download Monitor</a>: Use the preparse actions to parse download shortcodes everywhere (like in ACF text fields, for example).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/events-manager/\">Events Manager</a>: New add-on. Adds support for the <a href=\"https://wordpress.org/plugins/events-manager/\">Events Manager</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/local-links/\">Local Links</a>: Tell the DOMDocument parser to use the utf8 charset - more hardy parsing.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/queue/\">Queue</a>: Assume a max execution time of 30s when a max time of -1 is encountered. Workaround for bug in wpallexport pro.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/the-events-calendar/\"> The Events Calendar</a>: Bulk post actions are applied to all recurring events when modifying the main / root event. See the TEC page for details on how to disable this feature. Depending on feedback, this feature can be turned into a menu item.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/types/\"> Types</a>: Add support for manual broadcast of post types to other blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/views/\">Views</a>: Add support for manual broadcast of views to other blogs.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/woocommerce/\">WooCommerce</a>: Add ability to broadcast membership plans.</p>\n<p><strong>30</strong> 20160606</p>\n<p>ACF: Extended support for conditional gallery local / global images.<br />\nACF: Added support for the link field type.<br />\nACF: Added support for content preparsing, therefore requiring v30 of Broadcast. This will parse links and gallery shortcodes in text, url, link and wysiwyg fields.<br />\nDownload Monitor: Allow download attachments to be copied to the dlm_uploads subdirectory - the file URL in the version remains unchanged, though.<br />\nLocal Links: Now uses content preparsing to translate local links in everything that is preparsed, like the text-related ACF field types.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/tao-schedule-update/\">Tao Schedule Update</a>: Plugin added. Adds support for <a href=\"https://wordpress.org/plugins/tao-schedule-update/\">Tao Schedule Update</a> plugin.<br />\nThe Events Calendar: Better saving of custom fields upon intial broadcast (instead of having to double publish to get the custom fields to show).<br />\nUpdate Attachments: Also update the description, alt and caption of the image, not only the file.</p>\n<p><strong>29.1</strong> 20160418</p>\n<p><a href=\"https://broadcast.plainviewplugins.com/addon/back-to-parent/\">Back To Parent</a>: More robust handling, now including related posts (for example Download Monitor download versions).<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/download-monitor/\"> Download Monitor</a>: New plugin. Adds support for downloads and shortcodes from <a href=\"https://wordpress.org/plugins/download-monitor/\">Never5\'s Download Monitor</a> plugin.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/polylang/\">Polylang</a>: Allow appending of languages. If you manually add languages to the child posts, they will be preserved when the parent post rebroadcasts.<br />\nPolylang: Prevent language and flag data in the language taxonomy of the child blogs from being overwritten. Now en (US) will not overwrite en (GB) for example.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/protect-child-properties/\"> Protect Child Properties</a>: Permalink (post_name) can also be protected.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wp-ultimate-recipe/\"> WP Ultimate Recipe</a>: Remove debug info.</p>\n<p><strong>29</strong> 20160405</p>\n<p>ACF: Added support for the Conditional Gallery field type. See the ACF page for notes on this.<br />\nACF: Added support for parsing of image links in text and wysiwyg content.<br />\nAll Blogs: Make superadmin version also clear the cache upon creating new blogs.<br />\nHreflang: Catchable fatal error fixed when not using any settings.<br />\nProtect Child Properties: Modification date can be protected also.<br />\nQueue: During broadcasting, don\'t queue any broadcast requests, to prevent some add-ons from not being able to receive new post numbers during broadcast.<br />\n<a href=\"https://broadcast.plainviewplugins.com/addon/wp-ultimate-recipe/\">WP Ultimate Recipe</a>: Plugin has been moved into 3rd party pack.<br />\nWP Ultimate Recipe: Added support for recipe instruction images.</p>\n<p>All packs now have RedHat / CentOS SSL workaround for updates automatically enabled.</p>\n<p><strong>28.4</strong> 20160317</p>\n<p><a href=\"https://plainviewplugins.com/threewp-broadcast-premium-pack/hreflang-broadcast-plugin/\">Hreflang</a>: Plugin added. Adds support for <a href=\"https://en.wikipedia.org/wiki/Hreflang\">SEO-friendly hreflang html tags</a>.</p>\n<p><strong>28.3</strong> 20160309</p>\n<p><a href=\"https://plainviewplugins.com/threewp-broadcast-premium-pack/rebroadcast-broadcast-plugin/\">Rebroadcast</a>: Plugin added. Rebroadcast / update selected parent posts by using a bulk action.<br />\nUBS: Escape the blog names in the meta box settings.</p>\n<p><strong>28.2</strong> 20160301</p>\n<p>ACF: Fix warning when trying to parse fields without values.<br />\nComments: Fixed bug where comments are blocked on unlinked posts, but with syncing enabled.<br />\nEventOn: Fix error by checking that the event is using tickets.<br />\nEventOn: Add support for proper broadcasting of the location and organizer.<br />\nGeoDirectory: Code fix: Use terms() instead of obsolete equivalent_terms() method.<br />\nThumbnail Sizes: Fix error when no sizes are set.</p>\n<p><strong>28.1</strong> 20160208</p>\n<p><a href=\"https://plainviewplugins.com/threewp-broadcast-premium-pack/activity-monitor-broadcast-plugin/\">Activity Monitor</a>: Update compatability with hook class.<br />\n<a href=\"https://plainviewplugins.com/threewp-broadcast-premium-pack/post-expirator-broadcast-plugin/\">Post Expirator</a>: Plugin added. Adds support for Aaron Axelsen\'s <a href=\"https://wordpress.org/plugins/post-expirator/\">Post Expirator</a> plugin.</p>\n<p><strong>28</strong> 20160118</p>\n<p>EventON: Plugin added. Adds support for Ashan Jay\'s <a href=\"http://www.myeventon.com/\">EventON</a> plugin with tickets.</p>\n<p><strong>27.2</strong> 20151215</p>\n<p>SiteOrigin Page Builder: Plugin added. Adds support for <a href=\"https://wordpress.org/plugins/siteorigin-panels/\">SiteOrigin\'s Page Builder plugin</a>.<br />\nUser &amp; Blog Settings Post: Fix fatal error.</p>\n<p><strong>27.1</strong> 20151209</p>\n<p>ACF: Fix flexible field images for ACF v4. Apparently images in flexfields did not work correctly. ACF v5 untouched.<br />\nProtect Child Properties: Allow protection for post parent.</p>\n<p><strong>27</strong> 20151124</p>\n<p>Avia Layout Builder: Plugin added.</p>\n<p><strong>26.2</strong> 20151104</p>\n<p>ACF: Removed taxonomy fields support for non-pro versions of ACF.</p>\n<p><strong>26.1</strong> 20151103</p>\n<p>Back To Parent: Fix warning about fake variable.<br />\nProtect Child Properties: Fix string warnings.<br />\nWooCommerce: Fix broadcasting products. Asking WooCommerce to return a product is not a good enough check, it has to be checked manually.</p>\n<p><strong>26</strong> 20151102</p>\n<p>Update Broadcast before updating this pack. After updating the pack, check that all your normal pack plugins are still activated. I\'ve tested this upgrade myself and for it remembers which plugins were activated, but you never know.</p>\n<p><a href=\"https://plainviewplugins.com/threewp-broadcast-premium-pack/bbpress-broadcast-plugin/\">bbPress</a>: Plugin added. Adds support for <a href=\"https://wordpress.org/plugins/bbpress/\">BBPress</a> forums, topics and replies.<br />\nProtect Child Attachments / Author / Content / Status: This is the last time these obsolete plugins will be seen in the pack. Use Protect Child Properties instead.<br />\n<a href=\"https://plainviewplugins.com/threewp-broadcast-premium-pack/thumbnail-sizes-broadcast-plugin/\"> Thumbnail Sizes</a>: Plugin added. The plugin allows for different additional thumbnail sizes on a per-blog basis.<br />\nUser &amp; Blog Settings: Fix harmless error_log warnings when creating or removing a modification.</p>\n<p><strong>25</strong> 20151024</p>\n<p>ACF: Check for empty repeater values.<br />\nACF: Do not broadcast empty relations.<br />\nSync Taxonomies: Recorder added. Record taxonomy changes and replay them on other blogs in order to mass-create / edit / delete terms with just a few clicks.<br />\nWooCommerce: Completely ignore all non-products, minimizing risk for unneccessary warnings.</p>\n<p><strong>24</strong> 20151009</p>\n<p>ACF: Simplified repeater field handling.<br />\nGeoDirectory: Plugin added.</p>\n<p><strong>23.4</strong> 20151003</p>\n<p>FooGallery: Plugin added.<br />\nTEC: Support for Additional Fields.</p>\n<p><strong>23.3</strong> 20150909</p>\n<p>Blog Groups 2: Clone fatal error fixed.<br />\nBlog Groups 2: Fixed bug where only the first group was displayed when several groups had the same blogs selected.<br />\nDuplicate Attachments: Fix file path when duplicating.<br />\nGEO My WP: Plugin added.</p>\n<p><strong>23.2</strong> 20150901</p>\n<p>ACF: Fix warning when encountering empty repeaters in repeaters.<br />\nACF: Allow using taxonomy term objects as well as term IDs.<br />\nTablePress: Add support for tables with non-integer IDs.<br />\nTEC: Remove unneccessary meta box info.<br />\nWooCommerce: Add support for \"German Market\" plugin delivery times.<br />\nWooCommerce: Add support for cross-sells and upsells. The product(s) have to already exist on the child blog and be linked in order to be detected.<br />\nWooCommerce: Stock status is better updated on broadcasting due to clearing of WooCommerce transients.</p>\n<p><strong>23.1</strong> 20150804</p>\n<p>Views: Fix fatal error trying to call non-object custom_fields.</p>\n<p><strong>23</strong> 20150803</p>\n<p>All In One Event Calendar: Removed text at the bottom of the meta box.<br />\nBack To Parent: Fix duplicate posts by using the new *_post_broadcast_data actions.<br />\nEvent Organiser: Removed text at the bottom of the meta box.<br />\nGlobal Content Blocks: Plugin added.<br />\nMetaslider: Plugin added.<br />\nViews: Removed text at the bottom of the meta box.<br />\nWPML: Updated plugin to be able to broadcast translations with unpatched WPML v3.1.9.7. Working with the translation manager still requires a patch.<br />\nWPML: Force same slug for child posts in different languages.</p>\n<p><strong>22.1</strong> 20150724</p>\n<p>ACF: Fix add_attachment fatal error.<br />\nPermlinks: Fix continue error during broadcasting.</p>\n<p><strong>22</strong> 20150721</p>\n<p>All In One Event Calendar: Remove unnecessary warning about return_registry().<br />\nNew Blog Broadcast: Plugin added.<br />\nPer Blog Taxonomies: Fixed \"too much memory\" error on some installs when saving the settings.<br />\nSync Taxonomies: Fix fatal error caused by not updating ST to use the new API.<br />\nTablePress: Plugin added.<br />\nThe Events Calendar: Updated to support v3.10.1<br />\nWooCommerce: Add support for product category images. The images are updated only when broadcasting a product with those product categories set.<br />\nWooCommerce: Add support for attribute images, as provided by Variation Swatches and Photos.<br />\nWooCommerce: Force term recount after Broadcast. This fixes the problem of product categories not being visible sometimes.</p>\n<p><strong>21</strong> 20150705<br />\nAll Blogs: Cache is now cleared upon creating new blogs. No more need for the cache clearing extra.<br />\nQueue: Manual processing of queue in debug mode forces broadcast of the item. Time limits are ignored.<br />\nViews: More debug info.</p>\n<p><strong>20.1</strong> 20150614<br />\nDelete Before Broadcast: Added option to unlink children.<br />\nProtect Child Author / Attachments / Content / Status: Marked as obsolete. Use Protect Child Properties instead.<br />\nProtect Child Properties: Fix bug when no properties are selected and queue is used.</p>\n<p><strong>20</strong> 20150609<br />\nACF: Delete blacklisted custom fields, and those fields in repeaters.<br />\nACF: Handle single taxonomy values also.<br />\nACF: Ignore repeater fields that have no values.<br />\nACF: Ignore taxonomy fields that have no values.<br />\nBlog Groups 2: Select All / Invert / None functionality added.<br />\nDelete Before Broadcast: Add \"delete same slug\" and \"delete similar slugs\" options.<br />\nUser &amp; Blog Settings: Fix error on line 155 when saving modifications.</p>\n<p><strong>19.3</strong> 20150524<br />\nFind Some Unlinked Children: Exclude presumtive children that have parents or children.</p>\n<p><strong>19.2</strong> 20150522<br />\nACF: Fix fatal error message when using taxonomy terms that aren\'t set in the post itself.</p>\n<p><strong>19.1</strong> 20150521<br />\nFix error message in Local Links and Keep Child Status.</p>\n<p><strong>19</strong> 20150519<br />\nACF: Skip fields that are in the custom field blacklist and the protect list.<br />\nAll Blogs: New extra: Clear All Blogs Cache plugin to clear the all blogs cache when creating new sites.<br />\nAttachment Shortcodes: Better handling of nested shortcodes. More robust shortcode handling.<br />\nDelete Before Broadcast: Plugin added.<br />\nProtect Child Properties: Plugin added.<br />\nProtect Child Attachments: Obsolete due to Protect Child Properties plugin.<br />\nProtect Child Author: Obsolete due to Protect Child Properties plugin.<br />\nProtect Child Content: Obsolete due to Protect Child Properties plugin.<br />\nProtect Child Status: Obsolete due to Protect Child Properties plugin.<br />\nUser &amp; Blog Settings: Better cleaning up of criteria after modification deletion.<br />\nWooCommerce: Two new extras: stock and PDF vouchers can be automatically synced between parents / children upon each purchase. See the extras directory.</p>\n<p><strong>18.1</strong> 20150414<br />\nACF: Fix fatal error when using relationships.<br />\nPolylang: Pre-emptive fix: Clear language cache after finish broadcasting.</p>\n<p><strong>18</strong> 20150412<br />\nACF: Repeater fields can contain repeater fields.<br />\nACF: Fix for empty flexible layouts.<br />\nACF: Add support for ACF Pro v5 field groups.<br />\nAll Blogs: Cache is updated when blogs are created / deleted / undeleted.<br />\nBlog Groups 2: Plugin added.<br />\nProtect Child Author: Plugin added.<br />\nQueue: HTTP processing now allows to processing of queue via cron job.<br />\nThe Events Calendar: Syncing of calendar events enabled again.<br />\nNew extra: WP Ultimate Recipe compatability plugin. See extras directory.<br />\nWooCommerce: More efficient variation handling - they are no longer automatically deleted upon broadcast.</p>\n<p><strong>17.1</strong> 20150219<br />\nACF: Add page link type.<br />\nACF: Fix gallery, relationship, post object types not being handled correctly.</p>\n<p><strong>17</strong> 20150216<br />\nACF: File / image fields with URLs now work.<br />\nACF: Plugin offers lots of hookable actions.<br />\nFind Some Unlinked Children: Plugin added.<br />\nQueue: More debug info when queueing posts.<br />\nSocial Networks Auto Poster: Plugin added.<br />\nUser Blog Settings: Fix upgrade path: the new criteria table is created before trying to convert old criteria.<br />\nUser Blog Settings: New UI for modification editing.<br />\nUser Blog Settings: Post bulk actions can now be hidden in modifications.<br />\nUser Blog Settings: Summary view gives an overview of all of the modifications made.</p>\n<p><strong>16</strong> 20150116<br />\nComments: Hierarchy is preserved.<br />\nComments: Automatic syncing of linked posts.<br />\nDuplicate Attachments: Plugin added. Copying of attachments can be exponentially speeded up by using this plugin, which duplicates attachment and thumbnails from the parent blog instead of regenerating them.<br />\nUser &amp; Blog Settings: Automatically clean up orphaned criteria.<br />\nUser &amp; Blog Settings: More robust detection of post types.<br />\nUser &amp; Blog Settings: \"On\" for checkboxes no longer forces the checkbox to be ticked.</p>\n<p><strong>15</strong> 20141218<br />\nNo New Terms: Plugin added.<br />\nQueue: Add conflict check when marking queue as finished.<br />\nSend To Many: Remove reference to obsolete js.js<br />\nUser Blog Settings: Fix display of selected users.</p>\n<p><strong>14</strong> 20141210<br />\nLock Posts: Plugin added.<br />\nMenus: Add option to replace domain URL with that of child blog.<br />\nBack To Parent: Ignore revision post type.</p>\n<p><strong>13.1</strong> 20141202<br />\nQueue: Fixed debugging() error.<br />\nUser &amp; Blog Settings: Major update with far superior criteria control such as post types and taxonomy terms (specific categories, for example). See new, detailed manual here: <a href=\"http://plugins.plainview.se/threewp-broadcast-premium-pack/user-blog-settings-broadcast-plugin/\">http://plugins.plainview.se/threewp-broadcast-premium-pack/user-blog-settings-broadcast-plugin/</a></p>\n<p><strong>13</strong> 20141201<br />\nPolylang: Plugin added.<br />\nAll Blogs Superadmin: Plugin added. Allows only superadmins broadcast access to all blogs.<br />\nACF: Flexible fields can handle more complicated layouts now. Credit tobias@bombayworks.se<br />\nCustom Field Attachments: Find IDs in all fields and try to unserialize fields.<br />\nPer Blog Taxonomies: Fix javascript.<br />\nPermalinks: Fix javascript.</p>\n<p><strong>12</strong> 20141109<br />\nSend To Many supports new bulk actions<br />\nPurge Children supports new post and bulk actions</p>\n<p><strong>11</strong> 20141029<br />\nACF: Taxonomy fields are now supported.<br />\nThe Events Calendar: Plugin added.<br />\nWooCommerce: Code fix: Use generic way of creating new broadcasting data when broadcasting variations.</p>\n<p><strong>10</strong> 20141020<br />\nMenus: Plugin added.</p>\n<p><strong>9</strong> 20141017<br />\nACF: Fix fatal error for post objects.</p>\n<p><strong>8</strong> 20141013<br />\nPlugins are loaded by classnames instead of exact filenames. Check that your plugins are activated after the upgrade.<br />\nPermalink settings are clearer (separated fieldsets for global and local).<br />\nACF: Repeater field supports galleries and relationships.<br />\nProtect Child Status: Plugin added.<br />\nWPML: Do not broadcast to blogs that do not have the post\'s language enabled.<br />\nComments, Protect Child Attachments / Content / Status: fixed fatal error when plugin is enabled with items in the queue.</p>\n<p><strong>7</strong> 20140923<br />\nACF: Relationship / object loop prevention.<br />\nACF: Extra checking for relationships.<br />\nACF: Add ACF to custom post types automatically.</p>\n<p><strong>6</strong> 20140909<br />\nBack To Parent: Plugin added.<br />\nWooCommerce: Attribute taxonomies are created / updated on each child blog.</p>\n<p><strong>5</strong> 20140830<br />\nHide information from non-network admins.<br />\nQueue: More debug information.<br />\nQueue: Whole posts can be deleted from the queue, instead of just single items.<br />\nAll Blogs: Speeup using caching.<br />\nUser &amp; Blog Settings Post: Speedup using caching.<br />\nCustom Field Attachments: Better attachment validity checking.<br />\nWPML: Only broadcast translation manager jobs to those blogs that have the job\'s language.</p>\n<p><strong>4</strong> 20140814</p>\n<p>Renamed \"Keep Child Attachments\" to \"Protect Child Attachments\"<br />\nUser &amp; Blog Settings Post: Plugin added.<br />\nRedirect All Children: Plugin added.<br />\nProtect Child Content: Plugin added.<br />\nAll In One Calendar: Plugin added.</p>\n<p><strong>3</strong> 20140708</p>\n<p>User &amp; Blog Settings: Select boxes can now just have their values set.<br />\nKeep Child Attachments: Plugin added.<br />\nLocalLinks: Disable warnings when loading incorrect HTML.</p>\n<p><strong>2.24</strong> 20140615</p>\n<p>Better support for Windows servers.<br />\nACF: Added support for galleries.<br />\nWooCommerce: Variation pricing correctly broadcasted.<br />\nACF: Added support for relationships.</p>\n<p><strong>2.23</strong> 20140520<br />\nComments: Plugin added.<br />\nActivity Monitor: Plugin added.</p>\n<p><strong>2.21</strong> 20140422<br />\nCustom Field Attachments: Automatically parses multiple attachment IDs in the same custom field, using non-numbers as separators.<br />\nPurge Children: Plugin added.<br />\nQueue: Fix bug where the last items are sometimes not queued.<br />\nLocal Links: Fixed incompatability with Queue.</p>\n<p><strong>2.20</strong> 20140412<br />\nEvent Organiser: Can update event venues when syncing using Sync Taxonomies.<br />\nSync Taxonomies: Plugin added.<br />\nNew: Plugins combined into one big premium plugin that enables the various speciality plugins.<br />\nCustom Field Attachments: Plugin added.</p>\n<p><strong>2.19</strong> 20140402<br />\nACF: Support for post objects and files.<br />\nEvent Organiser: Fix broadcast of event date.</p>\n<p><strong>2.18</strong> 20140314<br />\nAttachment Shortcodes: Plugin added.<br />\nEvent Organiser: Plugin added.<br />\nACF: New: \"Flexible content\" field images are correctly copied.</p>\n<p><strong>2.15</strong> 20140123<br />\nACF: Fix: same attachment can be used in several image fields.<br />\nACF: Also handles images in repeater fields.<br />\nACF: Added compatability with newer versions of ACF that return arrays instead of values.</p>\n<p><strong>2.14</strong> 20140117<br />\nQueue: Requires even less memory due to optimizations.<br />\nUser Blog Settings: Increased compatability with Keep Child Status</p>\n<p><strong>2.12</strong> 20140112<br />\nAll Blogs: Plugin added.<br />\nSend To Many: Compatability with new Broadcast version, fixed missing HTML file.<br />\nKeep Child Status: Fatal error line 209 fixed.<br />\nQueue: Round robin, more robustness, fatal errors are displayed.</p>\n<p><strong>2.11</strong> 20131218<br />\nQueue: Retry countdown. Better retry handling.<br />\nQueue: More reliable javascript queuing (ignore unnecessary warnings from other plugins).<br />\nPer Blog Taxonomies: Plugin added.<br />\nPermalinks: Plugin added.<br />\nQueue: Javascripts informs of errors.</p>\n<p><strong>2.10</strong> 20131121</p>\n<p>WooCommerce: Plugin added.<br />\nAdded \"Premium\" to plugin names.</p>\n<p><strong>2.9</strong> 20131113<br />\nKeepChildStatus: Plugin added.<br />\nUserBlogSettings: Fixed CSS display when testing.<br />\nUserBlogSettings: Stricter application of criteria.<br />\nUserBlogSettings: Nicer display of blog names with special characters.<br />\nUserBlogSettings: Apply JS in the preview box.<br />\nViews: Fix for removed added_meta_box action.<br />\nUserBlogSettings: Added support for select modifications.<br />\nUserBlogSettings: Note about current blog not being visible.</p>\n<p><strong>2.7</strong> 20131101<br />\nAdvanced Custom Fields: Plugin added.<br />\nSendToMany: Fixed send to many button - using new prepare action.</p>\n<p><strong>2.6</strong> 20131028<br />\nLocal Links: Plugin added.</p>\n<p><strong>2.4</strong> 20131018<br />\nUser &amp; Blog Settings: Plugin added.</p>\n<p><strong>2.3</strong> 20131011<br />\nSend To Many: Plugin added.<br />\nQueue: Added process data caching.</p>\n<p><strong>2.2</strong> 20131007<br />\nViews: Plugin added.</p>\n<p><strong>2.0</strong> 20131006<br />\nInitial release to coincide with Broadcast 2.0.<br />\nQueue: Plugin added.</p>\n\";}s:6:\"plugin\";s:65:\"threewp-broadcast-premium-pack/ThreeWP_Broadcast_Premium_Pack.php\";s:2:\"id\";s:65:\"threewp-broadcast-premium-pack/ThreeWP_Broadcast_Premium_Pack.php\";}}s:7:\"checked\";a:15:{s:34:\"advanced-custom-fields-pro/acf.php\";s:6:\"5.12.2\";s:37:\"tinymce-advanced/tinymce-advanced.php\";s:5:\"5.6.0\";s:39:\"threewp-broadcast/ThreeWP_Broadcast.php\";s:5:\"48.11\";s:65:\"threewp-broadcast-premium-pack/ThreeWP_Broadcast_Premium_Pack.php\";d:48.090000000000003410605131648480892181396484375;s:42:\"clicks3-integration/clicks_integration.php\";s:3:\"1.1\";s:37:\"clicks-clubready/clicks_clubready.php\";s:3:\"4.0\";s:36:\"contact-form-7/wp-contact-form-7.php\";s:7:\"5.5.6.1\";s:32:\"duplicate-page/duplicatepage.php\";s:5:\"4.4.8\";s:31:\"easy-fancybox/easy-fancybox.php\";s:6:\"1.8.18\";s:42:\"my-sites-search-master/my-sites-search.php\";s:10:\"2016.08.12\";s:27:\"redirection/redirection.php\";s:5:\"5.2.3\";s:53:\"simple-custom-post-order/simple-custom-post-order.php\";s:5:\"2.5.6\";s:45:\"user-role-editor-pro/user-role-editor-pro.php\";s:6:\"4.62.1\";s:27:\"wp-crontrol/wp-crontrol.php\";s:6:\"1.12.1\";s:29:\"wp-mail-smtp/wp_mail_smtp.php\";s:5:\"3.4.0\";}}');
INSERT INTO `wp_sitemeta` VALUES (7944,1,'threewp_broadcast\\premium_pack\\queue\\Queue_process_queue','1'),(7945,1,'threewp_broadcast\\premium_pack\\queue\\Queue_items_per_process','30'),(8783,1,'threewp_broadcast\\premium_pack\\bulk_cloner\\Bulk_Cloner_export_options',''),(8784,1,'threewp_broadcast\\premium_pack\\bulk_cloner\\Bulk_Cloner_clone_users','1'),(8785,1,'threewp_broadcast\\premium_pack\\bulk_cloner\\Bulk_Cloner_update_broadcast_links','1'),(9471,1,'_site_transient_update_core','O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:59:\"https://downloads.wordpress.org/release/wordpress-6.0.1.zip\";s:6:\"locale\";s:2:\"en\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:59:\"https://downloads.wordpress.org/release/wordpress-6.0.1.zip\";s:10:\"no_content\";s:70:\"https://downloads.wordpress.org/release/wordpress-6.0.1-no-content.zip\";s:11:\"new_bundled\";s:71:\"https://downloads.wordpress.org/release/wordpress-6.0.1-new-bundled.zip\";s:7:\"partial\";s:0:\"\";s:8:\"rollback\";s:0:\"\";}s:7:\"current\";s:5:\"6.0.1\";s:7:\"version\";s:5:\"6.0.1\";s:11:\"php_version\";s:6:\"5.6.20\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"5.9\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1660224166;s:15:\"version_checked\";s:5:\"6.0.1\";s:12:\"translations\";a:0:{}}'),(9917,1,'_site_transient_timeout_theme_roots','1660243636'),(9918,1,'_site_transient_theme_roots','a:2:{s:8:\"clicks_3\";s:7:\"/themes\";s:15:\"twentytwentytwo\";s:7:\"/themes\";}'),(7936,1,'wp_force_deactivated_plugins','a:0:{}');
DROP TABLE IF EXISTS `wp_term_relationships`;
CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
DROP TABLE IF EXISTS `wp_term_taxonomy`;
CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_term_taxonomy` VALUES (1,1,'category','',0,0),(2,2,'link_category','',0,0);
DROP TABLE IF EXISTS `wp_termmeta`;
CREATE TABLE `wp_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_520_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_520_ci,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_terms`;
CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  `term_order` int(4) DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_terms` VALUES (1,'Uncategorized','uncategorized',0,0),(2,'Blogroll','blogroll',0,0);
DROP TABLE IF EXISTS `wp_usermeta`;
CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=MyISAM AUTO_INCREMENT=1696 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_usermeta` VALUES (1,1,'first_name',''),(2,1,'last_name',''),(3,1,'nickname','webmaster'),(4,1,'description',''),(5,1,'rich_editing','true'),(6,1,'comment_shortcuts','false'),(7,1,'admin_color','fresh'),(8,1,'use_ssl','0'),(9,1,'aim',''),(10,1,'yim',''),(11,1,'jabber',''),(12,1,'wp_capabilities','a:1:{s:13:\"administrator\";s:1:\"1\";}'),(13,1,'wp_user_level','10'),(15,1,'wp_dashboard_quick_press_last_post_id','291'),(16,1,'community-events-location','a:1:{s:2:\"ip\";s:11:\"184.189.0.0\";}'),(17,1,'source_domain','mayweatherclicks.com'),(18,1,'primary_blog','1'),(89,3,'wp_capabilities','a:1:{s:13:\"administrator\";b:1;}'),(90,3,'wp_user_level','10'),(91,1,'wp_2_dashboard_quick_press_last_post_id','248'),(19,1,'closedpostboxes_dashboard','a:0:{}'),(20,1,'metaboxhidden_dashboard','a:4:{i:0;s:19:\"dashboard_right_now\";i:1;s:18:\"dashboard_activity\";i:2;s:21:\"dashboard_quick_press\";i:3;s:17:\"dashboard_primary\";}'),(21,1,'closedpostboxes_dashboard-network','a:0:{}'),(22,1,'metaboxhidden_dashboard-network','a:2:{i:0;s:27:\"network_dashboard_right_now\";i:1;s:17:\"dashboard_primary\";}'),(23,1,'wp_2_capabilities','a:1:{s:13:\"administrator\";b:1;}'),(24,1,'wp_2_user_level','10'),(43,3,'nickname','andre'),(44,3,'first_name',''),(45,3,'last_name',''),(46,3,'description',''),(47,3,'rich_editing','true'),(48,3,'syntax_highlighting','true'),(49,3,'comment_shortcuts','false'),(50,3,'admin_color','fresh'),(51,3,'use_ssl','0'),(52,3,'show_admin_bar_front','true'),(53,3,'locale',''),(58,3,'source_domain','mayweatherclicks.com'),(57,3,'primary_blog','2'),(56,3,'dismissed_wp_pointers','plugin_editor_notice'),(59,3,'wp_2_capabilities','a:1:{s:13:\"administrator\";b:1;}'),(60,3,'wp_2_user_level','10'),(67,3,'default_password_nag',''),(69,3,'wp_2_dashboard_quick_press_last_post_id','98'),(70,3,'community-events-location','a:1:{s:2:\"ip\";s:12:\"98.191.206.0\";}'),(241,3,'wp_5_user-settings','libraryContent=browse&editor=tinymce'),(240,1,'locale',''),(239,1,'show_admin_bar_front','true'),(238,1,'syntax_highlighting','true'),(1429,15,'closedpostboxes_lp','a:3:{i:0;s:23:\"acf-group_5c804db294dc8\";i:1;s:23:\"acf-group_5c840bb23ecc1\";i:2;s:23:\"acf-group_5c896336d2e31\";}'),(98,3,'wp_dashboard_quick_press_last_post_id','216'),(99,3,'wp_2_user-settings','libraryContent=browse&editor=tinymce'),(100,3,'wp_2_user-settings-time','1601050770'),(101,3,'wp_user-settings','libraryContent=browse&editor=tinymce'),(102,3,'wp_user-settings-time','1578938456'),(146,1,'wp_4_dashboard_quick_press_last_post_id','52'),(151,1,'broadcast_last_used_settings','a:5:{s:4:\"link\";s:2:\"on\";s:13:\"custom_fields\";s:2:\"on\";s:10:\"taxonomies\";s:2:\"on\";s:5:\"blogs\";a:1:{s:7:\"blogs_1\";s:1:\"1\";}s:21:\"unchecked_child_blogs\";s:0:\"\";}'),(152,3,'wp_4_user-settings','libraryContent=browse&editor=tinymce'),(153,3,'wp_4_user-settings-time','1579812107'),(154,3,'wp_4_dashboard_quick_press_last_post_id','80'),(194,3,'closedpostboxes_lp','a:7:{i:0;s:23:\"acf-group_5c896336d2e31\";i:1;s:23:\"acf-group_5d0d36d939421\";i:2;s:23:\"acf-group_5cc1fc60cfc22\";i:3;s:17:\"threewp_broadcast\";i:4;s:23:\"acf-group_5cc763566ccea\";i:5;s:23:\"acf-group_5c8ac5e7c3cb5\";i:6;s:12:\"revisionsdiv\";}'),(195,3,'metaboxhidden_lp','a:1:{i:0;s:7:\"slugdiv\";}'),(242,3,'wp_5_user-settings-time','1569358291'),(243,3,'wp_5_dashboard_quick_press_last_post_id','51'),(1231,15,'session_tokens','a:1:{s:64:\"fd4d04df6464480099ac7398bd3b71401fb3bbe1fb4206fdb95fdede062677e6\";a:4:{s:10:\"expiration\";i:1655076900;s:2:\"ip\";s:13:\"192.88.134.29\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/15.5 Safari/605.1.15\";s:5:\"login\";i:1654904100;}}'),(306,1,'wp_8_dashboard_quick_press_last_post_id','19'),(307,3,'wp_8_user-settings','libraryContent=browse&editor=tinymce'),(308,3,'wp_8_user-settings-time','1580775096'),(309,3,'wp_8_dashboard_quick_press_last_post_id','44'),(310,1,'wp_8_user-settings','editor=html'),(311,1,'wp_8_user-settings-time','1573693669'),(312,1,'wp_user-settings','editor=tinymce&libraryContent=browse'),(313,1,'wp_user-settings-time','1620850662'),(314,3,'aim',''),(315,3,'yim',''),(316,3,'jabber',''),(337,3,'broadcast_last_used_settings','a:5:{s:4:\"link\";s:2:\"on\";s:13:\"custom_fields\";s:2:\"on\";s:10:\"taxonomies\";s:2:\"on\";s:5:\"blogs\";a:1:{s:7:\"blogs_3\";s:1:\"3\";}s:21:\"unchecked_child_blogs\";s:0:\"\";}'),(516,3,'wp_14_user-settings','libraryContent=browse&editor=tinymce'),(335,1,'wp_4_user-settings','editor=html'),(336,1,'wp_4_user-settings-time','1574274174'),(332,3,'wp_9_user-settings','libraryContent=browse&editor=tinymce'),(333,3,'wp_9_user-settings-time','1573856379'),(334,3,'wp_9_dashboard_quick_press_last_post_id','33'),(367,1,'wp_6_user-settings','editor=tinymce'),(368,1,'wp_6_user-settings-time','1575061157'),(369,1,'wp_6_dashboard_quick_press_last_post_id','22'),(513,3,'wp_12_user-settings','libraryContent=browse&editor=tinymce'),(514,3,'wp_12_user-settings-time','1578682936'),(515,3,'wp_12_dashboard_quick_press_last_post_id','26'),(517,3,'wp_14_user-settings-time','1578683078'),(518,3,'wp_14_dashboard_quick_press_last_post_id','21'),(519,3,'wp_7_user-settings','libraryContent=browse&editor=tinymce'),(520,3,'wp_7_user-settings-time','1601051525'),(521,3,'wp_7_dashboard_quick_press_last_post_id','29'),(522,3,'closedpostboxes_dashboard','a:3:{i:0;s:19:\"dashboard_right_now\";i:1;s:18:\"dashboard_activity\";i:2;s:17:\"dashboard_primary\";}'),(523,3,'metaboxhidden_dashboard','a:0:{}'),(548,1,'wp_2_user-settings','editor=tinymce&libraryContent=browse'),(549,1,'wp_2_user-settings-time','1620855739'),(552,1,'wp_3_user-settings','editor=tinymce'),(553,1,'wp_3_user-settings-time','1579719270'),(554,1,'wp_3_dashboard_quick_press_last_post_id','20'),(714,12,'nickname','sharp'),(715,12,'first_name',''),(716,12,'last_name',''),(717,12,'description',''),(718,12,'rich_editing','true'),(719,12,'syntax_highlighting','true'),(720,12,'comment_shortcuts','false'),(721,12,'admin_color','fresh'),(722,12,'use_ssl','0'),(723,12,'show_admin_bar_front','true'),(724,12,'locale',''),(729,12,'yim',''),(730,12,'jabber',''),(728,12,'aim',''),(727,12,'dismissed_wp_pointers',''),(731,12,'default_password_nag',''),(732,12,'primary_blog','2'),(733,12,'source_domain','rumbleoffers.com'),(737,12,'wp_2_capabilities',''),(736,12,'wp_user_level','10'),(738,12,'wp_2_user_level','0'),(1430,15,'metaboxhidden_lp','a:1:{i:0;s:7:\"slugdiv\";}'),(768,12,'community-events-location','a:1:{s:2:\"ip\";s:12:\"68.197.158.0\";}'),(1230,15,'default_password_nag',''),(1029,1,'wp_14_user-settings','editor=tinymce'),(1030,1,'wp_14_user-settings-time','1603390406'),(1031,1,'wp_14_dashboard_quick_press_last_post_id','29'),(807,12,'wp_3_dashboard_quick_press_last_post_id','29'),(772,12,'wp_9_dashboard_quick_press_last_post_id','38'),(810,12,'wp_18_dashboard_quick_press_last_post_id','31'),(811,12,'wp_21_dashboard_quick_press_last_post_id','27'),(1428,15,'wp_3_user-settings-time','1618521344'),(1427,15,'wp_3_user-settings','editor=html&libraryContent=browse'),(1426,15,'wp_2_user-settings-time','1619033403'),(1425,15,'wp_2_user-settings','editor=html&libraryContent=browse'),(893,12,'wp_17_user-settings','editor=html'),(894,12,'wp_17_user-settings-time','1600196565'),(1188,14,'session_tokens','a:1:{s:64:\"2206d0d45e8e5611ac61b5854eb9b632cdeae4ab5257a0269c4c7f38c4590c68\";a:4:{s:10:\"expiration\";i:1635965983;s:2:\"ip\";s:13:\"192.88.134.29\";s:2:\"ua\";s:120:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/94.0.4606.81 Safari/537.36\";s:5:\"login\";i:1634756383;}}'),(1642,16,'nickname','katie'),(1643,16,'first_name',''),(1644,16,'last_name',''),(1645,16,'description',''),(1646,16,'rich_editing','true'),(1647,16,'syntax_highlighting','true'),(1117,14,'wp_4_user-settings-time','1615508634'),(986,12,'wp_26_dashboard_quick_press_last_post_id','33'),(847,12,'wp_22_dashboard_quick_press_last_post_id','25'),(848,12,'wp_2_dashboard_quick_press_last_post_id','89'),(1116,14,'wp_4_user-settings','editor=html'),(885,12,'wp_24_dashboard_quick_press_last_post_id','26'),(886,12,'wp_17_dashboard_quick_press_last_post_id','27'),(887,12,'wp_4_dashboard_quick_press_last_post_id','79'),(888,12,'closedpostboxes_lp','a:0:{}'),(889,12,'metaboxhidden_lp','a:1:{i:0;s:7:\"slugdiv\";}'),(890,12,'wp_4_user-settings','editor=html'),(891,12,'wp_4_user-settings-time','1601949224'),(892,12,'broadcast_last_used_settings','a:4:{s:4:\"link\";s:2:\"on\";s:13:\"custom_fields\";s:2:\"on\";s:10:\"taxonomies\";s:2:\"on\";s:21:\"unchecked_child_blogs\";s:0:\"\";}'),(896,12,'wp_24_user-settings','editor=html'),(897,12,'wp_24_user-settings-time','1600282216'),(898,12,'wp_2_user-settings','editor=tinymce'),(899,12,'wp_2_user-settings-time','1603300380'),(956,12,'wp_18_user-settings','editor=tinymce'),(947,12,'wp_5_user-settings','editor=tinymce'),(948,12,'wp_5_user-settings-time','1605314285'),(949,12,'wp_5_dashboard_quick_press_last_post_id','63'),(903,3,'wp_24_user-settings','libraryContent=browse&editor=tinymce'),(904,3,'wp_24_user-settings-time','1600965173'),(905,3,'wp_24_dashboard_quick_press_last_post_id','28'),(906,3,'wp_3_user-settings','libraryContent=browse&editor=tinymce'),(907,3,'wp_3_user-settings-time','1600965276'),(908,3,'wp_3_dashboard_quick_press_last_post_id','36'),(923,3,'wp_25_user-settings','libraryContent=browse&editor=tinymce'),(924,3,'wp_25_user-settings-time','1600966189'),(925,3,'wp_25_dashboard_quick_press_last_post_id','25'),(926,14,'nickname','eduardo'),(927,14,'first_name',''),(928,14,'last_name',''),(929,14,'description',''),(930,14,'rich_editing','true'),(931,14,'syntax_highlighting','true'),(932,14,'comment_shortcuts','false'),(933,14,'admin_color','fresh'),(934,14,'use_ssl','0'),(935,14,'show_admin_bar_front','true'),(936,14,'locale',''),(941,14,'source_domain','rumbleoffers.com'),(940,14,'primary_blog','1'),(939,14,'dismissed_wp_pointers',''),(944,14,'aim',''),(945,14,'yim',''),(946,14,'jabber',''),(951,12,'wp_13_user-settings','editor=html'),(952,12,'wp_13_user-settings-time','1601943925'),(953,12,'wp_13_dashboard_quick_press_last_post_id','35'),(954,12,'wp_22_user-settings','editor=html'),(955,12,'wp_22_user-settings-time','1601949169'),(957,12,'wp_18_user-settings-time','1603490937'),(958,12,'wp_9_user-settings','editor=html'),(959,12,'wp_9_user-settings-time','1601949300'),(960,12,'wp_21_user-settings','editor=html'),(961,12,'wp_21_user-settings-time','1601949506'),(1041,3,'session_tokens','a:1:{s:64:\"6e4266b4bbc7163ae30f0975fa57044a7be79a2b316e3c2c17bdf77b23f669a1\";a:4:{s:10:\"expiration\";i:1618690014;s:2:\"ip\";s:13:\"98.191.206.91\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.1 Safari/605.1.15\";s:5:\"login\";i:1618517214;}}'),(1003,12,'wp_27_dashboard_quick_press_last_post_id','30'),(1047,14,'wp_user_level','10'),(1048,14,'wp_2_capabilities','a:1:{s:13:\"administrator\";b:1;}'),(1049,14,'wp_2_user_level','10'),(1050,14,'wp_18_dashboard_quick_press_last_post_id','67'),(1004,12,'wp_26_user-settings','editor=html'),(1005,12,'wp_26_user-settings-time','1602808056'),(1006,12,'wp_3_user-settings','editor=tinymce'),(1007,12,'wp_3_user-settings-time','1603297514'),(1008,12,'wp_27_user-settings','editor=tinymce'),(1009,12,'wp_27_user-settings-time','1603297545'),(1026,12,'wp_28_user-settings','editor=tinymce'),(1027,12,'wp_28_user-settings-time','1603300391'),(1028,12,'wp_28_dashboard_quick_press_last_post_id','30'),(1266,14,'wp_34_user-settings','editor=html'),(1267,14,'wp_34_user-settings-time','1615508355'),(1268,14,'wp_34_dashboard_quick_press_last_post_id','36'),(1043,14,'community-events-location','a:1:{s:2:\"ip\";s:12:\"70.169.224.0\";}'),(1046,14,'wp_capabilities','a:1:{s:13:\"administrator\";b:1;}'),(1032,1,'wp_25_user-settings','editor=tinymce'),(1033,1,'wp_25_user-settings-time','1603390424'),(1034,1,'wp_25_dashboard_quick_press_last_post_id','27'),(1035,1,'wp_11_user-settings','editor=tinymce'),(1036,1,'wp_11_user-settings-time','1603390435'),(1037,1,'wp_11_dashboard_quick_press_last_post_id','25'),(1038,1,'wp_10_user-settings','editor=tinymce'),(1039,1,'wp_10_user-settings-time','1603391412'),(1040,1,'wp_10_dashboard_quick_press_last_post_id','21'),(1051,14,'broadcast_last_used_settings','a:5:{s:4:\"link\";s:2:\"on\";s:13:\"custom_fields\";s:2:\"on\";s:10:\"taxonomies\";s:2:\"on\";s:5:\"blogs\";a:1:{s:8:\"blogs_50\";s:2:\"50\";}s:21:\"unchecked_child_blogs\";s:0:\"\";}'),(1052,14,'wp_18_user-settings','editor=html'),(1053,14,'wp_18_user-settings-time','1613778668'),(1054,14,'wp_user-settings','editor=html&libraryContent=browse'),(1055,14,'wp_user-settings-time','1619033504'),(1092,14,'wp_29_user-settings','editor=html'),(1093,14,'wp_29_user-settings-time','1614810687'),(1094,14,'wp_29_dashboard_quick_press_last_post_id','36'),(1095,14,'wp_2_user-settings','editor=html&libraryContent=browse'),(1096,14,'wp_2_user-settings-time','1619034783'),(1097,14,'wp_2_dashboard_quick_press_last_post_id','247'),(1098,14,'wp_dashboard_quick_press_last_post_id','300'),(1099,14,'closedpostboxes_lp','a:1:{i:0;s:23:\"acf-group_5c896336d2e31\";}'),(1100,14,'metaboxhidden_lp','a:1:{i:0;s:7:\"slugdiv\";}'),(1101,14,'wp_9_user-settings','editor=tinymce'),(1102,14,'wp_9_user-settings-time','1605127164'),(1103,14,'wp_9_dashboard_quick_press_last_post_id','39'),(1104,14,'wp_5_user-settings','editor=html'),(1105,14,'wp_5_user-settings-time','1605315029'),(1106,14,'wp_5_dashboard_quick_press_last_post_id','57'),(1112,12,'session_tokens','a:1:{s:64:\"9fa37749e81db54dc1bc55a16b241e9a22b6ff7bebc4a71de64dd483b4409339\";a:4:{s:10:\"expiration\";i:1620862570;s:2:\"ip\";s:13:\"185.93.229.25\";s:2:\"ua\";s:119:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 11_2_3) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/89.0.4389.90 Safari/537.36\";s:5:\"login\";i:1620689770;}}'),(1109,14,'wp_17_user-settings','editor=html'),(1110,14,'wp_17_user-settings-time','1609894311'),(1111,14,'wp_17_dashboard_quick_press_last_post_id','35'),(1113,14,'wp_3_user-settings','editor=html'),(1114,14,'wp_3_user-settings-time','1616623626'),(1115,14,'wp_3_dashboard_quick_press_last_post_id','34'),(1119,14,'wp_25_user-settings','editor=html'),(1120,14,'wp_25_user-settings-time','1613777895'),(1118,14,'wp_4_dashboard_quick_press_last_post_id','88'),(1137,14,'sites_network_per_page','500'),(1138,14,'wp_30_user-settings','editor=html'),(1139,14,'wp_30_user-settings-time','1611261815'),(1140,14,'wp_30_dashboard_quick_press_last_post_id','39'),(1141,14,'wp_26_user-settings','editor=html'),(1142,14,'wp_26_user-settings-time','1609894557'),(1143,14,'wp_26_dashboard_quick_press_last_post_id','44'),(1168,14,'wp_25_dashboard_quick_press_last_post_id','31'),(1160,14,'wp_31_user-settings','editor=html'),(1161,14,'wp_31_user-settings-time','1610478312'),(1162,14,'wp_31_dashboard_quick_press_last_post_id','41'),(1165,14,'wp_21_user-settings','editor=html'),(1166,14,'wp_21_user-settings-time','1610752124'),(1167,14,'wp_21_dashboard_quick_press_last_post_id','30'),(1185,14,'wp_32_user-settings','editor=html'),(1186,14,'wp_32_user-settings-time','1616623909'),(1187,14,'wp_32_dashboard_quick_press_last_post_id','35'),(1191,14,'wp_22_user-settings','editor=html'),(1192,14,'wp_22_user-settings-time','1613778194'),(1193,14,'wp_22_dashboard_quick_press_last_post_id','35'),(1210,14,'wp_33_user-settings','editor=html'),(1211,14,'wp_33_user-settings-time','1613779049'),(1212,14,'wp_33_dashboard_quick_press_last_post_id','37'),(1213,15,'nickname','lance'),(1214,15,'first_name',''),(1215,15,'last_name',''),(1216,15,'description',''),(1217,15,'rich_editing','true'),(1218,15,'syntax_highlighting','true'),(1219,15,'comment_shortcuts','false'),(1220,15,'admin_color','fresh'),(1221,15,'use_ssl','0'),(1222,15,'show_admin_bar_front','true'),(1223,15,'locale',''),(1228,15,'yim',''),(1229,15,'jabber',''),(1227,15,'aim',''),(1226,15,'dismissed_wp_pointers','theme_editor_notice,plugin_editor_notice'),(1232,15,'community-events-location','a:1:{s:2:\"ip\";s:12:\"70.169.224.0\";}'),(1241,15,'wp_29_dashboard_quick_press_last_post_id','34'),(1242,15,'wp_2_capabilities','a:1:{s:13:\"administrator\";b:1;}'),(1233,15,'primary_blog','1'),(1234,15,'source_domain','rumbleoffers.com'),(1237,15,'wp_capabilities','a:1:{s:13:\"administrator\";b:1;}'),(1238,15,'wp_user_level','10'),(1243,15,'wp_2_user_level','10'),(1244,15,'wp_2_dashboard_quick_press_last_post_id','253'),(1265,15,'wp_34_dashboard_quick_press_last_post_id','33'),(1269,3,'wp_34_user-settings','libraryContent=browse&editor=tinymce'),(1270,3,'wp_34_user-settings-time','1615508456'),(1275,15,'wp_30_dashboard_quick_press_last_post_id','38'),(1276,15,'wp_3_dashboard_quick_press_last_post_id','35'),(1277,15,'wp_31_dashboard_quick_press_last_post_id','37'),(1278,15,'broadcast_last_used_settings','a:4:{s:4:\"link\";s:2:\"on\";s:13:\"custom_fields\";s:2:\"on\";s:10:\"taxonomies\";s:2:\"on\";s:21:\"unchecked_child_blogs\";s:0:\"\";}'),(1279,15,'wp_31_user-settings','editor=html'),(1280,15,'wp_31_user-settings-time','1615568681'),(1281,15,'wp_30_user-settings','editor=html'),(1282,15,'wp_30_user-settings-time','1615569077'),(1283,15,'wp_34_user-settings','editor=html'),(1284,15,'wp_34_user-settings-time','1615569126'),(1285,15,'wp_29_user-settings','editor=html'),(1286,15,'wp_29_user-settings-time','1615569167'),(1287,15,'wp_user-settings','editor=html&libraryContent=browse'),(1288,15,'wp_user-settings-time','1619033240'),(1291,15,'wp_4_user-settings','editor=html'),(1292,15,'wp_4_user-settings-time','1615569364'),(1293,15,'wp_4_dashboard_quick_press_last_post_id','87'),(1296,15,'wp_5_user-settings','editor=html'),(1297,15,'wp_5_user-settings-time','1615569441'),(1298,15,'wp_5_dashboard_quick_press_last_post_id','66'),(1301,15,'wp_11_user-settings','editor=html'),(1302,15,'wp_11_user-settings-time','1615569505'),(1303,15,'wp_11_dashboard_quick_press_last_post_id','26'),(1306,15,'wp_7_user-settings','editor=html'),(1307,15,'wp_7_user-settings-time','1615569826'),(1308,15,'wp_7_dashboard_quick_press_last_post_id','34'),(1311,15,'wp_18_user-settings','editor=html'),(1312,15,'wp_18_user-settings-time','1615569979'),(1313,15,'wp_18_dashboard_quick_press_last_post_id','63'),(1316,15,'wp_9_user-settings','editor=html'),(1317,15,'wp_9_user-settings-time','1615571911'),(1318,15,'wp_9_dashboard_quick_press_last_post_id','48'),(1321,15,'wp_10_user-settings','editor=html'),(1322,15,'wp_10_user-settings-time','1615571992'),(1323,15,'wp_10_dashboard_quick_press_last_post_id','22'),(1326,15,'wp_12_user-settings','editor=html'),(1327,15,'wp_12_user-settings-time','1615572130'),(1328,15,'wp_12_dashboard_quick_press_last_post_id','28'),(1331,15,'wp_13_user-settings','editor=html'),(1332,15,'wp_13_user-settings-time','1615572200'),(1333,15,'wp_13_dashboard_quick_press_last_post_id','36'),(1336,15,'wp_14_user-settings','editor=html'),(1337,15,'wp_14_user-settings-time','1615572258'),(1338,15,'wp_14_dashboard_quick_press_last_post_id','30'),(1341,15,'wp_16_user-settings','editor=html'),(1342,15,'wp_16_user-settings-time','1615572984'),(1343,15,'wp_16_dashboard_quick_press_last_post_id','27'),(1346,15,'wp_17_user-settings','editor=html'),(1347,15,'wp_17_user-settings-time','1615573064'),(1348,15,'wp_17_dashboard_quick_press_last_post_id','33'),(1351,15,'wp_19_user-settings','editor=html'),(1352,15,'wp_19_user-settings-time','1615573276'),(1353,15,'wp_19_dashboard_quick_press_last_post_id','25'),(1356,15,'wp_20_user-settings','editor=html'),(1357,15,'wp_20_user-settings-time','1615573371'),(1358,15,'wp_20_dashboard_quick_press_last_post_id','27'),(1361,15,'wp_21_user-settings','editor=html'),(1362,15,'wp_21_user-settings-time','1615573450'),(1363,15,'wp_21_dashboard_quick_press_last_post_id','29'),(1366,15,'wp_22_user-settings','editor=html'),(1367,15,'wp_22_user-settings-time','1615573535'),(1368,15,'wp_22_dashboard_quick_press_last_post_id','33'),(1371,15,'wp_25_user-settings','editor=html'),(1372,15,'wp_25_user-settings-time','1615573611'),(1373,15,'wp_25_dashboard_quick_press_last_post_id','30'),(1376,15,'wp_26_user-settings','editor=html'),(1377,15,'wp_26_user-settings-time','1615573756'),(1378,15,'wp_26_dashboard_quick_press_last_post_id','42'),(1381,15,'wp_27_user-settings','editor=html'),(1382,15,'wp_27_user-settings-time','1615573841'),(1383,15,'wp_27_dashboard_quick_press_last_post_id','32'),(1386,15,'wp_28_user-settings','editor=html'),(1387,15,'wp_28_user-settings-time','1615573925'),(1388,15,'wp_28_dashboard_quick_press_last_post_id','31'),(1391,15,'wp_32_user-settings','editor=html'),(1392,15,'wp_32_user-settings-time','1615573993'),(1393,15,'wp_32_dashboard_quick_press_last_post_id','33'),(1396,15,'wp_33_user-settings','editor=html'),(1397,15,'wp_33_user-settings-time','1615574054'),(1398,15,'wp_33_dashboard_quick_press_last_post_id','36'),(1424,15,'wp_dashboard_quick_press_last_post_id','309'),(1400,14,'wp_12_user-settings','editor=html'),(1401,14,'wp_12_user-settings-time','1616430673'),(1402,14,'wp_12_dashboard_quick_press_last_post_id','34'),(1403,12,'wp_12_user-settings','editor=html'),(1404,12,'wp_12_user-settings-time','1616616643'),(1407,14,'wp_27_user-settings','editor=html'),(1408,14,'wp_27_user-settings-time','1617236641'),(1409,14,'wp_27_dashboard_quick_press_last_post_id','33'),(1410,14,'wp_13_user-settings','editor=html'),(1411,14,'wp_13_user-settings-time','1617292624'),(1412,14,'wp_14_user-settings','editor=html'),(1413,14,'wp_14_user-settings-time','1617292624'),(1414,14,'wp_13_dashboard_quick_press_last_post_id','37'),(1415,14,'wp_14_dashboard_quick_press_last_post_id','31'),(1416,14,'wp_11_user-settings','editor=html'),(1417,14,'wp_11_user-settings-time','1617292626'),(1418,14,'wp_11_dashboard_quick_press_last_post_id','27'),(1421,14,'wp_19_user-settings','editor=html'),(1422,14,'wp_19_user-settings-time','1618263407'),(1423,14,'wp_19_dashboard_quick_press_last_post_id','26'),(1597,12,'wp_capabilities','a:1:{s:13:\"administrator\";b:1;}'),(1432,14,'meta-box-order_lp','a:4:{s:15:\"acf_after_title\";s:0:\"\";s:4:\"side\";s:195:\"submitdiv,acf-group_5c896336d2e31,acf-group_5cc762e2979de,acf-group_5cc7644d1e818,acf-group_5d0d36d939421,acf-group_5cc1fc60cfc22,threewp_broadcast,acf-group_5c804db294dc8,acf-group_5c840bb23ecc1\";s:6:\"normal\";s:161:\"acf-group_5c5a12126ead9,acf-group_5c4ca5d69087e,acf-group_5c74278b10ebf,acf-group_5cc763566ccea,acf-group_5c8ab548d9c40,acf-group_5c8ac5e7c3cb5,slugdiv,authordiv\";s:8:\"advanced\";s:0:\"\";}'),(1433,14,'screen_layout_lp','2'),(1442,14,'wp_35_user-settings','editor=html&libraryContent=browse'),(1443,14,'wp_35_user-settings-time','1619035014'),(1444,14,'wp_35_dashboard_quick_press_last_post_id','234'),(1546,14,'wp_45_user-settings','editor=html&libraryContent=browse'),(1453,14,'wp_36_user-settings','editor=html&libraryContent=browse'),(1454,14,'wp_36_user-settings-time','1619036052'),(1455,14,'wp_36_dashboard_quick_press_last_post_id','235'),(1537,14,'wp_44_dashboard_quick_press_last_post_id','244'),(1536,14,'wp_44_user-settings-time','1619045078'),(1535,14,'wp_44_user-settings','editor=html&libraryContent=browse'),(1464,14,'wp_37_user-settings','editor=html&libraryContent=browse'),(1465,14,'wp_37_user-settings-time','1619036147'),(1466,14,'wp_37_dashboard_quick_press_last_post_id','235'),(1526,14,'wp_43_dashboard_quick_press_last_post_id','247'),(1525,14,'wp_43_user-settings-time','1619044659'),(1524,14,'wp_43_user-settings','editor=html&libraryContent=browse'),(1491,14,'wp_40_user-settings','editor=html&libraryContent=browse'),(1492,14,'wp_40_user-settings-time','1619036497'),(1493,14,'wp_40_dashboard_quick_press_last_post_id','235'),(1502,14,'wp_41_user-settings','editor=html&libraryContent=browse'),(1503,14,'wp_41_user-settings-time','1619036557'),(1504,14,'wp_41_dashboard_quick_press_last_post_id','235'),(1548,14,'wp_45_dashboard_quick_press_last_post_id','248'),(1547,14,'wp_45_user-settings-time','1619045460'),(1513,14,'wp_42_user-settings','editor=html&libraryContent=browse'),(1514,14,'wp_42_user-settings-time','1619042378'),(1515,14,'wp_42_dashboard_quick_press_last_post_id','234'),(1557,14,'wp_46_user-settings','editor=html&libraryContent=browse'),(1558,14,'wp_46_user-settings-time','1619048240'),(1559,14,'wp_46_dashboard_quick_press_last_post_id','244'),(1568,14,'wp_47_user-settings','editor=html&libraryContent=browse'),(1569,14,'wp_47_user-settings-time','1619049624'),(1570,14,'wp_47_dashboard_quick_press_last_post_id','244'),(1571,15,'wp_43_user-settings','editor=html&libraryContent=browse'),(1572,15,'wp_43_user-settings-time','1619107451'),(1573,15,'wp_43_dashboard_quick_press_last_post_id','245'),(1574,15,'wp_44_user-settings','editor=html&libraryContent=browse'),(1575,15,'wp_44_user-settings-time','1619109819'),(1576,15,'wp_44_dashboard_quick_press_last_post_id','253'),(1577,15,'wp_45_user-settings','editor=html&libraryContent=browse'),(1578,15,'wp_45_user-settings-time','1619110090'),(1579,15,'wp_45_dashboard_quick_press_last_post_id','245'),(1580,15,'wp_46_user-settings','editor=html&libraryContent=browse'),(1581,15,'wp_46_user-settings-time','1619110187'),(1582,15,'wp_46_dashboard_quick_press_last_post_id','245'),(1583,15,'wp_47_user-settings','editor=html&libraryContent=browse'),(1584,15,'wp_47_user-settings-time','1619110291'),(1585,15,'wp_47_dashboard_quick_press_last_post_id','245'),(1594,14,'wp_48_user-settings','editor=html&libraryContent=browse'),(1595,14,'wp_48_user-settings-time','1619118045'),(1596,14,'wp_48_dashboard_quick_press_last_post_id','246'),(1618,14,'wp_49_user-settings','editor=html&libraryContent=browse'),(1619,14,'wp_49_user-settings-time','1619645324'),(1620,14,'wp_49_dashboard_quick_press_last_post_id','246'),(1621,15,'wp_49_user-settings','editor=html&libraryContent=browse'),(1622,15,'wp_49_user-settings-time','1619736933'),(1623,15,'wp_49_dashboard_quick_press_last_post_id','247'),(1624,15,'wp_48_user-settings','editor=html&libraryContent=browse'),(1625,15,'wp_48_user-settings-time','1619737038'),(1626,15,'wp_48_dashboard_quick_press_last_post_id','247'),(1638,15,'wp_50_user-settings','editor=html&libraryContent=browse'),(1639,15,'wp_50_user-settings-time','1620426088'),(1640,15,'wp_50_dashboard_quick_press_last_post_id','252'),(1635,14,'wp_50_user-settings','editor=html&libraryContent=browse'),(1636,14,'wp_50_user-settings-time','1620326312'),(1637,14,'wp_50_dashboard_quick_press_last_post_id','248'),(1641,1,'session_tokens','a:3:{s:64:\"6dafb5f04a5b8f4178db740b855483bf86aa8f48f1a95d8032e7166a10ed6265\";a:4:{s:10:\"expiration\";i:1621023038;s:2:\"ip\";s:12:\"184.189.0.34\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.1 Safari/605.1.15\";s:5:\"login\";i:1620850238;}s:64:\"e5873bae17cb08aa633b53519013a3d314baedaf9713235227e1ecf5439c8542\";a:4:{s:10:\"expiration\";i:1621028381;s:2:\"ip\";s:12:\"184.189.0.34\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.1 Safari/605.1.15\";s:5:\"login\";i:1620855581;}s:64:\"2b6079a6ece3cd89dcf2fa975af55e3e49e04c3fefc178d3bb2011c4f7c2b505\";a:4:{s:10:\"expiration\";i:1621029203;s:2:\"ip\";s:12:\"184.189.0.34\";s:2:\"ua\";s:117:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/14.1 Safari/605.1.15\";s:5:\"login\";i:1620856403;}}'),(1648,16,'comment_shortcuts','false'),(1649,16,'admin_color','fresh'),(1650,16,'use_ssl','0'),(1651,16,'show_admin_bar_front','true'),(1652,16,'locale',''),(1657,16,'source_domain','rumbleoffers.com'),(1656,16,'primary_blog','1'),(1655,16,'dismissed_wp_pointers',''),(1658,16,'wp_capabilities','a:1:{s:6:\"editor\";b:1;}'),(1659,16,'wp_user_level','7'),(1660,16,'aim',''),(1661,16,'yim',''),(1662,16,'jabber',''),(1663,17,'nickname','cole'),(1664,17,'first_name',''),(1665,17,'last_name',''),(1666,17,'description',''),(1667,17,'rich_editing','true'),(1668,17,'syntax_highlighting','true'),(1669,17,'comment_shortcuts','false'),(1670,17,'admin_color','fresh'),(1671,17,'use_ssl','0'),(1672,17,'show_admin_bar_front','true'),(1673,17,'locale',''),(1678,17,'yim',''),(1679,17,'jabber',''),(1677,17,'aim',''),(1676,17,'dismissed_wp_pointers',''),(1680,17,'default_password_nag',''),(1681,17,'session_tokens','a:1:{s:64:\"2621cbd6700694c93aac57299cf5d58728fb713a1d8ff6ebe01620dd995125b1\";a:4:{s:10:\"expiration\";i:1641942256;s:2:\"ip\";s:13:\"192.88.134.29\";s:2:\"ua\";s:120:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/96.0.4664.55 Safari/537.36\";s:5:\"login\";i:1640732656;}}'),(1682,17,'community-events-location','a:1:{s:2:\"ip\";s:9:\"68.4.58.0\";}'),(1683,17,'primary_blog','1'),(1684,17,'source_domain','rumbleoffers.com'),(1685,17,'wp_capabilities','a:1:{s:13:\"administrator\";b:1;}'),(1686,17,'wp_user_level','10'),(1687,17,'wp_dashboard_quick_press_last_post_id','304'),(1688,17,'wp_2_capabilities','a:1:{s:13:\"administrator\";b:1;}'),(1689,17,'wp_2_user_level','10'),(1690,17,'wp_2_dashboard_quick_press_last_post_id','254'),(1691,17,'broadcast_last_used_settings','a:4:{s:4:\"link\";s:2:\"on\";s:13:\"custom_fields\";s:2:\"on\";s:10:\"taxonomies\";s:2:\"on\";s:21:\"unchecked_child_blogs\";s:0:\"\";}'),(1692,17,'meta-box-order_lp','a:4:{s:15:\"acf_after_title\";s:0:\"\";s:4:\"side\";s:147:\"submitdiv,acf-group_5cc7644d1e818,acf-group_5c896336d2e31,acf-group_5cc762e2979de,acf-group_5d0d36d939421,acf-group_5cc1fc60cfc22,threewp_broadcast\";s:6:\"normal\";s:150:\"acf-group_5c5a12126ead9,acf-group_5c4ca5d69087e,acf-group_5c74278b10ebf,acf-group_5cc763566ccea,acf-group_5c8ac5e7c3cb5,revisionsdiv,slugdiv,authordiv\";s:8:\"advanced\";s:0:\"\";}'),(1693,17,'screen_layout_lp','2'),(1694,17,'closedpostboxes_lp','a:1:{i:0;s:23:\"acf-group_5c8ab548d9c40\";}'),(1695,17,'metaboxhidden_lp','a:1:{i:0;s:7:\"slugdiv\";}');
DROP TABLE IF EXISTS `wp_users`;
CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_pass` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `spam` tinyint(2) NOT NULL DEFAULT '0',
  `deleted` tinyint(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=MyISAM AUTO_INCREMENT=18 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
INSERT INTO `wp_users` VALUES (1,'webmaster','$P$BAOvu6kOZCtH6u0oa8hdJryNshxgRS0','admin','webmaster@reachagency.co','','2019-06-07 17:22:24','',0,'webmaster',0,0),(3,'andre','$P$B0m/ZfmCxgJHezGiNIUgKZFZsSZ3S./','andre','Andre@franchisefocusedmarketing.com','','2019-06-14 23:10:34','',0,'andre',0,0),(12,'sharp','$P$B8IyiLhiIPZXvGfwHqPOW9hT2nd.f4/','sharp','sam@codemay.com','','2020-04-28 17:03:39','',0,'sharp',0,0),(14,'eduardo','$P$B.PYF597ktEDwuaoOUAcSFXfEAn1/n0','eduardo','eduardo@franchisefocusedmarketing.com','','2020-09-24 17:41:25','1600969285:$P$BO5CmwBPxkHfqTFcvO.geFtAljQUnq/',0,'eduardo',0,0),(15,'lance','$P$BlLzt4qzWod8uM/E68zN7Qr9ch.Awl/','lance','lance@reachagency.co','','2021-02-22 21:16:25','',0,'lance',0,0),(16,'katie','$P$BWBwNAEeOlNI7MBv.qJ7r/2Fd76fbP0','katie','katie@franchisefocusedmarketing.com','','2021-09-29 23:02:41','1632956562:$P$Bk/V1zJU8iBljMV4/1T5zZrbE/e9qN/',0,'katie',0,0),(17,'cole','$P$BYwYk.4dKl2GdL.mH9yjwQ1H9IlfMK.','cole','cole@franchisefocusedmarketing.com','','2021-12-28 22:54:29','',0,'cole',0,0);
DROP TABLE IF EXISTS `wp_wpmailsmtp_debug_events`;
CREATE TABLE `wp_wpmailsmtp_debug_events` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `content` text COLLATE utf8mb4_unicode_520_ci,
  `initiator` text COLLATE utf8mb4_unicode_520_ci,
  `event_type` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
DROP TABLE IF EXISTS `wp_wpmailsmtp_tasks_meta`;
CREATE TABLE `wp_wpmailsmtp_tasks_meta` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `action` varchar(255) COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `data` longtext COLLATE utf8mb4_unicode_520_ci NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=30 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;
INSERT INTO `wp_wpmailsmtp_tasks_meta` VALUES (1,'wp_mail_smtp_admin_notifications_update','W10=','2021-04-15 19:47:00'),(2,'wp_mail_smtp_admin_notifications_update','W10=','2021-04-16 19:48:15'),(3,'wp_mail_smtp_admin_notifications_update','W10=','2021-04-19 16:30:27'),(4,'wp_mail_smtp_admin_notifications_update','W10=','2021-04-21 18:37:25'),(5,'wp_mail_smtp_admin_notifications_update','W10=','2021-04-22 18:59:38'),(6,'wp_mail_smtp_admin_notifications_update','W10=','2021-04-26 16:50:35'),(7,'wp_mail_smtp_admin_notifications_update','W10=','2021-04-27 16:50:39'),(8,'wp_mail_smtp_admin_notifications_update','W10=','2021-04-28 21:10:42'),(9,'wp_mail_smtp_admin_notifications_update','W10=','2021-04-29 22:50:34'),(10,'wp_mail_smtp_admin_notifications_update','W10=','2021-04-30 23:17:34'),(11,'wp_mail_smtp_admin_notifications_update','W10=','2021-05-05 21:36:38'),(12,'wp_mail_smtp_admin_notifications_update','W10=','2021-05-07 22:03:25'),(13,'wp_mail_smtp_admin_notifications_update','W10=','2021-05-10 23:36:11'),(14,'wp_mail_smtp_admin_notifications_update','W10=','2021-05-12 15:43:17'),(15,'wp_mail_smtp_admin_notifications_update','W10=','2021-05-13 16:29:36'),(16,'wp_mail_smtp_admin_notifications_update','W10=','2021-05-13 16:30:14'),(17,'wp_mail_smtp_admin_notifications_update','W10=','2021-09-29 23:02:42'),(18,'wp_mail_smtp_admin_notifications_update','W10=','2021-10-20 19:21:51'),(19,'wp_mail_smtp_admin_notifications_update','W10=','2021-12-09 00:37:57'),(20,'wp_mail_smtp_admin_notifications_update','W10=','2021-12-10 17:05:47'),(21,'wp_mail_smtp_admin_notifications_update','W10=','2021-12-10 17:13:52'),(22,'wp_mail_smtp_admin_notifications_update','W10=','2021-12-27 23:25:33'),(23,'wp_mail_smtp_admin_notifications_update','W10=','2022-01-12 23:27:00'),(24,'wp_mail_smtp_admin_notifications_update','W10=','2022-03-21 21:36:32'),(25,'wp_mail_smtp_admin_notifications_update','W10=','2022-04-15 21:00:49'),(26,'wp_mail_smtp_admin_notifications_update','W10=','2022-04-15 21:01:50'),(27,'wp_mail_smtp_admin_notifications_update','W10=','2022-04-25 16:27:25'),(28,'wp_mail_smtp_admin_notifications_update','W10=','2022-04-25 16:28:07'),(29,'wp_mail_smtp_admin_notifications_update','W10=','2022-06-10 23:35:32');
COMMIT;
